
-- --------------------------------------------------------

--
-- Structure de la table `llx_c_units`
--

CREATE TABLE `llx_c_units` (
  `rowid` int(11) NOT NULL,
  `code` varchar(3) DEFAULT NULL,
  `label` varchar(50) DEFAULT NULL,
  `short_label` varchar(5) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `scale` int(11) DEFAULT NULL,
  `unit_type` varchar(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Déchargement des données de la table `llx_c_units`
--

INSERT INTO `llx_c_units` (`rowid`, `code`, `label`, `short_label`, `active`, `scale`, `unit_type`) VALUES
(1, 'P', 'piece', 'p', 1, NULL, NULL),
(2, 'SET', 'set', 'se', 1, NULL, NULL),
(3, 'S', 'second', 's', 1, NULL, 'time'),
(4, 'H', 'hour', 'h', 1, 3600, 'time'),
(5, 'D', 'day', 'd', 1, 86400, 'time'),
(6, 'KG', 'kilogram', 'kg', 1, 0, 'weight'),
(7, 'G', 'gram', 'g', 1, -3, 'weight'),
(8, 'M', 'SizeUnitm', 'm', 1, 0, 'size'),
(9, 'LM', 'linear meter', 'lm', 0, 0, 'size'),
(10, 'M2', 'SurfaceUnitm2', 'm2', 1, 0, 'surface'),
(11, 'M3', 'VolumeUnitm3', 'm3', 1, 0, 'volume'),
(12, 'L', 'liter', 'l', 0, -3, 'volume'),
(13, 'T', 'WeightUnitton', 'T', 1, 3, 'weight'),
(16, 'MG', 'WeightUnitmg', 'mg', 1, -6, 'weight'),
(17, 'OZ', 'WeightUnitounce', 'Oz', 1, 98, 'weight'),
(18, 'LB', 'WeightUnitpound', 'lb', 1, 99, 'weight'),
(20, 'DM', 'SizeUnitdm', 'dm', 1, -1, 'size'),
(21, 'CM', 'SizeUnitcm', 'cm', 1, -2, 'size'),
(22, 'MM', 'SizeUnitmm', 'mm', 1, -3, 'size'),
(23, 'FT', 'SizeUnitfoot', 'ft', 1, 98, 'size'),
(24, 'IN', 'SizeUnitinch', 'in', 1, 99, 'size'),
(26, 'DM2', 'SurfaceUnitdm2', 'dm2', 1, -2, 'surface'),
(27, 'CM2', 'SurfaceUnitcm2', 'cm2', 1, -4, 'surface'),
(28, 'MM2', 'SurfaceUnitmm2', 'mm2', 1, -6, 'surface'),
(29, 'FT2', 'SurfaceUnitfoot2', 'ft2', 1, 98, 'surface'),
(30, 'IN2', 'SurfaceUnitinch2', 'in2', 1, 99, 'surface'),
(32, 'DM3', 'VolumeUnitdm3', 'dm3', 1, -3, 'volume'),
(33, 'CM3', 'VolumeUnitcm3', 'cm3', 1, -6, 'volume'),
(34, 'MM3', 'VolumeUnitmm3', 'mm3', 1, -9, 'volume'),
(35, 'FT3', 'VolumeUnitfoot3', 'ft3', 1, 88, 'volume'),
(36, 'IN3', 'VolumeUnitinch3', 'in3', 1, 89, 'volume'),
(37, 'OZ3', 'VolumeUnitounce', 'Oz', 1, 97, 'volume'),
(39, 'GAL', 'VolumeUnitgallon', 'gal', 1, 99, 'volume'),
(43, 'MI', 'minute', 'i', 1, 60, 'time'),
(46, 'W', 'week', 'w', 1, 604800, 'time'),
(47, 'MO', 'month', 'm', 1, 2629800, 'time'),
(48, 'Y', 'year', 'y', 1, 31557600, 'time');
