
-- --------------------------------------------------------

--
-- Structure de la table `llx_contratdet`
--

CREATE TABLE `llx_contratdet` (
  `rowid` int(11) NOT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_contrat` int(11) NOT NULL,
  `fk_product` int(11) DEFAULT NULL,
  `statut` smallint(6) DEFAULT '0',
  `label` text,
  `description` text,
  `fk_remise_except` int(11) DEFAULT NULL,
  `date_commande` datetime DEFAULT NULL,
  `date_ouverture_prevue` datetime DEFAULT NULL,
  `date_ouverture` datetime DEFAULT NULL,
  `date_fin_validite` datetime DEFAULT NULL,
  `date_cloture` datetime DEFAULT NULL,
  `tva_tx` double(6,3) DEFAULT '0.000',
  `vat_src_code` varchar(10) DEFAULT '',
  `localtax1_tx` double(6,3) DEFAULT '0.000',
  `localtax1_type` varchar(10) DEFAULT NULL,
  `localtax2_tx` double(6,3) DEFAULT '0.000',
  `localtax2_type` varchar(10) DEFAULT NULL,
  `qty` double NOT NULL,
  `remise_percent` double DEFAULT '0',
  `subprice` double(24,8) DEFAULT '0.00000000',
  `price_ht` double DEFAULT NULL,
  `remise` double DEFAULT '0',
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `total_tva` double(24,8) DEFAULT '0.00000000',
  `total_localtax1` double(24,8) DEFAULT '0.00000000',
  `total_localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT '0.00000000',
  `product_type` int(11) DEFAULT '1',
  `info_bits` int(11) DEFAULT '0',
  `buy_price_ht` double(24,8) DEFAULT NULL,
  `fk_product_fournisseur_price` int(11) DEFAULT NULL,
  `fk_user_author` int(11) NOT NULL DEFAULT '0',
  `fk_user_ouverture` int(11) DEFAULT NULL,
  `fk_user_cloture` int(11) DEFAULT NULL,
  `commentaire` text,
  `fk_unit` int(11) DEFAULT NULL,
  `fk_multicurrency` int(11) DEFAULT NULL,
  `multicurrency_code` varchar(255) DEFAULT NULL,
  `multicurrency_subprice` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_ht` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_tva` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_ttc` double(24,8) DEFAULT '0.00000000'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Déchargement des données de la table `llx_contratdet`
--

INSERT INTO `llx_contratdet` (`rowid`, `tms`, `fk_contrat`, `fk_product`, `statut`, `label`, `description`, `fk_remise_except`, `date_commande`, `date_ouverture_prevue`, `date_ouverture`, `date_fin_validite`, `date_cloture`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `subprice`, `price_ht`, `remise`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_user_author`, `fk_user_ouverture`, `fk_user_cloture`, `commentaire`, `fk_unit`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(1, '2019-12-17 14:09:19', 1, 1223585, 5, '', '', NULL, NULL, NULL, '2017-08-01 12:00:00', '2019-08-01 12:00:00', '2019-12-17 15:09:19', 20.000, NULL, 0.000, '0', 0.000, '0', 1, 0, 329.95000000, 329.95, 0, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, 0, 329.95000000, NULL, 0, 5, 5, '', NULL, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2, '2017-10-11 08:18:19', 2, NULL, 4, '', 'Forfait maintenance comprenant Maind &#39;oeuvre deplacement pieces detach&eacute;es suivant programme ASSURE COMPAIR', NULL, NULL, NULL, '2017-10-11 12:00:00', '2023-10-05 12:00:00', NULL, 0.000, NULL, 0.000, '0', 0.000, '0', 1, 0, 1391.52000000, 1391.52, 0, 1391.52000000, 0.00000000, 0.00000000, 0.00000000, 1391.52000000, 1, 0, 0.00000000, NULL, 0, 5, 5, '', NULL, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3, '2020-07-20 07:34:28', 3, 1223585, 5, '', '', NULL, NULL, NULL, '2017-10-17 12:00:00', '2020-02-20 00:00:00', '2020-07-20 09:34:28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 226.79000000, 226.79, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, 0, 329.95000000, NULL, 0, 5, 5, '', NULL, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4, '2018-09-25 12:06:10', 4, NULL, 4, '', 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', NULL, NULL, NULL, '2018-08-28 12:00:00', NULL, NULL, 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 500.76000000, 500.76, NULL, 500.76000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 1, 0, 0.00000000, NULL, 0, 5, 5, '', NULL, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5, '2019-05-16 13:39:23', 5, NULL, 4, '', 'Mensualit&eacute;', NULL, NULL, NULL, '2019-05-16 12:00:00', NULL, NULL, 20.000, NULL, 0.000, '0', 0.000, '0', 1, 0, 1419.00000000, 1419, 0, 1419.00000000, 283.80000000, 0.00000000, 0.00000000, 1702.80000000, 1, 0, 0.00000000, NULL, 0, 5, NULL, '', NULL, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000);
