
-- --------------------------------------------------------

--
-- Structure de la table `llx_menu`
--

CREATE TABLE `llx_menu` (
  `rowid` int(11) NOT NULL,
  `menu_handler` varchar(16) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `module` varchar(255) DEFAULT NULL,
  `type` varchar(4) NOT NULL,
  `mainmenu` varchar(100) NOT NULL,
  `leftmenu` varchar(100) DEFAULT NULL,
  `fk_menu` int(11) NOT NULL,
  `fk_mainmenu` varchar(100) DEFAULT NULL,
  `fk_leftmenu` varchar(100) DEFAULT NULL,
  `position` int(11) NOT NULL,
  `url` varchar(255) NOT NULL,
  `target` varchar(100) DEFAULT NULL,
  `titre` varchar(255) NOT NULL,
  `langs` varchar(100) DEFAULT NULL,
  `level` smallint(6) DEFAULT NULL,
  `perms` text,
  `enabled` varchar(255) DEFAULT '1',
  `usertype` int(11) NOT NULL DEFAULT '0',
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Déchargement des données de la table `llx_menu`
--

INSERT INTO `llx_menu` (`rowid`, `menu_handler`, `entity`, `module`, `type`, `mainmenu`, `leftmenu`, `fk_menu`, `fk_mainmenu`, `fk_leftmenu`, `position`, `url`, `target`, `titre`, `langs`, `level`, `perms`, `enabled`, `usertype`, `tms`) VALUES
(12, 'all', 1, 'margins', 'left', 'accountancy', 'margins', -1, 'accountancy', NULL, 100, '/margin/index.php', '', 'Margins', 'margins', NULL, '$user->rights->margins->liretous', '$conf->margin->enabled', 2, '2016-12-01 11:04:52'),
(42, 'all', 1, 'ship2bill', 'left', 'products', 'sendings', -1, 'products', 'sendings', 100, '/ship2bill/ship2bill.php', '', 'Exp&eacute;ditions facturables', '', NULL, '$user->rights->ship2bill->read && $user->rights->expedition->lire', '$conf->ship2bill->enabled', 2, '2017-07-11 07:47:50'),
(43, 'all', 1, 'supplierorderfromorder', 'left', 'replenishGPAO', 'replenishGPAO', -1, 'of', NULL, 300, '/supplierorderfromorder/ordercustomer.php', '', 'ProductsToOrder', 'supplierorderfromorder@supplierorderfromorder', NULL, '', '0', 2, '2017-07-11 07:47:54'),
(89, 'all', 1, 'agenda', 'top', 'agenda', NULL, 0, NULL, NULL, 86, '/comm/action/index.php', '', 'TMenuAgenda', 'agenda', NULL, '$user->rights->agenda->myactions->read', '$conf->agenda->enabled', 2, '2020-07-09 18:52:52'),
(90, 'all', 1, 'agenda', 'left', 'agenda', NULL, 89, NULL, NULL, 100, '/comm/action/index.php?mainmenu=agenda&amp;leftmenu=agenda', '', 'Actions', 'agenda', NULL, '$user->rights->agenda->myactions->read', '$conf->agenda->enabled', 2, '2020-07-09 18:52:52'),
(91, 'all', 1, 'agenda', 'left', 'agenda', NULL, 90, NULL, NULL, 101, '/comm/action/card.php?mainmenu=agenda&amp;leftmenu=agenda&amp;action=create', '', 'NewAction', 'commercial', NULL, '($user->rights->agenda->myactions->create||$user->rights->agenda->allactions->create)', '$conf->agenda->enabled', 2, '2020-07-09 18:52:52'),
(92, 'all', 1, 'agenda', 'left', 'agenda', NULL, 90, NULL, NULL, 140, '/comm/action/index.php?action=default&amp;mainmenu=agenda&amp;leftmenu=agenda', '', 'Calendar', 'agenda', NULL, '$user->rights->agenda->myactions->read', '$conf->agenda->enabled', 2, '2020-07-09 18:52:52'),
(93, 'all', 1, 'agenda', 'left', 'agenda', NULL, 92, NULL, NULL, 141, '/comm/action/index.php?action=default&amp;mainmenu=agenda&amp;leftmenu=agenda&amp;status=todo&amp;filter=mine', '', 'MenuToDoMyActions', 'agenda', NULL, '$user->rights->agenda->myactions->read', '$conf->agenda->enabled', 2, '2020-07-09 18:52:52'),
(94, 'all', 1, 'agenda', 'left', 'agenda', NULL, 92, NULL, NULL, 142, '/comm/action/index.php?action=default&amp;mainmenu=agenda&amp;leftmenu=agenda&amp;status=done&amp;filter=mine', '', 'MenuDoneMyActions', 'agenda', NULL, '$user->rights->agenda->myactions->read', '$conf->agenda->enabled', 2, '2020-07-09 18:52:52'),
(95, 'all', 1, 'agenda', 'left', 'agenda', NULL, 92, NULL, NULL, 143, '/comm/action/index.php?action=default&amp;mainmenu=agenda&amp;leftmenu=agenda&amp;status=todo&amp;filtert=-1', '', 'MenuToDoActions', 'agenda', NULL, '$user->rights->agenda->allactions->read', '$user->rights->agenda->allactions->read', 2, '2020-07-09 18:52:52'),
(96, 'all', 1, 'agenda', 'left', 'agenda', NULL, 92, NULL, NULL, 144, '/comm/action/index.php?action=default&amp;mainmenu=agenda&amp;leftmenu=agenda&amp;status=done&amp;filtert=-1', '', 'MenuDoneActions', 'agenda', NULL, '$user->rights->agenda->allactions->read', '$user->rights->agenda->allactions->read', 2, '2020-07-09 18:52:52'),
(97, 'all', 1, 'agenda', 'left', 'agenda', NULL, 90, NULL, NULL, 110, '/comm/action/list.php?mainmenu=agenda&amp;leftmenu=agenda', '', 'List', 'agenda', NULL, '$user->rights->agenda->myactions->read', '$conf->agenda->enabled', 2, '2020-07-09 18:52:52'),
(98, 'all', 1, 'agenda', 'left', 'agenda', NULL, 97, NULL, NULL, 111, '/comm/action/list.php?mainmenu=agenda&amp;leftmenu=agenda&amp;status=todo&amp;filter=mine', '', 'MenuToDoMyActions', 'agenda', NULL, '$user->rights->agenda->myactions->read', '$conf->agenda->enabled', 2, '2020-07-09 18:52:52'),
(99, 'all', 1, 'agenda', 'left', 'agenda', NULL, 97, NULL, NULL, 112, '/comm/action/list.php?mainmenu=agenda&amp;leftmenu=agenda&amp;status=done&amp;filter=mine', '', 'MenuDoneMyActions', 'agenda', NULL, '$user->rights->agenda->myactions->read', '$conf->agenda->enabled', 2, '2020-07-09 18:52:52'),
(100, 'all', 1, 'agenda', 'left', 'agenda', NULL, 97, NULL, NULL, 113, '/comm/action/list.php?mainmenu=agenda&amp;leftmenu=agenda&amp;status=todo&amp;filtert=-1', '', 'MenuToDoActions', 'agenda', NULL, '$user->rights->agenda->allactions->read', '$user->rights->agenda->allactions->read', 2, '2020-07-09 18:52:52'),
(101, 'all', 1, 'agenda', 'left', 'agenda', NULL, 97, NULL, NULL, 114, '/comm/action/list.php?mainmenu=agenda&amp;leftmenu=agenda&amp;status=done&amp;filtert=-1', '', 'MenuDoneActions', 'agenda', NULL, '$user->rights->agenda->allactions->read', '$user->rights->agenda->allactions->read', 2, '2020-07-09 18:52:52'),
(102, 'all', 1, 'agenda', 'left', 'agenda', NULL, 90, NULL, NULL, 160, '/comm/action/rapport/index.php?mainmenu=agenda&amp;leftmenu=agenda', '', 'Reportings', 'agenda', NULL, '$user->rights->agenda->allactions->read', '$conf->agenda->enabled', 2, '2020-07-09 18:52:52'),
(103, 'all', 1, 'agenda', 'left', 'agenda', NULL, 90, NULL, NULL, 170, '/categories/index.php?mainmenu=agenda&amp;leftmenu=agenda&type=10', '', 'Categories', 'agenda', NULL, '$user->rights->agenda->allactions->read', '$conf->categorie->enabled&&$conf->categorie->enabled', 2, '2020-07-09 18:52:52'),
(104, 'all', 1, 'barcode', 'left', 'tools', 'barcodeprint', -1, 'tools', NULL, 200, '/barcode/printsheet.php?mainmenu=tools&leftmenu=barcodeprint', '', 'BarCodePrintsheet', 'products', NULL, '($conf->global->MAIN_USE_ADVANCED_PERMS && $user->rights->barcode->lire_advance) || (! $conf->global->MAIN_USE_ADVANCED_PERMS)', '$conf->barcode->enabled', 2, '2020-07-09 18:52:52'),
(105, 'all', 1, 'barcode', 'left', 'home', NULL, -1, 'home', 'admintools', 300, '/barcode/codeinit.php?mainmenu=home&leftmenu=admintools', '', 'MassBarcodeInit', 'products', NULL, '($conf->global->MAIN_USE_ADVANCED_PERMS && $user->rights->barcode->creer_advance) || (! $conf->global->MAIN_USE_ADVANCED_PERMS)', '$conf->barcode->enabled && preg_match(\'/^(admintools|all)/\',$leftmenu)', 0, '2020-07-09 18:52:52'),
(106, 'all', 1, 'cron', 'left', 'home', NULL, -1, 'home', 'admintools', 200, '/cron/list.php?leftmenu=admintools', '', 'CronList', 'cron', NULL, '$user->rights->cron->read', '$conf->cron->enabled && preg_match(\'/^(admintools|all)/\', $leftmenu)', 2, '2020-07-09 18:52:52'),
(107, 'all', 1, 'ecm', 'top', 'ecm', NULL, 0, NULL, NULL, 82, '/ecm/index.php', '', 'MenuECM', 'ecm', NULL, '$user->rights->ecm->read || $user->rights->ecm->upload || $user->rights->ecm->setup', '$conf->ecm->enabled', 2, '2020-07-09 18:52:53'),
(108, 'all', 1, 'ecm', 'left', 'ecm', 'ecm', -1, 'ecm', NULL, 101, '/ecm/index.php?mainmenu=ecm&leftmenu=ecm', '', 'ECMArea', 'ecm', NULL, '$user->rights->ecm->read || $user->rights->ecm->upload', '$user->rights->ecm->read || $user->rights->ecm->upload', 2, '2020-07-09 18:52:53'),
(109, 'all', 1, 'ecm', 'left', 'ecm', 'ecm_manual', -1, 'ecm', 'ecm', 102, '/ecm/index.php?action=file_manager&mainmenu=ecm&leftmenu=ecm', '', 'ECMSectionsManual', 'ecm', NULL, '$user->rights->ecm->read || $user->rights->ecm->upload', '$user->rights->ecm->read || $user->rights->ecm->upload', 2, '2020-07-09 18:52:53'),
(110, 'all', 1, 'ecm', 'left', 'ecm', NULL, -1, 'ecm', 'ecm', 103, '/ecm/index_auto.php?action=file_manager&mainmenu=ecm&leftmenu=ecm', '', 'ECMSectionsAuto', 'ecm', NULL, '$user->rights->ecm->read || $user->rights->ecm->upload', '($user->rights->ecm->read || $user->rights->ecm->upload) && ! empty($conf->global->ECM_AUTO_TREE_ENABLED)', 2, '2020-07-09 18:52:53');
