
-- --------------------------------------------------------

--
-- Structure de la table `llx_facture`
--

CREATE TABLE `llx_facture` (
  `rowid` int(11) NOT NULL,
  `ref` varchar(30) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref_ext` varchar(255) DEFAULT NULL,
  `ref_int` varchar(255) DEFAULT NULL,
  `ref_client` varchar(255) DEFAULT NULL,
  `type` smallint(6) NOT NULL DEFAULT '0',
  `increment` varchar(10) DEFAULT NULL,
  `fk_soc` int(11) NOT NULL,
  `datec` datetime DEFAULT NULL,
  `datef` date DEFAULT NULL,
  `date_pointoftax` date DEFAULT NULL,
  `date_valid` date DEFAULT NULL,
  `date_closing` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `paye` smallint(6) NOT NULL DEFAULT '0',
  `amount` double(24,8) NOT NULL DEFAULT '0.00000000',
  `remise_percent` double DEFAULT '0',
  `remise_absolue` double DEFAULT '0',
  `remise` double DEFAULT '0',
  `close_code` varchar(16) DEFAULT NULL,
  `close_note` varchar(128) DEFAULT NULL,
  `tva` double(24,8) DEFAULT '0.00000000',
  `localtax1` double(24,8) DEFAULT '0.00000000',
  `localtax2` double(24,8) DEFAULT '0.00000000',
  `revenuestamp` double(24,8) DEFAULT '0.00000000',
  `total` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT '0.00000000',
  `fk_statut` smallint(6) NOT NULL DEFAULT '0',
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `fk_user_closing` int(11) DEFAULT NULL,
  `fk_facture_source` int(11) DEFAULT NULL,
  `fk_projet` int(11) DEFAULT NULL,
  `fk_account` int(11) DEFAULT NULL,
  `fk_currency` varchar(3) DEFAULT NULL,
  `fk_cond_reglement` int(11) NOT NULL DEFAULT '1',
  `fk_mode_reglement` int(11) DEFAULT NULL,
  `date_lim_reglement` date DEFAULT NULL,
  `note_private` text,
  `note_public` text,
  `model_pdf` varchar(255) DEFAULT NULL,
  `fk_incoterms` int(11) DEFAULT NULL,
  `location_incoterms` varchar(255) DEFAULT NULL,
  `situation_cycle_ref` smallint(6) DEFAULT NULL,
  `situation_counter` smallint(6) DEFAULT NULL,
  `situation_final` smallint(6) DEFAULT NULL,
  `retained_warranty` double DEFAULT NULL,
  `retained_warranty_date_limit` date DEFAULT NULL,
  `retained_warranty_fk_cond_reglement` int(11) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `extraparams` varchar(255) DEFAULT NULL,
  `fk_multicurrency` int(11) DEFAULT NULL,
  `multicurrency_code` varchar(255) DEFAULT NULL,
  `multicurrency_tx` double(24,8) DEFAULT '1.00000000',
  `multicurrency_total_ht` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_tva` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_ttc` double(24,8) DEFAULT '0.00000000',
  `fk_fac_rec_source` int(11) DEFAULT NULL,
  `last_main_doc` varchar(255) DEFAULT NULL,
  `module_source` varchar(32) DEFAULT NULL,
  `pos_source` varchar(32) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Déchargement des données de la table `llx_facture`
--

INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1, 'FA1708-0001', 1, NULL, NULL, 'REGIE - Réaménagement Local', 0, NULL, 2064, '2017-08-23 10:59:24', '2017-08-23', NULL, '2017-08-23', NULL, '2017-10-30 08:11:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 876.03000000, 0.00000000, 0.00000000, 0.00000000, 4380.12000000, 5256.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', 'EN REGIE', 'R&eacute;amenagement local technique compresseur - Remis en place Kaeser avec secheur- deplacement L80 - Armoire avec sectionneur + cable alimentation TGBT + &nbsp;Raccordement en inox 54 &amp; 42 - creation d&#39;un piquage AC pour alimentation passerelle .&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4380.12000000, 876.03000000, 5256.15000000, NULL, NULL, NULL, NULL),
(2, 'FA1708-0002', 1, NULL, NULL, 'Pb variateur L37RS', 0, NULL, 2352, '2017-08-23 11:49:54', '2017-08-23', NULL, '2017-08-23', NULL, '2017-10-03 07:52:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 134.31000000, 0.00000000, 0.00000000, 0.00000000, 671.56000000, 805.87000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Probleme compresseur L37RS N&deg; CD10019189001 &agrave; 5116 HRS - Variateur de fr&eacute;quence d&eacute;faillant pris en garantie ASSURE COMPAIR - Pr&eacute;t Gratuit d&#39;un compresseur en d&eacute;pannage ROLLAIR50', 'crabe_deposit_on_total_block', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 671.56000000, 134.31000000, 805.87000000, NULL, NULL, NULL, NULL),
(4, 'FA1708-0003', 1, NULL, NULL, 'S98117073053GG', 0, NULL, 2054, '2017-08-23 14:47:22', '2017-08-23', NULL, '2017-08-23', NULL, '2017-09-11 14:21:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 5700.00000000, 0.00000000, 0.00000000, 0.00000000, 28500.00000000, 34200.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2017-08-24', NULL, 'Fourniture et raccordement L55RS&nbsp;<br />\r\nLivraison COOPERATIVE LA DAUPHINOISE &nbsp;SITE SCES BLE CHEMIN DU POULOUX 38270 BEAUREPAIRE<br />\r\nCommande S981 1707 3053 GG', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 28500.00000000, 5700.00000000, 34200.00000000, NULL, NULL, NULL, NULL),
(5, 'FA1708-0004', 1, NULL, NULL, NULL, 0, NULL, 2054, '2017-08-23 15:40:47', '2017-08-23', NULL, '2017-08-23', NULL, '2017-09-11 14:21:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 3199.99000000, 0.00000000, 0.00000000, 0.00000000, 16000.00000000, 19199.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2017-08-24', NULL, 'Founiture et raccordement compresseur &agrave; vis lubrifi&eacute;e Vitesse variable L26RS COMPAIR<br />\r\nLivraison : COOPERATIVE LA DAUPHINOISE Site Sces MAIS CHEMIN DU POULOUX 38270 BEAUREPAIRE<br />\r\nCommande N&deg;S98217073052GG', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 16000.00000000, 3199.99000000, 19199.99000000, NULL, NULL, NULL, NULL),
(6, 'FA1708-0005', 1, NULL, NULL, 's98117061015', 0, NULL, 2054, '2017-08-23 16:16:54', '2017-08-23', NULL, '2017-08-23', NULL, '2017-10-17 08:04:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 193.72000000, 0.00000000, 0.00000000, 0.00000000, 968.55000000, 1162.27000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Maintenance compresseur MACOSULLAIR WA3008V -<br />\r\nLivraison : COOPERATIVE DAUPHINOISE Site Sce Bl&eacute; 2 calibrage - Chemin du Pouloux 38270 BEAUREPAIRE<br />\r\nCOmmande N&deg; S98117061015', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 968.55000000, 193.72000000, 1162.27000000, NULL, NULL, NULL, NULL),
(8, 'FA1708-0006', 1, NULL, NULL, 'Commande N°2017/1', 0, NULL, 2118, '2017-08-24 11:00:24', '2017-08-24', NULL, '2017-08-24', NULL, '2017-12-13 10:11:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2600.00000000, 0.00000000, 0.00000000, 0.00000000, 13000.00000000, 15600.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Compresseur COMPAIR L11 à vis de 11KW 10 BARS avec filtration , sécheur et traitement de condensats avec reprise compléte du local-<br />\r\nCommande N°2017/1', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 13000.00000000, 2600.00000000, 15600.00000000, NULL, NULL, NULL, NULL),
(9, 'FA1708-0007', 1, NULL, NULL, 'Maintenance RS TOP11', 0, NULL, 2163, '2017-08-24 11:54:45', '2017-08-24', NULL, '2017-08-24', NULL, '2017-10-02 08:31:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 110.23000000, 0.00000000, 0.00000000, 0.00000000, 551.13000000, 661.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Maintenance compresseur RENNER RS TOP 11 N&deg; 438079 &agrave; 1793 HRS -<br />\r\nBL N&deg; 45 du 21/08/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 551.13000000, 110.23000000, 661.36000000, NULL, NULL, NULL, NULL),
(10, 'FA1708-0008', 1, NULL, NULL, 'maintenance 6020elx', 0, NULL, 2239, '2017-08-24 15:30:23', '2017-08-24', NULL, '2017-08-24', NULL, '2017-10-03 07:53:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 199.22000000, 0.00000000, 0.00000000, 0.00000000, 996.14000000, 1195.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Maintenance COmpresseur LUCHARD COMPAIR 6020ELX07BE &agrave; 3457 HRS et filtres reseaux<br />\r\nBL N&deg; 43 du 01/08/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 996.14000000, 199.22000000, 1195.36000000, NULL, NULL, NULL, NULL),
(11, 'FA1708-0009', 1, NULL, NULL, '4800268294', 0, NULL, 2234, '2017-08-24 16:08:04', '2017-08-24', NULL, '2017-08-24', NULL, '2017-10-31 08:11:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 455.03000000, 0.00000000, 0.00000000, 0.00000000, 2275.12000000, 2730.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Maintenance L45RS N&deg; CD10005658001 &agrave; 48395 HRS &amp; remplacement accouplement .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2275.12000000, 455.03000000, 2730.15000000, NULL, NULL, NULL, NULL),
(12, 'FA1708-0010', 1, NULL, NULL, 'Carte L11', 0, NULL, 2263, '2017-08-24 16:49:32', '2017-08-24', NULL, '2017-08-24', NULL, '2017-10-06 07:14:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 66.50000000, 0.00000000, 0.00000000, 0.00000000, 332.50000000, 399.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 332.50000000, 66.50000000, 399.00000000, NULL, NULL, NULL, NULL),
(13, 'FA1708-0011', 1, NULL, NULL, 'hv04', 0, NULL, 2285, '2017-08-25 10:19:06', '2017-08-25', NULL, '2017-08-25', NULL, '2017-10-20 10:01:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 127.37000000, 0.00000000, 0.00000000, 0.00000000, 636.84000000, 764.21000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Maintenance HV04 N&deg; V040013080803 &agrave; 5621 HRS&nbsp;<br />\r\nsuivant BL N&deg;16 du 10/08/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 636.84000000, 127.37000000, 764.21000000, NULL, NULL, NULL, NULL),
(14, 'FA1708-0012', 1, NULL, NULL, NULL, 0, NULL, 2285, '2017-08-25 10:56:57', '2017-08-25', NULL, '2017-08-25', NULL, '2017-10-20 10:01:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 89.97000000, 0.00000000, 0.00000000, 0.00000000, 449.84000000, 539.81000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Maintenance L15 N&deg;349015/1508 &agrave; 31300 HRS<br />\r\nBL N&deg; 17 du 10/08/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 449.84000000, 89.97000000, 539.81000000, NULL, NULL, NULL, NULL),
(15, 'FA1708-0013', 1, NULL, NULL, 'surpresseurs', 0, NULL, 2285, '2017-08-25 11:49:40', '2017-08-25', NULL, '2017-08-25', NULL, '2017-10-31 08:14:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 389.89000000, 0.00000000, 0.00000000, 0.00000000, 1949.45000000, 2339.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Maintenance des deux surpresseurs pedrogil N&deg; 13250 &amp; 13251<br />\r\nselon BL n&deg; 18 du 10/08/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1949.45000000, 389.89000000, 2339.34000000, NULL, NULL, NULL, NULL),
(16, 'FA1708-0014', 1, NULL, NULL, '355 DU 31/07/2017', 0, NULL, 11441, '2017-08-25 12:13:26', '2017-08-25', NULL, '2017-08-25', NULL, '2017-10-16 07:36:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 79.34000000, 0.00000000, 0.00000000, 0.00000000, 396.69000000, 476.03000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'COMMANDE 355 DU 31/07/2017&nbsp;<br />\r\nAFF 950<br />\r\nQUENTIN FOSSET', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 396.69000000, 79.34000000, 476.03000000, NULL, NULL, NULL, NULL),
(17, 'FA1708-0015', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2017-08-25 16:15:37', '2017-08-01', NULL, '2017-08-25', NULL, '2017-09-11 14:23:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-08-31', NULL, '23 eme Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(18, 'FA1708-0016', 1, NULL, NULL, NULL, 0, NULL, 2102, '2017-08-28 11:33:37', '2017-08-28', NULL, '2017-08-28', NULL, '2017-10-30 08:15:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 12.77000000, 0.00000000, 0.00000000, 0.00000000, 63.84000000, 76.61000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Intervention filtre réseau - remplacement flotteur<br />\r\nBl N° 47 du 22/08/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 63.84000000, 12.77000000, 76.61000000, NULL, NULL, NULL, NULL),
(19, 'FA1708-0017', 1, NULL, NULL, 'reservoir 500Litres', 0, NULL, 12609, '2017-08-28 11:58:31', '2017-08-28', NULL, '2017-08-28', NULL, '2017-09-12 07:50:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 107.60000000, 0.00000000, 0.00000000, 0.00000000, 538.00000000, 645.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Fourniture reservoir 500Litres &eacute;quip&eacute;&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 538.00000000, 107.60000000, 645.60000000, NULL, NULL, NULL, NULL),
(20, 'FA1708-0018', 1, NULL, NULL, NULL, 0, NULL, 2169, '2017-08-28 14:10:15', '2017-08-28', NULL, '2017-08-28', NULL, '2017-10-06 07:13:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 105.77000000, 0.00000000, 0.00000000, 0.00000000, 528.86000000, 634.63000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Remplacement flexible sur compresseur BOTTARINI', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 528.86000000, 105.77000000, 634.63000000, NULL, NULL, NULL, NULL),
(21, 'FA1708-0019', 1, NULL, NULL, '2017/08408', 0, NULL, 2197, '2017-08-28 14:38:51', '2017-08-28', NULL, '2017-08-28', NULL, '2017-10-31 08:07:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Dossier Sebm et Technocolor', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(22, 'FA1708-0020', 1, NULL, NULL, NULL, 0, NULL, 11435, '2017-08-28 15:29:10', '2017-08-28', NULL, '2017-08-28', NULL, '2017-11-06 08:18:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 42.87000000, 0.00000000, 0.00000000, 0.00000000, 214.36000000, 257.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Remplacement filtre reseau charbon actif - r&eacute;alisation des travaux en m&ecirc;me temps que le remplacement de la bague &agrave; l&eacute;vres &nbsp;prise en garantie&nbsp;<br />\r\nSuivant Bon de livraison N&deg; 46 du 03/08/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.36000000, 42.87000000, 257.23000000, NULL, NULL, NULL, NULL),
(23, 'FA1708-0021', 1, NULL, NULL, 'Location N²', 0, NULL, 2190, '2017-08-29 08:57:22', '2017-08-29', NULL, '2017-08-29', NULL, '2017-11-16 12:59:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 3.71000000, 0.00000000, 0.00000000, 0.00000000, 18.54000000, 22.25000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Location bouteille 100% N&sup2;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 18.54000000, 3.71000000, 22.25000000, NULL, NULL, NULL, NULL),
(24, 'FA1708-0022', 1, NULL, NULL, NULL, 0, NULL, 12608, '2017-08-29 09:50:06', '2017-08-29', NULL, '2017-08-29', NULL, '2017-10-17 08:03:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 860.00000000, 0.00000000, 0.00000000, 0.00000000, 4300.00000000, 5160.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Commandes: CO1708-0004', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4300.00000000, 860.00000000, 5160.00000000, NULL, NULL, NULL, NULL),
(25, 'FA1708-0023', 1, NULL, NULL, 'trx elec', 0, NULL, 2383, '2017-08-29 10:51:11', '2017-08-29', NULL, '2017-08-29', NULL, '2017-11-10 08:47:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 698.82000000, 0.00000000, 0.00000000, 0.00000000, 3494.10000000, 4192.92000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Travaux electrique sur deplacement canalis et divers', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3494.10000000, 698.82000000, 4192.92000000, NULL, NULL, NULL, NULL),
(26, 'FA1708-0024', 1, NULL, NULL, 'L15RS', 0, NULL, 2379, '2017-08-29 11:13:08', '2017-08-29', NULL, '2017-08-29', NULL, '2017-10-02 08:27:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 137.10000000, 0.00000000, 0.00000000, 0.00000000, 685.53000000, 822.63000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Maintenance L15RS N&deg;CD1002489002 &agrave; 2434 HRS- maintenace separateur de condensats owamat 10 et remplacement cartouches des 2 filtres reseaux - recyclage des anciens consommables<br />\r\nBL N&deg; 48 du 11/08/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 685.53000000, 137.10000000, 822.63000000, NULL, NULL, NULL, NULL),
(28, 'FA1708-0025', 1, NULL, NULL, NULL, 0, NULL, 2062, '2017-08-29 11:21:19', '2017-08-29', NULL, '2017-08-29', NULL, '2017-10-02 08:32:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 283.19000000, 0.00000000, 0.00000000, 0.00000000, 1415.98000000, 1699.17000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Remise en place LOCAL AC', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1415.98000000, 283.19000000, 1699.17000000, NULL, NULL, NULL, NULL),
(29, 'FA1708-0026', 1, NULL, NULL, NULL, 0, NULL, 11435, '2017-08-29 11:25:13', '2017-08-29', NULL, '2017-08-29', NULL, '2017-10-31 10:12:17', 0, 0.00000000, NULL, NULL, 0, 'abandon', 'erreur double facturation', 42.87000000, 0.00000000, 0.00000000, 0.00000000, 214.36000000, 257.23000000, 3, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Remplacement filtre reseau charbon actif - r&eacute;alisation des travaux en m&ecirc;me temps que le remplacement de la bague &agrave; l&eacute;vres &nbsp;prise en garantie&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.36000000, 42.87000000, 257.23000000, NULL, NULL, NULL, NULL),
(30, 'FA1708-0027', 1, NULL, NULL, 'commande du 30/08/2017', 0, NULL, 2388, '2017-08-30 11:26:34', '2017-08-30', NULL, '2017-08-30', NULL, '2017-10-06 07:15:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 17.04000000, 0.00000000, 0.00000000, 0.00000000, 85.17000000, 102.21000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Suivant BL N&deg; 21 du 30/08/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 85.17000000, 17.04000000, 102.21000000, NULL, NULL, NULL, NULL),
(31, 'FA1708-0028', 1, NULL, NULL, '904295374-0-10760', 0, NULL, 2407, '2017-08-30 14:31:24', '2017-08-30', NULL, '2017-08-30', NULL, '2017-10-31 08:04:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 131.90000000, 0.00000000, 0.00000000, 0.00000000, 659.52000000, 791.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Commande N&deg;904295374-0-10760', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 659.52000000, 131.90000000, 791.42000000, NULL, NULL, NULL, NULL),
(32, 'FA1708-0029', 1, NULL, NULL, 'l80 - membrane', 0, NULL, 2064, '2017-08-30 15:34:17', '2017-08-30', NULL, '2017-08-30', NULL, '2017-10-30 08:11:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 97.92000000, 0.00000000, 0.00000000, 0.00000000, 489.58000000, 587.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Remplacement membrane sur compresseur L80 N&deg; CD10000635001 &agrave; 29225 Hrs', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 489.58000000, 97.92000000, 587.50000000, NULL, NULL, NULL, NULL),
(33, 'FA1708-0030', 1, NULL, NULL, NULL, 0, NULL, 2071, '2017-08-30 16:36:50', '2017-08-30', NULL, '2017-08-30', NULL, '2017-10-06 07:16:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 182.91000000, 0.00000000, 0.00000000, 0.00000000, 914.58000000, 1097.49000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Maintenance compresseur BOGE &amp; HV05 selon BL N&deg; 28 &amp; 29 du 28/08/2017 -<br />\r\nRemise sp&eacute;ciale Alain Balazard -100 &euro;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 914.58000000, 182.91000000, 1097.49000000, NULL, NULL, NULL, NULL),
(34, 'FA1708-0031', 1, NULL, NULL, 'reseau electrique', 0, NULL, 2383, '2017-08-31 09:11:04', '2017-08-31', NULL, '2017-08-31', NULL, '2017-11-10 08:47:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 63.29000000, 0.00000000, 0.00000000, 0.00000000, 316.47000000, 379.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-09-30', NULL, 'Intervention sur reseau electrique suite &agrave; un incendie sur machine N&deg;37&nbsp;<br />\r\nselon BL N&deg; 3 du 29/08/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 316.47000000, 63.29000000, 379.76000000, NULL, NULL, NULL, NULL),
(35, 'FA1708-0032', 1, NULL, NULL, 'AUTOREEL', 0, NULL, 12613, '2017-08-31 09:37:37', '2017-08-31', NULL, '2017-08-31', NULL, '2017-10-09 13:55:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.00000000, 0.00000000, 0.00000000, 0.00000000, 225.00000000, 270.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2017-09-01', NULL, 'Fourniture un enrouleur en promotion -&nbsp;<br />\r\nLivraison par Mr BALAZARD ce jour&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 225.00000000, 45.00000000, 270.00000000, NULL, NULL, NULL, NULL),
(36, 'FA1708-0033', 1, NULL, NULL, 'MB20170705161', 0, NULL, 2286, '2017-09-04 10:22:25', '2017-08-31', NULL, '2017-09-04', NULL, '2017-10-18 07:17:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1079.00000000, 0.00000000, 0.00000000, 0.00000000, 5395.00000000, 6474.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 8, 2, '2017-09-01', NULL, 'Groupe Froid TAE EVO Tech 20STD - r&eacute;cup&eacute;rer par vos soins &agrave; l&#39;usine<br />\r\n<br />\r\n<br />\r\nPaiement en 3 fois sans frais accord Mr Balazard :&nbsp;<br />\r\n40% &agrave; la commande&nbsp;<br />\r\n30% le 1er septembre 2017<br />\r\n30% le 1er Octobre 2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5395.00000000, 1079.00000000, 6474.00000000, NULL, NULL, NULL, NULL),
(37, 'AC1707-0001', 1, NULL, NULL, NULL, 3, NULL, 12585, '2017-09-08 10:04:46', '2017-07-25', NULL, '2017-09-08', NULL, '2017-11-09 15:49:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1650.00000000, 1650.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2017-07-26', NULL, 'Proposition air comprim&eacute; :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1650.00000000, 0.00000000, 1650.00000000, NULL, NULL, NULL, NULL),
(41, 'FA17/09-0001', 1, NULL, NULL, NULL, 0, NULL, 12585, '2017-09-08 10:25:17', '2017-09-08', NULL, '2017-10-13', NULL, '2017-10-18 07:16:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 637.06000000, 0.00000000, 0.00000000, 0.00000000, 3185.30000000, 3822.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2017-10-08', NULL, 'Proposition air comprim&eacute; :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3185.30000000, 637.06000000, 3822.36000000, NULL, NULL, NULL, NULL),
(42, 'FA17/09-0002', 1, NULL, NULL, NULL, 0, NULL, 2197, '2017-09-08 11:21:24', '2017-09-08', NULL, '2017-09-08', NULL, '2017-09-13 08:46:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1900.00000000, 0.00000000, 0.00000000, 0.00000000, 9500.00000000, 11400.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2017-09-09', 'financement en locam', 'DOssier 2783347 - EARL ST PIERRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 9500.00000000, 1900.00000000, 11400.00000000, NULL, NULL, NULL, NULL),
(43, 'FA17/09-0003', 1, NULL, NULL, '507697', 0, NULL, 2123, '2017-09-08 14:32:51', '2017-09-08', NULL, '2017-09-08', NULL, '2017-11-16 13:01:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.00000000, 0.00000000, 0.00000000, 0.00000000, 225.00000000, 270.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Enrouleur autoreel&nbsp;<br />\r\nCommande 507697<br />\r\nBl N&deg;13 du 31/08/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 225.00000000, 45.00000000, 270.00000000, NULL, NULL, NULL, NULL),
(44, 'FA17/09-0004', 1, NULL, NULL, '507657', 0, NULL, 2123, '2017-09-08 14:39:33', '2017-09-08', NULL, '2017-09-08', NULL, '2017-11-16 13:01:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 55.40000000, 0.00000000, 0.00000000, 0.00000000, 277.00000000, 332.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Enrouleurs&nbsp;<br />\r\nSuivant commande N&deg; 507657<br />\r\nBL N&deg;12 du 31/08/2017<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 277.00000000, 55.40000000, 332.40000000, NULL, NULL, NULL, NULL),
(45, 'FA17/09-0005', 1, NULL, NULL, NULL, 0, NULL, 2153, '2017-09-11 13:56:53', '2017-09-11', NULL, '2017-09-11', NULL, '2017-10-17 08:04:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 183.37000000, 0.00000000, 0.00000000, 0.00000000, 916.83000000, 1100.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Changement vanne thermostatique sur compresseur 6020 ELX 09BE :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 916.83000000, 183.37000000, 1100.20000000, NULL, NULL, NULL, NULL),
(46, 'FA17/09-0006', 1, NULL, NULL, NULL, 0, NULL, 2095, '2017-09-11 14:15:56', '2017-09-11', NULL, '2017-09-11', NULL, '2017-11-07 08:22:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 188.80000000, 0.00000000, 0.00000000, 0.00000000, 944.01000000, 1132.81000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2017-10-31', NULL, 'Maintenance Compresseur STAR 2008 &agrave; 15196 HRS et Genesis1508 &agrave; 13855 HRS&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 944.01000000, 188.80000000, 1132.81000000, NULL, NULL, NULL, NULL),
(47, 'FA17/09-0007', 1, NULL, NULL, NULL, 0, NULL, 2095, '2017-09-11 14:22:33', '2017-09-11', NULL, '2017-09-11', NULL, '2017-11-07 08:22:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 85.80000000, 0.00000000, 0.00000000, 0.00000000, 429.00000000, 514.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2017-10-31', 'commande tel du 30/08/2017 A arthur', '2 ponceuses orbitales :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 429.00000000, 85.80000000, 514.80000000, NULL, NULL, NULL, NULL),
(48, 'FA17/09-0008', 1, NULL, NULL, NULL, 0, NULL, 7060, '2017-09-12 09:11:55', '2017-09-12', NULL, '2017-09-12', NULL, '2017-10-09 07:37:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 219.25000000, 0.00000000, 0.00000000, 0.00000000, 1096.26000000, 1315.51000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2017-10-31', NULL, 'Maintenance Local technique : Maintenance compresseur SULLAIR TREK30HH &amp; compresseur Silpack 10 et 2 filtres reseaux -<br />\r\nSoufflage et verification des connection du s&eacute;cheur &nbsp;ACT55 .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1096.26000000, 219.25000000, 1315.51000000, NULL, NULL, NULL, NULL),
(49, 'FA17/09-0009', 1, NULL, NULL, NULL, 0, NULL, 7060, '2017-09-12 09:18:31', '2017-09-12', NULL, '2017-09-12', NULL, '2017-10-09 07:37:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 203.17000000, 0.00000000, 0.00000000, 0.00000000, 1015.87000000, 1219.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2017-10-31', NULL, 'Remplacement d&#39;une cuve 500Litres en lieu et place de l&#39;existante :&nbsp;<br />\r\nBL N&deg; 4 du 31/08/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1015.87000000, 203.17000000, 1219.04000000, NULL, NULL, NULL, NULL),
(50, 'FA17/09-0010', 1, NULL, NULL, NULL, 0, NULL, 2184, '2017-09-12 09:33:10', '2017-09-12', NULL, '2017-09-12', NULL, '2018-01-12 08:52:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 37.18000000, 0.00000000, 0.00000000, 0.00000000, 185.88000000, 223.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 2, '2017-10-12', NULL, 'Intervention sur sécheur COMPAIR F84C N°1412MA7895 suivant BL N°1 du 12/07/2017<br />\r\n<br />\r\nPO N°7000580783', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 185.88000000, 37.18000000, 223.06000000, NULL, NULL, NULL, NULL),
(51, 'FA17/09-0011', 1, NULL, NULL, NULL, 0, NULL, 12596, '2017-09-12 10:34:20', '2017-09-12', NULL, '2017-09-12', NULL, '2017-10-26 11:15:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 115.57000000, 0.00000000, 0.00000000, 0.00000000, 577.84000000, 693.41000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2017-10-31', NULL, 'Maintenance compresseur BEL AIR E07 EN &agrave; 7655HRS et filtres reseaux :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 577.84000000, 115.57000000, 693.41000000, NULL, NULL, NULL, NULL),
(52, 'FA17/09-0012', 1, NULL, NULL, NULL, 0, NULL, 12609, '2017-09-12 14:30:22', '2017-09-12', NULL, '2017-09-12', NULL, '2017-11-28 08:11:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 41.20000000, 0.00000000, 0.00000000, 0.00000000, 206.00000000, 247.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2017-10-31', NULL, 'Fourniture enrouleurs selon BL N° 11 du 31/08/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 206.00000000, 41.20000000, 247.20000000, NULL, NULL, NULL, NULL),
(53, 'FA17/09-0013', 1, NULL, NULL, NULL, 0, NULL, 2286, '2017-09-12 14:49:05', '2017-09-12', NULL, '2017-09-12', NULL, '2017-10-18 07:17:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 30.59000000, 0.00000000, 0.00000000, 0.00000000, 152.95000000, 183.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Rouleau de natte filtrante', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 152.95000000, 30.59000000, 183.54000000, NULL, NULL, NULL, NULL),
(54, 'FA17/09-0014', 1, NULL, NULL, NULL, 0, NULL, 12612, '2017-09-12 15:03:26', '2017-09-12', NULL, '2017-09-12', NULL, '2017-10-06 07:12:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 102.00000000, 0.00000000, 0.00000000, 0.00000000, 510.00000000, 612.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2017-10-12', NULL, 'Compresseur &agrave; piston COMPAIR - Garantie TOTALE 2 ANS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 510.00000000, 102.00000000, 612.00000000, NULL, NULL, NULL, NULL),
(55, 'FA17/09-0015', 1, NULL, NULL, NULL, 0, NULL, 2030, '2017-09-12 15:12:19', '2017-09-12', NULL, '2017-09-12', NULL, '2017-11-10 08:48:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 47.60000000, 0.00000000, 0.00000000, 0.00000000, 238.00000000, 285.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'R&eacute;paration Cl&eacute; &agrave; chocs PAOLI DP320<br />\r\nBL N&deg; 22 du 12/09/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 238.00000000, 47.60000000, 285.60000000, NULL, NULL, NULL, NULL),
(56, 'FA17/09-0016', 1, NULL, NULL, NULL, 0, NULL, 2234, '2017-09-12 15:34:13', '2017-09-12', NULL, '2017-09-12', NULL, '2017-10-02 08:30:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 176.32000000, 0.00000000, 0.00000000, 0.00000000, 881.59000000, 1057.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Maintenance Compresseur L45RS N° CD10005658001 à 50 413 HEuresselon BL N° 26 du 24/08/2017<br />\r\n<br />\r\nCommande N° 4800269371', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 881.59000000, 176.32000000, 1057.91000000, NULL, NULL, NULL, NULL),
(57, 'FA17/09-0017', 1, NULL, NULL, NULL, 0, NULL, 2350, '2017-09-12 15:40:38', '2017-09-12', NULL, '2017-09-12', NULL, '2017-11-03 07:59:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 31.00000000, 0.00000000, 0.00000000, 0.00000000, 155.02000000, 186.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, '2 Distributeurs pneumatique CAMOZZI  -  5 / 2  -  Réf 458 - 011 -22<br />\r\n<br />\r\nLIVRAION SH1709-0024 du 12/09/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 155.02000000, 31.00000000, 186.02000000, NULL, NULL, NULL, NULL),
(58, 'FA17/09-0018', 1, NULL, NULL, 'separateur', 0, NULL, 12581, '2017-09-14 11:00:52', '2017-09-14', NULL, '2017-09-14', NULL, '2017-11-06 08:15:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 27.56000000, 0.00000000, 0.00000000, 0.00000000, 137.81000000, 165.37000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2017-10-31', NULL, 'Changement separateur sur compresseur ATLAS GA15FF N&deg; API329281 &agrave; 2788HRS et soufflage des radiateur :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 137.81000000, 27.56000000, 165.37000000, NULL, NULL, NULL, NULL),
(59, 'FA17/09-0019', 1, NULL, NULL, 'CONTRAT LISSE', 0, NULL, 2321, '2017-09-15 10:20:00', '2017-09-15', NULL, '2017-09-15', NULL, '2017-11-16 13:01:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 157.44000000, 0.00000000, 0.00000000, 0.00000000, 787.14000000, 944.58000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', 'CONTRAT LISE&nbsp;', 'Maintenance L15 &nbsp;&agrave; 1556 HRS suivant contrat liss&eacute;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 787.14000000, 157.44000000, 944.58000000, NULL, NULL, NULL, NULL),
(60, 'FA17/09-0020', 1, NULL, NULL, 'reservoir 500Litres', 0, NULL, 2189, '2017-09-15 10:26:10', '2017-09-15', NULL, '2017-09-15', NULL, '2017-11-02 17:06:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 173.54000000, 0.00000000, 0.00000000, 0.00000000, 867.70000000, 1041.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Fourniture reservoir 500Litres en lieu et place de l&#39;existant :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 867.70000000, 173.54000000, 1041.24000000, NULL, NULL, NULL, NULL),
(61, 'FA17/09-0021', 1, NULL, NULL, NULL, 0, NULL, 2189, '2017-09-15 10:36:12', '2017-09-15', NULL, '2017-09-15', NULL, '2017-11-02 17:06:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 74.63000000, 0.00000000, 0.00000000, 0.00000000, 373.17000000, 447.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Maintenance L11 N&deg;349027/4810 &agrave; 2610 HRS suivant BL N&deg; 33 du 13/09/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 373.17000000, 74.63000000, 447.80000000, NULL, NULL, NULL, NULL),
(62, 'FA17/09-0022', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2017-09-15 10:55:26', '2017-09-15', NULL, '2017-09-15', NULL, '2017-09-18 15:25:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(63, 'FA17/09-0023', 1, NULL, NULL, 'muraspirant', 0, NULL, 9822, '2017-09-15 11:31:34', '2017-09-15', NULL, '2017-09-15', NULL, '2017-11-20 08:51:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 969.10000000, 0.00000000, 0.00000000, 0.00000000, 4845.50000000, 5814.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Installation mur apsirant et petite hotte d&#39;aspiration ( rejet exterieur ) + vmc cabine&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4845.50000000, 969.10000000, 5814.60000000, NULL, NULL, NULL, NULL),
(64, 'AV17/09-0001', 1, NULL, NULL, NULL, 2, NULL, 2407, '2017-09-15 14:40:21', '2017-09-15', NULL, '2017-09-15', NULL, '2019-02-21 15:13:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -67.70000000, 0.00000000, 0.00000000, 0.00000000, -338.50000000, -406.20000000, 2, 5, NULL, 5, NULL, 31, NULL, NULL, NULL, 0, 2, '2017-09-15', NULL, 'AVoir retour du s&eacute;parateur&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -338.50000000, -67.70000000, -406.20000000, NULL, NULL, NULL, NULL),
(65, 'FA17/09-0024', 1, NULL, NULL, 'rsdktop 7.5', 0, NULL, 2005, '2017-09-19 09:33:41', '2017-09-19', NULL, '2017-09-19', NULL, '2017-10-19 15:17:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 102.63000000, 0.00000000, 0.00000000, 0.00000000, 513.13000000, 615.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 2, '2017-10-19', NULL, 'Maintenance RSDK TOP 7.5 &nbsp;N&deg;419072 &agrave; 624 HRS et remise &agrave; niveau huile piston Devilbiss :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 513.13000000, 102.63000000, 615.76000000, NULL, NULL, NULL, NULL),
(66, 'FA17/09-0025', 1, NULL, NULL, NULL, 0, NULL, 1996, '2017-09-19 10:29:59', '2017-09-19', NULL, '2017-09-19', NULL, '2017-11-06 08:13:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 227.69000000, 0.00000000, 0.00000000, 0.00000000, 1138.50000000, 1366.19000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Depannage compresseur L15 et L18 + maintenance complete L15', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1138.50000000, 227.69000000, 1366.19000000, NULL, NULL, NULL, NULL),
(67, 'FA17/09-0026', 1, NULL, NULL, 'PO7000583858', 0, NULL, 2184, '2017-09-19 14:43:44', '2017-09-19', NULL, '2017-09-19', NULL, '2017-11-23 12:47:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 392.19000000, 0.00000000, 0.00000000, 0.00000000, 1961.02000000, 2353.21000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Maintenance compresseur L45RS &nbsp;N&deg; CD10015552001 &agrave; 29703 HRS<br />\r\nBL N&deg;40 du 18/09/2017&nbsp;', 'generic_invoice_odt:/home/sfacs/web/gestion/documents/doctemplates/invoices/Facture_avec_remise.odt', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1961.02000000, 392.19000000, 2353.21000000, NULL, NULL, NULL, NULL),
(68, 'FA17/09-0027', 1, NULL, NULL, NULL, 0, NULL, 2173, '2017-09-19 15:07:02', '2017-09-19', NULL, '2017-09-19', NULL, '2017-11-02 17:08:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 20.74000000, 0.00000000, 0.00000000, 0.00000000, 103.68000000, 124.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Kit de maintenance Separateur de condensats OWAMAT 10 :&nbsp;<br />\r\nCommande N&deg; BC 17 09 063<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 103.68000000, 20.74000000, 124.42000000, NULL, NULL, NULL, NULL),
(69, 'FA1711-0023', 1, NULL, NULL, NULL, 0, NULL, 2383, '2017-09-20 09:21:55', '2017-11-21', NULL, '2017-11-21', NULL, '2018-01-19 10:47:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2088.89000000, 0.00000000, 0.00000000, 0.00000000, 10444.41000000, 12533.30000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Suite &agrave; incendie machine SOMET: refection de la distribution electrique de puissance,de l&#39;&eacute;clairage, du reseau informatique et de l&#39;air comprim&eacute;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 10444.41000000, 2088.89000000, 12533.30000000, NULL, NULL, NULL, NULL),
(70, 'FA17/09-0028', 1, NULL, NULL, NULL, 0, NULL, 2338, '2017-09-20 10:10:21', '2017-09-20', NULL, '2017-09-20', NULL, '2017-11-07 08:44:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 215.95000000, 0.00000000, 0.00000000, 0.00000000, 1079.75000000, 1295.70000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Maintenance L07RS N&deg; BA33311001 &agrave; 7871 HRS en FULL SERVICE et MAINTENACE ROLLAIR &agrave; 40274 HRS<br />\r\nSuivant BL N&deg; 9 &amp; 10 du 11/09/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1079.75000000, 215.95000000, 1295.70000000, NULL, NULL, NULL, NULL),
(71, 'FA17/09-0029', 1, NULL, NULL, NULL, 0, NULL, 2059, '2017-09-20 10:39:32', '2017-09-20', NULL, '2017-09-20', NULL, '2017-11-07 08:23:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 12.77000000, 0.00000000, 0.00000000, 0.00000000, 63.84000000, 76.61000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Intervention sur s&eacute;cheur MPF140 - selon BL N&deg; 11 du 13/09/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 63.84000000, 12.77000000, 76.61000000, NULL, NULL, NULL, NULL),
(72, 'FA17/09-0030', 1, NULL, NULL, 'cde patrick richard', 0, NULL, 12612, '2017-09-20 10:47:04', '2017-09-20', NULL, '2017-09-20', NULL, '2017-11-22 08:09:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 195.72000000, 0.00000000, 0.00000000, 0.00000000, 978.60000000, 1174.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2017-10-31', NULL, 'Etaux d&#39;etabli', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 978.60000000, 195.72000000, 1174.32000000, NULL, NULL, NULL, NULL),
(73, 'FA17/09-0031', 1, NULL, NULL, 'MAINTENANCE KAESER', 0, NULL, 2386, '2017-09-20 16:04:10', '2017-09-20', NULL, '2017-09-20', NULL, '2017-12-01 10:09:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 513.49000000, 0.00000000, 0.00000000, 0.00000000, 2567.47000000, 3080.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'R&eacute;parartion et maintenance KAESER BS61 &agrave; 32690 HEURES-&nbsp;<br />\r\nPret gratuit durant la r&eacute;paration du ROLLAIR 50', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2567.47000000, 513.49000000, 3080.96000000, NULL, NULL, NULL, NULL),
(74, 'AV17/09-0002', 1, NULL, NULL, NULL, 2, NULL, 2386, '2017-09-21 09:19:25', '2017-09-21', NULL, '2017-09-21', NULL, '2017-12-01 10:10:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -40.00000000, 0.00000000, 0.00000000, 0.00000000, -200.00000000, -240.00000000, 2, 5, NULL, 5, NULL, 73, NULL, NULL, NULL, 0, 2, '2017-09-21', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -200.00000000, -40.00000000, -240.00000000, NULL, NULL, NULL, NULL),
(75, 'FA17/09-0032', 1, NULL, NULL, NULL, 0, NULL, 5741, '2017-09-29 14:38:16', '2017-09-29', NULL, '2017-09-29', NULL, '2017-11-16 13:02:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 28.48000000, 0.00000000, 0.00000000, 0.00000000, 142.42000000, 170.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2017-10-31', NULL, 'Filtre &agrave; air pour Rallye 086 :&nbsp;<br />\r\nCommande 8444', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 142.42000000, 28.48000000, 170.90000000, NULL, NULL, NULL, NULL),
(76, 'FA17/09-0033', 1, NULL, NULL, NULL, 0, NULL, 2064, '2017-09-29 14:49:11', '2017-09-29', NULL, '2017-09-29', NULL, '2017-12-04 16:29:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 108.12000000, 0.00000000, 0.00000000, 0.00000000, 540.58000000, 648.70000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Intervention L22S N&deg;349023/0675 &agrave; 32300 Heures - et fourniture d&#39;une electrovanne&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 540.58000000, 108.12000000, 648.70000000, NULL, NULL, NULL, NULL),
(77, 'FA17/09-0034', 1, NULL, NULL, 'l07 + l07RS', 0, NULL, 2011, '2017-09-29 14:56:48', '2017-09-29', NULL, '2017-09-29', NULL, '2017-10-31 08:03:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 262.46000000, 0.00000000, 0.00000000, 0.00000000, 1312.28000000, 1574.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Maintenances des 2 compresseurs :<br />\r\nL07&nbsp; N&deg; CD10001752001 &agrave; 21231 HRS&nbsp; &amp; L07RS N&deg;CD10023563001 &agrave; 6534 HRS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1312.28000000, 262.46000000, 1574.74000000, NULL, NULL, NULL, NULL),
(78, 'FA17/09-0035', 1, NULL, NULL, NULL, 0, NULL, 5888, '2017-09-29 15:06:05', '2017-09-29', NULL, '2017-09-29', NULL, '2017-11-08 08:16:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 78.68000000, 0.00000000, 0.00000000, 0.00000000, 393.39000000, 472.07000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 9, 0, '2017-09-30', 'maintenance et nettoyage secheur', 'Maintenance&nbsp; compresseur &agrave; vis DevillBISS Galaxy 10 N&deg; 1878510001 &agrave; 2621 HRS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 393.39000000, 78.68000000, 472.07000000, NULL, NULL, NULL, NULL),
(79, 'FA17/09-0036', 1, NULL, NULL, 'l11rs', 0, NULL, 2086, '2017-09-29 15:11:48', '2017-09-29', NULL, '2017-09-29', NULL, '2017-11-29 08:57:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 177.70000000, 0.00000000, 0.00000000, 0.00000000, 888.49000000, 1066.19000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'maintenance L11RS N&deg; Ba31759001 &agrave; 14305 HRS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 888.49000000, 177.70000000, 1066.19000000, NULL, NULL, NULL, NULL),
(80, 'FA17/09-0037', 1, NULL, NULL, NULL, 0, NULL, 2127, '2017-09-29 15:55:28', '2017-09-29', NULL, '2017-09-29', NULL, '2017-11-06 08:14:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 68.06000000, 0.00000000, 0.00000000, 0.00000000, 340.32000000, 408.38000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Suite &agrave; maintenance de votre compresseur l75SR , notre technicien nous informe que l&#39;accouplement de votre compresseur est d&eacute;faillant , veuillez donc trouver ci desssous notre offre pour le remplcament de l&#39;accouplement de votre compresseeur L75SR COMPAIR :&nbsp;<br />\r\nCommande N&deg;&nbsp; CDA-FCA1710384', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 340.32000000, 68.06000000, 408.38000000, NULL, NULL, NULL, NULL),
(81, 'FA17/09-0038', 1, NULL, NULL, 'L15RS', 0, NULL, 2140, '2017-09-29 16:24:39', '2017-09-29', NULL, '2017-09-29', NULL, '2017-11-08 08:14:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 188.29000000, 0.00000000, 0.00000000, 0.00000000, 941.43000000, 1129.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Maintenance L15RS N&deg; 10024995001 &agrave; 4175 Heures', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 941.43000000, 188.29000000, 1129.72000000, NULL, NULL, NULL, NULL),
(82, 'FA17/09-0039', 1, NULL, NULL, NULL, 0, NULL, 2170, '2017-09-29 17:02:52', '2017-09-29', NULL, '2017-09-29', NULL, '2017-12-05 08:34:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1803.35000000, 0.00000000, 0.00000000, 0.00000000, 9016.65000000, 10820.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'R&eacute;alisation d&#39;un reseau d&#39;air ix&eacute; au canalis en souple&nbsp; et installation d&#39;une rampe canalis pour machines&nbsp; suivant devis accept&eacute;&nbsp;<br />\r\nEn plus value raccordement electrique machine &agrave; d&eacute;couper&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 9016.65000000, 1803.35000000, 10820.00000000, NULL, NULL, NULL, NULL),
(83, 'AC17/09-0001', 1, NULL, NULL, NULL, 3, NULL, 9371, '2017-10-02 09:07:07', '2017-09-28', NULL, '2017-10-04', NULL, '2018-01-24 08:12:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 540.45000000, 0.00000000, 0.00000000, 0.00000000, 2702.26000000, 3242.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2017-09-29', NULL, 'Reseau inox diametre 18 avec 4 descentes , founiture d&#39;un nettoyeur HP eau chaude et compresseur &agrave; piston avec separateur de condensats pour local AC :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2702.26000000, 540.45000000, 3242.71000000, NULL, NULL, NULL, NULL),
(84, 'FA17/09-0040', 1, NULL, NULL, NULL, 0, NULL, 2162, '2017-10-02 09:33:10', '2017-09-29', NULL, '2017-10-02', NULL, '2017-10-09 13:58:26', 0, 0.00000000, NULL, NULL, 0, 'discount_vat', NULL, 4800.00000000, 0.00000000, 0.00000000, 0.00000000, 24000.00000000, 28800.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, NULL, 1, 2, '2017-09-30', NULL, 'Fourniture et raccordement compresseur &agrave; vis 37 KW &agrave; vitesse variable COMPAIR L37RS :&nbsp;<br />\r\n<br />\r\n-2 % d&#39;escompte &agrave; d&eacute;duire si paiement avant le 06/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 24000.00000000, 4800.00000000, 28800.00000000, NULL, NULL, NULL, NULL),
(85, 'FA17/09-0041', 1, NULL, NULL, NULL, 0, NULL, 9782, '2017-10-02 10:20:58', '2017-09-29', NULL, '2017-10-02', NULL, '2017-12-22 09:10:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 17.24000000, 0.00000000, 0.00000000, 0.00000000, 86.20000000, 103.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, NULL, 3, 2, '2017-10-31', NULL, 'Founiture de burin et prise ne charge r&eacute;paration RC5185', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 86.20000000, 17.24000000, 103.44000000, NULL, NULL, NULL, NULL),
(86, 'FA17/09-0042', 1, NULL, NULL, 'maintenances', 0, NULL, 2215, '2017-10-02 11:41:45', '2017-09-29', NULL, '2017-10-02', NULL, '2017-11-15 08:15:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 299.03000000, 0.00000000, 0.00000000, 0.00000000, 1495.18000000, 1794.21000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Maintenances de vos 2 compresseurs :&nbsp;<br />\r\nMaintenance L11RS N&deg; CD10021552001 &agrave; 13954 HRS<br />\r\nMaintenance Ingersollrand &agrave; 39981 HRS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1495.18000000, 299.03000000, 1794.21000000, NULL, NULL, NULL, NULL),
(87, 'FA17/09-0043', 1, NULL, NULL, NULL, 0, NULL, 2263, '2017-10-02 12:09:31', '2017-09-29', NULL, '2017-10-02', NULL, '2017-11-08 08:18:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 35.24000000, 0.00000000, 0.00000000, 0.00000000, 176.18000000, 211.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Intervention Lumieres exterieurs - recheche de panne&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 176.18000000, 35.24000000, 211.42000000, NULL, NULL, NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(88, 'FA17/09-0044', 1, NULL, NULL, NULL, 0, NULL, 2273, '2017-10-02 14:19:24', '2017-09-29', NULL, '2017-10-02', NULL, '2017-11-02 17:14:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 74.53000000, 0.00000000, 0.00000000, 0.00000000, 372.64000000, 447.17000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Mise en place et raccordement compresseur de pret ALMIG BELT &agrave; 14704 HEURES :&nbsp;<br />\r\nLocation offerte accord par Mr BRET Ren&eacute; .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 372.64000000, 74.53000000, 447.17000000, NULL, NULL, NULL, NULL),
(89, 'FA17/09-0045', 1, NULL, NULL, NULL, 0, NULL, 1948, '2017-10-02 15:16:20', '2017-09-29', NULL, '2017-10-02', NULL, '2017-11-02 17:10:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 74.36000000, 0.00000000, 0.00000000, 0.00000000, 371.76000000, 446.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Intervention sur s&eacute;cheur OMI HL0200 N&deg; 17P -026754 - probleme de silencieux&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 371.76000000, 74.36000000, 446.12000000, NULL, NULL, NULL, NULL),
(90, 'FA17/09-0046', 1, NULL, NULL, NULL, 0, NULL, 2373, '2017-10-02 15:49:51', '2017-09-29', NULL, '2017-10-02', NULL, '2017-11-15 08:16:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 151.64000000, 0.00000000, 0.00000000, 0.00000000, 758.16000000, 909.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Intervention sur compresseur Ingersollrand IRN 5K TAS 7H &agrave; 10733 Heures- problemes de temperature et probleme d&#39;arret d&#39;urgence&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 758.16000000, 151.64000000, 909.80000000, NULL, NULL, NULL, NULL),
(91, 'FA17/09-0047', 1, NULL, NULL, NULL, 0, NULL, 2381, '2017-10-02 16:23:31', '2017-09-29', NULL, '2017-10-02', NULL, '2017-11-03 08:28:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 192.20000000, 0.00000000, 0.00000000, 0.00000000, 961.00000000, 1153.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Maintenance de vos 2 compresseurs :<br />\r\n- Contr&ocirc;les et v&eacute;rifications &nbsp;pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es&nbsp;<br />\r\n&nbsp;-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n&nbsp;- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la &nbsp;joun&eacute;e<br />\r\n&nbsp;- Audit GRATUIT , ... etc<br />\r\n<br />\r\nMaintenance GA11C AII132799 &agrave; 3614 HRS<br />\r\nMaintenance BOTTARINI KSA 11 BA27769003 &agrave; 5940 HRS<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 961.00000000, 192.20000000, 1153.20000000, NULL, NULL, NULL, NULL),
(92, 'FA17/09-0048', 1, NULL, NULL, NULL, 0, NULL, 2191, '2017-10-03 10:41:41', '2017-09-29', NULL, '2017-10-03', NULL, '2018-08-08 08:51:02', 0, 0.00000000, NULL, NULL, 0, 'badcustomer', 'societe fermée', 240.00000000, 0.00000000, 0.00000000, 0.00000000, 1200.00000000, 1440.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Location d&#39;un aspirateur -<br />\r\n<br />\r\nPret pouvant &ecirc;tre gratuit&nbsp; ( d&eacute;duit ) sous r&eacute;serve de nous confier la commande d&#39;une machine neuve ou d&#39;un nouveau systeme d&#39;aspiration .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1200.00000000, 240.00000000, 1440.00000000, NULL, NULL, NULL, NULL),
(93, 'FA17/09-0049', 1, NULL, NULL, NULL, 0, NULL, 2330, '2017-10-03 11:55:09', '2017-09-29', NULL, '2017-10-03', NULL, '2017-11-22 08:08:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 48.55000000, 0.00000000, 0.00000000, 0.00000000, 242.72000000, 291.27000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Intervention sur s&eacute;cheur MPF101 - Remplacement purge &eacute;lectropilot&eacute;&eacute;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 242.72000000, 48.55000000, 291.27000000, NULL, NULL, NULL, NULL),
(94, 'FA17/09-0050', 1, NULL, NULL, 'l75sr', 0, NULL, 2127, '2017-10-03 12:06:56', '2017-09-29', NULL, '2017-10-03', NULL, '2017-11-06 08:14:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 192.68000000, 0.00000000, 0.00000000, 0.00000000, 963.39000000, 1156.07000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Maintenance L75SR COMPAIR&nbsp; N&deg; CD10000026001 &agrave; 49774 HRS<br />\r\n<br />\r\nCommande N&deg; CDA-FCA1710867', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 963.39000000, 192.68000000, 1156.07000000, NULL, NULL, NULL, NULL),
(95, 'AC17/09-0002', 1, NULL, NULL, NULL, 3, NULL, 2388, '2017-10-03 12:19:43', '2017-09-29', NULL, '2017-11-20', NULL, '2017-11-20 15:13:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 234.57000000, 0.00000000, 0.00000000, 0.00000000, 1172.83000000, 1407.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2017-09-30', NULL, 'fourniture tuyau pour echappement du moteur thermique compresseur', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1172.83000000, 234.57000000, 1407.40000000, NULL, NULL, NULL, NULL),
(96, 'FA17/09-0051', 1, NULL, NULL, NULL, 0, NULL, 11275, '2017-10-03 12:27:13', '2017-09-29', NULL, '2017-10-03', NULL, '2017-12-13 08:03:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 42.08000000, 0.00000000, 0.00000000, 0.00000000, 210.41000000, 252.49000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2017-10-29', NULL, 'Pieces detachees pour Devillbiss mod1508 de 2008 :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 210.41000000, 42.08000000, 252.49000000, NULL, NULL, NULL, NULL),
(97, 'FA17/09-0052', 1, NULL, NULL, 'L11RS', 0, NULL, 2399, '2017-10-03 14:13:59', '2017-09-29', NULL, '2017-10-03', NULL, '2017-11-13 10:00:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 80.76000000, 0.00000000, 0.00000000, 0.00000000, 403.79000000, 484.55000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Maintenance compresseur &nbsp;L11RS N&deg; BA34398001 &agrave; 9815 HRS<br />\r\nBL N&deg; 13 du 15/09/2017<br />\r\n&nbsp;bulletin d&#39;achat N&deg; 004910', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 403.79000000, 80.76000000, 484.55000000, NULL, NULL, NULL, NULL),
(98, 'FA17/09-0053', 1, NULL, NULL, 'compapiston', 0, NULL, 2391, '2017-10-03 15:31:04', '2017-09-29', NULL, '2017-10-03', NULL, '2017-11-08 08:17:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 204.00000000, 0.00000000, 0.00000000, 0.00000000, 1020.00000000, 1224.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Compresseur &agrave; piston COMPAIR Garantie 2 Ans pieces et main d&#39;oeuvre CLC205 N&deg;IYD0021780 code 1121550206 de 2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1020.00000000, 204.00000000, 1224.00000000, NULL, NULL, NULL, NULL),
(99, 'FA17/09-0054', 1, NULL, NULL, 'maintenance', 0, NULL, 2128, '2017-10-04 09:24:03', '2017-09-29', NULL, '2017-10-04', NULL, '2017-12-13 08:04:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 210.90000000, 0.00000000, 0.00000000, 0.00000000, 1054.47000000, 1265.37000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-10-31', NULL, 'Maintenance compresseur MAUGUIERE MAV61/10&nbsp; N&deg; CAi 476773 &agrave; 29765 HRS<br />\r\nBL N&deg; 11 du 29/09/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1054.47000000, 210.90000000, 1265.37000000, NULL, NULL, NULL, NULL),
(101, 'FA17/10-0055', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2017-10-04 12:08:02', '2017-10-04', NULL, '2017-10-04', NULL, '2017-10-06 07:11:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 9, 2, '2017-10-05', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(102, 'FA17/10-0056', 1, NULL, NULL, NULL, 0, NULL, 1935, '2017-10-05 11:26:06', '2017-10-05', NULL, '2017-10-05', NULL, '2017-12-13 10:14:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 173.78000000, 0.00000000, 0.00000000, 0.00000000, 868.90000000, 1042.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'En remplacement de votre s&eacute;cheur par r&eacute;frigeration F0018HS &nbsp;( 108 m3/h ) COMPAIR Nous vous proposons un s&eacute;cheur F018S ( 108 m3/h) par r&eacute;frigeration compair -&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 868.90000000, 173.78000000, 1042.68000000, NULL, NULL, NULL, NULL),
(103, 'FA17/10-0057', 1, NULL, NULL, '3989', 0, NULL, 2719, '2017-10-09 11:58:39', '2017-10-09', NULL, '2017-10-09', NULL, '2018-09-10 08:08:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 75.51000000, 0.00000000, 0.00000000, 0.00000000, 377.58000000, 453.09000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Demande de prise en garantie compresseur &agrave; piston CLC203NTPMA N&deg;211601032 -', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 377.58000000, 75.51000000, 453.09000000, NULL, NULL, NULL, NULL),
(104, 'FA1710-0001', 1, NULL, NULL, NULL, 0, NULL, 5719, '2017-10-12 15:53:17', '2017-10-12', NULL, '2017-10-12', NULL, '2017-12-18 10:25:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 480.00000000, 0.00000000, 0.00000000, 0.00000000, 2400.00000000, 2880.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, '<strong>Modification reseau en inox et fourniture et raccordement compresseur &agrave; piston&nbsp;<br />\r\nBL N&deg; 8 du 05/10/2017</strong>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2400.00000000, 480.00000000, 2880.00000000, NULL, NULL, NULL, NULL),
(105, 'FA1710-0002', 1, NULL, NULL, 'L07RS', 0, NULL, 1983, '2017-10-13 09:15:58', '2017-10-13', NULL, '2017-10-13', NULL, '2017-12-18 10:32:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 109.12000000, 0.00000000, 0.00000000, 0.00000000, 545.56000000, 654.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance L07RS N&deg; BA27650001 &agrave; 11340 HRS -&nbsp;<br />\r\nRemplacement filtre r&eacute;seau -<br />\r\nBL N&deg; 7 du 29/09/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 545.56000000, 109.12000000, 654.68000000, NULL, NULL, NULL, NULL),
(106, 'FA1710-0003', 1, NULL, NULL, NULL, 0, NULL, 2064, '2017-10-13 09:29:14', '2017-10-13', NULL, '2017-10-13', NULL, '2017-12-21 12:27:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 584.23000000, 0.00000000, 0.00000000, 0.00000000, 2921.14000000, 3505.37000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance L80 N&deg; CD10000635001 &agrave; 29730 Heures&nbsp;<br />\r\nBL N&deg;15 du 11/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2921.14000000, 584.23000000, 3505.37000000, NULL, NULL, NULL, NULL),
(107, 'FA1710-0004', 1, NULL, NULL, NULL, 0, NULL, 2064, '2017-10-13 09:37:10', '2017-10-13', NULL, '2017-10-13', NULL, '2017-12-21 12:27:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 339.05000000, 0.00000000, 0.00000000, 0.00000000, 1695.19000000, 2034.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance L37 N&deg; CD10001720002 &agrave; 20475 HRS&nbsp;<br />\r\nBL N&deg;14 du 11/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1695.19000000, 339.05000000, 2034.24000000, NULL, NULL, NULL, NULL),
(108, 'FA1710-0005', 1, NULL, NULL, 'RSDK pro 5.5', 0, NULL, 2042, '2017-10-13 09:55:24', '2017-10-13', NULL, '2017-10-13', NULL, '2017-12-01 10:05:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 115.01000000, 0.00000000, 0.00000000, 0.00000000, 575.07000000, 690.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance RSDK PRO 5.5 :N&deg; 634033 de 2016<br />\r\nBL N&deg; 10 du 09/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 575.07000000, 115.01000000, 690.08000000, NULL, NULL, NULL, NULL),
(109, 'FA1710-0006', 1, NULL, NULL, 'l26rs', 0, NULL, 2033, '2017-10-13 10:09:07', '2017-10-13', NULL, '2017-10-13', NULL, '2017-12-21 12:29:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 378.59000000, 0.00000000, 0.00000000, 0.00000000, 1892.93000000, 2271.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance L26RS &agrave; 14205 HRS<br />\r\nBL N&deg;21 du 29/09/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1892.93000000, 378.59000000, 2271.52000000, NULL, NULL, NULL, NULL),
(110, 'FA1710-0007', 1, NULL, NULL, 'l07RS', 0, NULL, 2038, '2017-10-13 10:19:19', '2017-10-13', NULL, '2017-10-13', NULL, '2017-11-08 08:15:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 227.30000000, 0.00000000, 0.00000000, 0.00000000, 1136.48000000, 1363.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance L07RS N&deg;BA28124001 &agrave; 12245 HRS<br />\r\nBL N&deg;11 du 09/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1136.48000000, 227.30000000, 1363.78000000, NULL, NULL, NULL, NULL),
(111, 'FA1710-0008', 1, NULL, NULL, 'comp a piston', 0, NULL, 12645, '2017-10-13 10:26:53', '2017-10-13', NULL, '2017-10-13', NULL, '2017-11-13 09:56:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 102.00000000, 0.00000000, 0.00000000, 0.00000000, 510.00000000, 612.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2017-10-14', NULL, 'Compresseur &agrave; piston garantie 2 ans pieces et Main d&#39;oeuvre&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 510.00000000, 102.00000000, 612.00000000, NULL, NULL, NULL, NULL),
(112, 'FA1710-0009', 1, NULL, NULL, 'hv07', 0, NULL, 2073, '2017-10-13 10:34:09', '2017-10-13', NULL, '2017-10-13', NULL, '2017-12-14 12:40:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 120.04000000, 0.00000000, 0.00000000, 0.00000000, 600.18000000, 720.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance Hv07 N&deg; V07-004404-10002 &agrave; 8200 + 2417 = 10617 HRS<br />\r\nBL9 du 09/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 600.18000000, 120.04000000, 720.22000000, NULL, NULL, NULL, NULL),
(113, 'FA1710-0010', 1, NULL, NULL, NULL, 0, NULL, 2142, '2017-10-13 10:42:33', '2017-10-13', NULL, '2017-10-13', NULL, '2017-12-06 11:17:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.57000000, 0.00000000, 0.00000000, 0.00000000, 502.83000000, 603.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance L22SR N&deg;CD10003983002 &agrave; 14010 HRS<br />\r\nBL N&deg; 16 du 11/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 502.83000000, 100.57000000, 603.40000000, NULL, NULL, NULL, NULL),
(114, 'FA1710-0011', 1, NULL, NULL, NULL, 0, NULL, 7060, '2017-10-13 11:03:23', '2017-10-13', NULL, '2017-10-13', NULL, '2017-11-23 12:49:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 51.25000000, 0.00000000, 0.00000000, 0.00000000, 256.24000000, 307.49000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2017-11-12', NULL, 'remplacement bouton reset poussoir avec voyant et natte filtrante et courroie sur compresseru SULLAIR&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 256.24000000, 51.25000000, 307.49000000, NULL, NULL, NULL, NULL),
(115, 'FA1710-0012', 1, NULL, NULL, NULL, 0, NULL, 12596, '2017-10-13 11:17:57', '2017-10-13', NULL, '2017-10-19', NULL, '2017-12-01 10:11:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 26.10000000, 0.00000000, 0.00000000, 0.00000000, 130.52000000, 156.62000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2017-11-30', NULL, 'Remplacement des filtres r&eacute;seaux&nbsp;<br />\r\nBL N&deg;26 du 04/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 130.52000000, 26.10000000, 156.62000000, NULL, NULL, NULL, NULL),
(116, 'FA1710-0013', 1, NULL, NULL, NULL, 0, NULL, 2215, '2017-10-13 11:26:32', '2017-10-13', NULL, '2017-10-13', NULL, '2017-12-15 15:27:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 40.80000000, 0.00000000, 0.00000000, 0.00000000, 204.00000000, 244.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'enrouleur waterreel', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 204.00000000, 40.80000000, 244.80000000, NULL, NULL, NULL, NULL),
(118, 'FA1710-0014', 1, NULL, NULL, NULL, 0, NULL, 2252, '2017-10-13 11:51:42', '2017-10-13', NULL, '2017-10-13', NULL, '2017-12-04 16:30:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.28000000, 0.00000000, 0.00000000, 0.00000000, 226.38000000, 271.66000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Remplacement de filtres r&eacute;seaux&nbsp;<br />\r\nCommande N&deg; BC700558 du 10/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.38000000, 45.28000000, 271.66000000, NULL, NULL, NULL, NULL),
(119, 'FA1710-0015', 1, NULL, NULL, 'l15', 0, NULL, 2268, '2017-10-13 14:26:07', '2017-10-13', NULL, '2017-10-13', NULL, '2017-12-01 10:02:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 298.94000000, 0.00000000, 0.00000000, 0.00000000, 1494.69000000, 1793.63000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance L15 &agrave; 41344 HRS -<br />\r\nBl N&deg; 30 du 11/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1494.69000000, 298.94000000, 1793.63000000, NULL, NULL, NULL, NULL),
(120, 'FA1710-0016', 1, NULL, NULL, NULL, 0, NULL, 2285, '2017-10-13 16:50:03', '2017-10-13', NULL, '2017-10-13', NULL, '2017-12-21 12:28:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 27.84000000, 0.00000000, 0.00000000, 0.00000000, 139.20000000, 167.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Probl&egrave;me pour nettoyage de sa vis sans fin&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 139.20000000, 27.84000000, 167.04000000, NULL, NULL, NULL, NULL),
(121, 'FA1710-0017', 1, NULL, NULL, NULL, 0, NULL, 2197, '2017-10-17 09:33:16', '2017-10-17', NULL, '2017-10-17', NULL, '2017-10-23 13:46:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(122, 'FA1710-0018', 1, NULL, NULL, NULL, 0, NULL, 2197, '2017-10-17 09:34:41', '2017-10-17', NULL, '2017-10-17', NULL, '2017-10-23 13:46:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(123, 'AV1710-0001', 1, NULL, NULL, NULL, 2, NULL, 11435, '2017-10-19 09:18:42', '2017-10-19', NULL, '2017-10-19', NULL, '2017-10-31 10:17:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -42.87000000, 0.00000000, 0.00000000, 0.00000000, -214.36000000, -257.23000000, 2, 5, NULL, 5, NULL, 29, NULL, NULL, NULL, 0, 2, '2017-10-19', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -214.36000000, -42.87000000, -257.23000000, NULL, NULL, NULL, NULL),
(124, 'FA1710-0019', 1, NULL, NULL, NULL, 0, NULL, 1955, '2017-10-19 09:43:36', '2017-10-19', NULL, '2017-10-19', NULL, '2017-12-13 08:05:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 109.10000000, 0.00000000, 0.00000000, 0.00000000, 545.45000000, 654.55000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance L07 de 2009 N&deg; CD10000211002 &agrave; 6472 HRS<br />\r\nBL N&deg;17 du 13/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 545.45000000, 109.10000000, 654.55000000, NULL, NULL, NULL, NULL),
(125, 'FA1710-0020', 1, NULL, NULL, NULL, 0, NULL, 2054, '2017-10-19 10:22:13', '2017-10-19', NULL, '2017-10-19', NULL, '2018-01-03 08:30:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 209.10000000, 0.00000000, 0.00000000, 0.00000000, 1045.56000000, 1254.66000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance sullair es8 &agrave; 22689 HRS&nbsp; - Remplacement des cartouches des filtres r&eacute;seau-<br />\r\n<br />\r\nSite d&#39;intervention : COOPERATIVE LA DAUPHINOISE Bourg Evescal 73250 ST JEAN DE LA PORTE<br />\r\n<br />\r\nCommande N&deg; C33017103082GG', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1045.56000000, 209.10000000, 1254.66000000, NULL, NULL, NULL, NULL),
(126, 'FA1710-0021', 1, NULL, NULL, NULL, 0, NULL, 2170, '2017-10-19 11:28:53', '2017-10-19', NULL, '2017-10-19', NULL, '2018-08-08 08:50:20', 0, 0.00000000, NULL, NULL, 0, 'badcustomer', NULL, 56.72000000, 0.00000000, 0.00000000, 0.00000000, 283.58000000, 340.30000000, 3, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Branchement machines de production raccordement electrique et raccordement en air :&nbsp;<br />\r\nBL N&deg; 14 du 17/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 283.58000000, 56.72000000, 340.30000000, NULL, NULL, NULL, NULL),
(127, 'FA1710-0022', 1, NULL, NULL, NULL, 0, NULL, 1948, '2017-10-20 14:45:25', '2017-10-20', NULL, '2017-10-20', NULL, '2017-12-01 10:13:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 27.21000000, 0.00000000, 0.00000000, 0.00000000, 136.04000000, 163.25000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'vanne 3 voies Compair', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 136.04000000, 27.21000000, 163.25000000, NULL, NULL, NULL, NULL),
(128, 'FA1710-0023', 1, NULL, NULL, NULL, 0, NULL, 2006, '2017-10-20 15:02:27', '2017-10-20', NULL, '2017-10-20', NULL, '2018-01-31 08:27:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 125.90000000, 0.00000000, 0.00000000, 0.00000000, 629.50000000, 755.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance compresseur ALUP N&deg; SCK42-08 &agrave; 14785 HRS :&nbsp;<br />\r\n- Contr&ocirc;les et v&eacute;rifications &nbsp;pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es&nbsp;<br />\r\n&nbsp;-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n&nbsp;- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la &nbsp;joun&eacute;e<br />\r\n&nbsp;- Audit GRATUIT , ... etc<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 629.50000000, 125.90000000, 755.40000000, NULL, NULL, NULL, NULL),
(129, 'FA1710-0024', 1, NULL, NULL, NULL, 0, NULL, 6314, '2017-10-20 15:13:32', '2017-10-20', NULL, '2017-10-20', NULL, '2017-12-11 09:01:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 49.98000000, 0.00000000, 0.00000000, 0.00000000, 249.90000000, 299.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 2, '2017-11-19', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 249.90000000, 49.98000000, 299.88000000, NULL, NULL, NULL, NULL),
(130, 'FA1710-0025', 1, NULL, NULL, NULL, 0, NULL, 12581, '2017-10-20 15:49:41', '2017-10-20', NULL, '2017-10-20', NULL, '2018-01-02 09:18:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 171.84000000, 0.00000000, 0.00000000, 0.00000000, 859.16000000, 1031.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2017-11-30', NULL, 'Intervention compresseur ATLAS GA15FF API329281 &agrave; 3033 Heures - Problemes moteur &eacute;lectrique', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 859.16000000, 171.84000000, 1031.00000000, NULL, NULL, NULL, NULL),
(131, 'FA1710-0026', 1, NULL, NULL, NULL, 0, NULL, 2122, '2017-10-20 15:55:20', '2017-10-20', NULL, '2017-10-20', NULL, '2017-12-18 10:26:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 25.03000000, 0.00000000, 0.00000000, 0.00000000, 125.16000000, 150.19000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2017-11-30', NULL, 'Soupape&nbsp;en 1&nbsp;/2 tar&eacute;e a 7 bars.<br />\r\n<br />\r\nCommande N&deg; 33822&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 125.16000000, 25.03000000, 150.19000000, NULL, NULL, NULL, NULL),
(132, 'FA1710-0027', 1, NULL, NULL, NULL, 0, NULL, 12666, '2017-10-24 10:16:21', '2017-10-24', NULL, '2017-10-24', NULL, '2019-06-12 13:28:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 133.18000000, 0.00000000, 0.00000000, 0.00000000, 665.87000000, 799.05000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance compresseur MAC 3 MSC18 N&deg;261228 &agrave; 8420 Heures - site de ST julien Molin molette&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 665.87000000, 133.18000000, 799.05000000, NULL, NULL, NULL, NULL),
(133, 'FA1710-0028', 1, NULL, NULL, NULL, 0, NULL, 2235, '2017-10-24 10:30:30', '2017-10-24', NULL, '2017-10-24', NULL, '2017-12-28 10:50:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 104.93000000, 0.00000000, 0.00000000, 0.00000000, 524.67000000, 629.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'maintenance L15vs &agrave; 23859 Heures -', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 524.67000000, 104.93000000, 629.60000000, NULL, NULL, NULL, NULL),
(134, 'FA1710-0029', 1, NULL, NULL, NULL, 0, NULL, 2247, '2017-10-24 10:41:58', '2017-10-24', NULL, '2017-10-24', NULL, '2017-12-15 15:25:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 281.47000000, 0.00000000, 0.00000000, 0.00000000, 1407.37000000, 1688.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance l18RS N&deg; cd10018442001 &agrave; 17451 Heures<br />\r\nremplacement cartouche filtre r&eacute;seau<br />\r\nRemplacement kit separateur de condensats Owamat 11', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1407.37000000, 281.47000000, 1688.84000000, NULL, NULL, NULL, NULL),
(135, 'FA1710-0030', 1, NULL, NULL, 'L29rs et ingersoll', 0, NULL, 2276, '2017-10-24 10:48:18', '2017-10-24', NULL, '2017-10-24', NULL, '2017-12-14 12:38:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 539.45000000, 0.00000000, 0.00000000, 0.00000000, 2697.27000000, 3236.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenances des compresseurs L29RS COMPAIR N&deg; CD10015163001 &agrave; 27524 Heures :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2697.27000000, 539.45000000, 3236.72000000, NULL, NULL, NULL, NULL),
(136, 'FA1710-0031', 1, NULL, NULL, NULL, 0, NULL, 2273, '2017-10-24 10:59:31', '2017-10-24', NULL, '2017-10-24', NULL, '2017-12-01 10:08:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 27.69000000, 0.00000000, 0.00000000, 0.00000000, 138.44000000, 166.13000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Rebranch&eacute; compresseur MOD5-25 pour reprogrammation nouvelle carte -', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 138.44000000, 27.69000000, 166.13000000, NULL, NULL, NULL, NULL),
(137, 'FA1710-0032', 1, NULL, NULL, '5631', 0, NULL, 2354, '2017-10-24 11:15:16', '2017-10-24', NULL, '2017-10-24', NULL, '2017-12-12 10:42:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 60.99000000, 0.00000000, 0.00000000, 0.00000000, 304.95000000, 365.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Riveuteuse rodcraft pour rivet alu cuivre et acier de 2.4 &agrave; 6.4mm :<br />\r\n<br />\r\nCommande N&deg; 5631', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 304.95000000, 60.99000000, 365.94000000, NULL, NULL, NULL, NULL),
(138, 'FA1710-0033', 1, NULL, NULL, NULL, 0, NULL, 2331, '2017-10-24 11:27:31', '2017-10-24', NULL, '2017-10-24', NULL, '2017-11-16 12:58:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 136.90000000, 0.00000000, 0.00000000, 0.00000000, 684.52000000, 821.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance compresseur GA22 &agrave; 29618 HRS :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 684.52000000, 136.90000000, 821.42000000, NULL, NULL, NULL, NULL),
(139, 'FA1710-0034', 1, NULL, NULL, 'aspirateur', 0, NULL, 2347, '2017-10-24 11:32:31', '2017-10-24', NULL, '2017-10-24', NULL, '2017-12-12 10:42:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 33.28000000, 0.00000000, 0.00000000, 0.00000000, 166.40000000, 199.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'En remplacement de l&#39;aspirateur PROMAC VAC127 - aspirateur eau et poussiere - 30 min d&#39;utilisation quotidienne - capacit&eacute; 27 litres - cuve inox - 230 V 1500W poids 9kg 205m3/h :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 166.40000000, 33.28000000, 199.68000000, NULL, NULL, NULL, NULL),
(140, 'FA1710-0035', 1, NULL, NULL, NULL, 0, NULL, 2347, '2017-10-24 11:39:24', '2017-10-24', NULL, '2017-10-24', NULL, '2017-12-12 10:42:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 220.39000000, 0.00000000, 0.00000000, 0.00000000, 1101.91000000, 1322.30000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance L15RS N&deg;CD10021874001 &agrave; 15904 HRS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1101.91000000, 220.39000000, 1322.30000000, NULL, NULL, NULL, NULL),
(141, 'FA1710-0036', 1, NULL, NULL, 'secheur', 0, NULL, 2347, '2017-10-24 12:20:04', '2017-10-24', NULL, '2017-10-24', NULL, '2017-12-12 10:42:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 340.00000000, 0.00000000, 0.00000000, 0.00000000, 1700.00000000, 2040.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 2, '2017-11-23', NULL, 'fourniture et installation s&eacute;cheur 260m3/h .Point de ros&eacute;e 3&deg;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1700.00000000, 340.00000000, 2040.00000000, NULL, NULL, NULL, NULL),
(142, 'FA1710-0037', 1, NULL, NULL, NULL, 0, NULL, 2358, '2017-10-24 14:25:21', '2017-10-24', NULL, '2017-10-24', NULL, '2017-12-11 09:00:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 237.97000000, 0.00000000, 0.00000000, 0.00000000, 1189.84000000, 1427.81000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Remplacement moteur sur four poudre suivant BL N&deg; 23 du 02/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1189.84000000, 237.97000000, 1427.81000000, NULL, NULL, NULL, NULL),
(143, 'FA1710-0038', 1, NULL, NULL, NULL, 0, NULL, 2383, '2017-10-24 14:33:04', '2017-10-24', NULL, '2017-10-24', NULL, '2018-01-02 09:21:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 51.10000000, 0.00000000, 0.00000000, 0.00000000, 255.54000000, 306.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Intervention sur rampe electrique ZONE 1 suivant BL N&deg; 13 du 10/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 255.54000000, 51.10000000, 306.64000000, NULL, NULL, NULL, NULL),
(144, 'FA1710-0039', 1, NULL, NULL, NULL, 0, NULL, 2383, '2017-10-24 14:42:29', '2017-10-24', NULL, '2017-10-24', NULL, '2018-01-02 09:21:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.77000000, 0.00000000, 0.00000000, 0.00000000, 503.86000000, 604.63000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'branchement moteur definitif ITEMA et intervention sur machine GIROMATIE changement bloc transfo et batterie :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 503.86000000, 100.77000000, 604.63000000, NULL, NULL, NULL, NULL),
(145, 'FA1710-0040', 1, NULL, NULL, NULL, 0, NULL, 12639, '2017-10-24 14:47:07', '2017-10-24', NULL, '2017-10-24', NULL, '2017-12-15 15:26:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 184.12000000, 0.00000000, 0.00000000, 0.00000000, 920.60000000, 1104.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2017-11-30', NULL, 'Enrouleurs&nbsp; autoreel :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 920.60000000, 184.12000000, 1104.72000000, NULL, NULL, NULL, NULL),
(146, 'FA1710-0041', 1, NULL, NULL, NULL, 0, NULL, 12651, '2017-10-26 15:39:02', '2017-10-26', NULL, '2017-10-26', NULL, '2017-12-14 12:39:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 516.99000000, 0.00000000, 0.00000000, 0.00000000, 2585.00000000, 3101.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2017-11-30', NULL, 'R&eacute;fection reseau AC sur 3 points avec d&eacute;pose et feraillage des materiaux obsoletes - Mise en conformit&eacute; distribution AC sur 3 postes et implantation comme vu avec votre collaborateur :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2585.00000000, 516.99000000, 3101.99000000, NULL, NULL, NULL, NULL),
(147, 'FA1710-0042', 1, NULL, NULL, NULL, 0, NULL, 1948, '2017-10-27 13:48:18', '2017-10-27', NULL, '2017-10-27', NULL, '2017-12-01 10:13:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 21.30000000, 0.00000000, 0.00000000, 0.00000000, 106.48000000, 127.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Membrane compair DEMAG :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 106.48000000, 21.30000000, 127.78000000, NULL, NULL, NULL, NULL),
(148, 'FA1710-0043', 1, NULL, NULL, NULL, 0, NULL, 2062, '2017-10-31 10:18:55', '2017-10-31', NULL, '2017-10-31', NULL, '2017-12-01 10:06:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 54.60000000, 0.00000000, 0.00000000, 0.00000000, 273.00000000, 327.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Intervention sur joint de trappe de visite cuve hors service - reffection joint - remise en service<br />\r\nBL N&deg;26 du 27/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 273.00000000, 54.60000000, 327.60000000, NULL, NULL, NULL, NULL),
(149, 'FA1710-0044', 1, NULL, NULL, '340057', 0, NULL, 2122, '2017-10-31 10:29:19', '2017-10-31', NULL, '2017-10-31', NULL, '2017-12-18 10:26:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 632.02000000, 0.00000000, 0.00000000, 0.00000000, 3160.09000000, 3792.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2017-11-30', NULL, 'Maintenance L75RS N&deg;CD10018699601 &agrave; 12377 HEURES<br />\r\nMaintenance separateur de condensats BEKO OWAMAT15<br />\r\nRemplacement cartouche filtre r&eacute;seau<br />\r\n<br />\r\n&nbsp;Commande N&deg; 34057', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3160.09000000, 632.02000000, 3792.11000000, NULL, NULL, NULL, NULL),
(150, 'FA1710-0045', 1, NULL, NULL, NULL, 0, NULL, 2170, '2017-10-31 15:02:36', '2017-10-31', NULL, '2017-10-31', NULL, '2018-02-05 09:19:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 108.27000000, 0.00000000, 0.00000000, 0.00000000, 541.36000000, 649.63000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Branchement machine neuve .<br />\r\nInstallation filtre reseau en sortie secheur<br />\r\nModification et deplcament air nourice sur canalis :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 541.36000000, 108.27000000, 649.63000000, NULL, NULL, NULL, NULL),
(151, 'FA1710-0046', 1, NULL, NULL, 'L11', 0, NULL, 2263, '2017-10-31 16:12:01', '2017-10-31', NULL, '2017-10-31', NULL, '2017-12-11 09:01:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 164.08000000, 0.00000000, 0.00000000, 0.00000000, 820.36000000, 984.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance L11 &agrave; 11800 Heures :&nbsp;<br />\r\nBL N&deg;34 &agrave; 25/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 820.36000000, 164.08000000, 984.44000000, NULL, NULL, NULL, NULL),
(152, 'FA1710-0047', 1, NULL, NULL, 'L11', 0, NULL, 2297, '2017-10-31 16:21:12', '2017-10-31', NULL, '2017-10-31', NULL, '2017-12-05 08:34:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 93.00000000, 0.00000000, 0.00000000, 0.00000000, 464.97000000, 557.97000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Maintenance compresseur L11 &agrave; 17404 HRS<br />\r\nBL N&deg;35 du 25/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 464.97000000, 93.00000000, 557.97000000, NULL, NULL, NULL, NULL),
(155, 'FA1710-0048', 1, NULL, NULL, NULL, 0, NULL, 2388, '2017-10-31 16:32:30', '2017-10-31', NULL, '2017-11-20', NULL, '2017-11-23 12:49:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 703.70000000, 0.00000000, 0.00000000, 0.00000000, 3518.51000000, 4222.21000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'fourniture tuyau pour echappement du moteur thermique compresseur', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4691.34000000, 938.27000000, 5629.61000000, NULL, NULL, NULL, NULL),
(156, 'FA1710-0049', 1, NULL, NULL, NULL, 0, NULL, 2178, '2017-11-03 11:51:55', '2017-10-31', NULL, '2017-11-03', NULL, '2017-12-01 10:12:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 146.70000000, 0.00000000, 0.00000000, 0.00000000, 733.50000000, 880.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Perceuses RODCRAFT avec mandrin auto 13mm', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 733.50000000, 146.70000000, 880.20000000, NULL, NULL, NULL, NULL),
(157, 'FA1710-0050', 1, NULL, NULL, NULL, 0, NULL, 2190, '2017-11-03 12:11:45', '2017-10-31', NULL, '2017-11-03', NULL, '2017-11-16 12:59:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 3.71000000, 0.00000000, 0.00000000, 0.00000000, 18.54000000, 22.25000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-30', NULL, 'Location bouteille 100% N&sup2;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 18.54000000, 3.71000000, 22.25000000, NULL, NULL, NULL, NULL),
(158, 'FA1711-0001', 1, NULL, NULL, NULL, 0, NULL, 2190, '2017-11-03 12:18:27', '2017-11-03', NULL, '2017-11-03', NULL, '2018-04-10 14:50:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 3.71000000, 0.00000000, 0.00000000, 0.00000000, 18.54000000, 22.25000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Location bouteille 100% N&sup2;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 18.54000000, 3.71000000, 22.25000000, NULL, NULL, NULL, NULL),
(159, 'FA1711-0002', 1, NULL, NULL, NULL, 0, NULL, 2190, '2017-11-03 12:19:42', '2017-11-03', NULL, '2017-11-03', NULL, '2018-04-10 14:50:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 3.71000000, 0.00000000, 0.00000000, 0.00000000, 18.54000000, 22.25000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Location bouteille 100% N&sup2;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 18.54000000, 3.71000000, 22.25000000, NULL, NULL, NULL, NULL),
(160, 'FA1711-0003', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2017-11-06 10:19:21', '2017-11-06', NULL, '2017-11-06', NULL, '2017-11-07 08:36:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(161, 'FA1711-0004', 1, NULL, NULL, NULL, 0, NULL, 1940, '2017-11-06 10:37:58', '2017-11-06', NULL, '2017-11-06', NULL, '2020-04-17 13:53:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 496.16000000, 0.00000000, 0.00000000, 0.00000000, 2480.80000000, 2976.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Maintenance L45RS N&deg; CD10023839001 &agrave; 8525 hrs<br />\r\nBL N&deg;36 du 30/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2480.80000000, 496.16000000, 2976.96000000, NULL, 'facture/FA1711-0004/FA1711-0004.pdf', NULL, NULL),
(162, 'FA1711-0005', 1, NULL, NULL, NULL, 0, NULL, 2358, '2017-11-06 11:47:05', '2017-11-06', NULL, '2017-11-06', NULL, '2018-01-10 08:41:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 76.86000000, 0.00000000, 0.00000000, 0.00000000, 384.28000000, 461.14000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'D&eacute;pannage Four poudre -<br />\r\nBL N&deg; 40 du 06/11/2017<br />\r\nBL N&deg; 39 du 03/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 384.28000000, 76.86000000, 461.14000000, NULL, NULL, NULL, NULL),
(163, 'FA1711-0006', 1, NULL, NULL, NULL, 0, NULL, 2609, '2017-11-06 11:56:32', '2017-11-06', NULL, '2017-11-06', NULL, '2018-01-04 13:19:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 73.57000000, 0.00000000, 0.00000000, 0.00000000, 367.88000000, 441.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Client final FAURE VALENCE&nbsp;<br />\r\nMr GARRIDO<br />\r\n460 Rue CHARLES DE GAULLE<br />\r\n26800 PORTES LES VALENCE<br />\r\n<br />\r\nMaintenance compresseur et remplacement electrovanne sur s&eacute;cheur .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 367.88000000, 73.57000000, 441.45000000, NULL, NULL, NULL, NULL),
(166, 'FA1711-0007', 1, NULL, NULL, NULL, 0, NULL, 2055, '2017-11-13 10:08:13', '2017-11-13', NULL, '2017-11-13', NULL, '2018-01-11 14:47:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 591.37000000, 0.00000000, 0.00000000, 0.00000000, 2956.84000000, 3548.21000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Divers travaux: aspiration, compresseur, air comprim&eacute;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2956.84000000, 591.37000000, 3548.21000000, NULL, NULL, NULL, NULL),
(167, 'FA1711-0008', 1, NULL, NULL, NULL, 0, NULL, 2055, '2017-11-13 11:04:10', '2017-11-13', NULL, '2017-11-13', NULL, '2018-01-11 14:47:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 15.97000000, 0.00000000, 0.00000000, 0.00000000, 79.84000000, 95.81000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Vidange moto reducteur visco Jet VJ350030EX-', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 79.84000000, 15.97000000, 95.81000000, NULL, NULL, NULL, NULL),
(168, 'FA1711-0009', 1, NULL, NULL, NULL, 0, NULL, 2054, '2017-11-13 12:03:37', '2017-11-13', NULL, '2017-11-13', NULL, '2018-01-16 08:55:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 124.32000000, 0.00000000, 0.00000000, 0.00000000, 621.64000000, 745.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Compresseur BEL AIR VRC20F de 1991 N&deg; 0913124 &agrave; 21939 HEURES:<br />\r\n<br />\r\nSite COOPERATIVE LA DAUPHINOISE 2460 Chemin de la voie ferree 38260 LA COTE SAINT ANDRE<br />\r\n<br />\r\nCommande N&deg; CO3817113095GG', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 621.64000000, 124.32000000, 745.96000000, NULL, NULL, NULL, NULL),
(169, 'FA1711-0010', 1, NULL, NULL, NULL, 0, NULL, 2054, '2017-11-13 12:12:38', '2017-11-13', NULL, '2017-11-13', NULL, '2018-01-16 08:55:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 129.81000000, 0.00000000, 0.00000000, 0.00000000, 649.05000000, 778.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Maintenance SULLAIR WS1508 N&deg; C03-C210029 de 2009 &agrave; 36264 HRS<br />\r\n<br />\r\nSite COOPERATIVE LA DAUPHINOISE 2460 Chemin de la voie ferree 38260 LA COTE SAINT ANDRE<br />\r\n<br />\r\nCommande N&deg;C03817113096GG', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 649.05000000, 129.81000000, 778.86000000, NULL, NULL, NULL, NULL),
(170, 'FA1711-0011', 1, NULL, NULL, NULL, 0, NULL, 2118, '2017-11-13 12:23:36', '2017-11-13', NULL, '2017-12-01', NULL, '2017-12-29 08:46:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 122.78000000, 0.00000000, 0.00000000, 0.00000000, 613.90000000, 736.68000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Intervention sur compresseur INGERSOLLRAND SSR MH11 N090MIIE13474 à 1371 HRS -<br />\r\nFuite d\'huile<br />\r\n<br />\r\nCommande N° 3283040660', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 613.90000000, 122.78000000, 736.68000000, NULL, NULL, NULL, NULL),
(171, 'FA1711-0012', 1, NULL, NULL, NULL, 0, NULL, 2729, '2017-11-13 14:44:05', '2017-11-13', NULL, '2017-11-13', NULL, '2017-12-18 10:24:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 314.12000000, 0.00000000, 0.00000000, 0.00000000, 1570.64000000, 1884.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2017-12-13', NULL, 'Intervention compresseur Renner RS1-30 10 sur site EUROVIA JOUANNY Station de relavage SAUR 07120 RUOMS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1570.64000000, 314.12000000, 1884.76000000, NULL, NULL, NULL, NULL),
(172, 'FA1711-0013', 1, NULL, NULL, NULL, 0, NULL, 2155, '2017-11-13 15:10:45', '2017-11-13', NULL, '2017-11-13', NULL, '2017-12-29 08:47:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 88.57000000, 0.00000000, 0.00000000, 0.00000000, 442.82000000, 531.39000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Maintenance L04 N&deg; BA37888001 &agrave; 914 HRS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 442.82000000, 88.57000000, 531.39000000, NULL, NULL, NULL, NULL),
(173, 'FA1711-0014', 1, NULL, NULL, NULL, 0, NULL, 2401, '2017-11-14 09:53:12', '2017-11-14', NULL, '2017-12-01', NULL, '2018-01-15 09:10:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 212.31000000, 0.00000000, 0.00000000, 0.00000000, 1061.60000000, 1273.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Modification arriv&eacute;e d&#39;eau d&#39;embouteillage sur embouteilleuse pour permettre lavage .<br />\r\nAjout batterie de filtres sur arriv&eacute;e d&#39;eau de lavage ( eau de ville ) sur embouteilleuse .<br />\r\nSuivant BL n&deg; 28 du 08/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1061.60000000, 212.31000000, 1273.91000000, NULL, NULL, NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(174, 'FA1711-0015', 1, NULL, NULL, NULL, 0, NULL, 2407, '2017-11-14 10:14:10', '2017-11-14', NULL, '2017-11-14', NULL, '2018-05-03 11:57:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 37.32000000, 0.00000000, 0.00000000, 0.00000000, 186.59000000, 223.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Separateur de condensats kit de maintenance OWAMAT 5R :&nbsp;<br />\r\n<br />\r\n<br />\r\nCommande N&deg;904490079-0-10760', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 186.59000000, 37.32000000, 223.91000000, NULL, NULL, NULL, NULL),
(175, 'FA1711-0016', 1, NULL, NULL, NULL, 0, NULL, 2064, '2017-11-20 11:49:57', '2017-11-20', NULL, '2017-11-20', NULL, '2018-01-04 12:35:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 394.55000000, 0.00000000, 0.00000000, 0.00000000, 1972.71000000, 2367.26000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'remplcament vanne thermostatique sur l37CD10008491002&nbsp;et maintenance L37CD10008491001 &agrave; 13294 HRS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1972.71000000, 394.55000000, 2367.26000000, NULL, NULL, NULL, NULL),
(176, 'FA1711-0017', 1, NULL, NULL, NULL, 0, NULL, 2055, '2017-11-20 14:00:33', '2017-11-20', NULL, '2017-11-20', NULL, '2018-01-11 14:47:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 30.79000000, 0.00000000, 0.00000000, 0.00000000, 153.96000000, 184.75000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Intervention MOTO REDUCTEUR VISCO JET&nbsp;<br />\r\nRevidange et niveau d&#39;huile<br />\r\n<br />\r\nBL N&deg;45 du 15/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 153.96000000, 30.79000000, 184.75000000, NULL, NULL, NULL, NULL),
(177, 'FA1711-0018', 1, NULL, NULL, NULL, 0, NULL, 2169, '2017-11-20 14:14:43', '2017-11-20', NULL, '2017-11-20', NULL, '2018-01-04 12:34:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 124.85000000, 0.00000000, 0.00000000, 0.00000000, 624.24000000, 749.09000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Maintenance Bottarini KA7 Plus &agrave; 18500 HRS<br />\r\n<br />\r\nBL N&deg; 46 du 15/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 624.24000000, 124.85000000, 749.09000000, NULL, NULL, NULL, NULL),
(178, 'FA1711-0019', 1, NULL, NULL, NULL, 0, NULL, 2169, '2017-11-20 16:15:12', '2017-11-20', NULL, '2017-11-20', NULL, '2018-01-04 12:34:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 40.80000000, 0.00000000, 0.00000000, 0.00000000, 203.99000000, 244.79000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'depannage DIlatoflex HS - remplcament de celui ci BL N&deg; 20 du 14/11/2017<br />\r\ndepannage fuite r&eacute;aspiration d&#39;huile - remplacement de celle ci BL N&deg;47 du 17/11/2017 - Prise en garantie SFACS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 203.99000000, 40.80000000, 244.79000000, NULL, NULL, NULL, NULL),
(179, 'FA1711-0020', 1, NULL, NULL, 'Maintenance L45 RS', 0, NULL, 2350, '2017-11-21 09:35:20', '2017-11-21', NULL, '2017-11-21', NULL, '2018-01-04 12:36:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 321.87000000, 0.00000000, 0.00000000, 0.00000000, 1609.33000000, 1931.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Maintenance compressseur L45RS N&deg; CD10015094001 &agrave; 19430 HRS .<br />\r\n<br />\r\n&nbsp;Commande N&deg;2311296/180000', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1609.33000000, 321.87000000, 1931.20000000, NULL, NULL, NULL, NULL),
(180, 'FA1711-0021', 1, NULL, NULL, 'Maintenance L15 RS', 0, NULL, 2286, '2017-11-21 09:59:34', '2017-11-21', NULL, '2017-12-01', NULL, '2018-01-15 09:10:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 79.32000000, 0.00000000, 0.00000000, 0.00000000, 396.59000000, 475.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Maintenance l15 CD1001618001 &agrave; 5994 HRS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 396.59000000, 79.32000000, 475.91000000, NULL, NULL, NULL, NULL),
(181, 'FA1711-0022', 1, NULL, NULL, NULL, 0, NULL, 2032, '2017-11-21 10:35:05', '2017-11-21', NULL, '2017-11-21', NULL, '2018-05-09 06:54:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 234.21000000, 0.00000000, 0.00000000, 0.00000000, 1171.11000000, 1405.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'maintenance KS58 &agrave; 18314 HRS<br />\r\nBL N&deg; 19 du 14/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1171.11000000, 234.21000000, 1405.32000000, NULL, NULL, NULL, NULL),
(182, 'FA1711-0024', 1, NULL, NULL, NULL, 0, NULL, 2197, '2017-11-21 11:33:53', '2017-11-21', NULL, '2017-11-21', NULL, '2017-11-23 12:48:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(183, 'FA1711-0025', 1, NULL, NULL, NULL, 0, NULL, 2055, '2017-11-22 09:18:17', '2017-11-22', NULL, '2017-11-22', NULL, '2018-01-11 14:47:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 62.71000000, 0.00000000, 0.00000000, 0.00000000, 313.56000000, 376.27000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'D&eacute;pannage Agitateur VISCO JET VJ350030&nbsp;<br />\r\nCreation d&#39;un passage de prises dans la hotte du laboratoire<br />\r\nGraissage moteur 75kw du melangeur avec graisse client&nbsp;<br />\r\n<br />\r\nBL N&deg;48 du 21/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 313.56000000, 62.71000000, 376.27000000, NULL, NULL, NULL, NULL),
(184, 'FA1711-0026', 1, NULL, NULL, NULL, 0, NULL, 2284, '2017-11-22 09:34:45', '2017-11-22', NULL, '2017-11-22', NULL, '2018-01-11 14:47:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.65000000, 0.00000000, 0.00000000, 0.00000000, 563.20000000, 675.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Maintenance l18RS N&deg; CD10009205002 &agrave; 19207 HRS&nbsp;<br />\r\nRemplacement cartouches filtres reseaux et separateur de condensats', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 563.20000000, 112.65000000, 675.85000000, NULL, NULL, NULL, NULL),
(185, 'FA1711-0027', 1, NULL, NULL, NULL, 0, NULL, 2279, '2017-11-22 10:18:44', '2017-11-22', NULL, '2017-11-22', NULL, '2017-12-26 10:01:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 175.28000000, 0.00000000, 0.00000000, 0.00000000, 876.40000000, 1051.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Maintenance l50 N&deg; CD10002543001 &agrave; 35564 HRS -<br />\r\nBL N&deg; 35 du 21/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 876.40000000, 175.28000000, 1051.68000000, NULL, NULL, NULL, NULL),
(186, 'FA1711-0028', 1, NULL, NULL, NULL, 0, NULL, 2168, '2017-11-22 10:31:41', '2017-11-22', NULL, '2017-11-22', NULL, '2018-01-04 12:34:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 177.08000000, 0.00000000, 0.00000000, 0.00000000, 885.40000000, 1062.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Maintenance L11 N&deg;BA22910002 &agrave; 5660 HRS et remplcament monture &agrave; niveau&nbsp; - Remplacement kit owamat 10 separateur de condensats', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 885.40000000, 177.08000000, 1062.48000000, NULL, NULL, NULL, NULL),
(187, 'FA1711-0029', 1, NULL, NULL, NULL, 0, NULL, 2378, '2017-11-22 10:39:48', '2017-11-22', NULL, '2017-11-22', NULL, '2018-01-03 08:29:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 31.92000000, 0.00000000, 0.00000000, 0.00000000, 159.60000000, 191.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Remplacement electrovanne de purge sur s&eacute;cheur - ACP -', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 159.60000000, 31.92000000, 191.52000000, NULL, NULL, NULL, NULL),
(188, 'FA1711-0030', 1, NULL, NULL, NULL, 0, NULL, 12668, '2017-11-23 15:42:49', '2017-11-23', NULL, '2017-11-23', NULL, '2018-01-09 08:57:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 79.60000000, 0.00000000, 0.00000000, 0.00000000, 398.00000000, 477.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2017-12-23', NULL, 'Fourniture gaine diametre 160 :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 398.00000000, 79.60000000, 477.60000000, NULL, NULL, NULL, NULL),
(190, 'FA1711-0031', 1, NULL, NULL, NULL, 0, NULL, 2197, '2017-11-23 16:20:13', '2017-11-23', NULL, '2017-11-23', NULL, '2017-11-29 08:57:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 6444.00000000, 0.00000000, 0.00000000, 0.00000000, 32220.00000000, 38664.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-11-24', NULL, 'Nouveau batiment avec local AC N² reseau en 28mm et 6 descentes : <br />\r\nComprenant un compresseur vitesse variable à vis lubrifiée 30KW et fourniture NOVAIR azote <br />\r\n<br />\r\nDossier JT LASER etude N° 2797454', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 32220.00000000, 6444.00000000, 38664.00000000, NULL, NULL, NULL, NULL),
(191, 'AC1711-0001', 1, NULL, NULL, '507982', 3, NULL, 2123, '2017-11-24 09:33:33', '2017-11-24', NULL, '2017-11-24', NULL, '2018-11-09 10:50:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 889.73000000, 0.00000000, 0.00000000, 0.00000000, 4448.67000000, 5338.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2017-11-25', NULL, 'Local AC en remplacement du compresseur GA11 par un compresseur &agrave; vitesse variable 30KW COMPAIR L29RS avec gainage recuperation chauffage et reservoir 1000Litres .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4448.67000000, 889.73000000, 5338.40000000, NULL, NULL, NULL, NULL),
(192, 'FA1711-0032', 1, NULL, NULL, NULL, 0, NULL, 2122, '2017-11-24 11:19:52', '2017-11-24', NULL, '2017-11-24', NULL, '2018-01-16 08:53:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 19.70000000, 0.00000000, 0.00000000, 0.00000000, 98.52000000, 118.22000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2017-12-31', NULL, 'soupape 7 bars passage min demandé 840 m3/h raccordement 1\" debit annoncé 1500 m3/h <br />\r\n<br />\r\nBL N° 23 du 23/11/2017<br />\r\n<br />\r\nCommande N° 34265', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 98.52000000, 19.70000000, 118.22000000, NULL, NULL, NULL, NULL),
(193, 'FA1711-0033', 1, NULL, NULL, NULL, 0, NULL, 10056, '2017-11-24 11:51:46', '2017-11-24', NULL, '2017-11-24', NULL, '2018-01-11 14:48:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 87.26000000, 0.00000000, 0.00000000, 0.00000000, 436.29000000, 523.55000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Maintenance l07 N&deg; BA31227002 &agrave; 4051 HRS<br />\r\nBL N&deg; 37 du 22/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 436.29000000, 87.26000000, 523.55000000, NULL, NULL, NULL, NULL),
(194, 'FA1711-0034', 1, NULL, NULL, 'Maintenance L18 RS', 0, NULL, 2265, '2017-11-24 14:07:36', '2017-11-24', NULL, '2017-11-24', NULL, '2017-12-22 09:11:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 219.25000000, 0.00000000, 0.00000000, 0.00000000, 1096.30000000, 1315.55000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Maintenance L18RS N&deg; CD10016785001 &agrave; 5331 HRS<br />\r\n<br />\r\nBL N&deg;38 du 22/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1096.30000000, 219.25000000, 1315.55000000, NULL, NULL, NULL, NULL),
(195, 'FA1711-0035', 1, NULL, NULL, 'Claudine Thenadey', 0, NULL, 2350, '2017-11-24 14:18:31', '2017-11-24', NULL, '2017-11-24', NULL, '2018-01-04 12:36:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2.73000000, 0.00000000, 0.00000000, 0.00000000, 13.66000000, 16.39000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Commande N&deg; 2311295/184800', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 13.66000000, 2.73000000, 16.39000000, NULL, NULL, NULL, NULL),
(196, 'FA1711-0036', 1, NULL, NULL, NULL, 0, NULL, 2376, '2017-11-24 14:59:01', '2017-11-24', NULL, '2017-11-24', NULL, '2018-02-01 15:33:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 98.16000000, 0.00000000, 0.00000000, 0.00000000, 490.80000000, 588.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Intervention compresseur L11RS N&deg; BA31005001 &agrave; 1825 HEures -&nbsp;<br />\r\nBL N&deg; 22 du 22/11/2017<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 490.80000000, 98.16000000, 588.96000000, NULL, NULL, NULL, NULL),
(197, 'FA1711-0037', 1, NULL, NULL, NULL, 0, NULL, 2029, '2017-11-27 14:25:26', '2017-11-27', NULL, '2017-11-27', NULL, '2018-01-11 14:49:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 206.97000000, 0.00000000, 0.00000000, 0.00000000, 1034.81000000, 1241.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'maintenance L11 &agrave; 29451 HRS - Mise en place d&#39;un clapet d&#39;aspiration d&#39;occasion provisoire .<br />\r\n<br />\r\nCommande N&deg; CF23981', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1034.81000000, 206.97000000, 1241.78000000, NULL, NULL, NULL, NULL),
(198, 'FA1711-0038', 1, NULL, NULL, NULL, 0, NULL, 2076, '2017-11-27 14:37:29', '2017-11-27', NULL, '2017-11-27', NULL, '2018-01-15 09:08:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 79.84000000, 0.00000000, 0.00000000, 0.00000000, 399.20000000, 479.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'fourniture en plus value FRL sur chaques descentes :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 399.20000000, 79.84000000, 479.04000000, NULL, NULL, NULL, NULL),
(199, 'FA1711-0039', 1, NULL, NULL, NULL, 0, NULL, 2076, '2017-11-27 14:56:48', '2017-11-27', NULL, '2017-11-27', NULL, '2018-01-29 08:23:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 839.98000000, 0.00000000, 0.00000000, 0.00000000, 4200.00000000, 5039.98000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Projet Air Comprim&eacute;&nbsp;<br />\r\nNouveau Batiment&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4200.00000000, 839.98000000, 5039.98000000, NULL, NULL, NULL, NULL),
(200, 'FA1711-0040', 1, NULL, NULL, NULL, 0, NULL, 1948, '2017-11-27 15:26:09', '2017-11-27', NULL, '2017-11-27', NULL, '2018-01-09 08:56:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 13.52000000, 0.00000000, 0.00000000, 0.00000000, 67.60000000, 81.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'courroies A70', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 67.60000000, 13.52000000, 81.12000000, NULL, NULL, NULL, NULL),
(201, 'FA1711-0041', 1, NULL, NULL, NULL, 0, NULL, 1988, '2017-11-27 15:41:59', '2017-11-27', NULL, '2017-11-27', NULL, '2018-01-17 12:29:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 187.13000000, 0.00000000, 0.00000000, 0.00000000, 935.65000000, 1122.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'maintenance L55rs N&deg; CD10011035001 &agrave; 28868 HRS et remplcament cartouche filtre reseau', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 935.65000000, 187.13000000, 1122.78000000, NULL, NULL, NULL, NULL),
(202, 'FA1711-0042', 1, NULL, NULL, NULL, 0, NULL, 5741, '2017-11-27 15:55:59', '2017-11-27', NULL, '2017-11-27', NULL, '2018-01-16 08:54:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.76000000, 0.00000000, 0.00000000, 0.00000000, 593.78000000, 712.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 9, 0, '2017-11-28', NULL, 'Kit Separateur de condensats :<br />\r\n<br />\r\nCommande N&deg; 8634', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 593.78000000, 118.76000000, 712.54000000, NULL, NULL, NULL, NULL),
(204, 'FA1711-0043', 1, NULL, NULL, NULL, 0, NULL, 10293, '2017-11-27 16:22:45', '2017-11-27', NULL, '2017-11-27', NULL, '2018-01-02 09:19:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 4400.01000000, 0.00000000, 0.00000000, 0.00000000, 22000.00000000, 26400.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2017-12-27', NULL, 'DOSSIER ECHINARD ET FAURE - SAINT RAMBERT D&#39;ALBON&nbsp;<br />\r\nATELIER CARROSSERIE - EQUIPEMENT NEUF - HANGAR EXISTANT&nbsp;<br />\r\nR&eacute;seau en 28 &agrave; 15 Bars et 10bars ( partie carrosserie ) avec 18 descentes&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 22000.00000000, 4400.01000000, 26400.01000000, NULL, NULL, NULL, NULL),
(205, 'FA1711-0044', 1, NULL, NULL, 'Maintenance L11 VS', 0, NULL, 2102, '2017-11-28 16:11:29', '2017-11-28', NULL, '2017-11-28', NULL, '2018-02-05 09:05:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 74.35000000, 0.00000000, 0.00000000, 0.00000000, 371.76000000, 446.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2017-12-31', NULL, 'Maintenance L11VS &agrave; 3976 HRS<br />\r\nN&deg;1 du 27/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 371.76000000, 74.35000000, 446.11000000, NULL, NULL, NULL, NULL),
(206, 'FA1712-0001', 1, NULL, NULL, NULL, 0, NULL, 2190, '2017-12-05 09:25:03', '2017-12-05', NULL, '2017-12-05', NULL, '2018-02-07 12:41:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 4.11000000, 0.00000000, 0.00000000, 0.00000000, 20.54000000, 24.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Location bouteille 100% N&sup2;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 20.54000000, 4.11000000, 24.65000000, NULL, NULL, NULL, NULL),
(207, 'FA1712-0002', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2017-12-05 09:29:32', '2017-12-05', NULL, '2017-12-05', NULL, '2017-12-05 08:33:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(208, 'FA1712-0003', 1, NULL, NULL, NULL, 0, NULL, 2001, '2017-12-05 09:38:49', '2017-12-05', NULL, '2017-12-05', NULL, '2018-03-08 12:19:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 52.46000000, 0.00000000, 0.00000000, 0.00000000, 262.33000000, 314.79000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, '<p style=\"margin-left:70.5pt\">Pieces d&eacute;tach&eacute;es pour compresseur SK22&nbsp;&nbsp;&nbsp;&nbsp; N&deg;101952.0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; N&deg;SERIE&nbsp;: 1902</p>\r\n\r\n<p style=\"margin-left:70.5pt\">Ann&eacute;e 2014&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Puissance 11 KW</p>\r\n\r\n<p style=\"margin-left:70.5pt\">Vitesse moteur 2960 tr/min&nbsp;&nbsp; 8 bars pression</p>\r\n\r\n<p style=\"margin-left:35.4pt; text-align:justify\">&nbsp;</p>\r\n\r\n<ul>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">1 filtre &agrave; huile KAESER&nbsp;&nbsp;&nbsp; REF 1200</span></li>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">2 filtres &agrave; air&nbsp; KAESER&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; REF 1250</span></li>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">1 cartouche s&eacute;paratrice d&rsquo;huile&nbsp; KAESER&nbsp;&nbsp; REF 1450</span></li>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">2 nattes filtrante KAESER ( &eacute;lectrique)&nbsp;&nbsp;&nbsp;&nbsp; REF 1100</span></li>\r\n</ul>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 262.33000000, 52.46000000, 314.79000000, NULL, NULL, NULL, NULL),
(209, 'FA1712-0004', 1, NULL, NULL, 'L18', 0, NULL, 2055, '2017-12-05 09:58:33', '2017-12-05', NULL, '2017-12-05', NULL, '2018-01-11 14:47:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 170.95000000, 0.00000000, 0.00000000, 0.00000000, 854.74000000, 1025.69000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Mainteannce L18 &agrave; 30000 HRS<br />\r\nBL N&deg;2 du 29/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 854.74000000, 170.95000000, 1025.69000000, NULL, NULL, NULL, NULL),
(210, 'FA1712-0005', 1, NULL, NULL, NULL, 0, NULL, 12666, '2017-12-05 10:13:38', '2017-12-05', NULL, '2017-12-05', NULL, '2018-02-19 10:01:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 44.34000000, 0.00000000, 0.00000000, 0.00000000, 221.68000000, 266.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-01-04', NULL, 'Intervention d&eacute;pannage sur s&eacute;cheur WALKER D1 MODEL PD1055FDR07 N&deg; 5748 de 2015-&nbsp;<br />\r\nBL N&deg; 30 du 10/09/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 221.68000000, 44.34000000, 266.02000000, NULL, NULL, NULL, NULL),
(211, 'FA1712-0006', 1, NULL, NULL, 'l04fs', 0, NULL, 2117, '2017-12-05 10:22:13', '2017-12-05', NULL, '2017-12-05', NULL, '2018-03-21 08:13:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 105.94000000, 0.00000000, 0.00000000, 0.00000000, 529.64000000, 635.58000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Maintenance L04FS N&deg; BA368680002 10 &agrave; 3790 HRS<br />\r\n<br />\r\nBL N&deg;43 du 29/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 529.64000000, 105.94000000, 635.58000000, NULL, NULL, NULL, NULL),
(212, 'FA1712-0007', 1, NULL, NULL, NULL, 0, NULL, 2174, '2017-12-05 10:33:09', '2017-12-05', NULL, '2017-12-05', NULL, '2018-01-31 08:28:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 175.94000000, 0.00000000, 0.00000000, 0.00000000, 879.72000000, 1055.66000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Maintenance L29RS N&deg; CD10018602001 &agrave; 12975 HRS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1126.66000000, 225.33000000, 1351.99000000, NULL, NULL, NULL, NULL),
(213, 'FA1712-0008', 1, NULL, NULL, NULL, 0, NULL, 2231, '2017-12-05 14:15:31', '2017-12-05', NULL, '2017-12-05', NULL, '2018-03-19 09:37:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 47.60000000, 0.00000000, 0.00000000, 0.00000000, 238.00000000, 285.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'deroulleur avec jeu d&#39;aiguilles PROMOTION', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 238.00000000, 47.60000000, 285.60000000, NULL, NULL, NULL, NULL),
(214, 'FA1712-0009', 1, NULL, NULL, NULL, 0, NULL, 2276, '2017-12-05 14:26:45', '2017-12-05', NULL, '2017-12-05', NULL, '2018-01-31 08:26:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 129.14000000, 0.00000000, 0.00000000, 0.00000000, 645.67000000, 774.81000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Un owamat neuf et pose <u>( en lieu et place du IRPSG15,</u><u> obsol&egrave;te et dont les consommables ne se font plus),</u>&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 645.67000000, 129.14000000, 774.81000000, NULL, NULL, NULL, NULL),
(215, 'FA1712-0010', 1, NULL, NULL, NULL, 0, NULL, 2284, '2017-12-05 14:40:57', '2017-12-05', NULL, '2017-12-05', NULL, '2018-02-05 09:06:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 42.45000000, 0.00000000, 0.00000000, 0.00000000, 212.26000000, 254.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'SUite &agrave; la maintenance de votre compresseur L18RS COMPAIR , notre technicien a not&eacute; une d&eacute;faillance au niveau de votre purge capacit&eacute; sur votre s&eacute;cheur .<br />\r\n&nbsp;remplacement de celle ci par une purge temporis&eacute;e .<br />\r\n<br />\r\nCommande N&deg;201711.044', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 212.26000000, 42.45000000, 254.71000000, NULL, NULL, NULL, NULL),
(216, 'FA1712-0011', 1, NULL, NULL, NULL, 0, NULL, 2232, '2017-12-05 16:26:27', '2017-12-05', NULL, '2017-12-05', NULL, '2018-02-19 09:40:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 16.19000000, 0.00000000, 0.00000000, 0.00000000, 80.97000000, 97.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'pieces detachees pour hv02', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 80.97000000, 16.19000000, 97.16000000, NULL, NULL, NULL, NULL),
(217, 'FA1712-0012', 1, NULL, NULL, NULL, 0, NULL, 5741, '2017-12-06 14:27:50', '2017-12-06', NULL, '2017-12-06', NULL, '2018-02-16 09:11:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.10000000, 0.00000000, 0.00000000, 0.00000000, 560.52000000, 672.62000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-01-05', NULL, 'cartouches filtres reseaux :&nbsp;<br />\r\n<br />\r\nCommande N&deg; 8749', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 560.52000000, 112.10000000, 672.62000000, NULL, NULL, NULL, NULL),
(218, 'FA1712-0013', 1, NULL, NULL, NULL, 0, NULL, 2064, '2017-12-07 09:36:58', '2017-12-07', NULL, '2017-12-07', NULL, '2018-02-12 08:05:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 86.19000000, 0.00000000, 0.00000000, 0.00000000, 430.96000000, 517.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Suite &agrave; l&#39;intervention de notre technicien le 13/11/2017 , fourniture d&#39;une vanne thermostatique COMPAIR install&eacute;e par vos soins :&nbsp;<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 430.96000000, 86.19000000, 517.15000000, NULL, NULL, NULL, NULL),
(219, 'FA1712-0014', 1, NULL, NULL, NULL, 0, NULL, 2075, '2017-12-07 09:48:17', '2017-12-07', NULL, '2017-12-07', NULL, '2018-03-13 08:27:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 221.80000000, 0.00000000, 0.00000000, 0.00000000, 1109.00000000, 1330.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'maintenance L07 N&deg; CD1004696001 &agrave; 16666 HRS&nbsp;<br />\r\nBL N&deg; 6 du 04/12/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1109.00000000, 221.80000000, 1330.80000000, NULL, NULL, NULL, NULL),
(220, 'FA1712-0015', 1, NULL, NULL, NULL, 0, NULL, 2077, '2017-12-07 09:56:49', '2017-12-07', NULL, '2017-12-07', NULL, '2018-01-29 08:24:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 282.94000000, 0.00000000, 0.00000000, 0.00000000, 1414.70000000, 1697.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Maintenance L22RS N&deg;10705866001 &agrave; 20506 HRS .<br />\r\nBL N&deg; 41 du 28/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1414.70000000, 282.94000000, 1697.64000000, NULL, NULL, NULL, NULL),
(221, 'FA1712-0016', 1, NULL, NULL, NULL, 0, NULL, 2161, '2017-12-07 11:14:36', '2017-12-07', NULL, '2017-12-07', NULL, '2018-02-16 09:12:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 185.43000000, 0.00000000, 0.00000000, 0.00000000, 927.21000000, 1112.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'maintenance rollair 15 : N&deg;6250383400 &agrave; 29270 HRS<br />\r\n<br />\r\nSuivant contrat d&#39;entretien<br />\r\n<br />\r\nBL N&deg; 42 du 28/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 927.21000000, 185.43000000, 1112.64000000, NULL, NULL, NULL, NULL),
(222, 'AV1712-0001', 1, NULL, NULL, NULL, 2, NULL, 2232, '2017-12-08 10:59:38', '2017-12-08', NULL, '2017-12-08', NULL, '2018-02-19 09:39:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -16.19000000, 0.00000000, 0.00000000, 0.00000000, -80.97000000, -97.16000000, 2, 5, NULL, 5, NULL, 216, NULL, NULL, NULL, 0, 2, '2017-12-08', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -80.97000000, -16.19000000, -97.16000000, NULL, NULL, NULL, NULL),
(223, 'FA1712-0017', 1, NULL, NULL, NULL, 0, NULL, 2124, '2017-12-08 11:07:37', '2017-12-08', NULL, '2017-12-08', NULL, '2018-02-22 11:09:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 247.46000000, 0.00000000, 0.00000000, 0.00000000, 1237.26000000, 1484.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'maintenance L11 &agrave; 7907 HRS<br />\r\nBL N&deg;7 du 06/12/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1237.26000000, 247.46000000, 1484.72000000, NULL, NULL, NULL, NULL),
(225, 'FA1712-0018', 1, NULL, NULL, NULL, 0, NULL, 5315, '2017-12-20 09:58:28', '2017-12-20', NULL, '2017-12-20', NULL, '2018-02-19 09:33:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 130.00000000, 0.00000000, 0.00000000, 0.00000000, 650.00000000, 780.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-01-19', NULL, 'Prix sp&eacute;cial avec effort commercial Mr Balazard SFACS INDUSTRIE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 650.00000000, 130.00000000, 780.00000000, NULL, NULL, NULL, NULL),
(226, 'FA1712-0019', 1, NULL, NULL, NULL, 0, NULL, 5315, '2017-12-20 10:01:23', '2017-12-20', NULL, '2017-12-20', NULL, '2018-02-19 09:33:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 106.40000000, 0.00000000, 0.00000000, 0.00000000, 532.00000000, 638.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-01-19', NULL, 'Fourniture Riveuteuse AVDEL :<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 532.00000000, 106.40000000, 638.40000000, NULL, NULL, NULL, NULL),
(227, 'FA1712-0020', 1, NULL, NULL, NULL, 0, NULL, 5741, '2017-12-20 10:08:20', '2017-12-20', NULL, '2017-12-20', NULL, '2018-02-16 09:11:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 185.00000000, 0.00000000, 0.00000000, 0.00000000, 924.99000000, 1109.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-01-31', NULL, 'Maintenance&nbsp;du compresseur L45 N&deg; 100010817/0128 &agrave; 25564 HRS<br />\r\nBL N&deg; 6 du 13/12/2017<br />\r\nCommande N&deg; 8809', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 924.99000000, 185.00000000, 1109.99000000, NULL, NULL, NULL, NULL),
(228, 'FA1712-0021', 1, NULL, NULL, 'Maintenance L18', 0, NULL, 1996, '2017-12-20 10:56:24', '2017-12-20', NULL, '2017-12-20', NULL, '2018-02-19 09:35:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 219.16000000, 0.00000000, 0.00000000, 0.00000000, 1095.83000000, 1314.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Maintenance compresseur L18 N&deg; 100008030/0334 &agrave; 30200HRS -&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1095.83000000, 219.16000000, 1314.99000000, NULL, NULL, NULL, NULL),
(229, 'FA1712-0022', 1, NULL, NULL, NULL, 0, NULL, 2131, '2017-12-20 11:54:50', '2017-12-20', NULL, '2017-12-20', NULL, '2018-02-01 15:39:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 85.57000000, 0.00000000, 0.00000000, 0.00000000, 427.84000000, 513.41000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Intervention sur vos 2 compresseurs :&nbsp;<br />\r\nATLAS GA75 1989 - probleme de carte electronique<br />\r\nATLAS GA75+ N&deg; API605673- Fuite d&#39;huile bloc vis moteur&nbsp;<br />\r\n<br />\r\nBL N&deg; 48 du 05/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 427.84000000, 85.57000000, 513.41000000, NULL, NULL, NULL, NULL),
(230, 'FA1712-0023', 1, NULL, NULL, NULL, 0, NULL, 2054, '2017-12-21 10:02:57', '2017-12-21', NULL, '2017-12-21', NULL, '2018-02-01 15:22:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 273.93000000, 0.00000000, 0.00000000, 0.00000000, 1369.65000000, 1643.58000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'maintenance L110rs&nbsp; N&deg; CD10017043001 &agrave; 15251 HRS-&nbsp;<br />\r\nCommande N&deg; S97217121001 du 06/12/2017<br />\r\n<br />\r\nLivraison : La dauphinoise - 2825 chemin de la voie feree<br />\r\n38260 LA COTE ST ANDRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1369.65000000, 273.93000000, 1643.58000000, NULL, NULL, NULL, NULL),
(231, 'FA1712-0024', 1, NULL, NULL, NULL, 0, NULL, 2347, '2017-12-21 10:14:02', '2017-12-21', NULL, '2017-12-21', NULL, '2018-02-15 10:53:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 78.94000000, 0.00000000, 0.00000000, 0.00000000, 394.70000000, 473.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Pi&eacute;ces d&eacute;tach&eacute;es L15 COMPAIR&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 394.70000000, 78.94000000, 473.64000000, NULL, NULL, NULL, NULL),
(232, 'FA1712-0025', 1, NULL, NULL, NULL, 0, NULL, 2136, '2017-12-21 10:48:08', '2017-12-21', NULL, '2017-12-21', NULL, '2018-02-19 09:35:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 108.53000000, 0.00000000, 0.00000000, 0.00000000, 542.63000000, 651.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Maintenance rsdk pro 5.5 N&deg;639018 &agrave; 2123 HRS&nbsp;<br />\r\nBL N&deg; 9 du 08/12/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 542.63000000, 108.53000000, 651.16000000, NULL, NULL, NULL, NULL),
(233, 'FA1712-0026', 1, NULL, NULL, NULL, 0, NULL, 2161, '2017-12-21 11:08:23', '2017-12-21', NULL, '2017-12-21', NULL, '2018-01-26 09:40:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 48.00000000, 0.00000000, 0.00000000, 0.00000000, 240.02000000, 288.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Intervention de d&eacute;pannage sur Worthingthon creyssensac RLR158B 2010 N&deg; CAI 410726- Probleme de demarrage -&nbsp;<br />\r\nBL n&deg; 5 du 04/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 240.02000000, 48.00000000, 288.02000000, NULL, NULL, NULL, NULL),
(234, 'FA1712-0027', 1, NULL, NULL, NULL, 0, NULL, 2197, '2017-12-21 14:36:44', '2017-12-21', NULL, '2017-12-21', NULL, '2017-12-21 16:10:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(235, 'FA1712-0028', 1, NULL, NULL, NULL, 0, NULL, 2350, '2017-12-21 14:53:59', '2017-12-21', NULL, '2017-12-21', NULL, '2018-02-05 09:07:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 114.00000000, 0.00000000, 0.00000000, 0.00000000, 570.00000000, 684.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Fourniture d&#39;un accumulateur 2 Litres :<br />\r\n<br />\r\ncommande N&deg;2311348/189992', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 570.00000000, 114.00000000, 684.00000000, NULL, NULL, NULL, NULL),
(236, 'FA1712-0029', 1, NULL, NULL, '2311294/189992', 0, NULL, 2350, '2017-12-21 14:56:32', '2017-12-21', NULL, '2017-12-21', NULL, '2018-02-05 09:07:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 383.35000000, 0.00000000, 0.00000000, 0.00000000, 1916.76000000, 2300.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'accu ehv 2.5l 690 bars<br />\r\n<br />\r\nCommande N&deg;2311294/189992', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1916.76000000, 383.35000000, 2300.11000000, NULL, NULL, NULL, NULL),
(237, 'FA1712-0030', 1, NULL, NULL, NULL, 0, NULL, 2016, '2017-12-22 09:25:23', '2017-12-22', NULL, '2017-12-22', NULL, '2018-02-07 12:40:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 106.34000000, 0.00000000, 0.00000000, 0.00000000, 531.67000000, 638.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'maintenance l05 N&deg; BA33465001 &agrave; 1940 HRS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 531.67000000, 106.34000000, 638.01000000, NULL, NULL, NULL, NULL),
(238, 'FA1712-0031', 1, NULL, NULL, NULL, 0, NULL, 10293, '2017-12-22 09:53:58', '2017-12-22', NULL, '2017-12-22', NULL, '2018-02-28 08:58:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 152.61000000, 0.00000000, 0.00000000, 0.00000000, 763.06000000, 915.67000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-01-21', NULL, 'Complement chantier en cours transport inclus dans 1er devis :<br />\r\nMise en place d&#39;un filtre reseau grade 0.01 &micro; devant votre ancien compresseur pour la cabine &agrave; peinture .<br />\r\nRaccordement des 3 fosses avec r&eacute;utilisation de l&#39;existant pour 2 fosses .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 763.06000000, 152.61000000, 915.67000000, NULL, NULL, NULL, NULL),
(239, 'FA1712-0032', 1, NULL, NULL, NULL, 0, NULL, 2261, '2017-12-22 11:21:53', '2017-12-22', NULL, '2017-12-26', NULL, '2017-12-26 10:29:55', 0, 0.00000000, NULL, NULL, 0, 'abandon', 'doublon', 108.62000000, 0.00000000, 0.00000000, 0.00000000, 543.11000000, 651.73000000, 3, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Maintenance HV02 et maco trek 5.5 &agrave; 23136 hrs :<br />\r\nBL N&deg;12 du 15/12/2017&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 543.11000000, 108.62000000, 651.73000000, NULL, NULL, NULL, NULL),
(240, 'FA1712-0033', 1, NULL, NULL, NULL, 0, NULL, 2261, '2017-12-22 11:29:15', '2017-12-22', NULL, '2017-12-22', NULL, '2018-01-26 09:37:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 108.62000000, 0.00000000, 0.00000000, 0.00000000, 543.11000000, 651.73000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 2, '2018-01-21', NULL, 'Maintenance HV02 et maco &agrave; 23136 HRS :&nbsp;<br />\r\n<br />\r\nBL 12 du 15/12/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 543.11000000, 108.62000000, 651.73000000, NULL, NULL, NULL, NULL),
(241, 'FA1712-0034', 1, NULL, NULL, 'Enrouleurs', 0, NULL, 2261, '2017-12-22 11:37:13', '2017-12-22', NULL, '2017-12-22', NULL, '2018-01-26 09:37:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 136.41000000, 0.00000000, 0.00000000, 0.00000000, 682.06000000, 818.47000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'BL N&deg;11 du 15/12/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 682.06000000, 136.41000000, 818.47000000, NULL, NULL, NULL, NULL),
(242, 'FA1712-0035', 1, NULL, NULL, NULL, 0, NULL, 2276, '2017-12-22 12:01:28', '2017-12-22', NULL, '2017-12-22', NULL, '2018-01-31 08:26:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 81.18000000, 0.00000000, 0.00000000, 0.00000000, 405.94000000, 487.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Remplacement flexible sur compresseur ingersollrand IR1810H &agrave; 50145 HRS<br />\r\n<br />\r\nBL N&deg; 8 du 08/12/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 405.94000000, 81.18000000, 487.12000000, NULL, NULL, NULL, NULL),
(243, 'FA1712-0036', 1, NULL, NULL, NULL, 0, NULL, 2321, '2017-12-22 15:01:50', '2017-12-22', NULL, '2017-12-22', NULL, '2018-02-19 09:37:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 36.07000000, 0.00000000, 0.00000000, 0.00000000, 180.34000000, 216.41000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Remplacement purge temporis&eacute;e sur cuve suite &agrave; votre demande :&nbsp;<br />\r\n<br />\r\nBl N&deg; 4 du 08/11/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.34000000, 36.07000000, 216.41000000, NULL, NULL, NULL, NULL),
(244, 'FA1712-0037', 1, NULL, NULL, NULL, 0, NULL, 2190, '2017-12-22 15:17:46', '2017-12-22', NULL, '2017-12-22', NULL, '2018-02-07 12:41:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 53.48000000, 0.00000000, 0.00000000, 0.00000000, 267.37000000, 320.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Livraison NOVAIR :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 267.37000000, 53.48000000, 320.85000000, NULL, NULL, NULL, NULL),
(245, 'FA1712-0038', 1, NULL, NULL, NULL, 0, NULL, 12683, '2017-12-22 15:37:19', '2017-12-22', NULL, '2017-12-22', NULL, '2018-03-08 12:21:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 154.73000000, 0.00000000, 0.00000000, 0.00000000, 773.63000000, 928.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-01-21', NULL, 'Panne compresseur Cyclon 222 - Montage clapet de retenue sur embouteilleuse neuve :&nbsp;<br />\r\n<br />\r\nBL N&deg; 05 du 12/12/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 773.63000000, 154.73000000, 928.36000000, NULL, NULL, NULL, NULL),
(246, 'FA1712-0039', 1, NULL, NULL, '34443', 0, NULL, 2122, '2017-12-26 09:24:34', '2017-12-26', NULL, '2017-12-26', NULL, '2018-02-16 09:10:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 72.01000000, 0.00000000, 0.00000000, 0.00000000, 360.04000000, 432.05000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-01-31', NULL, 'Fourniture  2 raccords union 2 pouces pour pouvoir se raccorder sur du pvc diam 63<br />\r\n<br />\r\nCommande N° 34443<br />\r\n<br />\r\nBL N° SH1712-0141', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 360.04000000, 72.01000000, 432.05000000, NULL, NULL, NULL, NULL),
(247, 'AC1712-0001', 1, NULL, NULL, '507982', 3, NULL, 2123, '2017-12-26 09:44:35', '2017-12-26', NULL, '2017-12-26', NULL, '2018-11-09 10:51:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1779.46000000, 0.00000000, 0.00000000, 0.00000000, 8897.32000000, 10676.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2017-12-27', NULL, 'Local AC en remplacement du compresseur GA11 par un compresseur &agrave; vitesse variable 30KW COMPAIR L29RS avec gainage recuperation chauffage et reservoir 1000Litres .<br />\r\n<br />\r\nAcompte 40 % &agrave; la livraison', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 8897.32000000, 1779.46000000, 10676.78000000, NULL, NULL, NULL, NULL),
(248, 'FA1712-0040', 1, NULL, NULL, 'local compresseur', 0, NULL, 2234, '2017-12-26 10:09:10', '2017-12-26', NULL, '2017-12-26', NULL, '2018-01-19 10:48:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 947.00000000, 0.00000000, 0.00000000, 0.00000000, 4735.00000000, 5682.00000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 11, 2, '2018-01-05', NULL, 'fourniture et pose conduit d\'evacuation d\'air chaud pour le compresseur L45RS<br />\r\n<br />\r\nBL N° 14 du 20/12/2017<br />\r\n<br />\r\nCommande N° 4800275208', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4735.00000000, 947.00000000, 5682.00000000, NULL, NULL, NULL, NULL),
(249, 'FA1712-0041', 1, NULL, NULL, NULL, 0, NULL, 2263, '2017-12-26 10:19:05', '2017-12-26', NULL, '2017-12-26', NULL, '2018-02-01 15:41:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 17.81000000, 0.00000000, 0.00000000, 0.00000000, 89.00000000, 106.81000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Fourniture Girair et divers raccords :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 89.00000000, 17.81000000, 106.81000000, NULL, NULL, NULL, NULL),
(250, 'FA1712-0042', 1, NULL, NULL, NULL, 0, NULL, 2318, '2017-12-26 10:45:36', '2017-12-26', NULL, '2017-12-26', NULL, '2018-02-19 09:34:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 77.55000000, 0.00000000, 0.00000000, 0.00000000, 387.75000000, 465.30000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Intervention sur compresseur L15 Compair N&deg; 349015/3740 &agrave; 40300 Heures&nbsp;<br />\r\nProbleme de temperature - vanne 3 voies HS - relai etoile HS - A changer au plus tot&nbsp;<br />\r\n<br />\r\nBl N&deg; 9 du 16/12/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 387.75000000, 77.55000000, 465.30000000, NULL, NULL, NULL, NULL),
(251, 'FA1712-0043', 1, NULL, NULL, NULL, 0, NULL, 2358, '2017-12-26 10:57:02', '2017-12-26', NULL, '2017-12-26', NULL, '2018-02-22 11:08:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 236.28000000, 0.00000000, 0.00000000, 0.00000000, 1181.38000000, 1417.66000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Remplacement 2 regulateurs et programmation sur cabine &agrave; peinture :&nbsp;<br />\r\n<br />\r\nBl N&deg; 7 du 14/12/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1181.38000000, 236.28000000, 1417.66000000, NULL, NULL, NULL, NULL),
(252, 'FA1712-0044', 1, NULL, NULL, NULL, 0, NULL, 12667, '2017-12-26 11:04:50', '2017-12-26', NULL, '2017-12-26', NULL, '2018-03-08 12:27:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 115.21000000, 0.00000000, 0.00000000, 0.00000000, 576.08000000, 691.29000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-01-25', NULL, 'Maintenance compresseur GX7PEL N&deg; CAI936177 de 2016&nbsp; et verification des connectiques et purge du secheur par r&eacute;frig&eacute;ration FX4 de 2016 :\r\n<p>BL N&deg; 46 u 30/11/2017</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 576.08000000, 115.21000000, 691.29000000, NULL, NULL, NULL, NULL),
(253, 'FA1712-0045', 1, NULL, NULL, NULL, 0, NULL, 10293, '2017-12-26 11:13:43', '2017-12-26', NULL, '2017-12-26', NULL, '2018-02-28 08:58:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 12.05000000, 0.00000000, 0.00000000, 0.00000000, 60.24000000, 72.29000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-01-25', NULL, 'remplacement cartouche filtre reseau ABAC pour cabie &agrave; peinture :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 60.24000000, 12.05000000, 72.29000000, NULL, NULL, NULL, NULL),
(254, 'AV1712-0002', 1, NULL, NULL, NULL, 2, NULL, 2261, '2017-12-26 11:29:09', '2017-12-26', NULL, '2017-12-26', NULL, '2017-12-26 10:30:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -108.62000000, 0.00000000, 0.00000000, 0.00000000, -543.11000000, -651.73000000, 2, 5, NULL, 5, NULL, 239, NULL, NULL, NULL, 0, 2, '2017-12-26', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -543.11000000, -108.62000000, -651.73000000, NULL, NULL, NULL, NULL),
(255, 'FA1712-0046', 1, NULL, NULL, NULL, 0, NULL, 2708, '2017-12-27 10:22:37', '2017-12-27', NULL, '2017-12-27', NULL, '2018-02-14 07:41:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 358.20000000, 0.00000000, 0.00000000, 0.00000000, 1791.00000000, 2149.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Affaire JT LASER 69 CHASSIEU en accord avec Franck DENIEL', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1791.00000000, 358.20000000, 2149.20000000, NULL, NULL, NULL, NULL),
(256, 'FA1712-0047', 1, NULL, NULL, NULL, 0, NULL, 2161, '2017-12-27 10:42:53', '2017-12-27', NULL, '2017-12-27', NULL, '2018-01-26 09:38:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 145.09000000, 0.00000000, 0.00000000, 0.00000000, 725.43000000, 870.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'R&eacute;parartion Rollair 15 8B cuisine :<br />\r\nRemplacement kit d&#39;aspiration<br />\r\nremplacement vanne de pression minimum<br />\r\nremplacement electrovanne&nbsp;<br />\r\n<br />\r\nCommande N&deg;&nbsp;17018672', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 725.43000000, 145.09000000, 870.52000000, NULL, NULL, NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(257, 'FA1712-0048', 1, NULL, NULL, '18FB289', 0, NULL, 2131, '2017-12-27 10:49:33', '2017-12-27', NULL, '2017-12-27', NULL, '2018-02-14 10:44:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 86.34000000, 0.00000000, 0.00000000, 0.00000000, 431.70000000, 518.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Meuleuse fuji :<br />\r\n<br />\r\nCommande N&deg; 18FB289', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 431.70000000, 86.34000000, 518.04000000, NULL, NULL, NULL, NULL),
(258, 'FA1712-0049', 1, NULL, NULL, NULL, 0, NULL, 9371, '2017-12-27 10:58:52', '2017-12-27', NULL, '2017-12-27', NULL, '2018-01-19 10:48:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1351.12000000, 0.00000000, 0.00000000, 0.00000000, 6755.64000000, 8106.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-01-26', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 9007.52000000, 1801.50000000, 10809.02000000, NULL, NULL, NULL, NULL),
(259, 'FA1712-0050', 1, NULL, NULL, 'Local B3', 0, NULL, 2102, '2017-12-27 11:58:15', '2017-12-27', NULL, '2017-12-27', NULL, '2018-03-08 12:15:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 3024.37000000, 0.00000000, 0.00000000, 0.00000000, 15121.87000000, 18146.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Amenagement electrique et air comprim&eacute; local B3, abaissement neons + remplacement par tube LEDS<br />\r\n<br />\r\nCommande N&deg;BC2017.11.137', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 15121.87000000, 3024.37000000, 18146.24000000, NULL, NULL, NULL, NULL),
(260, 'FA1712-0051', 1, NULL, NULL, 'Maintenance L07', 0, NULL, 2149, '2017-12-27 14:16:38', '2017-12-27', NULL, '2017-12-27', NULL, '2018-01-26 09:50:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 125.18000000, 0.00000000, 0.00000000, 0.00000000, 625.89000000, 751.07000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Maintenance L07 &agrave; 7045 HRS -&nbsp;<br />\r\nRemplacement filtre &agrave; air , filtre &agrave; huile et separateur - vidange - soufflage radiateur et grille d&#39;entr&eacute;e<br />\r\nRemplacement kit seprateur de condensats<br />\r\nMise en place d&#39;une vanne 1/4 &agrave; la place d&#39;un purgeur defectueux sur filtre r&eacute;seau .<br />\r\n<br />\r\nBL N&deg; 4 du 04/12/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 625.89000000, 125.18000000, 751.07000000, NULL, NULL, NULL, NULL),
(261, 'FA1712-0052', 1, NULL, NULL, NULL, 0, NULL, 2300, '2017-12-27 14:45:52', '2017-12-27', NULL, '2017-12-27', NULL, '2018-04-25 07:25:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 447.83000000, 0.00000000, 0.00000000, 0.00000000, 2239.09000000, 2686.92000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Maintenance l45 N&deg; CD10023286001 &agrave; 4324 HRS<br />\r\n2 filtres reseaux<br />\r\net owamat 14 separateur de condensats', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2239.09000000, 447.83000000, 2686.92000000, NULL, NULL, NULL, NULL),
(262, 'FA1712-0053', 1, NULL, NULL, NULL, 0, NULL, 2373, '2017-12-27 15:09:56', '2017-12-27', NULL, '2017-12-27', NULL, '2018-02-15 10:52:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.33000000, 0.00000000, 0.00000000, 0.00000000, 561.64000000, 673.97000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Reparation compresseur Ingersollrand - remplacement flexible&nbsp;<br />\r\n<br />\r\nBL N&deg; 10 du 22/12/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 561.64000000, 112.33000000, 673.97000000, NULL, NULL, NULL, NULL),
(263, 'FA1712-0054', 1, NULL, NULL, 'Maintenance L37RS', 0, NULL, 2352, '2017-12-27 15:28:18', '2017-12-27', NULL, '2017-12-27', NULL, '2018-07-20 13:49:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 384.27000000, 0.00000000, 0.00000000, 0.00000000, 1921.33000000, 2305.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Maintenance L37RS N&deg; CD10019189001 &agrave; 6907 HRS -<br />\r\nRemplacement des cartouches des filtres r&eacute;seaux .<br />\r\n<br />\r\nBL N&deg; 15 du 22/12/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1921.33000000, 384.27000000, 2305.60000000, NULL, NULL, NULL, NULL),
(264, 'FA1712-0055', 1, NULL, NULL, '20171207606', 0, NULL, 2077, '2017-12-28 10:07:11', '2017-12-28', NULL, '2017-12-28', NULL, '2018-01-29 08:24:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 136.45000000, 0.00000000, 0.00000000, 0.00000000, 682.24000000, 818.69000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Remplacement des silentsblocs sur compresseurs L22SR N&deg; CD10005856001 &agrave; 20679 HRS<br />\r\n<br />\r\nBL N&deg; 13 du 27/12/2017<br />\r\n<br />\r\nCommande N&deg; 20171207606<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 682.24000000, 136.45000000, 818.69000000, NULL, NULL, NULL, NULL),
(265, 'FA1712-0056', 1, NULL, NULL, NULL, 0, NULL, 2068, '2017-12-28 10:12:11', '2017-12-28', NULL, '2017-12-28', NULL, '2018-03-08 12:23:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 32.50000000, 0.00000000, 0.00000000, 0.00000000, 162.50000000, 195.00000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Fourniture relai pour L05 : <br />\r\n<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 162.50000000, 32.50000000, 195.00000000, NULL, NULL, NULL, NULL),
(266, 'FA1712-0057', 1, NULL, NULL, 'L07', 0, NULL, 2218, '2017-12-28 10:24:16', '2017-12-28', NULL, '2017-12-28', NULL, '2018-02-15 10:51:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 119.41000000, 0.00000000, 0.00000000, 0.00000000, 597.01000000, 716.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-01-31', NULL, 'Maintenance compresseur L07 N&deg;ba27547001 &agrave; 9098 HRS<br />\r\n<br />\r\nBL N&deg;12 du 17/12/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 597.01000000, 119.41000000, 716.42000000, NULL, NULL, NULL, NULL),
(267, 'AV1801-0001', 1, NULL, NULL, NULL, 2, NULL, 2131, '2018-01-03 15:09:54', '2018-01-03', NULL, '2018-01-03', NULL, '2018-08-08 08:56:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -86.34000000, 0.00000000, 0.00000000, 0.00000000, -431.70000000, -518.04000000, 2, 5, NULL, 5, NULL, 257, NULL, NULL, NULL, 0, 2, '2018-01-03', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -431.70000000, -86.34000000, -518.04000000, NULL, NULL, NULL, NULL),
(268, 'AV1801-0002', 1, NULL, NULL, NULL, 2, NULL, 2321, '2018-01-08 09:28:43', '2018-01-08', NULL, '2018-01-08', NULL, '2018-08-08 08:56:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -13.60000000, 0.00000000, 0.00000000, 0.00000000, -68.00000000, -81.60000000, 2, 5, NULL, 5, NULL, 243, NULL, NULL, NULL, 0, 2, '2018-01-08', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -68.00000000, -13.60000000, -81.60000000, NULL, NULL, NULL, NULL),
(269, 'FA1801-0001', 1, NULL, NULL, NULL, 0, NULL, 2190, '2018-01-09 11:12:12', '2018-01-09', NULL, '2018-01-09', NULL, '2018-03-08 12:20:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 4.11000000, 0.00000000, 0.00000000, 0.00000000, 20.54000000, 24.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2018-02-28', NULL, 'Location bouteille 100% N&sup2;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 20.54000000, 4.11000000, 24.65000000, NULL, NULL, NULL, NULL),
(270, 'FA1801-0002', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2018-01-09 11:14:40', '2018-01-09', NULL, '2018-01-09', NULL, '2018-01-10 08:40:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(271, 'FA1801-0003', 1, NULL, NULL, '18FB322', 0, NULL, 2131, '2018-01-09 11:30:22', '2018-01-09', NULL, '2018-01-09', NULL, '2018-03-07 17:45:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 102.40000000, 0.00000000, 0.00000000, 0.00000000, 512.00000000, 614.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'Meuleuses RODCRAFT<br />\r\nCommande N&deg; 18FB322', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 512.00000000, 102.40000000, 614.40000000, NULL, NULL, NULL, NULL),
(272, 'FA1801-0004', 1, NULL, NULL, NULL, 0, NULL, 5741, '2018-01-17 12:01:45', '2018-01-17', NULL, '2018-01-17', NULL, '2018-03-16 09:49:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 50.02000000, 0.00000000, 0.00000000, 0.00000000, 250.10000000, 300.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-02-16', NULL, 'Commande N&deg;8893', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.10000000, 50.02000000, 300.12000000, NULL, NULL, NULL, NULL),
(273, 'FA1801-0005', 1, NULL, NULL, NULL, 0, NULL, 5741, '2018-01-19 11:19:25', '2018-01-19', NULL, '2018-01-19', NULL, '2018-03-16 09:49:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 399.81000000, 0.00000000, 0.00000000, 0.00000000, 1999.03000000, 2398.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-02-18', NULL, 'Miantenance L75 N&deg; CD10005618002 &agrave; 15777 HRS<br />\r\n<br />\r\nBL N&deg;27 du 10/01/2018<br />\r\n<br />\r\nCommande N&deg; 8921', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1999.03000000, 399.81000000, 2398.84000000, NULL, NULL, NULL, NULL),
(274, 'FA1801-0006', 1, NULL, NULL, NULL, 0, NULL, 5741, '2018-01-19 12:05:59', '2018-01-19', NULL, '2018-01-19', NULL, '2018-03-16 09:49:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 58.83000000, 0.00000000, 0.00000000, 0.00000000, 294.16000000, 352.99000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-02-18', NULL, 'Intervention sur compresseur Regatta 141 N° 349017/0266 à  74327 Hrs - <br />\r\nremplacement d\'un regulateur pneumatique <br />\r\nVanne thermostatique HS  - <br />\r\n<br />\r\nCommande N° 8981', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 294.16000000, 58.83000000, 352.99000000, NULL, NULL, NULL, NULL),
(275, 'FA1801-0007', 1, NULL, NULL, NULL, 0, NULL, 2011, '2018-01-19 13:54:48', '2018-01-19', NULL, '2018-01-19', NULL, '2018-02-28 14:40:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 26.49000000, 0.00000000, 0.00000000, 0.00000000, 132.41000000, 158.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'Remplacement filtres r&eacute;seaux:', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.41000000, 26.49000000, 158.90000000, NULL, NULL, NULL, NULL),
(276, 'FA1801-0008', 1, NULL, NULL, NULL, 0, NULL, 2011, '2018-01-19 14:33:25', '2018-01-19', NULL, '2018-01-19', NULL, '2018-02-28 14:40:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 80.14000000, 0.00000000, 0.00000000, 0.00000000, 400.68000000, 480.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'Remplacement carte Delcos Pro sur compresseur L07 N&deg;CD10001752001 &agrave; 21255 HRS sous garantie ASSURE COMPAIR 24 000 HRS -<br />\r\n<br />\r\nProbleme d&#39;eau sur le r&eacute;seau : recherche de panne ( decembre 2017 &amp; 16/01/2018 ) sur les s&eacute;cheurs OMI ED108 &amp; EDD180', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 400.68000000, 80.14000000, 480.82000000, NULL, NULL, NULL, NULL),
(277, 'FA1801-0009', 1, NULL, NULL, NULL, 0, NULL, 9371, '2018-01-19 15:04:33', '2018-01-19', NULL, '2018-01-19', NULL, '2018-02-05 09:07:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 8.72000000, 0.00000000, 0.00000000, 0.00000000, 43.60000000, 52.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-02-18', NULL, 'Mise en place d&#39;un regulateur avec mano :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 43.60000000, 8.72000000, 52.32000000, NULL, NULL, NULL, NULL),
(279, 'FA1801-0010', 1, NULL, NULL, NULL, 0, NULL, 6259, '2018-01-19 15:32:30', '2018-01-19', NULL, '2018-01-19', NULL, '2018-03-08 12:18:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 324.07000000, 0.00000000, 0.00000000, 0.00000000, 1620.33000000, 1944.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-02-28', NULL, 'Maintenance L30 N&deg;CD10007358001 &agrave; 10901 HRS<br />\r\n<br />\r\nBL N&deg; 21 du 05/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1620.33000000, 324.07000000, 1944.40000000, NULL, NULL, NULL, NULL),
(280, 'FA1801-0011', 1, NULL, NULL, NULL, 0, NULL, 2103, '2018-01-22 09:51:03', '2018-01-22', NULL, '2018-01-22', NULL, '2018-03-13 08:25:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 199.22000000, 0.00000000, 0.00000000, 0.00000000, 996.13000000, 1195.35000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'Maintenance L45RSN&deg; CD10015227001 &agrave; 14004 Heures<br />\r\nET maintenance seprateurs de condensats Owamat 14', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 996.13000000, 199.22000000, 1195.35000000, NULL, NULL, NULL, NULL),
(281, 'FA1801-0012', 1, NULL, NULL, NULL, 0, NULL, 2122, '2018-01-22 10:02:37', '2018-01-22', NULL, '2018-01-22', NULL, '2018-03-19 09:39:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 31.00000000, 0.00000000, 0.00000000, 0.00000000, 155.00000000, 186.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-02-28', NULL, '&nbsp;5 coudes a 90 &deg; &nbsp;F/F diam 63 pvc pour r&eacute;seau air comprim&eacute;.<br />\r\n<br />\r\nCommande N&deg; 34743', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 155.00000000, 31.00000000, 186.00000000, NULL, NULL, NULL, NULL),
(282, 'FA1801-0013', 1, NULL, NULL, NULL, 0, NULL, 2149, '2018-01-22 10:16:24', '2018-01-22', NULL, '2018-01-22', NULL, '2018-03-22 10:57:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 29.32000000, 0.00000000, 0.00000000, 0.00000000, 146.61000000, 175.93000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'remplacement purgeur sur filtre r&eacute;seau :&nbsp;<br />\r\n<br />\r\nBl N&deg; 24 du 08/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 146.61000000, 29.32000000, 175.93000000, NULL, NULL, NULL, NULL),
(283, 'FA1801-0014', 1, NULL, NULL, NULL, 0, NULL, 2161, '2018-01-22 10:35:17', '2018-01-22', NULL, '2018-01-22', NULL, '2018-03-13 08:26:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 44.53000000, 0.00000000, 0.00000000, 0.00000000, 222.65000000, 267.18000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'Intervention Blanchisserie Drome Nord<br />\r\nZAC de la brassiere 26240 ST VALLIER<br />\r\n<br />\r\nProbleme de mise en charge sur compressseur BOGE S31-2 N&deg; 5034864 &agrave; 5774 HEURES de 2009 -<br />\r\n<br />\r\nBL N&deg; 15 du 28/12/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 222.65000000, 44.53000000, 267.18000000, NULL, NULL, NULL, NULL),
(284, 'FA1801-0015', 1, NULL, NULL, NULL, 0, NULL, 2231, '2018-01-22 11:54:12', '2018-01-22', NULL, '2018-01-22', NULL, '2018-03-16 09:46:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 78.83000000, 0.00000000, 0.00000000, 0.00000000, 394.16000000, 472.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'Depannage compresseur DEVILBISS - fuite d&#39;huile au niveau du seprateur -&nbsp;<br />\r\nBl N&deg; 33 du 17/01/2018&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 394.16000000, 78.83000000, 472.99000000, NULL, NULL, NULL, NULL),
(285, 'FA1801-0016', 1, NULL, NULL, NULL, 0, NULL, 2363, '2018-01-22 12:16:06', '2018-01-22', NULL, '2018-01-22', NULL, '2018-03-08 12:19:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 28.59000000, 0.00000000, 0.00000000, 0.00000000, 142.94000000, 171.53000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'D&eacute;pannage -<br />\r\nPresence d&#39;eau sur le r&eacute;seau suite &agrave; une vanne de BYPASS ouverte&nbsp;<br />\r\nFaux contact sur compresseur Sprint025<br />\r\n<br />\r\nBl N&deg; 25 du 08/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 142.94000000, 28.59000000, 171.53000000, NULL, NULL, NULL, NULL),
(286, 'FA1801-0017', 1, NULL, NULL, NULL, 0, NULL, 2245, '2018-01-22 15:01:12', '2018-01-22', NULL, '2018-01-22', NULL, '2018-02-28 14:41:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 108.54000000, 0.00000000, 0.00000000, 0.00000000, 542.70000000, 651.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, '10 x&nbsp;R&eacute;f &eacute;lectrovanne CAMOZZI 438.015.22.', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 542.70000000, 108.54000000, 651.24000000, NULL, NULL, NULL, NULL),
(287, 'FA1801-0018', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-01-22 16:34:12', '2018-01-22', NULL, '2018-01-22', NULL, '2018-03-27 08:10:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 99.17000000, 0.00000000, 0.00000000, 0.00000000, 495.83000000, 595.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'entite 1327215 - comissions 2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 495.83000000, 99.17000000, 595.00000000, NULL, NULL, NULL, NULL),
(288, 'AV1801-0003', 1, NULL, NULL, NULL, 2, NULL, 12666, '2018-01-23 16:46:13', '2018-01-23', NULL, '2018-01-23', NULL, '2018-02-19 10:02:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -44.34000000, 0.00000000, 0.00000000, 0.00000000, -221.68000000, -266.02000000, 2, 5, NULL, 5, NULL, 210, NULL, NULL, NULL, 0, 0, '2018-01-23', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -221.68000000, -44.34000000, -266.02000000, NULL, NULL, NULL, NULL),
(289, 'AV1801-0004', 1, NULL, NULL, NULL, 2, NULL, 9371, '2018-01-24 09:09:44', '2018-01-24', NULL, '2018-01-24', NULL, '2018-08-08 08:55:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, -540.45000000, -540.45000000, 2, 5, NULL, 5, NULL, 83, NULL, NULL, NULL, 0, 0, '2018-01-24', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -540.45000000, 0.00000000, -540.45000000, NULL, NULL, NULL, NULL),
(291, 'FA1801-0019', 1, NULL, NULL, NULL, 0, NULL, 2190, '2018-01-24 09:27:54', '2018-01-24', NULL, '2018-01-24', NULL, '2018-04-10 14:50:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 54.32000000, 0.00000000, 0.00000000, 0.00000000, 271.57000000, 325.89000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'Livraison NOVAIR :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 271.57000000, 54.32000000, 325.89000000, NULL, NULL, NULL, NULL),
(292, 'FA1801-0020', 1, NULL, NULL, 'variateur', 0, NULL, 9822, '2018-01-24 10:31:51', '2018-01-24', NULL, '2018-01-24', NULL, '2018-02-28 08:57:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 291.43000000, 0.00000000, 0.00000000, 0.00000000, 1457.18000000, 1748.61000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'BL n&deg; 38 du 22/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1457.18000000, 291.43000000, 1748.61000000, NULL, NULL, NULL, NULL),
(293, 'FA1801-0021', 1, NULL, NULL, NULL, 0, NULL, 2261, '2018-01-24 12:02:31', '2018-01-24', NULL, '2018-01-24', NULL, '2018-03-21 08:13:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 87.83000000, 0.00000000, 0.00000000, 0.00000000, 439.16000000, 526.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'depannage HV02- Transfo HS<br />\r\n<br />\r\nBL N&deg; 34 du 17/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 439.16000000, 87.83000000, 526.99000000, NULL, NULL, NULL, NULL),
(294, 'FA1801-0022', 1, NULL, NULL, NULL, 0, NULL, 2060, '2018-01-24 14:12:43', '2018-01-24', NULL, '2018-01-24', NULL, '2018-03-08 12:10:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 41.62000000, 0.00000000, 0.00000000, 0.00000000, 208.10000000, 249.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'intervention sur Sprint N&deg; 149802/38 &agrave; 31337 HRS N&deg;2&nbsp;<br />\r\n<br />\r\nBL N&deg; 35 du 17/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 208.10000000, 41.62000000, 249.72000000, NULL, NULL, NULL, NULL),
(295, 'FA1801-0023', 1, NULL, NULL, NULL, 0, NULL, 6663, '2018-01-24 16:33:41', '2018-01-24', NULL, '2018-01-24', NULL, '2018-03-21 08:14:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 317.94000000, 0.00000000, 0.00000000, 0.00000000, 1589.71000000, 1907.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'Maintenance l37RS&nbsp; N&deg; cd10024873001 &agrave; 1736HRS<br />\r\nseparateur de condensats owamat 14<br />\r\n&nbsp;maintenance L18&nbsp; N&deg;100014105/0154 &agrave; 16343 HRS<br />\r\n<br />\r\nBL N&deg;20 et 19 du 05/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1589.71000000, 317.94000000, 1907.65000000, NULL, NULL, NULL, NULL),
(296, 'FA1801-0024', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-01-25 10:42:21', '2018-01-25', NULL, '2018-01-25', NULL, '2018-03-08 12:12:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2649.66000000, 0.00000000, 0.00000000, 0.00000000, 13248.51000000, 15898.17000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'DOSSIER NAVYA N&deg;2863705', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 13248.51000000, 2649.66000000, 15898.17000000, NULL, NULL, NULL, NULL),
(297, 'FA1801-0025', 1, NULL, NULL, NULL, 0, NULL, 2263, '2018-01-26 09:41:56', '2018-01-26', NULL, '2018-01-26', NULL, '2018-03-08 12:16:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 7.43000000, 0.00000000, 0.00000000, 0.00000000, 37.17000000, 44.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'Fourniture PVC par Mr BRET - le 22/01/2018 matin', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 37.17000000, 7.43000000, 44.60000000, NULL, NULL, NULL, NULL),
(298, 'FA1801-0026', 1, NULL, NULL, NULL, 0, NULL, 2289, '2018-01-26 10:32:39', '2018-01-26', NULL, '2018-01-26', NULL, '2018-02-14 07:41:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 204.52000000, 0.00000000, 0.00000000, 0.00000000, 1022.60000000, 1227.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'maintenance l07 N&deg; ba35645002 &agrave; 8907 HRS<br />\r\n<br />\r\nBL N&deg; 37 du 1901/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1022.60000000, 204.52000000, 1227.12000000, NULL, NULL, NULL, NULL),
(299, 'FA1801-0027', 1, NULL, NULL, NULL, 0, NULL, 2283, '2018-01-26 11:20:51', '2018-01-26', NULL, '2018-02-14', NULL, '2018-02-28 08:55:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 51.05000000, 0.00000000, 0.00000000, 0.00000000, 255.26000000, 306.31000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'Fournitures filtre a air et huile pour compresseur &agrave; piston&nbsp;<br />\r\nFourniture 3 cartouches filtres reseaux', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 255.26000000, 51.05000000, 306.31000000, NULL, NULL, NULL, NULL),
(300, 'FA1801-0028', 1, NULL, NULL, NULL, 0, NULL, 2110, '2018-01-26 11:57:25', '2018-01-26', NULL, '2018-01-26', NULL, '2018-03-07 17:45:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 84.29000000, 0.00000000, 0.00000000, 0.00000000, 421.45000000, 505.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'Maintenance compresseur L22 COMPAIR N&deg; CD100017742003 &agrave; 6227 HRS&nbsp;<br />\r\n<br />\r\nBL N&deg;28 du 04/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 421.45000000, 84.29000000, 505.74000000, NULL, NULL, NULL, NULL),
(301, 'FA1801-0029', 1, NULL, NULL, NULL, 0, NULL, 2358, '2018-01-26 14:40:49', '2018-01-26', NULL, '2018-01-26', NULL, '2018-03-15 12:20:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 250.02000000, 0.00000000, 0.00000000, 0.00000000, 1250.15000000, 1500.17000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'BL N&deg;26 du 03/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1250.15000000, 250.02000000, 1500.17000000, NULL, NULL, NULL, NULL),
(302, 'FA1801-0030', 1, NULL, NULL, NULL, 0, NULL, 2358, '2018-01-26 14:50:17', '2018-01-26', NULL, '2018-01-26', NULL, '2018-03-15 12:20:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 38.30000000, 0.00000000, 0.00000000, 0.00000000, 191.52000000, 229.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'BL n&deg; 26 du 03/01/2018<br />\r\n<br />\r\nV&eacute;rification ligne &eacute;lectrique ADSL -<br />\r\nModification branchement<br />\r\nRecherche panne avec technicien<br />\r\nEssai plusieurs Branchements', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 191.52000000, 38.30000000, 229.82000000, NULL, NULL, NULL, NULL),
(303, 'FA1801-0031', 1, NULL, NULL, NULL, 0, NULL, 2358, '2018-01-26 15:11:01', '2018-01-26', NULL, '2018-01-26', NULL, '2018-03-15 12:20:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 307.01000000, 0.00000000, 0.00000000, 0.00000000, 1535.06000000, 1842.07000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-02-28', NULL, 'Intervention sur cabine &agrave; peinture : parametrage regulateur&nbsp; (<strong> voir &agrave; changer les filtres bas et haut )&nbsp;</strong><br />\r\ngrenailleuse : remplacement variateur<br />\r\npalan : recablage cable <strong>( voir le fusible 3A &agrave; changer )</strong>&nbsp;<br />\r\nCabine &agrave; peinture liquide : parametrage variateur altivar 31<br />\r\n<br />\r\nBL n&deg; 18 du 03/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1535.06000000, 307.01000000, 1842.07000000, NULL, NULL, NULL, NULL),
(304, 'FA1801-0032', 1, NULL, NULL, NULL, 0, NULL, 10293, '2018-01-26 15:25:54', '2018-01-26', NULL, '2018-01-26', NULL, '2018-04-04 07:14:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 80.92000000, 0.00000000, 0.00000000, 0.00000000, 404.58000000, 485.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-02-25', NULL, 'Reseau d&#39;air comprim&eacute; 15 bars - Remplacement regulateur de pression et mano suite &agrave; arrachage&nbsp;<br />\r\n<br />\r\nBL N&deg;16 du 28/12/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 404.58000000, 80.92000000, 485.50000000, NULL, NULL, NULL, NULL),
(305, 'FA1801-0033', 1, NULL, NULL, NULL, 0, NULL, 12693, '2018-01-26 15:46:09', '2018-01-26', NULL, '2018-01-26', NULL, '2018-04-25 07:26:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 44.81000000, 0.00000000, 0.00000000, 0.00000000, 224.06000000, 268.87000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-02-25', NULL, 'D&eacute;pannage provisoire s&eacute;cheur 18HS N&deg; 3602740001 - thermostat ventilo defectueux&nbsp;<br />\r\n<br />\r\nBL N&deg;36 du 19/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 224.06000000, 44.81000000, 268.87000000, NULL, NULL, NULL, NULL),
(306, 'FA1801-0034', 1, NULL, NULL, NULL, 0, NULL, 2073, '2018-01-31 14:25:31', '2018-01-31', NULL, '2018-01-31', NULL, '2018-03-08 12:09:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 58.84000000, 0.00000000, 0.00000000, 0.00000000, 294.18000000, 353.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Remplacement vanne thermostatique sur compresseru HV07<br />\r\nBL N&deg;41 du 25/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 294.18000000, 58.84000000, 353.02000000, NULL, NULL, NULL, NULL),
(307, 'FA1801-0035', 1, NULL, NULL, 'SSGAL170101', 0, NULL, 12666, '2018-01-31 14:41:41', '2018-01-31', NULL, '2018-01-31', NULL, '2018-03-09 13:06:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 760.00000000, 0.00000000, 0.00000000, 0.00000000, 3800.00000000, 4560.00000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-03-31', NULL, 'Remplacement en lieu et  place de votre sécheur par adsorption ( kit de maintenance 1 967 € )  par un secheur par adsorption 170m3/h marque CTA avec un cout de maintenance plus faible que votre sécheur actuel (prix du kit tarif 2017 CTA 597 € Ht ) sécheur non verrouillé par badge ou clé pour la maintenance <br />\r\n Maintenance compresseur Ingersollrand UP5-15 à 17930 HRS<br />\r\n<br />\r\nBL N° 19 du 30/01/2018<br />\r\n<br />\r\nSSGAL170101', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3800.00000000, 760.00000000, 4560.00000000, NULL, NULL, NULL, NULL),
(308, 'FA1801-0036', 1, NULL, NULL, NULL, 0, NULL, 2102, '2018-01-31 15:25:39', '2018-01-31', NULL, '2018-01-31', NULL, '2018-04-06 08:18:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 177.87000000, 0.00000000, 0.00000000, 0.00000000, 889.36000000, 1067.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance L07RS N&deg; BA33915001 &agrave; 351 HRS<br />\r\n<br />\r\nBL N&deg; 42 du 26/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 889.36000000, 177.87000000, 1067.23000000, NULL, NULL, NULL, NULL),
(309, 'FA1801-0037', 1, NULL, NULL, NULL, 0, NULL, 2161, '2018-01-31 15:44:05', '2018-01-31', NULL, '2018-01-31', NULL, '2018-03-13 08:26:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 126.53000000, 0.00000000, 0.00000000, 0.00000000, 632.64000000, 759.17000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Remplacement electrovanne de r&eacute;gulation sur compresseur BOGE :<br />\r\n<br />\r\nBL N&deg; 18 du 29/01/2018<br />\r\n<br />\r\nCommande N&deg; 2100/18000929', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 632.64000000, 126.53000000, 759.17000000, NULL, NULL, NULL, NULL),
(310, 'FA1801-0038', 1, NULL, NULL, NULL, 0, NULL, 2215, '2018-01-31 15:55:30', '2018-01-31', NULL, '2018-01-31', NULL, '2018-03-15 12:18:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 139.28000000, 0.00000000, 0.00000000, 0.00000000, 696.44000000, 835.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'maintenance L11rs N&deg; CD10021552001 &agrave; 16347 HRS&nbsp;<br />\r\n<br />\r\nBL N&deg;44 du 29/01/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 696.44000000, 139.28000000, 835.72000000, NULL, NULL, NULL, NULL),
(311, 'FA1801-0039', 1, NULL, NULL, 'L15', 0, NULL, 2204, '2018-01-31 16:09:14', '2018-01-31', NULL, '2018-01-31', NULL, '2018-03-08 12:16:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 109.11000000, 0.00000000, 0.00000000, 0.00000000, 545.53000000, 654.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance l15 N CD10002014007 &agrave; 20935 HRS<br />\r\n<br />\r\nBL N&deg; 45 du 30/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 545.53000000, 109.11000000, 654.64000000, NULL, NULL, NULL, NULL),
(312, 'FA1801-0040', 1, NULL, NULL, NULL, 0, NULL, 2269, '2018-01-31 16:25:03', '2018-01-31', NULL, '2018-01-31', NULL, '2018-03-20 08:35:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 108.60000000, 0.00000000, 0.00000000, 0.00000000, 543.00000000, 651.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Chauffage SOVELOR C15 :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 543.00000000, 108.60000000, 651.60000000, NULL, NULL, NULL, NULL),
(313, 'FA1801-0041', 1, NULL, NULL, NULL, 0, NULL, 2383, '2018-01-31 17:00:44', '2018-01-31', NULL, '2018-01-31', NULL, '2018-04-03 14:28:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 331.48000000, 0.00000000, 0.00000000, 0.00000000, 1657.41000000, 1988.89000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Travaux sur rapport ACritec :<br />\r\n<br />\r\nBL N&deg; 30 du 30/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1657.41000000, 331.48000000, 1988.89000000, NULL, NULL, NULL, NULL),
(314, 'FA1801-0042', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-02-01 09:32:18', '2018-01-31', NULL, '2018-02-01', NULL, '2018-03-15 16:41:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(315, 'FA1801-0043', 1, NULL, NULL, NULL, 0, NULL, 2406, '2018-02-01 10:12:32', '2018-01-31', NULL, '2018-02-01', NULL, '2018-03-08 12:14:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 82.55000000, 0.00000000, 0.00000000, 0.00000000, 412.80000000, 495.35000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'D&eacute;pannage secheur CTA DA004&nbsp;<br />\r\nRemplacement electrovanne et 2 silencieux&nbsp;<br />\r\n<br />\r\nBL N&deg; 40 du 25/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 412.80000000, 82.55000000, 495.35000000, NULL, NULL, NULL, NULL),
(316, 'FA1801-0044', 1, NULL, NULL, NULL, 0, NULL, 2406, '2018-02-01 10:36:10', '2018-01-31', NULL, '2018-02-01', NULL, '2018-03-08 12:14:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 234.38000000, 0.00000000, 0.00000000, 0.00000000, 1171.90000000, 1406.28000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'MAINTENANCE COMPRESSEUR L18 N&deg; CD10009710001 &agrave; 14526 HRS<br />\r\n<br />\r\nBL N&deg; 43 du 26/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1171.90000000, 234.38000000, 1406.28000000, NULL, NULL, NULL, NULL),
(317, 'FA1801-0045', 1, NULL, NULL, '507982', 0, NULL, 2123, '2018-02-01 11:10:34', '2018-01-31', NULL, '2018-03-02', NULL, '2018-03-16 09:48:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 5338.55000000, 0.00000000, 0.00000000, 0.00000000, 26692.76000000, 32031.31000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Local AC en remplacement du compresseur GA11 par un compresseur à vitesse variable 30KW COMPAIR L29RS avec gainage système de récupération de chaleur sur un compresseur d\'air d\'une puissance de 30kW et reservoir 1000Litres .<br />\r\n<br />\r\nBL N° 20 du 31/01/2018<br />\r\n<br />\r\nCommande N° 507982', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 26692.76000000, 5338.55000000, 32031.31000000, NULL, NULL, NULL, NULL),
(318, 'FA1802-0001', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2018-02-05 15:11:26', '2018-02-05', NULL, '2018-02-05', NULL, '2018-04-05 11:49:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(319, 'FA1802-0002', 1, NULL, NULL, 'PO7000633301', 0, NULL, 2184, '2018-02-05 15:17:57', '2018-02-05', NULL, '2018-02-05', NULL, '2018-05-02 07:27:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 43.56000000, 0.00000000, 0.00000000, 0.00000000, 217.80000000, 261.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Intervention sur secheur compair F84C -&nbsp;<br />\r\nRemplacement&nbsp; des roulements -<br />\r\nBL N&deg;28 du 10/01/2018<br />\r\n<br />\r\nCommande N&deg; 7000633301', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 217.80000000, 43.56000000, 261.36000000, NULL, NULL, NULL, NULL),
(320, 'FA1802-0003', 1, NULL, NULL, NULL, 0, NULL, 2190, '2018-02-14 10:18:03', '2018-02-14', NULL, '2018-02-14', NULL, '2018-04-10 14:50:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 4.11000000, 0.00000000, 0.00000000, 0.00000000, 20.54000000, 24.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2018-02-15', NULL, 'Location bouteille 100% N&sup2;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 20.54000000, 4.11000000, 24.65000000, NULL, NULL, NULL, NULL),
(321, 'FA1802-0004', 1, NULL, NULL, '543', 0, NULL, 7066, '2018-02-14 10:22:08', '2018-02-14', NULL, '2018-02-14', NULL, '2018-05-07 07:44:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 212.85000000, 0.00000000, 0.00000000, 0.00000000, 1064.28000000, 1277.13000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-03-16', NULL, 'Pieces de filtration maintenance de vos differents compresseurs :&nbsp;<br />\r\nCommande N&deg;543 du 23/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1064.28000000, 212.85000000, 1277.13000000, NULL, NULL, NULL, NULL),
(322, 'FA1802-0005', 1, NULL, NULL, NULL, 0, NULL, 1996, '2018-02-14 10:48:29', '2018-02-14', NULL, '2018-02-14', NULL, '2018-04-03 14:24:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 77.81000000, 0.00000000, 0.00000000, 0.00000000, 389.04000000, 466.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Intervention local compresseur L18 N&deg; 100008030/0334 &agrave; 30200HRS&nbsp;<br />\r\nFuite au niveau de l&#39;electrovanne -<br />\r\nElectrovanne &agrave; remplacer au plus tot suivant devis transmis le 08/02/2018 -<br />\r\nPret d&#39;une electrovanne d&#39;occasion (dur&eacute;e 1 mois maximum) en attendant le remplacement definitif -<br />\r\n<br />\r\nBL N&deg; 25 du 07/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 389.04000000, 77.81000000, 466.85000000, NULL, NULL, NULL, NULL),
(323, 'FA1802-0006', 1, NULL, NULL, '180111JMR3', 0, NULL, 6204, '2018-02-14 10:53:21', '2018-02-01', NULL, '2018-02-14', NULL, '2018-04-03 14:21:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 208.48000000, 0.00000000, 0.00000000, 0.00000000, 1042.43000000, 1250.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-03-31', NULL, 'Proposition s&eacute;cheur par r&eacute;frigeration 72 m3/h point de ros&eacute;e 2&deg;C&nbsp; suite au passage de Mr Balazard ce jour :&nbsp;<br />\r\nLivraison FRANCO par Mr Balazard<br />\r\n<br />\r\nBL N&deg;22 du 19/01/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1042.43000000, 208.48000000, 1250.91000000, NULL, NULL, NULL, NULL),
(324, 'FA1802-0007', 1, NULL, NULL, 'S98118021003', 0, NULL, 2054, '2018-02-14 11:23:40', '2018-02-14', NULL, '2018-02-14', NULL, '2018-04-17 08:37:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 125.25000000, 0.00000000, 0.00000000, 0.00000000, 626.26000000, 751.51000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Mise en place d&#39;un kit hors gel sur le compresseur Compair L55RS -&nbsp;<br />\r\n<br />\r\nCommande S981 18 02 1003<br />\r\n<br />\r\nBL N&deg; 26 du 12/02/2018<br />\r\n<br />\r\nDu 12/02/2018<br />\r\n<br />\r\nBL N&deg; 26 du 12/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 626.26000000, 125.25000000, 751.51000000, NULL, NULL, NULL, NULL),
(325, 'FA1802-0008', 1, NULL, NULL, '508313', 0, NULL, 2123, '2018-02-14 14:57:22', '2018-02-14', NULL, '2018-02-14', NULL, '2018-05-02 07:17:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 237.85000000, 0.00000000, 0.00000000, 0.00000000, 1189.26000000, 1427.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance L22 N&deg;100008032/0642 &agrave; 63580 HRS&nbsp;<br />\r\n<br />\r\nBL N&deg;21 du 31/01/2018<br />\r\n<br />\r\nCommande N&deg; 508313', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1189.26000000, 237.85000000, 1427.11000000, NULL, NULL, NULL, NULL),
(326, 'FA1802-0009', 1, NULL, NULL, NULL, 0, NULL, 2170, '2018-02-14 15:25:20', '2018-02-14', NULL, '2018-02-14', NULL, '2018-04-03 14:23:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 88.32000000, 0.00000000, 0.00000000, 0.00000000, 441.59000000, 529.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'maintenance L04 N&deg; BA36435001 &agrave; 1710 HRS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 441.59000000, 88.32000000, 529.91000000, NULL, NULL, NULL, NULL),
(327, 'FA1802-0010', 1, NULL, NULL, NULL, 0, NULL, 2175, '2018-02-14 15:30:03', '2018-02-14', NULL, '2018-02-14', NULL, '2018-04-16 08:08:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 154.01000000, 0.00000000, 0.00000000, 0.00000000, 770.06000000, 924.07000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance compresseur GA115 &agrave; 32340 HRS<br />\r\n<br />\r\nBL N&deg; 47 du 01/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 770.06000000, 154.01000000, 924.07000000, NULL, NULL, NULL, NULL),
(328, 'FA1802-0011', 1, NULL, NULL, NULL, 0, NULL, 2175, '2018-02-14 15:46:56', '2018-02-14', NULL, '2018-02-14', NULL, '2018-04-16 08:08:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 108.21000000, 0.00000000, 0.00000000, 0.00000000, 541.02000000, 649.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance Sullair Trek 15HH &agrave; 10590 HRS&nbsp;<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 541.02000000, 108.21000000, 649.23000000, NULL, NULL, NULL, NULL),
(329, 'FA1802-0012', 1, NULL, NULL, NULL, 0, NULL, 2177, '2018-02-14 16:00:10', '2018-02-14', NULL, '2018-02-14', NULL, '2018-04-05 11:45:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 111.22000000, 0.00000000, 0.00000000, 0.00000000, 556.09000000, 667.31000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance L07RS N&deg; BA33124001 &agrave; 4768 HRS:', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 556.09000000, 111.22000000, 667.31000000, NULL, NULL, NULL, NULL),
(330, 'FA1802-0013', 1, NULL, NULL, 'soupape', 0, NULL, 2203, '2018-02-14 16:07:55', '2018-02-14', NULL, '2018-02-14', NULL, '2018-04-04 07:13:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 19.80000000, 0.00000000, 0.00000000, 0.00000000, 99.00000000, 118.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'soupape pour cuve', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 99.00000000, 19.80000000, 118.80000000, NULL, NULL, NULL, NULL),
(331, 'FA1802-0014', 1, NULL, NULL, '4800283197', 0, NULL, 2234, '2018-02-14 16:27:47', '2018-02-14', NULL, '2018-02-14', NULL, '2018-02-28 08:56:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 401.53000000, 0.00000000, 0.00000000, 0.00000000, 2007.65000000, 2409.18000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance compresseur L45RS &agrave; 53212 HRS&nbsp; avec separateur de condensats Owamat 14 et filtres reseaux&nbsp;<br />\r\n<br />\r\nBL N&deg; 13 du 20/12/2017<br />\r\n<br />\r\nCommande N&deg;4800283197', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2007.65000000, 401.53000000, 2409.18000000, NULL, NULL, NULL, NULL),
(332, 'FA1802-0015', 1, NULL, NULL, NULL, 0, NULL, 2273, '2018-02-14 16:50:31', '2018-02-14', NULL, '2018-02-14', NULL, '2018-04-17 08:37:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 149.57000000, 0.00000000, 0.00000000, 0.00000000, 747.85000000, 897.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'maintenance modulos 25 compresseur &agrave; 381H ( carte 2017 )&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 747.85000000, 149.57000000, 897.42000000, NULL, NULL, NULL, NULL),
(333, 'FA1802-0016', 1, NULL, NULL, NULL, 0, NULL, 2370, '2018-02-15 14:10:21', '2018-02-15', NULL, '2018-02-15', NULL, '2018-04-23 14:08:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 119.59000000, 0.00000000, 0.00000000, 0.00000000, 597.94000000, 717.53000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'maintenance GE10 &agrave; 42660 HRS :<br />\r\n<br />\r\nBL N&deg; 50 du 02/02/18', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 597.94000000, 119.59000000, 717.53000000, NULL, NULL, NULL, NULL),
(334, 'FA1802-0017', 1, NULL, NULL, 'Sécheur Réfrigération', 0, NULL, 10293, '2018-02-15 14:19:20', '2018-02-15', NULL, '2018-02-15', NULL, '2018-05-02 07:18:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 294.12000000, 0.00000000, 0.00000000, 0.00000000, 1470.59000000, 1764.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 3, '2018-03-17', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1470.59000000, 294.12000000, 1764.71000000, NULL, NULL, NULL, NULL),
(335, 'FA1802-0018', 1, NULL, NULL, '904726899-0-10760', 0, NULL, 2407, '2018-02-15 14:27:38', '2018-02-15', NULL, '2018-02-15', NULL, '2018-05-03 11:57:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 204.51000000, 0.00000000, 0.00000000, 0.00000000, 1022.63000000, 1227.14000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Demande de Mr PONSON<br />\r\n<br />\r\nCommande N&deg; 904726899-0-10760', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1022.63000000, 204.51000000, 1227.14000000, NULL, NULL, NULL, NULL),
(336, 'FA1802-0019', 1, NULL, NULL, NULL, 0, NULL, 1988, '2018-02-15 14:40:50', '2018-02-15', NULL, '2018-02-15', NULL, '2018-04-23 14:05:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 210.62000000, 0.00000000, 0.00000000, 0.00000000, 1053.13000000, 1263.75000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'commande de Anthony &agrave; Mr Balazard de ce jour pour installation au portugal&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1053.13000000, 210.62000000, 1263.75000000, NULL, NULL, NULL, NULL),
(337, 'FA1802-0020', 1, NULL, NULL, '35212', 0, NULL, 2122, '2018-02-20 09:57:29', '2018-02-20', NULL, '2018-02-20', NULL, '2018-04-17 08:36:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 73.54000000, 0.00000000, 0.00000000, 0.00000000, 367.70000000, 441.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-03-31', NULL, 'Aide &agrave; l&#39;examen visuel de la cuve du seprateur du compresseur REGATTA 140 N&deg;0 349017/0116 ann&eacute;e 2000 &agrave; 63457 HRS .<br />\r\n<br />\r\nBL N&deg;22 du 01/02/2018<br />\r\n<br />\r\nCommande N&deg;35212', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 367.70000000, 73.54000000, 441.24000000, NULL, NULL, NULL, NULL),
(338, 'FA1802-0021', 1, NULL, NULL, 'CDA-FCA1802443', 0, NULL, 2127, '2018-02-20 10:03:26', '2018-02-20', NULL, '2018-02-20', NULL, '2018-11-09 10:52:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 399.81000000, 0.00000000, 0.00000000, 0.00000000, 1999.03000000, 2398.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'maintenance L75SR N&deg;cd10000086001 &agrave; 51417 HRS<br />\r\n<br />\r\nBL N&deg; 46 du 31/01/2018<br />\r\n<br />\r\nCommande N&deg;&nbsp;CDA-FCA1802443', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1999.03000000, 399.81000000, 2398.84000000, NULL, NULL, NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(339, 'FA1802-0022', 1, NULL, NULL, NULL, 0, NULL, 2003, '2018-02-20 10:18:49', '2018-02-20', NULL, '2018-02-20', NULL, '2018-04-05 11:47:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 131.25000000, 0.00000000, 0.00000000, 0.00000000, 656.31000000, 787.56000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance hv02&nbsp; N&deg; 502-022656-0803 et trois filtres reseaux :&nbsp;<br />\r\n<br />\r\nBL N&deg; 07 du 15/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 656.31000000, 131.25000000, 787.56000000, NULL, NULL, NULL, NULL),
(340, 'FA1802-0023', 1, NULL, NULL, NULL, 0, NULL, 2036, '2018-02-20 10:32:12', '2018-02-20', NULL, '2018-02-20', NULL, '2018-03-28 07:17:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 139.40000000, 0.00000000, 0.00000000, 0.00000000, 697.01000000, 836.41000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'maintenance rs pro 4 &agrave; 2587 HRS&nbsp;<br />\r\nRemplacement cartouche filtre reseau<br />\r\nremplcament kit seprateur de condensats owamat 10<br />\r\n<br />\r\nBL N&deg; 12 du 19/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 697.01000000, 139.40000000, 836.41000000, NULL, NULL, NULL, NULL),
(341, 'FA1802-0024', 1, NULL, NULL, NULL, 0, NULL, 2064, '2018-02-20 10:56:36', '2018-02-20', NULL, '2018-02-20', NULL, '2018-04-13 11:33:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 103.74000000, 0.00000000, 0.00000000, 0.00000000, 518.72000000, 622.46000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Depannage L80 - Remplcament membrane de mise &agrave; vide et fourniture d&#39;une membrane de secours .<br />\r\n<br />\r\nBL N&deg; 13 du 16/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 518.72000000, 103.74000000, 622.46000000, NULL, NULL, NULL, NULL),
(342, 'FA1802-0025', 1, NULL, NULL, NULL, 0, NULL, 2009, '2018-02-20 11:24:17', '2018-02-20', NULL, '2018-02-20', NULL, '2018-03-19 09:35:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 111.97000000, 0.00000000, 0.00000000, 0.00000000, 559.86000000, 671.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'maintenance rs top 7.5 10 b N&deg; 538095 &agrave; 412 HRS<br />\r\n<br />\r\nBL N&deg;9 du 15/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 559.86000000, 111.97000000, 671.83000000, NULL, NULL, NULL, NULL),
(343, 'FA1802-0026', 1, NULL, NULL, NULL, 0, NULL, 2011, '2018-02-20 16:15:05', '2018-02-20', NULL, '2018-02-20', NULL, '2018-04-03 14:19:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 225.86000000, 0.00000000, 0.00000000, 0.00000000, 1129.32000000, 1355.18000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance compresseur L07RS N&deg; CD10023563001 &agrave; 8687 HRS<br />\r\n<br />\r\nBL N&deg; 34 du 14/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1129.32000000, 225.86000000, 1355.18000000, NULL, NULL, NULL, NULL),
(344, 'FA1802-0027', 1, NULL, NULL, NULL, 0, NULL, 2142, '2018-02-20 16:37:24', '2018-02-20', NULL, '2018-02-20', NULL, '2018-04-03 14:29:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 396.00000000, 0.00000000, 0.00000000, 0.00000000, 1980.00000000, 2376.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Fourniture et installation secheur par r&eacute;frig&eacute;ration Ed260 :&nbsp;<br />\r\n<br />\r\nBL N&deg;36 du 15/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1980.00000000, 396.00000000, 2376.00000000, NULL, NULL, NULL, NULL),
(345, 'FA1802-0028', 1, NULL, NULL, 'BC2018.02.021', 0, NULL, 2102, '2018-02-20 16:42:05', '2018-02-20', NULL, '2018-02-20', NULL, '2018-05-03 11:50:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 323.27000000, 0.00000000, 0.00000000, 0.00000000, 1616.38000000, 1939.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, '&nbsp;Commande BC201802021', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1616.38000000, 323.27000000, 1939.65000000, NULL, NULL, NULL, NULL),
(346, 'FA1802-0029', 1, NULL, NULL, NULL, 0, NULL, 2161, '2018-02-21 09:38:22', '2018-02-21', NULL, '2018-02-21', NULL, '2018-03-27 08:09:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 160.28000000, 0.00000000, 0.00000000, 0.00000000, 801.39000000, 961.67000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'maintenance compresseur START25&nbsp; N&deg; 349012/5793 &agrave; 24200 HRS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 801.39000000, 160.28000000, 961.67000000, NULL, NULL, NULL, NULL),
(347, 'FA1802-0030', 1, NULL, NULL, NULL, 0, NULL, 9822, '2018-02-21 09:47:01', '2018-02-21', NULL, '2018-02-21', NULL, '2018-04-03 14:30:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 287.38000000, 0.00000000, 0.00000000, 0.00000000, 1436.86000000, 1724.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'maintenance L18rs N&deg; CD10008506001 &agrave; 12260 HRS<br />\r\n<br />\r\nBL N&deg;3 du 09/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1436.86000000, 287.38000000, 1724.24000000, NULL, NULL, NULL, NULL),
(348, 'FA1802-0031', 1, NULL, NULL, NULL, 0, NULL, 9822, '2018-02-21 10:04:23', '2018-02-21', NULL, '2018-02-21', NULL, '2018-04-03 14:30:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 85.90000000, 0.00000000, 0.00000000, 0.00000000, 429.49000000, 515.39000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'maintenance L11 N&deg;349027/0083 &agrave; 52200 HRS<br />\r\n<br />\r\nBL N&deg; 2 du 09/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 429.49000000, 85.90000000, 515.39000000, NULL, NULL, NULL, NULL),
(349, 'FA1802-0032', 1, NULL, NULL, 'PO7000640320', 0, NULL, 2184, '2018-02-21 10:18:48', '2018-02-01', NULL, '2018-02-21', NULL, '2018-04-23 14:03:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 409.23000000, 0.00000000, 0.00000000, 0.00000000, 2046.17000000, 2455.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'maintenance l45rs N&deg; CD10015552001 &agrave; 32138 HRS<br />\r\n<br />\r\nBL N&deg; 17 du 29/12/2017<br />\r\n<br />\r\nN&deg;PO7000640320', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2046.17000000, 409.23000000, 2455.40000000, NULL, NULL, NULL, NULL),
(350, 'FA1802-0033', 1, NULL, NULL, NULL, 0, NULL, 2247, '2018-02-21 10:27:14', '2018-02-21', NULL, '2018-02-21', NULL, '2018-04-03 14:21:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 83.09000000, 0.00000000, 0.00000000, 0.00000000, 415.45000000, 498.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance l18RS N&deg; cd10018442001 &agrave; 19473HRS<br />\r\n<br />\r\nBL N&deg;23 du 05/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 415.45000000, 83.09000000, 498.54000000, NULL, NULL, NULL, NULL),
(351, 'FA1802-0034', 1, NULL, NULL, NULL, 0, NULL, 2268, '2018-02-21 11:12:11', '2018-02-21', NULL, '2018-02-21', NULL, '2018-04-04 07:12:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 217.20000000, 0.00000000, 0.00000000, 0.00000000, 1085.99000000, 1303.19000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance L15 N&deg;cd10006861001 &agrave; 44037 HRS<br />\r\n<br />\r\nBL N&deg;37 du 19/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1085.99000000, 217.20000000, 1303.19000000, NULL, NULL, NULL, NULL),
(353, 'FA1802-0035', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-02-21 11:48:45', '2018-02-21', NULL, '2018-02-21', NULL, '2018-03-08 12:12:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2133.98000000, 0.00000000, 0.00000000, 0.00000000, 10669.99000000, 12803.97000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Fourniture et raccordement d\'un compresseur L11RS 11kw vitesse variable COMPAIR en lieu et place de votre compresseur 11 kw vitesse fixe 10 bars  : <br />\r\n<br />\r\nBL N° 10 du 16/02/2018<br />\r\n<br />\r\nDOSSIER FIGUET MECANIQUE N°2865337', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 10669.99000000, 2133.98000000, 12803.97000000, NULL, NULL, NULL, NULL),
(354, 'FA1802-0036', 1, NULL, NULL, NULL, 0, NULL, 2037, '2018-02-22 09:33:43', '2018-02-22', NULL, '2018-02-22', NULL, '2018-05-04 07:04:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 314.60000000, 0.00000000, 0.00000000, 0.00000000, 1573.00000000, 1887.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 9, 2, '2018-02-23', NULL, 'Compresseur &agrave; piston Compair :<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1573.00000000, 314.60000000, 1887.60000000, NULL, NULL, NULL, NULL),
(355, 'FA1802-0037', 1, NULL, NULL, NULL, 0, NULL, 1980, '2018-02-22 10:32:06', '2018-02-22', NULL, '2018-02-22', NULL, '2018-04-23 14:07:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 89.95000000, 0.00000000, 0.00000000, 0.00000000, 449.75000000, 539.70000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance compresseur RS pro 5.5 7.5BN&deg;711077 &agrave; 691 HRS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 449.75000000, 89.95000000, 539.70000000, NULL, NULL, NULL, NULL),
(356, 'FA1802-0038', 1, NULL, NULL, NULL, 0, NULL, 2155, '2018-02-22 10:47:10', '2018-02-22', NULL, '2018-03-02', NULL, '2018-04-10 14:52:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 29.24000000, 0.00000000, 0.00000000, 0.00000000, 146.20000000, 175.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Intervention compresseur L04 N&deg; BA37888001 &agrave; 1013 H - piece sous garantie', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 146.20000000, 29.24000000, 175.44000000, NULL, NULL, NULL, NULL),
(357, 'FA1802-0039', 1, NULL, NULL, NULL, 0, NULL, 2101, '2018-02-22 10:53:14', '2018-02-22', NULL, '2018-02-22', NULL, '2018-04-03 14:33:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 94.95000000, 0.00000000, 0.00000000, 0.00000000, 474.75000000, 569.70000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-03-31', NULL, 'maintenance RSDK PRO ECN 7.5 10BARS N&deg;640020 &agrave; 1393 HRS<br />\r\n<br />\r\nBL N&deg;14 du 20/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 474.75000000, 94.95000000, 569.70000000, NULL, NULL, NULL, NULL),
(358, 'FA1802-0040', 1, NULL, NULL, NULL, 0, NULL, 11435, '2018-02-22 11:08:33', '2018-02-22', NULL, '2018-02-22', NULL, '2018-05-02 07:29:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 590.42000000, 0.00000000, 0.00000000, 0.00000000, 2952.17000000, 3542.59000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'maintenance L30RS N&deg;cd10013952002 &agrave; 20481 HRS<br />\r\n<br />\r\nBL 38 du 20/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2952.17000000, 590.42000000, 3542.59000000, NULL, NULL, NULL, NULL),
(359, 'FA1802-0041', 1, NULL, NULL, NULL, 0, NULL, 2086, '2018-02-22 11:15:32', '2018-02-22', NULL, '2018-02-22', NULL, '2018-04-06 08:17:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 99.25000000, 0.00000000, 0.00000000, 0.00000000, 496.27000000, 595.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'maintenance L11RS N&deg; BA31759001 &agrave; 15922HRS<br />\r\n<br />\r\nBL N&deg;39 du 21/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 496.27000000, 99.25000000, 595.52000000, NULL, NULL, NULL, NULL),
(360, 'AV1802-0001', 1, NULL, NULL, NULL, 2, NULL, 10293, '2018-02-23 10:05:22', '2018-02-23', NULL, '2018-02-23', NULL, '2018-05-02 07:18:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -11.81000000, 0.00000000, 0.00000000, 0.00000000, -59.07000000, -70.88000000, 2, 5, NULL, 5, NULL, 334, NULL, NULL, NULL, 0, 0, '2018-02-23', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 59.07000000, 11.81000000, 70.88000000, NULL, NULL, NULL, NULL),
(361, 'FA1802-0042', 1, NULL, NULL, 'BC201701004397', 0, NULL, 12598, '2018-02-23 10:33:02', '2018-02-23', NULL, '2018-02-23', NULL, '2018-03-19 09:36:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2124.20000000, 0.00000000, 0.00000000, 0.00000000, 10621.00000000, 12745.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-03-25', NULL, 'Acquisition materiel de garage :&nbsp;<br />\r\n<br />\r\nBC201701004397', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 10621.00000000, 2124.20000000, 12745.20000000, NULL, NULL, NULL, NULL),
(362, 'FA1802-0043', 1, NULL, NULL, NULL, 0, NULL, 2287, '2018-02-23 10:44:46', '2018-02-23', NULL, '2018-02-23', NULL, '2018-04-03 14:29:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 111.73000000, 0.00000000, 0.00000000, 0.00000000, 558.61000000, 670.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance ROLLAIR N&deg; 339336 &agrave; 21191 HRS<br />\r\n<br />\r\nBL N&deg;17 du 22/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 558.61000000, 111.73000000, 670.34000000, NULL, NULL, NULL, NULL),
(363, 'FA1802-0044', 1, NULL, NULL, NULL, 0, NULL, 1988, '2018-02-27 11:34:06', '2018-02-27', NULL, '2018-02-27', NULL, '2018-04-23 14:05:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 56.72000000, 0.00000000, 0.00000000, 0.00000000, 283.58000000, 340.30000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'D&eacute;pannage Bekomat V32 ZS1050595 gel&eacute; -<br />\r\n<br />\r\nBL N&deg;19 du 26/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 283.58000000, 56.72000000, 340.30000000, NULL, NULL, NULL, NULL),
(364, 'FA1802-0045', 1, NULL, NULL, NULL, 0, NULL, 2037, '2018-02-27 11:48:58', '2018-02-27', NULL, '2018-02-27', NULL, '2018-03-08 12:17:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 13.28000000, 0.00000000, 0.00000000, 0.00000000, 66.41000000, 79.69000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Pour compresseur type COMPAIR CLC507NTPBD - clapet anti retour', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 66.41000000, 13.28000000, 79.69000000, NULL, NULL, NULL, NULL),
(365, 'FA1802-0046', 1, NULL, NULL, '01HA00007401', 0, NULL, 2060, '2018-03-01 15:48:43', '2018-02-27', NULL, '2018-03-01', NULL, '2018-04-05 11:47:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 236.22000000, 0.00000000, 0.00000000, 0.00000000, 1181.13000000, 1417.35000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance et&nbsp; r&eacute;paration de votre compresseur Sprint 051 N&deg; 149802/38<br />\r\n&nbsp;&agrave; 31487 HRS<br />\r\nBL N&deg; 31 du 22/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1181.13000000, 236.22000000, 1417.35000000, NULL, NULL, NULL, NULL),
(366, 'FA1802-0047', 1, NULL, NULL, '06HA00001765', 0, NULL, 2059, '2018-03-01 15:57:48', '2018-02-27', NULL, '2018-03-01', NULL, '2018-04-09 09:47:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 186.40000000, 0.00000000, 0.00000000, 0.00000000, 931.97000000, 1118.37000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance Sprint 15 N&deg; 250 et separateur de condensats UltrasepSUper plus 15 :<br />\r\n<br />\r\nBL N&deg;30 du 22/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 931.97000000, 186.40000000, 1118.37000000, NULL, NULL, NULL, NULL),
(368, 'FA1802-0048', 1, NULL, NULL, NULL, 0, NULL, 12581, '2018-03-01 16:13:13', '2018-02-28', NULL, '2018-03-01', NULL, '2018-06-19 06:59:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 60.03000000, 0.00000000, 0.00000000, 0.00000000, 300.16000000, 360.19000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-03-31', NULL, 'Intervention sur purgeur capacitif - purge fuyante en permanance EWD75<br />\r\nBL N&deg; 11 du 19/02/2018<br />\r\n<br />\r\n<br />\r\n<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 300.16000000, 60.03000000, 360.19000000, NULL, NULL, NULL, NULL),
(369, 'FA1802-0049', 1, NULL, NULL, NULL, 0, NULL, 2140, '2018-03-01 16:22:44', '2018-02-27', NULL, '2018-03-01', NULL, '2018-04-09 09:48:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 156.19000000, 0.00000000, 0.00000000, 0.00000000, 780.96000000, 937.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance Compresseur L15RS N&deg; cd100244995001 &agrave; 7380 HRS - contrat lis&eacute;<br />\r\n<br />\r\nBL N&deg; 21 du 26/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 780.96000000, 156.19000000, 937.15000000, NULL, NULL, NULL, NULL),
(370, 'FA1802-0050', 1, NULL, NULL, NULL, 0, NULL, 2140, '2018-03-01 16:35:10', '2018-02-27', NULL, '2018-03-01', NULL, '2018-04-09 09:48:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 237.85000000, 0.00000000, 0.00000000, 0.00000000, 1189.26000000, 1427.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'maintenance L15 N&deg; CD10003063002 &agrave; 21572 HRS<br />\r\n<br />\r\nBL N&deg;20 du 26/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1189.26000000, 237.85000000, 1427.11000000, NULL, NULL, NULL, NULL),
(371, 'FA1802-0051', 1, NULL, NULL, NULL, 0, NULL, 2101, '2018-03-02 11:48:08', '2018-02-28', NULL, '2018-03-02', NULL, '2018-04-03 14:33:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 113.86000000, 0.00000000, 0.00000000, 0.00000000, 569.32000000, 683.18000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-03-31', NULL, 'Maintenance l18RS &agrave; 6558 HRS<br />\r\nBL N&deg;41 du 23/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 569.32000000, 113.86000000, 683.18000000, NULL, NULL, NULL, NULL),
(372, 'FA1802-0052', 1, NULL, NULL, NULL, 0, NULL, 2095, '2018-03-02 11:53:57', '2018-02-28', NULL, '2018-03-02', NULL, '2018-04-03 14:20:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 39.20000000, 0.00000000, 0.00000000, 0.00000000, 196.00000000, 235.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-03-31', NULL, 'Lustreuse diametre 150 :&nbsp;<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 196.00000000, 39.20000000, 235.20000000, NULL, NULL, NULL, NULL),
(373, 'FA1802-0053', 1, NULL, NULL, 'FB32036036', 0, NULL, 2119, '2018-03-02 13:30:50', '2018-02-27', NULL, '2018-03-02', NULL, '2018-05-02 07:26:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 153.96000000, 0.00000000, 0.00000000, 0.00000000, 769.76000000, 923.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance L05 N&deg;34902523027 &agrave; 1920 HRS , owamat et filtres reseaux&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 769.76000000, 153.96000000, 923.72000000, NULL, NULL, NULL, NULL),
(374, 'FA1802-0054', 1, NULL, NULL, '00017985', 0, NULL, 2062, '2018-03-02 14:44:09', '2018-02-28', NULL, '2018-03-02', NULL, '2018-04-03 14:34:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 122.57000000, 0.00000000, 0.00000000, 0.00000000, 612.84000000, 735.41000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Mise en place d&#39;un kit hors gel sur Compresseur L26RS du batiment A :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 612.84000000, 122.57000000, 735.41000000, NULL, NULL, NULL, NULL),
(375, 'FA1802-0055', 1, NULL, NULL, 'S981-18-02-1009', 0, NULL, 2054, '2018-03-02 15:01:29', '2018-02-28', NULL, '2018-03-02', NULL, '2018-04-17 08:37:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 196.16000000, 0.00000000, 0.00000000, 0.00000000, 980.78000000, 1176.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance compresseur WS3008V &agrave; 27622 HRS :<br />\r\n<br />\r\nBL 16 du 22/02/2018<br />\r\n<br />\r\nCommande N&deg; S981-18-02-1009<br />\r\n<br />\r\nSIte sces bl&eacute; 2 calibrage chemin du pouloux 38270 BEAUREPAIRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 980.78000000, 196.16000000, 1176.94000000, NULL, NULL, NULL, NULL),
(376, 'FA1802-0056', 1, NULL, NULL, NULL, 0, NULL, 2101, '2018-03-02 15:19:10', '2018-02-22', NULL, '2018-03-02', NULL, '2018-04-03 14:33:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 36.16000000, 0.00000000, 0.00000000, 0.00000000, 180.79000000, 216.95000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-03-31', NULL, 'Reparation fuite d&#39;air sur reseau Girair diametre 25 et descentes diamtre 20 :&nbsp;<br />\r\n<br />\r\nBL N&deg;13 du 20/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.79000000, 36.16000000, 216.95000000, NULL, NULL, NULL, NULL),
(377, 'FA1802-0057', 1, NULL, NULL, NULL, 0, NULL, 2095, '2018-03-02 15:36:57', '2018-02-20', NULL, '2018-03-02', NULL, '2018-04-03 14:20:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 54.98000000, 0.00000000, 0.00000000, 0.00000000, 274.94000000, 329.92000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-03-31', NULL, 'Intervention sur compresseur devilbiss STAR 20 N&deg; 1706940001 &agrave; 15926 HRS<br />\r\n<br />\r\nBL N&deg; 6 du 13/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 274.94000000, 54.98000000, 329.92000000, NULL, NULL, NULL, NULL),
(378, 'FA1802-0058', 1, NULL, NULL, NULL, 0, NULL, 12718, '2018-03-02 15:40:16', '2018-02-28', NULL, '2018-03-02', NULL, '2018-03-08 12:52:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 314.63000000, 0.00000000, 0.00000000, 0.00000000, 1573.16000000, 1887.79000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 8, 0, '2018-03-01', NULL, 'Compresseurs &agrave; piston COMPAIR - Garantie 2 ans Pi&eacute;ces et main d&#39;oeuvre&nbsp;<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1573.16000000, 314.63000000, 1887.79000000, NULL, NULL, NULL, NULL),
(379, 'FA1802-0059', 1, NULL, NULL, NULL, 0, NULL, 2401, '2018-03-02 15:55:44', '2018-02-28', NULL, '2018-03-02', NULL, '2018-05-11 10:07:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 663.72000000, 0.00000000, 0.00000000, 0.00000000, 3318.54000000, 3982.26000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Modification reseau d&#39;eau de ville et reseau d&#39;eau minerale + CO2 reseau mineral + cuve tampon&nbsp;<br />\r\n<br />\r\nBL N&deg; 33 du 13 &amp; 15 F&eacute;vrier 2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3318.54000000, 663.72000000, 3982.26000000, NULL, NULL, NULL, NULL),
(380, 'FA1802-0060', 1, NULL, NULL, '5881', 0, NULL, 2354, '2018-03-02 16:01:50', '2018-02-28', NULL, '2018-03-02', NULL, '2018-04-13 11:32:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 13.62000000, 0.00000000, 0.00000000, 0.00000000, 68.06000000, 81.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Pour compresseur SULLAIR :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 68.06000000, 13.62000000, 81.68000000, NULL, NULL, NULL, NULL),
(381, 'FA1802-0061', 1, NULL, NULL, '5900', 0, NULL, 2354, '2018-03-02 16:02:35', '2018-02-28', NULL, '2018-03-02', NULL, '2018-04-13 11:32:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 6.04000000, 0.00000000, 0.00000000, 0.00000000, 30.20000000, 36.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'raccords', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 30.20000000, 6.04000000, 36.24000000, NULL, NULL, NULL, NULL),
(382, 'FA1802-0062', 1, NULL, NULL, NULL, 0, NULL, 12608, '2018-03-02 16:05:44', '2018-02-28', NULL, '2018-03-02', NULL, '2018-05-09 06:58:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 179.89000000, 0.00000000, 0.00000000, 0.00000000, 899.40000000, 1079.29000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-03-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 899.40000000, 179.89000000, 1079.29000000, NULL, NULL, NULL, NULL),
(383, 'FA1802-0063', 1, NULL, NULL, NULL, 0, NULL, 12618, '2018-03-02 16:18:55', '2018-02-28', NULL, '2018-03-02', NULL, '2018-04-10 14:51:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 300.11000000, 0.00000000, 0.00000000, 0.00000000, 1500.52000000, 1800.63000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-03-30', NULL, 'R&eacute;alisation des travaux en meme temps que la maintenance - Hors&nbsp; temps &amp; frais de d&eacute;placement&nbsp;<br />\r\n<br />\r\nMise en place sur platine de fixation de 3 filtres r&eacute;seaux - remplacement de votre flexible&nbsp;liaison filtres &agrave; entr&eacute;e trieur et fourniture d&#39;une soufflette &eacute;quip&eacute;e avec 10m de Polyflex en diam&nbsp; 10, soufflage air alimentaire .<br />\r\n<br />\r\nMaintenance compresseur Cyclon215 de 1999 :<br />\r\n<br />\r\nBL N&deg; 18 du 23/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1500.52000000, 300.11000000, 1800.63000000, NULL, NULL, NULL, NULL),
(384, 'FA1802-0064', 1, NULL, NULL, NULL, 0, NULL, 1996, '2018-03-02 16:48:12', '2018-02-28', NULL, '2018-03-02', NULL, '2018-04-03 14:24:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 73.44000000, 0.00000000, 0.00000000, 0.00000000, 367.20000000, 440.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Remplacement electrovanne sur compresseur L18 :&nbsp;<br />\r\n<br />\r\nBL N&deg; 34 du 27/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 367.20000000, 73.44000000, 440.64000000, NULL, NULL, NULL, NULL),
(385, 'FA1802-0065', 1, NULL, NULL, NULL, 0, NULL, 2022, '2018-03-02 16:54:07', '2018-02-28', NULL, '2018-03-02', NULL, '2018-05-28 15:04:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 129.41000000, 0.00000000, 0.00000000, 0.00000000, 647.05000000, 776.46000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance compresseur Rolalir 1400 &agrave; 3374 HRS<br />\r\n<br />\r\nBL N&deg; 43 du 28/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 647.05000000, 129.41000000, 776.46000000, NULL, NULL, NULL, NULL),
(386, 'FA1802-0066', 1, NULL, NULL, NULL, 0, NULL, 2153, '2018-03-02 16:58:50', '2018-02-28', NULL, '2018-03-02', NULL, '2018-04-04 07:13:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 113.01000000, 0.00000000, 0.00000000, 0.00000000, 565.06000000, 678.07000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance compresseur RENNER RSDK PRO3 13 BARS N&deg;707076 &agrave; 1440HRS<br />\r\n<br />\r\nBL N&deg;24 du 27/02/18', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 565.06000000, 113.01000000, 678.07000000, NULL, NULL, NULL, NULL),
(387, 'FA1802-0067', 1, NULL, NULL, NULL, 0, NULL, 2153, '2018-03-02 17:02:34', '2018-02-28', NULL, '2018-03-02', NULL, '2018-04-04 07:13:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 329.67000000, 0.00000000, 0.00000000, 0.00000000, 1648.37000000, 1978.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Maintenance l15RS &agrave; 11241 HRS<br />\r\n<br />\r\nBL N&deg; 23 du 27/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1648.37000000, 329.67000000, 1978.04000000, NULL, NULL, NULL, NULL),
(388, 'FA1802-0068', 1, NULL, NULL, NULL, 0, NULL, 2150, '2018-03-02 17:06:24', '2018-02-28', NULL, '2018-03-02', NULL, '2018-05-16 06:43:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 102.69000000, 0.00000000, 0.00000000, 0.00000000, 513.47000000, 616.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'maintenance L04 N&deg; ba35401001 &agrave; 1280 HRS<br />\r\n<br />\r\nBL N&deg;27/02/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 513.47000000, 102.69000000, 616.16000000, NULL, NULL, NULL, NULL),
(389, 'FA1803-0001', 1, NULL, NULL, NULL, 0, NULL, 2062, '2018-03-12 11:09:36', '2018-03-09', NULL, '2018-03-12', NULL, '2018-05-02 07:30:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1238.88000000, 0.00000000, 0.00000000, 0.00000000, 6194.35000000, 7433.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'Maintenances 3 compresseurs L26RS et differents filtres r&eacute;seaux :&nbsp;<br />\r\nL26RS N&deg; CD10015212001 &agrave; 2924&nbsp; HRS<br />\r\nL26RS N&deg; CD10021087002 &agrave; 5163 HRS<br />\r\nL26RS N&deg; CD10027118001 &agrave; 5053 HRS<br />\r\nBL N&deg; 46 , 48, 47 et 42', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6194.35000000, 1238.88000000, 7433.23000000, NULL, NULL, NULL, NULL),
(390, 'AV1803-0001', 1, NULL, NULL, NULL, 2, NULL, 2370, '2018-03-13 15:00:32', '2018-03-13', NULL, '2018-03-13', NULL, '2018-04-23 14:09:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -2.86000000, 0.00000000, 0.00000000, 0.00000000, -14.29000000, -17.15000000, 2, 5, NULL, 5, NULL, 333, NULL, NULL, NULL, 0, 2, '2018-03-13', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -14.29000000, -2.86000000, -17.15000000, NULL, NULL, NULL, NULL),
(391, 'FA1802-0069', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-03-16 09:09:39', '2018-02-28', NULL, '2018-03-16', NULL, '2018-03-27 08:10:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-03-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(392, 'AV1803-0002', 1, NULL, NULL, NULL, 2, NULL, 2197, '2018-03-21 10:18:54', '2018-03-21', NULL, '2018-03-21', NULL, '2018-03-27 08:11:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -99.17000000, 0.00000000, 0.00000000, 0.00000000, -495.83000000, -595.00000000, 2, 5, NULL, 5, NULL, 287, NULL, NULL, NULL, 0, 2, '2018-03-21', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -495.83000000, -99.17000000, -595.00000000, NULL, NULL, NULL, NULL),
(393, 'FA1803-0002', 1, NULL, NULL, '2018186', 0, NULL, 1940, '2018-03-23 15:19:21', '2018-03-23', NULL, '2018-03-23', NULL, '2018-05-04 07:05:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 173.16000000, 0.00000000, 0.00000000, 0.00000000, 865.80000000, 1038.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'Aspirateur YS 2/62 Eau &amp; Poussi&egrave;re Cuve inox 2 moteurs :&nbsp;<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 865.80000000, 173.16000000, 1038.96000000, NULL, NULL, NULL, NULL),
(394, 'FA1803-0003', 1, NULL, NULL, NULL, 0, NULL, 1996, '2018-03-23 15:34:08', '2018-03-23', NULL, '2018-03-23', NULL, '2018-05-02 07:20:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 47.44000000, 0.00000000, 0.00000000, 0.00000000, 237.20000000, 284.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'Intervention sur compresseur L18 N&deg;100008030/0334 &agrave; 30200HRS:&nbsp;<br />\r\nBL N&deg;33 du 13/03/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 237.20000000, 47.44000000, 284.64000000, NULL, NULL, NULL, NULL),
(395, 'FA1803-0004', 1, NULL, NULL, NULL, 0, NULL, 2330, '2018-03-23 15:48:50', '2018-03-23', NULL, '2018-03-23', NULL, '2018-05-31 12:26:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 329.00000000, 0.00000000, 0.00000000, 0.00000000, 1645.01000000, 1974.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 8, 2, '2018-03-24', NULL, 'prolongation reseau :&nbsp;<br />\r\nsuivant BL n&deg; 2 du 21/03/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1645.01000000, 329.00000000, 1974.01000000, NULL, NULL, NULL, NULL),
(396, 'FA1803-0005', 1, NULL, NULL, NULL, 0, NULL, 2049, '2018-03-23 16:27:53', '2018-03-23', NULL, '2018-03-23', NULL, '2018-04-23 14:04:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 158.56000000, 0.00000000, 0.00000000, 0.00000000, 792.85000000, 951.41000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'maintenance cyclon 222 N&deg;F165/2079<br />\r\n<br />\r\nBL N&deg; 44 du 01/03/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 792.85000000, 158.56000000, 951.41000000, NULL, NULL, NULL, NULL),
(397, 'FA1803-0006', 1, NULL, NULL, NULL, 0, NULL, 12683, '2018-03-26 11:10:01', '2018-03-26', NULL, '2018-03-26', NULL, '2018-05-28 15:03:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1660.40000000, 0.00000000, 0.00000000, 0.00000000, 8302.04000000, 9962.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-04-25', NULL, 'Raccordement filtre &agrave; sable ( avec air comprim&eacute; )&nbsp;<br />\r\n6/7/13/14/15 &amp; 19 Mars 2018 suivant BL&nbsp; N&deg;39&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 8302.04000000, 1660.40000000, 9962.44000000, NULL, NULL, NULL, NULL),
(398, 'FA1803-0007', 1, NULL, NULL, NULL, 0, NULL, 12683, '2018-03-26 12:00:24', '2018-03-26', NULL, '2018-03-26', NULL, '2018-08-07 15:55:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 542.17000000, 0.00000000, 0.00000000, 0.00000000, 2710.86000000, 3253.03000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-04-25', NULL, 'Modification CO&sup2; de la cuve 12Bar ext vers r&eacute;chauffeur&nbsp;<br />\r\nMontage detendeur sur filtres r&eacute;seaux&nbsp;<br />\r\nModification CO&sup2; inertage des cuves<br />\r\nAvant cuve &agrave; mazout<br />\r\n<br />\r\nBL N&deg; 41 du 20 &amp; 21 Mars', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2710.86000000, 542.17000000, 3253.03000000, NULL, NULL, NULL, NULL),
(400, 'FA1803-0008', 1, NULL, NULL, NULL, 0, NULL, 2188, '2018-03-26 14:56:45', '2018-03-26', NULL, '2018-03-26', NULL, '2018-05-07 07:43:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 533.74000000, 0.00000000, 0.00000000, 0.00000000, 2668.70000000, 3202.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 9, 2, '2018-03-27', NULL, 'Kits de maintenance pour compresseur &agrave; vitesse variable L132RS COMPAIR N&deg; CD10023077001 - rupture de contrat de maintenance ASSURE COMPAIR par SFACS INDUSTRIE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2668.70000000, 533.74000000, 3202.44000000, NULL, NULL, NULL, NULL),
(401, 'FA1803-0009', 1, NULL, NULL, NULL, 0, NULL, 12728, '2018-03-26 15:23:31', '2018-03-26', NULL, '2018-03-26', NULL, '2018-04-13 11:29:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 75.00000000, 0.00000000, 0.00000000, 0.00000000, 375.00000000, 450.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 9, 0, '2018-03-27', NULL, 'commande N&deg;2018/03/21/1', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 375.00000000, 75.00000000, 450.00000000, NULL, NULL, NULL, NULL),
(402, 'FA1803-0010', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-03-28 10:54:23', '2018-03-28', NULL, '2018-03-28', NULL, '2018-03-29 14:45:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(403, 'FA1803-0011', 1, NULL, NULL, '00018234', 0, NULL, 2062, '2018-03-29 10:11:33', '2018-03-29', NULL, '2018-03-29', NULL, '2018-05-02 07:30:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 91.96000000, 0.00000000, 0.00000000, 0.00000000, 459.82000000, 551.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'Remplacement flexible sous compresseur L26RS N&deg;CD10027118001 :&nbsp;<br />\r\n<br />\r\nBL N&deg; 03 du 22/03/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 459.82000000, 91.96000000, 551.78000000, NULL, NULL, NULL, NULL),
(404, 'FA1803-0012', 1, NULL, NULL, '00018311', 0, NULL, 2062, '2018-03-29 11:18:13', '2018-03-29', NULL, '2018-03-29', NULL, '2018-05-02 07:30:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 17.10000000, 0.00000000, 0.00000000, 0.00000000, 85.50000000, 102.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, '<p>&nbsp;huile hydraulique en bidon entre 10 et 20 litres (maximum) dans Pompe ICME type TBM68A2TROP&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</p>\r\n\r\n<p>(3 types accept&eacute;s par la pompe : Shell tellus T32 / Q8 Handell 32 / Esso Invarol EP46)</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 85.50000000, 17.10000000, 102.60000000, NULL, NULL, NULL, NULL),
(405, 'FA1803-0013', 1, NULL, NULL, '18mc112', 0, NULL, 2026, '2018-03-29 11:24:31', '2018-03-29', NULL, '2018-03-29', NULL, '2018-05-03 11:51:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 33.95000000, 0.00000000, 0.00000000, 0.00000000, 169.75000000, 203.70000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 169.75000000, 33.95000000, 203.70000000, NULL, NULL, NULL, NULL),
(406, 'FA1803-0014', 1, NULL, NULL, NULL, 0, NULL, 2203, '2018-03-29 11:36:21', '2018-03-29', NULL, '2018-03-29', NULL, '2018-05-02 07:28:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.82000000, 0.00000000, 0.00000000, 0.00000000, 229.08000000, 274.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'Commande de Mr Blanchard du 15 Mars 2018&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 229.08000000, 45.82000000, 274.90000000, NULL, NULL, NULL, NULL),
(407, 'FA1803-0015', 1, NULL, NULL, NULL, 0, NULL, 2128, '2018-03-29 14:22:47', '2018-03-29', NULL, '2018-03-29', NULL, '2018-06-18 14:03:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 51.14000000, 0.00000000, 0.00000000, 0.00000000, 255.71000000, 306.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'Installation Filtre regulateur selon BL 49 du 12/03/2018 :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 255.71000000, 51.14000000, 306.85000000, NULL, NULL, NULL, NULL),
(408, 'FA1803-0016', 1, NULL, NULL, 'V008006V', 0, NULL, 2239, '2018-03-29 14:36:40', '2018-03-29', NULL, '2018-03-29', NULL, '2018-05-09 06:59:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 261.46000000, 0.00000000, 0.00000000, 0.00000000, 1307.26000000, 1568.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2018-04-30', NULL, 'Creation reseau inox en diametre 22 -<br />\r\nNacelle inclus&nbsp;<br />\r\n<br />\r\nBL N&deg; 38 du 16/03/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1307.26000000, 261.46000000, 1568.72000000, NULL, NULL, NULL, NULL),
(409, 'FA1803-0017', 1, NULL, NULL, NULL, 0, NULL, 10293, '2018-03-29 14:52:22', '2018-03-29', NULL, '2018-03-29', NULL, '2018-06-04 08:08:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 58.32000000, 0.00000000, 0.00000000, 0.00000000, 291.60000000, 349.92000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-04-28', NULL, 'Enrouleur.', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 291.60000000, 58.32000000, 349.92000000, NULL, NULL, NULL, NULL),
(410, 'FA1803-0018', 1, NULL, NULL, '2100/18004395', 0, NULL, 2161, '2018-03-29 15:32:05', '2018-03-29', NULL, '2018-03-29', NULL, '2018-05-16 06:42:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 244.47000000, 0.00000000, 0.00000000, 0.00000000, 1222.34000000, 1466.81000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'Remplacement  du clapet d\'aspiration sur BOGE S31-2 N° 5034864 de 2009 :<br />\r\nBL 36 du 08/03/2018<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1222.34000000, 244.47000000, 1466.81000000, NULL, NULL, NULL, NULL),
(411, 'FA1803-0019', 1, NULL, NULL, NULL, 0, NULL, 2095, '2018-03-29 15:48:46', '2018-03-29', NULL, '2018-03-29', NULL, '2018-05-04 07:06:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 171.51000000, 0.00000000, 0.00000000, 0.00000000, 857.53000000, 1029.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-04-30', NULL, 'Remplacement boitier de regulation , electrovanne et clapet d&#39;aspiration&nbsp; sur compresseur STAR N&deg; 170694001 :<br />\r\n<br />\r\nBL N&deg; 25 du 01/03/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 857.53000000, 171.51000000, 1029.04000000, NULL, NULL, NULL, NULL),
(412, 'FA1803-0020', 1, NULL, NULL, NULL, 0, NULL, 12590, '2018-03-29 16:00:21', '2018-03-29', NULL, '2018-03-29', NULL, '2018-05-07 07:45:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 451.54000000, 0.00000000, 0.00000000, 0.00000000, 2257.68000000, 2709.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'Maintenance Compresseur RSF PRO 2-30 &agrave; 2192 HRS et maintenance Owamat 12<br />\r\nselon BL N&deg; 45 du 05/03/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2257.68000000, 451.54000000, 2709.22000000, NULL, NULL, NULL, NULL),
(413, 'FA1803-0021', 1, NULL, NULL, 'Compresseur + Réseau', 0, NULL, 12592, '2018-03-29 16:27:31', '2018-03-29', NULL, '2018-03-29', NULL, '2018-05-28 15:02:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1840.01000000, 0.00000000, 0.00000000, 0.00000000, 9200.11000000, 11040.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 12, 2, '2018-04-03', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 9200.11000000, 1840.01000000, 11040.12000000, NULL, NULL, NULL, NULL),
(414, 'FA1803-0022', 1, NULL, NULL, NULL, 0, NULL, 2260, '2018-03-30 10:35:58', '2018-03-30', NULL, '2018-03-30', NULL, '2018-05-02 07:26:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 129.97000000, 0.00000000, 0.00000000, 0.00000000, 649.86000000, 779.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'Pieces detach&eacute;es pour maintenance de vos compresseurs :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 649.86000000, 129.97000000, 779.83000000, NULL, NULL, NULL, NULL),
(416, 'FA1803-0023', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-03-30 11:02:01', '2018-03-30', NULL, '2018-03-30', NULL, '2018-04-25 07:24:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 5320.77000000, 0.00000000, 0.00000000, 0.00000000, 26603.85000000, 31924.62000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'DOSSIER KERRY - 2806879', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 26603.85000000, 5320.77000000, 31924.62000000, NULL, NULL, NULL, NULL),
(417, 'FA1803-0024', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2018-03-30 12:20:24', '2018-03-30', NULL, '2018-03-30', NULL, '2018-04-05 11:50:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2018-03-31', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(418, 'FA1803-0025', 1, NULL, NULL, '685', 0, NULL, 2273, '2018-03-30 15:35:02', '2018-03-30', NULL, '2018-03-30', NULL, '2018-05-02 07:19:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 206.09000000, 0.00000000, 0.00000000, 0.00000000, 1030.47000000, 1236.56000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'Mise en lieu et place de la cuve choisie sur offre ci jointe et cr&eacute;ation d&#39;un bypass cuve raccordement du compresseur au reseau en inox :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1030.47000000, 206.09000000, 1236.56000000, NULL, NULL, NULL, NULL),
(419, 'FA1803-0026', 1, NULL, NULL, NULL, 0, NULL, 2273, '2018-03-30 15:45:08', '2018-03-30', NULL, '2018-03-30', NULL, '2018-05-02 07:19:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 183.91000000, 0.00000000, 0.00000000, 0.00000000, 919.56000000, 1103.47000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'Fourniture d&#39;un reservoir 900Litres &eacute;quip&eacute; - livraison FRANCO<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 919.56000000, 183.91000000, 1103.47000000, NULL, NULL, NULL, NULL),
(420, 'FA1803-0027', 1, NULL, NULL, 'Épreuve de Charge des Ponts', 0, NULL, 12598, '2018-03-30 16:27:46', '2018-03-30', NULL, '2018-03-30', NULL, '2018-05-02 07:25:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 320.00000000, 0.00000000, 0.00000000, 0.00000000, 1600.00000000, 1920.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 2, '2018-04-29', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1600.00000000, 320.00000000, 1920.00000000, NULL, NULL, NULL, NULL),
(421, 'FA1803-0028', 1, NULL, NULL, NULL, 0, NULL, 6259, '2018-04-03 14:15:45', '2018-03-30', NULL, '2018-04-03', NULL, '2018-05-03 11:51:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 159.41000000, 0.00000000, 0.00000000, 0.00000000, 797.09000000, 956.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-04-30', NULL, 'Remplacement clapet d&#39;aspiration sur compresseur L30&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 797.09000000, 159.41000000, 956.50000000, NULL, NULL, NULL, NULL),
(422, 'FA1803-0029', 1, NULL, NULL, NULL, 0, NULL, 2247, '2018-04-03 14:16:28', '2018-03-30', NULL, '2018-04-03', NULL, '2018-05-02 07:21:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 42.98000000, 0.00000000, 0.00000000, 0.00000000, 214.89000000, 257.87000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.89000000, 42.98000000, 257.87000000, NULL, NULL, NULL, NULL),
(423, 'FA1803-0030', 1, NULL, NULL, NULL, 0, NULL, 2260, '2018-04-03 14:17:49', '2018-03-30', NULL, '2018-04-03', NULL, '2018-05-02 07:26:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 73.19000000, 0.00000000, 0.00000000, 0.00000000, 365.94000000, 439.13000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 365.94000000, 73.19000000, 439.13000000, NULL, NULL, NULL, NULL),
(424, 'FA1803-0031', 1, NULL, NULL, NULL, 0, NULL, 2279, '2018-04-03 14:19:02', '2018-03-30', NULL, '2018-04-03', NULL, '2018-05-02 07:23:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 431.61000000, 0.00000000, 0.00000000, 0.00000000, 2158.07000000, 2589.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'Maintenance L50 N&deg; CD10002543001', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2158.07000000, 431.61000000, 2589.68000000, NULL, NULL, NULL, NULL),
(425, 'FA1803-0032', 1, NULL, NULL, 'Cuve 900 Litres', 0, NULL, 2371, '2018-04-03 14:19:57', '2018-03-30', NULL, '2018-04-03', NULL, '2018-05-16 06:42:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 230.30000000, 0.00000000, 0.00000000, 0.00000000, 1151.52000000, 1381.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1151.52000000, 230.30000000, 1381.82000000, NULL, NULL, NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(426, 'FA1803-0033', 1, NULL, NULL, NULL, 0, NULL, 2371, '2018-04-03 14:21:25', '2018-03-30', NULL, '2018-04-03', NULL, '2018-05-16 06:42:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 137.45000000, 0.00000000, 0.00000000, 0.00000000, 687.22000000, 824.67000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'maintenance L22 et filtres reseaux', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 687.22000000, 137.45000000, 824.67000000, NULL, NULL, NULL, NULL),
(427, 'FA1803-0034', 1, NULL, NULL, NULL, 0, NULL, 2318, '2018-04-03 14:22:53', '2018-03-30', NULL, '2018-04-09', NULL, '2018-05-09 06:59:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 604.70000000, 0.00000000, 0.00000000, 0.00000000, 3023.49000000, 3628.19000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'Maintenance L45 + L15+ secheurpar adsotpion HL0080', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3023.49000000, 604.70000000, 3628.19000000, NULL, NULL, NULL, NULL),
(428, 'FA1803-0035', 1, NULL, NULL, NULL, 0, NULL, 12600, '2018-04-03 14:24:58', '2018-03-30', NULL, '2018-04-03', NULL, '2018-05-02 07:20:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 200.32000000, 0.00000000, 0.00000000, 0.00000000, 1001.61000000, 1201.93000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 9, 0, '2018-03-31', NULL, 'Maintenance compresseur L07RS et filtres reseaux&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1001.61000000, 200.32000000, 1201.93000000, NULL, NULL, NULL, NULL),
(429, 'FA1803-0036', 1, NULL, NULL, 'Raccords Pneumatique', 0, NULL, 2354, '2018-04-03 14:25:42', '2018-03-29', NULL, '2018-04-03', NULL, '2018-05-14 07:36:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 64.42000000, 0.00000000, 0.00000000, 0.00000000, 322.10000000, 386.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 322.10000000, 64.42000000, 386.52000000, NULL, NULL, NULL, NULL),
(430, 'FA1803-0037', 1, NULL, NULL, NULL, 0, NULL, 2347, '2018-04-03 14:26:25', '2018-03-29', NULL, '2018-04-03', NULL, '2018-04-24 07:45:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 102.68000000, 0.00000000, 0.00000000, 0.00000000, 513.40000000, 616.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 513.40000000, 102.68000000, 616.08000000, NULL, NULL, NULL, NULL),
(431, 'FA1803-0038', 1, NULL, NULL, NULL, 0, NULL, 9406, '2018-04-03 14:27:39', '2018-03-30', NULL, '2018-04-03', NULL, '2018-05-02 07:23:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 7.70000000, 0.00000000, 0.00000000, 0.00000000, 38.52000000, 46.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-04-30', NULL, 'Pour vos 7&nbsp; electrodistributeurs :<br />\r\n<br />\r\nD&eacute;lai : 5 Jours', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 38.52000000, 7.70000000, 46.22000000, NULL, NULL, NULL, NULL),
(432, 'FA1803-0039', 1, NULL, NULL, 'armoire electro-pneumatique', 0, NULL, 9406, '2018-04-03 14:28:43', '2018-03-30', NULL, '2018-04-03', NULL, '2018-05-02 07:23:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 235.66000000, 0.00000000, 0.00000000, 0.00000000, 1178.27000000, 1413.93000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-04-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1178.27000000, 235.66000000, 1413.93000000, NULL, NULL, NULL, NULL),
(433, 'FA1803-0040', 1, NULL, NULL, NULL, 0, NULL, 9406, '2018-04-03 14:29:21', '2018-03-30', NULL, '2018-04-03', NULL, '2018-05-02 07:23:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 14.97000000, 0.00000000, 0.00000000, 0.00000000, 74.86000000, 89.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-04-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 74.86000000, 14.97000000, 89.83000000, NULL, NULL, NULL, NULL),
(434, 'FA1803-0041', 1, NULL, NULL, NULL, 0, NULL, 2407, '2018-04-03 14:30:06', '2018-03-30', NULL, '2018-04-03', NULL, '2018-06-06 07:59:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 47.08000000, 0.00000000, 0.00000000, 0.00000000, 235.40000000, 282.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'D&eacute;lai : 29 Mars 2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 235.40000000, 47.08000000, 282.48000000, NULL, NULL, NULL, NULL),
(435, 'FA1803-0042', 1, NULL, NULL, NULL, 0, NULL, 12618, '2018-04-03 14:30:51', '2018-03-30', NULL, '2018-04-03', NULL, '2018-05-11 10:10:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 62.71000000, 0.00000000, 0.00000000, 0.00000000, 313.56000000, 376.27000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-04-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 313.56000000, 62.71000000, 376.27000000, NULL, NULL, NULL, NULL),
(436, 'FA1803-0043', 1, NULL, NULL, NULL, 0, NULL, 2391, '2018-04-03 14:34:55', '2018-03-30', NULL, '2018-04-03', NULL, '2018-05-11 10:09:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 146.35000000, 0.00000000, 0.00000000, 0.00000000, 731.76000000, 878.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'Maintenance L15 N&deg;CD10007461004 de 2011&nbsp;<br />\r\nseprateur de condensats owamat 10', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 731.76000000, 146.35000000, 878.11000000, NULL, NULL, NULL, NULL),
(437, 'FA1803-0044', 1, NULL, NULL, NULL, 0, NULL, 2221, '2018-04-03 14:35:49', '2018-03-30', NULL, '2018-04-03', NULL, '2018-05-02 07:22:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 93.75000000, 0.00000000, 0.00000000, 0.00000000, 468.75000000, 562.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-04-30', NULL, 'Maintenance compresseur RS PRO 7.5 13 BARS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 468.75000000, 93.75000000, 562.50000000, NULL, NULL, NULL, NULL),
(438, 'FA1804-0001', 1, NULL, NULL, NULL, 0, NULL, 12743, '2018-04-03 14:37:09', '2018-04-03', NULL, '2018-04-03', NULL, '2018-04-13 11:29:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 26.00000000, 0.00000000, 0.00000000, 0.00000000, 130.00000000, 156.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-05-31', NULL, 'Sac de 25 kg d&#39;alumine granulometrie 2-3mm', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 130.00000000, 26.00000000, 156.00000000, NULL, NULL, NULL, NULL),
(439, 'FA1804-0002', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-04-03 14:37:56', '2018-04-03', NULL, '2018-04-03', NULL, '2018-04-24 07:46:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(440, 'FA1804-0003', 1, NULL, NULL, NULL, 0, NULL, 1988, '2018-04-03 14:39:34', '2018-04-03', NULL, '2018-04-03', NULL, '2018-06-18 14:02:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 517.32000000, 0.00000000, 0.00000000, 0.00000000, 2586.60000000, 3103.92000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'maintenance l55rs', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2586.60000000, 517.32000000, 3103.92000000, NULL, NULL, NULL, NULL),
(441, 'FA1804-0004', 1, NULL, NULL, NULL, 0, NULL, 1988, '2018-04-03 14:41:58', '2018-04-03', NULL, '2018-04-03', NULL, '2018-06-18 14:02:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 93.09000000, 0.00000000, 0.00000000, 0.00000000, 465.45000000, 558.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 465.45000000, 93.09000000, 558.54000000, NULL, NULL, NULL, NULL),
(442, 'FA1804-0005', 1, NULL, NULL, '35700', 0, NULL, 2122, '2018-04-04 14:18:11', '2018-04-04', NULL, '2018-04-04', NULL, '2018-06-20 06:37:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 383.81000000, 0.00000000, 0.00000000, 0.00000000, 1919.04000000, 2302.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-05-31', NULL, 'Maintenance L75RS N&deg; CD10018699001 &agrave; 14782 HRS -&nbsp;<br />\r\nremplacement cartouche filtre reseau&nbsp;<br />\r\nmaintenance separateur de condensats -', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1919.04000000, 383.81000000, 2302.85000000, NULL, NULL, NULL, NULL),
(443, 'FA1804-0006', 1, NULL, NULL, NULL, 0, NULL, 12730, '2018-04-06 09:53:53', '2018-04-06', NULL, '2018-04-06', NULL, '2018-06-18 14:05:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 275.00000000, 0.00000000, 0.00000000, 0.00000000, 1375.00000000, 1650.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 8, 0, '2018-04-07', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1375.00000000, 275.00000000, 1650.00000000, NULL, NULL, NULL, NULL),
(444, 'FA1804-0007', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2018-04-06 09:58:09', '2018-04-06', NULL, '2018-04-06', NULL, '2018-05-31 12:30:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(445, 'FA1804-0008', 1, NULL, NULL, NULL, 0, NULL, 1980, '2018-04-09 10:49:23', '2018-04-09', NULL, '2018-04-09', NULL, '2018-06-20 06:34:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 124.24000000, 0.00000000, 0.00000000, 0.00000000, 621.24000000, 745.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'maintenance genesis ge1510 &agrave; 12800HRS<br />\r\nBL N&deg;44 du 30/03/2018<br />\r\nsite beaurepaire', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 621.24000000, 124.24000000, 745.48000000, NULL, NULL, NULL, NULL),
(446, 'FA1804-0009', 1, NULL, NULL, '35721', 0, NULL, 2122, '2018-04-09 11:18:00', '2018-04-09', NULL, '2018-04-09', NULL, '2018-06-20 06:37:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 17.28000000, 0.00000000, 0.00000000, 0.00000000, 86.40000000, 103.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-05-31', NULL, 'supape 10 bars 3/4', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 86.40000000, 17.28000000, 103.68000000, NULL, NULL, NULL, NULL),
(447, 'FA1804-0010', 1, NULL, NULL, NULL, 0, NULL, 2178, '2018-04-09 11:57:10', '2018-04-09', NULL, '2018-04-09', NULL, '2018-06-01 08:43:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 150.84000000, 0.00000000, 0.00000000, 0.00000000, 754.24000000, 905.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'maintenance HV01 et HV02<br />\r\nBL N&deg;45 du 06/04/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 754.24000000, 150.84000000, 905.08000000, NULL, NULL, NULL, NULL),
(448, 'FA1804-0011', 1, NULL, NULL, NULL, 0, NULL, 2178, '2018-04-09 12:11:53', '2018-04-09', NULL, '2018-04-09', NULL, '2018-06-01 08:43:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 184.94000000, 0.00000000, 0.00000000, 0.00000000, 924.70000000, 1109.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'maintenance L55 N&deg; CD10008941001 &agrave; 19144HRS&nbsp; + maintenance sep de condensats DOMINICK HUNTER ES2300<br />\r\nBL N&deg; 46 Du 06/04/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 924.70000000, 184.94000000, 1109.64000000, NULL, NULL, NULL, NULL),
(449, 'FA1804-0012', 1, NULL, NULL, NULL, 0, NULL, 12747, '2018-04-17 10:48:56', '2018-04-17', NULL, '2018-04-17', NULL, '2018-05-29 08:58:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 29.56000000, 0.00000000, 0.00000000, 0.00000000, 147.80000000, 177.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-05-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 147.80000000, 29.56000000, 177.36000000, NULL, NULL, NULL, NULL),
(450, 'FA1804-0013', 1, NULL, NULL, NULL, 0, NULL, 2016, '2018-04-17 10:55:08', '2018-04-17', NULL, '2018-04-17', NULL, '2018-06-11 08:07:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 35.24000000, 0.00000000, 0.00000000, 0.00000000, 176.18000000, 211.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Intervention sur compresseur L05 &agrave; 3920 HRS- D&eacute;faut A03<br />\r\n<br />\r\nBL N&deg; 06 du 16/04/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 176.18000000, 35.24000000, 211.42000000, NULL, NULL, NULL, NULL),
(451, 'FA1804-0014', 1, NULL, NULL, NULL, 0, NULL, 2313, '2018-04-17 11:07:50', '2018-04-17', NULL, '2018-04-17', NULL, '2018-06-05 09:45:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 165.70000000, 0.00000000, 0.00000000, 0.00000000, 828.52000000, 994.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Maintenance L07RS N&deg; BA35620001 &agrave; 7580 HRS et filtre reseau : an adaptable hors garantie<br />\r\n<br />\r\nBL N&deg; 01 du 10/04/2018 et BL N&deg; 7 du 18/04/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 828.52000000, 165.70000000, 994.22000000, NULL, NULL, NULL, NULL),
(452, 'FA1804-0015', 1, NULL, NULL, NULL, 0, NULL, 2033, '2018-04-17 11:15:55', '2018-04-17', NULL, '2018-04-17', NULL, '2018-06-19 06:58:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 446.79000000, 0.00000000, 0.00000000, 0.00000000, 2233.96000000, 2680.75000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Maintenance L26RS N&deg; CD10020872001 &agrave; 18432 HRS<br />\r\nRemplacement cartouche filtre reseau&nbsp;<br />\r\nMaintenance seprateur de condensats OWAMAT11&nbsp;<br />\r\n<br />\r\nBL N&deg; 04 du 13/04/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2233.96000000, 446.79000000, 2680.75000000, NULL, NULL, NULL, NULL),
(453, 'FA1804-0016', 1, NULL, NULL, NULL, 0, NULL, 2055, '2018-04-17 12:04:37', '2018-04-17', NULL, '2018-04-17', NULL, '2018-05-31 12:25:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 139.34000000, 0.00000000, 0.00000000, 0.00000000, 696.75000000, 836.09000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'maintenance L18 N&deg;349015/4213 &agrave; 32000HRS<br />\r\nRemplcament cartouche filtre reseau BST300RB<br />\r\nMaintenance seprateur de condensats :<br />\r\n<br />\r\nBL N&deg; 45 du 11/04/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 696.75000000, 139.34000000, 836.09000000, NULL, NULL, NULL, NULL),
(454, 'AV1804-0001', 1, NULL, NULL, NULL, 2, NULL, 2203, '2018-04-17 14:09:32', '2018-04-17', NULL, '2018-04-17', NULL, '2018-05-02 07:28:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -43.22000000, 0.00000000, 0.00000000, 0.00000000, -216.08000000, -259.30000000, 2, 5, NULL, 5, NULL, 406, NULL, NULL, NULL, 0, 2, '2018-04-17', NULL, 'Reprise suite &agrave; accord commercial Arthur BENOIT -', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 216.08000000, 43.22000000, 259.30000000, NULL, NULL, NULL, NULL),
(455, 'FA1804-0017', 1, NULL, NULL, NULL, 0, NULL, 2203, '2018-04-17 14:11:16', '2018-04-13', NULL, '2018-04-17', NULL, '2018-06-04 08:09:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 49.70000000, 0.00000000, 0.00000000, 0.00000000, 248.48000000, 298.18000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'en &eacute;change de celle en votre possession :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 248.48000000, 49.70000000, 298.18000000, NULL, NULL, NULL, NULL),
(456, 'FA1804-0018', 1, NULL, NULL, NULL, 0, NULL, 2204, '2018-04-17 14:21:32', '2018-04-17', NULL, '2018-04-17', NULL, '2018-05-31 12:27:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 299.46000000, 0.00000000, 0.00000000, 0.00000000, 1497.35000000, 1796.81000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Contrat Liss&eacute; L22 N&deg;CD10029439002 &agrave; 2040 HRS+ owamat11 + filtres reseaux ( RA,RB et CA )&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1497.35000000, 299.46000000, 1796.81000000, NULL, NULL, NULL, NULL),
(457, 'FA1804-0019', 1, NULL, NULL, NULL, 0, NULL, 2260, '2018-04-17 14:32:03', '2018-04-17', NULL, '2018-04-17', NULL, '2018-05-07 07:43:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 128.36000000, 0.00000000, 0.00000000, 0.00000000, 641.80000000, 770.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Remplacement bulbe thermostatique sur compresseur SCK42-08<br />\r\nBl N&deg;5 du 13/04/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 641.80000000, 128.36000000, 770.16000000, NULL, NULL, NULL, NULL),
(458, 'FA1804-0020', 1, NULL, NULL, NULL, 0, NULL, 2311, '2018-04-17 15:09:10', '2018-04-17', NULL, '2018-04-17', NULL, '2018-07-23 07:55:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.17000000, 0.00000000, 0.00000000, 0.00000000, 500.83000000, 601.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'maintenance compresseur &agrave; piston :&nbsp;<br />\r\nBL N&deg; 50 du 10/04/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.83000000, 100.17000000, 601.00000000, NULL, NULL, NULL, NULL),
(459, 'FA1804-0021', 1, NULL, NULL, NULL, 0, NULL, 2311, '2018-04-17 15:16:34', '2018-04-17', NULL, '2018-04-17', NULL, '2018-07-23 07:55:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 83.67000000, 0.00000000, 0.00000000, 0.00000000, 418.37000000, 502.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Maintenance screw 10 &agrave; 16856 HRS<br />\r\n<br />\r\nBL N&deg;48 du 10/04/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 418.37000000, 83.67000000, 502.04000000, NULL, NULL, NULL, NULL),
(460, 'FA1804-0022', 1, NULL, NULL, NULL, 0, NULL, 2311, '2018-04-17 15:21:21', '2018-04-17', NULL, '2018-04-17', NULL, '2018-07-23 07:55:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 90.09000000, 0.00000000, 0.00000000, 0.00000000, 450.45000000, 540.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Maintenance devillbiss STAR20 &agrave; 17803HRS<br />\r\nBL N&deg;49 du 10/04/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 450.45000000, 90.09000000, 540.54000000, NULL, NULL, NULL, NULL),
(461, 'FA1804-0023', 1, NULL, NULL, 'F18-00493', 0, NULL, 2318, '2018-04-17 15:59:13', '2018-04-17', NULL, '2018-04-17', NULL, '2018-06-05 09:43:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 41.69000000, 0.00000000, 0.00000000, 0.00000000, 208.45000000, 250.14000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Maintenance separateur de condensats Ultrasep superplus10 :&nbsp;<br />\r\nHors deplacement inclus dans la maintenance des compresseurs&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 208.45000000, 41.69000000, 250.14000000, NULL, NULL, NULL, NULL),
(462, 'FA1804-0024', 1, NULL, NULL, 'Filtres Mil\'s', 0, NULL, 2401, '2018-04-17 16:14:09', '2018-04-17', NULL, '2018-04-17', NULL, '2018-05-28 15:03:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 137.95000000, 0.00000000, 0.00000000, 0.00000000, 689.76000000, 827.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 689.76000000, 137.95000000, 827.71000000, NULL, NULL, NULL, NULL),
(463, 'FA1804-0025', 1, NULL, NULL, NULL, 0, NULL, 2401, '2018-04-17 16:39:24', '2018-04-17', NULL, '2018-04-17', NULL, '2018-08-07 15:56:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 370.30000000, 0.00000000, 0.00000000, 0.00000000, 1851.51000000, 2221.81000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'SOudures pour filtres &agrave; sables et r&eacute;seau d&#39;eau minerale<br />\r\n<br />\r\nBL N&deg; 40 du 15 MARS 2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1851.51000000, 370.30000000, 2221.81000000, NULL, NULL, NULL, NULL),
(464, 'FA1804-0026', 1, NULL, NULL, '4800289414', 0, NULL, 2234, '2018-04-18 15:12:24', '2018-04-18', NULL, '2018-04-18', NULL, '2018-05-11 10:08:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 261.37000000, 0.00000000, 0.00000000, 0.00000000, 1306.87000000, 1568.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Maintenance L45RS N&deg;CD10005658001 &agrave; 55493 HRS&nbsp; + Maintenance separateur de condensats owamat14&nbsp;<br />\r\nremplacemment des 2 cartouches des filtres reseaux&nbsp;<br />\r\n<br />\r\nBL N&deg;6 du 26/03/2018&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1306.87000000, 261.37000000, 1568.24000000, NULL, NULL, NULL, NULL),
(465, 'FA1804-0027', 1, NULL, NULL, NULL, 0, NULL, 1980, '2018-04-19 09:34:30', '2018-04-19', NULL, '2018-04-19', NULL, '2018-06-20 06:34:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 300.00000000, 0.00000000, 0.00000000, 0.00000000, 1500.00000000, 1800.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Votre site de Beaurepaire :&nbsp; le remplcament de votre r&eacute;servoir 500L', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1500.00000000, 300.00000000, 1800.00000000, NULL, NULL, NULL, NULL),
(466, 'FA1804-0028', 1, NULL, NULL, NULL, 0, NULL, 10056, '2018-04-19 09:50:49', '2018-04-19', NULL, '2018-04-19', NULL, '2018-06-20 06:31:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 17.21000000, 0.00000000, 0.00000000, 0.00000000, 86.04000000, 103.25000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Commande aupr&eacute;s de Mr BALAZARD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 86.04000000, 17.21000000, 103.25000000, NULL, NULL, NULL, NULL),
(467, 'FA1804-0029', 1, NULL, NULL, NULL, 0, NULL, 2301, '2018-04-19 10:16:32', '2018-04-19', NULL, '2018-04-19', NULL, '2018-05-28 15:06:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 200.85000000, 0.00000000, 0.00000000, 0.00000000, 1004.26000000, 1205.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Maintenance compresseur&nbsp; RSDK PRO ECN 5.5 N&deg;627047 &agrave; 3827 HRS et maintenance&nbsp; separateur de condensats OWAMAT 10 :&nbsp;<br />\r\n<br />\r\nBL N&deg;8 du 17/04/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1004.26000000, 200.85000000, 1205.11000000, NULL, NULL, NULL, NULL),
(468, 'AV1804-0002', 1, NULL, NULL, NULL, 2, NULL, 1980, '2018-04-19 10:57:01', '2018-04-19', NULL, '2018-04-19', NULL, '2018-06-20 06:34:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -31.89000000, 0.00000000, 0.00000000, 0.00000000, -159.47000000, -191.36000000, 2, 5, NULL, 5, NULL, 445, NULL, NULL, NULL, 0, 2, '2018-04-19', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -159.47000000, -31.89000000, -191.36000000, NULL, NULL, NULL, NULL),
(469, 'FA1804-0030', 1, NULL, NULL, NULL, 0, NULL, 2140, '2018-04-19 14:34:18', '2018-04-19', NULL, '2018-04-19', NULL, '2018-05-31 12:26:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 35.24000000, 0.00000000, 0.00000000, 0.00000000, 176.18000000, 211.42000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'BL N° 10 du 19/04/2018<br />\r\n<br />\r\nDepannage sectionneur de proximité -<br />\r\nA remplacer lors d ela prochaine maintenance du compresseur L15', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 176.18000000, 35.24000000, 211.42000000, NULL, NULL, NULL, NULL),
(470, 'FA1804-0031', 1, NULL, NULL, NULL, 0, NULL, 2369, '2018-04-20 08:53:38', '2018-04-20', NULL, '2018-04-20', NULL, '2018-07-02 07:25:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.14000000, 0.00000000, 0.00000000, 0.00000000, 110.72000000, 132.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 110.72000000, 22.14000000, 132.86000000, NULL, NULL, NULL, NULL),
(471, 'FA1804-0032', 1, NULL, NULL, '2100/18006913', 0, NULL, 2161, '2018-04-23 10:44:39', '2018-04-23', NULL, '2018-04-23', NULL, '2018-06-11 08:08:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 83.60000000, 0.00000000, 0.00000000, 0.00000000, 418.00000000, 501.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Remplacement ventilateur s&eacute;cheur boge DS40<br />\r\n<br />\r\nBL N&deg; 46 du 17/4/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 418.00000000, 83.60000000, 501.60000000, NULL, NULL, NULL, NULL),
(472, 'FA1804-0033', 1, NULL, NULL, NULL, 0, NULL, 1935, '2018-04-23 11:18:38', '2018-04-23', NULL, '2018-04-23', NULL, '2018-05-31 12:22:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 73.49000000, 0.00000000, 0.00000000, 0.00000000, 367.40000000, 440.89000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Pi&eacute;ces detach&eacute;es pour L11 -&nbsp;<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 367.40000000, 73.49000000, 440.89000000, NULL, NULL, NULL, NULL),
(474, 'FA1804-0034', 1, NULL, NULL, '1816192-325-G9J-BKP', 0, NULL, 2350, '2018-04-23 11:45:28', '2018-04-23', NULL, '2018-04-23', NULL, '2018-08-31 08:11:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 189.12000000, 0.00000000, 0.00000000, 0.00000000, 945.60000000, 1134.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Maintenance L45RS N&deg;CD10015094001 (21496 H )&nbsp; + remplacement cartouche filtre r&eacute;seau<br />\r\n<br />\r\nBL N&deg; 47 du 09/04/2018<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 945.60000000, 189.12000000, 1134.72000000, NULL, NULL, NULL, NULL),
(475, 'FA1804-0035', 1, NULL, NULL, NULL, 0, NULL, 2350, '2018-04-23 11:47:41', '2018-04-23', NULL, '2018-04-23', NULL, '2018-06-18 13:55:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.30000000, 0.00000000, 0.00000000, 0.00000000, 591.50000000, 709.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Raccordement cuve exitante au r&eacute;seau inox en dessous de la plateforme existante - mettre un piquage en attente<br />\r\n<br />\r\nBL N&deg;47 du 09/04/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 591.50000000, 118.30000000, 709.80000000, NULL, NULL, NULL, NULL),
(476, 'FA1804-0036', 1, NULL, NULL, NULL, 0, NULL, 2370, '2018-04-23 11:55:29', '2018-04-23', NULL, '2018-04-23', NULL, '2018-06-20 06:36:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.92000000, 0.00000000, 0.00000000, 0.00000000, 564.60000000, 677.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Maintenance s&eacute;cheur alumine HL0030 et remplcament cartouches filtres r&eacute;seaux :<br />\r\n<br />\r\nBL N&deg; 43 du 30/03/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 564.60000000, 112.92000000, 677.52000000, NULL, NULL, NULL, NULL),
(478, 'FA1804-0037', 1, NULL, NULL, 'Compresseur à Piston', 0, NULL, 2261, '2018-04-26 11:47:49', '2018-04-26', NULL, '2018-04-26', NULL, '2018-06-20 06:33:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 64.00000000, 0.00000000, 0.00000000, 0.00000000, 320.00000000, 384.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Compresseur sur cuve de 10 Litres&nbsp;<br />\r\nD&eacute;bit R&eacute;el 8m3/h<br />\r\nPuissance 1.5 ch&nbsp;<br />\r\nPoids 21 kg<br />\r\nPression 8 Bars&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 320.00000000, 64.00000000, 384.00000000, NULL, NULL, NULL, NULL),
(479, 'FA1804-0038', 1, NULL, NULL, NULL, 0, NULL, 2347, '2018-04-26 14:48:30', '2018-04-26', NULL, '2018-04-26', NULL, '2018-06-08 07:18:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 115.22000000, 0.00000000, 0.00000000, 0.00000000, 576.10000000, 691.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, '<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 576.10000000, 115.22000000, 691.32000000, NULL, NULL, NULL, NULL),
(480, 'FA1805-0007', 1, NULL, NULL, NULL, 0, NULL, 2203, '2018-04-26 16:48:50', '2018-05-14', NULL, '2018-05-15', NULL, '2018-07-02 07:26:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 303.92000000, 0.00000000, 0.00000000, 0.00000000, 1519.60000000, 1823.52000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Maintenance L45RS N°10003657001 à 23354 HRS<br />\r\nRemplcament cartouche filtre reseau<br />\r\nBL N°3 du 09/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1519.60000000, 303.92000000, 1823.52000000, NULL, NULL, NULL, NULL),
(481, 'FA1804-0039', 1, NULL, NULL, '00018753', 0, NULL, 2062, '2018-04-27 11:29:31', '2018-04-27', NULL, '2018-04-27', NULL, '2018-05-31 12:24:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 642.25000000, 0.00000000, 0.00000000, 0.00000000, 3211.27000000, 3853.52000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Remplacement sécheur par réfrigeration pour compresseur L26RS : <br />\r\nBL N°47 du 25/04/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3211.27000000, 642.25000000, 3853.52000000, NULL, NULL, NULL, NULL),
(482, 'FA1804-0040', 1, NULL, NULL, NULL, 0, NULL, 2062, '2018-04-27 12:11:07', '2018-04-27', NULL, '2018-04-27', NULL, '2018-05-31 12:24:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 53.82000000, 0.00000000, 0.00000000, 0.00000000, 269.12000000, 322.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-05-31', NULL, 'Intervention/ depannage sur s&eacute;cheur ED660 - Hors service<br />\r\n<br />\r\nBL N&deg; 8 du 19/04/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 269.12000000, 53.82000000, 322.94000000, NULL, NULL, NULL, NULL),
(483, 'AV1804-0003', 1, NULL, NULL, NULL, 2, NULL, 9406, '2018-04-27 14:20:42', '2018-04-27', NULL, '2018-04-27', NULL, '2018-07-20 13:54:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -195.34000000, 0.00000000, 0.00000000, 0.00000000, -976.71000000, -1172.05000000, 2, 5, NULL, 5, NULL, 432, NULL, NULL, NULL, 0, 0, '2018-04-27', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -976.71000000, -195.34000000, -1172.05000000, NULL, NULL, NULL, NULL),
(484, 'FA1804-0041', 1, NULL, NULL, NULL, 0, NULL, 9406, '2018-04-27 14:22:14', '2018-04-27', NULL, '2018-07-20', NULL, '2018-07-20 13:58:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 190.12000000, 0.00000000, 0.00000000, 0.00000000, 950.60000000, 1140.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-05-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 950.60000000, 190.12000000, 1140.72000000, NULL, NULL, NULL, NULL),
(485, 'AC1804-0001', 1, NULL, NULL, NULL, 3, NULL, 6086, '2018-05-03 10:50:36', '2018-04-30', NULL, '2018-05-03', NULL, '2018-06-06 07:57:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 10040.00000000, 0.00000000, 0.00000000, 0.00000000, 50200.00000000, 60240.00000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2018-05-01', NULL, 'DOSSIER AC N2 et OX - Montant global de  251 000 € NET HT - <br />\r\nsuivant AR de commande N° CO1805-0461 du 30 Avril 2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 50200.00000000, 10040.00000000, 60240.00000000, NULL, NULL, NULL, NULL),
(486, 'FA1805-0001', 1, NULL, NULL, NULL, 0, NULL, 2729, '2018-05-03 11:03:55', '2018-05-03', NULL, '2018-05-03', NULL, '2018-06-29 15:39:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 226.80000000, 226.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-06-30', NULL, 'Dossier de garantie -<br />\r\nGIRAUD DELAY<br />\r\nRSDK PRO 3 -13 BARS de 2017 N&deg;707076 &agrave; 1694 HRS<br />\r\nHelice moteur electrique defectueuse&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.80000000, 0.00000000, 226.80000000, NULL, NULL, NULL, NULL),
(487, 'AC1805-0001', 1, NULL, NULL, 'ensemble compresseur et secheur', 3, NULL, 12745, '2018-05-03 14:03:17', '2018-05-03', NULL, '2018-05-03', NULL, '2018-05-14 13:51:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 425.01000000, 0.00000000, 0.00000000, 0.00000000, 2125.08000000, 2550.09000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2018-05-04', NULL, 'Montant global 7083.58 &euro; HT - installation local Air comprim&eacute;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2125.08000000, 425.01000000, 2550.09000000, NULL, NULL, NULL, NULL),
(488, 'AV1805-0001', 1, NULL, NULL, NULL, 2, NULL, 2370, '2018-05-04 12:13:07', '2018-05-04', NULL, '2018-05-04', NULL, '2018-08-08 08:55:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -20.00000000, 0.00000000, 0.00000000, 0.00000000, -100.00000000, -120.00000000, 2, 5, NULL, 5, NULL, 476, NULL, NULL, NULL, 0, 2, '2018-05-04', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -100.00000000, -20.00000000, -120.00000000, NULL, NULL, NULL, NULL),
(489, 'FA1805-0002', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2018-05-14 16:05:08', '2018-05-14', NULL, '2018-05-14', NULL, '2018-05-31 12:30:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(490, 'FA1805-0003', 1, NULL, NULL, '2018236', 0, NULL, 1940, '2018-05-15 10:02:49', '2018-05-15', NULL, '2018-05-15', NULL, '2018-07-17 08:43:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 247.25000000, 0.00000000, 0.00000000, 0.00000000, 1236.21000000, 1483.46000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Maintenance de votre compresseur L45RS N&deg;CD10023839001 &agrave; 11 200 HRS<br />\r\nRemplacement cartouches filtres r&eacute;seaux&nbsp;<br />\r\nMaintenance s&eacute;parateur de condensats owamat14<br />\r\n<br />\r\nBL N&deg;2 du 07/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1236.21000000, 247.25000000, 1483.46000000, NULL, NULL, NULL, NULL),
(491, 'FA1805-0004', 1, NULL, NULL, NULL, 0, NULL, 2029, '2018-05-15 10:10:04', '2018-05-15', NULL, '2018-05-15', NULL, '2018-07-03 12:08:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 106.17000000, 0.00000000, 0.00000000, 0.00000000, 530.85000000, 637.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Maintenance Compresseur L11 &agrave; 31 390 HRS -maintenance separateur de condensats OWAMAT 10<br />\r\nBL N&deg; 14 du 27/04/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 530.85000000, 106.17000000, 637.02000000, NULL, NULL, NULL, NULL),
(492, 'FA1805-0005', 1, NULL, NULL, NULL, 0, NULL, 2076, '2018-05-15 10:39:04', '2018-05-15', NULL, '2018-05-15', NULL, '2018-07-09 09:03:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.79000000, 0.00000000, 0.00000000, 0.00000000, 593.95000000, 712.74000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Maintenance HV07 à 13961 HRS  et remplcament cartouche filtre reseau<br />\r\n<br />\r\nBL N° 17 du 04/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 593.95000000, 118.79000000, 712.74000000, NULL, NULL, NULL, NULL),
(493, 'FA1805-0006', 1, NULL, NULL, NULL, 0, NULL, 12581, '2018-05-15 11:07:07', '2018-05-15', NULL, '2018-05-15', NULL, '2018-06-19 06:59:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 13.60000000, 0.00000000, 0.00000000, 0.00000000, 68.00000000, 81.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 13, 0, '2018-05-16', NULL, 'remplacement purge de condensats - main d&#39;oeuvre et deplacement offert (inclus facture pr&eacute;c&eacute;dente)', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 68.00000000, 13.60000000, 81.60000000, NULL, NULL, NULL, NULL),
(494, 'FA1805-0008', 1, NULL, NULL, NULL, 0, NULL, 2373, '2018-05-15 14:27:48', '2018-05-15', NULL, '2018-05-15', NULL, '2018-07-03 12:01:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 134.40000000, 0.00000000, 0.00000000, 0.00000000, 672.00000000, 806.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, '<p>R&eacute;&eacute;preuve de vos 2 r&eacute;servoirs d&rsquo;air comprim&eacute; ( Hors organisme agr&eacute;e ) - Cuve rollair 1400B et cuve IRN11K</p>\r\n\r\n<p>BL N&deg; 1 du 03/05/2018</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 672.00000000, 134.40000000, 806.40000000, NULL, NULL, NULL, NULL),
(495, 'FA1805-0009', 1, NULL, NULL, NULL, 0, NULL, 2231, '2018-05-15 14:51:44', '2018-05-15', NULL, '2018-05-15', NULL, '2018-07-17 08:46:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 99.83000000, 0.00000000, 0.00000000, 0.00000000, 499.19000000, 599.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Maintenance compresseur HP10 &agrave; 18 874 HRS<br />\r\nBL N&deg;15 du 02/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 499.19000000, 99.83000000, 599.02000000, NULL, NULL, NULL, NULL),
(496, 'FA1805-0010', 1, NULL, NULL, NULL, 0, NULL, 2276, '2018-05-15 15:52:33', '2018-05-15', NULL, '2018-05-15', NULL, '2018-07-02 07:25:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 422.43000000, 0.00000000, 0.00000000, 0.00000000, 2112.20000000, 2534.63000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'maintenance L29RS N&deg; CD10015163001 &agrave; 31937HRS &amp; filtres reseaux :&nbsp;<br />\r\nBL N&deg;16 du 02/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2112.20000000, 422.43000000, 2534.63000000, NULL, NULL, NULL, NULL),
(497, 'FA1805-0011', 1, NULL, NULL, NULL, 0, NULL, 2376, '2018-05-15 16:02:50', '2018-05-15', NULL, '2018-05-15', NULL, '2018-07-02 08:47:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 189.93000000, 0.00000000, 0.00000000, 0.00000000, 949.63000000, 1139.56000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Maintenanace compresseur L11RS N&deg; BA31005001 &agrave; 1993 HRS et filtre reseau', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 949.63000000, 189.93000000, 1139.56000000, NULL, NULL, NULL, NULL),
(498, 'FA1805-0012', 1, NULL, NULL, NULL, 0, NULL, 2184, '2018-05-17 10:16:21', '2018-05-02', NULL, '2018-05-17', NULL, '2018-07-09 09:07:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 46.72000000, 0.00000000, 0.00000000, 0.00000000, 233.60000000, 280.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Maintenance Owamat 14 - Main d&#39;oeuvre offerte &agrave; titre commercial -&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 233.60000000, 46.72000000, 280.32000000, NULL, NULL, NULL, NULL),
(499, 'FA1805-0013', 1, NULL, NULL, NULL, 0, NULL, 12590, '2018-05-17 10:58:31', '2018-05-17', NULL, '2018-05-17', NULL, '2018-08-07 16:00:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 306.04000000, 0.00000000, 0.00000000, 0.00000000, 1530.24000000, 1836.28000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Remplacement des filtres HORS CONTRAT de maintenance sur g&eacute;n&eacute;rateur d&#39;azote et sur laser bystronic :&nbsp;<br />\r\n<br />\r\nBL N&deg; 5 du 14/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1530.24000000, 306.04000000, 1836.28000000, NULL, NULL, NULL, NULL),
(500, 'FA1805-0014', 1, NULL, NULL, NULL, 0, NULL, 12748, '2018-05-17 14:55:17', '2018-05-17', NULL, '2018-05-17', NULL, '2018-06-18 14:06:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 28.45000000, 0.00000000, 0.00000000, 0.00000000, 142.23000000, 170.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-06-16', NULL, 'Dossier GARAGE CLUZE - 26350 CREPOL', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 142.23000000, 28.45000000, 170.68000000, NULL, NULL, NULL, NULL),
(501, 'FA1805-0015', 1, NULL, NULL, NULL, 0, NULL, 2140, '2018-05-18 09:44:35', '2018-05-18', NULL, '2018-05-18', NULL, '2018-07-09 09:13:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 172.97000000, 0.00000000, 0.00000000, 0.00000000, 864.88000000, 1037.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Maintenance start015 N&deg;349012/2499 &agrave; 35600 HRS - remplacement cartouche filtre reseau&nbsp;<br />\r\nremplacement coffret et sectionneur de proximit&eacute; sur compresseur L15-<br />\r\n<br />\r\nBL N&deg;7 du 17/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 864.88000000, 172.97000000, 1037.85000000, NULL, NULL, NULL, NULL),
(502, 'FA1805-0016', 1, NULL, NULL, 'ensemble compresseur et secheur', 0, NULL, 12745, '2018-05-18 09:56:49', '2018-05-18', NULL, '2018-05-18', NULL, '2018-06-20 06:35:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 991.70000000, 0.00000000, 0.00000000, 0.00000000, 4958.50000000, 5950.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-06-30', NULL, 'Facture de solde - Montant global 7 083.58 &euro; HT<br />\r\n<br />\r\nInstallation Local Air Comprim&eacute;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 7083.58000000, 1416.71000000, 8500.29000000, NULL, NULL, NULL, NULL),
(503, 'FA1805-0017', 1, NULL, NULL, '36119', 0, NULL, 2122, '2018-05-18 10:12:19', '2018-05-18', NULL, '2018-05-18', NULL, '2018-07-17 08:41:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 479.80000000, 0.00000000, 0.00000000, 0.00000000, 2399.00000000, 2878.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-06-30', NULL, 'location groupe froid tae evo tech 020 avec mise en service et kit de reglage et de protection 400 Microns', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2399.00000000, 479.80000000, 2878.80000000, NULL, NULL, NULL, NULL),
(504, 'FA1805-0018', 1, NULL, NULL, '9521', 0, NULL, 5741, '2018-05-18 10:22:55', '2018-05-18', NULL, '2018-05-18', NULL, '2018-07-17 08:43:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.76000000, 0.00000000, 0.00000000, 0.00000000, 593.78000000, 712.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-06-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 593.78000000, 118.76000000, 712.54000000, NULL, NULL, NULL, NULL),
(507, 'FA1805-0019', 1, NULL, NULL, NULL, 0, NULL, 12761, '2018-05-31 09:45:11', '2018-05-31', NULL, '2018-05-31', NULL, '2018-07-11 10:04:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 318.00000000, 0.00000000, 0.00000000, 0.00000000, 1590.00000000, 1908.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-06-30', NULL, 'Commande Mr Patrice Aguilar - du 30/05/2018<br />\r\n3 cuves 500Litres &eacute;quip&eacute;es pour 3 sites des FROID ET SERVICES GRAND EST&nbsp; -BENFELD - LESMENILS &amp; ST DIZIER<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1590.00000000, 318.00000000, 1908.00000000, NULL, NULL, NULL, NULL),
(508, 'FA1805-0020', 1, NULL, NULL, NULL, 0, NULL, 1968, '2018-06-04 11:54:57', '2018-05-31', NULL, '2018-06-04', NULL, '2018-07-13 11:44:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 104.46000000, 0.00000000, 0.00000000, 0.00000000, 522.32000000, 626.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Maintenance compresseur RSDBST3-8BARS &agrave; 360 HEURES et remplacement cartouche filtre r&eacute;seau F2X010AO<br />\r\n<br />\r\nBL N&deg;29 du 25/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 522.32000000, 104.46000000, 626.78000000, NULL, NULL, NULL, NULL),
(509, 'FA1805-0021', 1, NULL, NULL, 'Maintenances compresseur COMPAIR & KAESER', 0, NULL, 2053, '2018-06-04 13:47:41', '2018-05-31', NULL, '2018-06-04', NULL, '2018-07-05 12:00:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 472.76000000, 0.00000000, 0.00000000, 0.00000000, 2363.88000000, 2836.64000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'BL N° 32 & 31 du 30/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2363.88000000, 472.76000000, 2836.64000000, NULL, NULL, NULL, NULL),
(510, 'FA1805-0022', 1, NULL, NULL, '00227', 0, NULL, 12581, '2018-06-04 14:23:11', '2018-05-31', NULL, '2018-06-04', NULL, '2018-09-07 08:33:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 57.23000000, 0.00000000, 0.00000000, 0.00000000, 286.14000000, 343.37000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 15, 0, '2018-06-01', NULL, 'Depannage site de portes les valence - compresseur GA15+FF - bouton d&#39;arret d&#39;urgence defectueux-&nbsp;<br />\r\n<br />\r\nBL N&deg; 21 du 18/05/2018<br />\r\n<br />\r\nBC N&deg; 00227 du 18/05/18&nbsp;<br />\r\nCHantier 82000 - centrale enrobes', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 286.14000000, 57.23000000, 343.37000000, NULL, NULL, NULL, NULL),
(511, 'FA1806-0003', 1, NULL, NULL, NULL, 0, NULL, 12762, '2018-06-04 14:43:14', '2018-06-04', NULL, '2018-06-06', NULL, '2018-06-06 07:58:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.00000000, 0.00000000, 0.00000000, 0.00000000, 225.00000000, 270.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2018-06-05', NULL, 'D&eacute;lai : DISPONIBLE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 225.00000000, 45.00000000, 270.00000000, NULL, NULL, NULL, NULL),
(512, 'FA1805-0023', 1, NULL, NULL, 'reparation reseau GIRAIR par INOX 28', 0, NULL, 2076, '2018-06-04 16:34:02', '2018-05-31', NULL, '2018-06-04', NULL, '2018-07-10 14:39:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 190.60000000, 0.00000000, 0.00000000, 0.00000000, 952.90000000, 1143.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'BL N&deg; 26 du 23/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 952.90000000, 190.60000000, 1143.50000000, NULL, NULL, NULL, NULL),
(513, 'FA1805-0024', 1, NULL, NULL, NULL, 0, NULL, 7060, '2018-06-04 16:50:03', '2018-05-31', NULL, '2018-06-04', NULL, '2018-07-09 09:09:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 113.83000000, 0.00000000, 0.00000000, 0.00000000, 569.18000000, 683.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-06-30', NULL, 'depannage shiller NR42608 - recherche panne inter 12V - defcetueux - changement inter essais -&nbsp;<br />\r\n<br />\r\nBL N&deg;20 du 18/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 569.18000000, 113.83000000, 683.01000000, NULL, NULL, NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(514, 'FA1805-0025', 1, NULL, NULL, NULL, 0, NULL, 12596, '2018-06-04 17:06:08', '2018-05-31', NULL, '2018-06-04', NULL, '2018-06-08 07:17:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 943.00000000, 0.00000000, 0.00000000, 0.00000000, 4715.00000000, 5658.00000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2018-06-01', '1% d\'escompte si paiement à reception de facture', NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4715.00000000, 943.00000000, 5658.00000000, NULL, NULL, NULL, NULL),
(515, 'FA1806-0001', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2018-06-05 12:00:15', '2018-06-05', NULL, '2018-06-05', NULL, '2018-11-21 09:24:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2018-06-06', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(516, 'FA1806-0002', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-06-05 12:01:25', '2018-06-05', NULL, '2018-06-05', NULL, '2018-06-25 08:18:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(517, 'FA1805-0026', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-06-05 14:10:09', '2018-05-31', NULL, '2018-06-05', NULL, '2018-06-25 08:18:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(518, 'FA1805-0027', 1, NULL, NULL, NULL, 0, NULL, 2247, '2018-06-05 14:16:00', '2018-05-31', NULL, '2018-06-05', NULL, '2018-07-11 10:05:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 262.15000000, 0.00000000, 0.00000000, 0.00000000, 1310.80000000, 1572.95000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'maintenance L18rs N&deg; CD100018442001 &agrave; 21963 HRS<br />\r\n<br />\r\nBL N&deg; 14 du 30/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1310.80000000, 262.15000000, 1572.95000000, NULL, NULL, NULL, NULL),
(519, 'FA1805-0028', 1, NULL, NULL, NULL, 0, NULL, 2206, '2018-06-05 14:28:56', '2018-05-31', NULL, '2018-06-05', NULL, '2018-08-07 16:13:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 93.04000000, 0.00000000, 0.00000000, 0.00000000, 465.19000000, 558.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Maintenance HV05 &agrave; 17692 HRS<br />\r\n<br />\r\nBL N&deg; 23 du 18/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 465.19000000, 93.04000000, 558.23000000, NULL, NULL, NULL, NULL),
(520, 'FA1805-0029', 1, NULL, NULL, NULL, 0, NULL, 6663, '2018-06-05 14:55:34', '2018-05-31', NULL, '2018-06-05', NULL, '2018-07-03 12:07:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 58.86000000, 0.00000000, 0.00000000, 0.00000000, 294.34000000, 353.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Intervention sur vos compresseurs L37RS et L18 - problemes d&#39;horloge P1 et P2 d&eacute;r&eacute;gl&eacute;es.<br />\r\n<br />\r\nBL N&deg; 28 du 25/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 294.34000000, 58.86000000, 353.20000000, NULL, NULL, NULL, NULL),
(521, 'FA1805-0030', 1, NULL, NULL, NULL, 0, NULL, 2354, '2018-06-05 15:25:48', '2018-05-31', NULL, '2018-06-05', NULL, '2018-07-11 10:03:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 237.03000000, 0.00000000, 0.00000000, 0.00000000, 1185.16000000, 1422.19000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'maintenance L15 N&deg;100014096-0169 &agrave; 21454 HRS &amp; separateur de condensats owamat 11<br />\r\n<br />\r\nBL N&deg;11 du 25/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1185.16000000, 237.03000000, 1422.19000000, NULL, NULL, NULL, NULL),
(522, 'FA1805-0031', 1, NULL, NULL, NULL, 0, NULL, 2370, '2018-06-05 15:42:25', '2018-05-31', NULL, '2018-06-05', NULL, '2018-07-17 08:45:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 92.61000000, 0.00000000, 0.00000000, 0.00000000, 463.07000000, 555.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Maintenance RStop 7.5&nbsp; &agrave; 3982 HRS<br />\r\n<br />\r\nBL N&deg;22 du 18/05/2018&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 463.07000000, 92.61000000, 555.68000000, NULL, NULL, NULL, NULL),
(523, 'FA1805-0032', 1, NULL, NULL, '1798995 & 19541638-325-G9J-BKP', 0, NULL, 2350, '2018-06-05 15:55:07', '2018-05-31', NULL, '2018-06-05', NULL, '2018-10-03 08:07:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 165.84000000, 0.00000000, 0.00000000, 0.00000000, 829.22000000, 995.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Changement des 2 accumulateurs sur pompe e lavage en 3/4 et 1&quot; -&nbsp;<br />\r\n<br />\r\nBL 12 du 27/04/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 829.22000000, 165.84000000, 995.06000000, NULL, NULL, NULL, NULL),
(524, 'AC1806-0001', 1, NULL, NULL, NULL, 3, NULL, 6086, '2018-06-06 09:36:04', '2018-06-06', NULL, '2018-06-06', NULL, '2018-09-04 11:41:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 10000.00000000, 0.00000000, 0.00000000, 0.00000000, 50000.00000000, 60000.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2018-06-07', NULL, 'Dossier global : Air comprim&eacute; pour fabrication azote &amp; oxygene<br />\r\nMONTANT GLOBAL :&nbsp; 251 000 &euro; HT&nbsp;<br />\r\n<br />\r\n2nd acompte en accord avec Mr COLLOMB-MURET &amp; Mr BALAZARD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 50000.00000000, 10000.00000000, 60000.00000000, NULL, NULL, NULL, NULL),
(525, 'FA1805-0033', 1, NULL, NULL, NULL, 0, NULL, 2396, '2018-06-06 10:27:20', '2018-05-31', NULL, '2018-06-06', NULL, '2018-07-02 07:27:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 319.25000000, 0.00000000, 0.00000000, 0.00000000, 1596.25000000, 1915.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Remise en etat 4010ELK-09-BES &agrave; 6663 HRS<br />\r\nN&deg;540<br />\r\n<br />\r\nBL N&deg; 9 du 18/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1596.25000000, 319.25000000, 1915.50000000, NULL, NULL, NULL, NULL),
(526, 'FA1805-0034', 1, NULL, NULL, NULL, 0, NULL, 2396, '2018-06-06 10:31:06', '2018-05-31', NULL, '2018-06-06', NULL, '2018-07-02 07:27:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 156.22000000, 0.00000000, 0.00000000, 0.00000000, 781.09000000, 937.31000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Modification du local suivant plan ci joint :&nbsp;<br />\r\n<br />\r\nBL N&deg; 8 du 18/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 781.09000000, 156.22000000, 937.31000000, NULL, NULL, NULL, NULL),
(527, 'FA1805-0035', 1, NULL, NULL, NULL, 0, NULL, 2396, '2018-06-06 10:33:41', '2018-05-31', NULL, '2018-06-06', NULL, '2018-07-02 07:27:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 117.48000000, 0.00000000, 0.00000000, 0.00000000, 587.40000000, 704.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Maintenance HV04&nbsp; &agrave; 29734 HRS<br />\r\n<br />\r\nBL N&deg;8 du 18/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 587.40000000, 117.48000000, 704.88000000, NULL, NULL, NULL, NULL),
(528, 'FA1805-0036', 1, NULL, NULL, NULL, 0, NULL, 2383, '2018-06-06 11:52:40', '2018-05-31', NULL, '2018-06-06', NULL, '2018-08-10 06:26:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 63.10000000, 0.00000000, 0.00000000, 0.00000000, 315.50000000, 378.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-06-30', NULL, 'Intervention sur panne &eacute;lectrique batiment ourdissoire<br />\r\n<br />\r\nBL N&deg; 13 du 29/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 315.50000000, 63.10000000, 378.60000000, NULL, NULL, NULL, NULL),
(529, 'FA1806-0004', 1, NULL, NULL, NULL, 0, NULL, 2260, '2018-06-07 08:37:14', '2018-06-07', NULL, '2018-06-07', NULL, '2018-08-07 15:48:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 72.35000000, 0.00000000, 0.00000000, 0.00000000, 361.76000000, 434.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Intervention sur s&eacute;cheur MPE N060 N&deg; NMA03140502028 -<br />\r\n<br />\r\nBL N&deg; 35 du 06/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 361.76000000, 72.35000000, 434.11000000, NULL, NULL, NULL, NULL),
(530, 'FA1806-0005', 1, NULL, NULL, 'Commande de Mrs.Odeyer et Yang(L37RS)', 0, NULL, 2352, '2018-06-07 08:46:53', '2018-06-07', NULL, '2018-06-07', NULL, '2018-08-07 16:09:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 546.50000000, 0.00000000, 0.00000000, 0.00000000, 2732.50000000, 3279.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Maintenance L37RS N&deg; CD10019189001 &agrave; 8907 HRS - Remplacement des cartouches des filtres r&eacute;seaux .<br />\r\n<br />\r\nBL N&deg; 33 du 01/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2732.50000000, 546.50000000, 3279.00000000, NULL, NULL, NULL, NULL),
(531, 'FA1806-0006', 1, NULL, NULL, NULL, 0, NULL, 2016, '2018-06-07 09:14:01', '2018-06-07', NULL, '2018-06-07', NULL, '2018-08-07 16:12:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 35.24000000, 0.00000000, 0.00000000, 0.00000000, 176.18000000, 211.42000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Intervention sur compresseur L05 à 4030 HRS- Défaut A01<br />\r\nBL N° 30 du 29/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 176.18000000, 35.24000000, 211.42000000, NULL, NULL, NULL, NULL),
(532, 'FA1806-0007', 1, NULL, NULL, NULL, 0, NULL, 2178, '2018-06-07 09:46:39', '2018-06-07', NULL, '2018-06-07', NULL, '2018-08-07 15:53:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 66.50000000, 0.00000000, 0.00000000, 0.00000000, 332.50000000, 399.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Intervention compresseur HV01 N&deg; 501-019406-1101<br />\r\n<br />\r\nBL N&deg; 25 du 23/05/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 332.50000000, 66.50000000, 399.00000000, NULL, NULL, NULL, NULL),
(533, 'FA1806-0008', 1, NULL, NULL, NULL, 0, NULL, 2178, '2018-06-07 09:51:14', '2018-06-07', NULL, '2018-06-07', NULL, '2018-08-07 15:53:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 146.70000000, 0.00000000, 0.00000000, 0.00000000, 733.50000000, 880.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'perceuse avec mandrin auto 13 mm', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 733.50000000, 146.70000000, 880.20000000, NULL, NULL, NULL, NULL),
(534, 'FA1806-0009', 1, NULL, NULL, NULL, 0, NULL, 2347, '2018-06-07 09:58:46', '2018-06-07', NULL, '2018-06-07', NULL, '2018-09-06 11:19:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 23.54000000, 0.00000000, 0.00000000, 0.00000000, 117.70000000, 141.24000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Kit de maintenance 2000 H pour compresseur L15RS COMPAIR -<br />\r\n<br />\r\nLivraison : Site de ST MARCELLIN <br />\r\nCommande de Mr Eric COTTANT', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 117.70000000, 23.54000000, 141.24000000, NULL, NULL, NULL, NULL),
(535, 'FA1806-0010', 1, NULL, NULL, 'PO7000683610', 0, NULL, 2184, '2018-06-12 09:41:08', '2018-06-11', NULL, '2018-06-12', NULL, '2018-08-20 09:19:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 201.71000000, 0.00000000, 0.00000000, 0.00000000, 1008.56000000, 1210.27000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Maintenance L45rs N&deg;CD10015552001 &agrave; 34348 HRS<br />\r\n<br />\r\nBL N&deg;40 du 07/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1008.56000000, 201.71000000, 1210.27000000, NULL, NULL, NULL, NULL),
(536, 'FA1806-0011', 1, NULL, NULL, NULL, 0, NULL, 12757, '2018-06-12 10:22:29', '2018-06-12', NULL, '2018-06-12', NULL, '2018-06-20 06:32:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 34.85000000, 0.00000000, 0.00000000, 0.00000000, 174.24000000, 209.09000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2018-06-13', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 174.24000000, 34.85000000, 209.09000000, NULL, NULL, NULL, NULL),
(538, 'AV1806-0001', 1, NULL, NULL, NULL, 2, NULL, 2122, '2018-06-13 14:18:21', '2018-06-13', NULL, '2018-06-13', NULL, '2018-07-17 08:42:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -250.80000000, 0.00000000, 0.00000000, 0.00000000, -1254.00000000, -1504.80000000, 2, 5, NULL, 5, NULL, 503, NULL, NULL, NULL, 0, 0, '2018-06-13', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -1254.00000000, -250.80000000, -1504.80000000, NULL, NULL, NULL, NULL),
(539, 'FA1806-0012', 1, NULL, NULL, 'huile hydrovane', 0, NULL, 1948, '2018-06-14 09:38:56', '2018-06-14', NULL, '2018-06-14', NULL, '2018-07-17 08:44:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 18.13000000, 0.00000000, 0.00000000, 0.00000000, 90.64000000, 108.77000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 2, '2018-07-14', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 90.64000000, 18.13000000, 108.77000000, NULL, NULL, NULL, NULL),
(540, 'FA1806-0013', 1, NULL, NULL, NULL, 0, NULL, 2001, '2018-06-14 09:42:56', '2018-06-14', NULL, '2018-06-14', NULL, '2018-08-07 16:10:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 56.00000000, 0.00000000, 0.00000000, 0.00000000, 280.00000000, 336.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'D&eacute;lai : DISPONIBLE USINE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 280.00000000, 56.00000000, 336.00000000, NULL, NULL, NULL, NULL),
(541, 'FA1806-0014', 1, NULL, NULL, NULL, 0, NULL, 5786, '2018-06-14 09:47:24', '2018-06-14', NULL, '2018-06-15', NULL, '2018-08-07 15:51:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 49.13000000, 0.00000000, 0.00000000, 0.00000000, 245.64000000, 294.77000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-07-31', NULL, 'Pieces pour ATLAS COPCO GA15 PACK', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 245.64000000, 49.13000000, 294.77000000, NULL, NULL, NULL, NULL),
(542, 'FA1806-0015', 1, NULL, NULL, NULL, 0, NULL, 2064, '2018-06-14 09:52:37', '2018-06-14', NULL, '2018-06-14', NULL, '2018-08-10 06:28:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 176.17000000, 0.00000000, 0.00000000, 0.00000000, 880.81000000, 1056.98000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Maintenance L37 N&deg; 10008491002 &agrave; 22416 HRS&nbsp;<br />\r\n<br />\r\nBL N&deg;12 du 11/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 880.81000000, 176.17000000, 1056.98000000, NULL, NULL, NULL, NULL),
(543, 'FA1806-0016', 1, NULL, NULL, NULL, 0, NULL, 2064, '2018-06-14 09:57:21', '2018-06-14', NULL, '2018-06-14', NULL, '2018-08-10 06:28:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 622.39000000, 0.00000000, 0.00000000, 0.00000000, 3111.99000000, 3734.38000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Maintenance L80 N&deg; CD10000635001 &agrave; 32248 HRS<br />\r\n<br />\r\nBL N&deg; 13 du 11/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3111.99000000, 622.39000000, 3734.38000000, NULL, NULL, NULL, NULL),
(544, 'FA1806-0017', 1, NULL, NULL, NULL, 0, NULL, 2085, '2018-06-14 11:00:34', '2018-06-14', NULL, '2018-06-14', NULL, '2018-08-17 15:52:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 203.25000000, 0.00000000, 0.00000000, 0.00000000, 1016.26000000, 1219.51000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Maintenance START25 &agrave; 34300 HRS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1016.26000000, 203.25000000, 1219.51000000, NULL, NULL, NULL, NULL),
(545, 'FA1806-0018', 1, NULL, NULL, '36412', 0, NULL, 2122, '2018-06-14 11:09:05', '2018-06-14', NULL, '2018-06-14', NULL, '2018-08-22 11:52:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.11000000, 0.00000000, 0.00000000, 0.00000000, 325.54000000, 390.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-07-31', NULL, 'Maintenance adoucisseur FLECK7700', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 325.54000000, 65.11000000, 390.65000000, NULL, NULL, NULL, NULL),
(547, 'FA1806-0019', 1, NULL, NULL, NULL, 0, NULL, 2176, '2018-06-14 11:25:45', '2018-06-14', NULL, '2018-06-14', NULL, '2018-08-07 16:14:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 640.01000000, 0.00000000, 0.00000000, 0.00000000, 3200.00000000, 3840.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'compresseur a piston NUAIR avec secheur par r&eacute;frigeration ED72 d&#39;occasion&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3200.00000000, 640.01000000, 3840.01000000, NULL, NULL, NULL, NULL),
(548, 'FA1806-0020', 1, NULL, NULL, NULL, 0, NULL, 2161, '2018-06-14 11:47:48', '2018-06-14', NULL, '2018-06-14', NULL, '2018-08-07 15:47:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 358.69000000, 0.00000000, 0.00000000, 0.00000000, 1793.53000000, 2152.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'SIte de ST VALLIER BLANCHISSERIE :&nbsp;<br />\r\nMaintenance compresseur BOGE S31-3 N&deg;5072922 &agrave; 6468 HRS<br />\r\nMaintenance separateur de condensats CC4<br />\r\nSuivant contrat d&#39;entretien&nbsp;<br />\r\n<br />\r\nBL N&deg; 14 du 12/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1793.53000000, 358.69000000, 2152.22000000, NULL, NULL, NULL, NULL),
(549, 'FA1806-0021', 1, NULL, NULL, NULL, 0, NULL, 2161, '2018-06-14 11:59:24', '2018-06-14', NULL, '2018-06-14', NULL, '2018-08-07 15:47:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 150.28000000, 0.00000000, 0.00000000, 0.00000000, 751.40000000, 901.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'SIte de ST Vallier Blanchisserie<br />\r\nMaintenance compresseur BOGE S31-2 : &agrave; 12 716 HRS<br />\r\nsuivant contrat&nbsp;<br />\r\nBL N&deg;15 du 12/06/2018<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 751.40000000, 150.28000000, 901.68000000, NULL, NULL, NULL, NULL),
(550, 'FA1806-0022', 1, NULL, NULL, NULL, 0, NULL, 2215, '2018-06-14 14:02:34', '2018-06-14', NULL, '2018-06-14', NULL, '2018-08-10 06:30:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 255.04000000, 0.00000000, 0.00000000, 0.00000000, 1275.26000000, 1530.30000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Maintenance L11RS&nbsp; N&deg; CD10021552001 &agrave; 18747 HRS<br />\r\nRemplcament cartouche reseau&nbsp;<br />\r\nMaintenance Separateur de condensats OWAMAT10<br />\r\n<br />\r\nBL N&deg; 44 du 11/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1275.26000000, 255.04000000, 1530.30000000, NULL, NULL, NULL, NULL),
(551, 'FA1806-0023', 1, NULL, NULL, NULL, 0, NULL, 10293, '2018-06-14 15:00:49', '2018-06-14', NULL, '2018-06-14', NULL, '2018-08-07 15:49:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 64.87000000, 0.00000000, 0.00000000, 0.00000000, 324.32000000, 389.19000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-07-31', NULL, 'intervention sur compresseur ABAC GENESIS 7.5 270 N&deg; CAI 601490 &agrave; 6592 HRS - relai traingle HS<br />\r\n<br />\r\nBL N&deg; 16 du 12/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 324.32000000, 64.87000000, 389.19000000, NULL, NULL, NULL, NULL),
(552, 'FA1806-0024', 1, NULL, NULL, NULL, 0, NULL, 2380, '2018-06-14 15:09:54', '2018-06-14', NULL, '2018-06-14', NULL, '2018-08-14 08:09:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 146.43000000, 0.00000000, 0.00000000, 0.00000000, 732.16000000, 878.59000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Maintenance compresseur BOGE C9<br />\r\net remplacement cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg; 47 du 12/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 732.16000000, 146.43000000, 878.59000000, NULL, NULL, NULL, NULL),
(553, 'FA1806-0025', 1, NULL, NULL, NULL, 0, NULL, 2155, '2018-06-15 15:24:55', '2018-06-15', NULL, '2018-06-15', NULL, '2018-08-10 06:27:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 84.42000000, 0.00000000, 0.00000000, 0.00000000, 422.06000000, 506.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Intervention sur compressseur L04 N&deg; BA37888001 &agrave; 1186 HRS<br />\r\nRemplacement pressostat<br />\r\n<br />\r\nBL N&deg; 18 &amp; 21 du 13 &amp; 14 juin 2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 422.06000000, 84.42000000, 506.48000000, NULL, NULL, NULL, NULL),
(554, 'FA1806-0026', 1, NULL, NULL, NULL, 0, NULL, 2033, '2018-06-19 14:42:35', '2018-06-19', NULL, '2018-06-19', NULL, '2018-08-17 08:13:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 257.33000000, 0.00000000, 0.00000000, 0.00000000, 1286.62000000, 1543.95000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Maintenance L15RS N&deg; CD10006364001 &agrave; 20575 HRS<br />\r\n<br />\r\nBL N&deg; 5 du 15/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1286.62000000, 257.33000000, 1543.95000000, NULL, NULL, NULL, NULL),
(555, 'FA1806-0027', 1, NULL, NULL, NULL, 0, NULL, 2072, '2018-06-19 14:50:41', '2018-06-19', NULL, '2018-06-19', NULL, '2018-09-17 07:10:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 158.63000000, 0.00000000, 0.00000000, 0.00000000, 793.12000000, 951.75000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'maintenance compresseur L11 N&deg;100008027/0114 &agrave; 21000 HRS<br />\r\n<br />\r\nBL N&deg; 6 du 15/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 793.12000000, 158.63000000, 951.75000000, NULL, NULL, NULL, NULL),
(556, 'FA1806-0028', 1, NULL, NULL, '36371', 0, NULL, 2122, '2018-06-19 15:02:04', '2018-06-19', NULL, '2018-06-19', NULL, '2018-08-22 11:52:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.84000000, 0.00000000, 0.00000000, 0.00000000, 229.20000000, 275.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-07-31', NULL, 'une soupape de s&eacute;curit&eacute; tar&eacute; a 0.5 bars avec un diam&egrave;tre de raccordement &frac34; avec un d&eacute;bit de 548 L/min.', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 229.20000000, 45.84000000, 275.04000000, NULL, NULL, NULL, NULL),
(559, 'FA1806-0029', 1, NULL, NULL, NULL, 0, NULL, 2218, '2018-06-20 09:58:25', '2018-06-20', NULL, '2018-06-20', NULL, '2018-08-31 08:13:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 80.00000000, 0.00000000, 0.00000000, 0.00000000, 399.98000000, 479.98000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Intervention sur secheur MPF315 .<br />\r\n<br />\r\nSUivant BL N&deg; 48 du 13/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 399.98000000, 80.00000000, 479.98000000, NULL, NULL, NULL, NULL),
(560, 'FA1806-0030', 1, NULL, NULL, NULL, 0, NULL, 11440, '2018-06-20 10:18:08', '2018-06-20', NULL, '2018-06-20', NULL, '2018-07-05 12:00:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.98000000, 0.00000000, 0.00000000, 0.00000000, 564.86000000, 677.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Maintenance compresseur RSDKB 4 -10bars RENNER N&deg; 710036<br />\r\n<br />\r\nBL N&deg;19 du 13/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 564.86000000, 112.98000000, 677.84000000, NULL, NULL, NULL, NULL),
(561, 'FA1806-0031', 1, NULL, NULL, NULL, 0, NULL, 2381, '2018-06-20 11:26:32', '2018-06-20', NULL, '2018-06-20', NULL, '2018-08-07 16:17:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 37.18000000, 0.00000000, 0.00000000, 0.00000000, 185.88000000, 223.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Intervention sur secheur MPF240<br />\r\n<br />\r\nBL N&deg;39 du 07/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 185.88000000, 37.18000000, 223.06000000, NULL, NULL, NULL, NULL),
(562, 'FA1806-0032', 1, NULL, NULL, 'L11 an adaptable', 0, NULL, 2408, '2018-06-20 12:02:29', '2018-06-20', NULL, '2018-06-20', NULL, '2018-11-16 09:31:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 133.58000000, 0.00000000, 0.00000000, 0.00000000, 667.91000000, 801.49000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Maintenance compresseur L11&nbsp; &agrave; 13380 HRS en adaptable et separateur de condensats OWAMAT 11<br />\r\n<br />\r\nBL N&deg; 49 du 14/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 667.91000000, 133.58000000, 801.49000000, NULL, NULL, NULL, NULL),
(563, 'FA1806-0033', 1, NULL, NULL, 'L07 en adaptable', 0, NULL, 2408, '2018-06-20 14:15:34', '2018-06-20', NULL, '2018-06-20', NULL, '2018-11-27 14:04:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.32000000, 0.00000000, 0.00000000, 0.00000000, 591.59000000, 709.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Maintenance compresseur l07 en pi&eacute;ces adaptable&nbsp; &agrave; 21457 HRS -&nbsp;<br />\r\nRemplacement purge electropilot&eacute;e sur s&eacute;cheur .<br />\r\n<br />\r\nBL N&deg; 50 du 14/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 591.59000000, 118.32000000, 709.91000000, NULL, NULL, NULL, NULL),
(564, 'FA1806-0034', 1, NULL, NULL, NULL, 0, NULL, 2396, '2018-06-20 14:40:46', '2018-06-20', NULL, '2018-06-20', NULL, '2018-08-07 16:20:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.54000000, 0.00000000, 0.00000000, 0.00000000, 502.72000000, 603.26000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Intervention sur compresseur Compair Luchard 4000EL &agrave; 6667HRS - probleme de temperature dans le clocal -<br />\r\n<br />\r\nBL N&deg; 46 du 12/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 502.72000000, 100.54000000, 603.26000000, NULL, NULL, NULL, NULL),
(565, 'FA1806-0035', 1, NULL, NULL, NULL, 0, NULL, 12590, '2018-06-20 16:55:25', '2018-06-20', NULL, '2018-06-20', NULL, '2018-08-07 15:58:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 451.54000000, 0.00000000, 0.00000000, 0.00000000, 2257.68000000, 2709.22000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Maintenance Compresseur RSF PRO 2-30 à 4694 HRS <br />\r\nselon BL N° 17 du 18/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2257.68000000, 451.54000000, 2709.22000000, NULL, NULL, NULL, NULL),
(566, 'FA1806-0036', 1, NULL, NULL, NULL, 0, NULL, 12699, '2018-06-21 15:56:07', '2018-06-21', NULL, '2018-06-21', NULL, '2018-09-05 06:54:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 662.80000000, 0.00000000, 0.00000000, 0.00000000, 3314.00000000, 3976.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2018-06-22', NULL, 'Fourniture d&#39;un groupe froid MTA&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3314.00000000, 662.80000000, 3976.80000000, NULL, NULL, NULL, NULL),
(567, 'AV1806-0002', 1, NULL, NULL, NULL, 2, NULL, 12590, '2018-06-26 16:46:45', '2018-06-26', NULL, '2018-06-26', NULL, '2018-08-07 16:01:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -306.04000000, 0.00000000, 0.00000000, 0.00000000, -1530.24000000, -1836.28000000, 2, 5, NULL, 5, NULL, 499, NULL, NULL, NULL, 0, 2, '2018-06-26', NULL, 'Accord Alain BALAZARD / NOVAIR', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -1530.24000000, -306.04000000, -1836.28000000, NULL, NULL, NULL, NULL),
(568, 'FA1806-0037', 1, NULL, NULL, NULL, 0, NULL, 12683, '2018-06-28 11:51:35', '2018-06-28', NULL, '2018-06-28', '2020-08-19 11:26:13', '2020-08-19 09:26:13', 0, 0.00000000, NULL, NULL, 0, 'badcustomer', NULL, 3729.04000000, 0.00000000, 0.00000000, 0.00000000, 18645.24000000, 22374.28000000, 2, 5, NULL, 5, 5, NULL, NULL, NULL, NULL, 1, 0, '2018-06-29', NULL, 'Raccordement cuve&nbsp; 900 Litres recuperation CO&sup2; et eau .<br />\r\nRaccordement filtre neuf vers cuves 3 4 5&nbsp;<br />\r\nModification CO&sup2;<br />\r\nPose d&eacute;bimetre + vanne laminage filtre neuf<br />\r\nPassage en eau de ville laveuse de bouteilles , laveuse de caisses et etiqueteuse<br />\r\nSuppression tuyauterie eau du bassin<br />\r\nRaccordement primaire du groupe froid<br />\r\nRaccordement partiel du reseau secondaire sur cuves &amp; pompes ajout vannes pompes pour variante<br />\r\n<br />\r\nBL N&deg; 18 du 15 juin 2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 18645.24000000, 3729.04000000, 22374.28000000, NULL, NULL, NULL, NULL),
(569, 'FA1806-0038', 1, NULL, NULL, '2018342', 0, NULL, 1940, '2018-06-29 09:56:47', '2018-06-29', NULL, '2018-06-29', NULL, '2018-08-22 11:53:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 86.24000000, 0.00000000, 0.00000000, 0.00000000, 431.20000000, 517.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Aspirateur 3 moteurs', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 431.20000000, 86.24000000, 517.44000000, NULL, NULL, NULL, NULL),
(570, 'FA1806-0039', 1, NULL, NULL, NULL, 0, NULL, 2131, '2018-06-29 10:07:46', '2018-06-29', NULL, '2018-06-29', NULL, '2018-08-07 15:50:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 50.00000000, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'machine Fuji FRA3 25xre 1f25 :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, NULL, NULL),
(571, 'FA1806-0040', 1, NULL, NULL, NULL, 0, NULL, 1996, '2018-06-29 10:18:24', '2018-06-29', NULL, '2018-06-29', NULL, '2018-08-07 15:46:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 416.01000000, 0.00000000, 0.00000000, 0.00000000, 2080.09000000, 2496.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, '<strong>Fourniture s&eacute;cheur par r&eacute;frigeration pour le d&eacute;bit du L18 COMPAIR :&nbsp;<br />\r\n<br />\r\nBL N&deg;22 du 26/06/2018</strong>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2080.09000000, 416.01000000, 2496.10000000, NULL, NULL, NULL, NULL),
(572, 'FA1806-0041', 1, NULL, NULL, NULL, 0, NULL, 1996, '2018-06-29 10:25:04', '2018-06-29', NULL, '2018-06-29', NULL, '2018-08-07 15:46:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 51.46000000, 0.00000000, 0.00000000, 0.00000000, 257.28000000, 308.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'remplacement capteur de pression sur compresseur L18&nbsp;<br />\r\nChangement &eacute;ffectu&eacute; le mardi 26/06/2018 en m&ecirc;me temps que l&#39;installation du s&eacute;cheur&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 257.28000000, 51.46000000, 308.74000000, NULL, NULL, NULL, NULL),
(573, 'FA1806-0042', 1, NULL, NULL, NULL, 0, NULL, 12773, '2018-06-29 11:11:09', '2018-06-29', NULL, '2018-06-29', NULL, '2018-09-04 11:38:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 61.02000000, 0.00000000, 0.00000000, 0.00000000, 305.10000000, 366.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-07-31', NULL, 'intervention sur compresseur &agrave; piston POWAIR Industrie :&nbsp;<br />\r\n<br />\r\nBL N&deg;25 du 28/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 305.10000000, 61.02000000, 366.12000000, NULL, NULL, NULL, NULL),
(574, 'FA1806-0043', 1, NULL, NULL, NULL, 0, NULL, 2157, '2018-07-03 09:03:30', '2018-06-29', NULL, '2018-07-03', NULL, '2018-09-10 08:04:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1719.96000000, 0.00000000, 0.00000000, 0.00000000, 8599.98000000, 10319.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Local air comprim&eacute;&nbsp;<br />\r\n<br />\r\nBL N&deg; 24 du 27/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 8599.98000000, 1719.96000000, 10319.94000000, NULL, NULL, NULL, NULL),
(575, 'FA1806-0044', 1, NULL, NULL, 'PO7000687125', 0, NULL, 2184, '2018-07-03 09:37:09', '2018-06-29', NULL, '2018-07-03', NULL, '2018-09-03 07:56:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 253.55000000, 0.00000000, 0.00000000, 0.00000000, 1267.79000000, 1521.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Maintenance L45RS ( 2018 )&nbsp; en huile alimentaire N&deg; CD10034859001 &agrave; 2191 HRS<br />\r\n<br />\r\nBL N&deg; 8 du 29/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1267.79000000, 253.55000000, 1521.34000000, NULL, NULL, NULL, NULL),
(576, 'FA1806-0045', 1, NULL, NULL, NULL, 0, NULL, 2016, '2018-07-03 09:50:06', '2018-06-29', NULL, '2018-07-03', NULL, '2018-08-23 07:50:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 114.91000000, 0.00000000, 0.00000000, 0.00000000, 574.56000000, 689.47000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Maintenance et remplacement bulbe thermostatique sur compresseur L05 &agrave; 4090 HRS<br />\r\n<br />\r\nBL N&deg;27 du 22/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 574.56000000, 114.91000000, 689.47000000, NULL, NULL, NULL, NULL),
(577, 'FA1806-0046', 1, NULL, NULL, NULL, 0, NULL, 12697, '2018-07-03 09:54:15', '2018-06-29', NULL, '2018-07-03', NULL, '2018-07-23 07:53:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 122.26000000, 0.00000000, 0.00000000, 0.00000000, 611.31000000, 733.57000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 15, 0, '2018-06-30', NULL, 'fourniture livr&eacute; par alain BL N&deg;24 du 26/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 611.31000000, 122.26000000, 733.57000000, NULL, NULL, NULL, NULL),
(578, 'FA1806-0047', 1, NULL, NULL, NULL, 0, NULL, 2054, '2018-07-03 10:03:13', '2018-06-29', NULL, '2018-07-03', NULL, '2018-08-24 10:13:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 249.17000000, 0.00000000, 0.00000000, 0.00000000, 1245.88000000, 1495.05000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'rallongement reseau d&#39;air pour atelier mecanique :&nbsp;<br />\r\n<br />\r\nBL N&deg; 20 du 14/06/2018<br />\r\n<br />\r\nSIte d&#39;intervention :<br />\r\nCOOPERATIVE DAUPHINOISE<br />\r\n2460 Chemin de la Voie Ferr&eacute;e&nbsp;<br />\r\n38260 LA COTE SAINT ANDRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1245.88000000, 249.17000000, 1495.05000000, NULL, NULL, NULL, NULL),
(579, 'FA1806-0048', 1, NULL, NULL, 'CDA-FCA1807316', 0, NULL, 2127, '2018-07-03 10:22:19', '2018-06-29', NULL, '2018-07-03', NULL, '2018-08-07 16:06:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 198.04000000, 0.00000000, 0.00000000, 0.00000000, 990.20000000, 1188.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, '<p>l entretien de votre compresseur <span style=\"font-size:10.0pt\"> L75SR-13A &agrave;&nbsp;</span>53847 heures.<br />\r\n<br />\r\nBL N&deg;38 du 07/06/2018</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 990.20000000, 198.04000000, 1188.24000000, NULL, NULL, NULL, NULL),
(580, 'FA1806-0049', 1, NULL, NULL, NULL, 0, NULL, 7060, '2018-07-03 10:34:44', '2018-06-29', NULL, '2018-07-03', NULL, '2018-08-31 08:14:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 50.33000000, 0.00000000, 0.00000000, 0.00000000, 251.66000000, 301.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-07-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 251.66000000, 50.33000000, 301.99000000, NULL, NULL, NULL, NULL),
(581, 'FA1806-0050', 1, NULL, NULL, 'LOCAL L75', 0, NULL, 2268, '2018-07-03 10:49:28', '2018-06-29', NULL, '2018-07-03', NULL, '2018-08-07 16:16:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2844.83000000, 0.00000000, 0.00000000, 0.00000000, 14224.19000000, 17069.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Notre offre comprend :&nbsp;<br />\r\nRaccordement en air&nbsp; et mise en service local L75 RS ainsi que la vidange pour le passage en huile alimentaire et la maintenance de celui ci&nbsp; :&nbsp;<br />\r\nNous raccordons les differents &eacute;l&eacute;ments aux sectionneurs de proximit&eacute; ( dans le local )&nbsp; ou prises &agrave; proximit&eacute; . Le compresseur L75 RS sera entierement raccord&eacute; par votre &eacute;lectricien .<br />\r\nMise en place du secheur en votre possession .<br />\r\nDeplacement et branchement en air du L15 hors electrict&eacute;<br />\r\nMise en place et fourniture d&#39;un reservoir 900Litres .<br />\r\nMise en place et fourniture des purgeurs capacitifs sur votre cuve et 2 filtres existants .<br />\r\nMise en place et fourniture d&#39;e 3 filtres complets ,&nbsp; .<br />\r\nMise en place et fourniture d&#39;un separateur de condensats avec pr&eacute;-separation.<br />\r\nMise en place et fourniture d&#39;un gainage air chaud par l&#39;ouverture&nbsp; (118x118 ) hors &eacute;tanch&eacute;it&eacute; .&nbsp;<br />\r\nHors &eacute;lectricit&eacute; &agrave; votre charge .<br />\r\nMoyen de manutention &agrave; votre charge .<br />\r\n<br />\r\nIntervention prevus le 19 / 20 &amp; 21 juin 2018 si commande ce jour .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 14224.19000000, 2844.83000000, 17069.02000000, NULL, NULL, NULL, NULL),
(582, 'FA1806-0051', 1, NULL, NULL, NULL, 0, NULL, 2235, '2018-07-03 14:26:39', '2018-06-29', NULL, '2018-07-03', NULL, '2018-09-06 11:17:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 48.00000000, 0.00000000, 0.00000000, 0.00000000, 240.02000000, 288.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Intervention sur compresseur L15vs &agrave; 26859 HRS<br />\r\n<br />\r\nDefaut temperature&nbsp;<br />\r\n<br />\r\nBL N&deg; 25 du 22/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 240.02000000, 48.00000000, 288.02000000, NULL, NULL, NULL, NULL),
(583, 'FA1806-0052', 1, NULL, NULL, NULL, 0, NULL, 2399, '2018-07-03 14:42:34', '2018-06-29', NULL, '2018-07-03', NULL, '2018-08-17 08:14:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 253.45000000, 0.00000000, 0.00000000, 0.00000000, 1267.28000000, 1520.73000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-07-31', NULL, 'Maintenance compresseur L11RS&nbsp; N&deg;BA34398001 &agrave; 1184 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance seprateur de condensats OWAMAT 10 :<br />\r\n<br />\r\nBL N&deg; 21 du 25/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1267.28000000, 253.45000000, 1520.73000000, NULL, NULL, NULL, NULL),
(584, 'FA1807-0001', 1, NULL, NULL, NULL, 0, NULL, 2300, '2018-07-05 14:11:06', '2018-07-05', NULL, '2018-07-05', NULL, '2018-07-09 09:08:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 153.02000000, 0.00000000, 0.00000000, 0.00000000, 765.04000000, 918.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Remplacement ventilateur sur s&eacute;cheur COMPAIR - Pi&eacute;ce sous garantie&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 765.04000000, 153.02000000, 918.06000000, NULL, NULL, NULL, NULL),
(585, 'FA1807-0002', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2018-07-05 14:12:13', '2018-07-05', NULL, '2018-07-05', NULL, '2018-11-21 09:23:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2018-07-06', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(586, 'FA1807-0003', 1, NULL, NULL, NULL, 0, NULL, 12683, '2018-07-05 14:37:24', '2018-07-05', NULL, '2018-07-05', NULL, '2019-02-07 22:09:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 427.35000000, 0.00000000, 0.00000000, 0.00000000, 2136.71000000, 2564.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-08-04', NULL, 'Raccordement groupe froid, pope extraction pour gazometre ( CO&sup2; ) et mise en service groupe froid .<br />\r\n<br />\r\nBL N&deg; 27 du 2 &amp; 3 Juillet 2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2136.71000000, 427.35000000, 2564.06000000, NULL, NULL, NULL, NULL),
(588, 'FA1807-0004', 1, NULL, NULL, NULL, 0, NULL, 2050, '2018-07-09 11:46:28', '2018-07-09', NULL, '2018-07-09', NULL, '2018-11-20 08:26:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 36.10000000, 0.00000000, 0.00000000, 0.00000000, 180.50000000, 216.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 2, '2018-08-08', NULL, 'SUIVANTDEMANDE DE GARANTIE : WC20180045064<br />\r\nCooperative la dauphinoise Compresseur L26RS N&deg;CD10029231001<br />\r\nVL2018 002752', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.50000000, 36.10000000, 216.60000000, NULL, NULL, NULL, NULL),
(589, 'FA1806-0053', 1, NULL, NULL, 'S972-1806-3950VM', 0, NULL, 2054, '2018-07-09 15:12:08', '2018-06-29', NULL, '2018-07-09', NULL, '2018-11-23 13:21:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2476.80000000, 0.00000000, 0.00000000, 0.00000000, 12384.00000000, 14860.80000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 12, 2, '2018-07-04', NULL, 'Intervention site :<br />\r\nCOOPERATIVE DAUPHINOISE<br />\r\nStation Semences Les Olagniéres<br />\r\n2825 Chemin de la voie ferée<br />\r\n38260 LA COTE ST ANDRE<br />\r\n<br />\r\nMise en place de grille de ventilation sur votre silo : ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 12384.00000000, 2476.80000000, 14860.80000000, NULL, NULL, NULL, NULL),
(590, 'FA1807-0005', 1, NULL, NULL, NULL, 0, NULL, 2091, '2018-07-10 16:24:47', '2018-07-10', NULL, '2018-07-10', NULL, '2018-08-17 08:13:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 13.95000000, 0.00000000, 0.00000000, 0.00000000, 69.75000000, 83.70000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'courroies suite &agrave; erreur de votre electricien :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 69.75000000, 13.95000000, 83.70000000, NULL, NULL, NULL, NULL),
(592, 'FA1807-0006', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-07-12 10:54:28', '2018-07-12', NULL, '2018-07-12', NULL, '2018-08-22 11:54:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 4113.00000000, 0.00000000, 0.00000000, 0.00000000, 20565.00000000, 24678.00000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2018-07-13', NULL, 'Dossier N°2998161 sfacs industrie sous location Mixt composite recyclables<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 20565.00000000, 4113.00000000, 24678.00000000, NULL, NULL, NULL, NULL),
(594, 'FA1807-0007', 1, NULL, NULL, 'modif sortie compresseurs', 0, NULL, 2162, '2018-07-12 16:07:13', '2018-07-09', NULL, '2018-07-12', NULL, '2018-08-08 16:09:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 354.30000000, 0.00000000, 0.00000000, 0.00000000, 1771.51000000, 2125.81000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Modification tuyauterie pour eviter le gavage en eau du compresseur en releve. La tuyauterie sera vannable et demontable &agrave; chaque depart de compresseurs sur la partie haute pour permettre le demontage de la machine sans arret de production. Un point bas avec une vanne de vidange sera aussi mise en place.<br />\r\n<span style=\"font-size:14px\"><u><strong>Il est necessaire de prevoir une coupure d&#39;air totale d&#39;une demi-journ&eacute;e maximum<br />\r\n<br />\r\nBL N&deg; 22 et 23 du 21/06/2018</strong></u></span><br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1771.51000000, 354.30000000, 2125.81000000, NULL, NULL, NULL, NULL),
(595, 'FA1807-0008', 1, NULL, NULL, NULL, 0, NULL, 2001, '2018-07-12 16:14:55', '2018-07-09', NULL, '2018-07-12', NULL, '2018-10-05 16:13:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 125.40000000, 0.00000000, 0.00000000, 0.00000000, 627.00000000, 752.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, '<br />\r\nLivraison par alain', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 627.00000000, 125.40000000, 752.40000000, NULL, NULL, NULL, NULL),
(596, 'FA1807-0009', 1, NULL, NULL, NULL, 0, NULL, 2053, '2018-07-16 11:19:41', '2018-07-16', NULL, '2018-07-16', NULL, '2018-10-11 15:10:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 50.52000000, 0.00000000, 0.00000000, 0.00000000, 252.63000000, 303.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Depannage SK22 - probleme de separateur et purgeur de condensats', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 252.63000000, 50.52000000, 303.15000000, NULL, NULL, NULL, NULL),
(597, 'FA1807-0010', 1, NULL, NULL, NULL, 0, NULL, 2085, '2018-07-16 11:42:23', '2018-07-16', NULL, '2018-07-16', NULL, '2018-09-04 11:39:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 58.68000000, 0.00000000, 0.00000000, 0.00000000, 293.40000000, 352.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Remplcament ventilateur de votre secheur :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 293.40000000, 58.68000000, 352.08000000, NULL, NULL, NULL, NULL),
(598, 'FA1807-0011', 1, NULL, NULL, NULL, 0, NULL, 2077, '2018-07-16 11:49:26', '2018-07-16', NULL, '2018-07-16', NULL, '2018-08-31 08:12:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 110.37000000, 0.00000000, 0.00000000, 0.00000000, 551.82000000, 662.19000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Intervention sur compresseur L22RS - probleme electrovanne<br />\r\n<br />\r\nMis en place d\'un compresseur de pret gratuit<br />\r\n<br />\r\nBL N° 15 du 09/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 551.82000000, 110.37000000, 662.19000000, NULL, NULL, NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(599, 'FA1807-0012', 1, NULL, NULL, NULL, 0, NULL, 2054, '2018-07-16 12:30:20', '2018-07-16', NULL, '2018-07-16', NULL, '2018-08-17 10:03:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 3650.00000000, 0.00000000, 0.00000000, 0.00000000, 18250.00000000, 21900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Fourniture et installation d&#39;un compresseur 26KW COMPAIR &agrave; vitesse variable :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 18250.00000000, 3650.00000000, 21900.00000000, NULL, NULL, NULL, NULL),
(600, 'FA1807-0013', 1, NULL, NULL, NULL, 0, NULL, 2140, '2018-07-16 14:10:43', '2018-07-16', NULL, '2018-07-16', NULL, '2018-08-31 08:15:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 156.19000000, 0.00000000, 0.00000000, 0.00000000, 780.96000000, 937.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance L15RS N&deg; CD10024995001 &agrave; 9832 HRS- suivant contrat liss&eacute;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 780.96000000, 156.19000000, 937.15000000, NULL, NULL, NULL, NULL),
(601, 'FA1807-0014', 1, NULL, NULL, NULL, 0, NULL, 2142, '2018-07-16 14:19:59', '2018-07-16', NULL, '2018-07-16', NULL, '2018-09-10 08:11:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 253.71000000, 0.00000000, 0.00000000, 0.00000000, 1268.58000000, 1522.29000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance L22SR N&deg; CD10003983002 &agrave; 15724 HRS<br />\r\n<br />\r\nBL N&deg; 28 du 06/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1268.58000000, 253.71000000, 1522.29000000, NULL, NULL, NULL, NULL),
(602, 'FA1807-0015', 1, NULL, NULL, '508919', 0, NULL, 2123, '2018-07-16 14:25:51', '2018-07-16', NULL, '2018-07-16', NULL, '2018-09-19 06:58:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 56.57000000, 0.00000000, 0.00000000, 0.00000000, 282.86000000, 339.43000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance adoucisseur sur le site de l&#39;&eacute;canci&eacute;re :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 282.86000000, 56.57000000, 339.43000000, NULL, NULL, NULL, NULL),
(603, 'FA1807-0016', 1, NULL, NULL, NULL, 0, NULL, 2161, '2018-07-16 14:35:45', '2018-07-16', NULL, '2018-07-16', NULL, '2018-08-23 07:49:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 105.16000000, 0.00000000, 0.00000000, 0.00000000, 525.78000000, 630.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'SIte de romans&nbsp;<br />\r\nMaintenance compresseur MAUGUIERE ME11 &amp; seprateur de condensats&nbsp;<br />\r\nremplacement cartouche filtre reseau :<br />\r\n<br />\r\nBL N&deg; 33 du 10/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 525.78000000, 105.16000000, 630.94000000, NULL, NULL, NULL, NULL),
(604, 'FA1807-0017', 1, NULL, NULL, NULL, 0, NULL, 2161, '2018-07-16 14:40:35', '2018-07-16', NULL, '2018-07-16', NULL, '2018-08-23 07:49:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 187.67000000, 0.00000000, 0.00000000, 0.00000000, 938.38000000, 1126.05000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance ROLLAIR 15 N&deg; CAI410726 &agrave; 30910 HRS<br />\r\nRemplacement cartouche reseaux :<br />\r\n<br />\r\nBL N&deg; 34 du 10/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 938.38000000, 187.67000000, 1126.05000000, NULL, NULL, NULL, NULL),
(605, 'FA1807-0018', 1, NULL, NULL, NULL, 0, NULL, 2235, '2018-07-16 14:46:22', '2018-07-16', NULL, '2018-07-16', NULL, '2018-09-17 07:10:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 485.67000000, 0.00000000, 0.00000000, 0.00000000, 2428.36000000, 2914.03000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance L15VS &agrave; 26504 HRS<br />\r\nRemplacement cartouches filtres reseaux<br />\r\nMaintenance separateur de condensats :&nbsp;<br />\r\n<br />\r\nBL N&deg;19 du 13/07/18&nbsp;<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2428.36000000, 485.67000000, 2914.03000000, NULL, NULL, NULL, NULL),
(606, 'FA1807-0019', 1, NULL, NULL, NULL, 0, NULL, 2204, '2018-07-16 14:50:06', '2018-07-16', NULL, '2018-07-16', NULL, '2018-09-05 06:52:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 19.98000000, 0.00000000, 0.00000000, 0.00000000, 99.92000000, 119.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Mise en place d&#39;une purge sur reservoir 500Litres', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 99.92000000, 19.98000000, 119.90000000, NULL, NULL, NULL, NULL),
(607, 'FA1807-0020', 1, NULL, NULL, '4800297642', 0, NULL, 2234, '2018-07-16 14:56:31', '2018-07-16', NULL, '2018-07-16', NULL, '2018-09-04 11:39:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 668.33000000, 0.00000000, 0.00000000, 0.00000000, 3341.68000000, 4010.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'maintenance L45RS N&deg;CD10005658001 &agrave; 57616 HRS-<br />\r\n<br />\r\nBL N&deg; 19 le 25/06/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3341.68000000, 668.33000000, 4010.01000000, NULL, NULL, NULL, NULL),
(608, 'FA1807-0021', 1, NULL, NULL, NULL, 0, NULL, 2268, '2018-07-16 15:03:53', '2018-07-16', NULL, '2018-07-16', NULL, '2018-09-06 15:49:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 207.66000000, 0.00000000, 0.00000000, 0.00000000, 1038.31000000, 1245.97000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance L15 N&deg; CD10006861001 &agrave; 46630 HRS<br />\r\n<br />\r\nBL N&deg; 31 du 10/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1038.31000000, 207.66000000, 1245.97000000, NULL, NULL, NULL, NULL),
(609, 'FA1807-0022', 1, NULL, NULL, NULL, 0, NULL, 2295, '2018-07-16 15:09:45', '2018-07-16', NULL, '2018-07-16', NULL, '2018-10-01 09:19:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 156.88000000, 0.00000000, 0.00000000, 0.00000000, 784.46000000, 941.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance L30 &agrave; 28500 HRS<br />\r\n<br />\r\nBL N&deg;20 du 13/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 784.46000000, 156.88000000, 941.34000000, NULL, NULL, NULL, NULL),
(610, 'FA1807-0023', 1, NULL, NULL, NULL, 0, NULL, 2311, '2018-07-16 15:14:51', '2018-07-16', NULL, '2018-07-16', NULL, '2018-09-18 07:29:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 58.01000000, 0.00000000, 0.00000000, 0.00000000, 290.05000000, 348.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.05000000, 58.01000000, 348.06000000, NULL, NULL, NULL, NULL),
(611, 'FA1807-0024', 1, NULL, NULL, 'Telecommande avec verine', 0, NULL, 6663, '2018-07-16 15:20:31', '2018-07-16', NULL, '2018-07-16', NULL, '2018-09-03 07:58:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 179.99000000, 0.00000000, 0.00000000, 0.00000000, 899.96000000, 1079.95000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Mise en place d&#39;une telecommande Marche Forc&eacute;e + report d&#39;etat &quot;Marche&quot; des compresseurs L37RS et L18<br />\r\n<br />\r\nBL N&deg;36 du 16/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 899.96000000, 179.99000000, 1079.95000000, NULL, NULL, NULL, NULL),
(612, 'FA1807-0025', 1, NULL, NULL, NULL, 0, NULL, 7064, '2018-07-16 15:29:14', '2018-07-16', NULL, '2018-07-16', NULL, '2018-08-07 16:07:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 681.60000000, 0.00000000, 0.00000000, 0.00000000, 3408.02000000, 4089.62000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 15, 0, '2018-07-17', NULL, 'Fourniture et raccordement en remplacement de votre secheur actuel .<br />\r\n<br />\r\nBon de commande N&deg; 94/18T&nbsp;&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3408.02000000, 681.60000000, 4089.62000000, NULL, NULL, NULL, NULL),
(613, 'FA1807-0026', 1, NULL, NULL, NULL, 0, NULL, 2004, '2018-07-17 09:43:07', '2018-07-17', NULL, '2018-07-17', NULL, '2018-10-01 09:16:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 191.60000000, 0.00000000, 0.00000000, 0.00000000, 957.97000000, 1149.57000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance SCROLL Compresseur SLi 3.7KW N&deg;5260008&agrave; 886 HRS<br />\r\n<br />\r\nBL N&deg;21 du 16/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 957.97000000, 191.60000000, 1149.57000000, NULL, NULL, NULL, NULL),
(614, 'FA1807-0027', 1, NULL, NULL, NULL, 0, NULL, 1990, '2018-07-18 14:32:45', '2018-07-18', NULL, '2018-07-18', NULL, '2018-08-29 11:27:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 236.56000000, 0.00000000, 0.00000000, 0.00000000, 1182.77000000, 1419.33000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenances devotre&nbsp;&nbsp;compresseur L30 N&deg;+ 349023/1592 &agrave; 35100 HRS :<br />\r\nRemplacement cartouches de vos 3 filtres reseaux&nbsp;<br />\r\n<br />\r\nBl N&deg; 37 du 17/07/2018&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1182.77000000, 236.56000000, 1419.33000000, NULL, NULL, NULL, NULL),
(615, 'FA1807-0028', 1, NULL, NULL, NULL, 0, NULL, 2344, '2018-07-18 14:39:27', '2018-07-18', NULL, '2018-07-18', NULL, '2018-09-03 07:55:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 270.47000000, 0.00000000, 0.00000000, 0.00000000, 1352.37000000, 1622.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance L11 N&deg; CD10002436002 &agrave; 11525 HRS<br />\r\nRemplacement cartouches filtres reseaux<br />\r\nMaintenance separateur de condensats owamat 10<br />\r\n<br />\r\nBL N&deg; 22 du 17/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1352.37000000, 270.47000000, 1622.84000000, NULL, NULL, NULL, NULL),
(616, 'FA1807-0029', 1, NULL, NULL, NULL, 0, NULL, 2341, '2018-07-18 15:10:45', '2018-07-18', NULL, '2018-07-18', NULL, '2018-09-03 07:56:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 183.69000000, 0.00000000, 0.00000000, 0.00000000, 918.47000000, 1102.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance L11 N&deg; BA25955002 &agrave; 11010 HRS<br />\r\nMaintenance seprateur de condensats Owamat 10<br />\r\n<br />\r\nBL N&deg; 23 du 17/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 918.47000000, 183.69000000, 1102.16000000, NULL, NULL, NULL, NULL),
(617, 'AV1807-0001', 1, NULL, NULL, NULL, 2, NULL, 2054, '2018-07-18 15:25:24', '2018-07-18', NULL, '2018-07-18', NULL, '2018-09-13 14:04:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -5292.00000000, 0.00000000, 0.00000000, 0.00000000, -26460.00000000, -31752.00000000, 2, 5, NULL, 5, NULL, 4, NULL, NULL, NULL, 0, 2, '2018-07-18', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -26460.00000000, -5292.00000000, -31752.00000000, NULL, NULL, NULL, NULL),
(618, 'FA1807-0030', 1, NULL, NULL, NULL, 0, NULL, 11435, '2018-07-19 10:15:47', '2018-07-19', NULL, '2018-07-19', NULL, '2018-10-03 08:07:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 325.97000000, 0.00000000, 0.00000000, 0.00000000, 1629.86000000, 1955.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance compresseur L30 N&deg; CD10013952002 &agrave; 22531 Heures<br />\r\nMaintenance seprateur de condensats owamat 12<br />\r\nRemplacement cartouche filtres reseaux&nbsp;<br />\r\n<br />\r\nBL N&deg;39 du 18/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1629.86000000, 325.97000000, 1955.83000000, NULL, NULL, NULL, NULL),
(619, 'FA1807-0031', 1, NULL, NULL, '9626', 0, NULL, 5741, '2018-07-19 10:34:43', '2018-07-19', NULL, '2018-07-19', NULL, '2018-10-03 08:06:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 626.61000000, 0.00000000, 0.00000000, 0.00000000, 3133.06000000, 3759.67000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-08-31', NULL, 'Maintenance compresseur L75 .<br />\r\n<br />\r\nBL N&deg;25 du 18/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3133.06000000, 626.61000000, 3759.67000000, NULL, NULL, NULL, NULL),
(620, 'FA1807-0032', 1, NULL, NULL, NULL, 0, NULL, 2053, '2018-07-19 10:40:00', '2018-07-19', NULL, '2018-07-19', NULL, '2018-10-11 15:10:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 62.92000000, 0.00000000, 0.00000000, 0.00000000, 314.63000000, 377.55000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Remplacement seprateur de condensats Kaeser et remplacement separateur sur compresseur KAESER SK22 ( sous garantie )&nbsp;<br />\r\n<br />\r\nBL N&deg; 24 du 18/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 314.63000000, 62.92000000, 377.55000000, NULL, NULL, NULL, NULL),
(621, 'FA1807-0033', 1, NULL, NULL, NULL, 0, NULL, 2056, '2018-07-19 10:45:32', '2018-07-19', NULL, '2018-07-19', NULL, '2018-08-31 08:10:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 91.09000000, 0.00000000, 0.00000000, 0.00000000, 455.43000000, 546.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance compresseur COMPAIR L11 N&deg; BA36466001 &agrave; 4585 HRS<br />\r\n<br />\r\nBL N&deg; 40 du 18/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 455.43000000, 91.09000000, 546.52000000, NULL, NULL, NULL, NULL),
(622, 'FA1807-0034', 1, NULL, NULL, NULL, 0, NULL, 6663, '2018-07-19 10:50:56', '2018-07-19', NULL, '2018-07-19', NULL, '2018-09-21 07:15:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 139.72000000, 0.00000000, 0.00000000, 0.00000000, 698.60000000, 838.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'D&eacute;lai disponible sauf&nbsp;UR011014NI 160pi&eacute;ces disponible restant d&eacute;lai 10 jours&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 698.60000000, 139.72000000, 838.32000000, NULL, NULL, NULL, NULL),
(623, 'FA1807-0035', 1, NULL, NULL, NULL, 0, NULL, 2048, '2018-07-20 09:05:22', '2018-07-20', NULL, '2018-07-20', NULL, '2018-09-11 09:07:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 54.48000000, 0.00000000, 0.00000000, 0.00000000, 272.41000000, 326.89000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Intervention sur compresseur CLC275 - remise &agrave; niveau d&#39;huile<br />\r\n<br />\r\nBL n&deg;26 du 19/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 272.41000000, 54.48000000, 326.89000000, NULL, NULL, NULL, NULL),
(624, 'FA1807-0036', 1, NULL, NULL, NULL, 0, NULL, 2062, '2018-07-20 09:55:44', '2018-07-20', NULL, '2018-07-20', NULL, '2018-09-18 07:28:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 205.53000000, 0.00000000, 0.00000000, 0.00000000, 1027.67000000, 1233.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Intervention batiment 1 :&nbsp;<br />\r\n<br />\r\nBL N&deg; 27 du 19/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1027.67000000, 205.53000000, 1233.20000000, NULL, NULL, NULL, NULL),
(625, 'FA1807-0037', 1, NULL, NULL, NULL, 0, NULL, 2011, '2018-07-20 10:29:51', '2018-07-20', NULL, '2018-07-20', NULL, '2018-09-04 11:40:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 249.06000000, 0.00000000, 0.00000000, 0.00000000, 1245.30000000, 1494.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance compresseur L07RS&nbsp; N&deg; CD10023563001 &agrave; 10601 HRS:&nbsp;<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg; 41 du 19/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1245.30000000, 249.06000000, 1494.36000000, NULL, NULL, NULL, NULL),
(626, 'FA1807-0038', 1, NULL, NULL, NULL, 0, NULL, 2095, '2018-07-20 10:45:29', '2018-07-20', NULL, '2018-07-20', NULL, '2018-09-06 11:18:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 140.20000000, 0.00000000, 0.00000000, 0.00000000, 701.06000000, 841.26000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-08-31', NULL, 'Maintenance devilbiss STAR2008 N&deg;706940001 &agrave; 16721 HRS<br />\r\n<br />\r\nBL N&deg;43 du 19/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 701.06000000, 140.20000000, 841.26000000, NULL, NULL, NULL, NULL),
(627, 'FA1807-0039', 1, NULL, NULL, NULL, 0, NULL, 2223, '2018-07-20 10:57:31', '2018-07-20', NULL, '2018-07-20', NULL, '2018-09-07 08:32:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 136.14000000, 0.00000000, 0.00000000, 0.00000000, 680.69000000, 816.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance compresseur&nbsp; RSDK PRO ECN 7.5 7 .5 N&deg;610009 &agrave; 2056 HRS&nbsp; bars et remplacement cartouche filtre reseau&nbsp;<br />\r\n<br />\r\nBL N&deg;42 du 19/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 680.69000000, 136.14000000, 816.83000000, NULL, NULL, NULL, NULL),
(628, 'FA1807-0040', 1, NULL, NULL, '2018/18045/M', 0, NULL, 12780, '2018-07-23 14:46:45', '2018-07-23', NULL, '2018-07-23', NULL, '2018-08-17 09:42:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 28.80000000, 0.00000000, 0.00000000, 0.00000000, 144.00000000, 172.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-08-31', NULL, 'Commande pi&eacute;ces d&eacute;tach&eacute;ees Renner :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 144.00000000, 28.80000000, 172.80000000, NULL, NULL, NULL, NULL),
(629, 'FA1807-0041', 1, NULL, NULL, 'BC12714', 0, NULL, 2164, '2018-07-27 09:45:22', '2018-07-27', NULL, '2018-07-27', NULL, '2018-09-17 07:09:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 358.00000000, 0.00000000, 0.00000000, 0.00000000, 1790.00000000, 2148.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Remplacement de votre reservoir 500Litres par un reservoir galva 900Litres :&nbsp;<br />\r\n<br />\r\nBL N&deg;46 du 23/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1790.00000000, 358.00000000, 2148.00000000, NULL, NULL, NULL, NULL),
(630, 'FA1807-0042', 1, NULL, NULL, NULL, 0, NULL, 2001, '2018-07-27 09:52:11', '2018-07-27', NULL, '2018-07-27', NULL, '2018-10-05 16:13:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 40.12000000, 0.00000000, 0.00000000, 0.00000000, 200.57000000, 240.69000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, '<p>KAESER SK19 19760-3&nbsp; N&deg; 01813383 de 1998&nbsp; :</p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2 nattes filtrantes&nbsp; 710 X 575&nbsp;&nbsp; ref BSA 6.1943.0</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1 S&eacute;parateur&nbsp;&nbsp; ref AIP S1P503</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2 cartouches air&nbsp;&nbsp;&nbsp; ref AIP A1F155</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1 cartouche huile&nbsp;&nbsp;&nbsp; ref AIP&nbsp; H1H112<br />\r\n<br />\r\nD&eacute;lai : 5 jours &agrave; reception de commande</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 200.57000000, 40.12000000, 240.69000000, NULL, NULL, NULL, NULL),
(631, 'FA1807-0043', 1, NULL, NULL, 'S97218071014', 0, NULL, 2054, '2018-07-27 10:00:40', '2018-07-27', NULL, '2018-07-27', NULL, '2018-09-18 07:28:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 237.12000000, 0.00000000, 0.00000000, 0.00000000, 1185.55000000, 1422.67000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance Kaeser CCSD105 N&deg;2626 &agrave; 8741 HRS<br />\r\n<br />\r\nBL N&deg; 38 du 18/07/2018<br />\r\n<br />\r\nLieu d&#39;intervention<br />\r\nCOOPERATIVE DAUPHINOISE<br />\r\nLA COTE SILO<br />\r\n2460 Chemin de la voie F&eacute;rr&eacute;e<br />\r\n38260 LA COTE SAINT ANDRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1185.55000000, 237.12000000, 1422.67000000, NULL, NULL, NULL, NULL),
(632, 'FA1807-0044', 1, NULL, NULL, NULL, 0, NULL, 2103, '2018-07-27 10:07:45', '2018-07-27', NULL, '2018-07-27', NULL, '2018-09-11 09:07:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 199.22000000, 0.00000000, 0.00000000, 0.00000000, 996.13000000, 1195.35000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance L45RS&nbsp; N&deg; CD10015227001 &agrave; 16035 H et maintenance seprateur de condensats owamat 14&nbsp;<br />\r\n<br />\r\nBL N&deg; 45 du 20/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 996.13000000, 199.22000000, 1195.35000000, NULL, NULL, NULL, NULL),
(633, 'FA1807-0045', 1, NULL, NULL, NULL, 0, NULL, 2162, '2018-07-27 11:12:39', '2018-07-27', NULL, '2018-07-27', NULL, '2018-09-11 09:06:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 278.30000000, 0.00000000, 0.00000000, 0.00000000, 1391.52000000, 1669.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'contrat liss&eacute;<br />\r\nL37RS N&deg;CD10030327001 &agrave; 2025HRS<br />\r\nBL N&deg;30 du 23/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1391.52000000, 278.30000000, 1669.82000000, NULL, NULL, NULL, NULL),
(634, 'FA1807-0046', 1, NULL, NULL, '726 du 27/06/2018', 0, NULL, 7066, '2018-07-27 14:39:52', '2018-07-27', NULL, '2018-07-27', NULL, '2018-09-28 08:32:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 107.60000000, 0.00000000, 0.00000000, 0.00000000, 538.00000000, 645.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-08-31', NULL, 'Reservoir galva 500Litres :<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 538.00000000, 107.60000000, 645.60000000, NULL, NULL, NULL, NULL),
(635, 'FA1807-0047', 1, NULL, NULL, NULL, 0, NULL, 2168, '2018-07-30 10:57:07', '2018-07-30', NULL, '2018-07-30', NULL, '2018-09-05 06:54:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 40.80000000, 0.00000000, 0.00000000, 0.00000000, 203.99000000, 244.79000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Remplacement dilatoflex du compresseur L11 N&deg; BA22910002 &agrave; 6179 HRS<br />\r\n<br />\r\nBL N&deg; 30 du 13/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 203.99000000, 40.80000000, 244.79000000, NULL, NULL, NULL, NULL),
(636, 'FA1807-0048', 1, NULL, NULL, NULL, 0, NULL, 6259, '2018-07-30 11:08:18', '2018-07-30', NULL, '2018-07-30', NULL, '2018-08-10 06:36:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 33.30000000, 0.00000000, 0.00000000, 0.00000000, 166.50000000, 199.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 15, 0, '2018-07-31', NULL, 'Remplacement capteur de temperature sur compresseur L30 N&deg; CD10007358001<br />\r\n<br />\r\nBL N&deg; 48 du 23/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 166.50000000, 33.30000000, 199.80000000, NULL, NULL, NULL, NULL),
(637, 'FA1807-0049', 1, NULL, NULL, NULL, 0, NULL, 7060, '2018-07-30 11:29:27', '2018-07-30', NULL, '2018-07-30', NULL, '2018-09-24 09:31:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 234.48000000, 0.00000000, 0.00000000, 0.00000000, 1172.42000000, 1406.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-08-31', NULL, 'Maintenance Local technique : Maintenance compresseur SULLAIR TREK30HH &amp; compresseur Silpack 10 et 2 filtres reseaux -<br />\r\nSoufflage et verification des connection du s&eacute;cheur &nbsp;ACT55 .<br />\r\n<br />\r\nBL N&deg; 33&amp;34 du 27/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1172.42000000, 234.48000000, 1406.90000000, NULL, NULL, NULL, NULL),
(638, 'FA1807-0050', 1, NULL, NULL, NULL, 0, NULL, 2231, '2018-07-30 11:53:29', '2018-07-30', NULL, '2018-07-30', NULL, '2018-09-18 07:29:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 103.00000000, 0.00000000, 0.00000000, 0.00000000, 515.00000000, 618.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Intervention compresseur devillbiss HP 10 - defaut temperature&nbsp;<br />\r\n<br />\r\nBL 32 du 26 07 2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 515.00000000, 103.00000000, 618.00000000, NULL, NULL, NULL, NULL),
(639, 'FA1807-0051', 1, NULL, NULL, '180724JMR1', 0, NULL, 6204, '2018-07-30 12:11:24', '2018-07-30', NULL, '2018-07-30', NULL, '2018-09-19 06:59:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 16.50000000, 0.00000000, 0.00000000, 0.00000000, 82.50000000, 99.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-08-31', NULL, 'Suite a votre demande, il n&#39;existe pas de kit joints pour reparation, nous vous proposons le remplacement de l&#39;ensemble.<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 82.50000000, 16.50000000, 99.00000000, NULL, NULL, NULL, NULL),
(640, 'FA1807-0052', 1, NULL, NULL, NULL, 0, NULL, 12781, '2018-07-30 13:31:41', '2018-07-30', NULL, '2018-07-30', NULL, '2018-10-01 09:17:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 374.85000000, 0.00000000, 0.00000000, 0.00000000, 1874.25000000, 2249.10000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-08-31', NULL, 'Dossier KERRY INGREDIENTS & FLAVOURS<br />\r\nCapital energy N° 256-0749OB/30483', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1874.25000000, 374.85000000, 2249.10000000, NULL, NULL, NULL, NULL),
(641, 'FA1807-0053', 1, NULL, NULL, 'fourniture pour réseau d\'air comprimé', 0, NULL, 2263, '2018-07-30 13:59:30', '2018-07-30', NULL, '2018-07-30', NULL, '2018-09-05 06:53:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 155.98000000, 0.00000000, 0.00000000, 0.00000000, 779.81000000, 935.79000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 779.81000000, 155.98000000, 935.79000000, NULL, NULL, NULL, NULL),
(642, 'FA1807-0054', 1, NULL, NULL, 'MAintenance', 0, NULL, 2285, '2018-07-30 14:31:24', '2018-07-30', NULL, '2018-07-30', NULL, '2018-09-28 08:33:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 938.68000000, 0.00000000, 0.00000000, 0.00000000, 4693.45000000, 5632.13000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance de vos 2 compresseurs , votre secheur alumine et vos 2 surpresseurs :&nbsp;<br />\r\n<br />\r\nBL N&deg;35 29 et 28 du 27&amp;20/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4693.45000000, 938.68000000, 5632.13000000, NULL, NULL, NULL, NULL),
(643, 'FA1807-0055', 1, NULL, NULL, NULL, 0, NULL, 2355, '2018-07-30 15:34:53', '2018-07-30', NULL, '2018-07-30', NULL, '2018-09-17 07:11:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.28000000, 0.00000000, 0.00000000, 0.00000000, 591.38000000, 709.66000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance compresseur Genesis 7.5 &agrave; 7252 HRS<br />\r\n<br />\r\nBL N&deg; 44 du 20/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 591.38000000, 118.28000000, 709.66000000, NULL, NULL, NULL, NULL),
(644, 'FA1807-0056', 1, NULL, NULL, NULL, 0, NULL, 2397, '2018-07-30 15:56:19', '2018-07-30', NULL, '2018-07-30', NULL, '2018-09-06 15:50:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 231.06000000, 0.00000000, 0.00000000, 0.00000000, 1155.29000000, 1386.35000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance compresseur L07 N&deg; BA33448006 &agrave; 2511 Hrs<br />\r\n<br />\r\nBL N&deg;49 du 27/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1155.29000000, 231.06000000, 1386.35000000, NULL, NULL, NULL, NULL),
(645, 'AC1808-0001', 1, NULL, NULL, NULL, 3, NULL, 6086, '2018-08-01 09:40:16', '2018-08-01', NULL, '2018-08-01', NULL, '2018-08-01 07:40:48', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 10000.00000000, 0.00000000, 0.00000000, 0.00000000, 50000.00000000, 60000.00000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2018-08-02', NULL, 'DOSSIER AC N2 et OX - 3eme acompte&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 50000.00000000, 10000.00000000, 60000.00000000, NULL, NULL, NULL, NULL),
(646, 'FA1808-0001', 1, NULL, NULL, 'Raccords', 0, NULL, 1981, '2018-08-06 10:25:24', '2018-08-06', NULL, '2018-08-06', NULL, '2018-10-05 16:12:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 24.00000000, 0.00000000, 0.00000000, 0.00000000, 120.00000000, 144.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 120.00000000, 24.00000000, 144.00000000, NULL, NULL, NULL, NULL),
(647, 'FA1808-0002', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2018-08-06 10:27:53', '2018-08-06', NULL, '2018-08-06', NULL, '2018-08-07 16:16:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(648, 'FA1807-0057', 1, NULL, NULL, NULL, 0, NULL, 12585, '2018-08-06 10:31:00', '2018-07-31', NULL, '2018-08-06', NULL, '2018-09-19 06:57:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 79.00000000, 0.00000000, 0.00000000, 0.00000000, 395.00000000, 474.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 15, 0, '2018-08-01', NULL, 'D&eacute;pannage sur compresseur HV02 N&deg; 502-032334-1708 - remplcament bouton arret d&#39;urgence complet -<br />\r\n<br />\r\nBL N&deg; 37 du 31/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 395.00000000, 79.00000000, 474.00000000, NULL, NULL, NULL, NULL),
(649, 'FA1807-0058', 1, NULL, NULL, NULL, 0, NULL, 2239, '2018-08-06 10:53:19', '2018-07-31', NULL, '2018-08-06', NULL, '2018-09-21 07:16:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 199.22000000, 0.00000000, 0.00000000, 0.00000000, 996.14000000, 1195.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Maintenance COmpresseur LUCHARD COMPAIR 6020ELX07BE &agrave; 4610 HRS et filtres reseaux<br />\r\nBL N&deg; 50 du 30/07/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 996.14000000, 199.22000000, 1195.36000000, NULL, NULL, NULL, NULL),
(650, 'FA1808-0003', 1, NULL, NULL, NULL, 0, NULL, 9406, '2018-08-06 14:31:44', '2018-08-06', NULL, '2018-08-06', NULL, '2018-10-01 09:15:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.77000000, 272.13000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-09-30', NULL, 'Filtres Kaeser :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.77000000, 45.36000000, 272.13000000, NULL, NULL, NULL, NULL),
(651, 'FA1808-0004', 1, NULL, NULL, NULL, 0, NULL, 9406, '2018-08-06 14:36:39', '2018-08-06', NULL, '2018-08-06', NULL, '2018-10-01 09:15:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 71.74000000, 0.00000000, 0.00000000, 0.00000000, 358.73000000, 430.47000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-09-30', NULL, 'Pi&eacute;ces d&eacute;tach&eacute;es pour compresseur', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 358.73000000, 71.74000000, 430.47000000, NULL, NULL, NULL, NULL),
(652, 'FA1808-0005', 1, NULL, NULL, 'Portugal', 0, NULL, 1988, '2018-08-08 09:13:40', '2018-08-08', NULL, '2018-08-08', NULL, '2018-11-09 10:52:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Suite &agrave; demande d&#39;anthony Ginouvier au portugal, fourniture d&#39;une vanne thermostatique pour le compresseur L18 COMPAIR.', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 0.00000000, 0.00000000, 0.00000000, NULL, NULL, NULL, NULL),
(653, 'FA1807-0059', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-08-17 11:47:15', '2018-07-31', NULL, '2018-08-17', NULL, '2018-08-22 12:00:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(654, 'FA1808-0006', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-08-17 11:48:11', '2018-08-17', NULL, '2018-08-17', NULL, '2018-08-22 12:00:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(655, 'AV1808-0001', 1, NULL, NULL, NULL, 2, NULL, 2719, '2018-08-22 08:59:59', '2018-08-22', NULL, '2018-08-22', NULL, '2018-08-24 08:05:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -25.54000000, 0.00000000, 0.00000000, 0.00000000, -127.68000000, -153.22000000, 2, 5, NULL, 5, NULL, 103, NULL, NULL, NULL, 0, 2, '2018-08-22', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -127.68000000, -25.54000000, -153.22000000, NULL, NULL, NULL, NULL),
(656, 'FA1808-0007', 1, NULL, NULL, NULL, 0, NULL, 1981, '2018-08-22 10:27:18', '2018-08-22', NULL, '2018-08-22', NULL, '2018-10-05 16:12:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 111.23000000, 0.00000000, 0.00000000, 0.00000000, 556.13000000, 667.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Maintenance compresseur RS PRO 7.5 N&deg;612032 &agrave; 5127 HRS<br />\r\n<br />\r\nBL N&deg;8 du 08/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 556.13000000, 111.23000000, 667.36000000, NULL, NULL, NULL, NULL),
(657, 'FA1808-0008', 1, NULL, NULL, NULL, 0, NULL, 2038, '2018-08-22 10:37:59', '2018-08-22', NULL, '2018-08-22', NULL, '2018-09-10 08:10:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 91.33000000, 0.00000000, 0.00000000, 0.00000000, 456.65000000, 547.98000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'maintenance L07rs N&deg; BA28124001 &agrave; 14356 HRS&nbsp;&nbsp;<br />\r\n<br />\r\nBL N&deg;1 du 04/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 456.65000000, 91.33000000, 547.98000000, NULL, NULL, NULL, NULL),
(658, 'FA1808-0009', 1, NULL, NULL, NULL, 0, NULL, 2007, '2018-08-22 10:41:52', '2018-08-22', NULL, '2018-08-22', NULL, '2018-10-22 07:40:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 40.92000000, 0.00000000, 0.00000000, 0.00000000, 204.60000000, 245.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'INTERVENTION de D&eacute;pannage sur compresseur HV02 N&deg; 502-029339-1408<br />\r\n<br />\r\nBL N&deg;33 du 01/08/2018<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 204.60000000, 40.92000000, 245.52000000, NULL, NULL, NULL, NULL),
(659, 'FA1808-0010', 1, NULL, NULL, '20180709251', 0, NULL, 2077, '2018-08-22 10:48:09', '2018-08-22', NULL, '2018-08-22', NULL, '2018-09-26 07:40:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 226.32000000, 0.00000000, 0.00000000, 0.00000000, 1131.60000000, 1357.92000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'maintenance L22RS &agrave; 22480 HRS<br />\r\nRemplacement electrovanne de regulation<br />\r\nMaintenance separateur de condensats Owamat 10<br />\r\nremplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;38 du 07/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1131.60000000, 226.32000000, 1357.92000000, NULL, NULL, NULL, NULL),
(660, 'FA1808-0011', 1, NULL, NULL, NULL, 0, NULL, 2071, '2018-08-22 10:56:03', '2018-08-22', NULL, '2018-08-22', NULL, '2018-10-22 07:42:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 114.61000000, 0.00000000, 0.00000000, 0.00000000, 573.06000000, 687.67000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Maintenance BOGE S15 N&deg;22777 &agrave; 15900 HRS<br />\r\n<br />\r\nBL N&deg; 4 du 06/08/2018<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 573.06000000, 114.61000000, 687.67000000, NULL, NULL, NULL, NULL),
(661, 'FA1808-0012', 1, NULL, NULL, NULL, 0, NULL, 2086, '2018-08-22 10:59:58', '2018-08-22', NULL, '2018-08-22', NULL, '2018-10-03 08:04:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 40.65000000, 0.00000000, 0.00000000, 0.00000000, 203.25000000, 243.90000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Intervention secheur CTA - groupe HS<br />\r\n<br />\r\nMis ene place d\'un secheur de pret - <br />\r\n<br />\r\nBL N°34 du 01/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 203.25000000, 40.65000000, 243.90000000, NULL, NULL, NULL, NULL),
(662, 'FA1808-0013', 1, NULL, NULL, 'S98218083122GG', 0, NULL, 2054, '2018-08-22 11:12:17', '2018-08-22', NULL, '2018-08-22', NULL, '2018-10-22 14:07:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 189.35000000, 0.00000000, 0.00000000, 0.00000000, 946.78000000, 1136.13000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Intervention sur compresseur L26RS N&deg;CD10029231001 suite &agrave; appel de votre electricien .<br />\r\nConstatation: suite &agrave; appel de votre electricien pour un probleme de raccordement de commande &agrave; distance sur le compresseur L26RS, nous avons constat&eacute; que la carte des entr&eacute;es avait subit une deterioration suite &agrave; un choc electrique. Nous avons demand&eacute; en garantie le remplacement de la carte. Lors du remontage, une nouvelle fois cette carte s&#39;est trouv&eacute;e endommag&eacute;e par un nouveau choc electrique provenant sans doute d&#39;une longueur excessive du c&acirc;ble de commande de la marche &agrave; distance qui longeait differents c&acirc;bles de puissance se chargeant au passage de tension induite.<br />\r\nNous avons du &agrave; nos frais faire r&eacute;parer &agrave; nouveau la carte de gestion des entr&eacute;es( la garantie n&#39;yant pas &eacute;t&eacute; retenue une deuxieme fois). A la derniere intervention de remise en place de la carte DELCOS nous avons debranch&eacute; la liaison externe au compresseur et le defaut &agrave; disparu. c&#39;est pourquoi nous vous proposons une indemnisation de nos frais de recherche de pannes et de reparation.<br />\r\n<br />\r\nLIVRAISON : COOPERATIVE LA DAUPHINOISE<br />\r\nSces Bl&eacute;1<br />\r\nChemin du pouloux<br />\r\n38270 BEAUREPAIRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 946.78000000, 189.35000000, 1136.13000000, NULL, NULL, NULL, NULL),
(663, 'FA1808-0014', 1, NULL, NULL, NULL, 0, NULL, 2103, '2018-08-22 11:29:48', '2018-08-22', NULL, '2018-08-22', NULL, '2018-10-05 16:11:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 152.17000000, 0.00000000, 0.00000000, 0.00000000, 760.86000000, 913.03000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Remplcament vanne thermostatique sur compresseur L45RS N&deg; CD10015227001 &agrave; 16236 HRS<br />\r\nsuivant BL n&deg;9 du 08/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 760.86000000, 152.17000000, 913.03000000, NULL, NULL, NULL, NULL),
(664, 'FA1808-0015', 1, NULL, NULL, NULL, 0, NULL, 6259, '2018-08-22 11:37:38', '2018-08-22', NULL, '2018-08-22', NULL, '2018-10-05 16:15:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 183.37000000, 0.00000000, 0.00000000, 0.00000000, 916.87000000, 1100.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-09-30', NULL, 'Maintenance L11 N&deg; CD10023655001 &agrave; 1865 HRS<br />\r\n<br />\r\nBL n&deg;2 du 03/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 916.87000000, 183.37000000, 1100.24000000, NULL, NULL, NULL, NULL),
(665, 'FA1808-0016', 1, NULL, NULL, '36960', 0, NULL, 2122, '2018-08-22 12:01:45', '2018-08-20', NULL, '2018-08-22', NULL, '2018-10-16 11:43:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 802.78000000, 0.00000000, 0.00000000, 0.00000000, 4013.89000000, 4816.67000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-09-30', NULL, 'Maintenance L75RS N&deg; CD10018699001 &agrave; 16806 HRS<br />\r\n<br />\r\nBL N&deg; 11 du 13/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4013.89000000, 802.78000000, 4816.67000000, NULL, NULL, NULL, NULL),
(666, 'FA1808-0017', 1, NULL, NULL, NULL, 0, NULL, 2157, '2018-08-22 14:06:41', '2018-08-06', NULL, '2018-08-22', NULL, '2018-12-07 07:37:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 184.00000000, 0.00000000, 0.00000000, 0.00000000, 920.00000000, 1104.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', 'a ne pas facturer de suite / cde enrouleurs', NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 920.00000000, 184.00000000, 1104.00000000, NULL, NULL, NULL, NULL),
(667, 'FA1808-0018', 1, NULL, NULL, 'Enrouleurs', 0, NULL, 2157, '2018-08-22 14:23:23', '2018-08-06', NULL, '2018-08-22', NULL, '2018-12-07 07:37:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1590.20000000, 0.00000000, 0.00000000, 0.00000000, 7951.04000000, 9541.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, '9 enrouleurs de 25 metres AIR/EAU avec support pivotant avec raccords rapides et pistolets de lavage<br />\r\n1 enrouleur de 15 metres AIR COMPRIME<br />\r\n10 enrouleurs AIR COMPRIME avec support pivotant&nbsp;<br />\r\n<br />\r\nd&eacute;lai : 2 &agrave; 3 semaines<br />\r\n<br />\r\nGarantie fonctionelle de 3 ans sur le ressort de rappel et le cliquet d&#39;arret sur les enrouleurs industriels', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 7951.04000000, 1590.20000000, 9541.24000000, NULL, NULL, NULL, NULL),
(668, 'FA1808-0019', 1, NULL, NULL, NULL, 0, NULL, 2169, '2018-08-22 14:28:53', '2018-08-22', NULL, '2018-08-22', NULL, '2018-10-01 09:16:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 121.17000000, 0.00000000, 0.00000000, 0.00000000, 605.85000000, 727.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Maintenance compresseur BOTTARINI KA7plus N&deg; BA201804002 de 2011 &agrave; 20400 HRS<br />\r\n<br />\r\nBL N&deg; 5 du 06/08/2018<br />\r\n<br />\r\nNB : Epreuve d&eacute;c&eacute;nnale&nbsp; de la cuve &agrave; effectuer ( 2007 )&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 605.85000000, 121.17000000, 727.02000000, NULL, NULL, NULL, NULL),
(669, 'FA1808-0020', 1, NULL, NULL, NULL, 0, NULL, 2231, '2018-08-22 14:38:02', '2018-08-22', NULL, '2018-08-22', NULL, '2018-10-16 11:42:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 46.45000000, 0.00000000, 0.00000000, 0.00000000, 232.26000000, 278.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'raccordement et mise en service compresseur L15 &agrave; 9155HRS<br />\r\nRecherche de panne sur compresseur Devillbiss-preobleme de carte electronique<br />\r\n<br />\r\nBL N&deg; 3 du 03/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 232.26000000, 46.45000000, 278.71000000, NULL, NULL, NULL, NULL),
(670, 'FA1808-0021', 1, NULL, NULL, NULL, 0, NULL, 12779, '2018-08-22 14:43:26', '2018-08-22', NULL, '2018-08-22', NULL, '2018-08-31 08:14:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 106.60000000, 0.00000000, 0.00000000, 0.00000000, 533.00000000, 639.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-09-30', NULL, 'Fournitures de 3 cartouches pour filtres CTA NF004&nbsp; grade 1&micro; ( M ) grade 0.01&micro; ( S ) grade 0.01 &micro; 0.003 huile ( A )&nbsp;<br />\r\nFournitures de 3 filtres complets&nbsp; ( corps + cartouches ) en grade M , S et A traitant un d&eacute;bit de 60 m3/h maximum avec 2 kit de connection .<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 533.00000000, 106.60000000, 639.60000000, NULL, NULL, NULL, NULL),
(671, 'FA1808-0022', 1, NULL, NULL, 'giraud delay', 0, NULL, 2729, '2018-08-22 14:59:51', '2018-08-22', NULL, '2018-08-27', NULL, '2018-08-31 08:11:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 473.60000000, 473.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 15, 0, '2018-08-23', NULL, 'Garantie compresseur RSDK PRO&nbsp; N&deg; 707076 - remplacement helice<br />\r\nGIRAUD DELAY', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 473.60000000, 0.00000000, 473.60000000, NULL, NULL, NULL, NULL),
(672, 'FA1808-0023', 1, NULL, NULL, NULL, 0, NULL, 12608, '2018-08-22 15:04:03', '2018-08-22', NULL, '2018-08-22', NULL, '2018-10-11 15:09:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 130.97000000, 0.00000000, 0.00000000, 0.00000000, 654.86000000, 785.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-09-30', NULL, 'Maintenance RS PRO 7.5 N&deg; 713056 &agrave; 1795 HRS<br />\r\n<br />\r\nBL N&deg;10 du 10/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 654.86000000, 130.97000000, 785.83000000, NULL, NULL, NULL, NULL),
(673, 'FA1808-0024', 1, NULL, NULL, NULL, 0, NULL, 2358, '2018-08-22 15:22:49', '2018-08-22', NULL, '2018-08-22', NULL, '2018-10-22 07:42:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 305.09000000, 0.00000000, 0.00000000, 0.00000000, 1525.50000000, 1830.59000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Maintenance GA90VSD N&deg; AII495069 &agrave; 35197 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance GA30 N&deg;ABP716976 &agrave; 15024 HRS<br />\r\n<br />\r\nBL N&deg; 40 &amp; 39 du 08/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1525.50000000, 305.09000000, 1830.59000000, NULL, NULL, NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(674, 'FA1808-0025', 1, NULL, NULL, NULL, 0, NULL, 2379, '2018-08-22 15:31:32', '2018-08-22', NULL, '2018-08-22', NULL, '2018-10-03 08:05:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 271.13000000, 0.00000000, 0.00000000, 0.00000000, 1355.72000000, 1626.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Maintenance compresseur L15RS N&deg; CD10024800002 &agrave; 4219 HRS<br />\r\nMaintenance seprateur de condensats owamat 10<br />\r\nRemplacement des cartouches filtres r&eacute;seaux&nbsp;<br />\r\n<br />\r\nBL N&deg;6 du 07/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1355.72000000, 271.13000000, 1626.85000000, NULL, NULL, NULL, NULL),
(675, 'FA1808-0026', 1, NULL, NULL, '12044 du 03/08/2018', 0, NULL, 2175, '2018-08-24 10:03:23', '2018-08-24', NULL, '2018-08-24', NULL, '2018-10-17 07:04:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 21.40000000, 0.00000000, 0.00000000, 0.00000000, 107.00000000, 128.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Colle<br />\r\nCommande N&deg;12044 du 03/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 107.00000000, 21.40000000, 128.40000000, NULL, NULL, NULL, NULL),
(676, 'FA1808-0027', 1, NULL, NULL, NULL, 0, NULL, 2163, '2018-08-24 10:17:06', '2018-08-24', NULL, '2018-08-24', NULL, '2018-10-01 09:13:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 133.89000000, 0.00000000, 0.00000000, 0.00000000, 669.49000000, 803.38000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Maintenance compresseur RS TOP 11 10 bars de 2014 N&deg; 438079 &agrave; 2125 HRS<br />\r\n<br />\r\nBL N&deg;13 du 22/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 669.49000000, 133.89000000, 803.38000000, NULL, NULL, NULL, NULL),
(678, 'AV1808-0002', 1, NULL, NULL, NULL, 2, NULL, 2001, '2018-08-24 10:21:23', '2018-08-24', NULL, '2018-08-24', NULL, '2018-08-24 08:21:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -78.40000000, 0.00000000, 0.00000000, 0.00000000, -392.00000000, -470.40000000, 2, 5, NULL, 5, NULL, 595, NULL, NULL, NULL, 0, 2, '2018-08-24', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -392.00000000, -78.40000000, -470.40000000, NULL, NULL, NULL, NULL),
(679, 'FA1808-0028', 1, NULL, NULL, 'Meuleuse Diamètre 180', 0, NULL, 2001, '2018-08-24 10:23:02', '2018-08-24', NULL, '2018-08-24', NULL, '2018-08-24 08:25:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 36.00000000, 0.00000000, 0.00000000, 0.00000000, 180.00000000, 216.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.00000000, 36.00000000, 216.00000000, NULL, NULL, NULL, NULL),
(680, 'FA1808-0029', 1, NULL, NULL, NULL, 0, NULL, 2007, '2018-08-24 10:53:03', '2018-08-24', NULL, '2018-08-24', NULL, '2018-10-22 07:40:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 128.16000000, 0.00000000, 0.00000000, 0.00000000, 640.81000000, 768.97000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Maintenance HV02 N&deg; 502 029339-1408<br />\r\n<br />\r\nBL N&deg; 14 du 22/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 640.81000000, 128.16000000, 768.97000000, NULL, NULL, NULL, NULL),
(681, 'FA1808-0030', 1, NULL, NULL, NULL, 0, NULL, 2053, '2018-08-24 11:57:23', '2018-08-24', NULL, '2018-08-24', NULL, '2018-09-21 07:16:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1960.00000000, 0.00000000, 0.00000000, 0.00000000, 9799.96000000, 11759.96000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Fourniture et installation d\'un compresseur 11 kw vitesse fixe avec huile alimentaire L11 , secheur par réfrigeration COMPAIR F026S avec un prefiltre et filtre aval ; remplcament du filtre 300CA charbona ctif par filtre 700CA charbon actif , mis en place duns eparateur de condesats Ecotron 50.<br />\r\n<br />\r\nBL N°44 du 22/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 9799.96000000, 1960.00000000, 11759.96000000, NULL, NULL, NULL, NULL),
(682, 'FA1808-0031', 1, NULL, NULL, 'Gainage du Compresseur L45 RS', 0, NULL, 2234, '2018-08-27 10:35:30', '2018-08-27', NULL, '2018-08-27', NULL, '2018-09-17 07:08:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 492.08000000, 0.00000000, 0.00000000, 0.00000000, 2460.40000000, 2952.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Gainage compresseur L45RS&nbsp;<br />\r\n<br />\r\nSUivant commande N&deg; 4800297652', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2460.40000000, 492.08000000, 2952.48000000, NULL, NULL, NULL, NULL),
(683, 'FA1808-0032', 1, NULL, NULL, NULL, 0, NULL, 2358, '2018-08-29 09:33:15', '2018-08-29', NULL, '2018-08-29', NULL, '2018-10-22 07:42:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 64.50000000, 0.00000000, 0.00000000, 0.00000000, 322.48000000, 386.98000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Depannage electrique bureau - remplacement parafoudre centrale t&eacute;l&eacute;phonique&nbsp;<br />\r\n<br />\r\nBL N&deg; 40 du 28/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 322.48000000, 64.50000000, 386.98000000, NULL, NULL, NULL, NULL),
(684, 'FA1808-0033', 1, NULL, NULL, NULL, 0, NULL, 1990, '2018-08-29 10:26:48', '2018-08-29', NULL, '2018-08-29', NULL, '2018-10-01 09:12:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 156.04000000, 0.00000000, 0.00000000, 0.00000000, 780.26000000, 936.30000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Modification arriv&eacute;e d&#39;eau sanitaire et RIA , r&eacute;f&eacute;ction de la tuyauterie en inox 316L .<br />\r\n<br />\r\n<br />\r\nBl N&deg;18 du 27/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 780.26000000, 156.04000000, 936.30000000, NULL, NULL, NULL, NULL),
(685, 'FA1808-0034', 1, NULL, NULL, '2934591', 0, NULL, 2234, '2018-08-29 10:32:46', '2018-08-29', NULL, '2018-08-29', NULL, '2018-09-17 07:08:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2018-08-30', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, NULL, NULL, NULL),
(686, 'FA1808-0035', 1, NULL, NULL, '2100/18012685', 0, NULL, 2161, '2018-08-29 10:50:04', '2018-08-29', NULL, '2018-08-29', NULL, '2018-10-17 07:03:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 137.07000000, 0.00000000, 0.00000000, 0.00000000, 685.37000000, 822.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Maintenance secheur PARKEUR par adsorption :&nbsp;<br />\r\n<br />\r\nBL N&deg;20 du 28/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 685.37000000, 137.07000000, 822.44000000, NULL, NULL, NULL, NULL),
(687, 'FA1808-0036', 1, NULL, NULL, NULL, 0, NULL, 2141, '2018-08-29 10:59:29', '2018-08-29', NULL, '2018-08-29', NULL, '2018-09-26 07:40:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 75.77000000, 0.00000000, 0.00000000, 0.00000000, 378.84000000, 454.61000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Intervention compresseur 7.5ch 10 bars &agrave; 479 HRS<br />\r\n<br />\r\nBL N&deg;38 du 28/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 378.84000000, 75.77000000, 454.61000000, NULL, NULL, NULL, NULL),
(688, 'FA1808-0037', 1, NULL, NULL, NULL, 0, NULL, 2279, '2018-08-29 11:14:52', '2018-08-29', NULL, '2018-08-29', NULL, '2018-09-28 08:32:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 228.65000000, 0.00000000, 0.00000000, 0.00000000, 1143.26000000, 1371.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Maintenance compresseur L50 7.5 BArs N&deg; CD10002543001 &agrave; 38987 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance seprateur de condensats Owamat 14<br />\r\n<br />\r\nBL N&deg;19 du 28/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1143.26000000, 228.65000000, 1371.91000000, NULL, NULL, NULL, NULL),
(689, 'FA1808-0038', 1, NULL, NULL, NULL, 0, NULL, 12618, '2018-08-29 11:17:21', '2018-08-29', NULL, '2018-08-29', NULL, '2018-10-05 16:11:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 90.00000000, 0.00000000, 0.00000000, 0.00000000, 450.00000000, 540.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-09-28', NULL, 'Aspirateur - COmmande de Mr Thierry Arnaud', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 450.00000000, 90.00000000, 540.00000000, NULL, NULL, NULL, NULL),
(690, 'FA1808-0039', 1, NULL, NULL, '6263', 0, NULL, 2354, '2018-08-29 11:22:11', '2018-08-29', NULL, '2018-08-29', NULL, '2018-08-30 07:41:05', 0, 0.00000000, NULL, NULL, 0, 'abandon', 'facturer sur septembre', 71.60000000, 0.00000000, 0.00000000, 0.00000000, 358.00000000, 429.60000000, 3, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, '2 coffret Meuleuse droite RC7107 - fin de serie', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 358.00000000, 71.60000000, 429.60000000, NULL, NULL, NULL, NULL),
(691, 'FA1808-0040', 1, NULL, NULL, NULL, 0, NULL, 2358, '2018-08-29 14:12:52', '2018-08-29', NULL, '2018-08-29', NULL, '2018-10-22 07:42:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 18.17000000, 0.00000000, 0.00000000, 0.00000000, 90.84000000, 109.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Intervention sur compresseur GA90 mise en place d&#39;un contact additionnel<br />\r\n<br />\r\nBL N&deg;39 du 28/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 90.84000000, 18.17000000, 109.01000000, NULL, NULL, NULL, NULL),
(692, 'FA1808-0041', 1, NULL, NULL, NULL, 0, NULL, 2069, '2018-08-29 14:49:54', '2018-08-29', NULL, '2018-08-29', NULL, '2018-09-21 07:14:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 132.89000000, 0.00000000, 0.00000000, 0.00000000, 664.49000000, 797.38000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'maintenance cyclon 111 &agrave; 39122 HRS<br />\r\nRemplacement 2 cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg;41 du 29/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 664.49000000, 132.89000000, 797.38000000, NULL, NULL, NULL, NULL),
(694, 'FA1808-0042', 1, NULL, NULL, NULL, 0, NULL, 2250, '2018-08-30 09:15:08', '2018-08-30', NULL, '2018-08-30', NULL, '2018-10-22 07:43:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 72.70000000, 0.00000000, 0.00000000, 0.00000000, 363.50000000, 436.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-08-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 363.50000000, 72.70000000, 436.20000000, NULL, NULL, NULL, NULL),
(695, 'FA1809-0001', 1, NULL, NULL, '6263', 0, NULL, 2354, '2018-08-30 09:41:45', '2018-09-03', NULL, '2018-08-30', NULL, '2018-10-11 15:08:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 71.60000000, 0.00000000, 0.00000000, 0.00000000, 358.00000000, 429.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, '2 coffret Meuleuse droite RC7107 - fin de serie', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 358.00000000, 71.60000000, 429.60000000, NULL, NULL, NULL, NULL),
(696, 'FA1808-0043', 1, NULL, NULL, NULL, 0, NULL, 1988, '2018-08-30 10:49:52', '2018-08-30', NULL, '2018-08-30', NULL, '2018-10-09 08:04:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.22000000, 0.00000000, 0.00000000, 0.00000000, 501.08000000, 601.30000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Livraison :&nbsp;<br />\r\nBAXTER INJECTION PORTUGAL', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 501.08000000, 100.22000000, 601.30000000, NULL, NULL, NULL, NULL),
(697, 'FA1808-0044', 1, NULL, NULL, 'S97208181016', 0, NULL, 2054, '2018-08-31 10:11:15', '2018-08-31', NULL, '2018-08-31', NULL, '2018-10-22 14:07:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 67.60000000, 0.00000000, 0.00000000, 0.00000000, 338.00000000, 405.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Commande de Mr AIlloud<br />\r\n<br />\r\nSite de livraison :&nbsp; COOPERATIVE LA DAUPHINOISE ( LE RIVAL )<br />\r\n2460 Chemin de la voie ferr&eacute;e<br />\r\n38260 LA COTE ST ANDRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 338.00000000, 67.60000000, 405.60000000, NULL, NULL, NULL, NULL),
(698, 'FA1808-0045', 1, NULL, NULL, NULL, 0, NULL, 2352, '2018-08-31 10:18:14', '2018-08-31', NULL, '2018-08-31', NULL, '2018-11-08 12:35:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 67.60000000, 0.00000000, 0.00000000, 0.00000000, 338.00000000, 405.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'commande de Mr YANG', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 338.00000000, 67.60000000, 405.60000000, NULL, NULL, NULL, NULL),
(699, 'FA1808-0046', 1, NULL, NULL, NULL, 0, NULL, 1990, '2018-08-31 10:20:31', '2018-08-31', NULL, '2018-08-31', NULL, '2018-10-01 09:12:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 15.70000000, 0.00000000, 0.00000000, 0.00000000, 78.50000000, 94.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Suceur &agrave; eau pour aspirateur 160/2', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 78.50000000, 15.70000000, 94.20000000, NULL, NULL, NULL, NULL),
(700, 'FA1808-0047', 1, NULL, NULL, 'C33008181001', 0, NULL, 2054, '2018-08-31 10:49:44', '2018-08-31', NULL, '2018-08-31', NULL, '2018-11-15 14:26:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 196.44000000, 0.00000000, 0.00000000, 0.00000000, 982.26000000, 1178.70000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Maintenance Compresseur ES8 &agrave; 23713 HRS<br />\r\n<br />\r\nBL N&deg;15 du 23/08/2018<br />\r\n<br />\r\nSite de livraison :&nbsp;<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nBourg Evescal<br />\r\n73250 SAINT JEAN DE LA PORTE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 982.26000000, 196.44000000, 1178.70000000, NULL, NULL, NULL, NULL),
(701, 'FA1809-0002', 1, NULL, NULL, '2934591', 0, NULL, 2234, '2018-08-31 10:59:24', '2018-09-03', NULL, '2018-08-31', NULL, '2018-11-05 11:27:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, NULL, NULL, NULL),
(702, 'FA1808-0048', 1, NULL, NULL, 'c17808181001', 0, NULL, 2054, '2018-08-31 11:07:44', '2018-08-31', NULL, '2018-08-31', NULL, '2018-11-15 14:26:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 199.09000000, 0.00000000, 0.00000000, 0.00000000, 995.46000000, 1194.55000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'maintenance compresseur SULLAIR w3008 N&deg;90630031 &agrave; 15888 HRS .<br />\r\n<br />\r\nSite de Livraison :<br />\r\nDAUPHINOISE&nbsp;VOREPPE&nbsp;<br />\r\nZA Centr alp<br />\r\nRue Louis Neel<br />\r\n38340 VOREPPE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 995.46000000, 199.09000000, 1194.55000000, NULL, NULL, NULL, NULL),
(703, 'FA1808-0049', 1, NULL, NULL, 'C03808181001', 0, NULL, 2054, '2018-08-31 11:31:52', '2018-08-31', NULL, '2018-08-31', NULL, '2018-11-15 14:26:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 124.32000000, 0.00000000, 0.00000000, 0.00000000, 621.64000000, 745.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Compresseur BEL AIR VRC20F de 1991 N&deg; 0913124 &agrave;&nbsp; HEURES:<br />\r\n<br />\r\nSite COOPERATIVE LA DAUPHINOISE<br />\r\n2460 Chemin de la voie ferree<br />\r\n38260 LA COTE SAINT ANDRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 621.64000000, 124.32000000, 745.96000000, NULL, NULL, NULL, NULL),
(704, 'FA1808-0050', 1, NULL, NULL, 'S88208181001', 0, NULL, 2054, '2018-08-31 11:40:11', '2018-08-31', NULL, '2018-08-31', NULL, '2018-11-15 14:26:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 127.54000000, 0.00000000, 0.00000000, 0.00000000, 637.70000000, 765.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Maintenance L11 N&deg; BA35366001 &agrave; 2888HRS<br />\r\n<br />\r\nLivraaison :<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nSite SESEC<br />\r\n2460 Chemin de la voie Ferr&eacute;e<br />\r\n38260 LA COTE SAINT ANDRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 637.70000000, 127.54000000, 765.24000000, NULL, NULL, NULL, NULL),
(705, 'FA1808-0051', 1, NULL, NULL, 'C03808181001', 0, NULL, 2054, '2018-08-31 11:41:57', '2018-08-31', NULL, '2018-08-31', NULL, '2018-11-15 14:26:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 129.81000000, 0.00000000, 0.00000000, 0.00000000, 649.05000000, 778.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-09-30', NULL, 'Maintenance SULLAIR WS1508 N&deg; C03-C210029 de 2009 &agrave;&nbsp; HRS<br />\r\n<br />\r\nSite COOPERATIVE LA DAUPHINOISE 2460 Chemin de la voie ferree 38260 LA COTE SAINT ANDRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 649.05000000, 129.81000000, 778.86000000, NULL, NULL, NULL, NULL),
(706, 'FA1809-0003', 1, NULL, NULL, '12538', 0, NULL, 12773, '2018-08-31 11:45:55', '2018-09-05', NULL, '2018-08-31', NULL, '2018-10-10 07:56:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 628.00000000, 0.00000000, 0.00000000, 0.00000000, 3140.00000000, 3768.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 15, 2, '2018-09-06', NULL, 'N&deg; OPERATION : INV.MAT.18.CEE<br />\r\nR&eacute;f&eacute;rence CMP : CF16/07/AXE11<br />\r\nSFACS INDUSTRIE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3140.00000000, 628.00000000, 3768.00000000, NULL, NULL, NULL, NULL),
(707, 'FA1808-0052', 1, NULL, NULL, '4500106762', 0, NULL, 10144, '2018-08-31 12:03:48', '2018-08-31', NULL, '2018-11-06', NULL, '2018-11-21 08:16:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 3194.12000000, 0.00000000, 0.00000000, 0.00000000, 15970.68000000, 19164.80000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 15, 0, '2018-09-30', NULL, 'Local Air Comprimé incluant : un compresseur à vitesse variable Renner 22 KW avec garantie piéces uniquement 5 ans ( hors main d\'oeuvre ) secheur par réfrigeration avec filtration amont et aval , separateur de condensats, by pass cuve et by pass sécheur .<br />\r\nInstallation et raccordement de l\'ensemble . <br />\r\n<br />\r\nReglement 75 % à réception et restant à la mise en service du compresseur .<br />\r\n<br />\r\nLivraison : <br />\r\nPRECIA MOLEN<br />\r\nSERVICE RECEPTION BAT 7<br />\r\nROUTE NATIONAL 304<br />\r\n07001 PRIVAS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 15970.68000000, 3194.12000000, 19164.80000000, NULL, NULL, NULL, NULL),
(708, 'AC1808-0002', 1, NULL, NULL, NULL, 3, NULL, 6086, '2018-09-03 10:01:32', '2018-08-31', NULL, '2018-09-03', NULL, '2019-01-18 08:14:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 10000.00000000, 0.00000000, 0.00000000, 0.00000000, 50000.00000000, 60000.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2018-09-01', NULL, 'DOSSIER AC N2 et OX - 4eme acompte', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 50000.00000000, 10000.00000000, 60000.00000000, NULL, NULL, NULL, NULL),
(709, 'FA1809-0004', 1, NULL, NULL, NULL, 0, NULL, 12791, '2018-09-05 15:17:35', '2018-09-05', NULL, '2018-09-05', NULL, '2018-09-17 07:11:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 3.41000000, 0.00000000, 0.00000000, 0.00000000, 17.05000000, 20.46000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-10-05', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 17.05000000, 3.41000000, 20.46000000, NULL, NULL, NULL, NULL),
(710, 'FA1809-0005', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2018-09-13 12:06:04', '2018-09-07', NULL, '2018-09-13', NULL, '2018-09-17 07:12:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(711, 'FA1809-0006', 1, NULL, NULL, 'BC-COV-032243-1', 0, NULL, 12786, '2018-09-14 14:43:56', '2018-09-13', NULL, '2018-09-14', NULL, '2018-11-19 09:59:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 43.46000000, 0.00000000, 0.00000000, 0.00000000, 217.31000000, 260.77000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-10-31', NULL, 'Pieces detach&eacute;es pour compresseur SILPACK R477T .<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 217.31000000, 43.46000000, 260.77000000, NULL, NULL, NULL, NULL),
(712, 'FA1809-0007', 1, NULL, NULL, NULL, 0, NULL, 12797, '2018-09-14 15:07:38', '2018-09-14', NULL, '2018-09-14', NULL, '2018-10-12 07:25:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 199.40000000, 0.00000000, 0.00000000, 0.00000000, 997.00000000, 1196.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-10-14', NULL, 'compresseur &agrave; piston COMPAIR garantie totale 2 ans&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 997.00000000, 199.40000000, 1196.40000000, NULL, NULL, NULL, NULL),
(713, 'FA1809-0008', 1, NULL, NULL, '37176', 0, NULL, 2122, '2018-09-14 15:49:27', '2018-09-14', NULL, '2018-09-14', NULL, '2018-11-20 08:25:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 18.36000000, 0.00000000, 0.00000000, 0.00000000, 91.80000000, 110.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-10-31', NULL, 'pvc en diametre 32', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 91.80000000, 18.36000000, 110.16000000, NULL, NULL, NULL, NULL),
(714, 'FA1809-0009', 1, NULL, NULL, NULL, 0, NULL, 5174, '2018-09-24 15:00:18', '2018-09-24', NULL, '2018-09-24', NULL, '2018-10-26 06:59:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 68.00000000, 0.00000000, 0.00000000, 0.00000000, 340.00000000, 408.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-10-24', NULL, 'Fourniture d&#39;un reservoir 200Litres -<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 340.00000000, 68.00000000, 408.00000000, NULL, NULL, NULL, NULL),
(715, 'FA1810-0001', 1, NULL, NULL, '2934591', 0, NULL, 2234, '2018-09-24 15:03:40', '2018-10-01', NULL, '2018-09-24', NULL, '2018-11-16 17:42:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2018-10-02', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, NULL, NULL, NULL),
(716, 'FA1809-0010', 1, NULL, NULL, '9995', 0, NULL, 5741, '2018-09-24 15:05:50', '2018-09-24', NULL, '2018-09-24', NULL, '2018-11-05 11:28:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.76000000, 0.00000000, 0.00000000, 0.00000000, 593.78000000, 712.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-10-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 593.78000000, 118.76000000, 712.54000000, NULL, NULL, NULL, NULL),
(717, 'FA1809-0011', 1, NULL, NULL, 'S981 18 09 1 011', 0, NULL, 2054, '2018-09-24 15:39:45', '2018-09-24', NULL, '2018-09-24', NULL, '2018-11-15 14:26:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 30.77000000, 0.00000000, 0.00000000, 0.00000000, 153.84000000, 184.61000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Mise en place d&#39;une purge electropilot&eacute;e sur cuve -<br />\r\n<br />\r\nBL N&deg; 37 du 23/08/2018<br />\r\n<br />\r\nSite : COOPERATIVE LA DAUPHINOISE<br />\r\nSces Bl&eacute; 3 Batiment polyvalent<br />\r\nChemin du pouloux<br />\r\n38270 BEAUREPAIRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 153.84000000, 30.77000000, 184.61000000, NULL, NULL, NULL, NULL),
(718, 'FA1809-0012', 1, NULL, NULL, NULL, 0, NULL, 5452, '2018-09-24 15:49:14', '2018-09-24', NULL, '2018-09-24', NULL, '2018-11-30 08:42:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 171.70000000, 0.00000000, 0.00000000, 0.00000000, 858.48000000, 1030.18000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-10-31', NULL, 'Maintenance compresseur L11 N&deg; BA43119001 &agrave; 864 HRS<br />\r\nSuivant contrat liss&eacute;.<br />\r\n<br />\r\nBL N&deg; 42 du 17/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 858.48000000, 171.70000000, 1030.18000000, NULL, NULL, NULL, NULL),
(719, 'FA1809-0013', 1, NULL, NULL, NULL, 0, NULL, 2250, '2018-09-25 10:32:20', '2018-09-25', NULL, '2018-09-25', NULL, '2018-11-16 09:34:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 326.40000000, 0.00000000, 0.00000000, 0.00000000, 1632.00000000, 1958.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', 'accord mail Mr barnneron du 30/08/2018', 'Compresseur &agrave; piston COMPAIR Garantie 2 ans pi&eacute;ces et main d&#39;oeuvre', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1632.00000000, 326.40000000, 1958.40000000, NULL, NULL, NULL, NULL),
(720, 'FA1809-0014', 1, NULL, NULL, NULL, 0, NULL, 1996, '2018-09-27 11:00:50', '2018-09-27', NULL, '2018-09-27', NULL, '2018-11-05 11:28:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 123.95000000, 0.00000000, 0.00000000, 0.00000000, 619.78000000, 743.73000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Maintenance compresseur L15 N&deg;100013684 &agrave; 14510 HRS et remplacement sonde de temperature&nbsp;<br />\r\n<br />\r\nBL N&deg; 34 du 140/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 619.78000000, 123.95000000, 743.73000000, NULL, NULL, NULL, NULL),
(721, 'FA1809-0015', 1, NULL, NULL, NULL, 0, NULL, 1988, '2018-09-27 11:06:01', '2018-09-27', NULL, '2018-09-27', NULL, '2018-11-12 09:01:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 144.35000000, 0.00000000, 0.00000000, 0.00000000, 721.75000000, 866.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Maintenance compresseur L55RS N&deg; CD10011035001 &agrave; 33220 HRS<br />\r\n<br />\r\nBL N&deg; 10 du 10/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 721.75000000, 144.35000000, 866.10000000, NULL, NULL, NULL, NULL),
(722, 'FA1809-0016', 1, NULL, NULL, NULL, 0, NULL, 2062, '2018-09-27 11:13:57', '2018-09-27', NULL, '2018-09-27', NULL, '2018-11-05 16:18:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 313.12000000, 0.00000000, 0.00000000, 0.00000000, 1565.59000000, 1878.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Maintenance L26RS N&deg; CD10027118001 &agrave; 9411 HRS -<br />\r\n<br />\r\nBL N&deg; 11 du 10/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1565.59000000, 313.12000000, 1878.71000000, NULL, NULL, NULL, NULL),
(723, 'FA1809-0017', 1, NULL, NULL, 'S97218091015', 0, NULL, 2054, '2018-09-27 11:31:14', '2018-09-27', NULL, '2018-09-27', NULL, '2018-11-15 14:26:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1046.64000000, 0.00000000, 0.00000000, 0.00000000, 5233.20000000, 6279.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'maintenance compresseur L110rs N&deg; CD10017043001 &agrave; 17208HRS<br />\r\n<br />\r\nBL N&deg; 17 du 21/09/2018<br />\r\n<br />\r\nCommande N&deg; S97218091015<br />\r\n<br />\r\nSite d&#39;intervention :<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nLes Olagnieres<br />\r\nLA COTE SILO<br />\r\n2460 CHemin de la voie F&eacute;r&eacute;e<br />\r\n38260 LA COTE SAINT ANDRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5233.20000000, 1046.64000000, 6279.84000000, NULL, NULL, NULL, NULL),
(724, 'FA1809-0018', 1, NULL, NULL, NULL, 0, NULL, 2086, '2018-09-27 11:43:57', '2018-09-27', NULL, '2018-09-27', NULL, '2018-11-07 08:03:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 263.27000000, 0.00000000, 0.00000000, 0.00000000, 1316.37000000, 1579.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Maintenance compresseur L11RS N&deg; BA31759001 &agrave; 17686 HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 10<br />\r\n<br />\r\nBL N&deg;8 du 07/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1316.37000000, 263.27000000, 1579.64000000, NULL, NULL, NULL, NULL),
(725, 'FA1809-0019', 1, NULL, NULL, NULL, 0, NULL, 2333, '2018-09-27 14:36:30', '2018-09-27', NULL, '2018-09-27', NULL, '2018-11-09 08:36:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.40000000, 0.00000000, 0.00000000, 0.00000000, 112.00000000, 134.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Souflettes', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 112.00000000, 22.40000000, 134.40000000, NULL, NULL, NULL, NULL),
(726, 'FA1809-0020', 1, NULL, NULL, NULL, 0, NULL, 2075, '2018-09-27 14:51:20', '2018-09-27', NULL, '2018-09-27', NULL, '2018-11-26 08:16:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 110.66000000, 0.00000000, 0.00000000, 0.00000000, 553.29000000, 663.95000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Maintenance L07 N&deg; CD10004696001 &agrave; 18613 HRS<br />\r\n<br />\r\nBL N&deg;6 du 06/09/2018&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 553.29000000, 110.66000000, 663.95000000, NULL, NULL, NULL, NULL),
(727, 'FA1809-0021', 1, NULL, NULL, NULL, 0, NULL, 2086, '2018-09-27 14:54:44', '2018-09-27', NULL, '2018-09-27', NULL, '2018-10-11 15:11:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 289.05000000, 0.00000000, 0.00000000, 0.00000000, 1445.25000000, 1734.30000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 8, 2, '2018-09-28', NULL, 'Remplacement de votre s&eacute;cheur par r&eacute;frigeration CTA&nbsp; hors service par un secheur par r&eacute;frigeration OMI ED144&nbsp; traitant le d&eacute;bit de votre compresseur L11RS :&nbsp;<br />\r\n<br />\r\nBL N&deg;41 du 09/08/2018<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1445.25000000, 289.05000000, 1734.30000000, NULL, NULL, NULL, NULL),
(728, 'FA1809-0022', 1, NULL, NULL, NULL, 0, NULL, 2095, '2018-09-27 15:03:09', '2018-09-27', NULL, '2018-09-27', NULL, '2018-10-31 08:02:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 131.90000000, 0.00000000, 0.00000000, 0.00000000, 659.51000000, 791.41000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-10-31', NULL, 'Maintenance compresseur Devilbiss SFR15 N&deg; UGO15405G &agrave; 14263 HRS<br />\r\n<br />\r\nBL N&deg; 14 du 14/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 659.51000000, 131.90000000, 791.41000000, NULL, NULL, NULL, NULL),
(729, 'FA1809-0023', 1, NULL, NULL, NULL, 0, NULL, 2347, '2018-09-27 15:08:22', '2018-09-27', NULL, '2018-09-27', NULL, '2018-11-05 11:31:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 15.95000000, 0.00000000, 0.00000000, 0.00000000, 79.76000000, 95.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'kit de maintenance pour owamat 1 :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 79.76000000, 15.95000000, 95.71000000, NULL, NULL, NULL, NULL),
(730, 'FA1809-0024', 1, NULL, NULL, 'Sécheur Par Réfrigération + Owamat', 0, NULL, 2161, '2018-09-27 15:14:40', '2018-09-27', NULL, '2018-09-27', NULL, '2018-11-16 09:28:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 535.86000000, 0.00000000, 0.00000000, 0.00000000, 2679.29000000, 3215.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Remplacement de votre&nbsp; secheur par r&eacute;frigeration ( compresseur 22KW )&nbsp; suite &agrave; fuite du gaz et presostat d&eacute;faillant par un s&eacute;cheur par r&eacute;frigeration neuf .<br />\r\n<br />\r\nRemplacement de votre s&eacute;parateur de condensats PURO CC4 par un separateur de condensats traitant un plus gros d&eacute;bit&nbsp; - reconstruction de la conduite d&#39;evacuation d&#39;eau PVC 32 avec 4 coudes&nbsp;<br />\r\n<br />\r\nBL N+ 16 du 17/09/2018<br />\r\n<br />\r\nCommande N&deg; 2100/18014377', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2679.29000000, 535.86000000, 3215.15000000, NULL, NULL, NULL, NULL),
(731, 'FA1809-0025', 1, NULL, NULL, NULL, 0, NULL, 9822, '2018-09-27 15:16:57', '2018-09-27', NULL, '2018-09-27', NULL, '2018-10-31 08:03:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 43.31000000, 0.00000000, 0.00000000, 0.00000000, 216.58000000, 259.89000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'changement vanne de purge sur cuve<br />\r\n<br />\r\nBL N&deg; 31 du 11/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 216.58000000, 43.31000000, 259.89000000, NULL, NULL, NULL, NULL),
(732, 'FA1809-0026', 1, NULL, NULL, NULL, 0, NULL, 9822, '2018-09-27 15:19:01', '2018-09-27', NULL, '2018-09-27', NULL, '2018-10-31 08:03:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 30.18000000, 0.00000000, 0.00000000, 0.00000000, 150.93000000, 181.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'remplcament flotteur sur filtre ACD<br />\r\n<br />\r\nBL N&deg; 30 du 07/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 150.93000000, 30.18000000, 181.11000000, NULL, NULL, NULL, NULL),
(733, 'FA1809-0027', 1, NULL, NULL, NULL, 0, NULL, 12788, '2018-09-27 15:21:21', '2018-09-27', NULL, '2018-10-09', NULL, '2018-10-26 06:59:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 88.20000000, 0.00000000, 0.00000000, 0.00000000, 441.00000000, 529.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-10-27', NULL, 'Remplacement moteur ventilateur de votre secheur :&nbsp;<br />\r\n<br />\r\nN&deg; 7 du 06/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 441.00000000, 88.20000000, 529.20000000, NULL, NULL, NULL, NULL),
(734, 'FA1809-0028', 1, NULL, NULL, NULL, 0, NULL, 2276, '2018-09-27 15:38:06', '2018-09-27', NULL, '2018-09-27', NULL, '2018-10-31 08:03:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 167.55000000, 0.00000000, 0.00000000, 0.00000000, 837.77000000, 1005.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Maintenance compresseur Ingersollrand IRN18-10H &agrave; 50220 HRS<br />\r\n<br />\r\nBL N&deg; 18 du 21/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 837.77000000, 167.55000000, 1005.32000000, NULL, NULL, NULL, NULL),
(735, 'FA1809-0029', 1, NULL, NULL, NULL, 0, NULL, 2321, '2018-09-27 15:39:57', '2018-09-27', NULL, '2018-09-27', NULL, '2018-11-21 08:15:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 172.92000000, 0.00000000, 0.00000000, 0.00000000, 864.60000000, 1037.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', 'CONTRAT LISE', 'Maintenance L15 N&deg;1002718001 &agrave; 3653 HRS<br />\r\n<br />\r\nBL N&deg;29 du 06/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 864.60000000, 172.92000000, 1037.52000000, NULL, NULL, NULL, NULL),
(736, 'FA1809-0030', 1, NULL, NULL, NULL, 0, NULL, 12623, '2018-09-28 08:50:16', '2018-09-28', NULL, '2018-09-28', NULL, '2018-12-13 12:27:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 60.00000000, 0.00000000, 0.00000000, 0.00000000, 300.00000000, 360.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-10-28', NULL, 'Location compresseur Devillbiss 15 10 N&deg; 2338020003 &agrave; 1661 H&nbsp;<br />\r\nCuve pauchard 300Litres avec purge electropilot&eacute;e<br />\r\nS&eacute;cheur compair F39HS &amp;purge electropilot&eacute;e<br />\r\n<br />\r\nBL N&deg; 50 du 06/09/2018<br />\r\nDate de demande de r&eacute;cuperation du mat&eacute;riel : 21/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 300.00000000, 60.00000000, 360.00000000, NULL, NULL, NULL, NULL),
(737, 'FA1809-0031', 1, NULL, NULL, NULL, 0, NULL, 12777, '2018-09-28 08:58:18', '2018-09-28', NULL, '2018-09-28', NULL, '2018-11-15 14:23:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 256.66000000, 0.00000000, 0.00000000, 0.00000000, 1283.29000000, 1539.95000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-10-31', NULL, 'Maintenance L15rs N&deg; CD10013607001 &agrave; 13256 HRS<br />\r\n<br />\r\n<br />\r\nBL N&deg;27 du 03/09/2018<br />\r\n<br />\r\nCommande N&deg; : 2018/08-0037', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1283.29000000, 256.66000000, 1539.95000000, NULL, NULL, NULL, NULL),
(738, 'FA1809-0032', 1, NULL, NULL, 'S98108181001', 0, NULL, 2054, '2018-09-28 10:20:35', '2018-09-28', NULL, '2018-09-28', NULL, '2018-11-15 14:26:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.97000000, 0.00000000, 0.00000000, 0.00000000, 594.86000000, 713.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Maintenance RS PRO 7.5 N&deg;709122 &agrave; 309HRS<br />\r\n<br />\r\nSite SCES Bl&eacute; 3 batiment polyvalent -<br />\r\nChemin du Pouloux<br />\r\n38270 BEAUREPAIRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 594.86000000, 118.97000000, 713.83000000, NULL, NULL, NULL, NULL),
(739, 'FA1809-0033', 1, NULL, NULL, NULL, 0, NULL, 2289, '2018-09-28 10:27:13', '2018-09-28', NULL, '2018-09-28', NULL, '2018-10-10 07:57:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 140.71000000, 0.00000000, 0.00000000, 0.00000000, 703.50000000, 844.21000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'maintenance l07 N&deg; ba35645002 &agrave; 10701 HRS<br />\r\nfiltres reseaux&nbsp;<br />\r\n<br />\r\nBL 15&nbsp; du 00/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 703.50000000, 140.71000000, 844.21000000, NULL, NULL, NULL, NULL),
(740, 'FA1809-0034', 1, NULL, NULL, 'Imprimante Jet d\'encre', 0, NULL, 2350, '2018-09-28 10:33:24', '2018-09-28', NULL, '2018-09-28', NULL, '2018-11-30 08:44:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 48.34000000, 0.00000000, 0.00000000, 0.00000000, 241.67000000, 290.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Fourniture dun filtre regulateur eau et poussiere 0.1 &agrave; 0.5 Bars :&nbsp;<br />\r\n<br />\r\nCommande N&deg; 1951638-325-G9J-BKP<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 241.67000000, 48.34000000, 290.01000000, NULL, NULL, NULL, NULL),
(741, 'FA1809-0035', 1, NULL, NULL, '1950406-325-G9J-Bkp', 0, NULL, 2350, '2018-09-28 10:37:38', '2018-09-24', NULL, '2018-09-28', NULL, '2018-11-15 14:24:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 657.36000000, 0.00000000, 0.00000000, 0.00000000, 3286.80000000, 3944.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Maintenance Compresseurs :<br />\r\nIngersollrand UP5 15 7 N&deg;2190918 &agrave; 67846 HRS<br />\r\nIngersollrand UP 5 7 8&nbsp; N&deg; UCV1001479 &agrave; 18005 HRS<br />\r\nCompair L45RS&nbsp; N&deg; CD10015094001 &agrave; 23565 HRS<br />\r\net filtres reseaux&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3286.80000000, 657.36000000, 3944.16000000, NULL, NULL, NULL, NULL),
(742, 'FA1809-0036', 1, NULL, NULL, NULL, 0, NULL, 2347, '2018-09-28 10:51:09', '2018-09-28', NULL, '2018-09-28', NULL, '2018-11-05 11:31:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 228.91000000, 0.00000000, 0.00000000, 0.00000000, 1144.54000000, 1373.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'maintenance L15RS N&deg;CD10021874001 - 24098 HRS<br />\r\n<br />\r\nBL N&deg;4 du 05/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1144.54000000, 228.91000000, 1373.45000000, NULL, NULL, NULL, NULL),
(743, 'FA1809-0037', 1, NULL, NULL, NULL, 0, NULL, 12667, '2018-09-28 11:20:55', '2018-09-28', NULL, '2018-09-28', NULL, '2018-12-10 07:50:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 133.10000000, 0.00000000, 0.00000000, 0.00000000, 665.58000000, 798.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-10-31', NULL, 'GX7', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 665.58000000, 133.10000000, 798.68000000, NULL, NULL, NULL, NULL),
(744, 'FA1809-0038', 1, NULL, NULL, NULL, 0, NULL, 2369, '2018-09-28 11:28:26', '2018-09-28', NULL, '2018-09-28', NULL, '2018-11-16 09:27:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 147.47000000, 0.00000000, 0.00000000, 0.00000000, 737.36000000, 884.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Reparation compresseur mobile COMPAIR C180<br />\r\n<br />\r\nBL N&deg;45 du 24/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 737.36000000, 147.47000000, 884.83000000, NULL, NULL, NULL, NULL),
(745, 'FA1809-0039', 1, NULL, NULL, 'canalis et divers', 0, NULL, 2383, '2018-09-28 11:36:41', '2018-09-28', NULL, '2018-09-28', NULL, '2018-11-30 08:43:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 705.97000000, 0.00000000, 0.00000000, 0.00000000, 3529.82000000, 4235.79000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3529.82000000, 705.97000000, 4235.79000000, NULL, NULL, NULL, NULL),
(746, 'FA1809-0040', 1, NULL, NULL, NULL, 0, NULL, 2092, '2018-09-28 11:40:13', '2018-09-28', NULL, '2018-09-28', NULL, '2018-10-22 07:41:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 24.01000000, 0.00000000, 0.00000000, 0.00000000, 120.06000000, 144.07000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'maintenance RSDB 4 N&deg;541046 &agrave; 3092 HRS<br />\r\n<br />\r\nBL 5 du 06/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 120.06000000, 24.01000000, 144.07000000, NULL, NULL, NULL, NULL),
(747, 'FA1809-0041', 1, NULL, NULL, NULL, 0, NULL, 2386, '2018-09-28 11:43:30', '2018-09-28', NULL, '2018-09-28', NULL, '2018-12-10 07:49:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 269.30000000, 0.00000000, 0.00000000, 0.00000000, 1346.53000000, 1615.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Maintenance L11 N&deg;BA42544001 &agrave; 402 HRS<br />\r\nMaintenance BS61 &agrave; 22690 HRS<br />\r\n<br />\r\nBL N&deg; 24 &amp;25 du 31/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1346.53000000, 269.30000000, 1615.83000000, NULL, NULL, NULL, NULL),
(748, 'FA1809-0042', 1, NULL, NULL, '1800729', 0, NULL, 1948, '2018-09-28 11:46:12', '2018-09-28', NULL, '2018-09-28', NULL, '2018-11-15 14:23:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 43.01000000, 0.00000000, 0.00000000, 0.00000000, 215.06000000, 258.07000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 215.06000000, 43.01000000, 258.07000000, NULL, NULL, NULL, NULL),
(749, 'AC1809-0001', 1, NULL, NULL, NULL, 3, NULL, 6086, '2018-09-28 11:49:06', '2018-09-28', NULL, '2018-09-28', NULL, '2018-09-28 09:49:24', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 8160.00000000, 0.00000000, 0.00000000, 0.00000000, 40800.00000000, 48960.00000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2018-09-29', NULL, 'DOSSIER AC N2 et OX', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 40800.00000000, 8160.00000000, 48960.00000000, NULL, NULL, NULL, NULL),
(750, 'FA1809-0043', 1, NULL, NULL, '1950406-325-G9J-Bkp', 0, NULL, 2350, '2018-09-28 11:59:16', '2018-09-28', NULL, '2018-09-28', NULL, '2018-11-15 14:24:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1688.95000000, 0.00000000, 0.00000000, 0.00000000, 8444.76000000, 10133.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Modification du r&eacute;seau inox en diametre 42 :&nbsp;<br />\r\nMise en place d&#39;un T avec une vanne au niveau du coude sur le reseau du compresseur UPS 5 7 - connexion en souple de la vanne au s&eacute;cheur par adsoption &agrave; votre charge<br />\r\nCreation et raccordement d&#39;un bypass sur le nouveau secheur par adsoption compair apres le s&eacute;cheur frigorifique compair existant et raccordement du compresseur Rallye 40 en inox en amont du secheur par adsorption .<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 8444.76000000, 1688.95000000, 10133.71000000, NULL, NULL, NULL, NULL),
(751, 'FA1809-0047', 1, NULL, NULL, '509133', 0, NULL, 2123, '2018-09-28 12:09:34', '2018-09-28', NULL, '2018-10-02', NULL, '2018-11-20 08:24:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 577.07000000, 0.00000000, 0.00000000, 0.00000000, 2885.43000000, 3462.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Maintenance L29RS N&deg; CD10032874001 &agrave; 4249 HRS<br />\r\n<br />\r\nBL N&deg; 12 du 12/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2885.43000000, 577.07000000, 3462.50000000, NULL, NULL, NULL, NULL),
(752, 'FA1809-0044', 1, NULL, NULL, NULL, 0, NULL, 2276, '2018-09-28 12:19:21', '2018-09-28', NULL, '2018-09-28', NULL, '2018-10-31 08:03:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.79000000, 0.00000000, 0.00000000, 0.00000000, 113.98000000, 136.77000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'accesoires pour aspirateur', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 113.98000000, 22.79000000, 136.77000000, NULL, NULL, NULL, NULL),
(754, 'FA1809-0045', 1, NULL, NULL, 'S97218091015', 0, NULL, 2054, '2018-10-01 13:43:02', '2018-09-28', NULL, '2018-10-01', NULL, '2018-11-15 14:26:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 792.71000000, 0.00000000, 0.00000000, 0.00000000, 3963.56000000, 4756.27000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Maintenance secheur alumine HL01500 , remplcament cartouches filtres reseaux<br />\r\n<br />\r\nN&deg; 33 du 12/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3963.56000000, 792.71000000, 4756.27000000, NULL, NULL, NULL, NULL),
(755, 'FA1809-0046', 1, NULL, NULL, NULL, 0, NULL, 2247, '2018-10-01 13:51:17', '2018-09-28', NULL, '2018-10-01', NULL, '2018-10-11 15:10:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 66.50000000, 0.00000000, 0.00000000, 0.00000000, 332.50000000, 399.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Intervention sur compresseur L18RS&nbsp;<br />\r\n<br />\r\nBL N&deg;43 du 19/09/2018 &amp; BL n&deg;50 du 03/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 332.50000000, 66.50000000, 399.00000000, NULL, NULL, NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(756, 'FA1809-0048', 1, NULL, NULL, NULL, 0, NULL, 2102, '2018-10-02 10:17:15', '2018-09-28', NULL, '2018-10-02', NULL, '2018-12-05 08:12:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 74.54000000, 0.00000000, 0.00000000, 0.00000000, 372.68000000, 447.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'intervention sur eclairage sit&eacute; 6&nbsp;<br />\r\n<br />\r\nBL N&deg; 36 du 20/08/18', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 372.68000000, 74.54000000, 447.22000000, NULL, NULL, NULL, NULL),
(757, 'FA1809-0049', 1, NULL, NULL, NULL, 0, NULL, 2042, '2018-10-02 10:32:28', '2018-09-28', NULL, '2018-10-02', NULL, '2018-11-05 16:17:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 104.96000000, 0.00000000, 0.00000000, 0.00000000, 524.83000000, 629.79000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Maintenance RSDK 5.5 &agrave; 444 HRS<br />\r\n<br />\r\nBL N&deg;45 du 28/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 524.83000000, 104.96000000, 629.79000000, NULL, NULL, NULL, NULL),
(758, 'FA1809-0050', 1, NULL, NULL, NULL, 0, NULL, 2029, '2018-10-02 10:38:30', '2018-09-28', NULL, '2018-10-02', NULL, '2018-11-16 09:28:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 191.96000000, 0.00000000, 0.00000000, 0.00000000, 959.81000000, 1151.77000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Maintenance compresseur L11 N° 100014090/0101 à 33152 HRS<br />\r\nMaintenance seprateur de condensats OWAMAT 10<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\nBL N° 45 du 29/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 959.81000000, 191.96000000, 1151.77000000, NULL, NULL, NULL, NULL),
(759, 'FA1809-0051', 1, NULL, NULL, NULL, 0, NULL, 2108, '2018-10-02 11:03:55', '2018-09-28', NULL, '2018-10-02', NULL, '2018-12-10 07:48:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 90.80000000, 0.00000000, 0.00000000, 0.00000000, 453.98000000, 544.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'intervention sur compresseur devilllbiss remplcament regulateur de pression et coupleur<br />\r\n<br />\r\nBL N&deg;21 du 26/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 453.98000000, 90.80000000, 544.78000000, NULL, NULL, NULL, NULL),
(760, 'FA1809-0052', 1, NULL, NULL, NULL, 0, NULL, 2373, '2018-10-02 11:14:08', '2018-09-28', NULL, '2018-10-02', NULL, '2018-11-06 07:46:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 254.44000000, 0.00000000, 0.00000000, 0.00000000, 1272.28000000, 1526.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Maintenance compresseur Rollair 1400B &agrave; 4762 HRS et Ingersollrand &agrave; 11651 HRS :<br />\r\nMaintenance seprateur de condensats<br />\r\n<br />\r\nBL N&deg;19 &amp; 20 du 26/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1272.28000000, 254.44000000, 1526.72000000, NULL, NULL, NULL, NULL),
(761, 'FA1809-0053', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-10-03 10:23:30', '2018-09-28', NULL, '2018-10-03', NULL, '2018-11-16 10:04:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-10-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(762, 'FA1810-0002', 1, NULL, NULL, NULL, 0, NULL, 12757, '2018-10-10 09:36:29', '2018-10-10', NULL, '2018-10-10', NULL, '2018-10-10 12:53:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 307.06000000, 0.00000000, 0.00000000, 0.00000000, 1535.30000000, 1842.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-11-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1535.30000000, 307.06000000, 1842.36000000, NULL, NULL, NULL, NULL),
(763, 'FA1810-0003', 1, NULL, NULL, NULL, 0, NULL, 2046, '2018-10-11 15:06:21', '2018-10-11', NULL, '2018-10-11', NULL, '2018-12-12 07:59:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 0.20000000, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Compresseur L15 10 Bars&nbsp; N&deg; CD10002014007', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1.00000000, 0.20000000, 1.20000000, NULL, NULL, NULL, NULL),
(764, 'FA1810-0004', 1, NULL, NULL, NULL, 0, NULL, 12813, '2018-10-12 10:23:15', '2018-10-12', NULL, '2018-10-12', NULL, '2018-10-15 08:38:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 44.25000000, 0.00000000, 0.00000000, 0.00000000, 221.28000000, 265.53000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2018-10-13', NULL, 'Fourniture pour compresseur &agrave; piston SILPACK 07NBE-&nbsp; N&deg; 250504', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 221.28000000, 44.25000000, 265.53000000, NULL, NULL, NULL, NULL),
(765, 'FA1810-0005', 1, NULL, NULL, NULL, 0, NULL, 2289, '2018-10-26 14:26:31', '2018-10-26', NULL, '2018-10-26', NULL, '2018-11-09 08:36:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1906.01000000, 0.00000000, 0.00000000, 0.00000000, 9530.06000000, 11436.07000000, 2, 4, 4, 4, NULL, NULL, NULL, NULL, NULL, 7, 2, '2018-10-27', NULL, 'local air comprimé - compresseur L11rs <br />\r\n<br />\r\n1%d\'escompte pour paiement comptant comme vu ensemble', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 9530.06000000, 1906.01000000, 11436.07000000, NULL, NULL, NULL, NULL),
(766, 'AC1810-0001', 1, NULL, NULL, NULL, 3, NULL, 2333, '2018-10-29 14:50:23', '2018-10-29', NULL, '2018-10-29', NULL, '2018-11-26 08:16:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 460.00000000, 0.00000000, 0.00000000, 0.00000000, 2300.00000000, 2760.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2018-10-30', NULL, 'Fourniture d&#39;un compresseur 22 Kw vitesse fixe RS PRO 22 - 10 Bars&nbsp; avec r&eacute;chauffeur mont&eacute; d&#39;usine et 1 jeu de filtre suplementaire.<br />\r\nCompresseur Renner garantie 2 ans pi&eacute;ces et main d&#39;oeuvre<br />\r\n<br />\r\nR&eacute;glement en 3 fois :<br />\r\n2300&euro; HT &agrave; la commande&nbsp;<br />\r\n2300 &euro; HT &agrave; 30 Jours<br />\r\n2300 &euro;&nbsp; HT&agrave; 60 jours&nbsp;<br />\r\n<br />\r\nPret d&#39;un compresseur BDS en attendant la reception du compresseur Renner .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2300.00000000, 460.00000000, 2760.00000000, NULL, NULL, NULL, NULL),
(767, 'AV1810-0001', 1, NULL, NULL, NULL, 2, NULL, 2102, '2018-10-29 16:53:01', '2018-10-29', NULL, '2018-10-29', NULL, '2018-12-05 08:13:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -19.76000000, 0.00000000, 0.00000000, 0.00000000, -98.80000000, -118.56000000, 2, 5, NULL, 5, NULL, 756, NULL, NULL, NULL, 0, 2, '2018-10-29', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -98.80000000, -19.76000000, -118.56000000, NULL, NULL, NULL, NULL),
(768, 'FA1810-0006', 1, NULL, NULL, NULL, 0, NULL, 1940, '2018-10-31 11:49:38', '2018-10-31', NULL, '2018-10-31', NULL, '2019-01-03 11:19:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 375.75000000, 0.00000000, 0.00000000, 0.00000000, 1878.68000000, 2254.43000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Maintenance de votre compresseur L45RS N&deg; CD10023839001 &agrave; 14532 HRS<br />\r\nRemplacement cartouches filtres r&eacute;seaux&nbsp;<br />\r\nMaintenance s&eacute;parateur de condensats owamat14<br />\r\n<br />\r\nBL N&deg;45 du 20/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1878.68000000, 375.75000000, 2254.43000000, NULL, NULL, NULL, NULL),
(769, 'FA1810-0007', 1, NULL, NULL, NULL, 0, NULL, 1997, '2018-10-31 11:57:40', '2018-10-31', NULL, '2018-10-31', NULL, '2018-11-16 09:36:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 20.70000000, 0.00000000, 0.00000000, 0.00000000, 103.50000000, 124.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Batterie pour groupe electrogene', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 103.50000000, 20.70000000, 124.20000000, NULL, NULL, NULL, NULL),
(770, 'FA1810-0008', 1, NULL, NULL, NULL, 0, NULL, 1983, '2018-10-31 12:02:39', '2018-10-31', NULL, '2018-10-31', NULL, '2018-12-27 12:26:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 185.84000000, 0.00000000, 0.00000000, 0.00000000, 929.17000000, 1115.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Maintenance L07RS N&deg; BA2765001 &agrave; 13825 HRS<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;50 du 10/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 929.17000000, 185.84000000, 1115.01000000, NULL, NULL, NULL, NULL),
(771, 'FA1810-0009', 1, NULL, NULL, NULL, 0, NULL, 2008, '2018-10-31 12:10:55', '2018-10-31', NULL, '2018-10-31', NULL, '2018-12-03 09:36:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 122.41000000, 0.00000000, 0.00000000, 0.00000000, 612.08000000, 734.49000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Maintenance compresseur 6000 EL &agrave; 39015 HRS<br />\r\n<br />\r\nBL N&deg;27 du 05/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 612.08000000, 122.41000000, 734.49000000, NULL, NULL, NULL, NULL),
(772, 'FA1810-0010', 1, NULL, NULL, NULL, 0, NULL, 2043, '2018-10-31 14:13:18', '2018-10-31', NULL, '2018-10-31', NULL, '2019-01-03 11:20:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 172.91000000, 0.00000000, 0.00000000, 0.00000000, 864.57000000, 1037.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Maintenance compresseur Start036 N&deg;349012/2329&nbsp;<br />\r\nremplacement AU cass&eacute;<br />\r\nremplacement cartouche BEA290RB<br />\r\n<br />\r\nBL N&deg; 28 du 05/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 864.57000000, 172.91000000, 1037.48000000, NULL, NULL, NULL, NULL),
(773, 'FA1810-0011', 1, NULL, NULL, 'Mini REACTEUR', 0, NULL, 2055, '2018-10-31 14:17:25', '2018-10-31', NULL, '2018-10-31', NULL, '2018-12-10 07:48:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.94000000, 0.00000000, 0.00000000, 0.00000000, 594.71000000, 713.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 15, 2, '2018-11-01', NULL, 'Fourniture et remplacement pieces defectueuses.<br />\r\n<br />\r\nBL N&deg;40 du 08/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 594.71000000, 118.94000000, 713.65000000, NULL, NULL, NULL, NULL),
(774, 'FA1810-0012', 1, NULL, NULL, NULL, 0, NULL, 2071, '2018-10-31 14:21:14', '2018-10-31', NULL, '2018-10-31', NULL, '2018-12-17 16:56:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 136.40000000, 0.00000000, 0.00000000, 0.00000000, 682.00000000, 818.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Intervention sur r&eacute;seau d&#39;air suite &agrave; pollution d&#39;huile<br />\r\n<br />\r\nBL N&deg; 6 du 18/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 682.00000000, 136.40000000, 818.40000000, NULL, NULL, NULL, NULL),
(775, 'FA1810-0013', 1, NULL, NULL, NULL, 0, NULL, 12581, '2018-10-31 14:32:01', '2018-10-31', NULL, '2018-10-31', NULL, '2018-12-03 09:37:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 136.66000000, 0.00000000, 0.00000000, 0.00000000, 683.34000000, 820.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-11-30', NULL, 'Maintenance GA15+FF &agrave; 5159 HRS<br />\r\n<br />\r\nCommande N&deg; 01978 du 08/10/2018<br />\r\nChantier Centrale enrob&eacute; N&deg; 82000<br />\r\nContact Fabien Laurent', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 683.34000000, 136.66000000, 820.00000000, NULL, NULL, NULL, NULL),
(776, 'FA1810-0014', 1, NULL, NULL, NULL, 0, NULL, 12581, '2018-10-31 15:08:14', '2018-10-31', NULL, '2018-10-31', NULL, '2018-12-03 09:37:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 60.75000000, 0.00000000, 0.00000000, 0.00000000, 303.75000000, 364.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-11-30', NULL, 'Maintenance compresseur &agrave; piston N&deg;4210 &agrave; 240 HRS<br />\r\n<br />\r\nCommande N&deg;01977 du 08/10/2018<br />\r\nSite Centrale emulsion N&deg;82100<br />\r\n<br />\r\nBL N&deg;29 du 08/108/2018<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.75000000, 60.75000000, 364.50000000, NULL, NULL, NULL, NULL),
(777, 'FA1810-0015', 1, NULL, NULL, NULL, 0, NULL, 6521, '2018-10-31 15:11:15', '2018-10-31', NULL, '2018-10-31', NULL, '2019-01-08 10:58:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 69.30000000, 0.00000000, 0.00000000, 0.00000000, 346.49000000, 415.79000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-11-30', NULL, 'Maintenance compresseur CLT507NTBD de 2013 Compair :&nbsp;<br />\r\n<br />\r\nBL N&deg;26 du 05/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 346.49000000, 69.30000000, 415.79000000, NULL, NULL, NULL, NULL),
(778, 'FA1810-0016', 1, NULL, NULL, NULL, 0, NULL, 2136, '2018-10-31 15:18:18', '2018-10-31', NULL, '2018-10-31', NULL, '2018-12-03 09:35:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 139.52000000, 0.00000000, 0.00000000, 0.00000000, 697.58000000, 837.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Maintenance rsdk pro 5.5 N&deg;639018 &agrave; 4100 HRS<br />\r\n<br />\r\nBL N&deg;31 &agrave; 12/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 697.58000000, 139.52000000, 837.10000000, NULL, NULL, NULL, NULL),
(779, 'FA1810-0017', 1, NULL, NULL, NULL, 0, NULL, 2122, '2018-10-31 15:22:52', '2018-10-31', NULL, '2018-11-08', NULL, '2018-12-18 08:21:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 19.26000000, 0.00000000, 0.00000000, 0.00000000, 96.30000000, 115.56000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-11-30', NULL, 'Commande N&deg;37380', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 96.30000000, 19.26000000, 115.56000000, NULL, NULL, NULL, NULL),
(780, 'FA1810-0018', 1, NULL, NULL, NULL, 0, NULL, 12792, '2018-10-31 15:37:52', '2018-10-31', NULL, '2018-10-31', NULL, '2019-02-07 21:57:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1079.20000000, 0.00000000, 0.00000000, 0.00000000, 5396.00000000, 6475.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-11-30', NULL, 'Fourniture et installation d&#39;un local d&#39;air comprim&eacute;&nbsp;<br />\r\nHors raccordements &eacute;l&eacute;ctriques .&nbsp;<br />\r\nPose d&#39;un sectionneur de proximit&eacute; &agrave; votre charge .<br />\r\n<br />\r\nCommande N&deg; 10 - investissement 2018<br />\r\nvos references JMD/SB/PU<br />\r\n<br />\r\n<strong>lieu des travaux :&nbsp;</strong><br />\r\nEIFFAGE ROUTE ENTRE EST<br />\r\nETABLISSEMENT ISARDROME<br />\r\n101 AVenue du POrt&nbsp;<br />\r\nSalaise sur sanne<br />\r\n38556 SAINT MAURICE L EXIL<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5396.00000000, 1079.20000000, 6475.20000000, NULL, NULL, NULL, NULL),
(781, 'FA1810-0019', 1, NULL, NULL, NULL, 0, NULL, 2161, '2018-10-31 15:49:44', '2018-10-31', NULL, '2018-10-31', NULL, '2018-12-17 16:55:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 48.62000000, 0.00000000, 0.00000000, 0.00000000, 243.06000000, 291.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Remplacement vanne thermostatique sur compresseur Rollair15 N&deg; CAI410726 &agrave; 31666 HRS<br />\r\n<br />\r\nCommande N) 2100/18015638<br />\r\n<br />\r\nBL N&deg;41 du 09/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 243.06000000, 48.62000000, 291.68000000, NULL, NULL, NULL, NULL),
(782, 'FA1810-0020', 1, NULL, NULL, NULL, 0, NULL, 2184, '2018-10-31 16:01:39', '2018-10-31', NULL, '2018-10-31', NULL, '2019-01-07 08:11:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 445.06000000, 0.00000000, 0.00000000, 0.00000000, 2225.32000000, 2670.38000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Maintenance L45RS ( 2018 ) N&deg; CD10034859001 en huile alimentaire &agrave; 4288 HRS<br />\r\n<br />\r\nBL N&deg; 22 du 01/10/2018<br />\r\n<br />\r\nCommande N&deg; 7000733307', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2225.32000000, 445.06000000, 2670.38000000, NULL, NULL, NULL, NULL),
(783, 'FA1810-0021', 1, NULL, NULL, '2934591', 0, NULL, 2234, '2018-10-31 16:57:27', '2018-10-31', NULL, '2018-10-31', NULL, '2018-12-19 08:02:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2018-11-01', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, NULL, NULL, NULL),
(784, 'FA1811-0001', 1, NULL, NULL, NULL, 0, NULL, 2136, '2018-11-06 10:47:36', '2018-11-06', NULL, '2018-11-06', NULL, '2018-12-03 09:35:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 15.37000000, 0.00000000, 0.00000000, 0.00000000, 76.83000000, 92.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'cartouche filtre reseau', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 76.83000000, 15.37000000, 92.20000000, NULL, NULL, NULL, NULL),
(785, 'FA1810-0022', 1, NULL, NULL, NULL, 0, NULL, 2128, '2018-11-06 11:02:15', '2018-10-31', NULL, '2018-11-06', NULL, '2018-12-14 12:31:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 250.49000000, 0.00000000, 0.00000000, 0.00000000, 1252.48000000, 1502.97000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Maintenance compresseur L11RS N&deg; BA4491101 &agrave; 3601 HRS sous contrat liss&eacute;<br />\r\net remplacement de 2 cartouches filtres r&eacute;seaux<br />\r\net remplacement kit separateur de condensatsPURO MINI<br />\r\nBL N&deg; 10 du 19/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1252.48000000, 250.49000000, 1502.97000000, NULL, NULL, NULL, NULL),
(786, 'FA1810-0023', 1, NULL, NULL, 'CDA-FCA1812004', 0, NULL, 2127, '2018-11-06 11:11:42', '2018-10-31', NULL, '2018-11-06', NULL, '2019-01-03 11:18:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 456.75000000, 0.00000000, 0.00000000, 0.00000000, 2283.76000000, 2740.51000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Maintenance du Compresseur L75SR&agrave; 56348 HRS<br />\r\n<br />\r\nSuivant BL N&deg; ? du 29/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2283.76000000, 456.75000000, 2740.51000000, NULL, NULL, NULL, NULL),
(787, 'FA1811-0002', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-11-06 11:17:40', '2018-11-06', NULL, '2018-11-06', NULL, '2018-11-27 15:00:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(788, 'FA1810-0024', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2018-11-06 11:20:24', '2018-10-31', NULL, '2018-11-06', NULL, '2018-12-12 07:55:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(789, 'FA1811-0003', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2018-11-06 11:54:35', '2018-11-06', NULL, '2018-11-06', NULL, '2018-12-12 07:55:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(790, 'FA1810-0025', 1, NULL, NULL, 'CUVE A.C', 0, NULL, 2175, '2018-11-06 12:13:31', '2018-10-31', NULL, '2018-11-06', NULL, '2018-12-17 16:55:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 471.48000000, 0.00000000, 0.00000000, 0.00000000, 2357.39000000, 2828.87000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 9, 2, '2018-11-01', NULL, 'Preparation des reservoirs pour epreuve des separateurs sur compresseur d&#39;air sullair et altals ainsi que pcuve pauchard 1500Litres de 1987<br />\r\nIntervention sur compresseur sullair changement separateur et vidange, ainsi que le remplcament du relai de maintien<br />\r\n<br />\r\nBL N&deg;44 du 19/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2357.39000000, 471.48000000, 2828.87000000, NULL, NULL, NULL, NULL),
(791, 'FA1811-0004', 1, NULL, NULL, NULL, 0, NULL, 2175, '2018-11-06 14:58:01', '2018-11-06', NULL, '2018-11-06', NULL, '2019-01-16 08:41:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 26.06000000, 0.00000000, 0.00000000, 0.00000000, 130.30000000, 156.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'fourniture d&#39;une soupape', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 130.30000000, 26.06000000, 156.36000000, NULL, NULL, NULL, NULL),
(792, 'FA1810-0026', 1, NULL, NULL, 'ponceuse', 0, NULL, 2178, '2018-11-06 15:08:13', '2018-10-31', NULL, '2018-11-06', NULL, '2018-12-03 09:37:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 37.90000000, 0.00000000, 0.00000000, 0.00000000, 189.48000000, 227.38000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 189.48000000, 37.90000000, 227.38000000, NULL, NULL, NULL, NULL),
(793, 'FA1810-0027', 1, NULL, NULL, NULL, 0, NULL, 9795, '2018-11-06 15:25:07', '2018-10-31', NULL, '2018-11-06', NULL, '2018-11-23 13:04:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 170.80000000, 0.00000000, 0.00000000, 0.00000000, 854.00000000, 1024.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-11-30', NULL, 'Fourniture d&#39;un compresseur &agrave; piston sur cuve 100 Litres et d&#39;une purge temporis&eacute;&nbsp;<br />\r\nFourniture d&#39;un enrouleur de 20 M<br />\r\nHors Raccordement &eacute;l&eacute;ctrique&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 854.00000000, 170.80000000, 1024.80000000, NULL, NULL, NULL, NULL),
(794, 'FA1810-0028', 1, NULL, NULL, NULL, 0, NULL, 9795, '2018-11-06 15:28:16', '2018-10-31', NULL, '2018-11-06', NULL, '2018-11-23 13:04:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 48.42000000, 0.00000000, 0.00000000, 0.00000000, 242.10000000, 290.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-11-30', NULL, 'Intervention sur compresseur NUAIR LT100 - remplacement clapet anti retour<br />\r\n<br />\r\nBL N&deg;12 du 25/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 242.10000000, 48.42000000, 290.52000000, NULL, NULL, NULL, NULL),
(795, 'FA1810-0029', 1, NULL, NULL, NULL, 0, NULL, 12784, '2018-11-06 16:05:59', '2018-10-31', NULL, '2018-11-06', NULL, '2018-11-16 09:37:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 400.00000000, 0.00000000, 0.00000000, 0.00000000, 2000.00000000, 2400.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-11-30', NULL, 'Location compresseur Genesis 10 10 avec secheur par r&eacute;frigeration&nbsp; Friulair ACT30.<br />\r\nInclus achat 3 filtres (filtration RA RB CA ) .<br />\r\nnecessaire &agrave; raccordement .<br />\r\n<br />\r\nlocation du 03/09/2018 au 25/10/2018 .<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2000.00000000, 400.00000000, 2400.00000000, NULL, NULL, NULL, NULL),
(796, 'FA1810-0030', 1, NULL, NULL, NULL, 0, NULL, 2311, '2018-11-06 16:45:19', '2018-10-31', NULL, '2018-11-06', NULL, '2018-12-17 16:54:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 18.91000000, 0.00000000, 0.00000000, 0.00000000, 94.62000000, 113.53000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Suite &agrave; votre commande du 31/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 94.62000000, 18.91000000, 113.53000000, NULL, NULL, NULL, NULL),
(797, 'FA1811-0005', 1, NULL, NULL, NULL, 0, NULL, 2231, '2018-11-07 15:59:55', '2018-11-07', NULL, '2018-11-07', NULL, '2018-12-17 16:54:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 154.09000000, 0.00000000, 0.00000000, 0.00000000, 770.45000000, 924.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Intevention et maintenance sur compresseur L15 N&deg; CD10001593001 &agrave; 10004 HRS<br />\r\n<br />\r\nBL N&deg;36 du 31/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 770.45000000, 154.09000000, 924.54000000, NULL, NULL, NULL, NULL),
(798, 'FA1810-0031', 1, NULL, NULL, NULL, 0, NULL, 2289, '2018-11-08 11:24:49', '2018-10-31', NULL, '2018-11-08', NULL, '2018-11-19 09:58:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 55.29000000, 0.00000000, 0.00000000, 0.00000000, 276.44000000, 331.73000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Intervention sur L07 - probleme de fuite alimentation carte. Remplacement du fusible<br />\r\n<br />\r\nBL N&deg;8 du 19/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 276.44000000, 55.29000000, 331.73000000, NULL, NULL, NULL, NULL),
(799, 'FA1810-0032', 1, NULL, NULL, 'variateur ATV31', 0, NULL, 2358, '2018-11-08 11:34:00', '2018-10-31', NULL, '2018-11-08', NULL, '2018-12-12 07:57:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 186.00000000, 0.00000000, 0.00000000, 0.00000000, 930.00000000, 1116.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Remplacement et parametrage variateur de frequence.<br />\r\n<br />\r\nBL N&deg; 3 du 15/10/2018<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 930.00000000, 186.00000000, 1116.00000000, NULL, NULL, NULL, NULL),
(800, 'FA1810-0033', 1, NULL, NULL, NULL, 0, NULL, 2352, '2018-11-08 11:41:33', '2018-10-31', NULL, '2018-11-08', NULL, '2018-12-03 09:35:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 202.39000000, 0.00000000, 0.00000000, 0.00000000, 1011.93000000, 1214.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Maintenance L37RS N&deg; CD100019189001 &agrave; 10515 HRS<br />\r\nRemplacement cartouche des 2 filtres reseaux&nbsp;<br />\r\n<br />\r\nBL N&deg; 34 du 26/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1011.93000000, 202.39000000, 1214.32000000, NULL, NULL, NULL, NULL),
(801, 'FA1810-0034', 1, NULL, NULL, NULL, 0, NULL, 2032, '2018-11-08 11:54:33', '2018-10-31', NULL, '2018-11-08', NULL, '2019-02-21 11:01:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 79.75000000, 0.00000000, 0.00000000, 0.00000000, 398.75000000, 478.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Remplacement pressostat du compresseur KS58<br />\r\n<br />\r\nBL N&deg;25 du 03/10/2017', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 398.75000000, 79.75000000, 478.50000000, NULL, NULL, NULL, NULL),
(802, 'FA1810-0035', 1, NULL, NULL, NULL, 0, NULL, 2032, '2018-11-08 12:11:28', '2018-10-31', NULL, '2018-11-08', NULL, '2019-01-10 15:06:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 41.62000000, 0.00000000, 0.00000000, 0.00000000, 208.10000000, 249.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Intervention &agrave; votre demande compresseur DEFAUT 702 - probleme de pression - rpessostat defectueux lors de la recherche de panne<br />\r\n<br />\r\nBL N&deg;36 du 27/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 208.10000000, 41.62000000, 249.72000000, NULL, NULL, NULL, NULL),
(803, 'FA1810-0036', 1, NULL, NULL, '180926L1', 0, NULL, 2361, '2018-11-08 12:20:02', '2018-10-31', NULL, '2018-11-08', NULL, '2018-12-14 12:30:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 83.22000000, 0.00000000, 0.00000000, 0.00000000, 416.09000000, 499.31000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Maintenance compresseur CLC507NTP-BD -&nbsp;<br />\r\n<br />\r\nBL N&deg;9 du 19/10/2018<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 416.09000000, 83.22000000, 499.31000000, NULL, NULL, NULL, NULL),
(804, 'FA1810-0037', 1, NULL, NULL, '1950406-325-G9J-Bkp', 0, NULL, 2350, '2018-11-08 14:14:38', '2018-10-31', NULL, '2018-11-08', NULL, '2018-12-18 08:22:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1975.94000000, 0.00000000, 0.00000000, 0.00000000, 9879.70000000, 11855.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Raccordement et mise en service secheur A070TXT COMPAIR avec filtres amont et aval .<br />\r\n<br />\r\nBL N&deg;42 du 18/10/18', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 9879.70000000, 1975.94000000, 11855.64000000, NULL, NULL, NULL, NULL),
(805, 'FA1810-0038', 1, NULL, NULL, NULL, 0, NULL, 11275, '2018-11-08 14:22:35', '2018-10-31', NULL, '2018-11-08', NULL, '2018-12-12 07:57:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 33.32000000, 0.00000000, 0.00000000, 0.00000000, 166.61000000, 199.93000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-11-30', NULL, 'Filtres pour compresseur devilbiss', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 166.61000000, 33.32000000, 199.93000000, NULL, NULL, NULL, NULL),
(806, 'FA1810-0039', 1, NULL, NULL, NULL, 0, NULL, 2406, '2018-11-08 14:40:31', '2018-10-31', NULL, '2018-11-08', NULL, '2018-12-10 07:49:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 113.14000000, 0.00000000, 0.00000000, 0.00000000, 565.70000000, 678.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-11-30', NULL, 'Remplacement des 2 diabolos sur secheut CTA DA004 .<br />\r\n<br />\r\nBL N&deg;33 du 26/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 565.70000000, 113.14000000, 678.84000000, NULL, NULL, NULL, NULL),
(807, 'FA1811-0006', 1, NULL, NULL, NULL, 0, NULL, 2178, '2018-11-09 10:03:57', '2018-11-09', NULL, '2018-11-09', NULL, '2018-12-21 09:56:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 73.40000000, 0.00000000, 0.00000000, 0.00000000, 367.00000000, 440.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 367.00000000, 73.40000000, 440.40000000, NULL, NULL, NULL, NULL),
(808, 'FA1811-0007', 1, NULL, NULL, NULL, 0, NULL, 2358, '2018-11-09 14:58:00', '2018-11-09', NULL, '2018-11-09', NULL, '2019-01-16 08:26:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 34.99000000, 0.00000000, 0.00000000, 0.00000000, 174.96000000, 209.95000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Remplacement luminaire salle vestiaire mise enplace d&#39;un pav&eacute; led .<br />\r\n<br />\r\nBL N&deg; 4 du 15/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 174.96000000, 34.99000000, 209.95000000, NULL, NULL, NULL, NULL),
(809, 'FA1811-0008', 1, NULL, NULL, NULL, 0, NULL, 2358, '2018-11-09 15:08:47', '2018-11-09', NULL, '2018-11-09', NULL, '2019-01-16 08:26:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 227.83000000, 0.00000000, 0.00000000, 0.00000000, 1139.18000000, 1367.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'intervention lumiere chapitaux<br />\r\n<br />\r\nBL N&deg;5 du 17/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1139.18000000, 227.83000000, 1367.01000000, NULL, NULL, NULL, NULL),
(810, 'FA1811-0009', 1, NULL, NULL, NULL, 0, NULL, 12623, '2018-11-09 15:33:40', '2018-11-09', NULL, '2018-11-09', NULL, '2019-01-22 08:33:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1200.01000000, 0.00000000, 0.00000000, 0.00000000, 6000.00000000, 7200.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-12-31', NULL, 'Installation et raccordement compresseur Renner RSDK PRO 11 N&deg;842005 ur cuve avec secheur et pr&eacute; filtre .<br />\r\n<br />\r\nBL 37 du 05/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6000.00000000, 1200.01000000, 7200.01000000, NULL, NULL, NULL, NULL),
(811, 'FA1811-0010', 1, NULL, NULL, NULL, 0, NULL, 2276, '2018-11-13 10:20:49', '2018-11-13', NULL, '2018-11-13', NULL, '2019-01-09 08:05:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 621.90000000, 0.00000000, 0.00000000, 0.00000000, 3109.56000000, 3731.46000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'maintenance L29RS N&deg; CD10015163001 &agrave; 36793 HRS &amp; separateur de condensats beko, filtres reseaux :&nbsp;<br />\r\n<br />\r\nBL N&deg; 40 du 10/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3109.56000000, 621.90000000, 3731.46000000, NULL, NULL, NULL, NULL),
(812, 'AC1811-0001', 1, NULL, NULL, NULL, 3, NULL, 2333, '2018-11-13 11:08:09', '2018-11-29', NULL, '2018-11-13', NULL, '2019-01-03 11:21:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 460.00000000, 0.00000000, 0.00000000, 0.00000000, 2300.00000000, 2760.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2018-11-30', NULL, 'Second acompte :Fourniture d&#39;un compresseur 22 Kw vitesse fixe RS PRO 22 - 10 Bars&nbsp; avec r&eacute;chauffeur mont&eacute; d&#39;usine et 1 jeu de filtre suplementaire.<br />\r\nCompresseur Renner garantie 2 ans pi&eacute;ces et main d&#39;oeuvre<br />\r\n<br />\r\n<br />\r\nPret d&#39;un compresseur BDS en attendant la reception du compresseur Renner .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2300.00000000, 460.00000000, 2760.00000000, NULL, NULL, NULL, NULL),
(813, 'FA1811-0011', 1, NULL, NULL, NULL, 0, NULL, 2064, '2018-11-13 11:19:56', '2018-11-13', NULL, '2018-11-13', NULL, '2018-12-19 08:03:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 328.46000000, 0.00000000, 0.00000000, 0.00000000, 1642.32000000, 1970.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Maintenance L37 N&deg; CD10008491001 &agrave; 15815 HRS<br />\r\nBL N&deg; 46 du 06/11/2018<br />\r\nInterventiion sur compresseur&nbsp; L80 N&deg; CD10000635001 &agrave; 33659 HRS - ressort clapet cass&eacute;<br />\r\nBL N&deg;47 du 06/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1642.32000000, 328.46000000, 1970.78000000, NULL, NULL, NULL, NULL),
(815, 'AV1811-0001', 1, NULL, NULL, NULL, 2, NULL, 2354, '2018-11-13 11:29:59', '2018-11-13', NULL, '2018-11-13', NULL, '2018-11-14 09:05:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -71.60000000, 0.00000000, 0.00000000, 0.00000000, -358.00000000, -429.60000000, 2, 5, NULL, 5, NULL, 695, NULL, NULL, NULL, 0, 2, '2018-11-13', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -358.00000000, -71.60000000, -429.60000000, NULL, NULL, NULL, NULL),
(816, 'FA1811-0012', 1, NULL, NULL, NULL, 0, NULL, 2053, '2018-11-14 14:07:52', '2018-11-14', NULL, '2018-11-14', NULL, '2018-12-21 09:55:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 435.54000000, 0.00000000, 0.00000000, 0.00000000, 2177.68000000, 2613.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Maintenance L18RS N&deg; CD10025396001 &agrave; 7692 HRS<br />\r\nBL N&deg;41 du 09/11/2018<br />\r\net remplacement cuve 500Litres N&deg;92062<br />\r\nBL N&deg;42 du 09/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2177.68000000, 435.54000000, 2613.22000000, NULL, NULL, NULL, NULL),
(817, 'FA1811-0013', 1, NULL, NULL, NULL, 0, NULL, 2247, '2018-11-14 14:22:41', '2018-11-14', NULL, '2018-12-06', NULL, '2019-01-02 07:59:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 167.37000000, 0.00000000, 0.00000000, 0.00000000, 836.87000000, 1004.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Maintenance L18RS N&deg;CD10018442001 &agrave; 24000 HRS - owamat 11 et filtre reseaux<br />\r\n<br />\r\nBL N&deg;23 du 01/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 836.87000000, 167.37000000, 1004.24000000, NULL, NULL, NULL, NULL),
(818, 'FA1811-0014', 1, NULL, NULL, NULL, 0, NULL, 12788, '2018-11-14 14:38:53', '2018-11-14', NULL, '2018-11-14', NULL, '2018-12-14 12:32:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 139.63000000, 0.00000000, 0.00000000, 0.00000000, 698.13000000, 837.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-12-14', NULL, 'Remplacement des 2 cartouches de vos filtres r&eacute;seaux :&nbsp;<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 698.13000000, 139.63000000, 837.76000000, NULL, NULL, NULL, NULL),
(819, 'FA1811-0015', 1, NULL, NULL, NULL, 0, NULL, 2318, '2018-11-14 16:27:21', '2018-11-14', NULL, '2018-11-14', NULL, '2019-01-09 08:04:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 114.03000000, 0.00000000, 0.00000000, 0.00000000, 570.13000000, 684.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Intervention sur compresseru L15 N&deg;349017/3740 - defaut erreur 3 remplcament contacteur et relai thermique<br />\r\n<br />\r\nBL N&deg; 15 du 08/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 570.13000000, 114.03000000, 684.16000000, NULL, NULL, NULL, NULL),
(820, 'FA1811-0016', 1, NULL, NULL, 'CC1077', 0, NULL, 11452, '2018-11-15 14:54:15', '2018-11-15', NULL, '2018-11-15', NULL, '2018-12-26 09:03:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 241.80000000, 0.00000000, 0.00000000, 0.00000000, 1209.00000000, 1450.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-12-15', NULL, 'Fourniture et pose d&#39;un enrouleur air comprim&eacute;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1209.00000000, 241.80000000, 1450.80000000, NULL, NULL, NULL, NULL),
(821, 'FA1811-0017', 1, NULL, NULL, NULL, 0, NULL, 12792, '2018-11-15 14:59:18', '2018-11-15', NULL, '2018-11-15', NULL, '2019-02-07 21:57:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 103.97000000, 0.00000000, 0.00000000, 0.00000000, 519.85000000, 623.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-12-31', NULL, 'Mise en place d&#39;une commande &agrave; distance pour le compresseur :&nbsp;<br />\r\n<br />\r\nBL N&deg;16 du 14/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 519.85000000, 103.97000000, 623.82000000, NULL, NULL, NULL, NULL),
(822, 'FA1811-0018', 1, NULL, NULL, NULL, 0, NULL, 2260, '2018-11-15 15:29:55', '2018-11-15', NULL, '2018-11-15', NULL, '2018-12-26 09:02:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 244.58000000, 0.00000000, 0.00000000, 0.00000000, 1222.86000000, 1467.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Maintenance de vos compresseurs :&nbsp;<br />\r\n&nbsp;\r\n<p>Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc<br />\r\n<br />\r\nBL N&deg;4 et 3 du 14/11/2018</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1222.86000000, 244.58000000, 1467.44000000, NULL, NULL, NULL, NULL),
(823, 'FA1811-0019', 1, NULL, NULL, '461823', 0, NULL, 5452, '2018-11-19 10:09:32', '2018-11-19', NULL, '2018-11-19', NULL, '2018-12-21 09:57:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 236.80000000, 0.00000000, 0.00000000, 0.00000000, 1184.00000000, 1420.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-12-31', NULL, 'Fourniture et mise en place d&#39;un reservoir 100 Litres en lieu et place de l&#39;existante :<br />\r\nCommande N&deg; 461823<br />\r\n<br />\r\nLieu d&#39;intervention : ARDECHE ENROBES 07170LAVILLEDIEU', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1184.00000000, 236.80000000, 1420.80000000, NULL, NULL, NULL, NULL),
(824, 'FA1811-0020', 1, NULL, NULL, '461823', 0, NULL, 5452, '2018-11-19 10:14:15', '2018-11-19', NULL, '2018-11-19', NULL, '2018-12-21 09:57:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 342.88000000, 0.00000000, 0.00000000, 0.00000000, 1714.42000000, 2057.30000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2018-12-31', NULL, 'Remplacement en lieu et place d&#39;une cuve 900Litres raccordement en tuyau souple :&nbsp;<br />\r\n<br />\r\nCommande N&deg;461823<br />\r\n<br />\r\nLieu d&#39;intervention : ARDECHE ENROBES 07170 LAVILLEDIEU', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1714.42000000, 342.88000000, 2057.30000000, NULL, NULL, NULL, NULL),
(825, 'FA1811-0021', 1, NULL, NULL, NULL, 0, NULL, 2006, '2018-11-19 14:30:38', '2018-11-19', NULL, '2018-11-19', NULL, '2019-06-17 12:00:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 949.61000000, 0.00000000, 0.00000000, 0.00000000, 4748.05000000, 5697.66000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 15, 2, '2018-11-20', NULL, 'Fourniture et installation d&#39;un compresseur d&#39;occasion L37S N&deg; 100008734/0017 ( ancien VINCI ) de 2006 . 7.5 Bars<br />\r\n<br />\r\nReglement en 3 fois :<br />\r\n<br />\r\n30% &agrave; la commande<br />\r\n30 % &agrave; 30 jours<br />\r\nsolde &agrave; 60 jours', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4748.05000000, 949.61000000, 5697.66000000, NULL, 'facture/FA1811-0021/FA1811-0021.pdf', NULL, NULL),
(826, 'FA1811-0022', 1, NULL, NULL, NULL, 0, NULL, 2175, '2018-11-19 15:15:20', '2018-11-19', NULL, '2018-11-19', NULL, '2019-01-16 08:41:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 46.25000000, 0.00000000, 0.00000000, 0.00000000, 231.29000000, 277.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Intervention sur compresseur SULLAIR TREK 15 N&deg;68565012 &agrave; 11304 HRS - fuite d&#39;huile sur le clapet d&#39;aspiration<br />\r\n<br />\r\nBL N&deg;8 du 15/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 231.29000000, 46.25000000, 277.54000000, NULL, NULL, NULL, NULL),
(827, 'FA1811-0023', 1, NULL, NULL, NULL, 0, NULL, 2174, '2018-11-19 15:34:04', '2018-11-19', NULL, '2018-11-19', NULL, '2019-01-10 15:03:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 414.00000000, 0.00000000, 0.00000000, 0.00000000, 2070.03000000, 2484.03000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Maintenance compresseur COMAPIR L29RS N&deg;CD10018602001 &agrave; 17548 HRS<br />\r\n<br />\r\nBL N&deg;43 du 16/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2070.03000000, 414.00000000, 2484.03000000, NULL, NULL, NULL, NULL),
(828, 'FA1811-0024', 1, NULL, NULL, 'MA118GLB00753', 0, NULL, 2235, '2018-11-19 15:52:02', '2018-11-19', NULL, '2018-11-19', NULL, '2019-02-07 22:12:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 46.02000000, 0.00000000, 0.00000000, 0.00000000, 230.10000000, 276.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'R&eacute;paration fuites sur reseau girair et remplcament cartouches filtres reseaux en votre possesion&nbsp;<br />\r\n<br />\r\nBL N&deg;45 du 16/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.10000000, 46.02000000, 276.12000000, NULL, NULL, NULL, NULL),
(829, 'FA1811-0025', 1, NULL, NULL, 'Secheur', 0, NULL, 2218, '2018-11-20 08:56:11', '2018-11-20', NULL, '2018-11-20', NULL, '2019-01-17 12:26:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 302.00000000, 0.00000000, 0.00000000, 0.00000000, 1510.00000000, 1812.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Remplacement Secheur. Pour diminuer le co&ucirc;t de l&#39;installationnous vous proposons de faire la maintenance de votre compresseur en meme temps, sachant que celle ci est prevue debut Decembre.<br />\r\n<br />\r\nCommande : SFA3010', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1510.00000000, 302.00000000, 1812.00000000, NULL, NULL, NULL, NULL),
(830, 'FA1811-0026', 1, NULL, NULL, 'Maintenance en Adaptable', 0, NULL, 2218, '2018-11-20 09:03:08', '2018-11-20', NULL, '2018-11-20', NULL, '2019-01-17 12:26:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 133.98000000, 0.00000000, 0.00000000, 0.00000000, 669.92000000, 803.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Maintenance L07 en adaptable &agrave; 10917 HRS<br />\r\n<br />\r\nBL N&deg;44 du 16/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 669.92000000, 133.98000000, 803.90000000, NULL, NULL, NULL, NULL),
(831, 'FA1811-0027', 1, NULL, NULL, 'graisseur L75', 0, NULL, 2268, '2018-11-20 09:13:52', '2018-11-20', NULL, '2018-11-20', NULL, '2019-02-21 11:02:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 338.20000000, 0.00000000, 0.00000000, 0.00000000, 1691.00000000, 2029.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Remplacement des moteurs des graisseurs votre compresseur L75RS suite au passage de notre technicien<br />\r\n<br />\r\nBL N&deg;48 du 13/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1691.00000000, 338.20000000, 2029.20000000, NULL, NULL, NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(832, 'FA1811-0028', 1, NULL, NULL, NULL, 0, NULL, 2383, '2018-11-20 09:20:47', '2018-11-20', NULL, '2018-11-20', NULL, '2019-02-11 08:41:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 133.22000000, 0.00000000, 0.00000000, 0.00000000, 666.10000000, 799.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Intervention selon BL N&deg; 1 du 12/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 666.10000000, 133.22000000, 799.32000000, NULL, NULL, NULL, NULL),
(833, 'FA1811-0029', 1, NULL, NULL, NULL, 0, NULL, 2050, '2018-11-20 09:32:07', '2018-11-20', NULL, '2018-11-20', NULL, '2019-01-18 08:16:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 41.70000000, 0.00000000, 0.00000000, 0.00000000, 208.50000000, 250.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Garantie L29RS N&deg;CD10039882001 octobre 2018 - VINCI FACILITIES THALES<br />\r\nAL-2018-003142<br />\r\nReference repsnet WC-2018-0046738<br />\r\nCLIENT VINCI FACILITIES', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 208.50000000, 41.70000000, 250.20000000, NULL, NULL, NULL, NULL),
(834, 'AV1811-0002', 1, NULL, NULL, NULL, 2, NULL, 2174, '2018-11-20 10:44:52', '2018-11-20', NULL, '2018-11-20', NULL, '2019-01-10 15:04:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -34.05000000, 0.00000000, 0.00000000, 0.00000000, -170.27000000, -204.32000000, 2, 5, NULL, 5, NULL, 827, NULL, NULL, NULL, 0, 2, '2018-11-20', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -170.27000000, -34.05000000, -204.32000000, NULL, NULL, NULL, NULL),
(835, 'FA1811-0030', 1, NULL, NULL, 'L18+ secheur', 0, NULL, 2011, '2018-11-21 09:33:15', '2018-11-21', NULL, '2018-11-21', NULL, '2019-01-02 07:59:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2060.00000000, 0.00000000, 0.00000000, 0.00000000, 10300.00000000, 12360.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Fourniture et raccordement compresseur 18KW 10 bars avec s&eacute;cheur par r&eacute;frigeration ( surdimensionn&eacute; pour r&eacute;sisiter &agrave; la chaleur )&nbsp; avec pr&eacute; filtre&nbsp; .&nbsp;<br />\r\nHors installation &eacute;lectrique&nbsp;<br />\r\n<br />\r\nBL N&deg;5 du 20/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 10300.00000000, 2060.00000000, 12360.00000000, NULL, NULL, NULL, NULL),
(836, 'FA1811-0031', 1, NULL, NULL, NULL, 0, NULL, 2235, '2018-11-21 10:43:07', '2018-11-21', NULL, '2018-11-21', NULL, '2019-02-07 22:12:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 35.24000000, 0.00000000, 0.00000000, 0.00000000, 176.18000000, 211.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Intervention start25 &agrave; 32400HRS<br />\r\n<br />\r\nDifferentes fuites dans le compresseur<br />\r\n<br />\r\nBL N&deg;49 du 15/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 176.18000000, 35.24000000, 211.42000000, NULL, NULL, NULL, NULL),
(837, 'FA1811-0032', 1, NULL, NULL, 'Votre demmande', 0, NULL, 12814, '2018-11-21 11:48:55', '2018-11-21', NULL, '2018-11-21', NULL, '2019-01-16 08:41:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 62.76000000, 0.00000000, 0.00000000, 0.00000000, 313.80000000, 376.56000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 7, 2, '2018-11-22', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 313.80000000, 62.76000000, 376.56000000, NULL, NULL, NULL, NULL),
(838, 'FA1811-0033', 1, NULL, NULL, NULL, 0, NULL, 2110, '2018-11-22 10:24:04', '2018-11-22', NULL, '2018-11-22', NULL, '2019-01-21 08:03:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 35.24000000, 0.00000000, 0.00000000, 0.00000000, 176.18000000, 211.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Intervention sur secheur Friulair ACT18 de 2004 -<br />\r\n<br />\r\nBL N&deg;6 du 20/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 176.18000000, 35.24000000, 211.42000000, NULL, NULL, NULL, NULL),
(839, 'FA1811-0034', 1, NULL, NULL, 'C17818113145GG', 0, NULL, 2054, '2018-11-23 14:08:24', '2018-11-23', NULL, '2018-11-23', NULL, '2019-01-03 11:19:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 71.75000000, 0.00000000, 0.00000000, 0.00000000, 358.73000000, 430.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Intervention sur compresseur SULLAIR WA3008 N&deg;90630031 &agrave; 17 554 HRS<br />\r\n<br />\r\nBL N&deg;7 du 20/11/2018<br />\r\n<br />\r\nCommande N&deg; C17818113145GG<br />\r\n<br />\r\nSite d&#39;intervention<br />\r\nCOOPERATIVE LA DAUPHINOISE &quot; VOREPPE &quot;<br />\r\nZA Centr&#39;Alpes<br />\r\nRue Louis Neel<br />\r\n38340 VOREPPE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 358.73000000, 71.75000000, 430.48000000, NULL, NULL, NULL, NULL),
(840, 'FA1811-0035', 1, NULL, NULL, NULL, 0, NULL, 2054, '2018-11-23 14:22:13', '2018-11-23', NULL, '2018-11-23', NULL, '2019-02-07 22:06:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 337.82000000, 0.00000000, 0.00000000, 0.00000000, 1689.10000000, 2026.92000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Intervention site :<br />\r\nCOOPERATIVE DAUPHINOISE<br />\r\nStation Semences Les Olagni&eacute;res<br />\r\n2825 Chemin de la voie fer&eacute;e<br />\r\n38260 LA COTE ST ANDRE<br />\r\n<br />\r\nNacelle pour mise en place de grille de ventilation sur votre silo&nbsp;<br />\r\n<br />\r\nCommande N&deg; S972-1806-3950VM<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1689.10000000, 337.82000000, 2026.92000000, NULL, NULL, NULL, NULL),
(841, 'FA1811-0036', 1, NULL, NULL, 'MA118GLB00686', 0, NULL, 2235, '2018-11-23 15:39:15', '2018-11-23', NULL, '2018-11-23', NULL, '2019-02-07 22:12:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 282.99000000, 0.00000000, 0.00000000, 0.00000000, 1414.95000000, 1697.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Mise en place, maintenance et raccordement du compresseur L11 en votre possession en lieu et place du compresseur Start :&nbsp;<br />\r\n<br />\r\nBL N&deg;9 du 22/11/2018<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1414.95000000, 282.99000000, 1697.94000000, NULL, NULL, NULL, NULL),
(842, 'FA1811-0037', 1, NULL, NULL, NULL, 0, NULL, 2347, '2018-11-23 16:03:00', '2018-11-23', NULL, '2018-11-23', NULL, '2018-12-12 07:56:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 23.54000000, 0.00000000, 0.00000000, 0.00000000, 117.70000000, 141.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'kit 2000Hrs pour compresseur L15', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 117.70000000, 23.54000000, 141.24000000, NULL, NULL, NULL, NULL),
(843, 'FA1811-0038', 1, NULL, NULL, NULL, 0, NULL, 2383, '2018-11-23 16:08:47', '2018-11-23', NULL, '2018-11-23', NULL, '2019-02-11 08:41:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 216.32000000, 0.00000000, 0.00000000, 0.00000000, 1081.58000000, 1297.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Travaux suite comptre rendu acritec<br />\r\n<br />\r\nBL N&deg;20 du 21/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1081.58000000, 216.32000000, 1297.90000000, NULL, NULL, NULL, NULL),
(844, 'FA1811-0039', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-11-23 16:34:51', '2018-11-23', NULL, '2018-11-23', NULL, '2018-11-27 15:01:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Loyer de mensualit&eacute; contrat LDD - mensualit&eacute; d&#39;octobre', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(845, 'FA1811-0040', 1, NULL, NULL, 'Maintenance Adaptable', 0, NULL, 2055, '2018-11-26 11:45:45', '2018-11-26', NULL, '2018-11-26', NULL, '2019-01-10 15:05:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 148.32000000, 0.00000000, 0.00000000, 0.00000000, 741.62000000, 889.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Maintenance compresseur L18 N&deg;349015/4213 - en pi&eacute;ces adaptables&nbsp;<br />\r\n<br />\r\nBL N&deg;39 du 08/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 741.62000000, 148.32000000, 889.94000000, NULL, NULL, NULL, NULL),
(846, 'FA1811-0041', 1, NULL, NULL, NULL, 0, NULL, 2406, '2018-11-26 11:53:26', '2018-11-26', NULL, '2018-11-26', NULL, '2019-03-19 07:32:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 148.34000000, 0.00000000, 0.00000000, 0.00000000, 741.70000000, 890.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'maintenancecompresseur&nbsp; L18 &agrave; 17183 HRS et filtres reseaux&nbsp;<br />\r\n<br />\r\nBL N&deg;47 du 23/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 741.70000000, 148.34000000, 890.04000000, NULL, 'facture/FA1811-0041/FA1811-0041.pdf', NULL, NULL),
(847, 'FA1811-0042', 1, NULL, NULL, NULL, 0, NULL, 2370, '2018-11-26 14:47:07', '2018-11-26', NULL, '2018-11-26', NULL, '2019-01-15 11:23:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 160.46000000, 0.00000000, 0.00000000, 0.00000000, 802.28000000, 962.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Maintenance compresseur GE10 &agrave; 45 350 HRS&nbsp; - remplacement du boitier de regulation -<br />\r\n<br />\r\nBL N&deg; 49 du 23/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 802.28000000, 160.46000000, 962.74000000, NULL, NULL, NULL, NULL),
(848, 'FA1811-0043', 1, NULL, NULL, 'reservoir 500L', 0, NULL, 2053, '2018-11-28 09:02:06', '2018-11-28', NULL, '2018-11-28', NULL, '2018-12-26 09:01:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 107.60000000, 0.00000000, 0.00000000, 0.00000000, 538.00000000, 645.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Livraison pour un r&eacute;servoir 500Litres ( hors installation ) :<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 538.00000000, 107.60000000, 645.60000000, NULL, NULL, NULL, NULL),
(849, 'FA1811-0044', 1, NULL, NULL, 'Prolongation reseau', 0, NULL, 2076, '2018-11-30 09:26:59', '2018-11-30', NULL, '2018-11-30', NULL, '2019-01-14 08:52:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 944.54000000, 0.00000000, 0.00000000, 0.00000000, 4722.82000000, 5667.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Prolongation reseau d&#39;air comprim&eacute; dans nouveau batiment pour alimentation d&#39;une nouvelle machine .<br />\r\nInstallation d&#39;un cable &eacute;l&eacute;ctrique et d&#39;un cable r&eacute;seau pour alimentation de la nouvelle machine.<br />\r\n<br />\r\nBL N&deg;11 du 27/11/2018<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4722.82000000, 944.54000000, 5667.36000000, NULL, NULL, NULL, NULL),
(850, 'FA1811-0045', 1, NULL, NULL, 'Nouvelle machine', 0, NULL, 2076, '2018-11-30 09:31:24', '2018-11-30', NULL, '2018-11-30', NULL, '2019-01-14 08:52:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 158.96000000, 0.00000000, 0.00000000, 0.00000000, 794.82000000, 953.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Bl N&deg;11 du 27/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 794.82000000, 158.96000000, 953.78000000, NULL, NULL, NULL, NULL),
(851, 'FA1811-0046', 1, NULL, NULL, NULL, 0, NULL, 2076, '2018-11-30 10:03:30', '2018-11-30', NULL, '2018-11-30', NULL, '2019-01-14 08:52:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 49.34000000, 0.00000000, 0.00000000, 0.00000000, 246.70000000, 296.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Changement coffret prises et protection dans ancien atelier . Mis de l&#39;autre cot&eacute; du portail .<br />\r\n<br />\r\nBL N&deg;12 du 27/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 246.70000000, 49.34000000, 296.04000000, NULL, NULL, NULL, NULL),
(852, 'FA1811-0047', 1, NULL, NULL, '4800299482', 0, NULL, 2234, '2018-11-30 10:40:02', '2018-11-30', NULL, '2018-11-30', NULL, '2018-12-19 08:02:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 267.29000000, 0.00000000, 0.00000000, 0.00000000, 1336.47000000, 1603.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'maintenance L45RS N&deg;CD10005658001 &agrave; 1963 HRS<br />\r\nremplcament cartouche filtres reseaux<br />\r\nmaintenance separateur de condensats Owamat 14<br />\r\n<br />\r\nBL N&deg;50 du 15/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1336.47000000, 267.29000000, 1603.76000000, NULL, NULL, NULL, NULL),
(853, 'FA1811-0048', 1, NULL, NULL, NULL, 0, NULL, 12821, '2018-11-30 11:01:51', '2018-11-30', NULL, '2018-11-30', NULL, '2019-01-30 07:42:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 147.05000000, 0.00000000, 0.00000000, 0.00000000, 735.31000000, 882.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2018-12-30', NULL, 'Maintenance compresseur START035 N&deg; 349012/6430 de 2001 &agrave; 10100 HRS<br />\r\n<br />\r\nBL N&deg;39 du 07/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 735.31000000, 147.05000000, 882.36000000, NULL, NULL, NULL, NULL),
(854, 'FA1811-0049', 1, NULL, NULL, NULL, 0, NULL, 2215, '2018-12-03 10:15:55', '2018-11-30', NULL, '2018-12-03', NULL, '2019-01-10 15:05:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 147.45000000, 0.00000000, 0.00000000, 0.00000000, 737.31000000, 884.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Maintenance L11RS N&deg; CD10021552001 &agrave; 21528 HRS<br />\r\nRemplcament cartouche reseau&nbsp;<br />\r\nMaintenance Separateur de condensats OWAMAT10<br />\r\n<br />\r\nBL N&deg; 2 du 30/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 737.31000000, 147.45000000, 884.76000000, NULL, NULL, NULL, NULL),
(855, 'FA1812-0001', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2018-12-03 10:19:38', '2018-12-03', NULL, '2018-12-03', NULL, '2018-12-12 07:55:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(856, 'FA1812-0002', 1, NULL, NULL, NULL, 0, NULL, 2197, '2018-12-03 10:20:57', '2018-12-03', NULL, '2018-12-03', NULL, '2018-12-26 09:02:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(858, 'FA1811-0050', 1, NULL, NULL, NULL, 0, NULL, 2300, '2018-12-03 10:27:47', '2018-11-30', NULL, '2018-12-03', NULL, '2019-02-12 07:48:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 317.20000000, 0.00000000, 0.00000000, 0.00000000, 1585.94000000, 1903.14000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2018-12-31', NULL, 'Maintenance l45RS N&deg; CD10023286001 &agrave; 7034 HRS et filtres reseaux et owamat 14<br />\r\n<br />\r\nBL N&deg;03 du 30/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1585.94000000, 317.20000000, 1903.14000000, NULL, NULL, NULL, NULL),
(859, 'FA1812-0003', 1, NULL, NULL, 'Commande N°11022', 0, NULL, 12773, '2018-12-04 15:22:58', '2018-12-04', NULL, '2018-12-04', NULL, '2018-12-18 08:21:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 287.60000000, 0.00000000, 0.00000000, 0.00000000, 1438.00000000, 1725.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-01-31', NULL, 'Commande N&deg; 11022', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1438.00000000, 287.60000000, 1725.60000000, NULL, NULL, NULL, NULL),
(860, 'FA1812-0004', 1, NULL, NULL, NULL, 0, NULL, 2358, '2018-12-04 15:48:08', '2018-12-04', NULL, '2018-12-04', NULL, '2019-02-15 09:53:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 108.26000000, 0.00000000, 0.00000000, 0.00000000, 541.30000000, 649.56000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', NULL, 'D&eacute;pannage electrique - intervention sur grenailleuse Auto .<br />\r\n<br />\r\nBL N&deg; 21 du 03/12/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 541.30000000, 108.26000000, 649.56000000, NULL, NULL, NULL, NULL),
(861, 'FA1812-0005', 1, NULL, NULL, NULL, 0, NULL, 2383, '2018-12-04 16:08:49', '2018-12-04', NULL, '2018-12-04', NULL, '2019-03-28 16:19:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 486.76000000, 0.00000000, 0.00000000, 0.00000000, 2433.78000000, 2920.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', NULL, 'travaux r&eacute;alis&eacute;s suivant compte rendu de verification p&eacute;riodique installation &eacute;l&eacute;ctriques .<br />\r\n<br />\r\nBL N&deg;19 du 19/11/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2433.78000000, 486.76000000, 2920.54000000, NULL, 'facture/FA1812-0005/FA1812-0005.pdf', NULL, NULL),
(863, 'FA1812-0006', 1, NULL, NULL, NULL, 0, NULL, 1990, '2018-12-10 09:26:43', '2018-12-10', NULL, '2018-12-10', NULL, '2019-01-30 07:40:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 420.00000000, 0.00000000, 0.00000000, 0.00000000, 2100.00000000, 2520.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', NULL, 'founiture s&eacute;cheur par r&eacute;frigeration ED360 debit trait&eacute; 360m3/h<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2100.00000000, 420.00000000, 2520.00000000, NULL, NULL, NULL, NULL),
(864, 'FA1812-0007', 1, NULL, NULL, 'souflettes aspirantes', 0, NULL, 9617, '2018-12-10 09:30:12', '2018-12-10', NULL, '2018-12-10', NULL, '2019-02-11 08:40:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 50.00000000, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2019-01-09', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, NULL, NULL),
(865, 'FA1812-0008', 1, NULL, NULL, NULL, 0, NULL, 2371, '2018-12-10 10:33:38', '2018-12-10', NULL, '2018-12-10', NULL, '2019-02-07 21:58:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 278.51000000, 0.00000000, 0.00000000, 0.00000000, 1392.60000000, 1671.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', NULL, 'maintenance L22 N&deg; CD100024416007 &agrave; 26400Hrs&nbsp; et remplcament cartouches des filtres reseaux, maintenance seprateur de condensats&nbsp;<br />\r\n<br />\r\nBL N&deg; 8 du 07/12/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1392.60000000, 278.51000000, 1671.11000000, NULL, NULL, NULL, NULL),
(866, 'FA1812-0009', 1, NULL, NULL, NULL, 0, NULL, 9822, '2018-12-10 11:39:52', '2018-12-10', NULL, '2018-12-10', NULL, '2019-02-07 22:12:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 178.04000000, 0.00000000, 0.00000000, 0.00000000, 890.20000000, 1068.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', NULL, 'Remplacement carte circuit imprim&eacute; + boite a boutons 2 VL<br />\r\n<br />\r\nBL N&deg;49 du 08/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 890.20000000, 178.04000000, 1068.24000000, NULL, NULL, NULL, NULL),
(867, 'FA1812-0010', 1, NULL, NULL, NULL, 0, NULL, 2383, '2018-12-10 14:27:05', '2018-12-10', NULL, '2018-12-10', NULL, '2019-03-06 08:15:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 92.35000000, 0.00000000, 0.00000000, 0.00000000, 461.78000000, 554.13000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', NULL, 'raccordement machine - branchement de 2 metier et 2 jackard .<br />\r\n<br />\r\nBL N&deg; 47 du 01/10/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 461.78000000, 92.35000000, 554.13000000, NULL, 'facture/FA1812-0010/FA1812-0010.pdf', NULL, NULL),
(868, 'FA1812-0011', 1, NULL, NULL, NULL, 0, NULL, 12712, '2018-12-10 14:53:32', '2018-12-10', NULL, '2018-12-10', NULL, '2019-03-06 08:19:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 21.89000000, 0.00000000, 0.00000000, 0.00000000, 109.44000000, 131.33000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-01-31', NULL, 'Pi&eacute;ces detach&eacute;es pour maintenance compresseur KA6 N&deg; BA40424004 de 2016.<br />\r\nPieces adaptables<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 109.44000000, 21.89000000, 131.33000000, NULL, 'facture/FA1812-0011/FA1812-0011.pdf', NULL, NULL),
(870, 'AV1812-0001', 1, NULL, NULL, NULL, 2, NULL, 2383, '2018-12-10 16:57:29', '2018-12-10', NULL, '2018-12-10', NULL, '2019-03-06 08:16:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -41.28000000, 0.00000000, 0.00000000, 0.00000000, -206.42000000, -247.70000000, 2, 5, NULL, 5, NULL, 745, NULL, NULL, NULL, 0, 2, '2018-12-10', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 206.42000000, 41.28000000, 247.70000000, NULL, 'facture/AV1812-0001/AV1812-0001.pdf', NULL, NULL),
(871, 'FA1812-0012', 1, NULL, NULL, NULL, 0, NULL, 2234, '2018-12-11 09:52:56', '2018-12-11', NULL, '2018-12-11', NULL, '2018-12-21 09:56:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2018-12-12', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, NULL, NULL, NULL),
(872, 'FA1812-0013', 1, NULL, NULL, NULL, 0, NULL, 5315, '2018-12-11 15:00:36', '2018-12-11', NULL, '2018-12-11', NULL, '2019-02-07 21:59:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 136.30000000, 0.00000000, 0.00000000, 0.00000000, 681.52000000, 817.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-01-31', NULL, '&nbsp;outil pneumatique PROSETXT2 &eacute;quip&eacute;.<br />\r\n<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 681.52000000, 136.30000000, 817.82000000, NULL, NULL, NULL, NULL),
(873, 'FA1812-0014', 1, NULL, NULL, '10427', 0, NULL, 5741, '2018-12-11 15:10:53', '2018-12-11', NULL, '2018-12-11', NULL, '2019-02-12 08:06:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 53.80000000, 0.00000000, 0.00000000, 0.00000000, 269.00000000, 322.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-01-31', NULL, 'commande 10427', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 269.00000000, 53.80000000, 322.80000000, NULL, NULL, NULL, NULL),
(874, 'FA1812-0015', 1, NULL, NULL, '4500106762', 0, NULL, 10144, '2018-12-11 15:24:09', '2018-12-11', NULL, '2018-12-28', NULL, '2019-02-18 08:22:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 242.00000000, 0.00000000, 0.00000000, 0.00000000, 1210.02000000, 1452.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-01-31', NULL, 'Restant &agrave; facturer de commande globale &agrave; 25 000 &euro; suite &agrave; demande de Mr merlau du 06/11/2018 .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1210.02000000, 242.00000000, 1452.02000000, NULL, NULL, NULL, NULL),
(876, 'AV1812-0002', 1, NULL, NULL, NULL, 2, NULL, 12623, '2018-12-12 10:29:06', '2018-12-12', NULL, '2018-12-12', NULL, '2018-12-13 12:26:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -30.00000000, 0.00000000, 0.00000000, 0.00000000, -150.00000000, -180.00000000, 2, 5, NULL, 5, NULL, 736, NULL, NULL, NULL, 0, 0, '2018-12-12', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -150.00000000, -30.00000000, -180.00000000, NULL, NULL, NULL, NULL),
(877, 'FA1812-0016', 1, NULL, NULL, 'manches filtrantes', 0, NULL, 2141, '2018-12-13 14:14:05', '2018-12-13', NULL, '2018-12-13', NULL, '2019-01-30 07:40:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 691.01000000, 0.00000000, 0.00000000, 0.00000000, 3455.04000000, 4146.05000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 12, 2, '2018-12-18', NULL, '<p> </p>\r\n\r\n<p> </p>\r\n\r\n<h2><span style=\"font-size:12.0pt\">M</span><span style=\"font-size:12.0pt\">atériel<strong> </strong></span><strong><u><span style=\"font-size:12.0pt\">rendu Bren, non installé</span></u></strong><u><span style=\"font-size:12.0pt\">,</span></u></h2>\r\n', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3455.04000000, 691.01000000, 4146.05000000, NULL, NULL, NULL, NULL),
(878, 'FA1812-0017', 1, NULL, NULL, NULL, 0, NULL, 6259, '2018-12-13 14:23:40', '2018-12-13', NULL, '2018-12-13', NULL, '2019-01-16 08:25:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 102.62000000, 0.00000000, 0.00000000, 0.00000000, 513.11000000, 615.73000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2019-01-12', NULL, 'Pieces d&eacute;tach&eacute;es pour maintenance rallye 040 N&deg;&nbsp;349011/285&nbsp;<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 513.11000000, 102.62000000, 615.73000000, NULL, NULL, NULL, NULL),
(879, 'FA1812-0018', 1, NULL, NULL, 'Reseau Air Comprimé', 0, NULL, 12833, '2018-12-14 10:50:27', '2018-12-14', NULL, '2018-12-14', NULL, '2019-02-07 22:07:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1100.00000000, 0.00000000, 0.00000000, 0.00000000, 5500.00000000, 6600.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2019-01-13', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5500.00000000, 1100.00000000, 6600.00000000, NULL, NULL, NULL, NULL),
(880, 'FA1812-0019', 1, NULL, NULL, NULL, 0, NULL, 6259, '2018-12-14 11:02:33', '2018-12-14', NULL, '2018-12-14', NULL, '2019-01-16 08:25:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 59.30000000, 0.00000000, 0.00000000, 0.00000000, 296.48000000, 355.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-01-31', NULL, 'changement vanne thermostatique sur compresseur L30 .<br />\r\n<br />\r\nBL N&deg;9 du 12/12/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 296.48000000, 59.30000000, 355.78000000, NULL, NULL, NULL, NULL),
(881, 'FA1812-0020', 1, NULL, NULL, 'Local Air Comprimé', 0, NULL, 12584, '2018-12-14 16:13:17', '2018-12-14', NULL, '2018-12-14', NULL, '2019-02-18 08:27:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1999.99000000, 0.00000000, 0.00000000, 0.00000000, 9999.98000000, 11999.97000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 12, 0, '2018-12-19', NULL, 'Fourniture et raccordement local air comprim&eacute;<br />\r\nConditions commerciales pour les produits RENNER :<br />\r\nLivraison FRANCO<br />\r\nGarantie compresseur et s&eacute;cheur 2 ans pieces Main d&#39;oeuvre et d&eacute;placement<br />\r\nFabrication : Allemagne', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 9999.98000000, 1999.99000000, 11999.97000000, NULL, NULL, NULL, NULL),
(882, 'FA1812-0021', 1, NULL, NULL, NULL, 0, NULL, 2391, '2018-12-17 10:19:44', '2018-12-17', NULL, '2018-12-17', NULL, '2019-02-11 08:39:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 196.75000000, 0.00000000, 0.00000000, 0.00000000, 983.72000000, 1180.47000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', NULL, 'Maintenance L15 N&deg;CD10007461004 de 2011 &agrave; 18320 HRS<br />\r\nMaintenance seprateur de condensats owamat 10<br />\r\nMaintenance Filtres reseaux<br />\r\n<br />\r\nBL N&deg;12 du 14/12/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 983.72000000, 196.75000000, 1180.47000000, NULL, NULL, NULL, NULL),
(883, 'FA1812-0022', 1, NULL, NULL, NULL, 0, NULL, 2103, '2018-12-17 10:41:05', '2018-12-17', NULL, '2018-12-17', NULL, '2019-02-28 17:17:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 66.29000000, 0.00000000, 0.00000000, 0.00000000, 331.44000000, 397.73000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', NULL, 'Intervention sur compresseur L45RS - defaut de temperature&nbsp;<br />\r\n<br />\r\nBL N&deg;10 du 12/12/2018&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 331.44000000, 66.29000000, 397.73000000, NULL, NULL, NULL, NULL),
(884, 'FA1812-0023', 1, NULL, NULL, NULL, 0, NULL, 7060, '2018-12-17 11:03:07', '2018-12-17', NULL, '2018-12-17', NULL, '2019-01-30 07:41:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 37.18000000, 0.00000000, 0.00000000, 0.00000000, 185.88000000, 223.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2019-01-16', NULL, 'Intervention sur compresseur probleme de tension courroies<br />\r\n<br />\r\nBL N&deg;36 du 13/12/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 185.88000000, 37.18000000, 223.06000000, NULL, NULL, NULL, NULL),
(885, 'FA1812-0024', 1, NULL, NULL, NULL, 0, NULL, 2162, '2018-12-18 10:08:36', '2018-12-18', NULL, '2018-12-18', NULL, '2019-03-06 08:20:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 42.80000000, 0.00000000, 0.00000000, 0.00000000, 214.00000000, 256.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', NULL, 'BEKOMAT 32U VARIO', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.00000000, 42.80000000, 256.80000000, NULL, 'facture/FA1812-0024/FA1812-0024.pdf', NULL, NULL),
(886, 'FA1812-0025', 1, NULL, NULL, '2018741', 0, NULL, 1940, '2018-12-19 09:41:34', '2018-12-19', NULL, '2018-12-19', NULL, '2019-02-18 08:37:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 96.43000000, 0.00000000, 0.00000000, 0.00000000, 482.16000000, 578.59000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', NULL, 'Fourniture d&#39;un Aspirateur YS 2-62 et 2 coudes .<br />\r\n<br />\r\nCommande N&deg;2018741', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 482.16000000, 96.43000000, 578.59000000, NULL, NULL, NULL, NULL),
(887, 'AC1812-0001', 1, NULL, NULL, NULL, 3, NULL, 2352, '2018-12-20 10:24:42', '2018-12-20', NULL, '2018-12-20', NULL, '2018-12-21 09:55:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 427.11000000, 0.00000000, 0.00000000, 0.00000000, 2135.55000000, 2562.66000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2018-12-21', NULL, '1er Acompte : montant global 7118.50 &euro; HT<br />\r\n<br />\r\nVersion 1/2 bouclage air comprim&eacute; ( zone 1 seulement )&nbsp;<br />\r\nR&eacute;alisation d&#39;un reseau en sertinox diametre 42 et 22 , 3 vannesd&#39;isolement , 2 descentes, 1 attentes pour nouvelles machines .<br />\r\nSuivant devis et sch&eacute;ma de principe du 26/09/2018<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2135.55000000, 427.11000000, 2562.66000000, NULL, NULL, NULL, NULL),
(888, 'FA1812-0026', 1, NULL, NULL, NULL, 0, NULL, 12666, '2018-12-21 10:43:59', '2018-12-21', NULL, '2018-12-21', NULL, '2019-03-07 12:43:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 138.83000000, 0.00000000, 0.00000000, 0.00000000, 694.16000000, 832.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-01-31', NULL, 'maintenance UP5-15-8.5 N&deg;2192286 &agrave; 20237 HRS<br />\r\n<br />\r\nBL N&deg; 16 du 19/12/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 694.16000000, 138.83000000, 832.99000000, NULL, 'facture/FA1812-0026/FA1812-0026.pdf', NULL, NULL),
(889, 'FA1812-0027', 1, NULL, NULL, NULL, 0, NULL, 2075, '2018-12-21 10:51:41', '2018-12-21', NULL, '2018-12-21', NULL, '2019-03-26 09:54:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 44.39000000, 0.00000000, 0.00000000, 0.00000000, 221.96000000, 266.35000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', NULL, 'Remplacement purge sur cuve<br />\r\n<br />\r\nBL N&deg; 15 du 17/12/2018<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 221.96000000, 44.39000000, 266.35000000, NULL, 'facture/FA1812-0027/FA1812-0027.pdf', NULL, NULL),
(890, 'FA1812-0028', 1, NULL, NULL, NULL, 0, NULL, 12590, '2018-12-21 11:41:39', '2018-12-21', NULL, '2018-12-21', NULL, '2019-03-11 08:15:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 451.53000000, 0.00000000, 0.00000000, 0.00000000, 2257.68000000, 2709.21000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', NULL, 'maintenance compresseur et filtres reseaux&nbsp; suivant contrat lis&eacute; :&nbsp;<br />\r\n<br />\r\nBL N&deg;18 du 20/12/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2257.68000000, 451.53000000, 2709.21000000, NULL, 'facture/FA1812-0028/FA1812-0028.pdf', NULL, NULL),
(891, 'FA1812-0029', 1, NULL, NULL, NULL, 0, NULL, 2170, '2018-12-26 09:12:43', '2018-12-26', NULL, '2018-12-26', NULL, '2019-02-07 21:58:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 610.21000000, 0.00000000, 0.00000000, 0.00000000, 3051.04000000, 3661.25000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', NULL, 'D&eacute;menagement ancien local dans nouveau local de l&#39;air comprim&eacute; et reseau electrique existant . Pour reconstitution identique dans nouveau local .<br />\r\nLocation nacelle inclus .<br />\r\n<br />\r\nBL N&deg;23 du 20/12/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3051.04000000, 610.21000000, 3661.25000000, NULL, NULL, NULL, NULL),
(892, 'FA1812-0030', 1, NULL, NULL, NULL, 0, NULL, 2170, '2018-12-26 09:17:28', '2018-12-26', NULL, '2018-12-26', NULL, '2019-05-06 07:50:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 492.82000000, 0.00000000, 0.00000000, 0.00000000, 2464.12000000, 2956.94000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', 'MO = 3153.74-1694.11=1459.63 soit 30.5 H de travail<br />\r\nfournitures - deduction de la fourniture du devis initial ', 'plus value chantier d&eacute;m&eacute;nagement local .<br />\r\nInstallation de 2 disjoncteurs &agrave; la demande du responsable electricit&eacute; du batiment&nbsp;<br />\r\n35 metres de cable electriques d&ucirc; au modification de plan initial .<br />\r\n<br />\r\nBL N&deg;23 du 20/12/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2464.12000000, 492.82000000, 2956.94000000, NULL, 'facture/FA1812-0030/FA1812-0030.pdf', NULL, NULL),
(893, 'FA1812-0031', 1, NULL, NULL, NULL, 0, NULL, 2396, '2018-12-26 10:24:22', '2018-12-26', NULL, '2018-12-26', NULL, '2019-02-07 22:06:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.54000000, 0.00000000, 0.00000000, 0.00000000, 502.72000000, 603.26000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-01-31', NULL, 'Intervention sur compresseur Compair Luchard 4000EL à 7765HRS - probleme de relai  -<br />\r\n<br />\r\nBL N°17 du 19/12/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 502.72000000, 100.54000000, 603.26000000, NULL, NULL, NULL, NULL),
(895, 'FA1901-0001', 1, NULL, NULL, NULL, 0, NULL, 2234, '2019-01-02 10:11:13', '2019-01-02', NULL, '2019-01-02', NULL, '2019-03-01 09:15:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2019-01-03', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, NULL, NULL, NULL),
(896, 'FA1901-0002', 1, NULL, NULL, NULL, 0, NULL, 2215, '2019-01-02 10:13:12', '2019-01-02', NULL, '2019-01-02', NULL, '2019-01-07 08:12:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(897, 'FA1901-0003', 1, NULL, NULL, NULL, 0, NULL, 2197, '2019-01-02 10:15:33', '2019-01-02', NULL, '2019-01-02', NULL, '2019-01-23 08:42:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(899, 'FA1812-0032', 1, NULL, NULL, NULL, 0, NULL, 9822, '2019-01-02 11:52:05', '2018-12-28', NULL, '2019-01-02', NULL, '2019-02-28 17:28:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 373.64000000, 0.00000000, 0.00000000, 0.00000000, 1868.22000000, 2241.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'BL N&deg;19 du 28/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1868.22000000, 373.64000000, 2241.86000000, NULL, NULL, NULL, NULL),
(900, 'FA1901-0004', 1, NULL, NULL, NULL, 0, NULL, 12846, '2019-01-03 09:32:49', '2019-01-03', NULL, '2019-01-03', NULL, '2019-01-03 08:34:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 16.67000000, 0.00000000, 0.00000000, 0.00000000, 83.33000000, 100.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-01-04', NULL, 'bague a levres pour compresseur Hydrovanne 23&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 83.33000000, 16.67000000, 100.00000000, NULL, NULL, NULL, NULL),
(901, 'FA1901-0005', 1, NULL, NULL, 'scierie bouchard blaches', 0, NULL, 2729, '2019-01-03 11:33:29', '2019-01-03', NULL, '2019-01-07', NULL, '2019-03-01 09:18:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 188.00000000, 188.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-02-28', NULL, 'Garantie compresseur RS22&nbsp; N&deg;843062 - remplacement VPM', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 188.00000000, 0.00000000, 188.00000000, NULL, NULL, NULL, NULL),
(902, 'FA1901-0006', 1, NULL, NULL, '38077', 0, NULL, 2122, '2019-01-03 15:55:35', '2019-01-03', NULL, '2019-01-03', NULL, '2019-03-18 09:32:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 277.65000000, 0.00000000, 0.00000000, 0.00000000, 1388.22000000, 1665.87000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-02-28', NULL, 'Maintenance L75RS N&deg; CD10018699001 &agrave; 18864 Heures<br />\r\n<br />\r\nBL N&deg;21 03/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1388.22000000, 277.65000000, 1665.87000000, NULL, 'facture/FA1901-0006/FA1901-0006.pdf', NULL, NULL),
(903, 'FA1901-0007', 1, NULL, NULL, NULL, 0, NULL, 1955, '2019-01-03 16:07:34', '2019-01-03', NULL, '2019-01-03', NULL, '2019-03-28 16:19:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 127.68000000, 0.00000000, 0.00000000, 0.00000000, 638.35000000, 766.03000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Maintenance L07 de 2009 N&deg; CD10000211002 &agrave; 7485 HRS<br />\r\n<br />\r\nBL N&deg;20 du 03/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 638.35000000, 127.68000000, 766.03000000, NULL, 'facture/FA1901-0007/FA1901-0007.pdf', NULL, NULL),
(904, 'FA1901-0008', 1, NULL, NULL, NULL, 0, NULL, 2358, '2019-01-03 16:16:59', '2019-01-03', NULL, '2019-01-03', NULL, '2019-03-15 09:32:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1199.99000000, 0.00000000, 0.00000000, 0.00000000, 6000.00000000, 7199.99000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', 'pas de BL - ', 'Suivant intervention du 21 &amp; 26 decembre 2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6000.00000000, 1199.99000000, 7199.99000000, NULL, 'facture/FA1901-0008/FA1901-0008.pdf', NULL, NULL),
(905, 'FA1901-0009', 1, NULL, NULL, NULL, 0, NULL, 6086, '2019-01-04 09:17:44', '2019-01-04', NULL, '2019-01-04', NULL, '2019-01-04 08:18:28', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2019-02-03', NULL, 'Maintenance L55Rs &agrave; 1770 Hrs<br />\r\n<br />\r\nBL N&deg;13 du 2 janvier 2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 0.00000000, 0.00000000, 0.00000000, NULL, NULL, NULL, NULL),
(906, 'FA1901-0010', 1, NULL, NULL, NULL, 0, NULL, 2204, '2019-01-04 16:14:39', '2019-01-04', NULL, '2019-01-04', NULL, '2019-03-01 09:16:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 299.46000000, 0.00000000, 0.00000000, 0.00000000, 1497.35000000, 1796.81000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Contrat Liss&eacute; L22 N&deg;CD10029439002 &agrave;&nbsp; 3950HRS+ owamat11 + filtres reseaux ( RA,RB et CA )&nbsp;<br />\r\n<br />\r\nBL N&deg;15 du 04/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1497.35000000, 299.46000000, 1796.81000000, NULL, NULL, NULL, NULL),
(907, 'FA1901-0011', 1, NULL, NULL, 'Maintenance Compresseur', 0, NULL, 2032, '2019-01-07 10:52:32', '2019-01-07', NULL, '2019-01-07', NULL, '2019-04-18 06:26:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 198.07000000, 0.00000000, 0.00000000, 0.00000000, 990.43000000, 1188.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Maintenance compresseur KS58 &agrave; 20664 HRS-<br />\r\n<br />\r\nBL N&deg;14 du 04/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 990.43000000, 198.07000000, 1188.50000000, NULL, 'facture/FA1901-0011/FA1901-0011.pdf', NULL, NULL),
(909, 'FA1901-0012', 1, NULL, NULL, NULL, 0, NULL, 2124, '2019-01-09 10:56:33', '2019-01-09', NULL, '2019-01-09', NULL, '2019-03-20 08:01:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 122.75000000, 0.00000000, 0.00000000, 0.00000000, 613.73000000, 736.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'maintenance L11 &agrave; 8922Heures<br />\r\n<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;18 su 08/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 613.73000000, 122.75000000, 736.48000000, NULL, 'facture/FA1901-0012/FA1901-0012.pdf', NULL, NULL),
(910, 'FA1901-0013', 1, NULL, NULL, NULL, 0, NULL, 11435, '2019-01-09 14:51:54', '2019-01-09', NULL, '2019-01-09', NULL, '2019-02-28 17:27:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 324.13000000, 0.00000000, 0.00000000, 0.00000000, 1620.65000000, 1944.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'maintenance L30RS N&deg;cd10013952002 &agrave; 24784 HRS<br />\r\nMaintenance seprateur de condensats Owamat 12&nbsp;<br />\r\nRemplacement cartouches de 4 filtres r&eacute;seaux&nbsp;<br />\r\n<br />\r\nBL N&deg;16 du 07/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1620.65000000, 324.13000000, 1944.78000000, NULL, NULL, NULL, NULL),
(911, 'FA1901-0014', 1, NULL, NULL, NULL, 0, NULL, 2333, '2019-01-10 09:20:21', '2019-01-10', NULL, '2019-01-10', NULL, '2019-01-21 08:03:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 479.49000000, 0.00000000, 0.00000000, 0.00000000, 2397.45000000, 2876.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2019-01-11', NULL, 'SOLDE - Fourniture d&#39;un compresseur 22 Kw vitesse fixe RS PRO 22 - 10 Bars&nbsp; avec r&eacute;chauffeur mont&eacute; d&#39;usine et 1 jeu de filtre suplementaire.<br />\r\nCompresseur Renner garantie 2 ans pi&eacute;ces et main d&#39;oeuvre<br />\r\n<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6997.45000000, 1399.49000000, 8396.94000000, NULL, NULL, NULL, NULL),
(912, 'FA1901-0015', 1, NULL, NULL, 'L26rs', 0, NULL, 2054, '2019-01-10 10:33:07', '2019-01-10', NULL, '2019-01-10', NULL, '2019-03-01 09:18:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 346.49000000, 0.00000000, 0.00000000, 0.00000000, 1732.44000000, 2078.93000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Maintenance L26RS N&deg;CD10029231001 &agrave; 2540 HRS<br />\r\n<br />\r\nCommande N&deg; S98119011001<br />\r\n<br />\r\nSite d&#39;intervention:<br />\r\nSces Bl&eacute; 1<br />\r\nChemin du Pouloux<br />\r\n38270 BEAUREPAIRE<br />\r\n<br />\r\nBL N&deg; 19 du 08/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1732.44000000, 346.49000000, 2078.93000000, NULL, NULL, NULL, NULL),
(914, 'FA1901-0016', 1, NULL, NULL, NULL, 0, NULL, 10981, '2019-01-10 15:41:29', '2019-01-10', NULL, '2019-01-10', NULL, '2019-03-12 08:20:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 8.73000000, 0.00000000, 0.00000000, 0.00000000, 43.67000000, 52.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-02-28', NULL, 'Fourniture sonde de tremperature pour compresseur KS5 :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 43.67000000, 8.73000000, 52.40000000, NULL, 'facture/FA1901-0016/FA1901-0016.pdf', NULL, NULL),
(915, 'FA1901-0017', 1, NULL, NULL, NULL, 0, NULL, 2383, '2019-01-11 11:35:18', '2019-01-11', NULL, '2019-01-11', NULL, '2019-04-03 08:15:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 157.69000000, 0.00000000, 0.00000000, 0.00000000, 788.42000000, 946.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Changement 6 hublots dans les wc et remplcament radiateur &eacute;lectrique vestiaire.<br />\r\n<br />\r\nBL N&deg;17 du 07/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 788.42000000, 157.69000000, 946.11000000, NULL, 'facture/FA1901-0017/FA1901-0017.pdf', NULL, NULL),
(916, 'FA1901-0018', 1, NULL, NULL, 'Epreuve cuve 4000 L', 0, NULL, 2077, '2019-01-14 09:52:04', '2019-01-14', NULL, '2019-01-14', NULL, '2019-04-15 08:09:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 307.00000000, 0.00000000, 0.00000000, 0.00000000, 1535.00000000, 1842.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'R&eacute;epreuve reservoir 4000 Litres&nbsp; d&rsquo;air comprim&eacute; ( Hors organisme agr&eacute;e )\r\n<p>Commande N&deg; 20180709252<br />\r\n<br />\r\nBL N&deg;20 du 09/01/2019</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1535.00000000, 307.00000000, 1842.00000000, NULL, 'facture/FA1901-0018/FA1901-0018.pdf', NULL, NULL),
(917, 'FA1901-0019', 1, NULL, NULL, NULL, 0, NULL, 2077, '2019-01-14 09:57:52', '2019-01-14', NULL, '2019-01-14', NULL, '2019-04-15 08:09:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 26.06000000, 0.00000000, 0.00000000, 0.00000000, 130.30000000, 156.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Soupape de suret&eacute; 1/4 en 10 bars pour reservoir 4000 Litres &agrave; pr&eacute;voir pour l&#39;&eacute;preuve de celle ci :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 130.30000000, 26.06000000, 156.36000000, NULL, 'facture/FA1901-0019/FA1901-0019.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(918, 'FA1901-0020', 1, NULL, NULL, '2100/19000843', 0, NULL, 2161, '2019-01-14 10:58:47', '2019-01-14', NULL, '2019-01-14', NULL, '2019-01-21 08:02:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 35.63000000, 0.00000000, 0.00000000, 0.00000000, 178.12000000, 213.75000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Intervention sur compresseur ROllair 15DB G9 N&deg; CAI410726 &agrave; 31470 HRS<br />\r\n<br />\r\nBL N&deg;35 du 14/09/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 178.12000000, 35.63000000, 213.75000000, NULL, NULL, NULL, NULL),
(919, 'FA1901-0021', 1, NULL, NULL, NULL, 0, NULL, 2073, '2019-01-15 14:20:44', '2019-01-15', NULL, '2019-01-15', NULL, '2019-04-19 06:41:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 182.70000000, 0.00000000, 0.00000000, 0.00000000, 913.50000000, 1096.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Maintenance Hv07 &agrave; 9933 HRS<br />\r\n<br />\r\nBL N&deg; 22 du 14/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 913.50000000, 182.70000000, 1096.20000000, NULL, 'facture/FA1901-0021/FA1901-0021.pdf', NULL, NULL),
(920, 'FA1901-0022', 1, NULL, NULL, NULL, 0, NULL, 12666, '2019-01-15 15:11:38', '2019-01-15', NULL, '2019-01-15', NULL, '2019-03-25 09:09:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 234.91000000, 0.00000000, 0.00000000, 0.00000000, 1174.64000000, 1409.55000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-02-28', NULL, 'Maintenance secheur alumine site de Saint Julien Molin molette -<br />\r\n<br />\r\nBL N°21 du 11/09/2019<br />\r\n<br />\r\nCommande N°CRGJU110102', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1174.64000000, 234.91000000, 1409.55000000, NULL, 'facture/FA1901-0022/FA1901-0022.pdf', NULL, NULL),
(921, 'FA1901-0023', 1, NULL, NULL, NULL, 0, NULL, 12666, '2019-01-15 15:15:47', '2019-01-15', NULL, '2019-01-15', NULL, '2019-03-25 09:09:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 163.65000000, 0.00000000, 0.00000000, 0.00000000, 818.26000000, 981.91000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-02-28', NULL, 'Maintenance compresseur MAC 3 MSC18 à 11 000HRS - site de ST julien Molin molette <br />\r\n<br />\r\nBL N°21 du 11/01/2019<br />\r\n<br />\r\nCommande N°CRGJU110103', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 818.26000000, 163.65000000, 981.91000000, NULL, 'facture/FA1901-0023/FA1901-0023.pdf', NULL, NULL),
(922, 'FA1901-0024', 1, NULL, NULL, NULL, 0, NULL, 2162, '2019-01-15 15:34:35', '2019-01-15', NULL, '2019-01-15', NULL, '2019-03-01 09:17:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 36.58000000, 0.00000000, 0.00000000, 0.00000000, 182.88000000, 219.46000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Raccordement purgeur auto de votre s&eacute;cheur F156S+<br />\r\n<br />\r\nBL N&deg;24 du 11/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 182.88000000, 36.58000000, 219.46000000, NULL, NULL, NULL, NULL),
(923, 'FA1901-0025', 1, NULL, NULL, NULL, 0, NULL, 2140, '2019-01-16 10:43:29', '2019-01-16', NULL, '2019-01-16', NULL, '2019-03-11 08:17:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 86.17000000, 0.00000000, 0.00000000, 0.00000000, 430.85000000, 517.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Maintenance compresseur L15 N&deg; CD10003063002 &agrave; 23640 HRS<br />\r\n<br />\r\nBL N&deg; 25 du 15/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 430.85000000, 86.17000000, 517.02000000, NULL, 'facture/FA1901-0025/FA1901-0025.pdf', NULL, NULL),
(924, 'FA1901-0026', 1, NULL, NULL, NULL, 0, NULL, 2140, '2019-01-16 11:01:44', '2019-01-16', NULL, '2019-01-16', NULL, '2019-03-11 08:17:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 156.19000000, 0.00000000, 0.00000000, 0.00000000, 780.96000000, 937.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Maintenance L15RS N&deg; CD10024995001 &agrave; 14150 HRS<br />\r\n<br />\r\nBL N&deg;26 du 15/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 780.96000000, 156.19000000, 937.15000000, NULL, 'facture/FA1901-0026/FA1901-0026.pdf', NULL, NULL),
(925, 'FA1901-0027', 1, NULL, NULL, NULL, 0, NULL, 2381, '2019-01-16 11:41:57', '2019-01-16', NULL, '2019-01-16', NULL, '2019-03-18 09:33:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 237.81000000, 0.00000000, 0.00000000, 0.00000000, 1189.06000000, 1426.87000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Maintenance 2 compresseurs + reparation flexible&nbsp;<br />\r\nKA10 &agrave; 7880Hrs<br />\r\nGA11C &agrave; 3648 HRS<br />\r\n<br />\r\nBL N&deg; 23&amp; 24 du 15/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1189.06000000, 237.81000000, 1426.87000000, NULL, 'facture/FA1901-0027/FA1901-0027.pdf', NULL, NULL),
(926, 'FA1901-0028', 1, NULL, NULL, 'Filtre réseau', 0, NULL, 2407, '2019-01-16 15:28:15', '2019-01-14', NULL, '2019-01-16', NULL, '2019-03-15 09:23:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 286.10000000, 0.00000000, 0.00000000, 0.00000000, 1430.52000000, 1716.62000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 15, 2, '2019-01-15', 'reglement à date de facture et 60 jours', 'Commande N&deg; 905644374-0-10760<br />\r\n<br />\r\nLivraison :<br />\r\nCROUZET AUTOMATISMES<br />\r\n2Rue Docteur Henri Abel<br />\r\n26000 VALENCE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1430.52000000, 286.10000000, 1716.62000000, NULL, 'facture/FA1901-0028/FA1901-0028.pdf', NULL, NULL),
(927, 'FA1901-0029', 1, NULL, NULL, NULL, 0, NULL, 2164, '2019-01-17 09:59:55', '2019-01-17', NULL, '2019-01-17', NULL, '2019-02-28 17:18:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 19.10000000, 0.00000000, 0.00000000, 0.00000000, 95.50000000, 114.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'cartouche filtre reseau<br />\r\n<br />\r\nCommande BC13919', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 95.50000000, 19.10000000, 114.60000000, NULL, NULL, NULL, NULL),
(928, 'FA1901-0030', 1, NULL, NULL, NULL, 0, NULL, 2164, '2019-01-17 10:03:48', '2019-01-17', NULL, '2019-01-17', NULL, '2019-02-28 17:18:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 129.27000000, 0.00000000, 0.00000000, 0.00000000, 646.35000000, 775.62000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Commande N&deg; BC13978<br />\r\n<br />\r\nMaintenance compresseur POWER SYSTEM N&deg; 220354 &agrave; 8437 HRS<br />\r\n<br />\r\nBL N&deg;27 du 16/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 646.35000000, 129.27000000, 775.62000000, NULL, NULL, NULL, NULL),
(929, 'FA1901-0031', 1, NULL, NULL, NULL, 0, NULL, 2261, '2019-01-18 09:20:49', '2019-01-18', NULL, '2019-01-18', NULL, '2019-05-13 14:39:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 34.08000000, 0.00000000, 0.00000000, 0.00000000, 170.36000000, 204.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Intervention sur compresseur Treck 5.5HH - defaut temperature&nbsp;<br />\r\n<br />\r\nBL N&deg;29 du 17/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 170.36000000, 34.08000000, 204.44000000, NULL, 'facture/FA1901-0031/FA1901-0031.pdf', NULL, NULL),
(933, 'FA1901-0032', 1, NULL, NULL, NULL, 0, NULL, 1988, '2019-01-23 09:46:52', '2019-01-23', NULL, '2019-01-23', NULL, '2019-04-05 07:51:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 742.58000000, 0.00000000, 0.00000000, 0.00000000, 3712.90000000, 4455.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Maintenance L55RS N&deg;CD10011035001 &agrave; 35339 HRS<br />\r\n<br />\r\nBL N&deg;31 du 21/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3712.90000000, 742.58000000, 4455.48000000, NULL, 'facture/FA1901-0032/FA1901-0032.pdf', NULL, NULL),
(934, 'FA1901-0033', 1, NULL, NULL, NULL, 0, NULL, 2184, '2019-01-23 10:31:05', '2019-01-23', NULL, '2019-01-23', NULL, '2019-03-15 09:23:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 99.30000000, 0.00000000, 0.00000000, 0.00000000, 496.52000000, 595.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Remplcament electrovanne sur compresseur L45RS N&deg; CD10015552001 &agrave; 34735 HRS<br />\r\n<br />\r\nBL N&deg;25 du 18/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 496.52000000, 99.30000000, 595.82000000, NULL, 'facture/FA1901-0033/FA1901-0033.pdf', NULL, NULL),
(935, 'FA1901-0034', 1, NULL, NULL, NULL, 0, NULL, 9617, '2019-01-23 11:28:20', '2019-01-23', NULL, '2019-01-23', NULL, '2019-03-08 09:06:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 270.19000000, 0.00000000, 0.00000000, 0.00000000, 1350.96000000, 1621.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 12, 0, '2019-01-28', NULL, 'Remplacement de votre reservoir 500Litres accoupl&eacute; &agrave; votre compresseur&nbsp; par un reservoir vertical 500Litres &agrave; cot&eacute; de votre compresseur :&nbsp;\r\n<p>BL N&deg;30 du 18/01/2019</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1350.96000000, 270.19000000, 1621.15000000, NULL, 'facture/FA1901-0034/FA1901-0034.pdf', NULL, NULL),
(936, 'FA1901-0035', 1, NULL, NULL, NULL, 0, NULL, 2279, '2019-01-23 11:45:20', '2019-01-23', NULL, '2019-01-23', NULL, '2019-03-01 09:16:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 610.37000000, 0.00000000, 0.00000000, 0.00000000, 3051.88000000, 3662.25000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Maintenance compresseur L50 &agrave; 40 951 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\nmaintenance separateur de condensats Owamat 14 .<br />\r\n<br />\r\nBL N&deg;33 du 22/01/2019<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3051.88000000, 610.37000000, 3662.25000000, NULL, NULL, NULL, NULL),
(937, 'FA1901-0036', 1, NULL, NULL, NULL, 0, NULL, 2149, '2019-01-23 11:57:19', '2019-01-23', NULL, '2019-01-23', NULL, '2019-03-11 08:16:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 115.28000000, 0.00000000, 0.00000000, 0.00000000, 576.35000000, 691.63000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Maintenance L07 Compair &agrave; 9013Heures<br />\r\n<br />\r\nBL N&deg;32 du 21/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 576.35000000, 115.28000000, 691.63000000, NULL, 'facture/FA1901-0036/FA1901-0036.pdf', NULL, NULL),
(938, 'FA1901-0037', 1, NULL, NULL, NULL, 0, NULL, 1981, '2019-01-23 14:16:19', '2019-01-23', NULL, '2019-01-23', NULL, '2019-03-06 08:18:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 9.51000000, 0.00000000, 0.00000000, 0.00000000, 47.53000000, 57.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Nez pour riveuteuse rodcraft RC6700<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 47.53000000, 9.51000000, 57.04000000, NULL, 'facture/FA1901-0037/FA1901-0037.pdf', NULL, NULL),
(940, 'FA1901-0038', 1, NULL, NULL, NULL, 0, NULL, 2050, '2019-01-28 10:01:28', '2019-01-28', NULL, '2019-01-28', NULL, '2019-03-19 07:32:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 168.12000000, 0.00000000, 0.00000000, 0.00000000, 840.60000000, 1008.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'demande de GARANTIE : WC20180047069&nbsp;<br />\r\nClient VINCI FACILITHIES THALES<br />\r\nL29RS N&deg;&nbsp;CD10039882001<br />\r\n<br />\r\nD&eacute;faut montage d&#39;usine sur la cuve du separateur qui fuit&nbsp; .&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 840.60000000, 168.12000000, 1008.72000000, NULL, 'facture/FA1901-0038/FA1901-0038.pdf', NULL, NULL),
(941, 'FA1901-0039', 1, NULL, NULL, '905273912-0-10760', 0, NULL, 2407, '2019-01-28 10:24:45', '2019-01-28', NULL, '2019-01-28', NULL, '2019-05-14 12:30:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2751.25000000, 0.00000000, 0.00000000, 0.00000000, 13756.25000000, 16507.50000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'Fourniture et installation en lieu et place L29RS Compresseur à vis lubrifiée vitesse variable 30KW COMPAIR -<br />\r\n<br />\r\n<span style=\"font-family:verdana,sans-serif\"><strong>La mise en place d’un système de variation électronique de vitesse  </strong></span><br />\r\n<strong><span style=\"font-family:verdana,sans-serif\">La mise en place d\'un moteur premium de classe IE3  puissance nominale 30KW</span></strong><br />\r\n<strong><span style=\"font-family:verdana,sans-serif\">La mise en place d’un système de récupération de chaleur ( gainage galva ) sur un compresseur d\'air d\'une puissance de 30kW</span></strong><br />\r\nReprise de votre ancien compresseur L37S<br />\r\nPrime CEE déduite<br />\r\n<br />\r\n<br />\r\n<br />\r\nCommande N° 905273912-0-10760<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 13756.25000000, 2751.25000000, 16507.50000000, NULL, 'facture/FA1901-0039/FA1901-0039.pdf', NULL, NULL),
(942, 'FA1901-0040', 1, NULL, NULL, NULL, 0, NULL, 2006, '2019-01-28 16:58:55', '2019-01-28', NULL, '2019-01-28', NULL, '2019-08-22 15:09:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 25.54000000, 0.00000000, 0.00000000, 0.00000000, 127.68000000, 153.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'r&eacute;parartion chauffage MASTER -&nbsp;<br />\r\nReservoir colmat&eacute;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 127.68000000, 25.54000000, 153.22000000, NULL, 'facture/FA1901-0040/FA1901-0040.pdf', NULL, NULL),
(943, 'FA1901-0041', 1, NULL, NULL, 'MIGNOT', 0, NULL, 1955, '2019-01-29 14:58:40', '2019-01-29', NULL, '2019-01-29', NULL, '2019-03-13 15:20:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 52.77000000, 0.00000000, 0.00000000, 0.00000000, 263.82000000, 316.59000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 263.82000000, 52.77000000, 316.59000000, NULL, 'facture/FA1901-0041/FA1901-0041.pdf', NULL, NULL),
(944, 'FA1901-0042', 1, NULL, NULL, NULL, 0, NULL, 1990, '2019-01-29 15:27:04', '2019-01-29', NULL, '2019-01-29', NULL, '2019-02-28 17:28:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 95.83000000, 0.00000000, 0.00000000, 0.00000000, 479.16000000, 574.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'D&eacute;pannage L30 N&deg; 14091809829900901 - probleme de mise en charge<br />\r\n<br />\r\nBL N&deg;34 du 23/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 479.16000000, 95.83000000, 574.99000000, NULL, NULL, NULL, NULL),
(945, 'FA1901-0043', 1, NULL, NULL, NULL, 0, NULL, 2247, '2019-01-29 16:43:57', '2019-01-29', NULL, '2019-01-29', NULL, '2019-03-12 08:20:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 315.15000000, 0.00000000, 0.00000000, 0.00000000, 1575.80000000, 1890.95000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-02-28', NULL, 'maintenance L18rs N&deg; CD100018442001 &agrave; 2411HRS( nouvelle carte )&nbsp;<br />\r\nMaintenance separateur de condensats OWAMT 11<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\n<br />\r\nBL N&deg; 35 du 25/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1575.80000000, 315.15000000, 1890.95000000, NULL, 'facture/FA1901-0043/FA1901-0043.pdf', NULL, NULL),
(946, 'FA1901-0044', 1, NULL, NULL, NULL, 0, NULL, 2215, '2019-01-30 09:41:16', '2019-01-30', NULL, '2019-01-30', NULL, '2019-03-13 15:10:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 81.16000000, 0.00000000, 0.00000000, 0.00000000, 405.80000000, 486.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Remplacement carte delcos sur compresseur L11RS N&deg; CD10021552001 &agrave; 22241 Heures .<br />\r\nDelcos sous garantie ASSURE<br />\r\n<br />\r\nBL N&deg; 25 du 24/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 405.80000000, 81.16000000, 486.96000000, NULL, 'facture/FA1901-0044/FA1901-0044.pdf', NULL, NULL),
(947, 'FA1901-0045', 1, NULL, NULL, 'BRUN BUISSON', 0, NULL, 12764, '2019-01-30 10:19:32', '2019-01-30', NULL, '2019-02-12', NULL, '2019-03-07 12:44:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 391.32000000, 0.00000000, 0.00000000, 0.00000000, 1956.55000000, 2347.87000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-03-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1956.55000000, 391.32000000, 2347.87000000, NULL, 'facture/FA1901-0045/FA1901-0045.pdf', NULL, NULL),
(948, 'FA1901-0046', 1, NULL, NULL, NULL, 0, NULL, 2407, '2019-01-30 14:19:51', '2019-01-30', NULL, '2019-01-30', NULL, '2019-04-03 07:53:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 781.85000000, 0.00000000, 0.00000000, 0.00000000, 3909.25000000, 4691.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenance L90RS 13BARS de 2017 N&deg; CD10015199001 &agrave; 8393Heures .<br />\r\n<br />\r\nBL N&deg;23 du 23/01/2019<br />\r\n<br />\r\nCommande N&deg; 910965666-0-10760<br />\r\n<br />\r\nAdresse d&#39;intervention :&nbsp;<br />\r\nCROUZET AUTOMATISMES<br />\r\n10 RU DOCTEUR ABEL 26000VALENCE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3909.25000000, 781.85000000, 4691.10000000, NULL, 'facture/FA1901-0046/FA1901-0046.pdf', NULL, NULL),
(949, 'FA1901-0047', 1, NULL, NULL, NULL, 0, NULL, 6663, '2019-01-30 14:39:00', '2019-01-30', NULL, '2019-01-30', NULL, '2019-04-02 07:40:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 320.61000000, 0.00000000, 0.00000000, 0.00000000, 1603.07000000, 1923.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenance L37RS N&deg; CD100248873001 &agrave; 3731 HRS<br />\r\nMaintenance seprateur de condensats Owamat 14<br />\r\n<br />\r\nBL N&deg;23 du 24/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1603.07000000, 320.61000000, 1923.68000000, NULL, 'facture/FA1901-0047/FA1901-0047.pdf', NULL, NULL),
(950, 'FA1902-0001', 1, NULL, NULL, 'secheur neuf', 0, NULL, 2289, '2019-02-01 09:53:33', '2019-02-01', NULL, '2019-02-01', NULL, '2019-02-18 08:35:02', 0, 0.00000000, NULL, NULL, 0, 'discount_vat', 'escompte alain', 320.00000000, 0.00000000, 0.00000000, 0.00000000, 1600.00000000, 1920.00000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2019-02-02', NULL, 'Sécheur par réfrigeration OMI ref ED144 debit 144m3/h.<br />\r\n<br />\r\nBL N°35 du 01/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1600.00000000, 320.00000000, 1920.00000000, NULL, NULL, NULL, NULL),
(951, 'FA1902-0002', 1, NULL, NULL, '2934591', 0, NULL, 2234, '2019-02-01 09:58:28', '2019-02-01', NULL, '2019-02-01', NULL, '2019-03-13 15:12:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA1902-0002/FA1902-0002.pdf', NULL, NULL),
(952, 'FA1902-0003', 1, NULL, NULL, NULL, 0, NULL, 2215, '2019-02-01 10:02:28', '2019-02-01', NULL, '2019-02-01', NULL, '2019-02-07 21:56:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL, NULL),
(953, 'FA1902-0004', 1, NULL, NULL, NULL, 0, NULL, 5741, '2019-02-01 14:22:14', '2019-02-01', NULL, '2019-02-01', NULL, '2019-04-02 07:42:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 105.92000000, 0.00000000, 0.00000000, 0.00000000, 529.62000000, 635.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-03-31', NULL, 'filtres reseaux<br />\r\n<br />\r\nCommande N&deg; 10519', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 529.62000000, 105.92000000, 635.54000000, NULL, 'facture/FA1902-0004/FA1902-0004.pdf', NULL, NULL),
(954, 'FA1902-0005', 1, NULL, NULL, NULL, 0, NULL, 2197, '2019-02-04 11:18:42', '2019-02-04', NULL, '2019-02-04', NULL, '2019-02-20 07:54:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL, NULL),
(955, 'FA1902-0006', 1, NULL, NULL, NULL, 0, NULL, 2184, '2019-02-05 09:04:01', '2019-02-05', NULL, '2019-02-05', NULL, '2019-03-15 09:23:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 320.00000000, 0.00000000, 0.00000000, 0.00000000, 1600.02000000, 1920.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenance L45RS ( 2018 ) N&deg; CD10034859001 en huile alimentaire &agrave; 6789 HRS<br />\r\n<br />\r\nRemplacement cartouche filtre r&eacute;seau&nbsp;<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N&deg;26 du 1801/2019<br />\r\n<br />\r\nCommande N&deg; PO7000788314 du 04/02/2019<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1600.02000000, 320.00000000, 1920.02000000, NULL, 'facture/FA1902-0006/FA1902-0006.pdf', NULL, NULL),
(956, 'FA1902-0007', 1, NULL, NULL, '10589', 0, NULL, 5741, '2019-02-05 11:21:50', '2019-02-05', NULL, '2019-02-05', NULL, '2019-04-02 07:42:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 149.04000000, 0.00000000, 0.00000000, 0.00000000, 745.19000000, 894.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-03-31', NULL, 'Maintenance pour compresseur L75 N&deg;CD1005618002<br />\r\n<br />\r\nBL N&deg;27 du 31/01/2019<br />\r\n<br />\r\nCommande N&deg; 10589', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 745.19000000, 149.04000000, 894.23000000, NULL, 'facture/FA1902-0007/FA1902-0007.pdf', NULL, NULL),
(957, 'FA1902-0008', 1, NULL, NULL, NULL, 0, NULL, 10268, '2019-02-06 16:18:50', '2019-02-06', NULL, '2019-02-06', NULL, '2019-04-05 07:50:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.40000000, 0.00000000, 0.00000000, 0.00000000, 562.02000000, 674.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2019-03-08', NULL, 'Maintenance compresseur GA7 N&deg;AII124221 de 1999&agrave; 6455HRS<br />\r\n<br />\r\nBL N&deg;36 du 25/01/2019<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n&nbsp;</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 562.02000000, 112.40000000, 674.42000000, NULL, 'facture/FA1902-0008/FA1902-0008.pdf', NULL, NULL),
(958, 'FA1902-0009', 1, NULL, NULL, NULL, 0, NULL, 2091, '2019-02-06 16:29:13', '2019-02-06', NULL, '2019-02-06', NULL, '2019-04-10 06:40:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 149.33000000, 0.00000000, 0.00000000, 0.00000000, 746.62000000, 895.95000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenance compresseur L18 N&deg;CD10030115002 &agrave; 448HRS suivant contrat liss&eacute;<br />\r\n<br />\r\nBL N&deg;40 du 29/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 746.62000000, 149.33000000, 895.95000000, NULL, 'facture/FA1902-0009/FA1902-0009.pdf', NULL, NULL),
(959, 'FA1902-0010', 1, NULL, NULL, NULL, 0, NULL, 12864, '2019-02-08 09:05:11', '2019-02-08', NULL, '2019-02-08', NULL, '2019-02-08 12:55:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 88.41000000, 0.00000000, 0.00000000, 0.00000000, 442.01000000, 530.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 9, 0, '2019-02-09', NULL, 'Demande Pieces d&eacute;tach&eacute;es COMPAIR', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 442.01000000, 88.41000000, 530.42000000, NULL, NULL, NULL, NULL),
(960, 'FA1902-0049', 1, NULL, NULL, NULL, 0, NULL, 12797, '2019-02-08 09:58:54', '2019-03-04', NULL, '2019-03-04', NULL, '2019-03-04 14:42:49', 0, 0.00000000, NULL, NULL, 0, 'abandon', NULL, 199.40000000, 0.00000000, 0.00000000, 0.00000000, 997.00000000, 1196.40000000, 3, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2019-04-03', NULL, 'compresseur &agrave; piston COMPAIR garantie totale 2 ans&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 997.00000000, 199.40000000, 1196.40000000, NULL, 'facture/FA1902-0049/FA1902-0049.pdf', NULL, NULL),
(961, 'FA1902-0011', 1, NULL, NULL, NULL, 0, NULL, 5137, '2019-02-11 14:26:47', '2019-02-11', NULL, '2019-02-11', NULL, '2019-03-14 12:27:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 53.60000000, 0.00000000, 0.00000000, 0.00000000, 268.00000000, 321.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2019-03-13', NULL, '<h1>Sovelor - Chauffage air puls&eacute; portable &eacute;lectrique 230V~1 50 Hz - C3</h1>\r\n<br />\r\nCommande N&deg; : BC1900529', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 268.00000000, 53.60000000, 321.60000000, NULL, 'facture/FA1902-0011/FA1902-0011.pdf', NULL, NULL),
(962, 'FA1902-0012', 1, NULL, NULL, NULL, 0, NULL, 1948, '2019-02-11 14:29:44', '2019-02-11', NULL, '2019-02-11', NULL, '2019-04-02 07:43:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 24.59000000, 0.00000000, 0.00000000, 0.00000000, 122.98000000, 147.57000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 122.98000000, 24.59000000, 147.57000000, NULL, 'facture/FA1902-0012/FA1902-0012.pdf', NULL, NULL),
(963, 'FA1902-0013', 1, NULL, NULL, NULL, 0, NULL, 2181, '2019-02-12 10:12:48', '2019-02-12', NULL, '2019-02-12', NULL, '2019-02-13 08:22:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 5.68000000, 0.00000000, 0.00000000, 0.00000000, 28.42000000, 34.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'huile pour hydrovanne HV02', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 28.42000000, 5.68000000, 34.10000000, NULL, NULL, NULL, NULL),
(964, 'FA1902-0014', 1, NULL, NULL, NULL, 0, NULL, 1955, '2019-02-13 09:56:40', '2019-02-13', NULL, '2019-02-13', NULL, '2019-04-09 07:57:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 283.36000000, 0.00000000, 0.00000000, 0.00000000, 1416.80000000, 1700.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, '<h1>Chauffage Radiant Infrarouge Electrique Sovelor IRC 1500 CN</h1>\r\n<br />\r\n1500 W - Noir - IPX5', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1416.80000000, 283.36000000, 1700.16000000, NULL, 'facture/FA1902-0014/FA1902-0014.pdf', NULL, NULL),
(965, 'FA1902-0015', 1, NULL, NULL, NULL, 0, NULL, 2033, '2019-02-13 10:00:57', '2019-02-13', NULL, '2019-02-13', NULL, '2019-04-30 07:39:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 151.58000000, 0.00000000, 0.00000000, 0.00000000, 757.92000000, 909.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenance compresseur GA30VSD N&deg; API431692 &agrave; 16432 HRS&nbsp; et remplacement cartouche filtre reseau :<br />\r\nSite de Guilherand Granges ;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 757.92000000, 151.58000000, 909.50000000, NULL, 'facture/FA1902-0015/FA1902-0015.pdf', NULL, NULL),
(966, 'FA1902-0016', 1, NULL, NULL, NULL, 0, NULL, 2029, '2019-02-13 10:04:20', '2019-02-13', NULL, '2019-02-13', NULL, '2019-05-02 11:37:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 101.67000000, 0.00000000, 0.00000000, 0.00000000, 508.37000000, 610.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenance L11 N&deg; 100014090161 &agrave; 35206 HRS<br />\r\nMaintenance seprateur de condensats Owamat 10<br />\r\n<br />\r\nBL N&deg;33 du 08/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 508.37000000, 101.67000000, 610.04000000, NULL, 'facture/FA1902-0016/FA1902-0016.pdf', NULL, NULL),
(967, 'FA1902-0017', 1, NULL, NULL, NULL, 0, NULL, 2313, '2019-02-13 10:12:03', '2019-02-13', NULL, '2019-02-13', NULL, '2019-04-10 06:42:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 132.38000000, 0.00000000, 0.00000000, 0.00000000, 661.90000000, 794.28000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenance L07RS N&deg; BA3562001 &agrave; 9475 HRS et filtre reseau&nbsp;<br />\r\n<br />\r\nBL N&deg;30 du 04/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 661.90000000, 132.38000000, 794.28000000, NULL, 'facture/FA1902-0017/FA1902-0017.pdf', NULL, NULL),
(968, 'FA1902-0018', 1, NULL, NULL, NULL, 0, NULL, 2153, '2019-02-13 10:22:52', '2019-02-13', NULL, '2019-02-13', NULL, '2019-04-02 07:41:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 124.65000000, 0.00000000, 0.00000000, 0.00000000, 623.26000000, 747.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenance L15RS &agrave; 13849 HRS N&deg; CD18012765002<br />\r\nMaintenance separateur de condensats OWAMAT 11<br />\r\n<br />\r\nBL N&deg; 28 du 09/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 623.26000000, 124.65000000, 747.91000000, NULL, 'facture/FA1902-0018/FA1902-0018.pdf', NULL, NULL),
(969, 'FA1902-0019', 1, NULL, NULL, NULL, 0, NULL, 2153, '2019-02-13 10:24:12', '2019-02-13', NULL, '2019-02-13', NULL, '2019-04-02 07:41:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 106.31000000, 0.00000000, 0.00000000, 0.00000000, 531.56000000, 637.87000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenance compresseur RENNER RSDK PRO3 13 BARS N&deg;707076 &agrave; 2727HRS<br />\r\n<br />\r\nBL N&deg;29 du 04/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 531.56000000, 106.31000000, 637.87000000, NULL, 'facture/FA1902-0019/FA1902-0019.pdf', NULL, NULL),
(970, 'FA1902-0020', 1, NULL, NULL, NULL, 0, NULL, 2076, '2019-02-13 10:50:08', '2019-02-13', NULL, '2019-02-13', NULL, '2019-04-09 06:54:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 147.22000000, 0.00000000, 0.00000000, 0.00000000, 736.11000000, 883.33000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Raccordement machine de d&eacute;coupe et filtration electrqiue, air et informatique.<br />\r\n<br />\r\nBL N&deg; 30 du 06/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 736.11000000, 147.22000000, 883.33000000, NULL, 'facture/FA1902-0020/FA1902-0020.pdf', NULL, NULL),
(971, 'FA1902-0021', 1, NULL, NULL, NULL, 0, NULL, 2178, '2019-02-13 14:25:48', '2019-02-13', NULL, '2019-02-13', NULL, '2019-04-02 07:43:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 640.39000000, 0.00000000, 0.00000000, 0.00000000, 3201.93000000, 3842.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenance L55 N&deg; CD10008941001 &agrave; 21 353 HRS +&nbsp; maintenance separateur de condensats<br />\r\n<br />\r\nBL N&deg;43 du 04/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3201.93000000, 640.39000000, 3842.32000000, NULL, 'facture/FA1902-0021/FA1902-0021.pdf', NULL, NULL),
(972, 'FA1902-0022', 1, NULL, NULL, NULL, 0, NULL, 2261, '2019-02-13 15:42:20', '2019-02-13', NULL, '2019-02-13', NULL, '2019-04-17 07:27:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 96.77000000, 0.00000000, 0.00000000, 0.00000000, 483.84000000, 580.61000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Mise en place d&#39;un r&eacute;seau d&#39;air comprim&eacute; pour alimenter le bars articul&eacute;&nbsp;<br />\r\nRepiquage sur la ponceuse &agrave; bande&nbsp;<br />\r\n<br />\r\nBL N&deg;40 du 01/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 483.84000000, 96.77000000, 580.61000000, NULL, 'facture/FA1902-0022/FA1902-0022.pdf', NULL, NULL),
(973, 'FA1902-0023', 1, NULL, NULL, NULL, 0, NULL, 2388, '2019-02-13 15:58:47', '2019-02-13', NULL, '2019-02-13', NULL, '2019-04-03 08:15:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 52.01000000, 0.00000000, 0.00000000, 0.00000000, 260.05000000, 312.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Remplacement coupleurs et reglage ralenti compresseur thermique<br />\r\n<br />\r\nBL N&deg;37 du 28/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 260.05000000, 52.01000000, 312.06000000, NULL, 'facture/FA1902-0023/FA1902-0023.pdf', NULL, NULL),
(974, 'FA1902-0024', 1, NULL, NULL, NULL, 0, NULL, 12594, '2019-02-13 16:03:42', '2019-02-13', NULL, '2019-02-13', NULL, '2019-04-17 07:28:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 66.29000000, 0.00000000, 0.00000000, 0.00000000, 331.44000000, 397.73000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-03-31', NULL, 'Intervention sur compresseur SULLAIR WS1100 - probleme de d&eacute;marrage en charge ( fuite VPM &agrave; changer )&nbsp;<br />\r\n<br />\r\nBL N&deg; 38 du 28/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 331.44000000, 66.29000000, 397.73000000, NULL, 'facture/FA1902-0024/FA1902-0024.pdf', NULL, NULL),
(975, 'FA1902-0025', 1, NULL, NULL, NULL, 0, NULL, 2102, '2019-02-14 09:55:29', '2019-02-14', NULL, '2019-02-14', NULL, '2019-04-03 07:54:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 91.27000000, 0.00000000, 0.00000000, 0.00000000, 456.33000000, 547.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenance L07RS N&deg;BA33915001 &agrave; 1340 HRS<br />\r\n<br />\r\nBL N&deg;31 du 07/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 456.33000000, 91.27000000, 547.60000000, NULL, 'facture/FA1902-0025/FA1902-0025.pdf', NULL, NULL),
(976, 'FA1902-0026', 1, NULL, NULL, NULL, 0, NULL, 2268, '2019-02-14 10:06:56', '2019-02-14', NULL, '2019-02-14', NULL, '2019-04-02 07:39:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 114.80000000, 0.00000000, 0.00000000, 0.00000000, 573.99000000, 688.79000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenance L15 N&deg; CD10006861001 &agrave; 48183 HRS<br />\r\n<br />\r\nBL N&deg;29 du 01/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 573.99000000, 114.80000000, 688.79000000, NULL, 'facture/FA1902-0026/FA1902-0026.pdf', NULL, NULL),
(977, 'FA1902-0027', 1, NULL, NULL, NULL, 0, NULL, 6663, '2019-02-14 10:31:21', '2019-02-14', NULL, '2019-02-14', NULL, '2019-04-02 07:40:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 181.11000000, 0.00000000, 0.00000000, 0.00000000, 905.54000000, 1086.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenance compresseur L18 N&deg;100011405/0154 &agrave; 16870 HEURES<br />\r\nRemplacement cartouches filtres reseaux&nbsp;<br />\r\n<br />\r\nBL N&deg;27 du 01/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 905.54000000, 181.11000000, 1086.65000000, NULL, 'facture/FA1902-0027/FA1902-0027.pdf', NULL, NULL),
(978, 'FA1902-0028', 1, NULL, NULL, NULL, 0, NULL, 2347, '2019-02-15 11:31:17', '2019-02-15', NULL, '2019-02-15', NULL, '2019-04-04 11:43:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 104.74000000, 0.00000000, 0.00000000, 0.00000000, 523.70000000, 628.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'kit 2000Hrs pour compresseur L15', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 523.70000000, 104.74000000, 628.44000000, NULL, 'facture/FA1902-0028/FA1902-0028.pdf', NULL, NULL),
(979, 'FA1902-0029', 1, NULL, NULL, NULL, 0, NULL, 2407, '2019-02-15 11:33:20', '2019-02-15', NULL, '2019-02-15', NULL, '2019-04-16 09:06:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 18.50000000, 0.00000000, 0.00000000, 0.00000000, 92.48000000, 110.98000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'tube polyamide calibr&eacute; rilsan avec boite carton d&eacute;vidoir&nbsp;<br />\r\n5 coudes 90&deg; egaux raccords instantan&eacute;s laiton nickel&eacute;<br />\r\n5 unions droit &eacute;gales&nbsp;raccords instantan&eacute;s laiton nickel&eacute;<br />\r\n<br />\r\nCommande N&deg;905896161-0-10760&nbsp;<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 92.48000000, 18.50000000, 110.98000000, NULL, 'facture/FA1902-0029/FA1902-0029.pdf', NULL, NULL),
(980, 'FA1902-0030', 1, NULL, NULL, NULL, 0, NULL, 6877, '2019-02-18 11:03:58', '2019-02-18', NULL, '2019-02-18', NULL, '2019-04-10 06:40:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 34.47000000, 0.00000000, 0.00000000, 0.00000000, 172.36000000, 206.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Pi&eacute;ces d&eacute;tach&eacute;es pour ROLLAIR 750AE N&deg; 231920 type 150197B<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 172.36000000, 34.47000000, 206.83000000, NULL, 'facture/FA1902-0030/FA1902-0030.pdf', NULL, NULL),
(981, 'FA1902-0031', 1, NULL, NULL, NULL, 0, NULL, 1940, '2019-02-18 11:13:23', '2019-02-18', NULL, '2019-02-18', NULL, '2019-04-18 06:28:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 86.24000000, 0.00000000, 0.00000000, 0.00000000, 431.20000000, 517.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Fourniture d&#39;un Aspirateur YS 2-62&nbsp; .<br />\r\n<br />\r\nCommande N&deg;2019105', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 431.20000000, 86.24000000, 517.44000000, NULL, 'facture/FA1902-0031/FA1902-0031.pdf', NULL, NULL),
(982, 'FA1902-0032', 1, NULL, NULL, NULL, 0, NULL, 1948, '2019-02-18 14:10:52', '2019-02-18', NULL, '2019-02-18', NULL, '2019-04-02 07:43:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 8.58000000, 0.00000000, 0.00000000, 0.00000000, 42.91000000, 51.49000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 42.91000000, 8.58000000, 51.49000000, NULL, 'facture/FA1902-0032/FA1902-0032.pdf', NULL, NULL),
(983, 'FA1902-0033', 1, NULL, NULL, NULL, 0, NULL, 2268, '2019-02-19 09:41:40', '2019-02-19', NULL, '2019-02-19', NULL, '2019-05-21 07:20:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 379.94000000, 0.00000000, 0.00000000, 0.00000000, 1899.65000000, 2279.59000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenance compresseur&nbsp; L75 RS N&deg; CD10003783001 avec huile alimentaire N&deg; 102220468 &agrave; 35646HRS<br />\r\nMaintenance cartouches 3 filtres reseaux .<br />\r\n<br />\r\nBL N&deg;28 du 01/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1899.65000000, 379.94000000, 2279.59000000, NULL, 'facture/FA1902-0033/FA1902-0033.pdf', NULL, NULL),
(984, 'FA1902-0034', 1, NULL, NULL, NULL, 0, NULL, 12594, '2019-02-20 10:51:27', '2019-02-20', NULL, '2019-02-20', NULL, '2019-04-10 06:41:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 44.04000000, 0.00000000, 0.00000000, 0.00000000, 220.18000000, 264.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-03-31', NULL, 'Remplacement de la vanne de pression minimum de votre compresseur WS1100, suite au passage de notre technicien celui ci &agrave; d&eacute;tecter une irr&eacute;gularit&eacute; au niveau de la vanne de pression minimum .<br />\r\n<br />\r\nNous vous proposons d&#39;effectuer cette intervention en m&ecirc;me temps que la maintenance de votre compresseur afin de diminuer les couts de transport . Cette offre n&#39;inclue pas le d&eacute;placement .&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 4 semaine &agrave; reception de commande&nbsp;<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 220.18000000, 44.04000000, 264.22000000, NULL, 'facture/FA1902-0034/FA1902-0034.pdf', NULL, NULL),
(985, 'FA1902-0035', 1, NULL, NULL, '38502', 0, NULL, 2122, '2019-02-22 09:24:39', '2019-02-22', NULL, '2019-02-22', NULL, '2019-04-16 09:06:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 10.60000000, 0.00000000, 0.00000000, 0.00000000, 53.00000000, 63.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-03-31', NULL, 'Sel regenerant pour adoucisseur<br />\r\n<br />\r\nCommande N&deg;38502<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 53.00000000, 10.60000000, 63.60000000, NULL, 'facture/FA1902-0035/FA1902-0035.pdf', NULL, NULL),
(986, 'FA1902-0036', 1, NULL, NULL, '2106079-325-G9J-BKP', 0, NULL, 2350, '2019-02-25 14:17:22', '2019-02-25', NULL, '2019-02-25', NULL, '2019-04-15 08:07:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 179.17000000, 0.00000000, 0.00000000, 0.00000000, 895.83000000, 1075.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenance Compresseur compair L45RS N&deg;CD10015054001 &agrave; 25769 HRS et&nbsp; remplacement du boitier de r&eacute;gulation.<br />\r\n<br />\r\nBL N&deg; 32 du 08/02/2019<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 895.83000000, 179.17000000, 1075.00000000, NULL, 'facture/FA1902-0036/FA1902-0036.pdf', NULL, NULL),
(987, 'FA1902-0037', 1, NULL, NULL, NULL, 0, NULL, 2609, '2019-02-27 09:02:39', '2019-02-27', NULL, '2019-02-27', NULL, '2019-04-08 08:03:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 66.52000000, 0.00000000, 0.00000000, 0.00000000, 332.62000000, 399.14000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Client final FAURE VALENCE <br />\r\nMr GARRIDO<br />\r\n460 Rue CHARLES DE GAULLE<br />\r\n26800 PORTES LES VALENCE<br />\r\n<br />\r\nMaintenance compresseur N° 20114293 à 5259 HRS <br />\r\n<br />\r\nIntervention du 26/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 332.62000000, 66.52000000, 399.14000000, NULL, 'facture/FA1902-0037/FA1902-0037.pdf', NULL, NULL),
(988, 'FA1902-0038', 1, NULL, NULL, 'tuyau souple', 0, NULL, 2053, '2019-02-27 09:13:02', '2019-02-27', NULL, '2019-02-27', NULL, '2019-04-15 08:08:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 33.88000000, 0.00000000, 0.00000000, 0.00000000, 169.40000000, 203.28000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'tuyau caoutchouc SBR&nbsp; outillair -20&deg;C &agrave; +70&deg;C', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 169.40000000, 33.88000000, 203.28000000, NULL, 'facture/FA1902-0038/FA1902-0038.pdf', NULL, NULL),
(989, 'FA1902-0039', 1, NULL, NULL, NULL, 0, NULL, 2261, '2019-02-27 09:37:12', '2019-02-27', NULL, '2019-02-27', NULL, '2019-04-17 07:27:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 232.44000000, 0.00000000, 0.00000000, 0.00000000, 1162.23000000, 1394.67000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenances compresseur HV02 et maco trek5.5 &agrave; 24047 HRS :&nbsp;<br />\r\nmaintenance seprateur de condensats Owamat 10<br />\r\n<br />\r\nBL N&deg;42 du 01/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1162.23000000, 232.44000000, 1394.67000000, NULL, 'facture/FA1902-0039/FA1902-0039.pdf', NULL, NULL),
(990, 'FA1902-0040', 1, NULL, NULL, NULL, 0, NULL, 10268, '2019-02-27 09:51:57', '2019-02-27', NULL, '2019-02-27', NULL, '2019-04-05 07:50:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 26.37000000, 0.00000000, 0.00000000, 0.00000000, 131.84000000, 158.21000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-03-31', NULL, 'remplacement purge temporis&eacute;e sur votre reservoir galva&nbsp;<br />\r\n<br />\r\n( cette offre ne comprend pas le d&eacute;placement &agrave; effectuer en m&ecirc;me temps qu&#39;un autre intervention )&nbsp;<br />\r\n<br />\r\nBL N&deg;37 du 22/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 131.84000000, 26.37000000, 158.21000000, NULL, 'facture/FA1902-0040/FA1902-0040.pdf', NULL, NULL),
(991, 'FA1902-0041', 1, NULL, NULL, NULL, 0, NULL, 10268, '2019-02-27 09:54:58', '2019-02-27', NULL, '2019-02-27', NULL, '2019-04-05 07:50:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 202.27000000, 0.00000000, 0.00000000, 0.00000000, 1011.38000000, 1213.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-03-31', NULL, 'Remplacement clapet d&#39;aspiration et electrovanne sur votre compresseur GA 7 .<br />\r\n<br />\r\nBL N&deg;37 du 22/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1011.38000000, 202.27000000, 1213.65000000, NULL, 'facture/FA1902-0041/FA1902-0041.pdf', NULL, NULL),
(992, 'FA1902-0042', 1, NULL, NULL, NULL, 0, NULL, 12683, '2019-02-27 16:11:06', '2019-02-27', NULL, '2019-02-27', NULL, '2019-06-03 07:52:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2499.88000000, 0.00000000, 0.00000000, 0.00000000, 12499.48000000, 14999.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 15, 0, '2019-02-28', NULL, 'Travaux :<br />\r\nEau de lavage<br />\r\nCO&sup2; haut naturel<br />\r\nCO&sup2;industriel<br />\r\nCuve de lavage + pompe', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 12499.48000000, 2499.88000000, 14999.36000000, NULL, 'facture/FA1902-0042/FA1902-0042.pdf', NULL, NULL),
(993, 'FA1902-0043', 1, NULL, NULL, 'Local Compresseur', 0, NULL, 12819, '2019-02-28 09:15:47', '2019-02-28', NULL, '2019-02-28', NULL, '2019-04-18 06:29:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1645.16000000, 0.00000000, 0.00000000, 0.00000000, 8225.82000000, 9870.98000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 15, 2, '2019-03-01', NULL, 'Compresseur &agrave; vitesse fixe 7.5KW 10 bars avec secheur et filtre amont et aval , reservoir 900Litres.<br />\r\nraccordement de l&#39;ensemble&nbsp;<br />\r\nHors electricit&eacute; et hors manutention.<br />\r\n<br />\r\n<u><strong>Commande N&deg; IM0005104 1 du 24/01/2019</strong></u><br />\r\nNom du gestionnaire: CHAPUIS JEAN CHRISTOPHE\r\n<p>Commande &agrave; livrer &agrave; :<br />\r\nCNMEA ST THOMAS EN ROYANS 26190 SAINT THOMAS EN ROYANS<br />\r\n<br />\r\n&nbsp;</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 8225.82000000, 1645.16000000, 9870.98000000, NULL, 'facture/FA1902-0043/FA1902-0043.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(994, 'FA1902-0044', 1, NULL, NULL, NULL, 0, NULL, 2153, '2019-02-28 10:52:05', '2019-02-28', NULL, '2019-02-28', NULL, '2019-04-02 07:41:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 97.50000000, 0.00000000, 0.00000000, 0.00000000, 487.52000000, 585.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Intervention sur compresseur RENNER RSDK PRO 3 N&deg; 707076 - Fuite d&#39;huile sur le tuyau de r&eacute;aspiration d&#39;huile - reffection du tuyau<br />\r\n<br />\r\nBL N&deg; 40 du 27/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 487.52000000, 97.50000000, 585.02000000, NULL, 'facture/FA1902-0044/FA1902-0044.pdf', NULL, NULL),
(995, 'FA1902-0045', 1, NULL, NULL, NULL, 0, NULL, 2609, '2019-02-28 10:58:27', '2019-02-28', NULL, '2019-02-28', NULL, '2019-04-08 08:03:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 58.46000000, 0.00000000, 0.00000000, 0.00000000, 292.31000000, 350.77000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Site d&#39;intervention : UDEP du pays d&#39;Albon<br />\r\nLieu dit Les Granges<br />\r\n26140 ANDANCETTE<br />\r\n<br />\r\nPanne 0040 - Prevoir le remplacement du clapet&nbsp; de retenue<br />\r\nIntervention du 26/02/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 292.31000000, 58.46000000, 350.77000000, NULL, 'facture/FA1902-0045/FA1902-0045.pdf', NULL, NULL),
(996, 'FA1902-0046', 1, NULL, NULL, 'L11rs et reparation', 0, NULL, 12777, '2019-02-28 11:05:08', '2019-02-28', NULL, '2019-03-01', NULL, '2019-04-17 07:26:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 321.51000000, 0.00000000, 0.00000000, 0.00000000, 1607.58000000, 1929.09000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-03-31', NULL, 'Maintenance compresseur L11RS , filtres reseaux et separateur de condensats ainsi que r&eacute;paration du r&eacute;seau coup&eacute; suite &agrave; l&#39;intervention de votre societe .<br />\r\n<br />\r\nCommande N&deg;2013/01/-0134', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1607.58000000, 321.51000000, 1929.09000000, NULL, 'facture/FA1902-0046/FA1902-0046.pdf', NULL, NULL),
(997, 'FA1903-0001', 1, NULL, NULL, NULL, 0, NULL, 2234, '2019-03-01 09:08:08', '2019-03-01', NULL, '2019-03-01', NULL, '2019-03-25 09:13:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA1903-0001/FA1903-0001.pdf', NULL, NULL),
(998, 'FA1903-0002', 1, NULL, NULL, NULL, 0, NULL, 2215, '2019-03-01 09:14:14', '2019-03-01', NULL, '2019-03-01', NULL, '2019-03-13 15:10:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, 'facture/FA1903-0002/FA1903-0002.pdf', NULL, NULL),
(999, 'FA1903-0003', 1, NULL, NULL, NULL, 0, NULL, 2197, '2019-03-01 09:17:41', '2019-03-01', NULL, '2019-03-01', NULL, '2019-03-25 09:11:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, 'facture/FA1903-0003/FA1903-0003.pdf', NULL, NULL),
(1000, 'FA1902-0047', 1, NULL, NULL, NULL, 0, NULL, 2396, '2019-03-01 10:05:53', '2019-02-28', NULL, '2019-03-01', NULL, '2019-04-04 11:42:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 13.38000000, 0.00000000, 0.00000000, 0.00000000, 66.90000000, 80.28000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 66.90000000, 13.38000000, 80.28000000, NULL, 'facture/FA1902-0047/FA1902-0047.pdf', NULL, NULL),
(1001, 'FA1902-0048', 1, NULL, NULL, '2 L22S', 0, NULL, 2407, '2019-03-01 10:39:00', '2019-02-28', NULL, '2019-03-01', NULL, '2019-04-29 07:23:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 269.46000000, 0.00000000, 0.00000000, 0.00000000, 1347.27000000, 1616.73000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-03-31', NULL, 'Maintenance de vos 2 compresseurs : 2 compresseurs L22S - Maintenance 4000Heures - offre hors pi&eacute;ces d&eacute;tach&eacute;es d&eacute;j&agrave; en votre possession .<br />\r\nMaintenance seprateur de condensats<br />\r\net remplacement de vos cartouches de&nbsp; vos 4&nbsp; filtres r&eacute;seaux fournitures inclus .<br />\r\n<br />\r\nCommande N&deg; 910955185-0-10760<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1347.27000000, 269.46000000, 1616.73000000, NULL, 'facture/FA1902-0048/FA1902-0048.pdf', NULL, NULL),
(1002, 'FA1903-0004', 1, NULL, NULL, NULL, 0, NULL, 12781, '2019-03-01 10:51:30', '2019-03-01', NULL, '2019-03-01', NULL, '2019-04-16 08:48:44', 0, 0.00000000, NULL, NULL, 0, 'abandon', NULL, 1407.00000000, 0.00000000, 0.00000000, 0.00000000, 7035.00000000, 8442.00000000, 3, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2019-03-31', NULL, 'Dossier N&deg;306-P4-0749OB/34753- MIXT COMPOSITES RECYCLABLES L45RS COMPAIR', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 7035.00000000, 1407.00000000, 8442.00000000, NULL, NULL, NULL, NULL),
(1003, 'FA1903-0005', 1, NULL, NULL, NULL, 0, NULL, 12797, '2019-03-04 15:43:05', '2019-03-04', NULL, '2019-03-04', NULL, '2019-03-15 09:31:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 199.40000000, 0.00000000, 0.00000000, 0.00000000, 997.00000000, 1196.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2019-04-03', NULL, 'compresseur &agrave; piston COMPAIR garantie totale 2 ans&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 997.00000000, 199.40000000, 1196.40000000, NULL, 'facture/FA1903-0005/FA1903-0005.pdf', NULL, NULL),
(1004, 'FA1903-0006', 1, NULL, NULL, NULL, 0, NULL, 2101, '2019-03-05 16:22:33', '2019-03-05', NULL, '2019-03-05', NULL, '2019-04-24 06:53:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 31.53000000, 0.00000000, 0.00000000, 0.00000000, 157.64000000, 189.17000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-04-30', NULL, 'Remplacement sonde de temperature sur compresseur L18RS .<br />\r\n<br />\r\nBL N&deg;44 du 01/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 157.64000000, 31.53000000, 189.17000000, NULL, 'facture/FA1903-0006/FA1903-0006.pdf', NULL, NULL),
(1005, 'FA1903-0007', 1, NULL, NULL, NULL, 0, NULL, 9822, '2019-03-05 16:32:34', '2019-03-05', NULL, '2019-03-05', NULL, '2019-05-15 08:27:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 321.62000000, 0.00000000, 0.00000000, 0.00000000, 1608.11000000, 1929.73000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Raccordement centrale aspiration entre usinage et les 2 scies - en r&eacute;gie<br />\r\n<br />\r\nBL N&deg;43 du 04/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1608.11000000, 321.62000000, 1929.73000000, NULL, 'facture/FA1903-0007/FA1903-0007.pdf', NULL, NULL),
(1006, 'FA1903-0008', 1, NULL, NULL, NULL, 0, NULL, 9822, '2019-03-05 16:37:33', '2019-03-05', NULL, '2019-03-05', NULL, '2019-05-15 08:27:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 134.32000000, 0.00000000, 0.00000000, 0.00000000, 671.58000000, 805.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance L18RS N&deg; CD10008506001 &agrave; 15182 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;45 du 01/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 671.58000000, 134.32000000, 805.90000000, NULL, 'facture/FA1903-0008/FA1903-0008.pdf', NULL, NULL),
(1007, 'FA1903-0009', 1, NULL, NULL, NULL, 0, NULL, 2022, '2019-03-05 16:44:06', '2019-03-05', NULL, '2019-03-05', NULL, '2019-04-16 09:07:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 135.59000000, 0.00000000, 0.00000000, 0.00000000, 677.95000000, 813.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance compresseur Rolalir 1400&nbsp; &agrave; 3863HRS<br />\r\nMaintenance seprateur de condensats<br />\r\n<br />\r\n<strong>Commande N&deg; 940268311-0-10485</strong>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 677.95000000, 135.59000000, 813.54000000, NULL, 'facture/FA1903-0009/FA1903-0009.pdf', NULL, NULL),
(1008, 'FA1903-0010', 1, NULL, NULL, 'Antoine dde de prix', 0, NULL, 2102, '2019-03-07 10:47:39', '2019-03-07', NULL, '2019-03-07', NULL, '2019-07-16 07:57:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 263.34000000, 0.00000000, 0.00000000, 0.00000000, 1316.72000000, 1580.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Commande N&deg; BC2019.02.039', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1316.72000000, 263.34000000, 1580.06000000, NULL, 'facture/FA1903-0010/FA1903-0010.pdf', NULL, NULL),
(1009, 'AC1903-0001', 1, NULL, NULL, 'version 4', 3, NULL, 2169, '2019-03-07 10:56:18', '2019-03-07', NULL, '2019-03-07', NULL, '2019-03-11 08:16:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2642.22000000, 0.00000000, 0.00000000, 0.00000000, 13211.10000000, 15853.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2019-03-08', NULL, 'Chantier electricit&eacute; - Montant global&nbsp; 44 037.93 &euro; HT -', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 13211.10000000, 2642.22000000, 15853.32000000, NULL, 'facture/AC1903-0001/AC1903-0001.pdf', NULL, NULL),
(1010, 'FA1903-0011', 1, NULL, NULL, NULL, 0, NULL, 2221, '2019-03-07 11:01:18', '2019-03-07', NULL, '2019-03-07', NULL, '2019-04-30 07:22:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 101.21000000, 0.00000000, 0.00000000, 0.00000000, 506.07000000, 607.28000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance compresseur RS PRO 7.5 13 BARS N&deg;630082 &agrave; 1100 HRS<br />\r\n<br />\r\nBL N&deg;49 du 05/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 506.07000000, 101.21000000, 607.28000000, NULL, 'facture/FA1903-0011/FA1903-0011.pdf', NULL, NULL),
(1011, 'FA1903-0012', 1, NULL, NULL, NULL, 0, NULL, 2150, '2019-03-07 11:20:38', '2019-03-07', NULL, '2019-03-07', NULL, '2019-05-22 07:06:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 102.69000000, 0.00000000, 0.00000000, 0.00000000, 513.47000000, 616.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'maintenance L04 N&deg; ba35401001 &agrave; 1750 HRS<br />\r\n<br />\r\nBL N&deg;46 du 05/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 513.47000000, 102.69000000, 616.16000000, NULL, 'facture/FA1903-0012/FA1903-0012.pdf', NULL, NULL),
(1012, 'FA1903-0013', 1, NULL, NULL, NULL, 0, NULL, 2265, '2019-03-07 11:27:41', '2019-03-07', NULL, '2019-03-07', NULL, '2019-05-13 14:38:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 390.55000000, 0.00000000, 0.00000000, 0.00000000, 1952.81000000, 2343.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance L18RS N&deg; CD10016785001 &agrave; 7615 HRS<br />\r\nMaintenance Seprateur de condensats<br />\r\nRemplacement cartouche filtres r&eacute;seaux<br />\r\n<br />\r\nBL N&deg; 44 du 05/03/2019<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1952.81000000, 390.55000000, 2343.36000000, NULL, 'facture/FA1903-0013/FA1903-0013.pdf', NULL, NULL),
(1013, 'FA1903-0014', 1, NULL, NULL, 'L15rs', 0, NULL, 2286, '2019-03-07 11:34:37', '2019-03-07', NULL, '2019-03-07', NULL, '2019-05-13 14:37:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 314.53000000, 0.00000000, 0.00000000, 0.00000000, 1572.65000000, 1887.18000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'maintenance compresseur L15RS N&deg; CD10016180001 &agrave; 8616 HRS<br />\r\nRemplacement cartouche filtre r&eacute;seau<br />\r\n<br />\r\nBL N&deg;50 du 05/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1572.65000000, 314.53000000, 1887.18000000, NULL, 'facture/FA1903-0014/FA1903-0014.pdf', NULL, NULL),
(1014, 'FA1903-0015', 1, NULL, NULL, NULL, 0, NULL, 2297, '2019-03-07 11:46:10', '2019-03-07', NULL, '2019-03-07', NULL, '2019-05-13 14:38:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 216.83000000, 0.00000000, 0.00000000, 0.00000000, 1084.13000000, 1300.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance compresseur L11 &agrave; 18998 HRS<br />\r\n<br />\r\nBL N&deg;47 du 04/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1084.13000000, 216.83000000, 1300.96000000, NULL, 'facture/FA1903-0015/FA1903-0015.pdf', NULL, NULL),
(1015, 'FA1903-0016', 1, NULL, NULL, NULL, 0, NULL, 2396, '2019-03-07 11:51:45', '2019-03-07', NULL, '2019-03-07', NULL, '2019-05-07 06:44:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 113.92000000, 0.00000000, 0.00000000, 0.00000000, 569.62000000, 683.54000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Intervention sur compresseur Compair Luchard 4000EL à 8214HRS - fuite d\'huile  -<br />\r\n<br />\r\nBL N°45 du 05/03/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 569.62000000, 113.92000000, 683.54000000, NULL, 'facture/FA1903-0016/FA1903-0016.pdf', NULL, NULL),
(1016, 'FA1903-0017', 1, NULL, NULL, 'Dépannage', 0, NULL, 2062, '2019-03-11 09:57:39', '2019-03-11', NULL, '2019-03-11', NULL, '2019-05-16 12:17:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 53.82000000, 0.00000000, 0.00000000, 0.00000000, 269.12000000, 322.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'intervention de d&eacute;pannage manque d&#39;huile sur compresseur Sullair WS1500&nbsp;<br />\r\n<br />\r\nBL N&deg;48 du 04/03/2019<br />\r\n<br />\r\nCOmmande N&deg; 00022481', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 269.12000000, 53.82000000, 322.94000000, NULL, 'facture/FA1903-0017/FA1903-0017.pdf', NULL, NULL),
(1017, 'FA1903-0018', 1, NULL, NULL, NULL, 0, NULL, 2062, '2019-03-11 10:00:57', '2019-03-11', NULL, '2019-03-11', NULL, '2019-05-16 12:17:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 26.37000000, 0.00000000, 0.00000000, 0.00000000, 131.84000000, 158.21000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Mise en place d&#39;une purge temporis&eacute;e sur votre reservoir .<br />\r\n<br />\r\nCette offre n&#39;inclut pas le deplacement - les travaux seront r&eacute;alis&eacute;s en m&ecirc;me temps que la maintenance des compresseurs .<br />\r\n<br />\r\nBL N&deg; 18 du 08/03/2019 .&nbsp;<br />\r\n<br />\r\nCommande N&deg;00022316', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 131.84000000, 26.37000000, 158.21000000, NULL, 'facture/FA1903-0018/FA1903-0018.pdf', NULL, NULL),
(1018, 'FA1903-0019', 1, NULL, NULL, NULL, 0, NULL, 2062, '2019-03-11 10:29:00', '2019-03-11', NULL, '2019-03-11', NULL, '2019-05-16 12:17:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1429.02000000, 0.00000000, 0.00000000, 0.00000000, 7145.13000000, 8574.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenances 3 compresseurs L26RS et du compresseurs MACO SULLAIR et differents filtres r&eacute;seaux , et separateurs de condensats:&nbsp;<br />\r\nL26RS N&deg; CD10015212001 &agrave;&nbsp; 4419 HRS<br />\r\nL26RS N&deg; CD10021087002 &agrave;&nbsp; 6488 HRS<br />\r\nL26RS N&deg; CD10027118001 &agrave; 13370 HRS<br />\r\nSULLAIR &agrave;&nbsp; 21483 HRS<br />\r\n<br />\r\nBL N&deg; 19,18,17 et 16 du 08/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 7145.13000000, 1429.02000000, 8574.15000000, NULL, 'facture/FA1903-0019/FA1903-0019.pdf', NULL, NULL),
(1019, 'FA1903-0020', 1, NULL, NULL, NULL, 0, NULL, 2001, '2019-03-11 10:34:21', '2019-03-11', NULL, '2019-03-11', NULL, '2019-05-10 09:57:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 7.90000000, 0.00000000, 0.00000000, 0.00000000, 39.52000000, 47.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 39.52000000, 7.90000000, 47.42000000, NULL, 'facture/FA1903-0020/FA1903-0020.pdf', NULL, NULL),
(1020, 'FA1903-0021', 1, NULL, NULL, NULL, 0, NULL, 2265, '2019-03-11 12:09:18', '2019-03-11', NULL, '2019-03-11', NULL, '2019-05-02 11:36:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 78.59000000, 0.00000000, 0.00000000, 0.00000000, 392.94000000, 471.53000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Intervention frigoriste sur s&eacute;cheur en panne pour remplacement ventilateur et connecteur .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 392.94000000, 78.59000000, 471.53000000, NULL, 'facture/FA1903-0021/FA1903-0021.pdf', NULL, NULL),
(1021, 'FA1903-0022', 1, NULL, NULL, 'Maintenance Compresseur', 0, NULL, 12592, '2019-03-12 10:28:38', '2019-03-12', NULL, '2019-03-12', NULL, '2019-07-08 07:45:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.77000000, 0.00000000, 0.00000000, 0.00000000, 563.86000000, 676.63000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-04-30', NULL, 'Maintenance compresseur&nbsp; RSDK PRO ECN 7.5 N&deg;810109 &agrave; 508 HRS<br />\r\n<br />\r\nBL N&deg;21 du 11/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 563.86000000, 112.77000000, 676.63000000, NULL, 'facture/FA1903-0022/FA1903-0022.pdf', NULL, NULL),
(1022, 'FA1903-0023', 1, NULL, NULL, NULL, 0, NULL, 12594, '2019-03-13 09:35:51', '2019-03-13', NULL, '2019-03-13', NULL, '2019-05-09 10:05:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 159.61000000, 0.00000000, 0.00000000, 0.00000000, 798.01000000, 957.62000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-04-30', NULL, 'MAINTENANCE COMPRESSEUR sullair ws1100 N&deg; 88290017-680 &agrave; 12719 HRS et filtres reseaux<br />\r\n<br />\r\nBL N&deg;48 du 06/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 798.01000000, 159.61000000, 957.62000000, NULL, 'facture/FA1903-0023/FA1903-0023.pdf', NULL, NULL),
(1023, 'FA1903-0024', 1, NULL, NULL, NULL, 0, NULL, 1980, '2019-03-14 14:53:00', '2019-03-14', NULL, '2019-03-14', NULL, '2019-05-27 07:45:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 93.74000000, 0.00000000, 0.00000000, 0.00000000, 468.72000000, 562.46000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance compresseur RS pro 5.5 7.5B N&deg; 711077 &agrave; 1528 HRS<br />\r\n<br />\r\nBL N&deg;26 du 13/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 468.72000000, 93.74000000, 562.46000000, NULL, 'facture/FA1903-0024/FA1903-0024.pdf', NULL, NULL),
(1024, 'FA1903-0025', 1, NULL, NULL, NULL, 0, NULL, 2033, '2019-03-14 14:58:00', '2019-03-14', NULL, '2019-03-14', NULL, '2019-05-27 07:49:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 68.92000000, 0.00000000, 0.00000000, 0.00000000, 344.60000000, 413.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Intervention suite &agrave; coupure EDF -&nbsp;&nbsp;<br />\r\nD&eacute;faut sur compresseur ATLAS GA30<br />\r\n<br />\r\nBL N&deg;49 du 12/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 344.60000000, 68.92000000, 413.52000000, NULL, 'facture/FA1903-0025/FA1903-0025.pdf', NULL, NULL),
(1025, 'FA1903-0026', 1, NULL, NULL, NULL, 0, NULL, 2036, '2019-03-14 15:11:32', '2019-03-14', NULL, '2019-03-14', NULL, '2019-05-02 11:38:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 139.40000000, 0.00000000, 0.00000000, 0.00000000, 697.01000000, 836.41000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'maintenance rs pro 4 &agrave; 3851 hrs<br />\r\nMaintenance seprateur de condensats Owamat 10<br />\r\nRemplacement cartouche filtre r&eacute;seau ACD<br />\r\n<br />\r\nBL N&deg;24 du 13/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 697.01000000, 139.40000000, 836.41000000, NULL, 'facture/FA1903-0026/FA1903-0026.pdf', NULL, NULL),
(1026, 'FA1903-0027', 1, NULL, NULL, NULL, 0, NULL, 2178, '2019-03-14 15:59:26', '2019-03-14', NULL, '2019-03-14', NULL, '2019-06-03 07:50:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 170.34000000, 0.00000000, 0.00000000, 0.00000000, 851.70000000, 1022.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenances 2 compresseurs hydrovannes : HV01 &amp; HV02<br />\r\n<br />\r\nBL N&deg;27 du 13/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 851.70000000, 170.34000000, 1022.04000000, NULL, 'facture/FA1903-0027/FA1903-0027.pdf', NULL, NULL),
(1027, 'FA1903-0028', 1, NULL, NULL, NULL, 0, NULL, 2276, '2019-03-14 16:27:43', '2019-03-14', NULL, '2019-03-14', NULL, '2019-04-29 07:23:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 71.77000000, 0.00000000, 0.00000000, 0.00000000, 358.86000000, 430.63000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Intervention suite &agrave; defaut temperature sur compresseur L29RS N&deg; CD10015163001 &agrave; 39741 HRS<br />\r\n<br />\r\nBL N&deg; 23 du 12/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 358.86000000, 71.77000000, 430.63000000, NULL, 'facture/FA1903-0028/FA1903-0028.pdf', NULL, NULL),
(1028, 'FA1903-0029', 1, NULL, NULL, NULL, 0, NULL, 2331, '2019-03-14 16:31:38', '2019-03-14', NULL, '2019-03-14', NULL, '2019-03-26 09:55:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 99.45000000, 0.00000000, 0.00000000, 0.00000000, 497.27000000, 596.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance compresseur GA22 &agrave; 31584 HRS<br />\r\n<br />\r\nBL N&deg; 34 du 12/03/2019&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 497.27000000, 99.45000000, 596.72000000, NULL, 'facture/FA1903-0029/FA1903-0029.pdf', NULL, NULL),
(1029, 'FA1903-0030', 1, NULL, NULL, NULL, 0, NULL, 2352, '2019-03-15 09:36:37', '2019-03-15', NULL, '2019-03-15', NULL, '2019-06-04 11:41:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 996.57000000, 0.00000000, 0.00000000, 0.00000000, 4982.95000000, 5979.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Version 1/2 bouclage air comprim&eacute; ( zone 1 seulement )&nbsp;<br />\r\nR&eacute;alisation d&#39;un reseau en sertinox diametre 42 et 22 , 3 vannesd&#39;isolement , 2 descentes, 1 attentes pour nouvelles machines .<br />\r\nSuivant devis et sch&eacute;ma de principe du 26/09/2018<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 7118.50000000, 1423.68000000, 8542.18000000, NULL, 'facture/FA1903-0030/FA1903-0030.pdf', NULL, NULL),
(1030, 'FA1903-0031', 1, NULL, NULL, NULL, 0, NULL, 12794, '2019-03-15 10:02:25', '2019-03-15', NULL, '2019-03-15', NULL, '2019-05-27 07:46:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 124.24000000, 0.00000000, 0.00000000, 0.00000000, 621.24000000, 745.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-04-30', NULL, 'maintenance genesis ge1510 &agrave; 13516 HRS<br />\r\nsite beaurepaire<br />\r\n<br />\r\nBL N&deg;25 du 13/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 621.24000000, 124.24000000, 745.48000000, NULL, 'facture/FA1903-0031/FA1903-0031.pdf', NULL, NULL),
(1031, 'FA1903-0032', 1, NULL, NULL, NULL, 0, NULL, 2283, '2019-03-15 10:20:49', '2019-03-15', NULL, '2019-03-15', NULL, '2019-05-22 07:05:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 48.15000000, 0.00000000, 0.00000000, 0.00000000, 240.75000000, 288.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'remplacement media filtrants + maintenance compresseur piston', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 240.75000000, 48.15000000, 288.90000000, NULL, 'facture/FA1903-0032/FA1903-0032.pdf', NULL, NULL),
(1032, 'FA1903-0033', 1, NULL, NULL, NULL, 0, NULL, 2396, '2019-03-15 10:30:11', '2019-03-15', NULL, '2019-03-15', NULL, '2019-05-07 06:44:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 115.06000000, 0.00000000, 0.00000000, 0.00000000, 575.28000000, 690.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Mise en place d&#39;un compresseur de pr&ecirc;t ;<br />\r\nLocation gratuite<br />\r\n<br />\r\nBL N&deg;50 du 14/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 575.28000000, 115.06000000, 690.34000000, NULL, 'facture/FA1903-0033/FA1903-0033.pdf', NULL, NULL),
(1033, 'FA1903-0034', 1, NULL, NULL, NULL, 0, NULL, 1940, '2019-03-18 11:27:25', '2019-03-18', NULL, '2019-03-18', NULL, '2019-05-21 07:18:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 175.18000000, 0.00000000, 0.00000000, 0.00000000, 875.93000000, 1051.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance de votre compresseur L45RS&nbsp;<br />\r\nN&deg;CD10023839001 &agrave; 17025 HRS<br />\r\nMaintenance s&eacute;parateur de condensats owamat14<br />\r\n<br />\r\nBL N&deg;36 du 16/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 875.93000000, 175.18000000, 1051.11000000, NULL, 'facture/FA1903-0034/FA1903-0034.pdf', NULL, NULL),
(1034, 'FA1903-0035', 1, NULL, NULL, NULL, 0, NULL, 2001, '2019-03-18 11:34:18', '2019-03-18', NULL, '2019-03-18', NULL, '2019-05-10 09:57:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 56.00000000, 0.00000000, 0.00000000, 0.00000000, 280.00000000, 336.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 280.00000000, 56.00000000, 336.00000000, NULL, 'facture/FA1903-0035/FA1903-0035.pdf', NULL, NULL),
(1035, 'FA1903-0036', 1, NULL, NULL, NULL, 0, NULL, 2103, '2019-03-18 15:11:08', '2019-03-18', NULL, '2019-03-18', NULL, '2019-03-20 08:23:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 199.22000000, 0.00000000, 0.00000000, 0.00000000, 996.13000000, 1195.35000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance L45RS N&deg; CD10015227001 &agrave; 18448 HRS&nbsp;<br />\r\nMaintenance seprateur de condensats&nbsp; owamat 14&nbsp;<br />\r\n<br />\r\nBL N&deg;2 du 15/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 996.13000000, 199.22000000, 1195.35000000, NULL, 'facture/FA1903-0036/FA1903-0036.pdf', NULL, NULL),
(1036, 'FA1903-0037', 1, NULL, NULL, 'CDA-FCA1903019', 0, NULL, 2127, '2019-03-18 16:16:52', '2019-03-18', NULL, '2019-03-18', NULL, '2019-05-03 07:49:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 145.57000000, 0.00000000, 0.00000000, 0.00000000, 727.85000000, 873.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance du Compresseur L75SR&agrave; 58767 HRS<br />\r\n<br />\r\nBL N&deg;1 du 15/03/2018<br />\r\n<br />\r\nCommande N&deg;CDA-FCA1903019<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 727.85000000, 145.57000000, 873.42000000, NULL, 'facture/FA1903-0037/FA1903-0037.pdf', NULL, NULL),
(1037, 'FA1903-0038', 1, NULL, NULL, NULL, 0, NULL, 2284, '2019-03-20 09:51:45', '2019-03-20', NULL, '2019-03-20', NULL, '2019-10-24 07:48:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 282.75000000, 0.00000000, 0.00000000, 0.00000000, 1413.71000000, 1696.46000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance l18RS N&deg; CD10009205002 &agrave; 25060 HRS<br />\r\nRemplacement cartouche filtres reseau<br />\r\net Maintenance separateur de condensats<br />\r\n<br />\r\nBL N&deg;29 du 15/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1413.71000000, 282.75000000, 1696.46000000, NULL, 'facture/FA1903-0038/FA1903-0038.pdf', NULL, NULL),
(1038, 'FA1903-0039', 1, NULL, NULL, NULL, 0, NULL, 2234, '2019-03-20 10:10:52', '2019-03-20', NULL, '2019-03-20', NULL, '2019-04-11 11:19:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 429.40000000, 0.00000000, 0.00000000, 0.00000000, 2147.02000000, 2576.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance L45RS N&deg;CD10005658001 &agrave; 4277 Hrs<br />\r\nRemplcament des cartouches des filtres reseaux&nbsp;<br />\r\n<br />\r\nBL N&deg; 36 du 22/02/2019<br />\r\n<br />\r\nCommande N&deg; 4800300899', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2147.02000000, 429.40000000, 2576.42000000, NULL, 'facture/FA1903-0039/FA1903-0039.pdf', NULL, NULL),
(1039, 'FA1903-0040', 1, NULL, NULL, NULL, 0, NULL, 12667, '2019-03-20 10:46:18', '2019-03-20', NULL, '2019-03-20', NULL, '2019-06-21 11:34:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 396.15000000, 0.00000000, 0.00000000, 0.00000000, 1980.80000000, 2376.95000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-04-30', NULL, 'Intervention sur compresseur ATLAS GX7-<br />\r\n<br />\r\nMise en place d&#39;un compresseur de pr&eacute;t gratuit durant la r&eacute;paration en atelier .<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1980.80000000, 396.15000000, 2376.95000000, NULL, 'facture/FA1903-0040/FA1903-0040.pdf', NULL, NULL),
(1040, 'FA1903-0041', 1, NULL, NULL, NULL, 0, NULL, 2358, '2019-03-20 16:06:48', '2019-03-20', NULL, '2019-03-20', NULL, '2019-05-15 08:27:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 187.00000000, 0.00000000, 0.00000000, 0.00000000, 935.01000000, 1122.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Interevention de d&eacute;pannage -&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 935.01000000, 187.00000000, 1122.01000000, NULL, 'facture/FA1903-0041/FA1903-0041.pdf', NULL, NULL),
(1041, 'FA1903-0042', 1, NULL, NULL, NULL, 0, NULL, 2064, '2019-03-25 14:40:59', '2019-03-25', NULL, '2019-03-25', NULL, '2019-05-22 07:05:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 524.94000000, 0.00000000, 0.00000000, 0.00000000, 2624.66000000, 3149.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance L37 N&deg; CD10001720002 &agrave; 24594 HRS<br />\r\nRemplacement cartouches r&eacute;seaux<br />\r\n<br />\r\nBL N&deg;6 du 23/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2624.66000000, 524.94000000, 3149.60000000, NULL, 'facture/FA1903-0042/FA1903-0042.pdf', NULL, NULL),
(1042, 'FA1903-0043', 1, NULL, NULL, 'tirage inox diam 28', 0, NULL, 2053, '2019-03-25 15:03:05', '2019-03-25', NULL, '2019-03-25', NULL, '2019-04-15 08:08:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 371.51000000, 0.00000000, 0.00000000, 0.00000000, 1857.65000000, 2229.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Creation de deux reseaux inox diametre 28 d&#39;environ 25 metres chacun.&nbsp;<br />\r\nTravail &agrave; l&#39;&eacute;chelle<br />\r\n1 Journ&eacute;e 2 Techniciens&nbsp;<br />\r\nUtilisation de vos flexibles pour raccordement en souple&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1857.65000000, 371.51000000, 2229.16000000, NULL, 'facture/FA1903-0043/FA1903-0043.pdf', NULL, NULL),
(1043, 'FA1903-0044', 1, NULL, NULL, 'L18rs', 0, NULL, 2053, '2019-03-25 15:11:59', '2019-03-25', NULL, '2019-03-25', NULL, '2019-04-15 08:08:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 252.39000000, 0.00000000, 0.00000000, 0.00000000, 1262.00000000, 1514.39000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance L18RS N&deg; CD10025596001 &agrave; 10307 HRS - contrat liss&eacute;<br />\r\nRemplacement m&eacute;dia filtrant<br />\r\n<br />\r\nBL N&deg;5 du 22/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1262.00000000, 252.39000000, 1514.39000000, NULL, 'facture/FA1903-0044/FA1903-0044.pdf', NULL, NULL),
(1044, 'FA1903-0045', 1, NULL, NULL, NULL, 0, NULL, 9822, '2019-03-25 15:55:39', '2019-03-25', NULL, '2019-03-25', NULL, '2019-05-15 08:27:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 32.52000000, 0.00000000, 0.00000000, 0.00000000, 162.60000000, 195.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Intervention sur pompe &agrave; vide<br />\r\n<br />\r\nBL N&deg;3 du 20/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 162.60000000, 32.52000000, 195.12000000, NULL, 'facture/FA1903-0045/FA1903-0045.pdf', NULL, NULL),
(1045, 'FA1903-0046', 1, NULL, NULL, NULL, 0, NULL, 2273, '2019-03-26 10:49:39', '2019-03-26', NULL, '2019-03-26', NULL, '2019-05-27 07:44:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 107.66000000, 0.00000000, 0.00000000, 0.00000000, 538.27000000, 645.93000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'maintenance modulos 25 compresseur&agrave; 2006 Heures<br />\r\n<br />\r\nBL N&deg;37 du 22/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 538.27000000, 107.66000000, 645.93000000, NULL, 'facture/FA1903-0046/FA1903-0046.pdf', NULL, NULL),
(1046, 'FA1903-0047', 1, NULL, NULL, 'Broche Pneumatique', 0, NULL, 10173, '2019-03-27 11:24:57', '2019-03-27', NULL, '2019-03-27', NULL, '2019-04-03 08:14:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 151.50000000, 0.00000000, 0.00000000, 0.00000000, 757.51000000, 909.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-04-30', NULL, 'Broche pour &eacute;bavureuse pneumatique&nbsp;<br />\r\nR&eacute;f&eacute;rence ES 350 ER qui remplace la ES 450 ER<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 757.51000000, 151.50000000, 909.01000000, NULL, 'facture/FA1903-0047/FA1903-0047.pdf', NULL, NULL),
(1047, 'FA1903-0048', 1, NULL, NULL, NULL, 0, NULL, 2396, '2019-03-27 14:46:12', '2019-03-27', NULL, '2019-03-27', NULL, '2019-05-07 06:44:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1080.00000000, 0.00000000, 0.00000000, 0.00000000, 5400.01000000, 6480.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Fourniture et raccordement Compresseur &agrave; vis RENNER 11 KW 10 Bars&nbsp;<br />\r\nGARANTIE 2 ANS<br />\r\nD&eacute;bit : 95 m3/h<br />\r\n65 Db<br />\r\nHors Electricit&eacute;&nbsp;<br />\r\nPr&eacute;voir Sectionneur de Proximit&eacute;&nbsp;<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5400.01000000, 1080.00000000, 6480.01000000, NULL, 'facture/FA1903-0048/FA1903-0048.pdf', NULL, NULL),
(1048, 'FA1903-0049', 1, NULL, NULL, 'secheur neuf', 0, NULL, 2396, '2019-03-27 15:11:22', '2019-03-27', NULL, '2019-03-27', NULL, '2019-05-07 06:44:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 260.80000000, 0.00000000, 0.00000000, 0.00000000, 1304.02000000, 1564.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'mise en place d&#39;un s&eacute;cheur par r&eacute;frigeration&nbsp; avec sa pr&eacute; filtration pouvant trait&eacute; le d&eacute;bit de votre compresseur 11KW Renner -<br />\r\nReprise de votre secheur MPF81&nbsp; &agrave; titre commercial .<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1504.02000000, 300.80000000, 1804.82000000, NULL, 'facture/FA1903-0049/FA1903-0049.pdf', NULL, NULL),
(1049, 'FA1903-0050', 1, NULL, NULL, NULL, 0, NULL, 12581, '2019-03-27 15:21:25', '2019-03-27', NULL, '2019-03-27', NULL, '2019-07-02 14:39:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 3.36000000, 0.00000000, 0.00000000, 0.00000000, 16.81000000, 20.17000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-04-30', NULL, 'filtre a air pour compresseur GA15+FF', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 16.81000000, 3.36000000, 20.17000000, NULL, 'facture/FA1903-0050/FA1903-0050.pdf', NULL, NULL),
(1050, 'FA1903-0051', 1, NULL, NULL, 'l07rs maintenance', 0, NULL, 2011, '2019-03-28 10:00:04', '2019-03-28', NULL, '2019-03-28', NULL, '2019-05-20 07:09:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 192.86000000, 0.00000000, 0.00000000, 0.00000000, 964.26000000, 1157.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance compresseur&nbsp; L07RS N&deg; CD10023563001 &agrave; 12545 HRS<br />\r\nMaintenance compresseur L18 N&deg; CD10039960002 &agrave; 1753 HRS<br />\r\n<br />\r\nBL N&deg;31 du 27/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 964.26000000, 192.86000000, 1157.12000000, NULL, 'facture/FA1903-0051/FA1903-0051.pdf', NULL, NULL),
(1051, 'FA1903-0052', 1, NULL, NULL, NULL, 0, NULL, 2338, '2019-03-28 14:16:24', '2019-03-28', NULL, '2019-03-28', NULL, '2019-05-22 07:04:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 193.81000000, 0.00000000, 0.00000000, 0.00000000, 969.03000000, 1162.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance L07RS en FULL SERVICE et MAINTENACE ROLLAIR<br />\r\n<br />\r\nBL N&deg;8 &amp; 7 du 26/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 969.03000000, 193.81000000, 1162.84000000, NULL, 'facture/FA1903-0052/FA1903-0052.pdf', NULL, NULL),
(1052, 'FA1903-0053', 1, NULL, NULL, NULL, 0, NULL, 2102, '2019-03-29 09:06:43', '2019-03-29', NULL, '2019-03-29', NULL, '2019-06-04 11:42:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 15.46000000, 0.00000000, 0.00000000, 0.00000000, 77.30000000, 92.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Livraison Tube fluo 80W en 865 fin&nbsp;<br />\r\n<br />\r\nBL N&deg;38 du 27/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 77.30000000, 15.46000000, 92.76000000, NULL, 'facture/FA1903-0053/FA1903-0053.pdf', NULL, NULL),
(1053, 'FA1904-0001', 1, NULL, NULL, NULL, 0, NULL, 2117, '2019-04-01 10:43:33', '2019-03-29', NULL, '2019-04-01', NULL, '2019-06-07 07:09:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 109.95000000, 0.00000000, 0.00000000, 0.00000000, 549.67000000, 659.62000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'Maintenance compresseur L04 &agrave; 5590 HRS et filtres reseaux<br />\r\n<br />\r\nBL N&deg;34 du 29/03/2019\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 549.67000000, 109.95000000, 659.62000000, NULL, 'facture/FA1904-0001/FA1904-0001.pdf', NULL, NULL),
(1054, 'FA1904-0002', 1, NULL, NULL, NULL, 0, NULL, 2215, '2019-04-01 10:48:45', '2019-04-01', NULL, '2019-04-01', NULL, '2019-04-08 08:02:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, 'facture/FA1904-0002/FA1904-0002.pdf', NULL, NULL),
(1055, 'FA1904-0003', 1, NULL, NULL, NULL, 0, NULL, 2197, '2019-04-01 10:49:45', '2019-04-01', NULL, '2019-04-01', NULL, '2019-04-19 06:42:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, 'facture/FA1904-0003/FA1904-0003.pdf', NULL, NULL),
(1056, 'FA1904-0004', 1, NULL, NULL, NULL, 0, NULL, 2234, '2019-04-01 10:50:30', '2019-04-01', NULL, '2019-04-01', NULL, '2019-04-16 09:07:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA1904-0004/FA1904-0004.pdf', NULL, NULL),
(1057, 'FA1903-0054', 1, NULL, NULL, NULL, 0, NULL, 2086, '2019-04-01 11:20:22', '2019-03-29', NULL, '2019-04-01', NULL, '2019-04-30 07:23:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 97.58000000, 0.00000000, 0.00000000, 0.00000000, 487.90000000, 585.48000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Maintenance compresseur L11RS N° BA31759001 à 19715 HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 10<br />\r\n<br />\r\nBL N° 33 du 29/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 487.90000000, 97.58000000, 585.48000000, NULL, 'facture/FA1903-0054/FA1903-0054.pdf', NULL, NULL),
(1058, 'FA1903-0055', 1, NULL, NULL, NULL, 0, NULL, 2318, '2019-04-01 11:27:04', '2019-03-29', NULL, '2019-04-01', NULL, '2019-05-21 07:18:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 50.20000000, 0.00000000, 0.00000000, 0.00000000, 251.00000000, 301.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-04-30', NULL, 'Fourniture et remplacement &nbsp;transformateur d&#39;occasion sur compresseur L15<br />\r\n<br />\r\nBL N&deg;32 du 29/03/2019<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 251.00000000, 50.20000000, 301.20000000, NULL, 'facture/FA1903-0055/FA1903-0055.pdf', NULL, NULL),
(1059, 'FA1904-0005', 1, NULL, NULL, 'enrouleur 15m diam 16', 0, NULL, 2157, '2019-04-01 11:30:21', '2019-04-01', NULL, '2019-04-01', NULL, '2019-07-22 10:14:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 325.85000000, 0.00000000, 0.00000000, 0.00000000, 1629.26000000, 1955.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'Fourniture de deux Enrouleurs pour eau .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1629.26000000, 325.85000000, 1955.11000000, NULL, 'facture/FA1904-0005/FA1904-0005.pdf', NULL, NULL),
(1060, 'FA1904-0006', 1, NULL, NULL, NULL, 0, NULL, 2358, '2019-04-08 15:02:59', '2019-04-08', NULL, '2019-04-08', NULL, '2019-06-17 12:01:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 188.57000000, 0.00000000, 0.00000000, 0.00000000, 942.84000000, 1131.41000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'intervention sur grenailleuse auto .<br />\r\n<br />\r\nBL N&deg;39 du 27/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 942.84000000, 188.57000000, 1131.41000000, NULL, 'facture/FA1904-0006/FA1904-0006.pdf', NULL, NULL),
(1061, 'FA1904-0007', 1, NULL, NULL, NULL, 0, NULL, 5741, '2019-04-09 09:52:06', '2019-04-09', NULL, '2019-04-09', NULL, '2019-06-03 08:04:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 213.60000000, 0.00000000, 0.00000000, 0.00000000, 1068.04000000, 1281.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-05-31', NULL, '<p><span style=\"font-size:12.0pt\"><span style=\"color:black\">1 s&eacute;parateur d&rsquo;huile ainsi que </span></span></p>\r\n\r\n<p><span style=\"font-size:12.0pt\"><span style=\"color:black\">1 filtre a air </span></span></p>\r\n\r\n<p><span style=\"font-size:12.0pt\"><span style=\"color:black\">&nbsp;Pour un compresseur REGATTA 141&nbsp;&nbsp;<br />\r\n<br />\r\nCommande N&deg; 10873 </span></span></p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1068.04000000, 213.60000000, 1281.64000000, NULL, 'facture/FA1904-0007/FA1904-0007.pdf', NULL, NULL),
(1062, 'AV1904-0001', 1, NULL, NULL, NULL, 2, NULL, 2261, '2019-04-09 14:21:44', '2019-04-09', NULL, '2019-04-09', NULL, '2019-04-17 07:27:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -35.07000000, 0.00000000, 0.00000000, 0.00000000, -175.35000000, -210.42000000, 2, 5, 5, 5, NULL, 989, NULL, NULL, NULL, 0, 2, '2019-04-09', NULL, 'Suite à CT avec mr BALAZARD de ce jour ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -175.35000000, -35.07000000, -210.42000000, NULL, 'facture/AV1904-0001/AV1904-0001.pdf', NULL, NULL),
(1063, 'FA1904-0008', 1, NULL, NULL, 'Maintenance du L26 RS', 0, NULL, 2033, '2019-04-11 10:51:40', '2019-04-11', NULL, '2019-04-11', NULL, '2019-06-21 11:36:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 372.33000000, 0.00000000, 0.00000000, 0.00000000, 1861.68000000, 2234.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'Maintenance L26RS N&deg; CD10020872001 &agrave; 24226 HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats Owamat 11&nbsp;<br />\r\n<br />\r\nBL N&deg; 35 du 05/04/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1861.68000000, 372.33000000, 2234.01000000, NULL, 'facture/FA1904-0008/FA1904-0008.pdf', NULL, NULL),
(1064, 'FA1904-0009', 1, NULL, NULL, NULL, 0, NULL, 2358, '2019-04-12 14:08:32', '2019-04-12', NULL, '2019-04-12', NULL, '2019-06-17 12:01:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 75.30000000, 0.00000000, 0.00000000, 0.00000000, 376.52000000, 451.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'intervention sur four .<br />\r\n<br />\r\nBL N&deg;41 du 11/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 376.52000000, 75.30000000, 451.82000000, NULL, 'facture/FA1904-0009/FA1904-0009.pdf', NULL, NULL),
(1065, 'FA1904-0010', 1, NULL, NULL, NULL, 0, NULL, 2350, '2019-04-12 15:02:56', '2019-04-12', NULL, '2019-04-12', NULL, '2019-06-18 09:10:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 13.34000000, 0.00000000, 0.00000000, 0.00000000, 66.70000000, 80.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'soupape 3/4 - 9 bars<br />\r\n<br />\r\nCommande N&deg; 2155330-325-G9J-BKP du 8 avril 2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 66.70000000, 13.34000000, 80.04000000, NULL, 'facture/FA1904-0010/FA1904-0010.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1066, 'FA1904-0011', 1, NULL, NULL, 'raccordement scie  + aspiration', 0, NULL, 2076, '2019-04-12 15:26:49', '2019-04-12', NULL, '2019-04-12', NULL, '2019-06-13 11:26:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 349.44000000, 0.00000000, 0.00000000, 0.00000000, 1747.21000000, 2096.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'Remplacement repartiteur 40 amp armoire par 125amp. pose d&#39;une ligne triphas&eacute; + N_20amp avec protection IC60N_20 amp/30mA. Pose de deux prises 20 amp tri+N pour scie 4kw et aspiration 2.2kw. Fourniture de 2 fiches 20 A tri + N pour connection machines.<br />\r\n<br />\r\nBL N&deg;10 du 03/04/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1747.21000000, 349.44000000, 2096.65000000, NULL, 'facture/FA1904-0011/FA1904-0011.pdf', NULL, NULL),
(1067, 'AC1904-0001', 1, NULL, NULL, 'L29', 3, NULL, 12890, '2019-04-15 13:55:49', '2019-04-04', NULL, '2019-04-15', NULL, '2019-06-24 14:40:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 6000.00000000, 6000.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-04-05', NULL, 'Local air comprim&eacute; 29KW 7.5 Bars<br />\r\nD&eacute;saccouplage vieille cuve vers 845 reprise tuyauterie pose d&#39;un cyclonique 1 1/2 en sortie 845<br />\r\nModification en 42 sortie 845 inserer cyclonique<br />\r\nnouveau local ou il y a le V22 ( qu on reprend ) il n&#39;y a qu&#39;un bypass sur la cuve pas d&#39;autre<br />\r\nelectricit&eacute; et coffret par client', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6000.00000000, 0.00000000, 6000.00000000, NULL, 'facture/AC1904-0001/AC1904-0001.pdf', NULL, NULL),
(1068, 'FA1904-0012', 1, NULL, NULL, NULL, 0, NULL, 2053, '2019-04-16 10:32:22', '2019-04-16', NULL, '2019-04-16', NULL, '2019-05-06 07:50:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 87.14000000, 0.00000000, 0.00000000, 0.00000000, 435.68000000, 522.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'Remplacement eletrovanne sur compresseur L18RS N&deg; CD10025396001 &agrave; 10463 HRS<br />\r\n<br />\r\nBL N&deg; 36 du 10/04/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 435.68000000, 87.14000000, 522.82000000, NULL, 'facture/FA1904-0012/FA1904-0012.pdf', NULL, NULL),
(1069, 'FA1904-0013', 1, NULL, NULL, NULL, 0, NULL, 2101, '2019-04-16 10:39:11', '2019-04-16', NULL, '2019-04-16', NULL, '2019-05-06 07:52:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 139.52000000, 0.00000000, 0.00000000, 0.00000000, 697.60000000, 837.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-05-31', NULL, 'Fourniture et raccordement cuve 500litres<br />\r\n<br />\r\nBL N&deg;37 du 12/04/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 697.60000000, 139.52000000, 837.12000000, NULL, 'facture/FA1904-0013/FA1904-0013.pdf', NULL, NULL),
(1070, 'FA1904-0014', 1, NULL, NULL, 'Richard Burcet', 0, NULL, 2101, '2019-04-16 10:41:02', '2019-04-16', NULL, '2019-04-16', NULL, '2019-05-06 07:52:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 119.75000000, 0.00000000, 0.00000000, 0.00000000, 598.75000000, 718.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-05-31', NULL, 'modification raccordement START 025 pour cloisonnement<br />\r\n<br />\r\nBL N&deg;37 du 12/04/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 598.75000000, 119.75000000, 718.50000000, NULL, 'facture/FA1904-0014/FA1904-0014.pdf', NULL, NULL),
(1071, 'AV1904-0002', 1, NULL, NULL, NULL, 2, NULL, 12781, '2019-04-16 10:47:59', '2019-04-16', NULL, '2019-04-16', NULL, '2019-04-16 08:50:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -1407.00000000, 0.00000000, 0.00000000, 0.00000000, -7035.00000000, -8442.00000000, 2, 5, NULL, 5, NULL, 1002, NULL, NULL, NULL, 0, 0, '2019-04-16', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -7035.00000000, -1407.00000000, -8442.00000000, NULL, 'facture/AV1904-0002/AV1904-0002.pdf', NULL, NULL),
(1072, 'FA1903-0056', 1, NULL, NULL, NULL, 0, NULL, 12781, '2019-04-16 10:48:49', '2019-03-01', NULL, '2019-04-16', NULL, '2019-05-09 10:04:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 7035.00000000, 7035.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2019-04-30', NULL, 'Dossier N&deg;306-P4-0749OB/34753- MIXT COMPOSITES RECYCLABLES L45RS COMPAIR', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 7035.00000000, 0.00000000, 7035.00000000, NULL, 'facture/FA1903-0056/FA1903-0056.pdf', NULL, NULL),
(1073, 'FA1904-0015', 1, NULL, NULL, '509797', 0, NULL, 2123, '2019-04-16 11:01:26', '2019-04-16', NULL, '2019-04-16', NULL, '2019-06-18 09:12:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.00000000, 0.00000000, 0.00000000, 0.00000000, 225.00000000, 270.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'Enrouleur air comprim&eacute;<br />\r\n<br />\r\nCommande N&deg; 509797', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 225.00000000, 45.00000000, 270.00000000, NULL, 'facture/FA1904-0015/FA1904-0015.pdf', NULL, NULL),
(1074, 'AC1904-0002', 1, NULL, NULL, 'LAC sans install', 3, NULL, 2020, '2019-04-16 16:22:29', '2019-04-16', NULL, '2019-04-16', NULL, '2019-04-18 06:28:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 3600.00000000, 3600.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2019-04-17', NULL, 'Fournitures pour local d&#39;air comprim&eacute; d&#39;un compresseur &agrave; vitesse fixe 22KW 8 bars de marque COMPAIR avec un secheur par r&eacute;frig&eacute;ration sans pr&eacute;filtration &agrave; votre demande ainsi que la fourniture d&#39;un reservoir en galva avec ses accessoires 1000Litres et d&#39;un reservoir en galva 500Litres .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3600.00000000, 0.00000000, 3600.00000000, NULL, 'facture/AC1904-0002/AC1904-0002.pdf', NULL, NULL),
(1075, 'AV1904-0003', 1, NULL, NULL, NULL, 2, NULL, 2170, '2019-04-17 09:43:01', '2019-04-17', NULL, '2019-04-17', NULL, '2019-05-06 07:51:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -63.84000000, 0.00000000, 0.00000000, 0.00000000, -319.20000000, -383.04000000, 2, 5, NULL, 5, NULL, 892, NULL, NULL, NULL, 0, 2, '2019-04-17', NULL, 'Suite &agrave; votre conversation avec Mr BRET du 16/04/2019 .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -319.20000000, -63.84000000, -383.04000000, NULL, 'facture/AV1904-0003/AV1904-0003.pdf', NULL, NULL),
(1076, 'FA1904-0016', 1, NULL, NULL, NULL, 0, NULL, 1996, '2019-04-23 09:56:33', '2019-04-23', NULL, '2019-04-23', NULL, '2019-06-03 07:50:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 109.25000000, 0.00000000, 0.00000000, 0.00000000, 546.25000000, 655.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'Maintenance compresseur L18 N&deg;100008030-0334 &agrave; 30400 Hrs<br />\r\n<br />\r\nBL N&deg;16 du 16/04/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 546.25000000, 109.25000000, 655.50000000, NULL, 'facture/FA1904-0016/FA1904-0016.pdf', NULL, NULL),
(1077, 'FA1904-0017', 1, NULL, NULL, NULL, 0, NULL, 1996, '2019-04-23 10:42:20', '2019-04-23', NULL, '2019-04-23', NULL, '2019-06-03 07:50:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 115.17000000, 0.00000000, 0.00000000, 0.00000000, 575.83000000, 691.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'Maintenance L15 N&deg;100014099/0206 &agrave; 18986 HRS<br />\r\n<br />\r\nBL N&deg;15 du&nbsp; 16/04/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 575.83000000, 115.17000000, 691.00000000, NULL, 'facture/FA1904-0017/FA1904-0017.pdf', NULL, NULL),
(1078, 'AC1904-0003', 1, NULL, NULL, NULL, 3, NULL, 12763, '2019-04-23 10:54:26', '2019-04-23', NULL, '2019-04-23', NULL, '2019-04-25 09:41:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 660.00000000, 0.00000000, 0.00000000, 0.00000000, 3300.00000000, 3960.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-04-24', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3300.00000000, 660.00000000, 3960.00000000, NULL, 'facture/AC1904-0003/AC1904-0003.pdf', NULL, NULL),
(1079, 'FA1904-0018', 1, NULL, NULL, NULL, 0, NULL, 2184, '2019-04-23 11:01:59', '2019-04-23', NULL, '2019-04-23', NULL, '2019-06-28 09:17:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 623.43000000, 0.00000000, 0.00000000, 0.00000000, 3117.17000000, 3740.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'Maintenance L45RS ( 2018 ) N&deg; CD10034859001 en huile alimentaire &agrave;&nbsp; 8843HRS<br />\r\n<br />\r\nRemplacement cartouche filtre r&eacute;seau&nbsp;<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N&deg;14 du 15/04/2019<br />\r\n<br />\r\nCommande N&deg;PO 7000820582<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3117.17000000, 623.43000000, 3740.60000000, NULL, 'facture/FA1904-0018/FA1904-0018.pdf', NULL, NULL),
(1080, 'FA1904-0019', 1, NULL, NULL, NULL, 0, NULL, 2235, '2019-04-23 11:12:36', '2019-04-23', NULL, '2019-04-23', NULL, '2019-07-01 08:53:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 48.00000000, 0.00000000, 0.00000000, 0.00000000, 240.02000000, 288.02000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'Intervention compresseur L15VS N° BA21283001 -<br />\r\n<br />\r\nDefaut temperature<br />\r\n<br />\r\nBL N°38 du 15/04/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 240.02000000, 48.00000000, 288.02000000, NULL, 'facture/FA1904-0019/FA1904-0019.pdf', NULL, NULL),
(1081, 'FA1904-0020', 1, NULL, NULL, NULL, 0, NULL, 2197, '2019-04-23 14:43:59', '2019-04-23', NULL, '2019-04-23', NULL, '2019-05-03 07:50:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1020.00000000, 0.00000000, 0.00000000, 0.00000000, 5100.00000000, 6120.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'ETUDE N&deg; : 3126718<br />\r\n<br />\r\n<br />\r\nSCIERIE DE CHAMBARAN<br />\r\n762 Route de Thodure<br />\r\n38980 VIRIVILLE<br />\r\n<br />\r\nFOURNITURE ET INSTALLATION D UN COMPRESSEUR A VIS 11 kw 10 Bars<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5100.00000000, 1020.00000000, 6120.00000000, NULL, 'facture/FA1904-0020/FA1904-0020.pdf', NULL, NULL),
(1082, 'FA1904-0021', 1, NULL, NULL, NULL, 0, NULL, 12667, '2019-04-23 15:10:26', '2019-04-23', NULL, '2019-04-23', NULL, '2019-07-08 07:44:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 7.28000000, 0.00000000, 0.00000000, 0.00000000, 36.42000000, 43.70000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-05-31', NULL, 'Intervention remplacement des courroies .<br />\r\n<br />\r\nBL N&deg;12 du 11/04/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 36.42000000, 7.28000000, 43.70000000, NULL, 'facture/FA1904-0021/FA1904-0021.pdf', NULL, NULL),
(1083, 'FA1904-0022', 1, NULL, NULL, 'LAC sans install', 0, NULL, 2020, '2019-04-25 14:46:25', '2019-04-25', NULL, '2019-06-11', NULL, '2019-06-13 11:25:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2399.99000000, 0.00000000, 0.00000000, 0.00000000, 12000.00000000, 14399.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'Fournitures pour local d&#39;air comprim&eacute; d&#39;un compresseur &agrave; vitesse fixe 22KW 10 bars de marque COMPAIR avec un secheur par r&eacute;frig&eacute;ration sans pr&eacute;filtration &agrave; votre demande ainsi que la fourniture d&#39;un reservoir en galva avec ses accessoires 1000Litres et d&#39;un reservoir en galva 500Litres .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 12000.00000000, 2399.99000000, 14399.99000000, NULL, 'facture/FA1904-0022/FA1904-0022.pdf', NULL, NULL),
(1084, 'FA1904-0023', 1, NULL, NULL, NULL, 0, NULL, 2033, '2019-04-29 10:03:32', '2019-04-29', NULL, '2019-04-29', NULL, '2019-06-18 09:13:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.85000000, 0.00000000, 0.00000000, 0.00000000, 594.25000000, 713.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'Maintenance compresseur GA30C N&deg; AII278463 de 2004 &agrave; 50850 HRS<br />\r\n<br />\r\nBL N&deg;18 du 25/04/2019<br />\r\n<br />\r\nCommande N&deg; 25277/18296', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 594.25000000, 118.85000000, 713.10000000, NULL, 'facture/FA1904-0023/FA1904-0023.pdf', NULL, NULL),
(1085, 'FA1904-0024', 1, NULL, NULL, NULL, 0, NULL, 6259, '2019-04-29 10:34:58', '2019-04-29', NULL, '2019-04-29', NULL, '2019-06-07 07:09:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 137.47000000, 0.00000000, 0.00000000, 0.00000000, 687.35000000, 824.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-05-31', NULL, 'Maintenance L30 N&deg;CD10007358001 &agrave; 12802 HRS<br />\r\n<br />\r\nBL N&deg;43 du 24/04/2019<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 687.35000000, 137.47000000, 824.82000000, NULL, 'facture/FA1904-0024/FA1904-0024.pdf', NULL, NULL),
(1086, 'FA1904-0025', 1, NULL, NULL, NULL, 0, NULL, 2102, '2019-04-29 12:01:36', '2019-04-29', NULL, '2019-04-29', NULL, '2019-07-01 08:53:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 3024.37000000, 0.00000000, 0.00000000, 0.00000000, 15121.87000000, 18146.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-05-31', NULL, 'Amenagement electrique et air comprim&eacute; local M7, abaissement neons + remplacement par tube LEDS<br />\r\n<br />\r\nCommande BC2019.02.040', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 15121.87000000, 3024.37000000, 18146.24000000, NULL, 'facture/FA1904-0025/FA1904-0025.pdf', NULL, NULL),
(1087, 'FA1904-0026', 1, NULL, NULL, NULL, 0, NULL, 10144, '2019-04-29 15:08:58', '2019-04-29', NULL, '2019-04-29', NULL, '2019-06-18 09:13:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 35.00000000, 0.00000000, 0.00000000, 0.00000000, 175.00000000, 210.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-05-31', NULL, 'Commande N&deg; 4500123217', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 175.00000000, 35.00000000, 210.00000000, NULL, 'facture/FA1904-0026/FA1904-0026.pdf', NULL, NULL),
(1088, 'FA1904-0027', 1, NULL, NULL, NULL, 0, NULL, 12814, '2019-04-29 16:14:28', '2019-04-29', NULL, '2019-04-29', NULL, '2019-06-04 11:41:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 68.36000000, 0.00000000, 0.00000000, 0.00000000, 341.84000000, 410.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-05-31', NULL, '<p>pour la fourniture d&rsquo;&eacute;quivalence de filtres&nbsp;:</p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p>-Kit&nbsp;:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2258 2901 21</p>\r\n\r\n<p>-Kit&nbsp;:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2258 2901 32<br />\r\n<br />\r\n<br />\r\nLivraison France Metropolitaine</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 341.84000000, 68.36000000, 410.20000000, NULL, 'facture/FA1904-0027/FA1904-0027.pdf', NULL, NULL),
(1089, 'FA1905-0001', 1, NULL, NULL, 'CONTRAT LDD', 0, NULL, 2215, '2019-05-13 14:30:05', '2019-05-13', NULL, '2019-05-13', NULL, '2019-08-06 07:03:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2019-05-14', NULL, 'Mensualité contrat LDD<br />\r\nDernier loyer - Fin de contrat LDD<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, 'facture/FA1905-0001/FA1905-0001.pdf', NULL, NULL),
(1090, 'FA1905-0002', 1, NULL, NULL, NULL, 0, NULL, 2234, '2019-05-13 14:31:09', '2019-05-13', NULL, '2019-05-13', NULL, '2019-06-04 11:40:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA1905-0002/FA1905-0002.pdf', NULL, NULL),
(1091, 'FA1905-0003', 1, NULL, NULL, NULL, 0, NULL, 6086, '2019-05-16 15:39:47', '2019-05-16', NULL, '2019-05-16', NULL, '2019-05-16 13:39:53', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 283.80000000, 0.00000000, 0.00000000, 0.00000000, 1419.00000000, 1702.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-05-17', NULL, 'Contrat de maintenancepour partie air comprim&eacute; et azote N&deg;2019050201<br />\r\nSign&eacute; le 7 mai 2019 pour une dur&eacute;e de 5 ans .<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1419.00000000, 283.80000000, 1702.80000000, NULL, 'facture/FA1905-0003/FA1905-0003.pdf', NULL, NULL),
(1092, 'FA1905-0004', 1, NULL, NULL, NULL, 0, NULL, 2347, '2019-05-17 09:47:01', '2019-05-17', NULL, '2019-05-17', NULL, '2019-07-01 08:51:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 24.00000000, 0.00000000, 0.00000000, 0.00000000, 120.00000000, 144.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 120.00000000, 24.00000000, 144.00000000, NULL, 'facture/FA1905-0004/FA1905-0004.pdf', NULL, NULL),
(1093, 'FA1905-0005', 1, NULL, NULL, '6857', 0, NULL, 2354, '2019-05-17 10:50:30', '2019-05-17', NULL, '2019-05-17', NULL, '2019-07-12 07:15:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 26.48000000, 0.00000000, 0.00000000, 0.00000000, 132.40000000, 158.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'commande&nbsp; N&deg;6857', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.40000000, 26.48000000, 158.88000000, NULL, 'facture/FA1905-0005/FA1905-0005.pdf', NULL, NULL),
(1094, 'FA1905-0006', 1, NULL, NULL, NULL, 0, NULL, 12763, '2019-05-17 11:03:45', '2019-05-17', NULL, '2019-05-17', NULL, '2020-01-08 11:29:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1540.04000000, 0.00000000, 0.00000000, 0.00000000, 7700.09000000, 9240.13000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-06-30', NULL, 'Solde facture montant global 11 000€ HT .<br />\r\nAcompte AC1904-0003 déduit', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 11000.09000000, 2200.04000000, 13200.13000000, NULL, 'facture/FA1905-0006/FA1905-0006.pdf', NULL, NULL),
(1095, 'FA1905-0007', 1, NULL, NULL, NULL, 0, NULL, 1983, '2019-05-17 15:44:58', '2019-05-17', NULL, '2019-05-17', NULL, '2019-08-07 07:08:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 271.37000000, 0.00000000, 0.00000000, 0.00000000, 1356.86000000, 1628.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'Fourniture d&#39;un secheur par r&eacute;frigeration Compair F50S par un secheur Compair F32S ( nouvelle gamme 2015 ) .<br />\r\nInstallation et raccordement par vos soins<br />\r\n<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1356.86000000, 271.37000000, 1628.23000000, NULL, 'facture/FA1905-0007/FA1905-0007.pdf', NULL, NULL),
(1096, 'FA1905-0008', 1, NULL, NULL, NULL, 0, NULL, 2197, '2019-05-27 11:51:22', '2019-05-27', NULL, '2019-05-27', NULL, '2019-06-25 07:10:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, 'facture/FA1905-0008/FA1905-0008.pdf', NULL, NULL),
(1097, 'FA1905-0009', 1, NULL, NULL, NULL, 0, NULL, 2157, '2019-05-29 09:22:14', '2019-05-29', NULL, '2019-05-29', NULL, '2019-07-02 14:41:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 31.62000000, 0.00000000, 0.00000000, 0.00000000, 158.08000000, 189.70000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 158.08000000, 31.62000000, 189.70000000, NULL, 'facture/FA1905-0009/FA1905-0009.pdf', NULL, NULL),
(1099, 'FA1905-0010', 1, NULL, NULL, 'L29', 0, NULL, 12890, '2019-05-29 14:09:41', '2019-05-29', NULL, '2019-06-06', NULL, '2019-08-05 08:19:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 3530.35000000, 0.00000000, 0.00000000, 0.00000000, 17651.73000000, 21182.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-06-30', NULL, 'Local air comprim&eacute; 29KW 7.5 Bars<br />\r\nD&eacute;saccouplage vieille cuve vers 845 reprise tuyauterie pose d&#39;un cyclonique 1 1/2 en sortie 845<br />\r\nModification en 42 sortie 845 inserer cyclonique<br />\r\nnouveau local ou il y a le V22 ( qu on reprend ) il n&#39;y a qu&#39;un bypass sur la cuve pas d&#39;autre<br />\r\nelectricit&eacute; et coffret par client', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 17651.73000000, 3530.35000000, 21182.08000000, NULL, 'facture/FA1905-0010/FA1905-0010.pdf', NULL, NULL),
(1100, 'FA1905-0011', 1, NULL, NULL, NULL, 0, NULL, 12882, '2019-05-29 14:25:53', '2019-05-29', NULL, '2019-05-29', NULL, '2019-07-11 16:03:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 148.60000000, 0.00000000, 0.00000000, 0.00000000, 743.00000000, 891.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-06-30', NULL, 'Filtre <span style=\"color:#1f497d\">STERYFLON MINI</span><br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 743.00000000, 148.60000000, 891.60000000, NULL, 'facture/FA1905-0011/FA1905-0011.pdf', NULL, NULL),
(1101, 'FA1905-0012', 1, NULL, NULL, NULL, 0, NULL, 2147, '2019-05-29 14:30:44', '2019-05-29', NULL, '2019-05-29', NULL, '2019-07-04 11:18:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 109.00000000, 0.00000000, 0.00000000, 0.00000000, 545.00000000, 654.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 545.00000000, 109.00000000, 654.00000000, NULL, 'facture/FA1905-0012/FA1905-0012.pdf', NULL, NULL),
(1102, 'FA1905-0013', 1, NULL, NULL, NULL, 0, NULL, 2032, '2019-05-29 14:48:43', '2019-05-29', NULL, '2019-05-29', NULL, '2019-07-19 09:10:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 12.36000000, 0.00000000, 0.00000000, 0.00000000, 61.80000000, 74.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'bidon d&#39;huile VR46 5 litres - huile viscosit&eacute; 46 pour compresseur &agrave; vis lubrifi&eacute;es<br />\r\n<br />\r\nBL N&deg; 46 du 24/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 61.80000000, 12.36000000, 74.16000000, NULL, 'facture/FA1905-0013/FA1905-0013.pdf', NULL, NULL),
(1103, 'FA1905-0014', 1, NULL, NULL, NULL, 0, NULL, 2338, '2019-05-29 14:52:00', '2019-05-29', NULL, '2019-05-29', NULL, '2019-07-19 09:09:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 15.58000000, 0.00000000, 0.00000000, 0.00000000, 77.91000000, 93.49000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'coupleur &agrave; bouton 1/2 male<br />\r\n<br />\r\nCommande N&deg;&nbsp;582-2019-N', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 77.91000000, 15.58000000, 93.49000000, NULL, 'facture/FA1905-0014/FA1905-0014.pdf', NULL, NULL),
(1105, 'FA1906-0001', 1, NULL, NULL, NULL, 0, NULL, 2215, '2019-06-03 10:52:30', '2019-06-03', NULL, '2019-06-03', NULL, '2019-06-05 06:53:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2019-06-04', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, 'facture/FA1906-0001/FA1906-0001.pdf', NULL, NULL),
(1106, 'FA1906-0002', 1, NULL, NULL, NULL, 0, NULL, 2234, '2019-06-03 10:54:01', '2019-06-03', NULL, '2019-06-03', NULL, '2019-06-21 11:35:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA1906-0002/FA1906-0002.pdf', NULL, NULL),
(1107, 'FA1906-0003', 1, NULL, NULL, NULL, 0, NULL, 2197, '2019-06-03 11:00:16', '2019-06-03', NULL, '2019-06-03', NULL, '2019-06-25 07:10:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, 'facture/FA1906-0003/FA1906-0003.pdf', NULL, NULL),
(1108, 'FA1906-0004', 1, NULL, NULL, NULL, 0, NULL, 1996, '2019-06-03 14:51:53', '2019-06-03', NULL, '2019-06-03', NULL, '2019-08-22 15:13:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 380.91000000, 0.00000000, 0.00000000, 0.00000000, 1904.55000000, 2285.46000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Remplacement radiateur sur compresseur L15 de 2008 N&deg;100014099-0206 .<br />\r\n<br />\r\n<br />\r\n<span style=\"font-size:11.0pt\">MATERIEL NI REPRIS NI ECHANGE</span><br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1904.55000000, 380.91000000, 2285.46000000, NULL, 'facture/FA1906-0004/FA1906-0004.pdf', NULL, NULL),
(1109, 'FA1905-0015', 1, NULL, NULL, NULL, 0, NULL, 2038, '2019-06-03 15:27:28', '2019-05-31', NULL, '2019-06-03', NULL, '2019-07-03 09:06:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 200.62000000, 0.00000000, 0.00000000, 0.00000000, 1003.07000000, 1203.69000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'Maintenance L07RS N&deg; BA28124001 &agrave; 16399 HRS<br />\r\nRemplacement cartouche filtre r&eacute;seau .<br />\r\n<br />\r\nBL N&deg;26 du 23/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1003.07000000, 200.62000000, 1203.69000000, NULL, 'facture/FA1905-0015/FA1905-0015.pdf', NULL, NULL),
(1110, 'FA1905-0016', 1, NULL, NULL, NULL, 0, NULL, 12921, '2019-06-03 15:39:19', '2019-05-30', NULL, '2019-06-03', NULL, '2019-08-05 09:31:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 268.61000000, 0.00000000, 0.00000000, 0.00000000, 1343.08000000, 1611.69000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-06-30', NULL, 'Maintenance compresseur L22 N&deg; CD10018313001 &agrave; 3712 HRS<br />\r\nRemplacement cartouche filtre r&eacute;seau<br />\r\n<br />\r\nBL N&deg;43 du 13/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1343.08000000, 268.61000000, 1611.69000000, NULL, 'facture/FA1905-0016/FA1905-0016.pdf', NULL, NULL),
(1111, 'FA1905-0017', 1, NULL, NULL, NULL, 0, NULL, 2075, '2019-06-04 10:39:53', '2019-05-31', NULL, '2019-06-04', NULL, '2019-08-05 09:10:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 179.70000000, 0.00000000, 0.00000000, 0.00000000, 898.48000000, 1078.18000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'maintenance L07 N&deg; CD10004996001 &agrave; 20739 HRS<br />\r\nMaintenance s&eacute;parateur de condensats Owamat 10<br />\r\n<br />\r\n<br />\r\nBL N&deg;27 du 23/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 898.48000000, 179.70000000, 1078.18000000, NULL, 'facture/FA1905-0017/FA1905-0017.pdf', NULL, NULL),
(1112, 'FA1905-0018', 1, NULL, NULL, NULL, 0, NULL, 2077, '2019-06-04 10:46:49', '2019-05-31', NULL, '2019-06-04', NULL, '2019-06-25 07:10:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 36.38000000, 0.00000000, 0.00000000, 0.00000000, 181.90000000, 218.28000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'Commande N&deg;20190511407<br />\r\nRef fournisseur 917599', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 181.90000000, 36.38000000, 218.28000000, NULL, 'facture/FA1905-0018/FA1905-0018.pdf', NULL, NULL),
(1113, 'FA1906-0043', 1, NULL, NULL, NULL, 0, NULL, 10660, '2019-06-04 11:17:29', '2019-06-04', NULL, '2019-07-02', NULL, '2019-07-03 09:08:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1221.28000000, 0.00000000, 0.00000000, 0.00000000, 6106.41000000, 7327.69000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-06-05', NULL, 'Fournitures :\r\n<ul>\r\n	<li><span style=\"font-size:11.0pt\">5 appliques murale P13614203</span></li>\r\n	<li><span style=\"font-size:11.0pt\">5 raccords fileter P31425004</span></li>\r\n	<li><span style=\"font-size:11.0pt\">5 T P30525000</span></li>\r\n	<li><span style=\"font-size:11.0pt\">2 coudes 90&deg; P30220000</span></li>\r\n	<li><span style=\"font-size:11.0pt\">2 boites de colliers gaine P15825810 avec les vis de fixation parpaing</span></li>\r\n	<li><span style=\"font-size:11.0pt\">20 tubes P30025000</span></li>\r\n	<li><span style=\"font-size:11.0pt\">1 bouchon P30725000</span></li>\r\n	<li><span style=\"font-size:11.0pt\">1 compresseur a vis 650lts/min</span></li>\r\n	<li><span style=\"font-size:11.0pt\">1 bouteille d&rsquo;air 500lts</span></li>\r\n	<li><span style=\"font-size:11.0pt\">1 Ass&eacute;cheur </span></li>\r\n</ul>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p><span style=\"font-size:11.0pt\">Nous vous proposons une centrale d&#39;air comprim&eacute; regroupant le compresseur &agrave; vis un secheur par r&eacute;frig&eacute;ration et un reservoir 500Litres avec un filtre&nbsp;reseau&nbsp;pour une gradation 0.01&micro; .</span><br />\r\n&nbsp;</p>\r\n\r\n<ul>\r\n	<li>Livraison&nbsp;: Franco</li>\r\n	<li>D&eacute;lai&nbsp;: Sous 10 jours environ</li>\r\n	<li>Garantie&nbsp;: 2 ans&nbsp;</li>\r\n	<li>Fabrication&nbsp;: Allemagne</li>\r\n</ul>\r\n\r\n<p>&nbsp;</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6106.41000000, 1221.28000000, 7327.69000000, NULL, 'facture/FA1906-0043/FA1906-0043.pdf', NULL, NULL),
(1114, 'FA1905-0019', 1, NULL, NULL, NULL, 0, NULL, 2069, '2019-06-04 11:27:58', '2019-05-31', NULL, '2019-06-04', NULL, '2019-07-11 16:03:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 104.56000000, 0.00000000, 0.00000000, 0.00000000, 522.82000000, 627.38000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'maintenance cyclon 111 N&deg; F162/1122 &agrave; 40693 HRS<br />\r\n<br />\r\nBL N&deg;44 du 14/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 522.82000000, 104.56000000, 627.38000000, NULL, 'facture/FA1905-0019/FA1905-0019.pdf', NULL, NULL),
(1115, 'FA1905-0020', 1, NULL, NULL, 'CDA-FCA1904724', 0, NULL, 2127, '2019-06-04 11:34:54', '2019-05-31', NULL, '2019-06-04', NULL, '2019-07-23 11:13:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 349.60000000, 0.00000000, 0.00000000, 0.00000000, 1748.00000000, 2097.60000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, '<p>Réépreuve de réservoir d’air comprimé ( Hors organisme agrée ) de votre compresseur L75SR COMPAIR</p>\r\n\r\n<p>Notre offre comprend :</p>\r\n\r\n<ul>\r\n	<li>La vidange d’huile du compresseur</li>\r\n	<li>Dépose des accessoires fixer sur la cuve ( flexible , … etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remplissage du reservoir avec de l’eau</li>\r\n	<li>Assistance eu verificateur de l’organisme agrée</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n	<li>Remise à niveau d’huile du compresseur</li>\r\n	<li>Fourniture et Remplacement soupape de sécurité</li>\r\n</ul>\r\n\r\n<p>Réépreuve de réservoir d’air comprimé 2000Litres( Hors organisme agrée )</p>\r\n\r\n<p> </p>\r\n\r\n<p>Notre offre comprend :</p>\r\n\r\n<ul>\r\n	<li>Dépose des accessoires fixer sur la cuve ( flexible , … etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remplissage du reservoir avec de l’eau</li>\r\n	<li>Assistance eu verificateur de l’organisme agrée</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n	<li>Fourniture et remplacement soupape de sécurité</li>\r\n</ul>\r\n<br />\r\nOffre pour 1 journée à deux techniciens, pompe et groupe électrogéne .<br />\r\n<br />\r\nBL N°31 du 31/05/2019<br />\r\n<br />\r\nCDE : CDA-FCA1904724', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1748.00000000, 349.60000000, 2097.60000000, NULL, 'facture/FA1905-0020/FA1905-0020.pdf', NULL, NULL),
(1116, 'FA1905-0021', 1, NULL, NULL, NULL, 0, NULL, 2102, '2019-06-04 15:57:20', '2019-05-31', NULL, '2019-06-04', NULL, '2019-08-05 09:05:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 101.86000000, 0.00000000, 0.00000000, 0.00000000, 509.30000000, 611.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'N&deg;BC2019.05.103<br />\r\n<br />\r\nBL N&deg;47 du 25/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 509.30000000, 101.86000000, 611.16000000, NULL, 'facture/FA1905-0021/FA1905-0021.pdf', NULL, NULL),
(1117, 'FA1905-0022', 1, NULL, NULL, NULL, 0, NULL, 2161, '2019-06-04 16:42:32', '2019-05-31', NULL, '2019-06-04', NULL, '2019-10-07 07:19:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 385.22000000, 0.00000000, 0.00000000, 0.00000000, 1926.17000000, 2311.39000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', 'sign&eacute; pour l&#39;ann&eacute;e 2019', 'Base contrat de maintenance 2019 :<br />\r\n<br />\r\nCommande N&deg; 2100/19001552 du 23/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1926.17000000, 385.22000000, 2311.39000000, NULL, 'facture/FA1905-0022/FA1905-0022.pdf', NULL, NULL),
(1118, 'FA1905-0023', 1, NULL, NULL, NULL, 0, NULL, 2169, '2019-06-04 16:51:20', '2019-05-31', NULL, '2019-06-04', NULL, '2019-07-01 08:51:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 49.41000000, 0.00000000, 0.00000000, 0.00000000, 247.03000000, 296.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'Intervention sur compresseur bottarini KA7 plus -<br />\r\n<br />\r\nRemplacement flexible<br />\r\n<br />\r\nBL N&deg;42 du 11/04/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 247.03000000, 49.41000000, 296.44000000, NULL, 'facture/FA1905-0023/FA1905-0023.pdf', NULL, NULL),
(1119, 'FA1905-0024', 1, NULL, NULL, 'version 4', 0, NULL, 2169, '2019-06-05 09:06:36', '2019-05-31', NULL, '2019-06-06', NULL, '2019-07-16 08:05:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 8807.37000000, 0.00000000, 0.00000000, 0.00000000, 44037.00000000, 52844.37000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'Solde facture montant gloabl HT : 44 037.93 € .<br />\r\nAcompte N° AC1903-0001 d\'un montant de 13 211.10 € HT  datant du 07/03/2019 déduit .', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 44037.00000000, 8807.37000000, 52844.37000000, NULL, 'facture/FA1905-0024/FA1905-0024.pdf', NULL, NULL),
(1121, 'FA1905-0025', 1, NULL, NULL, 'reseau d\'air comprimé', 0, NULL, 2169, '2019-06-05 09:33:03', '2019-05-31', NULL, '2019-06-05', NULL, '2019-07-11 16:05:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1287.84000000, 0.00000000, 0.00000000, 0.00000000, 6439.24000000, 7727.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'Reseau inox serti en diamtre 28 envrion 135 metres<br />\r\n5 descentes<br />\r\n8 piquages<br />\r\nnacelle inclus', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6439.24000000, 1287.84000000, 7727.08000000, NULL, 'facture/FA1905-0025/FA1905-0025.pdf', NULL, NULL),
(1122, 'FA1905-0026', 1, NULL, NULL, NULL, 0, NULL, 2177, '2019-06-05 09:51:06', '2019-05-31', NULL, '2019-06-05', NULL, '2019-07-09 08:07:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 178.34000000, 0.00000000, 0.00000000, 0.00000000, 891.67000000, 1070.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'Maintenance L07RS &agrave; 7415 Heures<br />\r\nIntervention compresseur RLR15B N&deg;308972 &agrave; 4746 HRS - remplacement pressostat<br />\r\n<br />\r\nBL N&deg;19 et 20 du 03/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 891.67000000, 178.34000000, 1070.01000000, NULL, 'facture/FA1905-0026/FA1905-0026.pdf', NULL, NULL),
(1123, 'FA1906-0005', 1, NULL, NULL, NULL, 0, NULL, 6086, '2019-06-05 10:13:35', '2019-06-05', NULL, '2019-06-05', NULL, '2019-06-05 08:13:48', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 283.80000000, 0.00000000, 0.00000000, 0.00000000, 1419.00000000, 1702.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-06-06', NULL, 'Contrat de maintenancepour partie air comprim&eacute; et azote N&deg;2019050201<br />\r\nSign&eacute; le 7 mai 2019 pour une dur&eacute;e de 5 ans .<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1419.00000000, 283.80000000, 1702.80000000, NULL, 'facture/FA1906-0005/FA1906-0005.pdf', NULL, NULL),
(1124, 'FA1905-0027', 1, NULL, NULL, NULL, 0, NULL, 2234, '2019-06-05 10:34:27', '2019-05-31', NULL, '2019-06-05', NULL, '2019-06-21 11:35:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 231.49000000, 0.00000000, 0.00000000, 0.00000000, 1157.46000000, 1388.95000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'Maintenance L45RS N&deg;CD10005658001 &agrave; 6383 Hrs<br />\r\nRemplacement des cartouches des filtres reseaux et maintenance owamat 14 .<br />\r\n<br />\r\nBL N&deg;&nbsp; 02 du 24/05/2019<br />\r\n<br />\r\nCommande N&deg; 4800301897', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1157.46000000, 231.49000000, 1388.95000000, NULL, 'facture/FA1905-0027/FA1905-0027.pdf', NULL, NULL),
(1125, 'FA1905-0028', 1, NULL, NULL, NULL, 0, NULL, 2247, '2019-06-05 14:16:33', '2019-05-31', NULL, '2019-06-05', NULL, '2019-11-14 12:24:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 114.37000000, 0.00000000, 0.00000000, 0.00000000, 571.87000000, 686.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'Maintenance L18rs N&deg; CD100018442001 &agrave; 4885 HRS( nouvelle carte )&nbsp;<br />\r\nMaintenance separateur de condensats OWAMT 11<br />\r\n<br />\r\nBL n&deg;42 du 13/05/2019<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 571.87000000, 114.37000000, 686.24000000, NULL, 'facture/FA1905-0028/FA1905-0028.pdf', NULL, NULL),
(1126, 'FA1905-0030', 1, NULL, NULL, NULL, 0, NULL, 2263, '2019-06-05 14:26:24', '2019-06-28', NULL, '2019-07-01', NULL, '2019-08-07 07:10:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 141.10000000, 0.00000000, 0.00000000, 0.00000000, 705.48000000, 846.58000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Recherche de panne , mise en place d&#39;un compresseur de secours ( location offerte )<br />\r\nRemplacement vanne thermostatique sur compresseur L11 .<br />\r\n<br />\r\nBL N&deg; 40 du 08/04/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 705.48000000, 141.10000000, 846.58000000, NULL, 'facture/FA1905-0030/FA1905-0030.pdf', NULL, NULL),
(1127, 'FA1905-0029', 1, NULL, NULL, NULL, 0, NULL, 2283, '2019-06-05 14:38:56', '2019-05-31', NULL, '2019-06-05', NULL, '2019-07-11 16:04:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 835.99000000, 0.00000000, 0.00000000, 0.00000000, 4180.00000000, 5015.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-06-30', NULL, 'D&eacute;placement compresseur et s&eacute;cheur<br />\r\nmodification r&eacute;seau air comprim&eacute; en inox diametre 22&nbsp;<br />\r\ncreation d&#39;une descente suppl&eacute;mentaire en diametre 22&nbsp;<br />\r\npose d&#39;une vanne de sectionnement<br />\r\nMise en air de l&#39;ensemble&nbsp;<br />\r\n<br />\r\nBL N&deg;46 du 15/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4180.00000000, 835.99000000, 5015.99000000, NULL, 'facture/FA1905-0029/FA1905-0029.pdf', NULL, NULL),
(1130, 'AV1906-0001', 1, NULL, NULL, NULL, 2, NULL, 12890, '2019-06-06 10:15:47', '2019-06-06', NULL, '2019-06-06', NULL, '2019-06-06 08:16:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, -6000.00000000, -6000.00000000, 2, 5, NULL, 5, NULL, 1067, NULL, NULL, NULL, 0, 0, '2019-06-06', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -6000.00000000, 0.00000000, -6000.00000000, NULL, 'facture/AV1906-0001/AV1906-0001.pdf', NULL, NULL),
(1131, 'AC1906-0001', 1, NULL, NULL, 'L29', 3, NULL, 12890, '2019-06-06 10:17:14', '2019-06-06', NULL, '2019-06-06', NULL, '2019-09-24 07:21:55', 0, 0.00000000, NULL, NULL, 0, 'discount_vat', NULL, 1200.00000000, 0.00000000, 0.00000000, 0.00000000, 6000.00000000, 7200.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-06-07', NULL, 'Local air comprim&eacute; 29KW 7.5 Bars<br />\r\nD&eacute;saccouplage vieille cuve vers 845 reprise tuyauterie pose d&#39;un cyclonique 1 1/2 en sortie 845<br />\r\nModification en 42 sortie 845 inserer cyclonique<br />\r\nnouveau local ou il y a le V22 ( qu on reprend ) il n&#39;y a qu&#39;un bypass sur la cuve pas d&#39;autre<br />\r\nelectricit&eacute; et coffret par client', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6000.00000000, 1200.00000000, 7200.00000000, NULL, 'facture/AC1906-0001/AC1906-0001.pdf', NULL, NULL),
(1132, 'FA1906-0021', 1, NULL, NULL, NULL, 0, NULL, 12922, '2019-06-11 09:21:19', '2019-06-11', NULL, '2019-06-25', NULL, '2019-08-05 09:29:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 32.80000000, 0.00000000, 0.00000000, 0.00000000, 164.00000000, 196.80000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 9, 0, '2019-06-12', NULL, 'Amortisseur de capot pour compresseur DLT0404 C30 ANNEE 2003<br />\r\n<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 164.00000000, 32.80000000, 196.80000000, NULL, 'facture/FA1906-0021/FA1906-0021.pdf', NULL, NULL),
(1133, 'AV1906-0002', 1, NULL, NULL, NULL, 2, NULL, 12921, '2019-06-12 10:00:27', '2019-06-12', NULL, '2019-06-12', NULL, '2019-08-05 09:32:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -44.74000000, 0.00000000, 0.00000000, 0.00000000, -223.67000000, -268.41000000, 2, 5, NULL, 5, NULL, 1110, NULL, NULL, NULL, 0, 0, '2019-06-12', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -223.67000000, -44.74000000, -268.41000000, NULL, 'facture/AV1906-0002/AV1906-0002.pdf', NULL, NULL),
(1134, 'FA1906-0006', 1, NULL, NULL, NULL, 0, NULL, 12848, '2019-06-13 10:08:32', '2019-06-13', NULL, '2019-06-13', NULL, '2019-07-19 09:09:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 58.32000000, 0.00000000, 0.00000000, 0.00000000, 291.64000000, 349.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-07-31', NULL, 'Pi&eacute;ces d&eacute;tach&eacute;es pour compresseur BELAIR VEIM 20-073-716 de 2007&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 10 jours', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 291.64000000, 58.32000000, 349.96000000, NULL, 'facture/FA1906-0006/FA1906-0006.pdf', NULL, NULL),
(1135, 'FA1906-0007', 1, NULL, NULL, NULL, 0, NULL, 12683, '2019-06-13 10:31:02', '2019-06-10', NULL, '2019-06-13', NULL, '2020-08-19 09:26:34', 0, 0.00000000, NULL, NULL, 0, 'badcustomer', NULL, 1157.93000000, 0.00000000, 0.00000000, 0.00000000, 5789.66000000, 6947.59000000, 3, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 11, 0, '2019-06-20', NULL, 'Modification cuves &agrave; votre demande.', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5789.66000000, 1157.93000000, 6947.59000000, NULL, 'facture/FA1906-0007/FA1906-0007.pdf', NULL, NULL),
(1136, 'FA1906-0008', 1, NULL, NULL, NULL, 0, NULL, 2355, '2019-06-13 10:39:26', '2019-06-13', NULL, '2019-06-13', NULL, '2019-09-18 07:46:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 99.00000000, 0.00000000, 0.00000000, 0.00000000, 495.00000000, 594.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Compresseur &agrave; piston COMPAIR - GARANTIE TOTALE 2 ANS<br />\r\nD&eacute;bit 18 m3/h en 3Ch<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE ATELIER<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 495.00000000, 99.00000000, 594.00000000, NULL, 'facture/FA1906-0008/FA1906-0008.pdf', NULL, NULL),
(1137, 'FA1906-0009', 1, NULL, NULL, NULL, 0, NULL, 2765, '2019-06-13 14:25:51', '2019-06-13', NULL, '2019-06-13', NULL, '2019-08-20 07:09:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 20.40000000, 0.00000000, 0.00000000, 0.00000000, 102.00000000, 122.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-07-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 102.00000000, 20.40000000, 122.40000000, NULL, 'facture/FA1906-0009/FA1906-0009.pdf', NULL, NULL),
(1138, 'FA1906-0010', 1, NULL, NULL, NULL, 0, NULL, 2407, '2019-06-13 14:30:01', '2019-06-13', NULL, '2019-06-13', NULL, '2019-09-09 06:49:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 419.70000000, 0.00000000, 0.00000000, 0.00000000, 2098.50000000, 2518.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'L29rs contrat liss&eacute;<br />\r\n<br />\r\nCommande N&deg;910979461-0-10760', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2098.50000000, 419.70000000, 2518.20000000, NULL, 'facture/FA1906-0010/FA1906-0010.pdf', NULL, NULL),
(1139, 'FA1906-0011', 1, NULL, NULL, NULL, 0, NULL, 1979, '2019-06-13 14:50:37', '2019-06-13', NULL, '2019-06-13', NULL, '2019-08-05 08:02:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 110.84000000, 0.00000000, 0.00000000, 0.00000000, 554.22000000, 665.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Compresseur &agrave; piston COMPAIR- Garantie 2 ans&nbsp;<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 554.22000000, 110.84000000, 665.06000000, NULL, 'facture/FA1906-0011/FA1906-0011.pdf', NULL, NULL),
(1140, 'AC1906-0002', 1, NULL, NULL, NULL, 3, NULL, 2355, '2019-06-19 10:53:33', '2019-07-01', NULL, '2019-06-28', NULL, '2019-07-09 08:07:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 288.00000000, 0.00000000, 0.00000000, 0.00000000, 1440.00000000, 1728.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2019-07-02', NULL, 'Reglement : 20 % &agrave; la commande - solde 15/09/2019<br />\r\nLocal air comprim&eacute; hors &eacute;lectricit&eacute;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1440.00000000, 288.00000000, 1728.00000000, NULL, 'facture/AC1906-0002/AC1906-0002.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1141, 'FA1906-0012', 1, NULL, NULL, NULL, 0, NULL, 12920, '2019-06-20 09:40:38', '2019-06-20', NULL, '2019-06-20', NULL, '2019-07-02 14:41:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 107.76000000, 0.00000000, 0.00000000, 0.00000000, 538.83000000, 646.59000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-07-31', NULL, 'Maintenance pour compresseur Silpac1210Y N° 8171930AVo057 LOt 096146 de 1999 et remplacement pressostat<br />\r\n<br />\r\nBL N°6 du 18/06/2019<br />\r\n<br />\r\nBon de commande N° LP726/19', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 538.83000000, 107.76000000, 646.59000000, NULL, 'facture/FA1906-0012/FA1906-0012.pdf', NULL, NULL),
(1142, 'FA1906-0013', 1, NULL, NULL, NULL, 0, NULL, 1988, '2019-06-24 10:14:12', '2019-06-24', NULL, '2019-06-24', NULL, '2019-09-09 06:52:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 145.57000000, 0.00000000, 0.00000000, 0.00000000, 727.85000000, 873.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Maintenance L55RS N&deg; CD10011035001 &agrave; 37824 HRS<br />\r\n<br />\r\nBL N&deg;4 du 17/06/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 727.85000000, 145.57000000, 873.42000000, NULL, 'facture/FA1906-0013/FA1906-0013.pdf', NULL, NULL),
(1143, 'FA1906-0014', 1, NULL, NULL, NULL, 0, NULL, 1990, '2019-06-24 10:19:47', '2019-06-24', NULL, '2019-06-24', NULL, '2019-08-05 09:11:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 421.94000000, 0.00000000, 0.00000000, 0.00000000, 2109.78000000, 2531.72000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Maintenances de vos 3 compresseurs :<br />\r\nSPRINT030 N° 149563/101 à 20003 HRS - BL N° 33 du 03/06/2019<br />\r\nL30 N° 349023/15/92 à 37400 HRS - NL N° 34 du 03/06/2019<br />\r\nSPRINT030 N° 149563/102 à 20053 HRS BL N° 32 du 03/06/2019<br />\r\n<br />\r\nRemplacement cartouches de vos filtres reseaux <br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2109.78000000, 421.94000000, 2531.72000000, NULL, 'facture/FA1906-0014/FA1906-0014.pdf', NULL, NULL),
(1144, 'FA1906-0015', 1, NULL, NULL, NULL, 0, NULL, 2020, '2019-06-24 10:39:35', '2019-06-24', NULL, '2019-06-24', NULL, '2019-08-22 15:06:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 186.63000000, 0.00000000, 0.00000000, 0.00000000, 933.15000000, 1119.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Maintenance HV07 N&deg;V07-002671-0706&nbsp;<br />\r\nRemplacement cartouches des 2 filtres r&eacute;seaux Compair\r\n<p>Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc<br />\r\n<br />\r\nBL N&deg; 3 du 14/06/2019</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 933.15000000, 186.63000000, 1119.78000000, NULL, 'facture/FA1906-0015/FA1906-0015.pdf', NULL, NULL),
(1145, 'FA1906-0016', 1, NULL, NULL, 'kaeser la cote st andre', 0, NULL, 2054, '2019-06-24 10:52:32', '2019-06-24', NULL, '2019-06-24', NULL, '2019-08-05 08:01:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 366.27000000, 0.00000000, 0.00000000, 0.00000000, 1831.36000000, 2197.63000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Kaeser csd105 N&deg;2626 l&agrave; 9515 HRS<br />\r\n<br />\r\nBL N&deg;40 du 13/06/2019<br />\r\n<br />\r\nCommande N&deg; S972 1906 1008<br />\r\n<br />\r\nLivraison :<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nStation Semences &quot; Les Olagni&eacute;res&quot;<br />\r\n2825 Chemin de la voie ferr&eacute;e<br />\r\nZI Le Rival<br />\r\n38260 LA COTE SAINT ANDRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1831.36000000, 366.27000000, 2197.63000000, NULL, 'facture/FA1906-0016/FA1906-0016.pdf', NULL, NULL),
(1146, 'FA1906-0017', 1, NULL, NULL, NULL, 0, NULL, 2072, '2019-06-24 10:57:48', '2019-06-24', NULL, '2019-06-24', NULL, '2019-10-16 19:25:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.63000000, 0.00000000, 0.00000000, 0.00000000, 593.12000000, 711.75000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'maintenance compresseur L11 N&deg;100008027/0114 &agrave; 23200 HRS<br />\r\n<br />\r\nBL N&deg; 03 du 07/06/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 593.12000000, 118.63000000, 711.75000000, NULL, 'facture/FA1906-0017/FA1906-0017.pdf', NULL, NULL),
(1147, 'FA1906-0018', 1, NULL, NULL, NULL, 0, NULL, 2072, '2019-06-24 14:26:16', '2019-06-24', NULL, '2019-06-24', NULL, '2019-08-05 07:53:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 151.59000000, 0.00000000, 0.00000000, 0.00000000, 757.88000000, 909.47000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'remplacement r&eacute;gulation avec electrovanne sur compresseur L11<br />\r\n<br />\r\nBL N&deg; 24 du 22/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 757.88000000, 151.59000000, 909.47000000, NULL, 'facture/FA1906-0018/FA1906-0018.pdf', NULL, NULL),
(1148, 'FA1906-0019', 1, NULL, NULL, NULL, 0, NULL, 2054, '2019-06-24 14:57:15', '2019-06-24', NULL, '2019-06-24', NULL, '2019-08-05 08:01:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 346.49000000, 0.00000000, 0.00000000, 0.00000000, 1732.44000000, 2078.93000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Maintenance L26RS N°CD10029231001 à 2631 HRS<br />\r\n<br />\r\nCommande N° S98119061007<br />\r\n<br />\r\nSite d\'intervention:<br />\r\nSces Blé 1<br />\r\nChemin du Pouloux<br />\r\n38270 BEAUREPAIRE<br />\r\n<br />\r\nBL N° 49 du 20/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1732.44000000, 346.49000000, 2078.93000000, NULL, 'facture/FA1906-0019/FA1906-0019.pdf', NULL, NULL),
(1149, 'FA1906-0020', 1, NULL, NULL, NULL, 0, NULL, 2142, '2019-06-25 10:14:26', '2019-06-25', NULL, '2019-06-25', NULL, '2019-08-05 08:00:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.57000000, 0.00000000, 0.00000000, 0.00000000, 502.83000000, 603.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Maintenance L22SR N&deg;CD10003983002 &agrave; 17846 HRS<br />\r\nBL N&deg;&nbsp; 37 du 07/06/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 502.83000000, 100.57000000, 603.40000000, NULL, 'facture/FA1906-0020/FA1906-0020.pdf', NULL, NULL),
(1150, 'FA1906-0022', 1, NULL, NULL, NULL, 0, NULL, 2123, '2019-06-25 10:54:15', '2019-06-25', NULL, '2019-06-25', NULL, '2019-08-19 07:40:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 550.59000000, 0.00000000, 0.00000000, 0.00000000, 2752.92000000, 3303.51000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Maintenance L29RS N&deg; CD10032874001 &agrave; 8316 HRS<br />\r\n<br />\r\nBL N&deg; 36 du 06/06/2019<br />\r\n<br />\r\nMaintenance owamat 12 et remplcament cartouche filtre r&eacute;seau<br />\r\n<br />\r\nCommande N&deg; 509994', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2752.92000000, 550.59000000, 3303.51000000, NULL, 'facture/FA1906-0022/FA1906-0022.pdf', NULL, NULL),
(1151, 'FA1906-0023', 1, NULL, NULL, NULL, 0, NULL, 2122, '2019-06-25 11:05:41', '2019-06-25', NULL, '2019-06-25', NULL, '2019-08-20 07:09:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 662.06000000, 0.00000000, 0.00000000, 0.00000000, 3310.28000000, 3972.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-07-31', NULL, 'Maintenance L75RS N&deg; CD10018699001 &agrave; 21 150 HRS<br />\r\nMaintenance seprateur de condensats OWAMAT 15<br />\r\nRemplacement cartouche filtre r&eacute;seau<br />\r\n<br />\r\nBL N&deg; 35 du 06/06/2019<br />\r\n<br />\r\nCommande N&deg;39715', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3310.28000000, 662.06000000, 3972.34000000, NULL, 'facture/FA1906-0023/FA1906-0023.pdf', NULL, NULL),
(1152, 'FA1906-0024', 1, NULL, NULL, NULL, 0, NULL, 2203, '2019-06-25 14:56:35', '2019-06-25', NULL, '2019-06-25', NULL, '2019-08-05 08:22:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 176.51000000, 0.00000000, 0.00000000, 0.00000000, 882.55000000, 1059.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Mise en pret d&#39;un compresseur &agrave; vis huile alimentaire Rollair 50 .( 37 KW )&nbsp;<br />\r\n<br />\r\nHors &eacute;l&eacute;ctricit&eacute; &agrave; votre charge&nbsp;<br />\r\n<br />\r\nLivraison Lundi 27 mai ap&eacute;s midi&nbsp;<br />\r\n<br />\r\n&nbsp;Intervention de d&eacute;pannage du 24/05/2019 &amp; 23/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 882.55000000, 176.51000000, 1059.06000000, NULL, 'facture/FA1906-0024/FA1906-0024.pdf', NULL, NULL),
(1153, 'FA1906-0025', 1, NULL, NULL, NULL, 0, NULL, 2122, '2019-06-25 15:28:23', '2019-06-25', NULL, '2019-06-25', NULL, '2019-08-20 07:09:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.11000000, 0.00000000, 0.00000000, 0.00000000, 325.54000000, 390.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-07-31', NULL, 'Maintenance adoucisseur&nbsp;<br />\r\n<br />\r\nCommande 39482', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 325.54000000, 65.11000000, 390.65000000, NULL, 'facture/FA1906-0025/FA1906-0025.pdf', NULL, NULL),
(1154, 'FA1906-0026', 1, NULL, NULL, NULL, 0, NULL, 2101, '2019-06-26 11:58:16', '2019-06-26', NULL, '2019-06-26', NULL, '2019-07-02 14:40:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 328.49000000, 0.00000000, 0.00000000, 0.00000000, 1642.47000000, 1970.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-07-31', NULL, 'Maintenance l18RS &agrave; 8570 HRS<br />\r\nMaintenance owamat 10<br />\r\n<br />\r\nBL N&deg;48 du 17/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1642.47000000, 328.49000000, 1970.96000000, NULL, 'facture/FA1906-0026/FA1906-0026.pdf', NULL, NULL),
(1155, 'FA1906-0027', 1, NULL, NULL, NULL, 0, NULL, 12581, '2019-06-26 14:28:10', '2019-06-26', NULL, '2019-06-26', NULL, '2019-08-05 08:16:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 145.84000000, 0.00000000, 0.00000000, 0.00000000, 729.22000000, 875.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-07-31', NULL, 'Intervention sur compresseur GA15FF : probleme sur contacteur<br />\r\n<br />\r\nBL N&deg;09 du 21/06/2019<br />\r\n<br />\r\nCommande N&deg;01924', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 729.22000000, 145.84000000, 875.06000000, NULL, 'facture/FA1906-0027/FA1906-0027.pdf', NULL, NULL),
(1156, 'AC1906-0003', 1, NULL, NULL, NULL, 3, NULL, 11320, '2019-06-26 16:22:57', '2019-06-26', NULL, '2019-06-26', NULL, '2019-06-28 09:17:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 267.00000000, 0.00000000, 0.00000000, 0.00000000, 1335.00000000, 1602.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-06-27', NULL, 'Local Air comprim&eacute; RENNER - Garantie 2 ans Pi&eacute;ces et main d&#39;oeuvre<br />\r\n<br />\r\nAcompte 30 %', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1335.00000000, 267.00000000, 1602.00000000, NULL, 'facture/AC1906-0003/AC1906-0003.pdf', NULL, NULL),
(1157, 'FA1906-0028', 1, NULL, NULL, NULL, 0, NULL, 2054, '2019-06-27 09:25:24', '2019-06-27', NULL, '2019-06-27', NULL, '2019-08-05 08:01:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 342.45000000, 0.00000000, 0.00000000, 0.00000000, 1712.25000000, 2054.70000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'maintenance compresseur L110rs N&deg; CD10017043001 &agrave; 19156HRS<br />\r\n<br />\r\nBL N&deg; 43 du 24/06/2019&nbsp;<br />\r\n<br />\r\nCommande N&deg; S972 19061017<br />\r\n<br />\r\nSite d&#39;intervention :<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nLes Olagnieres<br />\r\nLA COTE SILO<br />\r\n2460 CHemin de la voie F&eacute;r&eacute;e<br />\r\n38260 LA COTE SAINT ANDRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1712.25000000, 342.45000000, 2054.70000000, NULL, 'facture/FA1906-0028/FA1906-0028.pdf', NULL, NULL),
(1158, 'FA1906-0029', 1, NULL, NULL, NULL, 0, NULL, 2054, '2019-06-27 09:48:12', '2019-06-27', NULL, '2019-06-27', NULL, '2019-08-05 08:01:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 236.86000000, 0.00000000, 0.00000000, 0.00000000, 1184.31000000, 1421.17000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'L11 N&deg; BA35366001 &agrave; 3576 HRS - Maintenance seprateur de condensats Owamat 10 et remplcament cartouche filtre reseau<br />\r\nBL N&deg;44 du 24/06/2019<br />\r\n<br />\r\nCommande N&deg; S97219061018<br />\r\n<br />\r\nSite d&#39;intervention :<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nSite de Semences Les Olagni&eacute;res<br />\r\n2825 Chemin de la voie f&eacute;r&eacute;e<br />\r\n38260 LA COTE ST ANDRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1184.31000000, 236.86000000, 1421.17000000, NULL, 'facture/FA1906-0029/FA1906-0029.pdf', NULL, NULL),
(1159, 'FA1906-0030', 1, NULL, NULL, NULL, 0, NULL, 2157, '2019-06-27 11:27:51', '2019-06-27', NULL, '2019-06-27', NULL, '2019-08-05 08:18:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.77000000, 0.00000000, 0.00000000, 0.00000000, 563.86000000, 676.63000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Maintenance compresseur&nbsp; RS PRO&nbsp; 7.5 N&deg;816061<br />\r\n<br />\r\nBL N&deg;10 du 21/06/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 563.86000000, 112.77000000, 676.63000000, NULL, 'facture/FA1906-0030/FA1906-0030.pdf', NULL, NULL),
(1160, 'FA1906-0031', 1, NULL, NULL, NULL, 0, NULL, 2169, '2019-06-28 09:33:13', '2019-06-28', NULL, '2019-06-28', NULL, '2019-08-05 08:21:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 194.65000000, 0.00000000, 0.00000000, 0.00000000, 973.28000000, 1167.93000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'BL N&deg;49 du 29/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 973.28000000, 194.65000000, 1167.93000000, NULL, 'facture/FA1906-0031/FA1906-0031.pdf', NULL, NULL),
(1161, 'FA1906-0032', 1, NULL, NULL, NULL, 0, NULL, 2169, '2019-06-28 09:59:42', '2019-06-28', NULL, '2019-06-28', NULL, '2019-08-05 08:21:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 44.22000000, 0.00000000, 0.00000000, 0.00000000, 221.08000000, 265.30000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'BL N&deg;49 du 29/05/2019<br />\r\nPartie Hors devis<br />\r\nChangement t&eacute;l&eacute;rupteur<br />\r\nfermeture armoire electrique par un cadenas<br />\r\nverification portail, r&eacute;glage et remise en fonction<br />\r\ngoulotte bureau passe fil', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 221.08000000, 44.22000000, 265.30000000, NULL, 'facture/FA1906-0032/FA1906-0032.pdf', NULL, NULL),
(1162, 'FA1906-0033', 1, NULL, NULL, NULL, 0, NULL, 2169, '2019-06-28 10:58:18', '2019-06-28', NULL, '2019-06-28', NULL, '2019-08-05 08:21:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 174.96000000, 0.00000000, 0.00000000, 0.00000000, 874.80000000, 1049.76000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Pose de 12 panneaux leds suivant commande par mail de Mr Sansonnet du 06/05/2019( 22h59).<br />\r\n<br />\r\nMain d\'oeuvre et deplacement offerts - travaux réalisés avec autres chantiers sur place', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 874.80000000, 174.96000000, 1049.76000000, NULL, 'facture/FA1906-0033/FA1906-0033.pdf', NULL, NULL),
(1163, 'FA1906-0034', 1, NULL, NULL, NULL, 0, NULL, 10563, '2019-06-28 14:29:28', '2019-06-28', NULL, '2019-06-28', NULL, '2019-08-12 08:53:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 129.27000000, 0.00000000, 0.00000000, 0.00000000, 646.35000000, 775.62000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-07-31', NULL, 'Maintenance Compresseur Power System PS407 ( 8bars) n&deg; de s&eacute;rie 240&nbsp;407 ann&eacute;e 2004 remplacement filtre &agrave; air , filtre &agrave; huile et separateur , verifications et controle, remise &agrave; niveau d&#39;huile .\r\n<p>&nbsp;cuve de 1000 Litres : verification du bon fonctionnement de la purge</p>\r\n\r\n<p>ass&eacute;cheur Model LB 4.13 n&deg; de s&eacute;rie Q01C2059 ann&eacute;e 2004 : verification des connections et du bon fonctionnement</p>\r\n<br />\r\n- Contr&ocirc;les et v&eacute;rifications &nbsp;pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es&nbsp;<br />\r\n&nbsp;-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n<br />\r\nBL N&deg;7 du 18/06/2019<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 646.35000000, 129.27000000, 775.62000000, NULL, 'facture/FA1906-0034/FA1906-0034.pdf', NULL, NULL),
(1164, 'FA1906-0035', 1, NULL, NULL, NULL, 0, NULL, 2206, '2019-06-28 14:51:10', '2019-06-28', NULL, '2019-06-28', NULL, '2019-08-19 07:40:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.53000000, 0.00000000, 0.00000000, 0.00000000, 592.64000000, 711.17000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Maintenance HV05 :N&deg; V05-001184-0808 &agrave; 19821 HRS<br />\r\n<br />\r\nBL N&deg;02 du 07/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 592.64000000, 118.53000000, 711.17000000, NULL, 'facture/FA1906-0035/FA1906-0035.pdf', NULL, NULL),
(1165, 'FA1906-0036', 1, NULL, NULL, NULL, 0, NULL, 12925, '2019-06-28 15:51:31', '2019-06-28', NULL, '2019-06-28', NULL, '2019-07-02 14:44:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 10.00000000, 0.00000000, 0.00000000, 0.00000000, 50.00000000, 60.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-07-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 50.00000000, 10.00000000, 60.00000000, NULL, 'facture/FA1906-0036/FA1906-0036.pdf', NULL, NULL),
(1166, 'FA1906-0037', 1, NULL, NULL, NULL, 0, NULL, 2215, '2019-07-01 10:24:06', '2019-06-28', NULL, '2019-07-01', NULL, '2019-08-19 09:36:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 176.90000000, 0.00000000, 0.00000000, 0.00000000, 884.51000000, 1061.41000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Maintenance L11RS N° CD10021552001 à 24142 HRS HRS<br />\r\n<br />\r\n<br />\r\nBL N° 01 du 06/06/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 884.51000000, 176.90000000, 1061.41000000, NULL, 'facture/FA1906-0037/FA1906-0037.pdf', NULL, NULL),
(1167, 'FA1906-0038', 1, NULL, NULL, NULL, 0, NULL, 2263, '2019-07-01 10:53:42', '2019-06-28', NULL, '2019-07-01', NULL, '2019-11-12 08:40:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 79.80000000, 0.00000000, 0.00000000, 0.00000000, 399.02000000, 478.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Maintenance compresseur L11 ( en atelier ) N&deg; 349027/0894 &agrave; 13700 HRS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 399.02000000, 79.80000000, 478.82000000, NULL, 'facture/FA1906-0038/FA1906-0038.pdf', NULL, NULL),
(1168, 'FA1907-0001', 1, NULL, NULL, NULL, 0, NULL, 2300, '2019-07-01 11:09:10', '2019-07-01', NULL, '2019-07-01', NULL, '2019-09-25 06:44:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 76.51000000, 0.00000000, 0.00000000, 0.00000000, 382.52000000, 459.03000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Probleme temperature sur compresseur L45RS <br />\r\n<br />\r\nBL N°29 du 28/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 382.52000000, 76.51000000, 459.03000000, NULL, 'facture/FA1907-0001/FA1907-0001.pdf', NULL, NULL),
(1169, 'FA1907-0002', 1, NULL, NULL, NULL, 0, NULL, 2215, '2019-07-01 11:11:41', '2019-07-01', NULL, '2019-07-01', NULL, '2019-07-05 06:58:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2019-07-02', NULL, 'Mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, 'facture/FA1907-0002/FA1907-0002.pdf', NULL, NULL),
(1170, 'FA1907-0003', 1, NULL, NULL, NULL, 0, NULL, 2234, '2019-07-01 11:16:31', '2019-07-01', NULL, '2019-07-01', NULL, '2019-08-05 08:02:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA1907-0003/FA1907-0003.pdf', NULL, NULL),
(1171, 'FA1907-0004', 1, NULL, NULL, NULL, 0, NULL, 6086, '2019-07-01 11:18:47', '2019-07-01', NULL, '2019-07-01', NULL, '2019-07-01 09:19:09', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 283.80000000, 0.00000000, 0.00000000, 0.00000000, 1419.00000000, 1702.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-07-02', NULL, 'Contrat de maintenancepour partie air comprim&eacute; et azote N&deg;2019050201<br />\r\nSign&eacute; le 7 mai 2019 pour une dur&eacute;e de 5 ans .<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1419.00000000, 283.80000000, 1702.80000000, NULL, 'facture/FA1907-0004/FA1907-0004.pdf', NULL, NULL),
(1172, 'FA1906-0039', 1, NULL, NULL, NULL, 0, NULL, 12921, '2019-07-01 11:30:21', '2019-06-28', NULL, '2019-07-01', NULL, '2019-08-05 08:17:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 295.10000000, 0.00000000, 0.00000000, 0.00000000, 1475.50000000, 1770.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-07-31', NULL, 'Fourniture et installation secheur ED225<br />\r\n<br />\r\ncommande N&deg;171906002', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1475.50000000, 295.10000000, 1770.60000000, NULL, 'facture/FA1906-0039/FA1906-0039.pdf', NULL, NULL),
(1173, 'FA1906-0040', 1, NULL, NULL, NULL, 0, NULL, 2318, '2019-07-01 11:57:46', '2019-06-28', NULL, '2019-07-01', NULL, '2019-08-23 07:44:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 604.61000000, 0.00000000, 0.00000000, 0.00000000, 3022.91000000, 3627.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Maintenance L45 N&deg; CD1002736001 &agrave; 3337 HRS<br />\r\n+ L15 &agrave; 43900 HRS<br />\r\n+ secheur par adsotpion HL0080 et filtres reseaux&nbsp;<br />\r\n<br />\r\nsuivant contrat', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3022.91000000, 604.61000000, 3627.52000000, NULL, 'facture/FA1906-0040/FA1906-0040.pdf', NULL, NULL),
(1174, 'FA1906-0041', 1, NULL, NULL, NULL, 0, NULL, 2407, '2019-07-01 15:12:23', '2019-06-24', NULL, '2019-07-01', NULL, '2019-08-27 09:24:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 264.78000000, 0.00000000, 0.00000000, 0.00000000, 1323.87000000, 1588.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Maintenance compresseur L37 13 BARs de 2012 N&deg; CD10009047001 -&nbsp;<br />\r\nPrix pour 1 an sur l&#39;ann&eacute;e 2019 .<br />\r\n<br />\r\nCommande N&deg;911078719-0-10760<br />\r\n<br />\r\nLivraison :&nbsp;<br />\r\nSite Crouzet automatisme<br />\r\n10 rue du docteur Henri abel<br />\r\n26000 VALENCE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1323.87000000, 264.78000000, 1588.65000000, NULL, 'facture/FA1906-0041/FA1906-0041.pdf', NULL, NULL),
(1175, 'FA1906-0042', 1, NULL, NULL, NULL, 0, NULL, 2399, '2019-07-01 15:43:11', '2019-06-28', NULL, '2019-07-01', NULL, '2019-09-24 07:42:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 115.27000000, 0.00000000, 0.00000000, 0.00000000, 576.37000000, 691.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Maintenance compresseur L11RS&nbsp; N&deg;ba34398001 &agrave; 14830 HRS et remplacement sonde de temperature<br />\r\nMaintenance seprateur de condensats OWAMAT 10 :<br />\r\n<br />\r\nBL N&deg;45 du 23/03/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 576.37000000, 115.27000000, 691.64000000, NULL, 'facture/FA1906-0042/FA1906-0042.pdf', NULL, NULL),
(1176, 'FA1907-0005', 1, NULL, NULL, NULL, 0, NULL, 2022, '2019-07-02 16:07:23', '2019-07-02', NULL, '2019-07-02', NULL, '2019-08-19 07:42:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 52.00000000, 0.00000000, 0.00000000, 0.00000000, 260.00000000, 312.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'D&eacute;pannage BL N&deg; 5 du 17/06/2019<br />\r\n<br />\r\nAugmentataion pressiond &#39;air du Compresseur ROLLAIR<br />\r\nD&eacute;tection de panne sur s&eacute;cheur CTA<br />\r\n<br />\r\nCommande N&deg; 940333569-0-10511', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 260.00000000, 52.00000000, 312.00000000, NULL, 'facture/FA1907-0005/FA1907-0005.pdf', NULL, NULL),
(1177, 'FA1906-0044', 1, NULL, NULL, NULL, 0, NULL, 2406, '2019-07-03 09:29:35', '2019-06-28', NULL, '2019-07-03', NULL, '2019-08-05 08:20:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 86.40000000, 0.00000000, 0.00000000, 0.00000000, 432.02000000, 518.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Remplacement des 2 electrovannes de d&eacute;charge sur secheur CTA<br />\r\n<br />\r\nBL N&deg; 41 du 14/06/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 432.02000000, 86.40000000, 518.42000000, NULL, 'facture/FA1906-0044/FA1906-0044.pdf', NULL, NULL),
(1178, 'FA1906-0045', 1, NULL, NULL, NULL, 0, NULL, 2391, '2019-07-03 09:45:19', '2019-06-28', NULL, '2019-07-03', NULL, '2020-03-09 10:41:09', 0, 0.00000000, NULL, NULL, 0, 'abandon', NULL, 55.76000000, 0.00000000, 0.00000000, 0.00000000, 278.82000000, 334.58000000, 3, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Intervention sur compresseur L15 10B -<br />\r\nBL N&deg;47 du 17/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 278.82000000, 55.76000000, 334.58000000, NULL, 'facture/FA1906-0045/FA1906-0045.pdf', NULL, NULL),
(1179, 'FA1906-0046', 1, NULL, NULL, NULL, 0, NULL, 2391, '2019-07-03 09:55:24', '2019-06-28', NULL, '2019-07-03', NULL, '2020-03-09 10:41:34', 0, 0.00000000, NULL, NULL, 0, 'abandon', NULL, 118.67000000, 0.00000000, 0.00000000, 0.00000000, 593.37000000, 712.04000000, 3, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Mise en place et raccordement un compresseur de pret gratuit SULLAIR BDS2 * sous reserve de nous confier la r&eacute;paration de votre machine d&eacute;fectueuse ou la commande d&#39;une machine neuve.<br />\r\n<br />\r\nBL N&deg;21 du 21&amp;22/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 593.37000000, 118.67000000, 712.04000000, NULL, 'facture/FA1906-0046/FA1906-0046.pdf', NULL, NULL),
(1180, 'FA1907-0006', 1, NULL, NULL, NULL, 0, NULL, 6101, '2019-07-03 16:18:42', '2019-07-03', NULL, '2019-07-03', NULL, '2019-08-30 08:42:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 91.80000000, 0.00000000, 0.00000000, 0.00000000, 459.00000000, 550.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Aspirateur ICA', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 459.00000000, 91.80000000, 550.80000000, NULL, 'facture/FA1907-0006/FA1907-0006.pdf', NULL, NULL),
(1181, 'FA1906-0047', 1, NULL, NULL, NULL, 0, NULL, 2053, '2019-07-04 09:51:09', '2019-06-28', NULL, '2019-07-04', NULL, '2019-09-18 07:52:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 290.26000000, 0.00000000, 0.00000000, 0.00000000, 1451.30000000, 1741.56000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Maintenance L11 N&deg; BA46497001 &agrave; 1885 HRS en huile alimentaire<br />\r\nMaintenance 3 cartouches filtres reseaux<br />\r\nMaintenance separateur de condensats- suivant contrat liss&eacute;<br />\r\n<br />\r\nBL N&deg; 8 du 27/06/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1451.30000000, 290.26000000, 1741.56000000, NULL, 'facture/FA1906-0047/FA1906-0047.pdf', NULL, NULL),
(1182, 'FA1906-0048', 1, NULL, NULL, NULL, 0, NULL, 6101, '2019-07-04 10:06:57', '2019-06-28', NULL, '2019-07-04', NULL, '2019-08-07 07:09:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 126.88000000, 0.00000000, 0.00000000, 0.00000000, 634.42000000, 761.30000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Maintenance compresseur ABAC SMART 20 &agrave; 27527 HRS<br />\r\n<br />\r\nBL N&deg;7 du 27/06/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 634.42000000, 126.88000000, 761.30000000, NULL, 'facture/FA1906-0048/FA1906-0048.pdf', NULL, NULL),
(1183, 'FA1906-0049', 1, NULL, NULL, NULL, 0, NULL, 2103, '2019-07-04 10:15:34', '2019-06-28', NULL, '2019-07-04', NULL, '2019-09-09 06:51:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 66.29000000, 0.00000000, 0.00000000, 0.00000000, 331.44000000, 397.73000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Intervention sur compresseur L45RS - defaut de temperature <br />\r\n<br />\r\nBL N°5 du 26/06/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 331.44000000, 66.29000000, 397.73000000, NULL, 'facture/FA1906-0049/FA1906-0049.pdf', NULL, NULL),
(1184, 'FA1906-0050', 1, NULL, NULL, NULL, 0, NULL, 2101, '2019-07-04 10:57:30', '2019-06-28', NULL, '2019-07-04', NULL, '2019-07-22 10:15:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.30000000, 0.00000000, 0.00000000, 0.00000000, 326.50000000, 391.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-07-31', NULL, 'Intervention sur reseau d&#39;air girair 40<br />\r\n<br />\r\nBL N&deg;6 du 26/06/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 326.50000000, 65.30000000, 391.80000000, NULL, 'facture/FA1906-0050/FA1906-0050.pdf', NULL, NULL),
(1185, 'FA1906-0051', 1, NULL, NULL, NULL, 0, NULL, 2263, '2019-07-04 14:44:27', '2019-06-28', NULL, '2019-07-04', NULL, '2019-08-07 07:10:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 61.87000000, 0.00000000, 0.00000000, 0.00000000, 309.35000000, 371.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Intervention sur climatisation bureau - changement pompe de relevage des condensats&nbsp;<br />\r\n<br />\r\nBL N&deg;09 du 27/06/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.35000000, 61.87000000, 371.22000000, NULL, 'facture/FA1906-0051/FA1906-0051.pdf', NULL, NULL),
(1186, 'FA1906-0052', 1, NULL, NULL, '2287359-325-G9J-BKP', 0, NULL, 2350, '2019-07-04 14:58:47', '2019-06-28', NULL, '2019-07-04', NULL, '2019-09-30 10:04:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 358.73000000, 0.00000000, 0.00000000, 0.00000000, 1793.65000000, 2152.38000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-07-31', NULL, 'Maintenance Compresseurs L45RS N°CD10015094001 à 27826 HRS et filtres reseaux et remplacement kit separateur de condensats OWAMAT 14<br />\r\nBL N°11 du 28/06/2019<br />\r\n<br />\r\ncommande N°2287359-325-G9J-BKP<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1793.65000000, 358.73000000, 2152.38000000, NULL, 'facture/FA1906-0052/FA1906-0052.pdf', NULL, NULL),
(1187, 'FA1907-0007', 1, NULL, NULL, NULL, 0, NULL, 2354, '2019-07-04 15:36:11', '2019-07-04', NULL, '2019-07-04', NULL, '2019-09-16 09:03:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 146.63000000, 0.00000000, 0.00000000, 0.00000000, 733.13000000, 879.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'maintenance L15 N&deg;100014096-0169 &agrave; 23529 HRS &amp; separateur de condensats owamat 11<br />\r\n<br />\r\nBL N&deg;47 du 03/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 733.13000000, 146.63000000, 879.76000000, NULL, 'facture/FA1907-0007/FA1907-0007.pdf', NULL, NULL),
(1188, 'FA1907-0008', 1, NULL, NULL, NULL, 0, NULL, 2215, '2019-07-04 15:45:09', '2019-07-04', NULL, '2019-07-04', NULL, '2019-09-13 07:54:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 137.26000000, 0.00000000, 0.00000000, 0.00000000, 686.30000000, 823.56000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Depannage s&eacute;cheur ED225 N&deg;15M018256&nbsp;<br />\r\nremplacement ventilateur et purgeur sur filtre reseau<br />\r\n<br />\r\nBL N&deg;46 du 02/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 686.30000000, 137.26000000, 823.56000000, NULL, 'facture/FA1907-0008/FA1907-0008.pdf', NULL, NULL),
(1189, 'FA1907-0009', 1, NULL, NULL, NULL, 0, NULL, 2318, '2019-07-04 15:55:28', '2019-07-04', NULL, '2019-07-04', NULL, '2019-09-12 11:12:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 34.08000000, 0.00000000, 0.00000000, 0.00000000, 170.36000000, 204.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'intervention sur compresseur L15 N&deg;349015/3740<br />\r\nBL N&deg;48 du 03/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 170.36000000, 34.08000000, 204.44000000, NULL, 'facture/FA1907-0009/FA1907-0009.pdf', NULL, NULL),
(1190, 'AV1907-0001', 1, NULL, NULL, NULL, 2, NULL, 10660, '2019-07-05 14:43:52', '2019-07-05', NULL, '2019-07-05', NULL, '2019-09-05 14:05:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -17.84000000, 0.00000000, 0.00000000, 0.00000000, -89.20000000, -107.04000000, 2, 5, NULL, 5, NULL, 1113, NULL, NULL, NULL, 0, 0, '2019-07-05', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -89.20000000, -17.84000000, -107.04000000, NULL, 'facture/AV1907-0001/AV1907-0001.pdf', NULL, NULL),
(1191, 'FA1907-0010', 1, NULL, NULL, NULL, 0, NULL, 10660, '2019-07-05 14:52:08', '2019-07-05', NULL, '2019-07-05', NULL, '2019-09-13 07:52:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 47.81000000, 0.00000000, 0.00000000, 0.00000000, 239.05000000, 286.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-08-31', NULL, 'Ajustement commande :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 239.05000000, 47.81000000, 286.86000000, NULL, 'facture/FA1907-0010/FA1907-0010.pdf', NULL, NULL),
(1192, 'FA1907-0011', 1, NULL, NULL, NULL, 0, NULL, 2054, '2019-07-08 10:18:48', '2019-07-08', NULL, '2019-07-08', NULL, '2019-09-05 12:08:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 55.20000000, 0.00000000, 0.00000000, 0.00000000, 276.00000000, 331.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Intervention sur compresseur SULLAIR WA3008 - probleme de mise &agrave; vide<br />\r\n<br />\r\nBL N&deg;45 du 27/06/2019<br />\r\n<br />\r\nCOMMANDE N&deg; C178 1907 3235 PM<br />\r\n<br />\r\nSite d&#39;intervention :<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nZA Centr&#39;ALpes<br />\r\nRue Louis Neel<br />\r\n38340 VOREPPE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 276.00000000, 55.20000000, 331.20000000, NULL, 'facture/FA1907-0011/FA1907-0011.pdf', NULL, NULL),
(1193, 'FA1907-0012', 1, NULL, NULL, NULL, 0, NULL, 2102, '2019-07-08 14:15:23', '2019-07-08', NULL, '2019-07-08', NULL, '2019-09-10 08:16:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 481.39000000, 0.00000000, 0.00000000, 0.00000000, 2406.94000000, 2888.33000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Remplacement Inter differentiels Local B1-B2-B3<br />\r\n<br />\r\nCommande N&deg;BC2019.01.008<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2406.94000000, 481.39000000, 2888.33000000, NULL, 'facture/FA1907-0012/FA1907-0012.pdf', NULL, NULL),
(1194, 'AV1907-0002', 1, NULL, NULL, NULL, 2, NULL, 2157, '2019-07-08 16:20:54', '2019-07-08', NULL, '2019-07-08', NULL, '2019-07-22 10:15:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -164.08000000, 0.00000000, 0.00000000, 0.00000000, -820.42000000, -984.50000000, 2, 5, NULL, 5, NULL, 667, NULL, NULL, NULL, 0, 2, '2019-07-08', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -820.42000000, -164.08000000, -984.50000000, NULL, 'facture/AV1907-0002/AV1907-0002.pdf', NULL, NULL),
(1195, 'FA1907-0013', 1, NULL, NULL, NULL, 0, NULL, 1940, '2019-07-09 09:03:40', '2019-07-09', NULL, '2019-07-09', NULL, '2019-10-18 19:21:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 566.94000000, 0.00000000, 0.00000000, 0.00000000, 2834.64000000, 3401.58000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Maintenance de votre compresseur L45RS N&deg; CD10023839001 &agrave; 19602 HRS<br />\r\nRemplacement cartouches filtres r&eacute;seaux&nbsp;<br />\r\nMaintenance s&eacute;parateur de condensats owamat14<br />\r\n<br />\r\nBL N&deg;17 du 06/07/2019<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2834.64000000, 566.94000000, 3401.58000000, NULL, 'facture/FA1907-0013/FA1907-0013.pdf', NULL, NULL),
(1196, 'FA1907-0014', 1, NULL, NULL, NULL, 0, NULL, 5450, '2019-07-09 09:13:01', '2019-07-09', NULL, '2019-07-09', NULL, '2019-09-23 07:22:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1121.40000000, 0.00000000, 0.00000000, 0.00000000, 5607.00000000, 6728.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-08-31', NULL, '<br />\r\nCommande de Mr&nbsp;<strong>Bernard DOLVECK </strong>&nbsp;-<br />\r\n<br />\r\nLivraison :&nbsp;370 Route de Marcollin, 38270 Beaurepaire<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5607.00000000, 1121.40000000, 6728.40000000, NULL, 'facture/FA1907-0014/FA1907-0014.pdf', NULL, NULL),
(1197, 'FA1907-0015', 1, NULL, NULL, NULL, 0, NULL, 12590, '2019-07-09 09:48:45', '2019-07-09', NULL, '2019-07-09', NULL, '2019-09-23 07:22:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 451.53000000, 0.00000000, 0.00000000, 0.00000000, 2257.69000000, 2709.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'maintenance compresseur suivant contrat liss&eacute; :RSF PRO 2-30 &agrave; 9180 HRS<br />\r\n<br />\r\nBL N&deg; 14 du 03/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2257.69000000, 451.53000000, 2709.22000000, NULL, 'facture/FA1907-0015/FA1907-0015.pdf', NULL, NULL),
(1198, 'FA1907-0016', 1, NULL, NULL, NULL, 0, NULL, 2407, '2019-07-10 08:57:25', '2019-07-10', NULL, '2019-07-10', NULL, '2019-09-09 06:49:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 34.36000000, 0.00000000, 0.00000000, 0.00000000, 171.80000000, 206.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Pi&eacute;ces d&eacute;tach&eacute;es pour s&eacute;cheur :<br />\r\n<br />\r\nCommande N&deg; 906439245-0-10760', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 171.80000000, 34.36000000, 206.16000000, NULL, 'facture/FA1907-0016/FA1907-0016.pdf', NULL, NULL),
(1201, 'AV1907-0003', 1, NULL, NULL, NULL, 2, NULL, 1983, '2019-07-23 09:41:07', '2019-07-23', NULL, '2019-07-23', NULL, '2019-08-07 07:08:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -12.20000000, 0.00000000, 0.00000000, 0.00000000, -61.00000000, -73.20000000, 2, 5, NULL, 5, NULL, 1095, NULL, NULL, NULL, 0, 2, '2019-07-23', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -61.00000000, -12.20000000, -73.20000000, NULL, 'facture/AV1907-0003/AV1907-0003.pdf', NULL, NULL),
(1202, 'FA1907-0017', 1, NULL, NULL, NULL, 0, NULL, 2391, '2019-07-23 15:45:32', '2019-07-23', NULL, '2019-07-23', NULL, '2020-03-09 10:41:53', 0, 0.00000000, NULL, NULL, 0, 'abandon', NULL, 400.00000000, 0.00000000, 0.00000000, 0.00000000, 2000.00000000, 2400.00000000, 3, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Location compresseur SULLAIR BDS22 ( date de mise en service 22/05/2019 ) à date de facture 23/07/2019.<br />\r\nComme indiqué sur le bon signé lors de la mise en service . Un avoir de cette facture sera effectué sous reserve de nous confier la reparation de votre machine déféctueuse ou la commande d\'une machine neuve .<br />\r\nPrix de 16KW à 37 KW : 250 HT € par semaine', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2000.00000000, 400.00000000, 2400.00000000, NULL, 'facture/FA1907-0017/FA1907-0017.pdf', NULL, NULL),
(1203, 'FA1907-0018', 1, NULL, NULL, NULL, 0, NULL, 2001, '2019-07-26 11:28:57', '2019-07-26', NULL, '2019-07-26', NULL, '2019-09-06 07:45:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 40.12000000, 0.00000000, 0.00000000, 0.00000000, 200.57000000, 240.69000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, '<p>KAESER SK19 19760-3&nbsp; N&deg; 01813383 de 1998&nbsp; :</p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2 nattes filtrantes&nbsp; 710 X 575&nbsp;&nbsp; ref BSA 6.1943.0</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1 S&eacute;parateur&nbsp;&nbsp; ref AIP S1P503</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2 cartouches air&nbsp;&nbsp;&nbsp; ref AIP A1F155</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1 cartouche huile&nbsp;&nbsp;&nbsp; ref AIP&nbsp; H1H112<br />\r\n<br />\r\n&nbsp;</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 200.57000000, 40.12000000, 240.69000000, NULL, 'facture/FA1907-0018/FA1907-0018.pdf', NULL, NULL),
(1204, 'FA1907-0019', 1, NULL, NULL, NULL, 0, NULL, 11435, '2019-07-29 11:00:37', '2019-07-29', NULL, '2019-07-29', NULL, '2019-10-01 08:26:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 494.96000000, 0.00000000, 0.00000000, 0.00000000, 2474.80000000, 2969.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'maintenance L30RS N&deg;cd10013952002<br />\r\n<br />\r\nRemplacement des 4 cartouches des filtres reseaux<br />\r\nMaintenance separateur de condensats<br />\r\n<br />\r\nBL N&deg; 21 du 25/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2474.80000000, 494.96000000, 2969.76000000, NULL, 'facture/FA1907-0019/FA1907-0019.pdf', NULL, NULL),
(1206, 'FA1907-0020', 1, NULL, NULL, NULL, 0, NULL, 1981, '2019-07-29 11:08:18', '2019-07-29', NULL, '2019-07-29', NULL, '2019-09-06 07:44:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.93000000, 0.00000000, 0.00000000, 0.00000000, 594.61000000, 713.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Maintenance compresseur RS PRO 7.5 N&deg;612032 &agrave; 7200 HRS<br />\r\n<br />\r\nBL N&deg;49 du 24/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 594.61000000, 118.93000000, 713.54000000, NULL, 'facture/FA1907-0020/FA1907-0020.pdf', NULL, NULL),
(1207, 'FA1907-0021', 1, NULL, NULL, NULL, 0, NULL, 2004, '2019-07-29 11:14:48', '2019-07-29', NULL, '2019-07-29', NULL, '2019-10-01 08:26:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 175.20000000, 0.00000000, 0.00000000, 0.00000000, 875.97000000, 1051.17000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Maintenance SCROLL Compresseur SLi 3.7KW N&deg;5260008 &agrave; 1369 HRS<br />\r\nRemplacement 3 catouches filtres reseaux<br />\r\nMaintenance separateur de condensats Owamat 10<br />\r\n<br />\r\nBL N&deg;22 du 25/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 875.97000000, 175.20000000, 1051.17000000, NULL, 'facture/FA1907-0021/FA1907-0021.pdf', NULL, NULL),
(1208, 'FA1907-0022', 1, NULL, NULL, NULL, 0, NULL, 2016, '2019-07-29 14:17:17', '2019-07-29', NULL, '2019-07-29', NULL, '2019-10-24 14:04:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 99.23000000, 0.00000000, 0.00000000, 0.00000000, 496.16000000, 595.39000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Maintenance&nbsp; compresseur L05 N&deg; BA33465001 &agrave; 5650 HRS<br />\r\n<br />\r\nBL N&deg;50 du 24/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 496.16000000, 99.23000000, 595.39000000, NULL, 'facture/FA1907-0022/FA1907-0022.pdf', NULL, NULL),
(1209, 'FA1907-0023', 1, NULL, NULL, 'CF013001', 0, NULL, 2032, '2019-07-29 14:33:19', '2019-07-29', NULL, '2019-07-29', NULL, '2019-10-18 19:22:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.14000000, 0.00000000, 0.00000000, 0.00000000, 110.72000000, 132.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, '1 bidon d&rsquo;huile pour compresseur (25l) Unil Opal VR46<br />\r\n<br />\r\nCommande CF013001', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 110.72000000, 22.14000000, 132.86000000, NULL, 'facture/FA1907-0023/FA1907-0023.pdf', NULL, NULL),
(1210, 'FA1907-0024', 1, NULL, NULL, NULL, 0, NULL, 2295, '2019-07-29 14:43:58', '2019-07-29', NULL, '2019-07-29', NULL, '2019-12-04 09:24:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 169.08000000, 0.00000000, 0.00000000, 0.00000000, 845.46000000, 1014.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Maintenance L30 &agrave; 30500 HRS<br />\r\n<br />\r\nBL N&deg;12 du 28/06/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 845.46000000, 169.08000000, 1014.54000000, NULL, 'facture/FA1907-0024/FA1907-0024.pdf', NULL, NULL),
(1211, 'FA1907-0025', 1, NULL, NULL, 'l15rs', 0, NULL, 2140, '2019-07-29 15:14:59', '2019-07-29', NULL, '2019-07-29', NULL, '2019-09-10 08:17:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 156.19000000, 0.00000000, 0.00000000, 0.00000000, 780.97000000, 937.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Maintenance L15RS N&deg;CD10024995001 &agrave; 18545 HRS suivant contrat liss&eacute;<br />\r\n<br />\r\nBL N&deg;15 du 19/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 780.97000000, 156.19000000, 937.16000000, NULL, 'facture/FA1907-0025/FA1907-0025.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1212, 'FA1907-0026', 1, NULL, NULL, NULL, 0, NULL, 2101, '2019-07-29 15:20:38', '2019-07-29', NULL, '2019-07-29', NULL, '2019-09-09 06:50:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 102.41000000, 0.00000000, 0.00000000, 0.00000000, 512.07000000, 614.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-08-31', NULL, 'maintenance RSDK PRO ECN 7.5 10BARS N&deg;640020&nbsp; &agrave; 3154 HRS<br />\r\n<br />\r\nBL N&deg;48 du 24/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 512.07000000, 102.41000000, 614.48000000, NULL, 'facture/FA1907-0026/FA1907-0026.pdf', NULL, NULL),
(1213, 'FA1907-0027', 1, NULL, NULL, NULL, 0, NULL, 2127, '2019-07-29 15:33:00', '2019-07-29', NULL, '2019-07-29', NULL, '2019-09-12 11:13:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 573.89000000, 0.00000000, 0.00000000, 0.00000000, 2869.48000000, 3443.37000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Maintenance du Compresseur L75SR&agrave; 60858 HRS<br />\r\nBL N&deg;50 du 10/07/2019<br />\r\n<br />\r\nCOmmande N&deg; CDA-FCA1907054', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2869.48000000, 573.89000000, 3443.37000000, NULL, 'facture/FA1907-0027/FA1907-0027.pdf', NULL, NULL),
(1214, 'FA1907-0028', 1, NULL, NULL, NULL, 0, NULL, 2162, '2019-07-29 15:55:16', '2019-07-29', NULL, '2019-07-29', NULL, '2019-09-02 07:34:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 278.30000000, 0.00000000, 0.00000000, 0.00000000, 1391.52000000, 1669.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'contrat liss&eacute;<br />\r\nL37 N&deg;cd10030327001 &agrave; 4358 Heures<br />\r\net cartouches filtres reseaux', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1391.52000000, 278.30000000, 1669.82000000, NULL, 'facture/FA1907-0028/FA1907-0028.pdf', NULL, NULL),
(1215, 'FA1907-0029', 1, NULL, NULL, NULL, 0, NULL, 7066, '2019-07-29 16:25:49', '2019-07-29', NULL, '2019-07-29', NULL, '2019-09-10 08:16:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 326.18000000, 0.00000000, 0.00000000, 0.00000000, 1630.92000000, 1957.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-08-31', NULL, 'Pieces de filtration maintenance de vos differents compresseurs :&nbsp;<br />\r\n<br />\r\nhuile VR46 pour compresseur L15 et compresseur ATLAS COPCO<br />\r\n<br />\r\nHuile sullube pour compresseur Maco Sullair ( disponible uniquement en 20 Litres )&nbsp;<br />\r\n<br />\r\nCommande N01012 du 29/05/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1630.92000000, 326.18000000, 1957.10000000, NULL, 'facture/FA1907-0029/FA1907-0029.pdf', NULL, NULL),
(1216, 'FA1907-0030', 1, NULL, NULL, NULL, 0, NULL, 2235, '2019-07-31 10:02:26', '2019-07-31', NULL, '2019-07-31', NULL, '2019-10-02 07:27:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 183.86000000, 0.00000000, 0.00000000, 0.00000000, 919.30000000, 1103.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Maintenance L15VS :N&deg; BA21283001 &agrave; 29872 HRS<br />\r\nMaintenance seprateur de condensats<br />\r\nRemplacment cartouche filtres reseaux<br />\r\n<br />\r\nBL N&deg;37 du 11/07/2019<br />\r\n<br />\r\nCommande N&deg;MA119GLB00280', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 919.30000000, 183.86000000, 1103.16000000, NULL, 'facture/FA1907-0030/FA1907-0030.pdf', NULL, NULL),
(1217, 'FA1907-0031', 1, NULL, NULL, 'L29', 0, NULL, 12890, '2019-07-31 10:12:41', '2019-07-31', NULL, '2019-07-31', NULL, '2019-09-06 07:45:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 669.67000000, 0.00000000, 0.00000000, 0.00000000, 3348.35000000, 4018.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-08-31', NULL, 'Local air comprim&eacute; 29KW 7.5 Bars<br />\r\nD&eacute;saccouplage vieille cuve vers 845 reprise tuyauterie pose d&#39;un cyclonique 1 1/2 en sortie 845<br />\r\nModification en 42 sortie 845 inserer cyclonique<br />\r\nnouveau local ou il y a le V22 ( qu on reprend ) il n&#39;y a qu&#39;un bypass sur la cuve pas d&#39;autre<br />\r\nelectricit&eacute; et coffret par client<br />\r\n<br />\r\nSOLDE - PARTIE MAIN D&#39;OEUVRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3348.35000000, 669.67000000, 4018.02000000, NULL, 'facture/FA1907-0031/FA1907-0031.pdf', NULL, NULL),
(1218, 'FA1907-0032', 1, NULL, NULL, NULL, 0, NULL, 11452, '2019-07-31 10:25:15', '2019-07-31', NULL, '2019-07-31', NULL, '2019-09-03 08:25:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 173.16000000, 0.00000000, 0.00000000, 0.00000000, 865.78000000, 1038.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-08-31', NULL, 'Pose dans cellule C2 de 1 FRL&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 865.78000000, 173.16000000, 1038.94000000, NULL, 'facture/FA1907-0032/FA1907-0032.pdf', NULL, NULL),
(1219, 'FA1907-0033', 1, NULL, NULL, NULL, 0, NULL, 2279, '2019-07-31 10:48:13', '2019-07-31', NULL, '2019-07-31', NULL, '2019-09-16 09:01:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 184.19000000, 0.00000000, 0.00000000, 0.00000000, 920.95000000, 1105.14000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Maintenance L50 N&deg; CD10002543001 &agrave; 43298 HRS<br />\r\nMaintenance separateur de condensats Owamat 14<br />\r\n<br />\r\nBL N&deg;39 du 15/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 920.95000000, 184.19000000, 1105.14000000, NULL, 'facture/FA1907-0033/FA1907-0033.pdf', NULL, NULL),
(1220, 'FA1907-0034', 1, NULL, NULL, 'Compresseur', 0, NULL, 2260, '2019-07-31 10:53:51', '2019-07-31', NULL, '2019-07-31', NULL, '2019-09-04 06:54:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 120.00000000, 0.00000000, 0.00000000, 0.00000000, 600.00000000, 720.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'remplacement carte sur Alup<br />\r\nBL N&deg;10 du 28/06/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 600.00000000, 120.00000000, 720.00000000, NULL, 'facture/FA1907-0034/FA1907-0034.pdf', NULL, NULL),
(1221, 'FA1907-0035', 1, NULL, NULL, NULL, 0, NULL, 2311, '2019-07-31 11:12:31', '2019-07-31', NULL, '2019-07-31', NULL, '2019-09-24 07:42:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 94.49000000, 0.00000000, 0.00000000, 0.00000000, 472.41000000, 566.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'maintenance compresseur &agrave; piston CLC507 N&deg;221401565<br />\r\n<br />\r\net remplacement cartouche filtre reseau&nbsp;<br />\r\n<br />\r\nBL N&deg;42 du 17/07/2019&nbsp;<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 472.41000000, 94.49000000, 566.90000000, NULL, 'facture/FA1907-0035/FA1907-0035.pdf', NULL, NULL),
(1222, 'FA1907-0036', 1, NULL, NULL, NULL, 0, NULL, 2311, '2019-07-31 11:16:03', '2019-07-31', NULL, '2019-07-31', NULL, '2019-09-24 07:42:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 87.64000000, 0.00000000, 0.00000000, 0.00000000, 438.20000000, 525.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'maintenance screw 10 &agrave; 16858 HRS<br />\r\n<br />\r\nBL N&deg;44 du 17/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 438.20000000, 87.64000000, 525.84000000, NULL, 'facture/FA1907-0036/FA1907-0036.pdf', NULL, NULL),
(1223, 'FA1907-0037', 1, NULL, NULL, NULL, 0, NULL, 2311, '2019-07-31 11:28:34', '2019-07-31', NULL, '2019-07-31', NULL, '2019-09-24 07:42:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 92.48000000, 0.00000000, 0.00000000, 0.00000000, 462.42000000, 554.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Maintenance devillbiss STAR20 &agrave; 19798 hRS N&deg;1781220002<br />\r\n<br />\r\nBL N&deg;43 du 17/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 462.42000000, 92.48000000, 554.90000000, NULL, 'facture/FA1907-0037/FA1907-0037.pdf', NULL, NULL),
(1224, 'FA1907-0038', 1, NULL, NULL, NULL, 0, NULL, 2287, '2019-07-31 14:54:30', '2019-07-31', NULL, '2019-07-31', NULL, '2019-09-19 12:00:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 48.83000000, 0.00000000, 0.00000000, 0.00000000, 244.15000000, 292.98000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Mise en place d&#39;un compresseur de pret gratuit sous reserve de nous confier la r&eacute;paration de votre machine d&eacute;fectueuse ou la commande d&#39;une machine neuve .&nbsp;<br />\r\nPour information prix location :&nbsp;<br />\r\n1KW &agrave; 15KW 150&euro; la semaine<br />\r\n16KW &agrave; 37 KW 250 &euro; la semaine<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 244.15000000, 48.83000000, 292.98000000, NULL, 'facture/FA1907-0038/FA1907-0038.pdf', NULL, NULL),
(1225, 'FA1907-0039', 1, NULL, NULL, NULL, 0, NULL, 2197, '2019-08-01 14:46:52', '2019-07-31', NULL, '2019-08-01', NULL, '2019-08-09 09:55:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1648.56000000, 0.00000000, 0.00000000, 0.00000000, 8242.78000000, 9891.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, '&nbsp;bloc vis compresseur L45RS<br />\r\n<br />\r\nGarantie 24 mois&nbsp;<br />\r\n<br />\r\nDossier LYON BISCUIT&nbsp; N&deg; 3169288', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 8242.78000000, 1648.56000000, 9891.34000000, NULL, 'facture/FA1907-0039/FA1907-0039.pdf', NULL, NULL),
(1226, 'FA1907-0040', 1, NULL, NULL, NULL, 0, NULL, 12584, '2019-08-01 15:15:36', '2019-07-31', NULL, '2019-08-01', NULL, '2019-10-03 11:53:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 128.58000000, 0.00000000, 0.00000000, 0.00000000, 642.90000000, 771.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-08-31', NULL, 'Maintenance RSF11 N&deg;844083 &agrave; 2376 HRS<br />\r\n<br />\r\nBL N&deg;49 du 04/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 642.90000000, 128.58000000, 771.48000000, NULL, 'facture/FA1907-0040/FA1907-0040.pdf', NULL, NULL),
(1227, 'FA1907-0041', 1, NULL, NULL, NULL, 0, NULL, 2355, '2019-08-01 15:22:16', '2019-07-31', NULL, '2019-08-01', NULL, '2019-09-17 07:45:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 332.00000000, 0.00000000, 0.00000000, 0.00000000, 1660.00000000, 1992.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Accord de Mr Balazard pour reglement le 15/09/2019<br />\r\n<br />\r\nCompresseur &agrave; piston COMPAIR', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1660.00000000, 332.00000000, 1992.00000000, NULL, 'facture/FA1907-0041/FA1907-0041.pdf', NULL, NULL),
(1228, 'FA1907-0042', 1, NULL, NULL, 'l15rs+cyclon107', 0, NULL, 2347, '2019-08-01 15:24:13', '2019-07-31', NULL, '2019-08-01', NULL, '2019-09-02 07:34:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 210.92000000, 0.00000000, 0.00000000, 0.00000000, 1054.60000000, 1265.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, '<ul>\r\n	<li>1 kit CK2100-1 et 1 s&eacute;parateur pour le compresseur L15RS</li>\r\n	<li>1 kit 2000h et un s&eacute;parateur pour le cyclon 107</li>\r\n	<li>1 bidon huile 4000 h</li>\r\n	<li>1 bidon huile 2000 h</li>\r\n</ul>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1054.60000000, 210.92000000, 1265.52000000, NULL, 'facture/FA1907-0042/FA1907-0042.pdf', NULL, NULL),
(1229, 'AC1907-0001', 1, NULL, NULL, NULL, 3, NULL, 12924, '2019-08-01 15:28:03', '2019-07-31', NULL, '2019-08-01', NULL, '2020-10-08 09:51:55', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 536.10000000, 0.00000000, 0.00000000, 0.00000000, 2680.50000000, 3216.60000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-08-01', NULL, 'Local air comprim&eacute; suivant devis du 25 juin 2019<br />\r\n&nbsp;<br />\r\nMontant global HT 8935 &euro;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2680.50000000, 536.10000000, 3216.60000000, NULL, 'facture/AC1907-0001/AC1907-0001.pdf', NULL, NULL),
(1230, 'FA1907-0043', 1, NULL, NULL, NULL, 0, NULL, 2355, '2019-08-01 15:34:52', '2019-07-31', NULL, '2019-08-01', NULL, '2019-09-17 07:45:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1440.00000000, 0.00000000, 0.00000000, 0.00000000, 7200.00000000, 8640.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 15, 2, '2019-08-01', NULL, 'Reglement : 20 % &agrave; la commande per&ccedil;u - solde 15/09/2019<br />\r\nLocal air comprim&eacute; hors &eacute;lectricit&eacute;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 7200.00000000, 1440.00000000, 8640.00000000, NULL, 'facture/FA1907-0043/FA1907-0043.pdf', NULL, NULL),
(1231, 'FA1907-0044', 1, NULL, NULL, NULL, 0, NULL, 11320, '2019-08-01 15:51:16', '2019-07-31', NULL, '2019-08-01', NULL, '2019-08-07 07:07:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 890.00000000, 0.00000000, 0.00000000, 0.00000000, 4450.00000000, 5340.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 9, 0, '2019-08-01', NULL, 'Local Air comprim&eacute; RENNER - Garantie 2 ans Pi&eacute;ces et main d&#39;oeuvre', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4450.00000000, 890.00000000, 5340.00000000, NULL, 'facture/FA1907-0044/FA1907-0044.pdf', NULL, NULL),
(1232, 'FA1907-0045', 1, NULL, NULL, 'filtre magnétique', 0, NULL, 2407, '2019-08-01 16:14:27', '2019-07-31', NULL, '2019-08-01', NULL, '2019-09-30 10:03:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 232.40000000, 0.00000000, 0.00000000, 0.00000000, 1162.04000000, 1394.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'Inversion entree et sortie connexion filtre magnetique<br />\r\nAdresse livraison : CROUZET AUTOMATISME&nbsp;<br />\r\n10 rue Docteur Henri Abel 26000 valence&nbsp;<br />\r\n<br />\r\nN&deg;commande : 911092093-0-10760', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1162.04000000, 232.40000000, 1394.44000000, NULL, 'facture/FA1907-0045/FA1907-0045.pdf', NULL, NULL),
(1233, 'FA1907-0046', 1, NULL, NULL, NULL, 0, NULL, 2279, '2019-08-02 09:07:03', '2019-07-31', NULL, '2019-08-02', NULL, '2019-09-16 09:01:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 13.60000000, 0.00000000, 0.00000000, 0.00000000, 68.00000000, 81.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'une purge electropilot&eacute;e&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 68.00000000, 13.60000000, 81.60000000, NULL, 'facture/FA1907-0046/FA1907-0046.pdf', NULL, NULL),
(1234, 'FA1907-0047', 1, NULL, NULL, NULL, 0, NULL, 2396, '2019-08-02 09:13:50', '2019-07-31', NULL, '2019-08-02', NULL, '2019-09-13 07:51:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 6.88000000, 0.00000000, 0.00000000, 0.00000000, 34.40000000, 41.28000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, 'tuyau cahoutchouc 19 interieur', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 34.40000000, 6.88000000, 41.28000000, NULL, 'facture/FA1907-0047/FA1907-0047.pdf', NULL, NULL),
(1235, 'FA1907-0048', 1, NULL, NULL, NULL, 0, NULL, 2396, '2019-08-02 09:16:17', '2019-07-31', NULL, '2019-08-02', NULL, '2019-09-13 07:51:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 13.72000000, 0.00000000, 0.00000000, 0.00000000, 68.62000000, 82.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-08-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 68.62000000, 13.72000000, 82.34000000, NULL, 'facture/FA1907-0048/FA1907-0048.pdf', NULL, NULL),
(1236, 'FA1908-0001', 1, NULL, NULL, NULL, 0, NULL, 6086, '2019-08-05 17:16:10', '2019-08-05', NULL, '2019-08-05', NULL, '2019-08-05 15:16:19', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 283.80000000, 0.00000000, 0.00000000, 0.00000000, 1419.00000000, 1702.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-08-06', NULL, 'Contrat de maintenancepour partie air comprim&eacute; et azote N&deg;2019050201<br />\r\nSign&eacute; le 7 mai 2019 pour une dur&eacute;e de 5 ans .<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1419.00000000, 283.80000000, 1702.80000000, NULL, 'facture/FA1908-0001/FA1908-0001.pdf', NULL, NULL),
(1237, 'FA1908-0002', 1, NULL, NULL, NULL, 0, NULL, 2234, '2019-08-06 08:58:46', '2019-08-06', NULL, '2019-08-06', NULL, '2019-09-02 07:35:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA1908-0002/FA1908-0002.pdf', NULL, NULL),
(1238, 'FA1908-0003', 1, NULL, NULL, NULL, 0, NULL, 2215, '2019-08-06 09:03:36', '2019-08-06', NULL, '2019-08-06', NULL, '2019-08-06 08:18:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.99000000, 0.00000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2019-08-07', NULL, 'Mensualité contrat LDD<br />\r\nDernier loyer - Fin de contrat LDD<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, 'facture/FA1908-0003/FA1908-0003.pdf', NULL, NULL),
(1239, 'FA1908-0004', 1, NULL, NULL, NULL, 0, NULL, 2215, '2019-08-06 09:07:15', '2019-08-06', NULL, '2019-08-06', NULL, '2019-08-19 09:35:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 52.68000000, 0.00000000, 0.00000000, 0.00000000, 263.42000000, 316.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Facture VR suite &agrave; contrat LDD&nbsp;<br />\r\nVente compresseur L11RS Compair N&deg; cd10021552001 avec secheur ED225 cuve 500L equip&eacute;e purge filtre pne290rb owamat 10 et reseaux inox serti', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 263.42000000, 52.68000000, 316.10000000, NULL, 'facture/FA1908-0004/FA1908-0004.pdf', NULL, NULL),
(1240, 'FA1908-0005', 1, NULL, NULL, NULL, 0, NULL, 1940, '2019-08-08 09:09:29', '2019-08-08', NULL, '2019-08-08', NULL, '2019-10-30 07:54:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 119.39000000, 0.00000000, 0.00000000, 0.00000000, 596.96000000, 716.35000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, '<br />\r\n<br />\r\nCommande N&deg;2019523', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 596.96000000, 119.39000000, 716.35000000, NULL, 'facture/FA1908-0005/FA1908-0005.pdf', NULL, NULL),
(1241, 'FA1908-0006', 1, NULL, NULL, NULL, 0, NULL, 1940, '2019-08-08 09:29:02', '2019-08-08', NULL, '2019-08-08', NULL, '2019-10-30 07:54:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 102.96000000, 0.00000000, 0.00000000, 0.00000000, 514.78000000, 617.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Vidange et demontage puis remise en &eacute;tat du compresseur L45RS pour v&eacute;rification visuel de la cuve du separateur&nbsp; :<br />\r\n<br />\r\nIntervention vendredi 2 aout 2019<br />\r\n<br />\r\nBL N&deg;19 du 02/08/2019<br />\r\n<br />\r\nCommande N&deg;2019520', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 514.78000000, 102.96000000, 617.74000000, NULL, 'facture/FA1908-0006/FA1908-0006.pdf', NULL, NULL),
(1242, 'FA1908-0007', 1, NULL, NULL, NULL, 0, NULL, 1935, '2019-08-08 09:31:43', '2019-08-08', NULL, '2019-08-08', NULL, '2019-08-19 07:41:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 18.29000000, 0.00000000, 0.00000000, 0.00000000, 91.44000000, 109.73000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Pi&eacute;ces detach&eacute;es pour L11 -&nbsp;<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 91.44000000, 18.29000000, 109.73000000, NULL, 'facture/FA1908-0007/FA1908-0007.pdf', NULL, NULL),
(1243, 'FA1908-0008', 1, NULL, NULL, NULL, 0, NULL, 2055, '2019-08-08 10:09:03', '2019-08-08', NULL, '2019-08-08', NULL, '2019-10-03 11:54:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 189.58000000, 0.00000000, 0.00000000, 0.00000000, 947.91000000, 1137.49000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Maintenance compresseur L18 N&deg;349015/4213 &agrave; 39200 Hrs<br />\r\nRemplacement des 2 cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg;2 du 31/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 947.91000000, 189.58000000, 1137.49000000, NULL, 'facture/FA1908-0008/FA1908-0008.pdf', NULL, NULL),
(1244, 'FA1908-0009', 1, NULL, NULL, NULL, 0, NULL, 2178, '2019-08-08 10:37:57', '2019-08-08', NULL, '2019-08-08', NULL, '2019-10-01 08:27:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 428.50000000, 0.00000000, 0.00000000, 0.00000000, 2142.50000000, 2571.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Maintenance L55 N&deg; CD10008941001 &agrave;&nbsp; 23383 HRS<br />\r\n<br />\r\nBL N&deg;3 du 01/08/2019<br />\r\n<br />\r\nRemise exceptionnelle : ANNIVERSAIRE SFACS -20% sur les pi&eacute;ces COMPAIR<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2142.50000000, 428.50000000, 2571.00000000, NULL, 'facture/FA1908-0009/FA1908-0009.pdf', NULL, NULL),
(1245, 'FA1908-0010', 1, NULL, NULL, NULL, 0, NULL, 2239, '2019-08-08 11:20:31', '2019-08-08', NULL, '2019-08-08', NULL, '2019-10-24 06:57:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 199.22000000, 0.00000000, 0.00000000, 0.00000000, 996.14000000, 1195.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Maintenance COmpresseur LUCHARD COMPAIR 6020ELX07BE &agrave; 5426 HRS<br />\r\nremplcament cartouches des deux filtres reseaux<br />\r\n<br />\r\nBL N&deg; 5 du 06/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 996.14000000, 199.22000000, 1195.36000000, NULL, 'facture/FA1908-0010/FA1908-0010.pdf', NULL, NULL),
(1246, 'FA1908-0011', 1, NULL, NULL, '4500106762', 0, NULL, 10144, '2019-08-08 11:29:00', '2019-08-08', NULL, '2019-08-08', '2020-07-15 11:24:56', '2020-07-15 09:24:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 154.29000000, 0.00000000, 0.00000000, 0.00000000, 771.50000000, 925.79000000, 2, 5, NULL, 5, 5, NULL, NULL, NULL, NULL, 3, 0, '2019-09-30', NULL, 'Maintenance 2000H rsf 22 10 bars n&deg;830076<br />\r\n<br />\r\nCommande N&deg;4500106762', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 771.50000000, 154.29000000, 925.79000000, NULL, 'facture/FA1908-0011/FA1908-0011.pdf', NULL, NULL),
(1247, 'FA1908-0012', 1, NULL, NULL, NULL, 0, NULL, 10660, '2019-08-08 11:38:26', '2019-08-08', NULL, '2019-08-08', NULL, '2019-10-11 07:18:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 40.00000000, 0.00000000, 0.00000000, 0.00000000, 200.00000000, 240.00000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-09-30', NULL, 'Départ ce jour<br />\r\n<br />\r\nCOmmande N° CF00004535', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 200.00000000, 40.00000000, 240.00000000, NULL, 'facture/FA1908-0012/FA1908-0012.pdf', NULL, NULL),
(1248, 'FA1908-0013', 1, NULL, NULL, NULL, 0, NULL, 2358, '2019-08-08 11:41:51', '2019-08-08', NULL, '2019-08-08', NULL, '2019-10-24 14:03:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 337.02000000, 0.00000000, 0.00000000, 0.00000000, 1685.13000000, 2022.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Maintenance GA90VSD N&deg; AII495069 &agrave; 35197 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance GA30 N&deg;ABP716976 &agrave; 15024 HRS<br />\r\n<br />\r\nBL N&deg; 40 &amp; 39 du 08/08/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1685.13000000, 337.02000000, 2022.15000000, NULL, 'facture/FA1908-0013/FA1908-0013.pdf', NULL, NULL),
(1249, 'FA1908-0014', 1, NULL, NULL, NULL, 0, NULL, 2203, '2019-08-08 14:20:29', '2019-08-08', NULL, '2019-08-08', NULL, '2019-10-10 07:33:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 176.27000000, 0.00000000, 0.00000000, 0.00000000, 881.33000000, 1057.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'huile alimentaire livr&eacute;e le 07/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 881.33000000, 176.27000000, 1057.60000000, NULL, 'facture/FA1908-0014/FA1908-0014.pdf', NULL, NULL),
(1250, 'FA1908-0015', 1, NULL, NULL, NULL, 0, NULL, 2102, '2019-08-09 10:58:59', '2019-08-09', NULL, '2019-08-09', NULL, '2019-10-02 07:27:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 156.97000000, 0.00000000, 0.00000000, 0.00000000, 784.81000000, 941.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'remplacement differentiel local STOCK', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 784.81000000, 156.97000000, 941.78000000, NULL, 'facture/FA1908-0015/FA1908-0015.pdf', NULL, NULL),
(1251, 'FA1908-0016', 1, NULL, NULL, NULL, 0, NULL, 2102, '2019-08-09 11:00:26', '2019-08-09', NULL, '2019-08-09', NULL, '2019-10-02 07:27:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 71.01000000, 0.00000000, 0.00000000, 0.00000000, 355.05000000, 426.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Installation d&#39;une lampe dans salle des coffres<br />\r\n<br />\r\nBL N&deg;11 du 28/06/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 355.05000000, 71.01000000, 426.06000000, NULL, 'facture/FA1908-0016/FA1908-0016.pdf', NULL, NULL),
(1252, 'FA1908-0017', 1, NULL, NULL, NULL, 0, NULL, 2321, '2019-08-09 11:18:06', '2019-08-09', NULL, '2019-08-09', NULL, '2019-10-16 19:14:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 157.44000000, 0.00000000, 0.00000000, 0.00000000, 787.15000000, 944.59000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', 'CONTRAT LISE', 'CONTRAT LISSE<br />\r\nMaintenance L15 &agrave; 5641 Heures<br />\r\nMaintenance separateur de condensats Owamat 10', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 787.15000000, 157.44000000, 944.59000000, NULL, 'facture/FA1908-0017/FA1908-0017.pdf', NULL, NULL),
(1253, 'FA1908-0018', 1, NULL, NULL, NULL, 0, NULL, 2162, '2019-08-12 10:35:11', '2019-08-12', NULL, '2019-08-12', NULL, '2019-09-30 10:05:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 58.23000000, 0.00000000, 0.00000000, 0.00000000, 291.12000000, 349.35000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Remplacement bekomat :<br />\r\n<span style=\"font-size:12px\">Le BEKOMAT 21 n&rsquo;est plus commercialis&eacute; depuis plusieurs ann&eacute;es c&rsquo;est pourquoi nous vous proposons son rempla&ccedil;ant (fiche technique en P.J.)</span><br />\r\n<br />\r\n<span style=\"font-size:11.0pt\">BL N&deg;8 du 09/08/2019</span>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 291.12000000, 58.23000000, 349.35000000, NULL, 'facture/FA1908-0018/FA1908-0018.pdf', NULL, NULL),
(1254, 'FA1908-0019', 1, NULL, NULL, NULL, 0, NULL, 2184, '2019-08-12 14:28:17', '2019-08-12', NULL, '2019-08-12', NULL, '2019-10-18 19:21:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 327.69000000, 0.00000000, 0.00000000, 0.00000000, 1638.49000000, 1966.18000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Maintenance L45RS ( 2018 ) N° CD10034859001 en huile alimentaire à 10814 HRS<br />\r\n<br />\r\nRemplacement cartouches filtres réseaux <br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\n<br />\r\n<br />\r\nCommande N°7000868854<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1638.49000000, 327.69000000, 1966.18000000, NULL, 'facture/FA1908-0019/FA1908-0019.pdf', NULL, NULL),
(1255, 'FA1908-0020', 1, NULL, NULL, NULL, 0, NULL, 12608, '2019-08-13 09:24:05', '2019-08-13', NULL, '2019-08-13', NULL, '2019-11-05 10:24:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.97000000, 0.00000000, 0.00000000, 0.00000000, 594.86000000, 713.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-09-30', NULL, 'Maintenance RS PRO 7.5 N&deg; 713056 &agrave;&nbsp; 3592 HRS<br />\r\n<br />\r\nBL N&deg;9 du 12/08/2019<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 594.86000000, 118.97000000, 713.83000000, NULL, 'facture/FA1908-0020/FA1908-0020.pdf', NULL, NULL),
(1256, 'FA1908-0021', 1, NULL, NULL, NULL, 0, NULL, 12608, '2019-08-13 09:35:48', '2019-08-13', NULL, '2019-08-13', NULL, '2019-11-05 10:24:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 195.80000000, 0.00000000, 0.00000000, 0.00000000, 978.98000000, 1174.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-09-30', NULL, 'S&eacute;cheur par r&eacute;frigeration 108 m3/h model ED108<br />\r\n<br />\r\nBL N&deg;9 du 12/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 978.98000000, 195.80000000, 1174.78000000, NULL, 'facture/FA1908-0021/FA1908-0021.pdf', NULL, NULL),
(1257, 'FA1908-0022', 1, NULL, NULL, 'l80', 0, NULL, 2064, '2019-08-13 10:06:00', '2019-08-13', NULL, '2019-08-13', NULL, '2019-09-25 06:45:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 570.91000000, 0.00000000, 0.00000000, 0.00000000, 2854.60000000, 3425.51000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'maintenance L80 N° CD10000635001 à 36542 HRS<br />\r\nRemplacement cartouche filtres reseaux<br />\r\n<br />\r\nBL N°6 du 08/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2854.60000000, 570.91000000, 3425.51000000, NULL, 'facture/FA1908-0022/FA1908-0022.pdf', NULL, NULL),
(1258, 'FA1908-0023', 1, NULL, NULL, NULL, 0, NULL, 2300, '2019-08-13 10:40:42', '2019-08-13', NULL, '2019-08-13', NULL, '2019-10-11 07:18:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 617.62000000, 0.00000000, 0.00000000, 0.00000000, 3088.08000000, 3705.70000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Maintenance l45 N&deg; cd10023286001 &agrave; 9126 HRS<br />\r\net filtres reseaux et owamat 14<br />\r\n<br />\r\nBL N&deg;22 du 12/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3088.08000000, 617.62000000, 3705.70000000, NULL, 'facture/FA1908-0023/FA1908-0023.pdf', NULL, NULL),
(1260, 'FA1907-0049', 1, NULL, NULL, NULL, 0, NULL, 2197, '2019-08-19 11:22:17', '2019-07-31', NULL, '2019-08-19', NULL, '2019-08-21 07:19:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, 'facture/FA1907-0049/FA1907-0049.pdf', NULL, NULL),
(1261, 'FA1908-0024', 1, NULL, NULL, NULL, 0, NULL, 2197, '2019-08-19 11:30:19', '2019-08-19', NULL, '2019-08-19', NULL, '2019-08-21 07:19:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, 'facture/FA1908-0024/FA1908-0024.pdf', NULL, NULL),
(1262, 'FA1908-0025', 1, NULL, NULL, NULL, 0, NULL, 10056, '2019-08-21 14:47:08', '2019-08-21', NULL, '2019-08-21', NULL, '2019-08-30 08:42:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 196.68000000, 0.00000000, 0.00000000, 0.00000000, 983.38000000, 1180.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Maintenance compresseur L07 COMPAIR&nbsp; &agrave; 6037 HRS<br />\r\n<br />\r\nBL N&deg;23 du 13/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 983.38000000, 196.68000000, 1180.06000000, NULL, 'facture/FA1908-0025/FA1908-0025.pdf', NULL, NULL),
(1263, 'FA1908-0026', 1, NULL, NULL, NULL, 0, NULL, 2263, '2019-08-21 14:55:50', '2019-08-21', NULL, '2019-08-21', NULL, '2019-12-05 15:47:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 56.00000000, 0.00000000, 0.00000000, 0.00000000, 280.01000000, 336.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'D&eacute;pannage L11 N&deg; 34902710394 &agrave; 14000HRS - remplacement relai etoile<br />\r\n<br />\r\nBL N&deg;15 du 20/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 280.01000000, 56.00000000, 336.01000000, NULL, 'facture/FA1908-0026/FA1908-0026.pdf', NULL, NULL),
(1264, 'FA1908-0027', 1, NULL, NULL, NULL, 0, NULL, 2007, '2019-08-21 15:03:37', '2019-08-21', NULL, '2019-08-21', NULL, '2019-10-16 19:26:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 115.11000000, 0.00000000, 0.00000000, 0.00000000, 575.60000000, 690.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Maintenance HV02 N&deg; 502 029339-1408 et remplacement 2 cartouches r&eacute;seaux<br />\r\n<br />\r\nBL N&deg;14 du 20/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 575.60000000, 115.11000000, 690.71000000, NULL, 'facture/FA1908-0027/FA1908-0027.pdf', NULL, NULL),
(1265, 'FA1908-0028', 1, NULL, NULL, NULL, 0, NULL, 2350, '2019-08-21 16:15:56', '2019-08-21', NULL, '2019-08-21', NULL, '2019-10-16 19:15:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 466.71000000, 0.00000000, 0.00000000, 0.00000000, 2333.59000000, 2800.30000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Mise en place d&#39;un enrouleur 10x16_15 M. mise en place d&#39;une vanne de coupure d&#39;air R3/4<br />\r\n<br />\r\nCommande N&deg; 2268487-325-G9J-BKP', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2333.59000000, 466.71000000, 2800.30000000, NULL, 'facture/FA1908-0028/FA1908-0028.pdf', NULL, NULL),
(1267, 'FA1908-0029', 1, NULL, NULL, NULL, 0, NULL, 2407, '2019-08-21 16:38:46', '2019-08-21', NULL, '2019-08-21', NULL, '2019-10-24 06:56:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 121.91000000, 0.00000000, 0.00000000, 0.00000000, 609.53000000, 731.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'remplacement purgeur bekomat sous la cuve&nbsp;<br />\r\nSite d&#39;intervention CROUZET 26000 VALENCE<br />\r\n<br />\r\nCommande N&deg;911101120-0-10760', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 609.53000000, 121.91000000, 731.44000000, NULL, 'facture/FA1908-0029/FA1908-0029.pdf', NULL, NULL),
(1268, 'FA1908-0030', 1, NULL, NULL, 'ws15 lacote', 0, NULL, 2054, '2019-08-22 09:13:48', '2019-08-22', NULL, '2019-08-22', NULL, '2019-10-16 19:13:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 138.84000000, 0.00000000, 0.00000000, 0.00000000, 694.25000000, 833.09000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'maintenance ws15 &agrave; 42631 Heures<br />\r\n<br />\r\nCommande N&deg; C038-1908-3262PM', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 694.25000000, 138.84000000, 833.09000000, NULL, 'facture/FA1908-0030/FA1908-0030.pdf', NULL, NULL),
(1269, 'FA1908-0031', 1, NULL, NULL, NULL, 0, NULL, 11275, '2019-08-22 09:41:22', '2019-08-22', NULL, '2019-08-22', NULL, '2019-10-24 14:04:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 365.34000000, 0.00000000, 0.00000000, 0.00000000, 1826.72000000, 2192.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-09-30', NULL, 'Remplacement s&eacute;cheur Compair par nouveau secheur pour trait&eacute; sur d&eacute;bit du compresseur L22 7.5B de 2004 et coefficient de variation de temperature soit 220 m3/h en vue de l&#39;installation future du nouveau local . Raccordement par vos soins .<br />\r\nFourniture d&#39;un bidon de 25Litre d&#39;huile pour compresseur &agrave; vis', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1826.72000000, 365.34000000, 2192.06000000, NULL, 'facture/FA1908-0031/FA1908-0031.pdf', NULL, NULL),
(1270, 'FA1908-0032', 1, NULL, NULL, NULL, 0, NULL, 11275, '2019-08-22 09:55:36', '2019-08-22', NULL, '2019-08-22', NULL, '2019-11-28 16:06:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 185.60000000, 0.00000000, 0.00000000, 0.00000000, 928.00000000, 1113.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-09-30', NULL, 'Reservoir 900Litres 10.67B<br />\r\n<br />\r\n<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 928.00000000, 185.60000000, 1113.60000000, NULL, 'facture/FA1908-0032/FA1908-0032.pdf', NULL, NULL),
(1271, 'FA1908-0033', 1, NULL, NULL, NULL, 0, NULL, 12781, '2019-08-23 15:37:29', '2019-08-23', NULL, '2019-08-23', NULL, '2019-08-26 09:31:12', 0, 0.00000000, NULL, NULL, 0, 'abandon', NULL, 887.70000000, 0.00000000, 0.00000000, 0.00000000, 4438.50000000, 5326.20000000, 3, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2019-09-22', NULL, 'Dossier N°98003104- VINCI FACILITIES FM CENTRE EST 807 000 kWh<br />\r\nCapital energy N° 366', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4438.50000000, 887.70000000, 5326.20000000, NULL, 'facture/FA1908-0033/FA1908-0033.pdf', NULL, NULL),
(1272, 'AV1908-0001', 1, NULL, NULL, NULL, 2, NULL, 12781, '2019-08-26 11:30:02', '2019-08-26', NULL, '2019-08-26', NULL, '2019-09-05 14:05:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -887.70000000, 0.00000000, 0.00000000, 0.00000000, -4438.50000000, -5326.20000000, 2, 5, NULL, 5, NULL, 1271, NULL, NULL, NULL, 0, 0, '2019-08-26', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -4438.50000000, -887.70000000, -5326.20000000, NULL, 'facture/AV1908-0001/AV1908-0001.pdf', NULL, NULL),
(1273, 'FA1908-0034', 1, NULL, NULL, NULL, 0, NULL, 12781, '2019-08-26 11:30:28', '2019-08-26', NULL, '2019-08-26', NULL, '2019-09-19 11:58:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 4438.50000000, 4438.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 2, 0, '2019-09-25', NULL, 'Dossier N°98003104- VINCI FACILITIES FM CENTRE EST 807 000 kWh<br />\r\nCapital energy N° 366', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4438.50000000, 0.00000000, 4438.50000000, NULL, 'facture/FA1908-0034/FA1908-0034.pdf', NULL, NULL),
(1274, 'FA1908-0035', 1, NULL, NULL, NULL, 0, NULL, 2136, '2019-08-29 10:09:14', '2019-08-29', NULL, '2019-08-29', NULL, '2019-09-30 10:03:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 139.52000000, 0.00000000, 0.00000000, 0.00000000, 697.58000000, 837.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Maintenance rsdk pro 5.5 N&deg;639018&agrave; 6205 Heures<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg; 22 du 28/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 697.58000000, 139.52000000, 837.10000000, NULL, 'facture/FA1908-0035/FA1908-0035.pdf', NULL, NULL),
(1275, 'FA1908-0036', 1, NULL, NULL, NULL, 0, NULL, 2370, '2019-08-29 10:18:41', '2019-08-29', NULL, '2019-08-29', NULL, '2019-10-16 19:16:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 404.06000000, 0.00000000, 0.00000000, 0.00000000, 2020.38000000, 2424.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Modification reseaux en inox serti suivant sch&eacute;ma de principe , avec filtration 2 etages 0.1&micro; et 0.01&micro; en d&eacute;part nourrice murale avant les 3 departs munis de vanne 1/2&quot; ( dont 1 vers plasma )&nbsp;&nbsp;<br />\r\n<br />\r\nBL N&deg;21 du 26/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2020.38000000, 404.06000000, 2424.44000000, NULL, 'facture/FA1908-0036/FA1908-0036.pdf', NULL, NULL),
(1276, 'FA1908-0037', 1, NULL, NULL, NULL, 0, NULL, 2318, '2019-08-29 10:31:39', '2019-08-29', NULL, '2019-08-29', NULL, '2019-10-24 06:55:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 46.84000000, 0.00000000, 0.00000000, 0.00000000, 234.20000000, 281.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Intervention HL0080 N&deg;11P-020131<br />\r\n<br />\r\nchangement des joints sur l&eacute;vres sur boitier de r&eacute;gulation', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.20000000, 46.84000000, 281.04000000, NULL, 'facture/FA1908-0037/FA1908-0037.pdf', NULL, NULL),
(1278, 'FA1908-0038', 1, NULL, NULL, NULL, 0, NULL, 2036, '2019-08-29 11:21:10', '2019-08-29', NULL, '2019-08-29', NULL, '2019-10-11 07:19:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.03000000, 0.00000000, 0.00000000, 0.00000000, 225.17000000, 270.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Fuite sur filtre reseau<br />\r\nremplacement du flotteur<br />\r\n<br />\r\nBL N&deg;18 du 22/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 225.17000000, 45.03000000, 270.20000000, NULL, 'facture/FA1908-0038/FA1908-0038.pdf', NULL, NULL),
(1279, 'FA1908-0039', 1, NULL, NULL, NULL, 0, NULL, 2170, '2019-08-29 11:32:08', '2019-08-29', NULL, '2019-08-29', NULL, '2019-10-02 07:26:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 119.71000000, 0.00000000, 0.00000000, 0.00000000, 598.51000000, 718.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Maintenance compresseur L04 N&deg; BA36435001 &agrave; 2440 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;20 du 22/08/2019<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 598.51000000, 119.71000000, 718.22000000, NULL, 'facture/FA1908-0039/FA1908-0039.pdf', NULL, NULL),
(1280, 'FA1908-0040', 1, NULL, NULL, NULL, 0, NULL, 2247, '2019-08-29 14:35:06', '2019-08-29', NULL, '2019-08-29', NULL, '2019-11-14 12:24:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 264.73000000, 0.00000000, 0.00000000, 0.00000000, 1323.69000000, 1588.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'maintenance L18rs N&deg; CD100018442001 &agrave; 6963HRS( nouvelle carte )&nbsp;<br />\r\nMaintenance separateur de condensats OWAMT 11<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\n<br />\r\nBL N&deg; 23 du 28/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1323.69000000, 264.73000000, 1588.42000000, NULL, 'facture/FA1908-0040/FA1908-0040.pdf', NULL, NULL),
(1281, 'FA1908-0041', 1, NULL, NULL, NULL, 0, NULL, 2204, '2019-08-29 15:09:33', '2019-08-29', NULL, '2019-08-29', NULL, '2019-10-16 19:21:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 299.47000000, 0.00000000, 0.00000000, 0.00000000, 1497.37000000, 1796.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Contrat Liss&eacute;<br />\r\nL22 N&deg;CD10029439002 &agrave;&nbsp; 6511HRS+ owamat11 + filtres reseaux ( RA,RB et 2CA )&nbsp;<br />\r\n<br />\r\nBL N&deg;19 du 22/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1497.37000000, 299.47000000, 1796.84000000, NULL, 'facture/FA1908-0041/FA1908-0041.pdf', NULL, NULL),
(1282, 'FA1908-0042', 1, NULL, NULL, NULL, 0, NULL, 2197, '2019-08-29 15:23:17', '2019-08-29', NULL, '2019-08-29', NULL, '2019-09-05 12:08:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1019.99000000, 0.00000000, 0.00000000, 0.00000000, 5100.00000000, 6119.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-09-30', NULL, 'Dossier 3193665- scierie chambaran<br />\r\nd&#39;un compreseur Neuf RENNER RSPRO 11KW/10B', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5100.00000000, 1019.99000000, 6119.99000000, NULL, 'facture/FA1908-0042/FA1908-0042.pdf', NULL, NULL),
(1283, 'FA1909-0001', 1, NULL, NULL, NULL, 0, NULL, 2234, '2019-09-05 15:39:55', '2019-09-05', NULL, '2019-09-05', NULL, '2019-10-16 19:12:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA1909-0001/FA1909-0001.pdf', NULL, NULL),
(1284, 'FA1909-0002', 1, NULL, NULL, NULL, 0, NULL, 2197, '2019-09-05 15:40:52', '2019-09-05', NULL, '2019-09-05', NULL, '2019-09-19 11:58:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, 'facture/FA1909-0002/FA1909-0002.pdf', NULL, NULL),
(1285, 'FA1909-0003', 1, NULL, NULL, NULL, 0, NULL, 6086, '2019-09-05 15:41:25', '2019-09-05', NULL, '2019-09-05', NULL, '2019-09-05 13:41:29', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 283.80000000, 0.00000000, 0.00000000, 0.00000000, 1419.00000000, 1702.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-09-06', NULL, 'Contrat de maintenancepour partie air comprim&eacute; et azote N&deg;2019050201<br />\r\nSign&eacute; le 7 mai 2019 pour une dur&eacute;e de 5 ans .<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1419.00000000, 283.80000000, 1702.80000000, NULL, 'facture/FA1909-0003/FA1909-0003.pdf', NULL, NULL),
(1286, 'FA1909-0004', 1, NULL, NULL, NULL, 0, NULL, 1988, '2019-09-06 10:42:02', '2019-09-06', NULL, '2019-09-06', NULL, '2019-11-12 08:41:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 75.87000000, 0.00000000, 0.00000000, 0.00000000, 379.34000000, 455.21000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Mise en place d&#39;un s&eacute;cheur de pr&ecirc;t gratuit * sous reserve de nous confier la r&eacute;paration de votre machine d&eacute;fectueuse ou l&#39;achat d&#39;une machine neuve .<br />\r\nPour information prix de location : 250&euro;/ semaine<br />\r\n<br />\r\nBL N&deg;50 du 30/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 379.34000000, 75.87000000, 455.21000000, NULL, 'facture/FA1909-0004/FA1909-0004.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1287, 'FA1909-0005', 1, NULL, NULL, NULL, 0, NULL, 12945, '2019-09-12 11:43:17', '2019-09-12', NULL, '2019-09-12', NULL, '2019-11-04 10:13:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 93.95000000, 0.00000000, 0.00000000, 0.00000000, 469.74000000, 563.69000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, '&nbsp;filtres reseaux complets avec cartouches filtration RA RB&nbsp; CHARBON ACTIF :<br />\r\n<br />\r\n<br />\r\n<br />\r\n<strong>Grade RB :</strong><br />\r\n<br />\r\n&bull; 1 micron &ndash; 0,1 ppm<br />\r\n&bull; Extraction de l&rsquo;huile et filtration de l&rsquo;air comprim&eacute; pour usages g&eacute;n&eacute;raux :protection des s&eacute;cheurs frigorifiques contre les d&eacute;p&ocirc;ts et incrustations sur les tubes d&rsquo;&eacute;change.<br />\r\n&bull; Pr&eacute;filtre pour pompes &agrave; vide<br />\r\n&bull; Pr&eacute;filtre pour les grades RA et CA<br />\r\n<br />\r\n<strong>Grade RA :</strong><br />\r\n<br />\r\n&bull; 0,01 micron &ndash; 0,01 ppm<br />\r\n&bull; Extraction de pr&eacute;cision de l&rsquo;huile et filtration de l&rsquo;air comprim&eacute; :s&eacute;cheurs &agrave; adsorption appareils sophistiqu&eacute;s, industrie alimentaire, textile, &eacute;lectronique&hellip;Machines pour fa&ccedil;onnage, cabines de vernissage.<br />\r\n<br />\r\n<strong>Grade CA :</strong><br />\r\n<br />\r\n&bull; 0,003 micron &ndash; 0,01 ppm<br />\r\n&bull; Air comprim&eacute; exempt d&rsquo;huile et d&rsquo;odeur d&rsquo;huile.Il doit &ecirc;tre prot&eacute;g&eacute; par le grade RA<br />\r\n&bull; Air comprim&eacute; pour :industrie alimentaire, pharmaceutique, cosm&eacute;tique, air-respirable<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 469.74000000, 93.95000000, 563.69000000, NULL, 'facture/FA1909-0005/FA1909-0005.pdf', NULL, NULL),
(1290, 'AV1909-0001', 1, NULL, NULL, NULL, 2, NULL, 2050, '2019-09-12 16:45:57', '2019-09-12', NULL, '2019-09-12', NULL, '2019-12-04 10:08:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -67.20000000, 0.00000000, 0.00000000, 0.00000000, -336.00000000, -403.20000000, 2, 5, NULL, 5, NULL, 940, NULL, NULL, NULL, 0, 2, '2019-09-12', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -336.00000000, -67.20000000, -403.20000000, NULL, 'facture/AV1909-0001/AV1909-0001.pdf', NULL, NULL),
(1291, 'FA1909-0006', 1, NULL, NULL, NULL, 0, NULL, 2001, '2019-09-13 16:27:03', '2019-09-13', NULL, '2019-09-13', NULL, '2019-11-07 17:19:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 47.40000000, 0.00000000, 0.00000000, 0.00000000, 237.00000000, 284.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 237.00000000, 47.40000000, 284.40000000, NULL, 'facture/FA1909-0006/FA1909-0006.pdf', NULL, NULL),
(1292, 'FA1909-0007', 1, NULL, NULL, NULL, 0, NULL, 2004, '2019-09-13 16:33:01', '2019-09-13', NULL, '2019-09-13', NULL, '2019-09-16 09:02:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 183.26000000, 0.00000000, 0.00000000, 0.00000000, 916.32000000, 1099.58000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'remplacement secheur sur compresseur Renner&nbsp;&nbsp;<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 916.32000000, 183.26000000, 1099.58000000, NULL, 'facture/FA1909-0007/FA1909-0007.pdf', NULL, NULL),
(1293, 'FA1909-0008', 1, NULL, NULL, NULL, 0, NULL, 2033, '2019-09-13 16:36:25', '2019-09-13', NULL, '2019-09-13', NULL, '2019-11-18 09:08:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 107.60000000, 0.00000000, 0.00000000, 0.00000000, 538.00000000, 645.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'pour la livraison &agrave; Etoile de 1 r&eacute;servoir air de500 litres - hors installation et raccordement<br />\r\n<br />\r\nComamnde N&deg; 28345/20388', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 538.00000000, 107.60000000, 645.60000000, NULL, 'facture/FA1909-0008/FA1909-0008.pdf', NULL, NULL),
(1294, 'FA1909-0009', 1, NULL, NULL, NULL, 0, NULL, 12745, '2019-09-16 10:00:15', '2019-09-16', NULL, '2019-09-16', NULL, '2019-10-03 11:55:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 110.97000000, 0.00000000, 0.00000000, 0.00000000, 554.85000000, 665.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, 'Maintenance compresseur rsdk pro 11 10 B N&deg;817041&nbsp; &agrave; 983 HRS<br />\r\n<br />\r\nBL N&deg;34 du 10/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 554.85000000, 110.97000000, 665.82000000, NULL, 'facture/FA1909-0009/FA1909-0009.pdf', NULL, NULL),
(1296, 'FA1909-0010', 1, NULL, NULL, NULL, 0, NULL, 2011, '2019-09-16 11:05:48', '2019-09-16', NULL, '2019-09-16', NULL, '2019-10-31 10:12:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 205.18000000, 0.00000000, 0.00000000, 0.00000000, 1025.90000000, 1231.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance L18 N&deg; CD10039960002 &agrave; 3988 HRS<br />\r\n<br />\r\nBL N&deg;27 du 06/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1025.90000000, 205.18000000, 1231.08000000, NULL, 'facture/FA1909-0010/FA1909-0010.pdf', NULL, NULL),
(1297, 'FA1909-0011', 1, NULL, NULL, NULL, 0, NULL, 2289, '2019-09-16 14:48:59', '2019-09-16', NULL, '2019-09-16', NULL, '2019-09-30 10:12:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 231.17000000, 0.00000000, 0.00000000, 0.00000000, 1155.89000000, 1387.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'L11RS sous contrat liss&eacute;<br />\r\nN&deg; BA46470001 &agrave; 2699 HRS<br />\r\n<br />\r\nBL N&deg;30 du 11/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1155.89000000, 231.17000000, 1387.06000000, NULL, 'facture/FA1909-0011/FA1909-0011.pdf', NULL, NULL),
(1298, 'FA1909-0012', 1, NULL, NULL, NULL, 0, NULL, 2311, '2019-09-16 14:53:35', '2019-09-16', NULL, '2019-09-16', NULL, '2019-12-04 10:11:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 40.27000000, 0.00000000, 0.00000000, 0.00000000, 201.48000000, 241.75000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 201.48000000, 40.27000000, 241.75000000, NULL, 'facture/FA1909-0012/FA1909-0012.pdf', NULL, NULL),
(1299, 'FA1909-0013', 1, NULL, NULL, NULL, 0, NULL, 2318, '2019-09-16 15:18:42', '2019-09-16', NULL, '2019-09-16', NULL, '2019-11-12 08:38:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 41.29000000, 0.00000000, 0.00000000, 0.00000000, 206.44000000, 247.73000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Intervention remplacement purge electropilot&eacute;e<br />\r\n<br />\r\nBL N&deg;21', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 206.44000000, 41.29000000, 247.73000000, NULL, 'facture/FA1909-0013/FA1909-0013.pdf', NULL, NULL),
(1300, 'FA1909-0014', 1, NULL, NULL, NULL, 0, NULL, 2020, '2019-09-17 11:33:55', '2019-09-17', NULL, '2019-09-17', NULL, '2019-11-28 16:05:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 103.06000000, 0.00000000, 0.00000000, 0.00000000, 515.29000000, 618.35000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Livraison vanne thermostatique et 2 electrovannes sur compresseur HV07:<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 515.29000000, 103.06000000, 618.35000000, NULL, 'facture/FA1909-0014/FA1909-0014.pdf', NULL, NULL),
(1301, 'FA1909-0015', 1, NULL, NULL, NULL, 0, NULL, 2042, '2019-09-17 11:41:30', '2019-09-17', NULL, '2019-09-17', NULL, '2019-12-18 09:58:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.76000000, 0.00000000, 0.00000000, 0.00000000, 563.83000000, 676.59000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance RSDK PRO 7.5 N&deg; 634033 &agrave; 670 HRS<br />\r\n<br />\r\nBL N&deg;38 du 12/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 563.83000000, 112.76000000, 676.59000000, NULL, 'facture/FA1909-0015/FA1909-0015.pdf', NULL, NULL),
(1302, 'FA1909-0016', 1, NULL, NULL, NULL, 0, NULL, 1990, '2019-09-18 14:46:41', '2019-09-18', NULL, '2019-09-18', NULL, '2019-11-04 10:14:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 5.60000000, 0.00000000, 0.00000000, 0.00000000, 28.00000000, 33.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'BRIDE PN16 suite &agrave; votre conversation avec Mr BALAZARD<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 28.00000000, 5.60000000, 33.60000000, NULL, 'facture/FA1909-0016/FA1909-0016.pdf', NULL, NULL),
(1303, 'FA1909-0017', 1, NULL, NULL, NULL, 0, NULL, 2020, '2019-09-19 14:52:34', '2019-09-19', NULL, '2019-09-19', NULL, '2019-11-28 16:05:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 245.73000000, 0.00000000, 0.00000000, 0.00000000, 1228.66000000, 1474.39000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Installation et raccordement en air et &eacute;l&eacute;ctrique du compresseur L22 et s&eacute;cheru F40S avec filtration&nbsp;<br />\r\nEn r&eacute;gie<br />\r\n<br />\r\nBL N&deg;41 du 16/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1228.66000000, 245.73000000, 1474.39000000, NULL, 'facture/FA1909-0017/FA1909-0017.pdf', NULL, NULL),
(1304, 'FA1909-0018', 1, NULL, NULL, NULL, 0, NULL, 2055, '2019-09-19 15:30:53', '2019-09-19', NULL, '2019-09-19', NULL, '2019-11-07 17:19:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 119.94000000, 0.00000000, 0.00000000, 0.00000000, 599.71000000, 719.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Fourniture et remplacement pieces defectueuses.<br />\r\n<br />\r\n<br />\r\nBL N&deg;35 du 11/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 599.71000000, 119.94000000, 719.65000000, NULL, 'facture/FA1909-0018/FA1909-0018.pdf', NULL, NULL),
(1305, 'FA1909-0019', 1, NULL, NULL, NULL, 0, NULL, 12693, '2019-09-25 16:12:12', '2019-09-25', NULL, '2019-09-25', NULL, '2019-10-11 07:19:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 125.72000000, 0.00000000, 0.00000000, 0.00000000, 628.59000000, 754.31000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, 'Maintenance compresseur L11 &agrave; 2265 HRS<br />\r\n- Contr&ocirc;les et v&eacute;rifications &nbsp;pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es&nbsp;<br />\r\n&nbsp;-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 628.59000000, 125.72000000, 754.31000000, NULL, 'facture/FA1909-0019/FA1909-0019.pdf', NULL, NULL),
(1306, 'FA1909-0020', 1, NULL, NULL, NULL, 0, NULL, 12877, '2019-09-25 16:41:40', '2019-09-25', NULL, '2019-09-25', NULL, '2020-01-16 16:27:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 28.55000000, 0.00000000, 0.00000000, 0.00000000, 142.76000000, 171.31000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, 'Intervention sur s&eacute;cheur MPF101&nbsp;<br />\r\n<br />\r\nBL N&deg;2 du 24/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 142.76000000, 28.55000000, 171.31000000, NULL, 'facture/FA1909-0020/FA1909-0020.pdf', NULL, NULL),
(1307, 'FA1909-0021', 1, NULL, NULL, NULL, 0, NULL, 2029, '2019-09-25 16:48:22', '2019-09-25', NULL, '2019-09-25', NULL, '2019-12-02 09:18:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 190.49000000, 0.00000000, 0.00000000, 0.00000000, 952.41000000, 1142.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'maintenance L11 &agrave; 39169 HRS -&nbsp;<br />\r\nRemplacement cartouche filtre reseau<br />\r\nRemplacement kit separateur de condensats Owamat 10<br />\r\n<br />\r\nBL N&deg;35 du 20/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 952.41000000, 190.49000000, 1142.90000000, NULL, 'facture/FA1909-0021/FA1909-0021.pdf', NULL, NULL),
(1308, 'FA1909-0022', 1, NULL, NULL, NULL, 0, NULL, 2033, '2019-09-26 10:05:32', '2019-09-26', NULL, '2019-09-26', NULL, '2019-11-18 09:08:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 68.53000000, 0.00000000, 0.00000000, 0.00000000, 342.66000000, 411.19000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Intervention suite &agrave; probleme de temperature sur local compresseur site de guilherand granges .<br />\r\nLe compresseur est au maximum de sa puissance .&nbsp;<br />\r\n<br />\r\nBL N&deg; 29 du 05/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 342.66000000, 68.53000000, 411.19000000, NULL, 'facture/FA1909-0022/FA1909-0022.pdf', NULL, NULL),
(1309, 'FA1909-0023', 1, NULL, NULL, NULL, 0, NULL, 2033, '2019-09-26 10:21:44', '2019-09-26', NULL, '2019-09-26', NULL, '2019-12-04 10:10:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 68.53000000, 0.00000000, 0.00000000, 0.00000000, 342.66000000, 411.19000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Intervention suuite à un probleme de débit sur local compresseur site de guilherand granges .<br />\r\nLe compresseur est au maximum de sa puissance . Il est trop juste pour la demande d\'air .<br />\r\n<br />\r\nBL N° 36 du 11/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 342.66000000, 68.53000000, 411.19000000, NULL, 'facture/FA1909-0023/FA1909-0023.pdf', NULL, NULL),
(1310, 'FA1909-0024', 1, NULL, NULL, NULL, 0, NULL, 2059, '2019-09-26 10:29:49', '2019-09-26', NULL, '2019-09-26', NULL, '2019-11-06 08:22:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 155.00000000, 0.00000000, 0.00000000, 0.00000000, 774.97000000, 929.97000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance d&#39;un compresseurs Sprint 15<br />\r\n&nbsp;num&eacute;ro de s&eacute;rie : 149783/249&nbsp;<br />\r\nMaintenance du separateur de condensats UltrasepSUper plus 15<br />\r\nRemplacement cartouche reseau&nbsp;<br />\r\n<br />\r\nBL N&deg;13 du 19/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 774.97000000, 155.00000000, 929.97000000, NULL, 'facture/FA1909-0024/FA1909-0024.pdf', NULL, NULL),
(1311, 'FA1909-0025', 1, NULL, NULL, NULL, 0, NULL, 2060, '2019-09-26 10:39:10', '2019-09-26', NULL, '2019-09-26', NULL, '2019-11-06 08:22:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 196.45000000, 0.00000000, 0.00000000, 0.00000000, 982.24000000, 1178.69000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance compresseur SPRINT041 N&deg;149567/18 &agrave; 19167 Hrs<br />\r\nMaintenance seprateur de condensats<br />\r\nMaintenance filtres reseau<br />\r\n<br />\r\nBL N&deg;14 du 19/07/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 982.24000000, 196.45000000, 1178.69000000, NULL, 'facture/FA1909-0025/FA1909-0025.pdf', NULL, NULL),
(1312, 'FA1909-0026', 1, NULL, NULL, NULL, 0, NULL, 2071, '2019-09-26 11:34:53', '2019-09-26', NULL, '2019-09-26', NULL, '2019-12-04 10:11:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 194.12000000, 0.00000000, 0.00000000, 0.00000000, 970.71000000, 1164.83000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 15, 2, '2019-09-27', NULL, 'Maintenance compresseur  V05  à 7637 HRS et boge à 17000HRS\r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 100 CV<br />\r\n<br />\r\nBL N° 43 & 42 du 17/09/2019<br />\r\n<br />\r\nReglement en 2 fois comme convenu avec Mr BALAZARD : <br />\r\n50% le 15/10/2019<br />\r\n50% le 15/11/2019<br />\r\n </p>\r\n', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 970.71000000, 194.12000000, 1164.83000000, NULL, 'facture/FA1909-0026/FA1909-0026.pdf', NULL, NULL),
(1313, 'FA1909-0027', 1, NULL, NULL, NULL, 0, NULL, 2076, '2019-09-26 11:52:48', '2019-09-26', NULL, '2019-09-26', NULL, '2019-11-07 17:17:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 135.04000000, 0.00000000, 0.00000000, 0.00000000, 675.20000000, 810.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance HV07 &agrave; 15487 heures et remplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;24 du 02/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 675.20000000, 135.04000000, 810.24000000, NULL, 'facture/FA1909-0027/FA1909-0027.pdf', NULL, NULL),
(1314, 'FA1909-0028', 1, NULL, NULL, NULL, 0, NULL, 2168, '2019-09-26 14:06:21', '2019-09-26', NULL, '2019-09-26', NULL, '2019-11-07 17:18:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 103.35000000, 0.00000000, 0.00000000, 0.00000000, 516.75000000, 620.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance L11 N&deg;BA22910002 &agrave; 7077 Heures -<br />\r\nMaintenance separateur de condensats&nbsp;owamat 10&nbsp;<br />\r\n<br />\r\nBL N&deg;25 du 02/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 516.75000000, 103.35000000, 620.10000000, NULL, 'facture/FA1909-0028/FA1909-0028.pdf', NULL, NULL),
(1315, 'FA1909-0029', 1, NULL, NULL, NULL, 0, NULL, 2075, '2019-09-26 14:10:46', '2019-09-26', NULL, '2019-09-26', NULL, '2019-11-28 16:07:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 34.02000000, 0.00000000, 0.00000000, 0.00000000, 170.10000000, 204.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Intervention frigoriste sur s&eacute;cheur -<br />\r\nSRA&nbsp;<br />\r\nBL N&deg;011548 du 07/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 170.10000000, 34.02000000, 204.12000000, NULL, 'facture/FA1909-0029/FA1909-0029.pdf', NULL, NULL),
(1316, 'FA1909-0030', 1, NULL, NULL, NULL, 0, NULL, 2068, '2019-09-26 14:32:06', '2019-09-26', NULL, '2019-09-26', NULL, '2019-12-03 09:28:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 21.00000000, 0.00000000, 0.00000000, 0.00000000, 105.00000000, 126.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Pressostat pour compresseur L05 COMPAIR :<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 105.00000000, 21.00000000, 126.00000000, NULL, 'facture/FA1909-0030/FA1909-0030.pdf', NULL, NULL),
(1317, 'FA1909-0031', 1, NULL, NULL, NULL, 0, NULL, 2102, '2019-09-26 14:38:29', '2019-09-26', NULL, '2019-09-26', NULL, '2019-12-05 15:50:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 44.80000000, 0.00000000, 0.00000000, 0.00000000, 224.00000000, 268.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'un devis pour un carton de n&eacute;ons led<br />\r\n<br />\r\nCommande N&deg; BC2019.09.151', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 224.00000000, 44.80000000, 268.80000000, NULL, 'facture/FA1909-0031/FA1909-0031.pdf', NULL, NULL),
(1318, 'FA1909-0032', 1, NULL, NULL, NULL, 0, NULL, 2103, '2019-09-26 14:42:16', '2019-09-26', NULL, '2019-09-26', NULL, '2019-11-04 10:10:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 389.97000000, 0.00000000, 0.00000000, 0.00000000, 1949.89000000, 2339.86000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance L45RS N° CD10015227001 à 20169 HRS <br />\r\nMaintenance seprateur de condensats  owamat 14 <br />\r\n<br />\r\nMise en place de deux filtres réseaux en amont et aval du sécheur : traitement 700 m3/h<br />\r\n<br />\r\nBL N°30 du 05/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1949.89000000, 389.97000000, 2339.86000000, NULL, 'facture/FA1909-0032/FA1909-0032.pdf', NULL, NULL),
(1319, 'FA1909-0033', 1, NULL, NULL, NULL, 0, NULL, 12792, '2019-09-26 14:51:55', '2019-09-26', NULL, '2019-09-26', NULL, '2019-12-11 08:23:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1276.00000000, 0.00000000, 0.00000000, 0.00000000, 6380.00000000, 7656.00000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, 'Fourniture et installation d\'un pont 2 colonnes 4 Tonnes <br />\r\n<br />\r\nCommande N°13- investissemnt 2019<br />\r\nreference C190005097<br />\r\nLivraison : 26200 MONTELIMAR<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6380.00000000, 1276.00000000, 7656.00000000, NULL, 'facture/FA1909-0033/FA1909-0033.pdf', NULL, NULL),
(1320, 'FA1909-0034', 1, NULL, NULL, NULL, 0, NULL, 2175, '2019-09-26 15:01:59', '2019-09-26', NULL, '2019-09-26', NULL, '2019-11-19 08:59:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 95.85000000, 0.00000000, 0.00000000, 0.00000000, 479.22000000, 575.07000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance Sullair Trek 15HH &agrave; 11797 HRS&nbsp;<br />\r\n<br />\r\nBL N&deg;31 du 13/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 479.22000000, 95.85000000, 575.07000000, NULL, 'facture/FA1909-0034/FA1909-0034.pdf', NULL, NULL),
(1321, 'FA1909-0035', 1, NULL, NULL, NULL, 0, NULL, 2175, '2019-09-26 15:08:14', '2019-09-26', NULL, '2019-09-26', NULL, '2019-11-19 08:59:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.93000000, 0.00000000, 0.00000000, 0.00000000, 504.62000000, 605.55000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance compresseur GA115 &agrave; 33908 Hrs<br />\r\nFiltre a air et filtre a huile de votre fourniture<br />\r\n<br />\r\nBL N&deg; 32 du 13/09/2019&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 504.62000000, 100.93000000, 605.55000000, NULL, 'facture/FA1909-0035/FA1909-0035.pdf', NULL, NULL),
(1322, 'FA1909-0036', 1, NULL, NULL, NULL, 0, NULL, 2174, '2019-09-26 15:19:22', '2019-09-26', NULL, '2019-09-26', NULL, '2019-10-31 10:14:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 284.66000000, 0.00000000, 0.00000000, 0.00000000, 1423.30000000, 1707.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance L29RS N&deg; CD10018602001 &agrave; 21993 Hrs<br />\r\n<br />\r\nBL N&deg;33 du 10/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1423.30000000, 284.66000000, 1707.96000000, NULL, 'facture/FA1909-0036/FA1909-0036.pdf', NULL, NULL),
(1323, 'FA1909-0037', 1, NULL, NULL, NULL, 0, NULL, 2169, '2019-09-26 15:35:05', '2019-09-26', NULL, '2019-09-26', NULL, '2019-11-04 10:08:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 133.43000000, 0.00000000, 0.00000000, 0.00000000, 667.11000000, 800.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance compresseur KA7 plus &agrave; ( 777hrs ?? )&nbsp;<br />\r\n<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg; 26 du 05/09/2019<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 667.11000000, 133.43000000, 800.54000000, NULL, 'facture/FA1909-0037/FA1909-0037.pdf', NULL, NULL),
(1324, 'FA1909-0038', 1, NULL, NULL, NULL, 0, NULL, 2178, '2019-09-26 15:47:55', '2019-09-26', NULL, '2019-09-26', NULL, '2019-11-18 09:07:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 105.60000000, 0.00000000, 0.00000000, 0.00000000, 528.00000000, 633.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'commande du 16/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 528.00000000, 105.60000000, 633.60000000, NULL, 'facture/FA1909-0038/FA1909-0038.pdf', NULL, NULL),
(1325, 'FA1909-0039', 1, NULL, NULL, NULL, 0, NULL, 12596, '2019-09-26 15:52:36', '2019-09-26', NULL, '2019-09-26', NULL, '2019-11-05 10:24:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 171.18000000, 0.00000000, 0.00000000, 0.00000000, 855.86000000, 1027.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, 'Maintenance RS PRO7.5 10 bars N&deg;737002 &agrave; 1722 Heures<br />\r\nRemplacement deux cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg;26 du 02/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 855.86000000, 171.18000000, 1027.04000000, NULL, 'facture/FA1909-0039/FA1909-0039.pdf', NULL, NULL),
(1326, 'FA1909-0040', 1, NULL, NULL, NULL, 0, NULL, 2234, '2019-09-26 16:38:47', '2019-09-26', NULL, '2019-09-26', NULL, '2019-10-16 19:12:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 489.96000000, 0.00000000, 0.00000000, 0.00000000, 2449.85000000, 2939.81000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance L45RS N&deg;CD10005658001 &agrave; 8614Hrs<br />\r\nRemplcament des cartouches des filtres reseaux&nbsp;<br />\r\n<br />\r\nBL N&deg; 24 du 29/09/2019<br />\r\n<br />\r\nCommande N&deg;4800303140', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2449.85000000, 489.96000000, 2939.81000000, NULL, 'facture/FA1909-0040/FA1909-0040.pdf', NULL, NULL),
(1327, 'FA1909-0041', 1, NULL, NULL, NULL, 0, NULL, 9822, '2019-09-26 16:53:14', '2019-09-26', NULL, '2019-09-26', NULL, '2019-12-04 10:13:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 32.52000000, 0.00000000, 0.00000000, 0.00000000, 162.60000000, 195.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Intervention sur s&eacute;cheur MPF315 de 2012 - probleme de groupe chaud -<br />\r\n<br />\r\nBL N&deg;27 du 12/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 162.60000000, 32.52000000, 195.12000000, NULL, 'facture/FA1909-0041/FA1909-0041.pdf', NULL, NULL),
(1328, 'FA1909-0042', 1, NULL, NULL, NULL, 0, NULL, 12721, '2019-09-27 09:31:14', '2019-09-27', NULL, '2019-09-27', NULL, '2019-10-16 19:18:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2000.00000000, 0.00000000, 0.00000000, 0.00000000, 10000.00000000, 12000.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-09-28', NULL, 'Dossier CMP :<br />\r\nR&eacute;cup&eacute;ration du booster Oxygene', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 10000.00000000, 2000.00000000, 12000.00000000, NULL, 'facture/FA1909-0042/FA1909-0042.pdf', NULL, NULL),
(1329, 'FA1909-0043', 1, NULL, NULL, NULL, 0, NULL, 2054, '2019-09-27 09:41:31', '2019-09-27', NULL, '2019-09-27', NULL, '2019-11-04 10:10:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 147.07000000, 0.00000000, 0.00000000, 0.00000000, 735.38000000, 882.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'R&eacute;paration carte du compresseur Sullair Wa3008 &agrave; 19152 Heures - remplacement des relais sur la carte .<br />\r\n<br />\r\nBL N&deg;28 du 20/09/2019<br />\r\n<br />\r\nRemplacement clapet du compresseur SUllair WA3008 &agrave; 19146 Heures<br />\r\n<br />\r\nBL N&deg;37 du 12/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 735.38000000, 147.07000000, 882.45000000, NULL, 'facture/FA1909-0043/FA1909-0043.pdf', NULL, NULL),
(1330, 'FA1909-0044', 1, NULL, NULL, NULL, 0, NULL, 2223, '2019-09-27 10:01:21', '2019-09-27', NULL, '2019-09-27', NULL, '2019-11-07 17:18:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.97000000, 0.00000000, 0.00000000, 0.00000000, 564.86000000, 677.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance compresseur&nbsp; RSDK PRO ECN 7.5 7 .5 bars&nbsp;<br />\r\n<br />\r\nBL N&deg;26 du 06/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 564.86000000, 112.97000000, 677.83000000, NULL, 'facture/FA1909-0044/FA1909-0044.pdf', NULL, NULL),
(1331, 'FA1909-0045', 1, NULL, NULL, NULL, 0, NULL, 12944, '2019-09-27 10:10:15', '2019-09-27', NULL, '2019-09-27', NULL, '2019-12-04 10:16:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 18.01000000, 0.00000000, 0.00000000, 0.00000000, 90.05000000, 108.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 90.05000000, 18.01000000, 108.06000000, NULL, 'facture/FA1909-0045/FA1909-0045.pdf', NULL, NULL),
(1332, 'FA1909-0046', 1, NULL, NULL, NULL, 0, NULL, 12890, '2019-09-27 10:35:46', '2019-09-27', NULL, '2019-09-27', NULL, '2019-11-04 10:09:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 66.29000000, 0.00000000, 0.00000000, 0.00000000, 331.44000000, 397.73000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, 'Intervention suite &agrave; probleme de phase sur disjoncteur de t&ecirc;te -<br />\r\n<br />\r\nBL N&deg;29 du 09/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 331.44000000, 66.29000000, 397.73000000, NULL, 'facture/FA1909-0046/FA1909-0046.pdf', NULL, NULL),
(1333, 'FA1909-0047', 1, NULL, NULL, NULL, 0, NULL, 2272, '2019-09-27 10:51:41', '2019-09-27', NULL, '2019-09-27', NULL, '2019-12-04 10:14:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 107.80000000, 0.00000000, 0.00000000, 0.00000000, 539.00000000, 646.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance L05 N&deg; BA34728001 &agrave; 5060 Heures<br />\r\n<br />\r\nBL N&deg;30 du 23/096/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 539.00000000, 107.80000000, 646.80000000, NULL, 'facture/FA1909-0047/FA1909-0047.pdf', NULL, NULL),
(1334, 'FA1909-0048', 1, NULL, NULL, NULL, 0, NULL, 12777, '2019-09-27 11:18:22', '2019-09-27', NULL, '2019-09-27', NULL, '2019-12-05 15:45:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 168.48000000, 0.00000000, 0.00000000, 0.00000000, 842.40000000, 1010.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', 'verification du secheur pb de ventilo sur l&#39;un des secheurs', 'Maintenance compresseur L15 RS &agrave; 16209 HRS<br />\r\nRemplacement cartouches filtres reseaux<br />\r\nMaintenance separateur de condensats owamat 11<br />\r\n<br />\r\nBL N&deg;28 du 06/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 842.40000000, 168.48000000, 1010.88000000, NULL, 'facture/FA1909-0048/FA1909-0048.pdf', NULL, NULL),
(1335, 'FA1909-0049', 1, NULL, NULL, NULL, 0, NULL, 2311, '2019-09-27 11:44:06', '2019-09-27', NULL, '2019-09-27', NULL, '2019-12-04 10:11:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 60.70000000, 0.00000000, 0.00000000, 0.00000000, 303.52000000, 364.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'remplacement sonde de temperature sur s&eacute;cheur OMI<br />\r\n<br />\r\nBL N&deg;23 du 26/07/2019&nbsp;<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.52000000, 60.70000000, 364.22000000, NULL, 'facture/FA1909-0049/FA1909-0049.pdf', NULL, NULL),
(1336, 'FA1909-0050', 1, NULL, NULL, NULL, 0, NULL, 2371, '2019-09-30 15:29:51', '2019-09-30', NULL, '2019-09-30', NULL, '2019-11-06 08:23:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 120.68000000, 0.00000000, 0.00000000, 0.00000000, 603.44000000, 724.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'maintenance L22 N&deg; CD10002416007 &agrave; 28231HRS et filtre reseau et maintenance separateur de condensats OWAMAT 10<br />\r\n<br />\r\nBL N&deg;29 du 20/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 603.44000000, 120.68000000, 724.12000000, NULL, 'facture/FA1909-0050/FA1909-0050.pdf', NULL, NULL),
(1337, 'FA1909-0051', 1, NULL, NULL, NULL, 0, NULL, 12667, '2019-09-30 16:13:13', '2019-09-30', NULL, '2019-09-30', NULL, '2019-12-05 15:46:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 103.68000000, 0.00000000, 0.00000000, 0.00000000, 518.44000000, 622.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, 'Maintenance GX7 &agrave; 7359 Heures&nbsp;<br />\r\n<br />\r\nBL N&deg;44 du 18/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 518.44000000, 103.68000000, 622.12000000, NULL, 'facture/FA1909-0051/FA1909-0051.pdf', NULL, NULL),
(1338, 'FA1909-0052', 1, NULL, NULL, NULL, 0, NULL, 2070, '2019-10-01 09:22:25', '2019-09-30', NULL, '2019-10-01', NULL, '2019-11-04 10:11:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 128.35000000, 0.00000000, 0.00000000, 0.00000000, 641.74000000, 770.09000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'maintenance L11 N&deg;CD10002436002 &agrave; 14031 Heures<br />\r\nmaintenance separateur de condensats owamat 10<br />\r\nRemplacement cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg;40 du 12/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 641.74000000, 128.35000000, 770.09000000, NULL, 'facture/FA1909-0052/FA1909-0052.pdf', NULL, NULL),
(1339, 'FA1910-0001', 1, NULL, NULL, NULL, 0, NULL, 2234, '2019-10-01 09:25:42', '2019-10-01', NULL, '2019-10-01', NULL, '2019-11-19 09:00:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA1910-0001/FA1910-0001.pdf', NULL, NULL),
(1340, 'FA1910-0002', 1, NULL, NULL, NULL, 0, NULL, 2197, '2019-10-01 09:26:40', '2019-10-01', NULL, '2019-10-01', NULL, '2019-10-18 19:19:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, 'facture/FA1910-0002/FA1910-0002.pdf', NULL, NULL),
(1341, 'FA1909-0053', 1, NULL, NULL, NULL, 0, NULL, 2341, '2019-10-01 09:37:00', '2019-09-30', NULL, '2019-10-01', NULL, '2019-11-18 09:06:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 91.39000000, 0.00000000, 0.00000000, 0.00000000, 456.94000000, 548.33000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'MaintenanceL11 N&deg; BA25955002 &agrave; 15843 heures<br />\r\nMaintenance separateur de condensats Owamat 10<br />\r\n<br />\r\nBL N&deg;39 du 12/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 456.94000000, 91.39000000, 548.33000000, NULL, 'facture/FA1909-0053/FA1909-0053.pdf', NULL, NULL),
(1342, 'FA1909-0054', 1, NULL, NULL, NULL, 0, NULL, 12924, '2019-10-01 10:03:11', '2019-09-30', NULL, '2019-10-01', NULL, '2019-12-27 11:03:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1787.03000000, 0.00000000, 0.00000000, 0.00000000, 8935.03000000, 10722.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, 'Local air comprim&eacute;<br />\r\n<br />\r\nBL N&deg;10 du 13/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 8935.03000000, 1787.03000000, 10722.06000000, NULL, 'facture/FA1909-0054/FA1909-0054.pdf', NULL, NULL),
(1343, 'AV1909-0002', 1, NULL, NULL, NULL, 2, NULL, 2059, '2019-10-01 10:13:42', '2019-09-30', NULL, '2019-10-01', NULL, '2020-01-13 12:38:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -51.75000000, 0.00000000, 0.00000000, 0.00000000, -258.75000000, -310.50000000, 2, 5, NULL, 5, NULL, 1310, NULL, NULL, NULL, 0, 2, '2019-09-30', NULL, 'Filtres reseaux et separateur de condensats&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -258.75000000, -51.75000000, -310.50000000, NULL, 'facture/AV1909-0002/AV1909-0002.pdf', NULL, NULL),
(1344, 'AV1909-0003', 1, NULL, NULL, NULL, 2, NULL, 2060, '2019-10-01 10:20:13', '2019-09-30', NULL, '2019-10-01', NULL, '2020-03-09 10:42:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -32.72000000, 0.00000000, 0.00000000, 0.00000000, -163.60000000, -196.32000000, 2, 5, NULL, 5, NULL, 1311, NULL, NULL, NULL, 0, 2, '2019-09-30', NULL, 'filtre reseau', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 163.60000000, 32.72000000, 196.32000000, NULL, 'facture/AV1909-0003/AV1909-0003.pdf', NULL, NULL),
(1345, 'FA1909-0055', 1, NULL, NULL, NULL, 0, NULL, 2379, '2019-10-01 10:37:21', '2019-09-30', NULL, '2019-10-01', NULL, '2019-11-12 08:39:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 143.39000000, 0.00000000, 0.00000000, 0.00000000, 717.01000000, 860.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance compresseur L15RS N&deg; CD10024800002 &agrave;&nbsp; HRS<br />\r\nMaintenance seprateur de condensats owamat 10<br />\r\nRemplacement des cartouches filtres r&eacute;seaux&nbsp;<br />\r\n<br />\r\n<br />\r\nBL N&deg;3 du 25/09/2019<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 717.01000000, 143.39000000, 860.40000000, NULL, 'facture/FA1909-0055/FA1909-0055.pdf', NULL, NULL),
(1346, 'FA1909-0056', 1, NULL, NULL, NULL, 0, NULL, 2381, '2019-10-01 10:44:42', '2019-09-30', NULL, '2019-10-01', NULL, '2019-11-05 10:23:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 36.40000000, 0.00000000, 0.00000000, 0.00000000, 182.00000000, 218.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Intervention sur compresseur ATLAS GA11C - probleme de temperature<br />\r\n<br />\r\nBL N&deg;4 du 25/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 182.00000000, 36.40000000, 218.40000000, NULL, 'facture/FA1909-0056/FA1909-0056.pdf', NULL, NULL),
(1347, 'FA1909-0057', 1, NULL, NULL, NULL, 0, NULL, 2380, '2019-10-01 10:59:27', '2019-09-30', NULL, '2019-10-01', NULL, '2019-11-29 08:12:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 153.76000000, 0.00000000, 0.00000000, 0.00000000, 768.79000000, 922.55000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance compresseur BOGE C9 &agrave; 24706 Hrs<br />\r\net remplcament cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg;1 du 23/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 768.79000000, 153.76000000, 922.55000000, NULL, 'facture/FA1909-0057/FA1909-0057.pdf', NULL, NULL),
(1348, 'FA1909-0058', 1, NULL, NULL, NULL, 0, NULL, 11209, '2019-10-01 11:09:29', '2019-09-30', NULL, '2019-10-01', NULL, '2019-11-04 10:10:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 69.93000000, 0.00000000, 0.00000000, 0.00000000, 349.66000000, 419.59000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, 'Intervention fuite d&#39;huile sur compresseur BELAIR GS30B &agrave; 28483 Heures de 2014 N&deg; MMJS040020<br />\r\n<br />\r\nBL N&deg;47 du 23/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 349.66000000, 69.93000000, 419.59000000, NULL, 'facture/FA1909-0058/FA1909-0058.pdf', NULL, NULL),
(1349, 'FA1909-0059', 1, NULL, NULL, NULL, 0, NULL, 11440, '2019-10-01 11:18:35', '2019-09-30', NULL, '2019-10-01', NULL, '2019-10-08 09:34:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.98000000, 0.00000000, 0.00000000, 0.00000000, 564.86000000, 677.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance compresseur RSDKB 4 -10bars RENNER N&deg; 710036 &agrave; 1632 Hrs<br />\r\n<br />\r\nBL N&deg;32 du 23/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 564.86000000, 112.98000000, 677.84000000, NULL, 'facture/FA1909-0059/FA1909-0059.pdf', NULL, NULL),
(1350, 'FA1909-0060', 1, NULL, NULL, 'comp reservoi secheur', 0, NULL, 12928, '2019-10-01 14:15:33', '2019-09-30', NULL, '2019-10-01', NULL, '2019-10-09 06:56:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1400.02000000, 0.00000000, 0.00000000, 0.00000000, 7000.00000000, 8400.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, 'Fourniture d&#39;un compresseur &agrave; vis 7.5 KW &agrave; 7.5 Bars ( pouvant fonctionner &agrave; 6 Bars )&nbsp; mont&eacute; sur reservoir 270L avec s&eacute;cheur par r&eacute;frigeration et filtration amont et aval , avec coffret d&#39;isolation phonique et kit silent blocs pour minimiser le niveau sonore &agrave; 60 dB(A).<br />\r\nLes travaux d&#39;alimentation electrique du compresseur et de ses accessoires reste a votre charge<br />\r\n&nbsp;\r\n<p><strong><em><u>Condition de vente</u></em></strong></p>\r\n\r\n<ul>\r\n	<li>Livraison&nbsp;: Franco</li>\r\n	<li>D&eacute;lai&nbsp;: Sous 2 semaines environ</li>\r\n	<li>Garantie&nbsp;: 2 ans Pi&egrave;ces / Mo&nbsp;: D&eacute;placement</li>\r\n	<li>Fabrication&nbsp;: Allemagne</li>\r\n</ul>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 7000.00000000, 1400.02000000, 8400.02000000, NULL, 'facture/FA1909-0060/FA1909-0060.pdf', NULL, NULL),
(1351, 'FA1909-0061', 1, NULL, NULL, NULL, 0, NULL, 2386, '2019-10-01 14:26:52', '2019-09-30', NULL, '2019-10-01', NULL, '2019-11-26 08:51:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 296.41000000, 0.00000000, 0.00000000, 0.00000000, 1482.06000000, 1778.47000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance L11&nbsp; N&deg; BA42544001 &agrave; 812 HRS<br />\r\nMaintenance BS61 &agrave; 22690 HRS<br />\r\n<br />\r\nBL N&deg;31 &amp; 32 du 06/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1482.06000000, 296.41000000, 1778.47000000, NULL, 'facture/FA1909-0061/FA1909-0061.pdf', NULL, NULL),
(1352, 'FA1910-0003', 1, NULL, NULL, NULL, 0, NULL, 2407, '2019-10-01 14:33:15', '2019-09-30', NULL, '2019-10-01', NULL, '2019-12-02 09:19:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 157.64000000, 0.00000000, 0.00000000, 0.00000000, 788.20000000, 945.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Remplacement ventilateur sur secheur compair F300HS<br />\r\n<br />\r\nCOmmande N&deg; 911136278-0-10760', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 788.20000000, 157.64000000, 945.84000000, NULL, 'facture/FA1910-0003/FA1910-0003.pdf', NULL, NULL),
(1353, 'FA1909-0062', 1, NULL, NULL, 'L90 RS 2015 crouzet', 0, NULL, 2407, '2019-10-01 14:38:19', '2019-09-30', NULL, '2019-10-01', NULL, '2019-12-02 09:19:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 141.53000000, 0.00000000, 0.00000000, 0.00000000, 707.67000000, 849.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance L90RS 13BARS de 2015 N&deg; CD10030723001 &agrave; 11252 Heures<br />\r\n<br />\r\nBL N&deg;40 du 15/07/2019<br />\r\n<br />\r\nCommande N&deg;910965666<br />\r\n<br />\r\nCommande :&nbsp;910965666<br />\r\n<br />\r\nLIvraison : CROUZET AUTOMATISME 26000VALENCE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 707.67000000, 141.53000000, 849.20000000, NULL, 'facture/FA1909-0062/FA1909-0062.pdf', NULL, NULL),
(1355, 'FA1909-0063', 1, NULL, NULL, NULL, 0, NULL, 2406, '2019-10-01 14:53:12', '2019-09-30', NULL, '2019-10-01', NULL, '2020-01-22 09:24:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 291.94000000, 0.00000000, 0.00000000, 0.00000000, 1459.66000000, 1751.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'Maintenance compresseur L18 N&deg; CD10009710001 &agrave; 19955 Heures<br />\r\n<br />\r\nRemplacement des cartouches des 2 filtres r&eacute;seaux&nbsp;<br />\r\n<br />\r\nBL N&deg;25 du 28/08/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1459.66000000, 291.94000000, 1751.60000000, NULL, 'facture/FA1909-0063/FA1909-0063.pdf', NULL, NULL),
(1356, 'FA1909-0064', 1, NULL, NULL, NULL, 0, NULL, 12700, '2019-10-01 14:58:50', '2019-09-30', NULL, '2019-10-01', NULL, '2019-12-04 10:18:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 4899.99000000, 0.00000000, 0.00000000, 0.00000000, 24500.00000000, 29399.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, 'local air comprim&eacute; suivant devis du 26/06/2019 modifi&eacute; suite &agrave; notre entretien du 25/07/2019 :&nbsp;<br />\r\ninclus :<br />\r\nligne electrique ( 20 metres en 4g16 et un fusible de 63A dans chemin de cable existant ) nouvelle machine<br />\r\nkit entretien compresseur L23RS et huile pour premiere maintenance 4000 Heures<br />\r\n<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 24500.00000000, 4899.99000000, 29399.99000000, NULL, 'facture/FA1909-0064/FA1909-0064.pdf', NULL, NULL),
(1357, 'FA1909-0065', 1, NULL, NULL, '1900815', 0, NULL, 1948, '2019-10-01 15:04:25', '2019-09-30', NULL, '2019-10-01', NULL, '2019-11-12 08:39:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 61.96000000, 0.00000000, 0.00000000, 0.00000000, 309.80000000, 371.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.80000000, 61.96000000, 371.76000000, NULL, 'facture/FA1909-0065/FA1909-0065.pdf', NULL, NULL),
(1358, 'FA1909-0066', 1, NULL, NULL, NULL, 0, NULL, 2077, '2019-10-01 15:14:21', '2019-09-30', NULL, '2019-10-01', NULL, '2019-10-28 10:07:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 287.40000000, 0.00000000, 0.00000000, 0.00000000, 1437.00000000, 1724.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'maintenance L22RS &agrave;&nbsp; 27038HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats Owamat 10<br />\r\nremplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;6 du 27/09/2019<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1437.00000000, 287.40000000, 1724.40000000, NULL, 'facture/FA1909-0066/FA1909-0066.pdf', NULL, NULL),
(1359, 'FA1909-0067', 1, NULL, NULL, 'ABAC', 0, NULL, 11209, '2019-10-03 09:29:31', '2019-09-30', NULL, '2019-10-03', NULL, '2019-11-13 09:33:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 149.81000000, 0.00000000, 0.00000000, 0.00000000, 749.09000000, 898.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, 'Maintenance compresseur SCREW 4010 VT&nbsp; N&deg;244581001 &agrave; 11455 HRS et filtre reseau D510\r\n<p>BL N&deg;8 du 30/09/2019</p>\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 749.09000000, 149.81000000, 898.90000000, NULL, 'facture/FA1909-0067/FA1909-0067.pdf', NULL, NULL),
(1360, 'FA1909-0068', 1, NULL, NULL, 'BELAIR', 0, NULL, 11209, '2019-10-03 09:34:40', '2019-09-30', NULL, '2019-10-03', NULL, '2019-12-04 10:19:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 95.15000000, 0.00000000, 0.00000000, 0.00000000, 475.70000000, 570.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, 'Maintenance compresseur BELAIR GS30 N&deg; MMJS040020 &agrave; 28599 HRS<br />\r\n<br />\r\nBL N&deg; 7 du 30/09/2019<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 475.70000000, 95.15000000, 570.85000000, NULL, 'facture/FA1909-0068/FA1909-0068.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1361, 'FA1909-0069', 1, NULL, NULL, NULL, 0, NULL, 11209, '2019-10-03 09:37:40', '2019-09-30', NULL, '2019-10-03', NULL, '2019-12-04 10:19:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 123.75000000, 0.00000000, 0.00000000, 0.00000000, 618.75000000, 742.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, 'Maintenance s&eacute;parateur de condensats ECOTRON60 et ECOSEP S3 :&nbsp;<br />\r\n<br />\r\nA r&eacute;aliser avec une maintenance - d&eacute;placement non inclus dans cette offre', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 618.75000000, 123.75000000, 742.50000000, NULL, 'facture/FA1909-0069/FA1909-0069.pdf', NULL, NULL),
(1362, 'FA1910-0004', 1, NULL, NULL, NULL, 0, NULL, 12600, '2019-10-03 11:33:00', '2019-10-03', NULL, '2019-10-03', NULL, '2019-12-12 15:21:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 13.40000000, 0.00000000, 0.00000000, 0.00000000, 67.00000000, 80.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-11-30', NULL, 'Remplacement sonde de temp&eacute;rature ur L07RS N&deg; BA33125001', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 67.00000000, 13.40000000, 80.40000000, NULL, 'facture/FA1910-0004/FA1910-0004.pdf', NULL, NULL),
(1363, 'FA1910-0005', 1, NULL, NULL, NULL, 0, NULL, 12600, '2019-10-03 11:35:37', '2019-10-03', NULL, '2019-10-03', NULL, '2019-12-12 15:21:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 175.41000000, 0.00000000, 0.00000000, 0.00000000, 877.03000000, 1052.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-11-30', NULL, 'Maintenance compresseur L07RS N&deg; BA33125001&nbsp;<br />\r\nRemplacement cartouches filtres reseaux&nbsp;<br />\r\nmaintenance separateur de condensats<br />\r\nRemplacement purgeur sur filtre reseau BEA<br />\r\n*<br />\r\nBL N&deg;38 du 02/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 877.03000000, 175.41000000, 1052.44000000, NULL, 'facture/FA1910-0005/FA1910-0005.pdf', NULL, NULL),
(1364, 'FA1909-0070', 1, NULL, NULL, NULL, 0, NULL, 7060, '2019-10-03 14:21:43', '2019-09-30', NULL, '2019-10-03', NULL, '2019-11-12 08:41:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 145.95000000, 0.00000000, 0.00000000, 0.00000000, 729.71000000, 875.66000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-10-31', NULL, 'Maintenance Local technique : Maintenance compresseur SULLAIR TREK30HH &agrave; 26013 HRS et 2 filtres reseaux -<br />\r\nSoufflage et verification des connection du s&eacute;cheur &nbsp;ACT55 .<br />\r\n<br />\r\nBL N&deg;37 du 27/09/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 729.71000000, 145.95000000, 875.66000000, NULL, 'facture/FA1909-0070/FA1909-0070.pdf', NULL, NULL),
(1365, 'FA1910-0006', 1, NULL, NULL, NULL, 0, NULL, 2161, '2019-10-03 14:36:15', '2019-10-03', NULL, '2019-10-03', NULL, '2019-12-13 08:32:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 26.40000000, 0.00000000, 0.00000000, 0.00000000, 132.00000000, 158.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'purge electropilot&eacute;e<br />\r\n<br />\r\nCommande N&deg; 2100/19016427<br />\r\nService : F_DSTELO_ST_H', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.00000000, 26.40000000, 158.40000000, NULL, 'facture/FA1910-0006/FA1910-0006.pdf', NULL, NULL),
(1366, 'FA1909-0071', 1, NULL, NULL, NULL, 0, NULL, 2234, '2019-10-03 14:41:08', '2019-09-30', NULL, '2019-10-03', NULL, '2019-10-16 19:12:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 80.68000000, 0.00000000, 0.00000000, 0.00000000, 403.40000000, 484.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-10-31', NULL, 'remplacement battery sur compresseur<br />\r\n<br />\r\nCOmmande N&deg; 4800303140', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 403.40000000, 80.68000000, 484.08000000, NULL, 'facture/FA1909-0071/FA1909-0071.pdf', NULL, NULL),
(1367, 'AV1910-0001', 1, NULL, NULL, NULL, 2, NULL, 2318, '2019-10-03 15:51:42', '2019-10-03', NULL, '2019-10-03', NULL, '2019-11-12 08:38:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -13.60000000, 0.00000000, 0.00000000, 0.00000000, -68.00000000, -81.60000000, 2, 5, NULL, 5, NULL, 1299, NULL, NULL, NULL, 0, 2, '2019-10-03', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -68.00000000, -13.60000000, -81.60000000, NULL, 'facture/AV1910-0001/AV1910-0001.pdf', NULL, NULL),
(1368, 'AV1909-0004', 1, NULL, NULL, NULL, 2, NULL, 12890, '2019-10-04 09:02:42', '2019-09-30', NULL, '2019-10-04', NULL, '2019-12-04 10:19:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -200.00000000, 0.00000000, 0.00000000, 0.00000000, -1000.00000000, -1200.00000000, 2, 5, NULL, 5, NULL, 1217, NULL, NULL, NULL, 0, 0, '2019-09-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1000.00000000, 200.00000000, 1200.00000000, NULL, 'facture/AV1909-0004/AV1909-0004.pdf', NULL, NULL),
(1369, 'FA1910-0007', 1, NULL, NULL, NULL, 0, NULL, 6086, '2019-10-07 11:42:09', '2019-10-07', NULL, '2019-10-07', NULL, '2019-10-07 09:42:16', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 283.80000000, 0.00000000, 0.00000000, 0.00000000, 1419.00000000, 1702.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-10-08', NULL, 'Contrat de maintenancepour partie air comprim&eacute; et azote N&deg;2019050201<br />\r\nSign&eacute; le 7 mai 2019 pour une dur&eacute;e de 5 ans .<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1419.00000000, 283.80000000, 1702.80000000, NULL, 'facture/FA1910-0007/FA1910-0007.pdf', NULL, NULL),
(1370, 'AV1910-0002', 1, NULL, NULL, NULL, 2, NULL, 12700, '2019-10-15 14:18:56', '2019-10-15', NULL, '2019-10-15', NULL, '2019-12-04 10:20:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -4899.99000000, 0.00000000, 0.00000000, 0.00000000, -24500.00000000, -29399.99000000, 2, 5, NULL, 5, NULL, 1356, NULL, NULL, NULL, 0, 0, '2019-10-15', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -24500.00000000, -4899.99000000, -29399.99000000, NULL, 'facture/AV1910-0002/AV1910-0002.pdf', NULL, NULL),
(1371, 'FA1910-0008', 1, NULL, NULL, NULL, 0, NULL, 12930, '2019-10-15 14:24:11', '2019-10-15', NULL, '2019-10-15', NULL, '2019-11-05 10:25:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 4899.99000000, 0.00000000, 0.00000000, 0.00000000, 24500.01000000, 29400.00000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 16, 0, '2019-10-16', NULL, 'local air comprimé suivant devis du 26/06/2019 modifié suite à notre entretien du 25/07/2019 : <br />\r\ninclus :<br />\r\nUn compresseur à vitesse variable COMPAIR GARDNER DENVER L23RS<br />\r\nligne electrique ( 20 metres en 4g16 et un fusible de 63A dans chemin de cable existant ) nouvelle machine<br />\r\nMaintenance compresseur L23RS uniquement  pour premiere maintenance 4000 Heures offerte . <br />\r\n<br />\r\nRéglement:<br />\r\nAcompte de 8167 € HT déjà versé sur nos comptes<br />\r\nsolde 30 jours date de facture<br />\r\n<br />\r\nSite des travaux : SLCD 14 Avenue des arrivaux 38070 SAINT QUANTIN FALLAVIER<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 24500.01000000, 4899.99000000, 29400.00000000, NULL, 'facture/FA1910-0008/FA1910-0008.pdf', NULL, NULL),
(1372, 'FA1910-0009', 1, NULL, NULL, 'Cuve 900 Litres', 0, NULL, 2032, '2019-10-15 15:24:15', '2019-10-15', NULL, '2019-10-15', NULL, '2020-03-10 08:29:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 359.20000000, 0.00000000, 0.00000000, 0.00000000, 1796.00000000, 2155.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Remplacement d&#39;une cuve 1000 Litres par une cuve 900 Litres pour &eacute;viter la d&eacute;claration en pr&eacute;fecture&nbsp;<br />\r\n2 Techniciens pour 1/2 Journ&eacute;e&nbsp;<br />\r\nFourniture de la cuve et Installation comprise&nbsp;<br />\r\n<br />\r\nCommande CF013084', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1796.00000000, 359.20000000, 2155.20000000, NULL, 'facture/FA1910-0009/FA1910-0009.pdf', NULL, NULL),
(1373, 'FA1910-0010', 1, NULL, NULL, NULL, 0, NULL, 13018, '2019-10-18 16:47:33', '2019-10-18', NULL, '2019-10-21', NULL, '2019-10-22 07:10:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 53.90000000, 0.00000000, 0.00000000, 0.00000000, 269.50000000, 323.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 11, 0, '2019-10-28', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 269.50000000, 53.90000000, 323.40000000, NULL, 'facture/FA1910-0010/FA1910-0010.pdf', NULL, NULL),
(1374, 'AV1910-0003', 1, NULL, NULL, NULL, 2, NULL, 2174, '2019-10-23 16:49:54', '2019-10-23', NULL, '2019-10-23', NULL, '2019-10-31 10:13:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -50.00000000, 0.00000000, 0.00000000, 0.00000000, -250.00000000, -300.00000000, 2, 5, NULL, 5, NULL, 1322, NULL, NULL, NULL, 0, 2, '2019-10-23', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -250.00000000, -50.00000000, -300.00000000, NULL, 'facture/AV1910-0003/AV1910-0003.pdf', NULL, NULL),
(1375, 'FA1910-0011', 1, NULL, NULL, NULL, 0, NULL, 5741, '2019-10-30 08:56:14', '2019-10-30', NULL, '2019-10-30', NULL, '2020-01-08 11:32:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 447.29000000, 0.00000000, 0.00000000, 0.00000000, 2236.46000000, 2683.75000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-11-30', NULL, 'Pi&eacute;ces pour&nbsp;Compresseur&nbsp;: RA-086&nbsp; n&deg; de s&eacute;rie&nbsp;: 349010/1092<br />\r\n<br />\r\nCOmmande N&deg; 11667', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2236.46000000, 447.29000000, 2683.75000000, NULL, 'facture/FA1910-0011/FA1910-0011.pdf', NULL, NULL),
(1376, 'FA1910-0012', 1, NULL, NULL, NULL, 0, NULL, 1988, '2019-10-30 09:32:11', '2019-10-30', NULL, '2019-10-30', NULL, '2019-12-09 09:00:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 517.32000000, 0.00000000, 0.00000000, 0.00000000, 2586.60000000, 3103.92000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Maintenance L55RS &agrave; 39964 HRS<br />\r\n<br />\r\nBL N&deg;4 du 28/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2586.60000000, 517.32000000, 3103.92000000, NULL, 'facture/FA1910-0012/FA1910-0012.pdf', NULL, NULL),
(1377, 'FA1910-0013', 1, NULL, NULL, NULL, 0, NULL, 1990, '2019-10-30 10:01:02', '2019-10-30', NULL, '2019-10-30', NULL, '2019-12-02 09:16:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 206.98000000, 0.00000000, 0.00000000, 0.00000000, 1034.90000000, 1241.88000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Déplacement aerotherme de 5 metres suivant schéma de principe<br />\r\n<br />\r\nManutention à votre charge <br />\r\n1 nacelle 1 journée non inclus dans cette offre<br />\r\n<br />\r\nBL N°4 du 10/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1034.90000000, 206.98000000, 1241.88000000, NULL, 'facture/FA1910-0013/FA1910-0013.pdf', NULL, NULL),
(1378, 'FA1910-0014', 1, NULL, NULL, NULL, 0, NULL, 2062, '2019-10-30 10:22:11', '2019-10-30', NULL, '2019-10-30', NULL, '2019-11-29 08:13:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 485.00000000, 0.00000000, 0.00000000, 0.00000000, 2425.00000000, 2910.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Fourniture secheur remplacement existant ED225 - MO offerte si r&eacute;alis&eacute; en m&ecirc;me tempsque la maintenance du compresseur vendredi 25 octobre matin&nbsp;<br />\r\n<br />\r\nCommande N&deg; 00025038<br />\r\n<br />\r\nBL N&deg;2 du 25/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2425.00000000, 485.00000000, 2910.00000000, NULL, 'facture/FA1910-0014/FA1910-0014.pdf', NULL, NULL),
(1379, 'FA1910-0015', 1, NULL, NULL, NULL, 0, NULL, 2042, '2019-10-30 10:28:10', '2019-10-30', NULL, '2019-10-30', NULL, '2019-12-03 09:28:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 53.88000000, 0.00000000, 0.00000000, 0.00000000, 269.40000000, 323.28000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Intervention pour remplacmencement purge temporis&eacute;e<br />\r\n<br />\r\nBL N&deg;13 du 23/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 269.40000000, 53.88000000, 323.28000000, NULL, 'facture/FA1910-0015/FA1910-0015.pdf', NULL, NULL),
(1380, 'FA1911-0001', 1, NULL, NULL, NULL, 0, NULL, 2234, '2019-11-04 09:10:34', '2019-11-04', NULL, '2019-11-04', NULL, '2020-01-16 16:25:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA1911-0001/FA1911-0001.pdf', NULL, NULL),
(1381, 'FA1911-0002', 1, NULL, NULL, NULL, 0, NULL, 2197, '2019-11-04 09:20:04', '2019-11-04', NULL, '2019-11-04', NULL, '2020-01-10 12:14:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, 'facture/FA1911-0002/FA1911-0002.pdf', NULL, NULL),
(1382, 'FA1910-0016', 1, NULL, NULL, NULL, 0, NULL, 2062, '2019-11-04 10:01:37', '2019-10-31', NULL, '2019-11-04', NULL, '2019-11-29 08:13:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 984.56000000, 0.00000000, 0.00000000, 0.00000000, 4922.88000000, 5907.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'maintenance des 2 compresseurs L26RS&nbsp;<br />\r\nBatiment 1 et batiment 2&nbsp;<br />\r\n<br />\r\nBL N&deg; 1 &amp; 42 du 25/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4922.88000000, 984.56000000, 5907.44000000, NULL, 'facture/FA1910-0016/FA1910-0016.pdf', NULL, NULL),
(1383, 'FA1910-0017', 1, NULL, NULL, NULL, 0, NULL, 12877, '2019-11-04 10:08:11', '2019-10-31', NULL, '2019-11-04', NULL, '2020-01-16 16:27:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 46.87000000, 0.00000000, 0.00000000, 0.00000000, 234.34000000, 281.21000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-11-30', NULL, 'Intervention suite &agrave; probleme &eacute;l&eacute;ctrique - 1 phase manquante<br />\r\n<br />\r\nBL N&deg;12 du 18/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.34000000, 46.87000000, 281.21000000, NULL, 'facture/FA1910-0017/FA1910-0017.pdf', NULL, NULL),
(1384, 'FA1910-0018', 1, NULL, NULL, NULL, 0, NULL, 2059, '2019-11-04 10:31:54', '2019-10-31', NULL, '2019-11-04', NULL, '2020-01-20 08:47:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 174.34000000, 0.00000000, 0.00000000, 0.00000000, 871.70000000, 1046.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Remplacement tendeur occasion pour un SPRINT 015', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 871.70000000, 174.34000000, 1046.04000000, NULL, 'facture/FA1910-0018/FA1910-0018.pdf', NULL, NULL),
(1385, 'FA1910-0019', 1, NULL, NULL, 'Compresseurs', 0, NULL, 2060, '2019-11-04 10:34:35', '2019-10-31', NULL, '2019-11-04', NULL, '2020-01-21 08:18:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 29.20000000, 0.00000000, 0.00000000, 0.00000000, 146.00000000, 175.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Remplacement roulements sur tendeurs des compresseurs SPRINT 051(x2) et SPRINT 015(x2)', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 146.00000000, 29.20000000, 175.20000000, NULL, 'facture/FA1910-0019/FA1910-0019.pdf', NULL, NULL),
(1386, 'FA1910-0020', 1, NULL, NULL, NULL, 0, NULL, 2059, '2019-11-04 10:41:07', '2019-10-31', NULL, '2019-11-04', NULL, '2020-01-13 12:38:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 51.75000000, 0.00000000, 0.00000000, 0.00000000, 258.75000000, 310.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 258.75000000, 51.75000000, 310.50000000, NULL, 'facture/FA1910-0020/FA1910-0020.pdf', NULL, NULL),
(1387, 'FA1910-0021', 1, NULL, NULL, NULL, 0, NULL, 5741, '2019-11-04 10:57:57', '2019-10-31', NULL, '2019-11-04', NULL, '2020-01-08 11:32:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 401.55000000, 0.00000000, 0.00000000, 0.00000000, 2007.76000000, 2409.31000000, 2, 5, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-11-30', NULL, 'Maintenance&nbsp; pour compresseur L75 N&deg;CD10005118002 &agrave; 22423 HRS<br />\r\n<br />\r\nCommande N&deg;11793', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2007.76000000, 401.55000000, 2409.31000000, NULL, 'facture/FA1910-0021/FA1910-0021.pdf', NULL, NULL),
(1388, 'FA1910-0022', 1, NULL, NULL, NULL, 0, NULL, 2064, '2019-11-04 11:08:05', '2019-10-31', NULL, '2019-11-04', NULL, '2020-01-13 12:37:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 108.60000000, 0.00000000, 0.00000000, 0.00000000, 543.00000000, 651.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, '&nbsp;electrovanne pour compresseur L22S<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 543.00000000, 108.60000000, 651.60000000, NULL, 'facture/FA1910-0022/FA1910-0022.pdf', NULL, NULL),
(1389, 'FA1910-0023', 1, NULL, NULL, NULL, 0, NULL, 12784, '2019-11-04 11:58:36', '2019-10-31', NULL, '2019-11-04', NULL, '2019-11-27 11:14:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 120.00000000, 0.00000000, 0.00000000, 0.00000000, 600.00000000, 720.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-11-30', NULL, 'Prix d&#39;une location hebdomadaire d&#39;un compresseur 7.5KW en huile ALIMENTAIRE avec un s&eacute;cheur frigorifique :<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 600.00000000, 120.00000000, 720.00000000, NULL, 'facture/FA1910-0023/FA1910-0023.pdf', NULL, NULL),
(1390, 'FA1910-0024', 1, NULL, NULL, NULL, 0, NULL, 12792, '2019-11-04 12:02:20', '2019-10-31', NULL, '2019-11-04', NULL, '2019-12-04 09:25:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 150.80000000, 0.00000000, 0.00000000, 0.00000000, 754.00000000, 904.80000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-11-30', NULL, 'Vous nous avez consulté pour une épreuve de charge à réaliser sur le pont W254S4 récemment livré<br />\r\n<br />\r\nCommande N° C400044922<br />\r\nETABLISSEMENT : BU00946<br />\r\nActivité : M47100', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 754.00000000, 150.80000000, 904.80000000, NULL, 'facture/FA1910-0024/FA1910-0024.pdf', NULL, NULL),
(1391, 'FA1910-0025', 1, NULL, NULL, NULL, 0, NULL, 2128, '2019-11-04 12:10:53', '2019-10-31', NULL, '2019-11-04', NULL, '2019-12-05 15:48:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 27.88000000, 0.00000000, 0.00000000, 0.00000000, 139.41000000, 167.29000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'fuite electrovanne de purge .&nbsp;<br />\r\n<br />\r\nBL N&deg;14 du 23/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 139.41000000, 27.88000000, 167.29000000, NULL, 'facture/FA1910-0025/FA1910-0025.pdf', NULL, NULL),
(1392, 'FA1910-0026', 1, NULL, NULL, NULL, 0, NULL, 2102, '2019-11-04 12:20:39', '2019-10-31', NULL, '2019-11-04', NULL, '2019-12-18 09:58:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 268.69000000, 0.00000000, 0.00000000, 0.00000000, 1343.49000000, 1612.18000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'pose de prises au refectoire&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1343.49000000, 268.69000000, 1612.18000000, NULL, 'facture/FA1910-0026/FA1910-0026.pdf', NULL, NULL),
(1393, 'FA1910-0027', 1, NULL, NULL, NULL, 0, NULL, 2155, '2019-11-04 14:27:21', '2019-10-31', NULL, '2019-11-04', NULL, '2019-12-09 09:03:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 88.23000000, 0.00000000, 0.00000000, 0.00000000, 441.13000000, 529.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Maintenance L04 N&deg; BA37888001 &agrave; 2135 HRS<br />\r\n<br />\r\nBL N&deg;3 du 25/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 441.13000000, 88.23000000, 529.36000000, NULL, 'facture/FA1910-0027/FA1910-0027.pdf', NULL, NULL),
(1394, 'FA1910-0028', 1, NULL, NULL, NULL, 0, NULL, 2153, '2019-11-04 14:46:11', '2019-10-31', NULL, '2019-11-04', NULL, '2019-12-02 09:17:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2.66000000, 0.00000000, 0.00000000, 0.00000000, 13.30000000, 15.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'commande CF008003', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 13.30000000, 2.66000000, 15.96000000, NULL, 'facture/FA1910-0028/FA1910-0028.pdf', NULL, NULL),
(1395, 'FA1910-0029', 1, NULL, NULL, NULL, 0, NULL, 2153, '2019-11-04 14:47:08', '2019-10-31', NULL, '2019-11-04', NULL, '2019-12-02 09:17:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 38.12000000, 0.00000000, 0.00000000, 0.00000000, 190.59000000, 228.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Filtre regulateur en remplcament de celui existant :<br />\r\n<br />\r\nLivraison par Mr BALAZARD&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 190.59000000, 38.12000000, 228.71000000, NULL, 'facture/FA1910-0029/FA1910-0029.pdf', NULL, NULL),
(1396, 'FA1910-0030', 1, NULL, NULL, NULL, 0, NULL, 2161, '2019-11-04 14:50:30', '2019-10-31', NULL, '2019-11-04', NULL, '2020-01-20 08:47:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 563.89000000, 0.00000000, 0.00000000, 0.00000000, 2819.55000000, 3383.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', 'sign&eacute; pour l&#39;ann&eacute;e 2019', 'Base contrat de maintenance 2019 :<br />\r\nCommande N&deg; 2100/19001552 du 23/01/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2819.55000000, 563.89000000, 3383.44000000, NULL, 'facture/FA1910-0030/FA1910-0030.pdf', NULL, NULL),
(1397, 'FA1910-0031', 1, NULL, NULL, NULL, 0, NULL, 2204, '2019-11-04 15:09:12', '2019-10-31', NULL, '2019-11-04', NULL, '2019-12-02 09:17:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 147.02000000, 0.00000000, 0.00000000, 0.00000000, 735.07000000, 882.09000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Maintenance L15 à 21950 HRS<br />\r\n<br />\r\nBL N° 50 du 23/10/2019<br />\r\n<br />\r\nCommande N° 00003019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 735.07000000, 147.02000000, 882.09000000, NULL, 'facture/FA1910-0031/FA1910-0031.pdf', NULL, NULL),
(1398, 'FA1910-0032', 1, NULL, NULL, NULL, 0, NULL, 2324, '2019-11-04 15:27:41', '2019-10-31', NULL, '2019-11-04', NULL, '2019-12-26 10:28:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 322.36000000, 0.00000000, 0.00000000, 0.00000000, 1611.80000000, 1934.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, '&nbsp;Fournitures : Pi&eacute;ces d&eacute;tach&eacute;es compresseurs L18 COMPAIR<br />\r\n&nbsp;Cartouches filtres r&eacute;seaux + S&eacute;cheur &agrave; installer<br />\r\n&nbsp;Fourniture d&#39;un r&eacute;servoir galva 500Litres pose par nos soins ,&nbsp;<br />\r\n&nbsp;1 Technicien 1 journ&eacute;e pour l&#39;installation.', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1611.80000000, 322.36000000, 1934.16000000, NULL, 'facture/FA1910-0032/FA1910-0032.pdf', NULL, NULL),
(1399, 'FA1910-0033', 1, NULL, NULL, NULL, 0, NULL, 12598, '2019-11-04 15:33:17', '2019-10-31', NULL, '2019-11-04', NULL, '2019-12-05 15:46:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 502.60000000, 0.00000000, 0.00000000, 0.00000000, 2513.00000000, 3015.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-11-30', NULL, 'D&eacute;montage et remontage d&#39;un pont 2 colonnes 5T avec &eacute;preuve du pont .<br />\r\n<br />\r\nCommande BC19/BC201901010297', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2513.00000000, 502.60000000, 3015.60000000, NULL, 'facture/FA1910-0033/FA1910-0033.pdf', NULL, NULL),
(1400, 'FA1910-0034', 1, NULL, NULL, 'MAINTENACE', 0, NULL, 10087, '2019-11-04 15:37:58', '2019-10-31', NULL, '2019-11-05', NULL, '2020-01-09 16:11:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 361.17000000, 0.00000000, 0.00000000, 0.00000000, 1805.99000000, 2167.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-11-30', NULL, 'Maintenance de votre local air comprim&eacute; :<br />\r\nMaintenance de vos deux compresseur &agrave; vis Rollair<br />\r\nVisite de&nbsp; controle de votre s&eacute;cheur DW46 de 2002 ( verification des connectiques et souflage )<br />\r\nRemplacement de vos 2 cartouches de filtres reseaux<br />\r\nVerification des differentes purges du local<br />\r\nMaintenance de votre separateur de condensats owamat 5R<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1805.99000000, 361.17000000, 2167.16000000, NULL, 'facture/FA1910-0034/FA1910-0034.pdf', NULL, NULL),
(1401, 'FA1910-0035', 1, NULL, NULL, NULL, 0, NULL, 2149, '2019-11-04 16:25:54', '2019-10-31', NULL, '2019-11-04', NULL, '2019-11-13 08:06:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 81.09000000, 0.00000000, 0.00000000, 0.00000000, 405.42000000, 486.51000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'R&eacute;paration grosse fuite dans l&#39;atelier&nbsp; , fournitures, main d&#39;oeuvre et d&eacute;placement inclus, comme vu ensemble dans vos ateliers<br />\r\n<br />\r\nBL N&deg; 37 DU 17/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 405.42000000, 81.09000000, 486.51000000, NULL, 'facture/FA1910-0035/FA1910-0035.pdf', NULL, NULL),
(1402, 'FA1910-0036', 1, NULL, NULL, NULL, 0, NULL, 2276, '2019-11-04 16:35:59', '2019-10-31', NULL, '2019-11-04', NULL, '2019-11-29 08:12:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 266.74000000, 0.00000000, 0.00000000, 0.00000000, 1333.78000000, 1600.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Maintenance compresseur Ingersollrand IRN18-10H &agrave;&nbsp; 53255HRS<br />\r\nMaintenance des 2 seprateurs de condensats<br />\r\nRemplacement des 2 cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg; 45 du 11/10/2019<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1333.78000000, 266.74000000, 1600.52000000, NULL, 'facture/FA1910-0036/FA1910-0036.pdf', NULL, NULL),
(1403, 'FA1910-0037', 1, NULL, NULL, NULL, 0, NULL, 2268, '2019-11-04 16:53:05', '2019-10-31', NULL, '2019-11-04', NULL, '2019-12-02 09:15:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 545.08000000, 0.00000000, 0.00000000, 0.00000000, 2725.34000000, 3270.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Maintenance compresseur&nbsp; L75 RS N&deg; CD10003783001 avec huile alimentaire&nbsp; &agrave;&nbsp; 38694HRS<br />\r\nMaintenance cartouches 3 filtres reseaux .<br />\r\n<br />\r\nBL N&deg;41 du 07/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2725.34000000, 545.08000000, 3270.42000000, NULL, 'facture/FA1910-0037/FA1910-0037.pdf', NULL, NULL),
(1404, 'FA1910-0038', 1, NULL, NULL, NULL, 0, NULL, 2285, '2019-11-05 09:33:01', '2019-10-31', NULL, '2019-11-05', NULL, '2020-01-03 09:10:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 683.47000000, 0.00000000, 0.00000000, 0.00000000, 3417.40000000, 4100.87000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Maintenance de vos 2 compresseurs&nbsp; et&nbsp; vos 2 surpresseurs :&nbsp;<br />\r\n<br />\r\nBL N&deg; 35 et&nbsp; 46 du 11/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3417.40000000, 683.47000000, 4100.87000000, NULL, 'facture/FA1910-0038/FA1910-0038.pdf', NULL, NULL),
(1405, 'FA1910-0039', 1, NULL, NULL, NULL, 0, NULL, 2285, '2019-11-05 10:33:13', '2019-10-31', NULL, '2019-11-05', NULL, '2020-01-03 09:10:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 99.54000000, 0.00000000, 0.00000000, 0.00000000, 497.68000000, 597.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'remplacement flexible sur compresseur L15 en m&ecirc;me temps que sa maintenance .&nbsp;<br />\r\nCette offre n&#39;inclut pas le deplacement ni le temps de d&eacute;placement', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 497.68000000, 99.54000000, 597.22000000, NULL, 'facture/FA1910-0039/FA1910-0039.pdf', NULL, NULL),
(1406, 'FA1910-0040', 1, NULL, NULL, 'filtres reseaux mattei', 0, NULL, 10407, '2019-11-05 10:40:19', '2019-10-31', NULL, '2019-11-05', NULL, '2019-12-12 15:22:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 16.20000000, 0.00000000, 0.00000000, 0.00000000, 81.00000000, 97.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-11-30', NULL, 'Remplacement des 2 cartouches des filtres reseaux MATTEI en m&ecirc;me temps qu&#39;une maintenance compresseur :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 81.00000000, 16.20000000, 97.20000000, NULL, 'facture/FA1910-0040/FA1910-0040.pdf', NULL, NULL),
(1407, 'FA1910-0041', 1, NULL, NULL, 'CYCLON 218', 0, NULL, 10407, '2019-11-05 10:53:33', '2019-10-31', NULL, '2019-11-05', NULL, '2019-12-04 09:24:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 90.88000000, 0.00000000, 0.00000000, 0.00000000, 454.43000000, 545.31000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-11-30', NULL, 'Maintenance cyclon 218 N&deg; F164-2519 ann&eacute;e 2000 &agrave; 23033 HRS<br />\r\n<br />\r\nBL N&deg;5 du 15/10/2019<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 454.43000000, 90.88000000, 545.31000000, NULL, 'facture/FA1910-0041/FA1910-0041.pdf', NULL, NULL),
(1408, 'FA1910-0042', 1, NULL, NULL, 'MAVR', 0, NULL, 10407, '2019-11-05 11:03:41', '2019-10-31', NULL, '2019-11-05', NULL, '2020-01-10 12:11:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.28000000, 0.00000000, 0.00000000, 0.00000000, 561.44000000, 673.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-11-30', NULL, 'Maintenance compresseur MAVRS150/10 N&deg;CAI343721&nbsp; ann&eacute;e 2008&nbsp;<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 561.44000000, 112.28000000, 673.72000000, NULL, 'facture/FA1910-0042/FA1910-0042.pdf', NULL, NULL),
(1409, 'FA1910-0043', 1, NULL, NULL, NULL, 0, NULL, 2352, '2019-11-05 11:28:28', '2019-10-31', NULL, '2019-11-05', NULL, '2019-12-04 09:26:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 407.48000000, 0.00000000, 0.00000000, 0.00000000, 2037.40000000, 2444.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Maintenance L37RS N&deg; CD10019189001 &agrave; 14260 HRS<br />\r\nRemplacement 2 cartouches filtres r&eacute;seaux<br />\r\n<br />\r\nBL N&deg; 47 du 18/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2037.40000000, 407.48000000, 2444.88000000, NULL, 'facture/FA1910-0043/FA1910-0043.pdf', NULL, NULL),
(1411, 'FA1910-0044', 1, NULL, NULL, NULL, 0, NULL, 6101, '2019-11-05 11:59:56', '2019-10-31', NULL, '2019-11-05', NULL, '2020-01-10 12:13:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 13.66000000, 0.00000000, 0.00000000, 0.00000000, 68.32000000, 81.98000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Pochettes de 10 sacs en papiers 60Litres&nbsp;<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 68.32000000, 13.66000000, 81.98000000, NULL, 'facture/FA1910-0044/FA1910-0044.pdf', NULL, NULL),
(1412, 'FA1910-0045', 1, NULL, NULL, NULL, 0, NULL, 2370, '2019-11-05 12:14:37', '2019-10-31', NULL, '2019-11-06', NULL, '2019-12-18 09:57:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.41000000, 0.00000000, 0.00000000, 0.00000000, 502.07000000, 602.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Maintenance RStop 7.5 &agrave; 6584 HRS<br />\r\n<br />\r\nBL N&deg;49 du 18/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 502.07000000, 100.41000000, 602.48000000, NULL, 'facture/FA1910-0045/FA1910-0045.pdf', NULL, NULL),
(1413, 'FA1910-0046', 1, NULL, NULL, NULL, 0, NULL, 2175, '2019-11-06 10:36:18', '2019-10-31', NULL, '2019-11-06', NULL, '2019-12-16 09:41:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 21.80000000, 0.00000000, 0.00000000, 0.00000000, 109.00000000, 130.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Colle<br />\r\n<br />\r\nCommande N&deg; : 12579', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 109.00000000, 21.80000000, 130.80000000, NULL, 'facture/FA1910-0046/FA1910-0046.pdf', NULL, NULL),
(1414, 'FA1910-0047', 1, NULL, NULL, NULL, 0, NULL, 2370, '2019-11-06 11:07:12', '2019-10-31', NULL, '2019-11-06', NULL, '2019-12-18 09:57:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.56000000, 0.00000000, 0.00000000, 0.00000000, 562.80000000, 675.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Maintenance compresseur GE10 &agrave; 48640 Hrs<br />\r\nBL N&deg;48 du 18/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 562.80000000, 112.56000000, 675.36000000, NULL, 'facture/FA1910-0047/FA1910-0047.pdf', NULL, NULL),
(1415, 'FA1910-0053', 1, NULL, NULL, NULL, 0, NULL, 2358, '2019-11-06 11:16:01', '2019-10-31', NULL, '2019-11-06', NULL, '2019-12-23 09:14:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 130.38000000, 0.00000000, 0.00000000, 0.00000000, 651.88000000, 782.26000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'intervention sur sableuse.<br />\r\n<br />\r\nBL N°33 du 08/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 651.88000000, 130.38000000, 782.26000000, NULL, 'facture/FA1910-0053/FA1910-0053.pdf', NULL, NULL),
(1416, 'FA1910-0048', 1, NULL, NULL, NULL, 0, NULL, 2347, '2019-11-06 11:21:27', '2019-10-31', NULL, '2019-11-06', NULL, '2019-12-03 09:27:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 24.00000000, 0.00000000, 0.00000000, 0.00000000, 120.00000000, 144.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'kit 2000h compair', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 120.00000000, 24.00000000, 144.00000000, NULL, 'facture/FA1910-0048/FA1910-0048.pdf', NULL, NULL),
(1417, 'FA1910-0049', 1, NULL, NULL, NULL, 0, NULL, 12928, '2019-11-06 11:29:48', '2019-10-31', NULL, '2019-11-06', NULL, '2019-12-11 08:24:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 237.21000000, 0.00000000, 0.00000000, 0.00000000, 1186.03000000, 1423.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-11-30', NULL, 'travaux de branchement &eacute;lectrique et air comprim&eacute;<br />\r\n<br />\r\nBL N&deg; 40 du 22/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1186.03000000, 237.21000000, 1423.24000000, NULL, 'facture/FA1910-0049/FA1910-0049.pdf', NULL, NULL),
(1418, 'FA1910-0050', 1, NULL, NULL, NULL, 0, NULL, 2397, '2019-11-06 14:41:23', '2019-10-31', NULL, '2019-11-06', NULL, '2019-11-28 16:05:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 339.59000000, 0.00000000, 0.00000000, 0.00000000, 1697.95000000, 2037.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'Compresseur &agrave; piston COMPAIR<br />\r\nGarantie 2 ans pi&eacute;ces et main d&#39;eouvre&nbsp;<br />\r\n43 m3/h 7.5Ch 10 Bar<br />\r\n<br />\r\nEn option une purge temporis&eacute;e&nbsp;<br />\r\n<br />\r\nN&#39;est pas inclut dans cette offre : le raccordement et la mise en service .<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1697.95000000, 339.59000000, 2037.54000000, NULL, 'facture/FA1910-0050/FA1910-0050.pdf', NULL, NULL),
(1419, 'FA1910-0051', 1, NULL, NULL, NULL, 0, NULL, 11320, '2019-11-06 14:53:21', '2019-10-31', NULL, '2019-11-06', NULL, '2019-11-13 08:05:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 77.83000000, 0.00000000, 0.00000000, 0.00000000, 389.15000000, 466.98000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 16, 0, '2019-11-01', NULL, 'r&eacute;paration provisoire tuyau girair diametre 25, 2 coudes de cass&eacute;s<br />\r\n<br />\r\nBL N&deg; 03 du 08/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 389.15000000, 77.83000000, 466.98000000, NULL, 'facture/FA1910-0051/FA1910-0051.pdf', NULL, NULL),
(1420, 'FA1910-0052', 1, NULL, NULL, NULL, 0, NULL, 5741, '2019-11-06 15:01:03', '2019-10-31', NULL, '2019-11-06', NULL, '2020-01-15 08:13:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 175.13000000, 0.00000000, 0.00000000, 0.00000000, 875.67000000, 1050.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-11-30', NULL, '<p>commande N&deg; 11804</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 875.67000000, 175.13000000, 1050.80000000, NULL, 'facture/FA1910-0052/FA1910-0052.pdf', NULL, NULL),
(1422, 'FA1910-0054', 1, NULL, NULL, NULL, 0, NULL, 2169, '2019-11-06 15:17:43', '2019-10-31', NULL, '2019-11-06', NULL, '2019-12-09 09:02:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 88.72000000, 0.00000000, 0.00000000, 0.00000000, 443.62000000, 532.34000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'Travaux electricté<br />\r\nBL N°41 du 23/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 443.62000000, 88.72000000, 532.34000000, NULL, 'facture/FA1910-0054/FA1910-0054.pdf', NULL, NULL),
(1424, 'FA1910-0055', 1, NULL, NULL, NULL, 0, NULL, 2162, '2019-11-06 15:56:17', '2019-10-31', NULL, '2019-11-06', NULL, '2019-12-03 09:27:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 29.81000000, 0.00000000, 0.00000000, 0.00000000, 149.02000000, 178.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-11-30', NULL, 'intervention sur compresseur&nbsp;<br />\r\nBL N&deg;21/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 149.02000000, 29.81000000, 178.83000000, NULL, 'facture/FA1910-0055/FA1910-0055.pdf', NULL, NULL),
(1425, 'FA1911-0003', 1, NULL, NULL, 'Cartouche Réseau', 0, NULL, 12618, '2019-11-07 10:32:08', '2019-11-07', NULL, '2019-11-07', NULL, '2020-01-10 12:09:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 71.65000000, 0.00000000, 0.00000000, 0.00000000, 358.17000000, 429.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-12-31', NULL, 'Remplacement des 3 cartouches des filtres reseaux BEA -<br />\r\n<br />\r\nOffre hors deplacement -&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 358.17000000, 71.65000000, 429.82000000, NULL, 'facture/FA1911-0003/FA1911-0003.pdf', NULL, NULL),
(1426, 'FA1911-0004', 1, NULL, NULL, NULL, 0, NULL, 12618, '2019-11-07 11:07:53', '2019-11-07', NULL, '2019-11-07', NULL, '2020-01-10 12:09:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 149.03000000, 0.00000000, 0.00000000, 0.00000000, 745.11000000, 894.14000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-12-31', NULL, 'Maintenance compresseur Cyclon215 de 1999 &agrave; 42246 Heures<br />\r\navec huile alimenatire UNILOPAL<br />\r\n<br />\r\nBL N&deg;44 du 04/11/2019&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 745.11000000, 149.03000000, 894.14000000, NULL, 'facture/FA1911-0004/FA1911-0004.pdf', NULL, NULL),
(1428, 'AV1911-0001', 1, NULL, NULL, NULL, 2, NULL, 12618, '2019-11-13 10:19:15', '2019-11-13', NULL, '2019-11-13', NULL, '2020-01-10 12:09:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -25.54000000, 0.00000000, 0.00000000, 0.00000000, -127.68000000, -153.22000000, 2, 5, NULL, 5, NULL, 1425, NULL, NULL, NULL, 0, 0, '2019-11-13', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -127.68000000, -25.54000000, -153.22000000, NULL, 'facture/AV1911-0001/AV1911-0001.pdf', NULL, NULL),
(1429, 'FA1911-0005', 1, NULL, NULL, NULL, 0, NULL, 13040, '2019-11-25 10:49:30', '2019-11-25', NULL, '2019-11-25', NULL, '2019-11-28 16:06:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 466.67000000, 0.00000000, 0.00000000, 0.00000000, 2333.33000000, 2800.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-11-26', NULL, 'Groupe electrogene SDMO', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2333.33000000, 466.67000000, 2800.00000000, NULL, 'facture/FA1911-0005/FA1911-0005.pdf', NULL, NULL),
(1430, 'FA1911-0006', 1, NULL, NULL, NULL, 0, NULL, 6203, '2019-11-26 16:42:21', '2019-11-26', NULL, '2019-11-26', NULL, '2019-11-28 16:06:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 6.50000000, 0.00000000, 0.00000000, 0.00000000, 32.50000000, 39.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 11, 0, '2019-12-06', NULL, 'clapet pour compresseur &agrave; piston', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 32.50000000, 6.50000000, 39.00000000, NULL, 'facture/FA1911-0006/FA1911-0006.pdf', NULL, NULL),
(1431, 'FA1911-0007', 1, NULL, NULL, NULL, 0, NULL, 13042, '2019-11-29 11:46:51', '2019-11-29', NULL, '2019-11-29', NULL, '2020-01-15 08:14:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 466.67000000, 0.00000000, 0.00000000, 0.00000000, 2333.33000000, 2800.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-11-30', NULL, 'Groupe electrogene SDMO', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2333.33000000, 466.67000000, 2800.00000000, NULL, 'facture/FA1911-0007/FA1911-0007.pdf', NULL, NULL),
(1432, 'FA1911-0008', 1, NULL, NULL, 'secheur', 0, NULL, 1988, '2019-11-29 11:50:24', '2019-11-29', NULL, '2019-11-29', NULL, '2020-01-15 08:14:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1355.06000000, 0.00000000, 0.00000000, 0.00000000, 6775.32000000, 8130.38000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'Remplacement de votre secheur F133C+ ( 798 m3/h ) 2&quot; par un secheur F140HS COMPAIR ( 840m3/h ) pour traiter le d&eacute;bit de votre compresseur L55RS ( 618.60 m3/h ) avec une pre filtration<br />\r\n<br />\r\nCommande N&deg; 5971<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6775.32000000, 1355.06000000, 8130.38000000, NULL, 'facture/FA1911-0008/FA1911-0008.pdf', NULL, NULL),
(1433, 'FA1911-0009', 1, NULL, NULL, NULL, 0, NULL, 1990, '2019-11-29 12:03:06', '2019-11-29', NULL, '2019-11-29', NULL, '2019-12-09 11:01:00', 0, 0.00000000, NULL, NULL, 0, 'discount_vat', NULL, 1332.58000000, 0.00000000, 0.00000000, 0.00000000, 6663.00000000, 7995.58000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'reseaux en inox serti suivant devis<br />\r\nEscompte de 3% si paiement comptant - ( r&eacute;c&eacute;ption du paiment avant le 05/12/2019 )', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6663.00000000, 1332.58000000, 7995.58000000, NULL, 'facture/FA1911-0009/FA1911-0009.pdf', NULL, NULL),
(1434, 'FA1911-0010', 1, NULL, NULL, NULL, 0, NULL, 2001, '2019-11-29 14:19:25', '2019-11-29', NULL, '2019-11-29', NULL, '2019-12-30 08:30:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 56.00000000, 0.00000000, 0.00000000, 0.00000000, 280.00000000, 336.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 280.00000000, 56.00000000, 336.00000000, NULL, 'facture/FA1911-0010/FA1911-0010.pdf', NULL, NULL),
(1435, 'FA1911-0011', 1, NULL, NULL, NULL, 0, NULL, 2062, '2019-11-29 14:26:01', '2019-11-29', NULL, '2019-11-29', NULL, '2020-01-03 09:02:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 64.81000000, 0.00000000, 0.00000000, 0.00000000, 324.05000000, 388.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'remplacement purgeur sur filtre reseau', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 324.05000000, 64.81000000, 388.86000000, NULL, 'facture/FA1911-0011/FA1911-0011.pdf', NULL, NULL),
(1436, 'FA1911-0018', 1, NULL, NULL, NULL, 0, NULL, 13036, '2019-11-29 15:17:06', '2019-11-29', NULL, '2019-12-02', NULL, '2020-01-08 11:30:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 110.16000000, 0.00000000, 0.00000000, 0.00000000, 550.79000000, 660.95000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-12-31', NULL, 'Intervention depannage et recherche de panne - remplcament ventilateur de refroidissement<br />\r\n<br />\r\nBL N&deg;21 du 12/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 550.79000000, 110.16000000, 660.95000000, NULL, 'facture/FA1911-0018/FA1911-0018.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1437, 'FA1911-0012', 1, NULL, NULL, 'Petit réseau pour vide', 0, NULL, 2055, '2019-11-29 15:28:46', '2019-11-29', NULL, '2019-11-29', NULL, '2019-12-27 11:03:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 201.97000000, 0.00000000, 0.00000000, 0.00000000, 1009.78000000, 1211.75000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'Petit reseau de vide<br />\r\n<br />\r\nBL N&deg;7 du 04/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1009.78000000, 201.97000000, 1211.75000000, NULL, 'facture/FA1911-0012/FA1911-0012.pdf', NULL, NULL),
(1438, 'FA1911-0013', 1, NULL, NULL, NULL, 0, NULL, 2026, '2019-11-29 15:34:13', '2019-11-29', NULL, '2019-11-29', NULL, '2020-01-10 12:08:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 64.80000000, 0.00000000, 0.00000000, 0.00000000, 324.00000000, 388.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'HOTTE POUR BRAS D ASPIRATION<br />\r\n<br />\r\nCommande N&deg;20MR09', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 324.00000000, 64.80000000, 388.80000000, NULL, 'facture/FA1911-0013/FA1911-0013.pdf', NULL, NULL),
(1439, 'FA1911-0014', 1, NULL, NULL, NULL, 0, NULL, 2076, '2019-11-29 15:43:03', '2019-11-29', NULL, '2019-11-29', NULL, '2019-12-30 08:29:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 28.85000000, 0.00000000, 0.00000000, 0.00000000, 144.26000000, 173.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'Nettoyage grille d&#39;air sur compresseur HV07&nbsp;<br />\r\n<br />\r\nBL N&deg;29 du 27/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 144.26000000, 28.85000000, 173.11000000, NULL, 'facture/FA1911-0014/FA1911-0014.pdf', NULL, NULL),
(1440, 'FA1911-0015', 1, NULL, NULL, NULL, 0, NULL, 2086, '2019-11-29 15:54:06', '2019-11-29', NULL, '2019-11-29', NULL, '2020-01-02 12:25:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 191.34000000, 0.00000000, 0.00000000, 0.00000000, 956.73000000, 1148.07000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'Maintenance compresseur L11RS N&deg; BA31759001 &agrave; 21810 HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 10<br />\r\n<br />\r\nBL N&deg;24 du 13/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 956.73000000, 191.34000000, 1148.07000000, NULL, 'facture/FA1911-0015/FA1911-0015.pdf', NULL, NULL),
(1441, 'FA1911-0016', 1, NULL, NULL, NULL, 0, NULL, 13038, '2019-11-29 17:08:23', '2019-11-29', NULL, '2019-11-29', NULL, '2020-01-14 08:00:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 152.12000000, 0.00000000, 0.00000000, 0.00000000, 760.60000000, 912.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-12-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 760.60000000, 152.12000000, 912.72000000, NULL, 'facture/FA1911-0016/FA1911-0016.pdf', NULL, NULL),
(1442, 'FA1911-0017', 1, NULL, NULL, NULL, 0, NULL, 12928, '2019-12-02 09:37:47', '2019-11-29', NULL, '2019-12-02', NULL, '2020-01-15 08:13:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 264.02000000, 0.00000000, 0.00000000, 0.00000000, 1320.07000000, 1584.09000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-12-31', NULL, 'Branchement machine emballage - aliementation electrique et en air<br />\r\n<br />\r\nBL N°47 du 13/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1320.07000000, 264.02000000, 1584.09000000, NULL, 'facture/FA1911-0017/FA1911-0017.pdf', NULL, NULL),
(1443, 'FA1912-0001', 1, NULL, NULL, NULL, 0, NULL, 2076, '2019-12-02 10:00:44', '2019-12-02', NULL, '2019-12-02', NULL, '2020-02-24 14:54:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 82.37000000, 0.00000000, 0.00000000, 0.00000000, 411.86000000, 494.23000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Remplacement groupe VMC<br />\r\n<br />\r\nBL N°48 du 14/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 411.86000000, 82.37000000, 494.23000000, NULL, 'facture/FA1912-0001/FA1912-0001.pdf', NULL, NULL),
(1444, 'FA1911-0019', 1, NULL, NULL, NULL, 0, NULL, 2077, '2019-12-02 10:08:22', '2019-11-28', NULL, '2019-12-02', NULL, '2019-12-16 09:40:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 90.06000000, 0.00000000, 0.00000000, 0.00000000, 450.30000000, 540.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'changement ventilateur armoire eletrcique<br />\r\n<br />\r\nBL N&deg; 2 du 08/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 450.30000000, 90.06000000, 540.36000000, NULL, 'facture/FA1911-0019/FA1911-0019.pdf', NULL, NULL),
(1445, 'FA1911-0020', 1, NULL, NULL, NULL, 0, NULL, 2102, '2019-12-02 10:41:15', '2019-11-29', NULL, '2019-12-02', NULL, '2020-02-27 14:45:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 61.99000000, 0.00000000, 0.00000000, 0.00000000, 309.96000000, 371.95000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'intervention sur ecuve <br />\r\n<br />\r\nBL N° 49 du 18/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.96000000, 61.99000000, 371.95000000, NULL, 'facture/FA1911-0020/FA1911-0020.pdf', NULL, NULL),
(1446, 'FA1911-0021', 1, NULL, NULL, NULL, 0, NULL, 12925, '2019-12-02 10:52:34', '2019-11-29', NULL, '2019-12-02', NULL, '2019-12-05 15:51:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 180.00000000, 0.00000000, 0.00000000, 0.00000000, 900.00000000, 1080.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-12-31', NULL, 'Groupe electrogene essence&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 900.00000000, 180.00000000, 1080.00000000, NULL, 'facture/FA1911-0021/FA1911-0021.pdf', NULL, NULL),
(1447, 'FA1912-0002', 1, NULL, NULL, NULL, 0, NULL, 2234, '2019-12-02 11:00:59', '2019-12-02', NULL, '2019-12-02', NULL, '2020-01-21 08:17:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA1912-0002/FA1912-0002.pdf', NULL, NULL),
(1448, 'FA1911-0022', 1, NULL, NULL, NULL, 0, NULL, 2122, '2019-12-02 11:16:49', '2019-11-29', NULL, '2019-12-02', NULL, '2020-01-16 16:25:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 46.82000000, 0.00000000, 0.00000000, 0.00000000, 234.06000000, 280.88000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-12-31', NULL, 'Filtre régulateur<br />\r\n<br />\r\n<br />\r\nCommaande N°41042<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.06000000, 46.82000000, 280.88000000, NULL, 'facture/FA1911-0022/FA1911-0022.pdf', NULL, NULL),
(1449, 'FA1911-0023', 1, NULL, NULL, NULL, 0, NULL, 2155, '2019-12-02 11:19:27', '2019-11-29', NULL, '2019-12-02', NULL, '2020-01-02 12:26:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 19.66000000, 0.00000000, 0.00000000, 0.00000000, 98.32000000, 117.98000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'FRL<br />\r\n<br />\r\nLivré : BL N°16 du 22/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 98.32000000, 19.66000000, 117.98000000, NULL, 'facture/FA1911-0023/FA1911-0023.pdf', NULL, NULL),
(1450, 'FA1911-0024', 1, NULL, NULL, NULL, 0, NULL, 12821, '2019-12-02 11:28:58', '2019-11-29', NULL, '2019-12-02', NULL, '2020-01-08 11:29:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 32.52000000, 0.00000000, 0.00000000, 0.00000000, 162.60000000, 195.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-12-31', NULL, 'Probleme electrique sur compresseur Start 035 -&nbsp;<br />\r\n<br />\r\nCompresseur tourne &agrave; l&#39;envers suite au coupure de courant ENEDIS - phases rebranch&eacute;es en sens inverse .<br />\r\n<br />\r\nBL N&deg; 26&nbsp; du 21/11/2019<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 162.60000000, 32.52000000, 195.12000000, NULL, 'facture/FA1911-0024/FA1911-0024.pdf', NULL, NULL),
(1451, 'FA1911-0025', 1, NULL, NULL, NULL, 0, NULL, 2162, '2019-12-02 14:59:47', '2019-11-29', NULL, '2019-12-02', NULL, '2020-01-08 11:31:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 109.15000000, 0.00000000, 0.00000000, 0.00000000, 545.70000000, 654.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'R&eacute;seau en inox serti - ajout d&#39;une ligne en diamete 42 pour filtre&nbsp;<br />\r\nBL N&deg; 19 du07/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 545.70000000, 109.15000000, 654.85000000, NULL, 'facture/FA1911-0025/FA1911-0025.pdf', NULL, NULL),
(1452, 'FA1911-0026', 1, NULL, NULL, NULL, 0, NULL, 2162, '2019-12-02 15:18:33', '2019-11-29', NULL, '2019-12-02', NULL, '2020-01-08 11:31:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 131.70000000, 0.00000000, 0.00000000, 0.00000000, 658.38000000, 790.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'Air comprim&eacute; - ajout deux lignes en diametre 28 et 22 - sectionnement du collecteur piston<br />\r\n<br />\r\nBL N&deg;18 du 05/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 658.38000000, 131.70000000, 790.08000000, NULL, 'facture/FA1911-0026/FA1911-0026.pdf', NULL, NULL),
(1453, 'FA1911-0027', 1, NULL, NULL, NULL, 0, NULL, 2184, '2019-12-02 15:23:51', '2019-11-29', NULL, '2019-12-02', NULL, '2020-02-05 02:19:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 628.38000000, 0.00000000, 0.00000000, 0.00000000, 3141.94000000, 3770.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'Maintenance L45RS ( 2018 ) N&deg; CD10034859001 en huile alimentaire &agrave;12902 Hrs<br />\r\n<br />\r\nRemplacement cartouche filtre r&eacute;seau&nbsp;<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N&deg;34 du 09/10/2019<br />\r\n<br />\r\nCommande N&deg;PO7100001002<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3141.94000000, 628.38000000, 3770.32000000, NULL, 'facture/FA1911-0027/FA1911-0027.pdf', NULL, NULL),
(1454, 'FA1911-0028', 1, NULL, NULL, NULL, 0, NULL, 2247, '2019-12-02 15:48:26', '2019-11-29', NULL, '2019-12-02', NULL, '2020-02-13 08:25:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 196.49000000, 0.00000000, 0.00000000, 0.00000000, 982.50000000, 1178.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'maintenance L18rs N&deg; CD100018442001 &agrave; 8970HRS( nouvelle carte )&nbsp;<br />\r\nMaintenance separateur de condensats OWAMAT 11<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\n<br />\r\nBL N&deg; 20 du 26/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 982.50000000, 196.49000000, 1178.99000000, NULL, 'facture/FA1911-0028/FA1911-0028.pdf', NULL, NULL),
(1455, 'FA1911-0029', 1, NULL, NULL, NULL, 0, NULL, 2218, '2019-12-02 16:04:06', '2019-11-29', NULL, '2019-12-02', NULL, '2020-01-16 16:27:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 152.89000000, 0.00000000, 0.00000000, 0.00000000, 764.44000000, 917.33000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'Maintenance L07 en adaptable&agrave; 12887 HRS<br />\r\n<br />\r\nBL N&deg;17 du 22/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 764.44000000, 152.89000000, 917.33000000, NULL, 'facture/FA1911-0029/FA1911-0029.pdf', NULL, NULL),
(1456, 'FA1911-0030', 1, NULL, NULL, NULL, 0, NULL, 9822, '2019-12-02 16:17:45', '2019-11-29', NULL, '2019-12-02', NULL, '2019-12-31 09:26:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 494.77000000, 0.00000000, 0.00000000, 0.00000000, 2473.85000000, 2968.62000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'secheur par refrigeration en remplacement du secheur CTA MPF315<br />\r\n<br />\r\nBL N&deg;10 du 13/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2473.85000000, 494.77000000, 2968.62000000, NULL, 'facture/FA1911-0030/FA1911-0030.pdf', NULL, NULL),
(1457, 'FA1911-0031', 1, NULL, NULL, NULL, 0, NULL, 10087, '2019-12-02 16:31:32', '2019-11-29', NULL, '2019-12-02', NULL, '2020-02-12 08:21:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 108.35000000, 0.00000000, 0.00000000, 0.00000000, 541.76000000, 650.11000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-12-31', NULL, 'Epreuve cuve separateur des compresseurs \r\n<p>Réépreuve de réservoir d’air comprimé ( Hors organisme agrée )</p>\r\n\r\n<ul>\r\n	<li>La vidange d’huile du compresseur</li>\r\n	<li>Dépose des accessoires fixer sur la cuve ( flexible , … etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remplissage du reservoir avec de l’eau</li>\r\n	<li>Assistance eu verificateur de l’organisme agrée</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n	<li>Remise à niveau d’huile du compresseur</li>\r\n</ul>\r\n<br />\r\nBL N°28 &27 du 25/11/2019<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 541.76000000, 108.35000000, 650.11000000, NULL, 'facture/FA1911-0031/FA1911-0031.pdf', NULL, NULL),
(1458, 'FA1911-0032', 1, NULL, NULL, NULL, 0, NULL, 2276, '2019-12-02 16:57:04', '2019-11-29', NULL, '2019-12-02', NULL, '2020-01-31 01:55:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 384.43000000, 0.00000000, 0.00000000, 0.00000000, 1922.16000000, 2306.59000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'maintenance L29RS N&deg; CD10015163001 &agrave;&nbsp; 45516HRS&nbsp;<br />\r\n<br />\r\nBL N&deg; 09 du 08/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1922.16000000, 384.43000000, 2306.59000000, NULL, 'facture/FA1911-0032/FA1911-0032.pdf', NULL, NULL),
(1459, 'FA1911-0033', 1, NULL, NULL, NULL, 0, NULL, 2284, '2019-12-03 09:24:21', '2019-11-29', NULL, '2019-12-03', NULL, '2020-01-08 11:30:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 240.61000000, 0.00000000, 0.00000000, 0.00000000, 1203.03000000, 1443.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'Maintenance l18RS N&deg; CD10009205002 &agrave; 28186 HRS<br />\r\net Maintenance separateur de condensats<br />\r\n<br />\r\nBL N&deg;50 du 18/11/2019<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1203.03000000, 240.61000000, 1443.64000000, NULL, 'facture/FA1911-0033/FA1911-0033.pdf', NULL, NULL),
(1460, 'FA1911-0034', 1, NULL, NULL, NULL, 0, NULL, 2032, '2019-12-03 09:34:08', '2019-11-29', NULL, '2019-12-03', NULL, '2020-05-19 07:43:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.44000000, 0.00000000, 0.00000000, 0.00000000, 327.18000000, 392.62000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'remplacement electrovanne sur compresseur FINI<br />\r\n<br />\r\nBL N&deg;45 du 08/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 327.18000000, 65.44000000, 392.62000000, NULL, 'facture/FA1911-0034/FA1911-0034.pdf', NULL, NULL),
(1461, 'FA1911-0035', 1, NULL, NULL, NULL, 0, NULL, 2370, '2019-12-03 09:41:40', '2019-11-29', NULL, '2019-12-03', NULL, '2020-01-02 12:26:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 36.52000000, 0.00000000, 0.00000000, 0.00000000, 182.60000000, 219.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'Intervention sur reseau d&#39;air comprim&eacute;<br />\r\nModification alimentation en air nouvelle machine<br />\r\n<br />\r\nBL N&deg;43 du 31/10/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 182.60000000, 36.52000000, 219.12000000, NULL, 'facture/FA1911-0035/FA1911-0035.pdf', NULL, NULL),
(1462, 'FA1911-0036', 1, NULL, NULL, NULL, 0, NULL, 2370, '2019-12-03 09:45:34', '2019-11-29', NULL, '2019-12-03', NULL, '2020-01-02 12:26:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 16.68000000, 0.00000000, 0.00000000, 0.00000000, 83.38000000, 100.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'founiture d&#39;une cartouche filtre reseau&nbsp;<br />\r\n<br />\r\nBL N&deg;18 du 22/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 83.38000000, 16.68000000, 100.06000000, NULL, 'facture/FA1911-0036/FA1911-0036.pdf', NULL, NULL),
(1463, 'FA1911-0037', 1, NULL, NULL, NULL, 0, NULL, 13019, '2019-12-03 09:51:08', '2019-11-30', NULL, '2019-12-03', NULL, '2020-02-10 11:06:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 812.61000000, 0.00000000, 0.00000000, 0.00000000, 4063.05000000, 4875.66000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 9, 0, '2019-12-01', NULL, '<p>Fourniture suite &agrave; votre demande d&#39;accessoires reseaux en aluminium .</p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p>&nbsp;</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4063.05000000, 812.61000000, 4875.66000000, NULL, 'facture/FA1911-0037/FA1911-0037.pdf', NULL, NULL),
(1464, 'FA1911-0038', 1, NULL, NULL, NULL, 0, NULL, 2350, '2019-12-03 09:53:55', '2019-11-29', NULL, '2019-12-03', NULL, '2020-01-17 08:46:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 199.60000000, 0.00000000, 0.00000000, 0.00000000, 998.00000000, 1197.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'Commande N&deg; 2342208-325-G9J-BKP', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 998.00000000, 199.60000000, 1197.60000000, NULL, 'facture/FA1911-0038/FA1911-0038.pdf', NULL, NULL),
(1465, 'FA1911-0039', 1, NULL, NULL, NULL, 0, NULL, 11209, '2019-12-03 10:02:44', '2019-11-29', NULL, '2019-12-03', NULL, '2020-01-13 12:36:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 238.61000000, 0.00000000, 0.00000000, 0.00000000, 1193.03000000, 1431.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-12-31', NULL, 'Installation de 2 vannes au niveaux des filtres reseaux&nbsp;<br />\r\nRemplacement d&#39;un purgeur de condensats pour chacun des deux filtres r&eacute;seaux 1/2 entr&eacute;e dessus<br />\r\nRemplacement du purgeur sous la cuve en 1/2 avec prise au dessus et prise basse&nbsp;<br />\r\n<br />\r\nBL N&deg;23 du 13/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1193.03000000, 238.61000000, 1431.64000000, NULL, 'facture/FA1911-0039/FA1911-0039.pdf', NULL, NULL),
(1466, 'FA1911-0040', 1, NULL, NULL, NULL, 0, NULL, 2396, '2019-12-03 10:08:36', '2019-11-29', NULL, '2019-12-03', NULL, '2020-01-02 12:26:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 5.60000000, 0.00000000, 0.00000000, 0.00000000, 28.00000000, 33.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'reedition certificat', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 28.00000000, 5.60000000, 33.60000000, NULL, 'facture/FA1911-0040/FA1911-0040.pdf', NULL, NULL),
(1467, 'FA1911-0041', 1, NULL, NULL, NULL, 0, NULL, 5741, '2019-12-03 10:23:14', '2019-11-29', NULL, '2019-12-03', NULL, '2020-02-27 14:44:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 74.60000000, 0.00000000, 0.00000000, 0.00000000, 373.00000000, 447.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2019-12-31', NULL, 'Commande N&deg;11893', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 373.00000000, 74.60000000, 447.60000000, NULL, 'facture/FA1911-0041/FA1911-0041.pdf', NULL, NULL),
(1468, 'FA1911-0042', 1, NULL, NULL, NULL, 0, NULL, 2407, '2019-12-03 10:33:05', '2019-11-29', NULL, '2019-12-03', NULL, '2020-01-31 01:54:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 157.64000000, 0.00000000, 0.00000000, 0.00000000, 788.20000000, 945.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'remplacement second ventilateur sur s&eacute;cheur Compair F285C+ :<br />\r\n<br />\r\n&nbsp;Commande N&deg; 911150201-0-10760', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 788.20000000, 157.64000000, 945.84000000, NULL, 'facture/FA1911-0042/FA1911-0042.pdf', NULL, NULL),
(1469, 'FA1911-0043', 1, NULL, NULL, NULL, 0, NULL, 2407, '2019-12-03 10:36:03', '2019-11-29', NULL, '2019-12-03', NULL, '2020-01-31 01:54:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 32.80000000, 0.00000000, 0.00000000, 0.00000000, 164.00000000, 196.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2019-12-31', NULL, 'contacteur et relai thermique pour secheur F285C+ :&nbsp;<br />\r\n<br />\r\ncommande N&deg; 911150201-0-10760', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 164.00000000, 32.80000000, 196.80000000, NULL, 'facture/FA1911-0043/FA1911-0043.pdf', NULL, NULL),
(1470, 'FA1911-0044', 1, NULL, NULL, NULL, 0, NULL, 13044, '2019-12-05 14:13:57', '2019-11-29', NULL, '2019-12-05', NULL, '2019-12-12 15:21:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 150.00000000, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 16, 0, '2019-11-30', NULL, 'Groupe electrogene', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, 'facture/FA1911-0044/FA1911-0044.pdf', NULL, NULL),
(1471, 'FA1912-0003', 1, NULL, NULL, 'rs pro 15', 0, NULL, 12848, '2019-12-11 09:27:56', '2019-12-11', NULL, '2019-12-11', NULL, '2019-12-12 15:19:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1086.00000000, 0.00000000, 0.00000000, 0.00000000, 5430.00000000, 6516.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 9, 0, '2019-12-12', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5430.00000000, 1086.00000000, 6516.00000000, NULL, 'facture/FA1912-0003/FA1912-0003.pdf', NULL, NULL),
(1472, 'FA1912-0004', 1, NULL, NULL, NULL, 0, NULL, 12970, '2019-12-17 14:37:53', '2019-12-16', NULL, '2019-12-17', NULL, '2020-02-26 08:26:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1256.16000000, 0.00000000, 0.00000000, 0.00000000, 6280.80000000, 7536.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 16, 0, '2019-12-17', NULL, 'Compresseur &agrave; vis avec secheur int&eacute;gr&eacute; mont&eacute; sur reservoir RENNER 7.5KW 7.5Bars<br />\r\n<br />\r\nBL N&deg;23 du 06/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6280.80000000, 1256.16000000, 7536.96000000, NULL, 'facture/FA1912-0004/FA1912-0004.pdf', NULL, NULL),
(1473, 'FA1911-0045', 1, NULL, NULL, NULL, 0, NULL, 6086, '2019-12-18 08:58:41', '2019-11-05', NULL, '2019-12-18', NULL, '2019-12-18 07:58:57', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 283.80000000, 0.00000000, 0.00000000, 0.00000000, 1419.00000000, 1702.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-12-19', NULL, 'Contrat de maintenancepour partie air comprim&eacute; et azote N&deg;2019050201<br />\r\nSign&eacute; le 7 mai 2019 pour une dur&eacute;e de 5 ans .<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1419.00000000, 283.80000000, 1702.80000000, NULL, 'facture/FA1911-0045/FA1911-0045.pdf', NULL, NULL),
(1474, 'FA1912-0005', 1, NULL, NULL, NULL, 0, NULL, 6086, '2019-12-18 08:59:22', '2019-12-18', NULL, '2019-12-18', NULL, '2019-12-18 07:59:31', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 283.80000000, 0.00000000, 0.00000000, 0.00000000, 1419.00000000, 1702.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-12-19', NULL, 'Contrat de maintenancepour partie air comprim&eacute; et azote N&deg;2019050201<br />\r\nSign&eacute; le 7 mai 2019 pour une dur&eacute;e de 5 ans .<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1419.00000000, 283.80000000, 1702.80000000, NULL, 'facture/FA1912-0005/FA1912-0005.pdf', NULL, NULL),
(1475, 'FA1912-0006', 1, NULL, NULL, NULL, 0, NULL, 1955, '2019-12-18 10:31:03', '2019-12-18', NULL, '2019-12-18', NULL, '2020-02-12 08:19:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 109.10000000, 0.00000000, 0.00000000, 0.00000000, 545.45000000, 654.55000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Maintenance L07 de 2009 N&deg; CD10000211002 &agrave; 8781 HRS<br />\r\n<br />\r\nBL N&deg;34 du 05/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 545.45000000, 109.10000000, 654.55000000, NULL, 'facture/FA1912-0006/FA1912-0006.pdf', NULL, NULL),
(1476, 'FA1912-0007', 1, NULL, NULL, NULL, 0, NULL, 1983, '2019-12-18 11:25:01', '2019-12-18', NULL, '2019-12-18', NULL, '2020-02-17 07:10:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 126.79000000, 0.00000000, 0.00000000, 0.00000000, 633.92000000, 760.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Maintenance L07RS N&deg; BA2765001 &agrave; 16561 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\nRemplacement sonde de temperature<br />\r\n<br />\r\nBL N&deg;36 du 12/12/2018', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 633.92000000, 126.79000000, 760.71000000, NULL, 'facture/FA1912-0007/FA1912-0007.pdf', NULL, NULL),
(1477, 'FA1912-0008', 1, NULL, NULL, NULL, 0, NULL, 2609, '2019-12-18 11:48:25', '2019-12-18', NULL, '2019-12-18', NULL, '2020-02-20 15:32:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 60.78000000, 0.00000000, 0.00000000, 0.00000000, 303.90000000, 364.68000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Site d\'intervention : UDEP du pays d\'Albon<br />\r\nLieu dit Les Granges<br />\r\n26140 ANDANCETTE<br />\r\n<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.90000000, 60.78000000, 364.68000000, NULL, 'facture/FA1912-0008/FA1912-0008.pdf', NULL, NULL),
(1478, 'FA1912-0009', 1, NULL, NULL, NULL, 0, NULL, 2055, '2019-12-18 11:55:40', '2019-12-18', NULL, '2019-12-18', NULL, '2020-02-12 08:20:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 275.27000000, 0.00000000, 0.00000000, 0.00000000, 1376.36000000, 1651.63000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Maintenance compresseur L18 &agrave; 41600 Hrs - en pi&eacute;ces adaptables&nbsp; et remplcament module', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1376.36000000, 275.27000000, 1651.63000000, NULL, 'facture/FA1912-0009/FA1912-0009.pdf', NULL, NULL),
(1479, 'FA1912-0010', 1, NULL, NULL, NULL, 0, NULL, 2313, '2019-12-19 11:07:47', '2019-12-19', NULL, '2019-12-19', NULL, '2020-02-27 14:47:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 111.30000000, 0.00000000, 0.00000000, 0.00000000, 556.50000000, 667.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Maintenance L07RS N&deg; BA3562001 &agrave;&nbsp; 11414 HRS&nbsp; : en adaptable', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 556.50000000, 111.30000000, 667.80000000, NULL, 'facture/FA1912-0010/FA1912-0010.pdf', NULL, NULL),
(1480, 'FA1912-0011', 1, NULL, NULL, NULL, 0, NULL, 2140, '2019-12-19 11:30:55', '2019-12-19', NULL, '2019-12-19', NULL, '2020-02-12 08:20:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 193.39000000, 0.00000000, 0.00000000, 0.00000000, 966.95000000, 1160.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Maintenance L15 N&deg; CD10003063002 &agrave; 25876 HRS<br />\r\n<br />\r\nBL N&deg;38 du 18/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 966.95000000, 193.39000000, 1160.34000000, NULL, 'facture/FA1912-0011/FA1912-0011.pdf', NULL, NULL),
(1481, 'FA1912-0012', 1, NULL, NULL, NULL, 0, NULL, 2140, '2019-12-19 16:33:06', '2019-12-19', NULL, '2019-12-19', NULL, '2020-02-12 08:20:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 156.20000000, 0.00000000, 0.00000000, 0.00000000, 780.98000000, 937.18000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Maintenance L15RS N&deg;CD100024995001 &agrave; 22150 HRS<br />\r\n<br />\r\nBL N&deg;19 du 17/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 780.98000000, 156.20000000, 937.18000000, NULL, 'facture/FA1912-0012/FA1912-0012.pdf', NULL, NULL),
(1482, 'FA1912-0013', 1, NULL, NULL, NULL, 0, NULL, 12757, '2019-12-20 10:05:01', '2019-12-20', NULL, '2019-12-20', NULL, '2020-02-21 10:40:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 10.76000000, 0.00000000, 0.00000000, 0.00000000, 53.79000000, 64.55000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-01-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 53.79000000, 10.76000000, 64.55000000, NULL, 'facture/FA1912-0013/FA1912-0013.pdf', NULL, NULL),
(1483, 'FA1912-0014', 1, NULL, NULL, NULL, 0, NULL, 2127, '2019-12-20 10:08:25', '2019-12-20', NULL, '2019-12-20', NULL, '2020-02-05 02:22:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 163.57000000, 0.00000000, 0.00000000, 0.00000000, 817.86000000, 981.43000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Maintenance du Compresseur L75SR &agrave; 63300 HRS<br />\r\n<br />\r\nBL N&deg; 21 du 02/12/2019<br />\r\nCommande N&deg; CDA-FCA1911703', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 817.86000000, 163.57000000, 981.43000000, NULL, 'facture/FA1912-0014/FA1912-0014.pdf', NULL, NULL),
(1484, 'FA1912-0015', 1, NULL, NULL, NULL, 0, NULL, 2161, '2019-12-20 15:21:33', '2019-12-20', NULL, '2019-12-20', NULL, '2020-01-31 01:53:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 18.64000000, 0.00000000, 0.00000000, 0.00000000, 93.20000000, 111.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Raccord inox g1/4 femelle&nbsp;<br />\r\n<br />\r\nCommande N&deg; 2100/19019408', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 93.20000000, 18.64000000, 111.84000000, NULL, 'facture/FA1912-0015/FA1912-0015.pdf', NULL, NULL),
(1485, 'FA1912-0016', 1, NULL, NULL, NULL, 0, NULL, 2247, '2019-12-20 16:25:18', '2019-12-20', NULL, '2019-12-20', NULL, '2020-02-13 08:25:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 48.40000000, 0.00000000, 0.00000000, 0.00000000, 242.02000000, 290.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Remplacement du ventilateur armoire &eacute;l&eacute;ctrique du compresseur L18RS<br />\r\n<br />\r\nBL N&deg;33 du 05/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 242.02000000, 48.40000000, 290.42000000, NULL, 'facture/FA1912-0016/FA1912-0016.pdf', NULL, NULL),
(1486, 'FA1912-0017', 1, NULL, NULL, NULL, 0, NULL, 1955, '2019-12-23 09:15:02', '2019-12-23', NULL, '2019-12-23', NULL, '2020-02-12 08:19:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 31.60000000, 0.00000000, 0.00000000, 0.00000000, 158.00000000, 189.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Filtre regulateur lubrificateur en 1/2', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 158.00000000, 31.60000000, 189.60000000, NULL, 'facture/FA1912-0017/FA1912-0017.pdf', NULL, NULL),
(1487, 'FA1912-0018', 1, NULL, NULL, NULL, 0, NULL, 2162, '2019-12-23 09:31:21', '2019-12-23', NULL, '2019-12-23', NULL, '2020-02-05 02:13:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 148.35000000, 0.00000000, 0.00000000, 0.00000000, 741.77000000, 890.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Remis aux reseaux vannes pneumatique du compresseur &agrave; piston&nbsp;<br />\r\n<br />\r\nBL N&deg;35 du 10/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 741.77000000, 148.35000000, 890.12000000, NULL, 'facture/FA1912-0018/FA1912-0018.pdf', NULL, NULL),
(1488, 'FA1912-0019', 1, NULL, NULL, NULL, 0, NULL, 2272, '2019-12-23 10:41:19', '2019-12-23', NULL, '2019-12-23', NULL, '2020-02-12 08:19:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 44.22000000, 0.00000000, 0.00000000, 0.00000000, 221.10000000, 265.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'reparation descente girair et refixation vanne<br />\r\n<br />\r\nBL N&deg;28 du 11/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 221.10000000, 44.22000000, 265.32000000, NULL, 'facture/FA1912-0019/FA1912-0019.pdf', NULL, NULL),
(1489, 'FA1912-0020', 1, NULL, NULL, NULL, 0, NULL, 2197, '2019-12-23 14:03:27', '2019-12-23', NULL, '2019-12-23', NULL, '2020-02-20 12:25:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, 'facture/FA1912-0020/FA1912-0020.pdf', NULL, NULL),
(1490, 'FA1912-0021', 1, NULL, NULL, NULL, 0, NULL, 2286, '2019-12-23 14:21:31', '2019-12-23', NULL, '2019-12-23', NULL, '2020-02-18 10:05:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 152.11000000, 0.00000000, 0.00000000, 0.00000000, 760.55000000, 912.66000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'maintenance compresseur L15RS N&deg; CD10016180001 &agrave; 11227 HRS<br />\r\nRemplacement cartouche filtre r&eacute;seau<br />\r\n<br />\r\nBL N&deg;03 du 05/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 760.55000000, 152.11000000, 912.66000000, NULL, 'facture/FA1912-0021/FA1912-0021.pdf', NULL, NULL),
(1491, 'FA1912-0022', 1, NULL, NULL, NULL, 0, NULL, 2358, '2019-12-23 14:54:12', '2019-12-23', NULL, '2019-12-23', NULL, '2020-02-20 15:27:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 138.52000000, 0.00000000, 0.00000000, 0.00000000, 692.66000000, 831.18000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Modification ligne reseaux et t&eacute;l&eacute;phonique<br />\r\n<br />\r\nBL N&deg; 06 du 18/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 692.66000000, 138.52000000, 831.18000000, NULL, 'facture/FA1912-0022/FA1912-0022.pdf', NULL, NULL),
(1492, 'FA1912-0023', 1, NULL, NULL, NULL, 0, NULL, 2370, '2019-12-23 15:14:00', '2019-12-23', NULL, '2019-12-23', NULL, '2020-02-18 10:08:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 83.12000000, 0.00000000, 0.00000000, 0.00000000, 415.62000000, 498.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Maintenance s&eacute;cheur alumine HL0030 et remplcament cartouches filtres r&eacute;seaux :<br />\r\n<br />\r\nBL N&deg; 35 du 13/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 415.62000000, 83.12000000, 498.74000000, NULL, 'facture/FA1912-0023/FA1912-0023.pdf', NULL, NULL),
(1493, 'FA1912-0024', 1, NULL, NULL, NULL, 0, NULL, 2351, '2019-12-23 15:20:48', '2019-12-23', NULL, '2019-12-23', NULL, '2020-03-06 09:15:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 71.26000000, 0.00000000, 0.00000000, 0.00000000, 356.30000000, 427.56000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'kit de maintenance pour compresseur HV1122e<br />\r\n<br />\r\nCOMMANDE N&deg; BCFSOI1900894<br />\r\nCODE FOURNISSEUR 200979', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 356.30000000, 71.26000000, 427.56000000, NULL, 'facture/FA1912-0024/FA1912-0024.pdf', NULL, NULL),
(1494, 'FA1912-0025', 1, NULL, NULL, NULL, 0, NULL, 2350, '2019-12-23 15:24:56', '2019-12-23', NULL, '2019-12-23', NULL, '2020-02-17 07:09:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 296.97000000, 0.00000000, 0.00000000, 0.00000000, 1484.82000000, 1781.79000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Maintenance Compresseurs L45RS N&deg; CD10015094001 &agrave; 30014Hrs et 2 cartouches filtres reseaux ainsi que la maintenance de votre separateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N&deg;22 du 04/12/2019<br />\r\n<br />\r\nCOMMANDE&nbsp;2372813-325-G9J-BKP', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1484.82000000, 296.97000000, 1781.79000000, NULL, 'facture/FA1912-0025/FA1912-0025.pdf', NULL, NULL),
(1495, 'FA1912-0026', 1, NULL, NULL, NULL, 0, NULL, 2358, '2019-12-23 15:35:17', '2019-12-23', NULL, '2019-12-23', NULL, '2020-02-20 15:27:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 356.76000000, 0.00000000, 0.00000000, 0.00000000, 1783.85000000, 2140.61000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'iNTERVENTION SUR FOUR&nbsp;<br />\r\n<br />\r\nBL N&deg;01 DU 28/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1783.85000000, 356.76000000, 2140.61000000, NULL, 'facture/FA1912-0026/FA1912-0026.pdf', NULL, NULL),
(1496, 'FA1912-0027', 1, NULL, NULL, NULL, 0, NULL, 2407, '2019-12-23 15:44:52', '2019-12-23', NULL, '2019-12-23', NULL, '2020-02-24 14:53:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 419.71000000, 0.00000000, 0.00000000, 0.00000000, 2098.50000000, 2518.21000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Maintenance L29RS N°CD10039882001<br />\r\nCONTRAT LISSE<br />\r\n<br />\r\nBL N° 11 DU 15/11/2019<br />\r\n<br />\r\nCOMMANDE N° 10979461-0-10760', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2098.50000000, 419.71000000, 2518.21000000, NULL, 'facture/FA1912-0027/FA1912-0027.pdf', NULL, NULL),
(1497, 'FA1912-0028', 1, NULL, NULL, NULL, 0, NULL, 2407, '2019-12-23 15:55:15', '2019-12-23', NULL, '2019-12-23', NULL, '2020-03-11 09:29:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 128.74000000, 0.00000000, 0.00000000, 0.00000000, 643.72000000, 772.46000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Réépreuve votre cuve 1000Litres   hors épreuve par un organisme agréé .\r\n<p>Notre offre comprend :</p>\r\n\r\n<ul>\r\n	<li>Dépose des accessoires fixer sur la cuve ( flexible , … etc )</li>\r\n	<li>Assistance au verificateur de l’organisme agrée</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n</ul>\r\nCommande N° 151501<br />\r\n<br />\r\ncompte rendu 441177', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 643.72000000, 128.74000000, 772.46000000, NULL, 'facture/FA1912-0028/FA1912-0028.pdf', NULL, NULL),
(1498, 'FA1912-0029', 1, NULL, NULL, NULL, 0, NULL, 1940, '2019-12-24 09:06:43', '2019-12-24', NULL, '2019-12-24', NULL, '2020-02-27 14:46:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 247.25000000, 0.00000000, 0.00000000, 0.00000000, 1236.21000000, 1483.46000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Maintenance de votre compresseur L45RS N&deg; CD10023839001 &agrave; 22959 HRS<br />\r\nRemplacement cartouches filtres r&eacute;seaux&nbsp;<br />\r\nMaintenance s&eacute;parateur de condensats owamat14<br />\r\n<br />\r\nBL N&deg;43 du 23/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1236.21000000, 247.25000000, 1483.46000000, NULL, 'facture/FA1912-0029/FA1912-0029.pdf', NULL, NULL),
(1499, 'FA1912-0030', 1, NULL, NULL, NULL, 0, NULL, 11435, '2019-12-24 09:17:02', '2019-12-24', NULL, '2019-12-24', NULL, '2020-03-03 09:13:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 337.77000000, 0.00000000, 0.00000000, 0.00000000, 1688.90000000, 2026.67000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'maintenance L30RS N&deg;cd10013952002 &agrave; 29356 HRS<br />\r\nMaintenance separateur de condensats Owamt 12<br />\r\nRemplacement des 4 cartouches reseaux<br />\r\n<br />\r\nBL N&deg; 42 du 20/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1688.90000000, 337.77000000, 2026.67000000, NULL, 'facture/FA1912-0030/FA1912-0030.pdf', NULL, NULL),
(1500, 'FA1912-0031', 1, NULL, NULL, NULL, 0, NULL, 13036, '2019-12-24 09:22:00', '2019-12-24', NULL, '2019-12-24', NULL, '2020-02-26 08:36:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 72.45000000, 0.00000000, 0.00000000, 0.00000000, 362.28000000, 434.73000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-01-31', NULL, 'Cablage horloge avec BT 3 position pour demarrage pompe a vide<br />\r\n<br />\r\nBL N°24 du 06/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 362.28000000, 72.45000000, 434.73000000, NULL, 'facture/FA1912-0031/FA1912-0031.pdf', NULL, NULL),
(1501, 'FA1912-0032', 1, NULL, NULL, NULL, 0, NULL, 2055, '2019-12-24 10:18:03', '2019-12-24', NULL, '2019-12-24', NULL, '2020-02-20 15:27:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 67.87000000, 0.00000000, 0.00000000, 0.00000000, 339.34000000, 407.21000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Mini bras en Z depannage - contact arret d \'urgence défectueux<br />\r\n<br />\r\n<br />\r\nBL N°25 du 09/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 339.34000000, 67.87000000, 407.21000000, NULL, 'facture/FA1912-0032/FA1912-0032.pdf', NULL, NULL),
(1502, 'FA1912-0038', 1, NULL, NULL, NULL, 0, NULL, 2155, '2019-12-24 10:34:00', '2019-12-24', NULL, '2019-12-26', NULL, '2020-02-05 02:12:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 102.54000000, 0.00000000, 0.00000000, 0.00000000, 512.71000000, 615.25000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Intervention sur compressseur L04 N° BA37888001 <br />\r\n<br />\r\nBL N° 04 du 06/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 512.71000000, 102.54000000, 615.25000000, NULL, 'facture/FA1912-0038/FA1912-0038.pdf', NULL, NULL),
(1503, 'FA1912-0033', 1, NULL, NULL, NULL, 0, NULL, 2161, '2019-12-24 10:43:25', '2019-12-24', NULL, '2019-12-24', NULL, '2020-01-31 01:53:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 18.56000000, 0.00000000, 0.00000000, 0.00000000, 92.80000000, 111.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Raccord inox g1/4 male<br />\r\n<br />\r\nCommande 2100/19020228', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 92.80000000, 18.56000000, 111.36000000, NULL, 'facture/FA1912-0033/FA1912-0033.pdf', NULL, NULL),
(1504, 'FA1912-0034', 1, NULL, NULL, NULL, 0, NULL, 2287, '2019-12-24 10:49:47', '2019-12-24', NULL, '2019-12-24', NULL, '2020-02-12 08:21:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 111.73000000, 0.00000000, 0.00000000, 0.00000000, 558.61000000, 670.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Maintenance ROLLAIR N&deg; 339336 &agrave; 22553 H<br />\r\n<br />\r\nBL N&deg;44 du 23/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 558.61000000, 111.73000000, 670.34000000, NULL, 'facture/FA1912-0034/FA1912-0034.pdf', NULL, NULL),
(1505, 'FA1912-0035', 1, NULL, NULL, NULL, 0, NULL, 12699, '2019-12-24 11:24:55', '2019-12-24', NULL, '2019-12-24', NULL, '2020-02-05 02:10:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 38.19000000, 0.00000000, 0.00000000, 0.00000000, 190.94000000, 229.13000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-01-31', NULL, 'Pi&eacute;ces detach&eacute;es MTA', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 190.94000000, 38.19000000, 229.13000000, NULL, 'facture/FA1912-0035/FA1912-0035.pdf', NULL, NULL),
(1506, 'FA1912-0036', 1, NULL, NULL, NULL, 0, NULL, 2163, '2019-12-26 09:23:09', '2019-12-26', NULL, '2019-12-26', NULL, '2020-01-16 16:28:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 51.30000000, 0.00000000, 0.00000000, 0.00000000, 256.48000000, 307.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'Remplacement capteur de pression d&#39;occasion sur compresseur START015&nbsp;<br />\r\n<br />\r\nBL N&deg; 31 du 13/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 256.48000000, 51.30000000, 307.78000000, NULL, 'facture/FA1912-0036/FA1912-0036.pdf', NULL, NULL),
(1507, 'FA1912-0037', 1, NULL, NULL, NULL, 0, NULL, 2163, '2019-12-26 09:29:49', '2019-12-26', NULL, '2019-12-26', NULL, '2020-01-16 16:28:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 46.06000000, 0.00000000, 0.00000000, 0.00000000, 230.32000000, 276.38000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-01-31', NULL, 'depannage<br />\r\n<br />\r\nBL N° 30 du 11/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.32000000, 46.06000000, 276.38000000, NULL, 'facture/FA1912-0037/FA1912-0037.pdf', NULL, NULL),
(1508, 'FA1912-0039', 1, NULL, NULL, NULL, 0, NULL, 13045, '2019-12-26 14:25:27', '2019-12-26', NULL, '2019-12-26', NULL, '2020-12-24 07:58:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 6586.94000000, 0.00000000, 0.00000000, 0.00000000, 32934.61000000, 39521.55000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2019-12-27', NULL, 'Dossier UDT MECA :&nbsp;<br />\r\nNouveau local air comprim&eacute; <strong>compresseur &agrave; vis lubrifiee vitesse variable</strong>&nbsp;30 KW modele : L29RS COMPAIR GD avec un gainage pour chauffage des locaux avec s&eacute;cheur par refrigeration OMI et cuve 900Litres', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 32934.61000000, 6586.94000000, 39521.55000000, NULL, 'facture/FA1912-0039/FA1912-0039.pdf', NULL, NULL),
(1509, 'FA1912-0040', 1, NULL, NULL, NULL, 0, NULL, 2122, '2020-01-02 10:03:29', '2019-12-31', NULL, '2020-01-02', NULL, '2020-02-18 10:06:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 241.70000000, 0.00000000, 0.00000000, 0.00000000, 1208.49000000, 1450.19000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-01-31', NULL, 'Maintenance L75RS N&deg; CD10018699001 &agrave;&nbsp; HRS<br />\r\nMaintenance seprateur de condensats OWAMAT 15<br />\r\nRemplacement cartouche filtre r&eacute;seau<br />\r\n<br />\r\nBL 7 du 16/10/2019<br />\r\n<br />\r\nCommande N&deg;41092', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1208.49000000, 241.70000000, 1450.19000000, NULL, 'facture/FA1912-0040/FA1912-0040.pdf', NULL, NULL),
(1510, 'FA1912-0041', 1, NULL, NULL, NULL, 0, NULL, 2122, '2020-01-02 10:32:56', '2019-12-31', NULL, '2020-01-02', NULL, '2020-02-18 10:06:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1398.74000000, 0.00000000, 0.00000000, 0.00000000, 6993.72000000, 8392.46000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-01-31', NULL, 'En equivalence &agrave; vos anciens s&eacute;cheurs &agrave; masse thermique MTA, nous vous proposons des s&eacute;cheurs pouvant traiter un d&eacute;bit de 1000 m3/h &agrave; 30&deg;C ( temp&eacute;rature ambiante de votre local en &eacute;t&eacute; ) .<br />\r\nProposition incluant depose et repose de l&#39;ancien mat&eacute;riel et modification du bypass en girair diametre 63 .<br />\r\nFerraillage du mat&eacute;riel et manutention &agrave; votre charge .<br />\r\n<br />\r\n<strong>Commande N&deg;41208</strong>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6993.72000000, 1398.74000000, 8392.46000000, NULL, 'facture/FA1912-0041/FA1912-0041.pdf', NULL, NULL),
(1511, 'FA2001-0001', 1, NULL, NULL, NULL, 0, NULL, 6086, '2020-01-09 16:23:44', '2020-01-09', NULL, '2020-01-09', NULL, '2020-01-09 15:23:52', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 283.80000000, 0.00000000, 0.00000000, 0.00000000, 1419.00000000, 1702.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-01-10', NULL, 'Contrat de maintenancepour partie air comprim&eacute; et azote N&deg;2019050201<br />\r\nSign&eacute; le 7 mai 2019 pour une dur&eacute;e de 5 ans .<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1419.00000000, 283.80000000, 1702.80000000, NULL, 'facture/FA2001-0001/FA2001-0001.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1512, 'FA2001-0002', 1, NULL, NULL, NULL, 0, NULL, 2407, '2020-01-15 11:00:39', '2020-01-15', NULL, '2020-01-15', NULL, '2020-05-14 12:00:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 560.01000000, 0.00000000, 0.00000000, 0.00000000, 2800.07000000, 3360.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-02-29', NULL, 'Maintenance L90RS 13BARS de 2015 N&deg; CD10030723001 &agrave; 13404 HRS<br />\r\n<br />\r\nBL N&deg;30 du 27/11/2019<br />\r\n<br />\r\nLIvraison : CROUZET AUTOMATISME&nbsp; 26000VALENCE<br />\r\nCommande de Mr ACKER', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2800.07000000, 560.01000000, 3360.08000000, NULL, 'facture/FA2001-0002/FA2001-0002.pdf', NULL, NULL),
(1513, 'FA2001-0003', 1, NULL, NULL, NULL, 0, NULL, 2407, '2020-01-15 11:17:56', '2020-01-15', NULL, '2020-01-15', NULL, '2020-03-24 09:41:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 59.80000000, 0.00000000, 0.00000000, 0.00000000, 299.00000000, 358.80000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-02-29', NULL, 'huile COMPAIR pour compresseur <br />\r\n<br />\r\nBL N°22 du 12/11/2019<br />\r\n<br />\r\nLivraison : Site CROUZET AUTOMATISME 26000 VALENCE<br />\r\n<br />\r\nCommande Mr MOUNDHER  MHAIDI', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 299.00000000, 59.80000000, 358.80000000, NULL, 'facture/FA2001-0003/FA2001-0003.pdf', NULL, NULL),
(1514, 'FA2001-0004', 1, NULL, NULL, NULL, 0, NULL, 2407, '2020-01-15 11:21:45', '2020-01-15', NULL, '2020-01-15', NULL, '2020-03-24 09:41:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 232.82000000, 0.00000000, 0.00000000, 0.00000000, 1164.14000000, 1396.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-02-29', NULL, 'Commande Mr ACKER<br />\r\n<br />\r\nIntervention : SIte CROUZET AUTOMATISME 26000 VALENCE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1164.14000000, 232.82000000, 1396.96000000, NULL, 'facture/FA2001-0004/FA2001-0004.pdf', NULL, NULL),
(1515, 'FA2001-0005', 1, NULL, NULL, NULL, 0, NULL, 2029, '2020-01-15 11:32:32', '2020-01-15', NULL, '2020-01-15', NULL, '2020-04-21 11:29:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 133.44000000, 0.00000000, 0.00000000, 0.00000000, 667.16000000, 800.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-02-29', NULL, 'maintenance L11 &agrave; 40899 HRS<br />\r\nmaintenance separateur de condensats Owamat 10<br />\r\nRemplacement cartouche filtre reseau&nbsp;<br />\r\n<br />\r\nBL N&deg; 46 du 03/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 667.16000000, 133.44000000, 800.60000000, NULL, 'facture/FA2001-0005/FA2001-0005.pdf', NULL, NULL),
(1516, 'FA2001-0006', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-01-15 11:38:19', '2020-01-15', NULL, '2020-01-15', NULL, '2020-04-03 07:26:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 145.78000000, 0.00000000, 0.00000000, 0.00000000, 728.89000000, 874.67000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-02-29', NULL, 'Remplacement electrovanne sur compresseur SULLAIR WA3008 -&nbsp;<br />\r\nSIte de VOREPPE<br />\r\n<br />\r\nBL N&deg;02 du 10/01/2020<br />\r\n<br />\r\nCommande N&deg; C17820013325PM', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 728.89000000, 145.78000000, 874.67000000, NULL, 'facture/FA2001-0006/FA2001-0006.pdf', NULL, NULL),
(1517, 'FA2001-0007', 1, NULL, NULL, NULL, 0, NULL, 12666, '2020-01-15 11:48:30', '2020-01-15', NULL, '2020-01-15', NULL, '2020-03-25 08:35:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 163.36000000, 0.00000000, 0.00000000, 0.00000000, 816.80000000, 980.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-02-29', NULL, 'maintenance UP5-15-8.5 &agrave; 22841 HRS<br />\r\n<br />\r\nBL N&deg;7 du 14/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 816.80000000, 163.36000000, 980.16000000, NULL, 'facture/FA2001-0007/FA2001-0007.pdf', NULL, NULL),
(1518, 'FA2001-0008', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-01-15 16:46:40', '2020-01-15', NULL, '2020-01-15', NULL, '2020-02-17 07:10:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-02-29', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA2001-0008/FA2001-0008.pdf', NULL, NULL),
(1519, 'AC2001-0001', 1, NULL, NULL, NULL, 3, NULL, 2235, '2020-01-16 15:10:10', '2020-01-16', NULL, '2020-01-16', NULL, '2020-02-26 08:40:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2160.00000000, 0.00000000, 0.00000000, 0.00000000, 10800.00000000, 12960.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2020-01-17', NULL, 'local air comprim&eacute; : Un compresseur &agrave; vitesse varaible 30KW modele L29RS COMPAIR avec un secheur par refrigeration ED660 et un reservoir galva de 900Litres , deux filtres reseaux .<br />\r\nRaccordement de l&#39;ensemble en inox serti<br />\r\n<br />\r\nAcompte &agrave; la commande : 30%', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 10800.00000000, 2160.00000000, 12960.00000000, NULL, 'facture/AC2001-0001/AC2001-0001.pdf', NULL, NULL),
(1520, 'FA2001-0009', 1, NULL, NULL, NULL, 0, NULL, 1965, '2020-01-16 16:23:44', '2020-01-16', NULL, '2020-01-16', NULL, '2020-03-02 08:43:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 135.57000000, 0.00000000, 0.00000000, 0.00000000, 677.87000000, 813.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-02-29', NULL, 'Compresseur devilbiss MOD25&nbsp; &agrave; 11323 HRS<br />\r\nVidange et remplacement huile<br />\r\nRemplacement filtre separateur<br />\r\nRemplacement purgeur sur filtre reseau<br />\r\n<br />\r\nBL N&deg;8 du 08/11/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 677.87000000, 135.57000000, 813.44000000, NULL, 'facture/FA2001-0009/FA2001-0009.pdf', NULL, NULL),
(1521, 'AV2001-0001', 1, NULL, NULL, NULL, 2, NULL, 13036, '2020-01-17 09:27:03', '2020-01-17', NULL, '2020-01-17', NULL, '2020-02-21 09:02:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -9.21000000, 0.00000000, 0.00000000, 0.00000000, -46.08000000, -55.29000000, 2, 5, NULL, 5, NULL, 1500, NULL, NULL, NULL, 0, 0, '2020-01-17', NULL, 'comme convenu avec Mr BRET hier :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 46.08000000, 9.21000000, 55.29000000, NULL, 'facture/AV2001-0001/AV2001-0001.pdf', NULL, NULL),
(1523, 'AV2001-0002', 1, NULL, NULL, NULL, 2, NULL, 2391, '2020-01-21 15:01:16', '2020-01-14', NULL, '2020-01-21', NULL, '2020-02-26 08:37:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -400.00000000, 0.00000000, 0.00000000, 0.00000000, -2000.00000000, -2400.00000000, 2, 5, NULL, 5, NULL, 1202, NULL, NULL, NULL, 0, 2, '2020-01-14', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -2000.00000000, -400.00000000, -2400.00000000, NULL, 'facture/AV2001-0002/AV2001-0002.pdf', NULL, NULL),
(1524, 'AV2001-0003', 1, NULL, NULL, NULL, 2, NULL, 2391, '2020-01-21 16:05:57', '2020-01-21', NULL, '2020-01-21', NULL, '2020-02-26 08:37:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -118.67000000, 0.00000000, 0.00000000, 0.00000000, -593.37000000, -712.04000000, 2, 5, NULL, 5, NULL, 1179, NULL, NULL, NULL, 0, 2, '2020-01-21', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -593.37000000, -118.67000000, -712.04000000, NULL, 'facture/AV2001-0003/AV2001-0003.pdf', NULL, NULL),
(1525, 'FA2001-0010', 1, NULL, NULL, NULL, 0, NULL, 5741, '2020-01-22 09:08:49', '2020-01-22', NULL, '2020-01-22', NULL, '2020-03-06 09:13:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 42.25000000, 0.00000000, 0.00000000, 0.00000000, 211.25000000, 253.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-02-29', NULL, 'Commande N&deg; 12161', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 211.25000000, 42.25000000, 253.50000000, NULL, 'facture/FA2001-0010/FA2001-0010.pdf', NULL, NULL),
(1526, 'FA2001-0011', 1, NULL, NULL, 'CF27927', 0, NULL, 2029, '2020-01-22 09:22:50', '2020-01-22', NULL, '2020-01-22', NULL, '2020-04-06 07:50:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 179.55000000, 0.00000000, 0.00000000, 0.00000000, 897.74000000, 1077.29000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-02-29', NULL, 'Remplacement ventilateur du secheur et vanne thermostatique sur compresseur L11 :&nbsp;<br />\r\n<br />\r\nBL N&deg;11 du 17/01/2020<br />\r\n<br />\r\nCommande N&deg;CF27927', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 897.74000000, 179.55000000, 1077.29000000, NULL, 'facture/FA2001-0011/FA2001-0011.pdf', NULL, NULL),
(1527, 'FA2001-0012', 1, NULL, NULL, NULL, 0, NULL, 12581, '2020-01-22 09:39:58', '2020-01-22', NULL, '2020-01-22', NULL, '2020-03-03 09:14:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 114.72000000, 0.00000000, 0.00000000, 0.00000000, 573.62000000, 688.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-02-29', NULL, 'Maintenance GA15+FF &agrave;&nbsp; HRS<br />\r\n<br />\r\nCommande N&deg; 00131<br />\r\nChantier Centrale enrob&eacute; N&deg; 82000<br />\r\nContact Fabien Laurent', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 573.62000000, 114.72000000, 688.34000000, NULL, 'facture/FA2001-0012/FA2001-0012.pdf', NULL, NULL),
(1528, 'AV2001-0004', 1, NULL, NULL, NULL, 2, NULL, 2391, '2020-01-23 11:16:40', '2020-01-23', NULL, '2020-01-23', NULL, '2020-02-26 08:37:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -55.76000000, 0.00000000, 0.00000000, 0.00000000, -278.82000000, -334.58000000, 2, 5, NULL, 5, NULL, 1178, NULL, NULL, NULL, 0, 2, '2020-01-23', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -278.82000000, -55.76000000, -334.58000000, NULL, 'facture/AV2001-0004/AV2001-0004.pdf', NULL, NULL),
(1529, 'FA2001-0013', 1, NULL, NULL, NULL, 0, NULL, 2197, '2020-01-23 11:19:49', '2020-01-23', NULL, '2020-01-23', NULL, '2020-02-20 12:25:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-02-29', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, 'facture/FA2001-0013/FA2001-0013.pdf', NULL, NULL),
(1530, 'FA2001-0014', 1, NULL, NULL, NULL, 0, NULL, 1955, '2020-01-28 15:34:07', '2020-01-28', NULL, '2020-01-28', NULL, '2020-03-11 09:26:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 175.60000000, 0.00000000, 0.00000000, 0.00000000, 878.00000000, 1053.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-02-29', NULL, 'Fourniture&nbsp; et raccordement en lieu et place d&#39;un reservoir 500Litres &eacute;quip&eacute; .<br />\r\n<br />\r\nBL N&deg;14 du 23/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 878.00000000, 175.60000000, 1053.60000000, NULL, 'facture/FA2001-0014/FA2001-0014.pdf', NULL, NULL),
(1531, 'FA2001-0015', 1, NULL, NULL, NULL, 0, NULL, 2008, '2020-01-28 15:38:15', '2020-01-28', NULL, '2020-01-28', NULL, '2020-03-02 08:42:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 108.99000000, 0.00000000, 0.00000000, 0.00000000, 545.02000000, 654.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-02-29', NULL, 'Maintenance compresseur 6000 EL &agrave; 39534 HRS<br />\r\n<br />\r\nBL N&deg;16 du 24/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 545.02000000, 108.99000000, 654.01000000, NULL, 'facture/FA2001-0015/FA2001-0015.pdf', NULL, NULL),
(1532, 'FA2001-0016', 1, NULL, NULL, NULL, 0, NULL, 2033, '2020-01-31 11:00:18', '2020-01-31', NULL, '2020-01-31', NULL, '2020-03-17 10:51:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 164.97000000, 0.00000000, 0.00000000, 0.00000000, 824.82000000, 989.79000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance L15RS N&deg; CD10006364001 &agrave; 23265 hrs<br />\r\nRemplacement cartouche filtre reseau BEA 190RB<br />\r\n<br />\r\nBL N&deg;17 du 24/01/2020<br />\r\nCommande N&deg; 30373/21781', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 824.82000000, 164.97000000, 989.79000000, NULL, 'facture/FA2001-0016/FA2001-0016.pdf', NULL, NULL),
(1533, 'FA2001-0017', 1, NULL, NULL, NULL, 0, NULL, 2073, '2020-01-31 11:09:39', '2020-01-31', NULL, '2020-01-31', NULL, '2020-04-22 07:25:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 105.28000000, 0.00000000, 0.00000000, 0.00000000, 526.40000000, 631.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance Hv07 &agrave; 11978 HRS<br />\r\n<br />\r\nBL N&deg;13 du 21/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 526.40000000, 105.28000000, 631.68000000, NULL, 'facture/FA2001-0017/FA2001-0017.pdf', NULL, NULL),
(1534, 'FA2001-0018', 1, NULL, NULL, 'sullair wa3008 voreppe', 0, NULL, 2054, '2020-01-31 11:12:55', '2020-01-31', NULL, '2020-01-31', NULL, '2020-04-03 07:26:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 152.75000000, 0.00000000, 0.00000000, 0.00000000, 763.74000000, 916.49000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance compresseur Sullair WA3008 N&deg;90630031 &agrave; 20 665 HRS<br />\r\n<br />\r\nSite de livraison :<br />\r\nZA Centr&#39;Alp<br />\r\nRue Louis Neel<br />\r\n38340 VOREPPE<br />\r\n<br />\r\nCommande : C17820013332PM', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 763.74000000, 152.75000000, 916.49000000, NULL, 'facture/FA2001-0018/FA2001-0018.pdf', NULL, NULL),
(1535, 'FA2001-0019', 1, NULL, NULL, NULL, 0, NULL, 2119, '2020-01-31 11:46:18', '2020-01-31', NULL, '2020-01-31', NULL, '2020-03-31 08:11:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 153.96000000, 0.00000000, 0.00000000, 0.00000000, 769.76000000, 923.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance L05 &agrave; 2670 HRS ,<br />\r\nMaintenance seprateur de condensats&nbsp;owamat 2R ( SIR4003 )&nbsp; et remplacement des cartouches&nbsp; filtres reseaux&nbsp;<br />\r\n<br />\r\nBL N&deg; 18 du 27/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 769.76000000, 153.96000000, 923.72000000, NULL, 'facture/FA2001-0019/FA2001-0019.pdf', NULL, NULL),
(1536, 'FA2001-0020', 1, NULL, NULL, NULL, 0, NULL, 2128, '2020-01-31 14:38:49', '2020-01-31', NULL, '2020-01-31', NULL, '2020-05-29 07:53:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 311.29000000, 0.00000000, 0.00000000, 0.00000000, 1556.48000000, 1867.77000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance compresseur L11RS N&deg; BA4491101 &agrave; 10596 HRS sous contrat liss&eacute;<br />\r\net remplacement de 2 cartouches filtres r&eacute;seaux<br />\r\net remplcament kit separateur de condensats<br />\r\net remplacement du purgeur du filtre d&#39;entr&eacute;e<br />\r\nBL N&deg; 45 du 03/01//2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1556.48000000, 311.29000000, 1867.77000000, NULL, 'facture/FA2001-0020/FA2001-0020.pdf', NULL, NULL),
(1537, 'FA2001-0021', 1, NULL, NULL, NULL, 0, NULL, 2103, '2020-01-31 15:17:12', '2020-01-31', NULL, '2020-01-31', NULL, '2020-03-02 08:43:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 66.29000000, 0.00000000, 0.00000000, 0.00000000, 331.44000000, 397.73000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Intervention sur compresseur L45RS - legere tache d\'huile<br />\r\n<br />\r\nBL N°3 du 10/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 331.44000000, 66.29000000, 397.73000000, NULL, 'facture/FA2001-0021/FA2001-0021.pdf', NULL, NULL),
(1538, 'FA2001-0022', 1, NULL, NULL, NULL, 0, NULL, 2122, '2020-01-31 15:22:45', '2020-01-31', NULL, '2020-01-31', NULL, '2020-03-18 09:12:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 10.67000000, 0.00000000, 0.00000000, 0.00000000, 53.35000000, 64.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 16, 0, '2020-02-01', NULL, 'Commande N&deg; 41639', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 53.35000000, 10.67000000, 64.02000000, NULL, 'facture/FA2001-0022/FA2001-0022.pdf', NULL, NULL),
(1539, 'FA2001-0023', 1, NULL, NULL, NULL, 0, NULL, 2239, '2020-01-31 15:26:31', '2020-01-31', NULL, '2020-01-31', NULL, '2020-04-08 06:57:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 61.31000000, 0.00000000, 0.00000000, 0.00000000, 306.55000000, 367.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Remplacement pressostat du compresseur 6020 ELX<br />\r\n<br />\r\nBL N&deg;49 du 07/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 306.55000000, 61.31000000, 367.86000000, NULL, 'facture/FA2001-0023/FA2001-0023.pdf', NULL, NULL),
(1540, 'FA2001-0024', 1, NULL, NULL, NULL, 0, NULL, 2102, '2020-01-31 15:52:42', '2020-01-31', NULL, '2020-01-31', NULL, '2020-06-03 07:03:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 48.39000000, 0.00000000, 0.00000000, 0.00000000, 241.96000000, 290.35000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'intervention sur compresseur L11VS<br />\r\n<br />\r\nBL N° 32 du 13/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 241.96000000, 48.39000000, 290.35000000, NULL, 'facture/FA2001-0024/FA2001-0024.pdf', NULL, NULL),
(1541, 'AC2001-0002', 1, NULL, NULL, NULL, 3, NULL, 12919, '2020-02-03 15:30:35', '2020-01-31', NULL, '2020-02-03', NULL, '2020-02-20 15:28:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1482.05000000, 0.00000000, 0.00000000, 0.00000000, 7410.27000000, 8892.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-02-01', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 7410.27000000, 1482.05000000, 8892.32000000, NULL, 'facture/AC2001-0002/AC2001-0002.pdf', NULL, NULL),
(1542, 'FA2002-0001', 1, NULL, NULL, NULL, 0, NULL, 2169, '2020-02-03 15:40:54', '2020-02-03', NULL, '2020-02-03', NULL, '2020-04-15 07:21:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 48.00000000, 0.00000000, 0.00000000, 0.00000000, 240.02000000, 288.02000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Dépannage compresseur KA7 plus - changement courroies<br />\r\n<br />\r\nBL N° 5 du 13/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 240.02000000, 48.00000000, 288.02000000, NULL, 'facture/FA2002-0001/FA2002-0001.pdf', NULL, NULL),
(1543, 'FA2002-0002', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-02-03 15:46:31', '2020-02-03', NULL, '2020-02-03', NULL, '2020-04-02 07:56:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA2002-0002/FA2002-0002.pdf', NULL, NULL),
(1544, 'FA2002-0003', 1, NULL, NULL, NULL, 0, NULL, 2197, '2020-02-03 15:47:21', '2020-02-03', NULL, '2020-02-03', NULL, '2020-02-20 12:25:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, 'facture/FA2002-0003/FA2002-0003.pdf', NULL, NULL),
(1545, 'FA2001-0025', 1, NULL, NULL, NULL, 0, NULL, 2162, '2020-02-03 15:52:59', '2020-01-31', NULL, '2020-02-03', NULL, '2020-03-16 09:52:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 24.84000000, 0.00000000, 0.00000000, 0.00000000, 124.21000000, 149.05000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Soupape sur cuve intermediaire<br />\r\n<br />\r\nBL N&deg;43 du 09/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 124.21000000, 24.84000000, 149.05000000, NULL, 'facture/FA2001-0025/FA2001-0025.pdf', NULL, NULL),
(1546, 'FA2001-0026', 1, NULL, NULL, NULL, 0, NULL, 2163, '2020-02-03 16:16:09', '2020-01-31', NULL, '2020-02-03', NULL, '2020-03-02 08:46:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 149.00000000, 0.00000000, 0.00000000, 0.00000000, 745.04000000, 894.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance compresseur START015&nbsp; &agrave; 58700H + 5900H et remplacement du pressostat<br />\r\n<br />\r\nBL N&deg;48 du 07/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 745.04000000, 149.00000000, 894.04000000, NULL, 'facture/FA2001-0026/FA2001-0026.pdf', NULL, NULL),
(1547, 'FA2001-0027', 1, NULL, NULL, NULL, 0, NULL, 2177, '2020-02-03 16:30:12', '2020-01-31', NULL, '2020-02-03', NULL, '2020-03-05 12:45:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 119.41000000, 0.00000000, 0.00000000, 0.00000000, 597.04000000, 716.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance compresseur L07RS &agrave; 9346 HRS<br />\r\n<br />\r\nBL N&deg;7 du 09/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 597.04000000, 119.41000000, 716.45000000, NULL, 'facture/FA2001-0027/FA2001-0027.pdf', NULL, NULL),
(1548, 'FA2001-0028', 1, NULL, NULL, NULL, 0, NULL, 2235, '2020-02-03 16:42:58', '2020-01-31', NULL, '2020-02-03', NULL, '2020-04-06 08:24:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 59.80000000, 0.00000000, 0.00000000, 0.00000000, 299.00000000, 358.80000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Suite à votre demande auprés de Mr Balazard ce jour , un bidon d\'huile 20Litres pour votre compresseur L15VS<br />\r\n<br />\r\nCommande N° MAI20GLB00059', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 299.00000000, 59.80000000, 358.80000000, NULL, 'facture/FA2001-0028/FA2001-0028.pdf', NULL, NULL),
(1549, 'FA2001-0029', 1, NULL, NULL, NULL, 0, NULL, 2245, '2020-02-03 16:46:33', '2020-01-31', NULL, '2020-02-03', NULL, '2020-03-11 09:27:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 222.52000000, 0.00000000, 0.00000000, 0.00000000, 1112.60000000, 1335.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, '<span style=\"font-size:small\"><span style=\"font-family:Default Sans Serif,Verdana,Arial,Helvetica,sans-serif\">20 &eacute;lectrovannes CAMOZZI R&eacute;f.438.015.22</span></span><br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1112.60000000, 222.52000000, 1335.12000000, NULL, 'facture/FA2001-0029/FA2001-0029.pdf', NULL, NULL),
(1550, 'FA2001-0030', 1, NULL, NULL, NULL, 0, NULL, 2235, '2020-02-04 08:54:29', '2020-01-31', NULL, '2020-02-04', NULL, '2020-04-06 08:24:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 192.60000000, 0.00000000, 0.00000000, 0.00000000, 962.99000000, 1155.59000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Pour robot vu cette apres midi ensemble&nbsp;<br />\r\n<br />\r\nCommande N&deg; MAI20GLB00050', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 962.99000000, 192.60000000, 1155.59000000, NULL, 'facture/FA2001-0030/FA2001-0030.pdf', NULL, NULL),
(1551, 'FA2001-0031', 1, NULL, NULL, NULL, 0, NULL, 12995, '2020-02-04 09:00:05', '2020-01-31', NULL, '2020-02-04', NULL, '2020-03-17 10:49:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 107.65000000, 0.00000000, 0.00000000, 0.00000000, 538.27000000, 645.92000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-03-31', NULL, 'Maintenance des 2 compresseurs &agrave; piston ABAC<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- resserrage connexions &eacute;lectriques par nos techniciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration </u><br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 50 CV ( hors manutention, transport &amp; raccordement)<br />\r\n- Audit GRATUIT , ... etc<br />\r\n<br />\r\nBL N&deg;40 du 02/01/2020</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 538.27000000, 107.65000000, 645.92000000, NULL, 'facture/FA2001-0031/FA2001-0031.pdf', NULL, NULL),
(1552, 'FA2001-0032', 1, NULL, NULL, NULL, 0, NULL, 2268, '2020-02-04 09:55:33', '2020-01-31', NULL, '2020-02-04', NULL, '2020-03-02 08:47:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 114.80000000, 0.00000000, 0.00000000, 0.00000000, 573.99000000, 688.79000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance L15 N&deg; CD10006861001 &agrave; 48263 HRS<br />\r\n<br />\r\nBL N&deg;4 du 13/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 573.99000000, 114.80000000, 688.79000000, NULL, 'facture/FA2001-0032/FA2001-0032.pdf', NULL, NULL),
(1553, 'FA2001-0033', 1, NULL, NULL, NULL, 0, NULL, 6663, '2020-02-04 11:17:19', '2020-01-31', NULL, '2020-02-04', NULL, '2020-03-11 09:26:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 58.86000000, 0.00000000, 0.00000000, 0.00000000, 294.34000000, 353.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Defaut d&#39;isolement al&eacute;atoire sur secheur OMI ed480<br />\r\n<br />\r\nBL N&deg;1 du 27/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 294.34000000, 58.86000000, 353.20000000, NULL, 'facture/FA2001-0033/FA2001-0033.pdf', NULL, NULL),
(1554, 'FA2001-0034', 1, NULL, NULL, NULL, 0, NULL, 6663, '2020-02-04 14:20:03', '2020-01-31', NULL, '2020-02-04', NULL, '2020-03-11 09:26:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 133.89000000, 0.00000000, 0.00000000, 0.00000000, 669.45000000, 803.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance L37RS N&deg; CD100248873001 &agrave;&nbsp; 5418HRS<br />\r\n<br />\r\n<br />\r\nBL N&deg; 10 du 15/01/2020&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 669.45000000, 133.89000000, 803.34000000, NULL, 'facture/FA2001-0034/FA2001-0034.pdf', NULL, NULL),
(1555, 'FA2001-0035', 1, NULL, NULL, NULL, 0, NULL, 6663, '2020-02-04 14:27:28', '2020-01-31', NULL, '2020-02-04', NULL, '2020-03-11 09:26:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 169.29000000, 0.00000000, 0.00000000, 0.00000000, 846.45000000, 1015.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance compresseur L18 N&deg;100011405/0154 &agrave; 17468HEURES<br />\r\nRemplacement cartouches filtres reseaux&nbsp;<br />\r\nMaintenance separateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N&deg;09 du 15/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 846.45000000, 169.29000000, 1015.74000000, NULL, 'facture/FA2001-0035/FA2001-0035.pdf', NULL, NULL),
(1557, 'FA2001-0036', 1, NULL, NULL, NULL, 0, NULL, 2032, '2020-02-04 14:37:35', '2020-01-31', NULL, '2020-02-04', NULL, '2020-06-11 14:17:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 35.24000000, 0.00000000, 0.00000000, 0.00000000, 176.18000000, 211.42000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Depannage sur commpresseur NUAIR KKAX de 2010 N°179727001 à 3433 HRS<br />\r\n<br />\r\nCarte HS<br />\r\nBL N°06 du 13/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 176.18000000, 35.24000000, 211.42000000, NULL, 'facture/FA2001-0036/FA2001-0036.pdf', NULL, NULL),
(1558, 'FA2001-0037', 1, NULL, NULL, NULL, 0, NULL, 13052, '2020-02-04 15:12:33', '2020-01-31', NULL, '2020-02-04', NULL, '2020-04-03 07:26:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 79.00000000, 0.00000000, 0.00000000, 0.00000000, 395.00000000, 474.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-03-31', NULL, 'Groupe pour s&eacute;cheur ED660 - dossier FROMAGERIE ALPINE<br />\r\n<br />\r\nLivraison effectu&eacute;e le 31/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 395.00000000, 79.00000000, 474.00000000, NULL, 'facture/FA2001-0037/FA2001-0037.pdf', NULL, NULL),
(1559, 'FA2001-0038', 1, NULL, NULL, NULL, 0, NULL, 2347, '2020-02-04 15:49:30', '2020-01-31', NULL, '2020-02-04', NULL, '2020-03-13 08:55:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 236.13000000, 0.00000000, 0.00000000, 0.00000000, 1180.66000000, 1416.79000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'maintenance L15RS N&deg;CD10021874001 - 35802 HRS<br />\r\n<br />\r\nBL N&deg;50 du 08/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1180.66000000, 236.13000000, 1416.79000000, NULL, 'facture/FA2001-0038/FA2001-0038.pdf', NULL, NULL),
(1560, 'FA2001-0039', 1, NULL, NULL, NULL, 0, NULL, 2331, '2020-02-04 16:11:37', '2020-01-31', NULL, '2020-02-04', NULL, '2020-02-11 16:57:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 13.60000000, 0.00000000, 0.00000000, 0.00000000, 68.00000000, 81.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Purge temporis&eacute;e', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 68.00000000, 13.60000000, 81.60000000, NULL, 'facture/FA2001-0039/FA2001-0039.pdf', NULL, NULL),
(1561, 'FA2001-0040', 1, NULL, NULL, NULL, 0, NULL, 2350, '2020-02-04 16:20:32', '2020-01-31', NULL, '2020-02-04', NULL, '2020-03-16 09:51:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 711.90000000, 0.00000000, 0.00000000, 0.00000000, 3559.52000000, 4271.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Compresseur &agrave; pistons &agrave; vitesse lente COMPAIR<br />\r\nGarantie 2 ans pi&eacute;ces et main d&#39;oeuvre*<br />\r\n<br />\r\nDimensions &agrave; v&eacute;rifier :( Lx l x H) 1970 x 590 x 1280<br />\r\n<br />\r\nD&eacute;bit 44 m3/h 5.5 kw 10bar<br />\r\nreservoir 500 Litres<br />\r\n260 kg<br />\r\n<br />\r\n<br />\r\nCommande : 2377830-325-g9j-bkp<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3559.52000000, 711.90000000, 4271.42000000, NULL, 'facture/FA2001-0040/FA2001-0040.pdf', NULL, NULL),
(1562, 'FA2001-0041', 1, NULL, NULL, NULL, 0, NULL, 10293, '2020-02-04 16:31:51', '2020-01-31', NULL, '2020-02-04', NULL, '2020-05-15 07:08:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 247.72000000, 0.00000000, 0.00000000, 0.00000000, 1238.60000000, 1486.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 3, '2020-03-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1238.60000000, 247.72000000, 1486.32000000, NULL, 'facture/FA2001-0041/FA2001-0041.pdf', NULL, NULL),
(1563, 'FA2001-0042', 1, NULL, NULL, NULL, 0, NULL, 12666, '2020-02-05 09:47:19', '2020-01-31', NULL, '2020-02-05', NULL, '2020-03-25 08:35:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 163.65000000, 0.00000000, 0.00000000, 0.00000000, 818.26000000, 981.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-03-31', NULL, 'Maintenance compresseur MAC 3 MSC18 &agrave; 13300HRS - site de ST julien Molin molette&nbsp;<br />\r\n<br />\r\nBL N&deg;47 du 31/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 818.26000000, 163.65000000, 981.91000000, NULL, 'facture/FA2001-0042/FA2001-0042.pdf', NULL, NULL),
(1564, 'FA2001-0043', 1, NULL, NULL, NULL, 0, NULL, 2102, '2020-02-05 09:54:47', '2020-01-31', NULL, '2020-02-05', NULL, '2020-04-06 08:23:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 343.58000000, 0.00000000, 0.00000000, 0.00000000, 1717.94000000, 2061.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance L11VS &agrave; 6175 Heures<br />\r\nRemplacement cartouche filtre reseau ACD<br />\r\nMaintenance separateur de condensats Owamat 10<br />\r\n<br />\r\nBL N&deg;21 du 31/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1717.94000000, 343.58000000, 2061.52000000, NULL, 'facture/FA2001-0043/FA2001-0043.pdf', NULL, NULL),
(1565, 'FA2001-0044', 1, NULL, NULL, NULL, 0, NULL, 2163, '2020-02-05 09:59:36', '2020-01-31', NULL, '2020-02-05', NULL, '2020-03-16 09:53:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 214.80000000, 0.00000000, 0.00000000, 0.00000000, 1074.00000000, 1288.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Repose de votre compresseur Renner et de votre s&eacute;cheur d&eacute;j&agrave; en votre possession dans votre atelier provisoire &agrave; G&eacute;nissieux en raccordement souple .<br />\r\nLigne &eacute;l&eacute;ctrique et sectionneur de proximit&eacute; &agrave; votre charge<br />\r\n<br />\r\nBL N&deg;20 du 30/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1074.00000000, 214.80000000, 1288.80000000, NULL, 'facture/FA2001-0044/FA2001-0044.pdf', NULL, NULL),
(1566, 'FA2002-0004', 1, NULL, NULL, NULL, 0, NULL, 2162, '2020-02-05 10:04:33', '2020-02-05', NULL, '2020-02-05', NULL, '2020-03-16 09:52:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 625.49000000, 0.00000000, 0.00000000, 0.00000000, 3127.46000000, 3752.95000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Creation d&#39;un bypass en inox sur votre cuve<br />\r\n<br />\r\nBL N&deg;04 du 04/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3127.46000000, 625.49000000, 3752.95000000, NULL, 'facture/FA2002-0004/FA2002-0004.pdf', NULL, NULL),
(1567, 'FA2001-0045', 1, NULL, NULL, NULL, 0, NULL, 2184, '2020-02-05 10:08:10', '2020-01-31', NULL, '2020-02-05', NULL, '2020-04-06 07:51:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 341.29000000, 0.00000000, 0.00000000, 0.00000000, 1706.49000000, 2047.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance L45RS ( 2018 ) N&deg; CD10034859001 en huile alimentaire &agrave; 15348Hrs<br />\r\n<br />\r\nRemplacement cartouche filtre r&eacute;seau&nbsp;<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\n<br />\r\nBL N&deg;46 du 21/01/2020<br />\r\n<br />\r\nPO7100024257', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1706.49000000, 341.29000000, 2047.78000000, NULL, 'facture/FA2001-0045/FA2001-0045.pdf', NULL, NULL),
(1568, 'AC2002-0001', 1, NULL, NULL, NULL, 3, NULL, 12917, '2020-02-20 10:49:54', '2020-02-20', NULL, '2020-02-20', NULL, '2020-02-28 09:36:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 389.28000000, 0.00000000, 0.00000000, 0.00000000, 1946.40000000, 2335.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-02-21', NULL, 'Fourniture et installation d&#39;un SCROLL compresseur sans huile et station de traitement.<br />\r\nSuivant OP N&deg; AB2020020901', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1946.40000000, 389.28000000, 2335.68000000, NULL, 'facture/AC2002-0001/AC2002-0001.pdf', NULL, NULL),
(1570, 'AV2001-0005', 1, NULL, NULL, NULL, 2, NULL, 12924, '2020-02-24 09:55:48', '2020-01-31', NULL, '2020-02-24', '2020-07-20 09:33:53', '2020-07-20 07:33:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -536.10000000, 0.00000000, 0.00000000, 0.00000000, -2680.50000000, -3216.60000000, 2, 5, NULL, 5, 5, 1229, NULL, NULL, NULL, 0, 0, '2020-01-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -2680.50000000, -536.10000000, -3216.60000000, NULL, 'facture/AV2001-0005/AV2001-0005.pdf', NULL, NULL),
(1571, 'FA2002-0005', 1, NULL, NULL, NULL, 0, NULL, 1948, '2020-02-26 16:42:23', '2020-02-26', NULL, '2020-02-26', NULL, '2020-04-09 08:00:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 13.12000000, 0.00000000, 0.00000000, 0.00000000, 65.60000000, 78.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 65.60000000, 13.12000000, 78.72000000, NULL, 'facture/FA2002-0005/FA2002-0005.pdf', NULL, NULL),
(1572, 'FA2002-0006', 1, NULL, NULL, NULL, 0, NULL, 2311, '2020-02-27 11:22:00', '2020-02-27', NULL, '2020-02-27', NULL, '2020-04-10 09:58:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 18.16000000, 0.00000000, 0.00000000, 0.00000000, 90.85000000, 109.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 90.85000000, 18.16000000, 109.01000000, NULL, 'facture/FA2002-0006/FA2002-0006.pdf', NULL, NULL),
(1573, 'FA2002-0007', 1, NULL, NULL, NULL, 0, NULL, 2016, '2020-02-27 11:24:17', '2020-02-27', NULL, '2020-02-27', NULL, '2020-07-08 08:55:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 35.24000000, 0.00000000, 0.00000000, 0.00000000, 176.18000000, 211.42000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Intervention sur compresseur L05 à 6650 HRS- Défaut temperature<br />\r\nBL N° 27 du 11/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 176.18000000, 35.24000000, 211.42000000, NULL, 'facture/FA2002-0007/FA2002-0007.pdf', NULL, NULL),
(1574, 'FA2002-0008', 1, NULL, NULL, NULL, 0, NULL, 2064, '2020-02-27 11:35:15', '2020-02-27', NULL, '2020-02-27', NULL, '2020-04-22 07:23:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 292.13000000, 0.00000000, 0.00000000, 0.00000000, 1460.65000000, 1752.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Remplacement boitier regulateur d&#39;aspiration sur compresseur L22S - r&eacute;alis&eacute; en m&ecirc;me temps qu&#39;un maintenance<br />\r\n<br />\r\nBL N&deg;7 du 11/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1460.65000000, 292.13000000, 1752.78000000, NULL, 'facture/FA2002-0008/FA2002-0008.pdf', NULL, NULL),
(1575, 'FA2002-0009', 1, NULL, NULL, NULL, 0, NULL, 2064, '2020-02-28 09:14:23', '2020-02-28', NULL, '2020-02-28', NULL, '2020-04-22 07:23:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 623.98000000, 0.00000000, 0.00000000, 0.00000000, 3119.95000000, 3743.93000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance L80 &agrave; 38357 HRS<br />\r\nRemplacement des 3 cartouches reseaux<br />\r\n<br />\r\nBL N&deg;6 du 11/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3119.95000000, 623.98000000, 3743.93000000, NULL, 'facture/FA2002-0009/FA2002-0009.pdf', NULL, NULL),
(1576, 'FA2002-0010', 1, NULL, NULL, NULL, 0, NULL, 2033, '2020-02-28 09:38:42', '2020-02-28', NULL, '2020-02-28', NULL, '2020-04-20 08:19:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 69.16000000, 0.00000000, 0.00000000, 0.00000000, 345.82000000, 414.98000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Intervention sur compresseur L15RS N&deg; CD10006364001 &agrave; 23322 HRS- Defaut sensor R2 - remplacement sonde de temperature<br />\r\n<br />\r\nBL N&deg; 48 du 06/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 345.82000000, 69.16000000, 414.98000000, NULL, 'facture/FA2002-0010/FA2002-0010.pdf', NULL, NULL),
(1577, 'FA2002-0011', 1, NULL, NULL, 'M.Delangue', 0, NULL, 13036, '2020-02-28 10:16:38', '2020-02-28', NULL, '2020-02-28', NULL, '2020-06-03 07:05:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1198.83000000, 0.00000000, 0.00000000, 0.00000000, 5994.14000000, 7192.97000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-03-31', NULL, 'Reseau d&#39;air comprim&eacute; nouveau batiment. Reseau en inox serti boucl&eacute; sous tunel D28 debit admissible &agrave; 10b_8m3/mn avec vanne sectionnement par zone. Ligne pour encollage / zone usinage / zone montage / sableuse en D35 debit admissible a 10B _14m3/mn. Depart en col de cygne en D22. Chaque descente sera termin&eacute;e par une vanne 1/2 + 1 Ygrec en 1/2 avec un coupleur et un bouchon pour utilisation future.<br />\r\n<br />\r\nCommande CA200081', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5994.14000000, 1198.83000000, 7192.97000000, NULL, 'facture/FA2002-0011/FA2002-0011.pdf', NULL, NULL),
(1578, 'FA2002-0012', 1, NULL, NULL, NULL, 0, NULL, 2075, '2020-02-28 11:00:09', '2020-02-28', NULL, '2020-02-28', NULL, '2020-04-22 07:24:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.47000000, 0.00000000, 0.00000000, 0.00000000, 502.37000000, 602.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'maintenance L07 N&deg; CD10004996001 &agrave; HRS<br />\r\nMaintenance s&eacute;parateur de condensats Owamat 10<br />\r\n<br />\r\nBL N&deg;03 du 13/02/2020<br />\r\n<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 502.37000000, 100.47000000, 602.84000000, NULL, 'facture/FA2002-0012/FA2002-0012.pdf', NULL, NULL),
(1579, 'FA2002-0013', 1, NULL, NULL, NULL, 0, NULL, 2086, '2020-02-28 11:13:30', '2020-02-28', NULL, '2020-02-28', NULL, '2020-04-03 07:25:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 87.74000000, 0.00000000, 0.00000000, 0.00000000, 438.67000000, 526.41000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'R&eacute;paration L11RS &agrave;22558HRS<br />\r\nRempalcement roulement moteur electriques et nettoyage<br />\r\n<br />\r\nBL N&deg;28 du 12/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 438.67000000, 87.74000000, 526.41000000, NULL, 'facture/FA2002-0013/FA2002-0013.pdf', NULL, NULL),
(1580, 'FA2002-0014', 1, NULL, NULL, NULL, 0, NULL, 12666, '2020-02-28 11:51:33', '2020-02-28', NULL, '2020-02-28', NULL, '2020-04-20 08:20:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 324.80000000, 0.00000000, 0.00000000, 0.00000000, 1624.01000000, 1948.81000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-03-31', NULL, 'Site de TENCE :<br />\r\nMaintenance&nbsp; BDS11 &agrave; 34178 Heures<br />\r\nBL N&deg;24 du 07/02/2020<br />\r\n<br />\r\nSite du CHEYLARD :<br />\r\nMaintenance UP5-5-7TAS10 &agrave; 1097 Heures<br />\r\nBL N&deg;25 du 07/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1624.01000000, 324.80000000, 1948.81000000, NULL, 'facture/FA2002-0014/FA2002-0014.pdf', NULL, NULL),
(1581, 'FA2002-0015', 1, NULL, NULL, NULL, 0, NULL, 2077, '2020-02-28 15:46:59', '2020-02-28', NULL, '2020-02-28', NULL, '2020-03-26 08:53:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 113.39000000, 0.00000000, 0.00000000, 0.00000000, 566.95000000, 680.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'maintenance L22RS N&deg;28878 HRS<br />\r\n<br />\r\nBL N&deg;36 du 24/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 566.95000000, 113.39000000, 680.34000000, NULL, 'facture/FA2002-0015/FA2002-0015.pdf', NULL, NULL),
(1582, 'FA2002-0016', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-03-02 09:30:11', '2020-02-28', NULL, '2020-03-02', NULL, '2020-04-17 10:14:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 148.00000000, 0.00000000, 0.00000000, 0.00000000, 739.98000000, 887.98000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance s&eacute;cheur HL1500 N&deg;14P024411 -<br />\r\nSite : Semence les Ollagnieres 2460 chemin de la voie ferr&eacute;e 38260 La cote Saint Andre<br />\r\n<br />\r\nBL N&deg;12 du 24/02/2020<br />\r\n<br />\r\nCommande N&deg; S97220021021', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 739.98000000, 148.00000000, 887.98000000, NULL, 'facture/FA2002-0016/FA2002-0016.pdf', NULL, NULL),
(1583, 'FA2002-0017', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-03-02 10:00:39', '2020-02-28', NULL, '2020-03-02', NULL, '2020-04-17 10:14:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 653.92000000, 0.00000000, 0.00000000, 0.00000000, 3269.60000000, 3923.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'maintenance compresseur L110rs N&deg; CD10017043001 &agrave; 21820 HRS<br />\r\n<br />\r\nBL N&deg;11 du 24/02/2020<br />\r\n<br />\r\nCommande N&deg; S97220021021<br />\r\n<br />\r\nSite d&#39;intervention :<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nLes Olagnieres<br />\r\nLA COTE SILO<br />\r\n2460 CHemin de la voie F&eacute;r&eacute;e<br />\r\n38260 LA COTE SAINT ANDRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3269.60000000, 653.92000000, 3923.52000000, NULL, 'facture/FA2002-0017/FA2002-0017.pdf', NULL, NULL),
(1584, 'FA2002-0018', 1, NULL, NULL, NULL, 0, NULL, 2122, '2020-03-02 10:11:09', '2020-02-28', NULL, '2020-03-02', NULL, '2020-04-16 12:04:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 267.38000000, 0.00000000, 0.00000000, 0.00000000, 1336.90000000, 1604.28000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-03-31', NULL, '<p><span style=\"font-size:11.0pt\"><span style=\"color:#1f497d\">Les résines et le charbon, </span></span></p>\r\n\r\n<p><span style=\"font-size:11.0pt\"><span style=\"color:#1f497d\">Je me suis trompée pour le charbon actif, ce sont des sacs de 15 kg et non pas 20 kg<br />\r\n<br />\r\n<br />\r\nCommande N° 42150</span></span></p>\r\n\r\n<p> </p>\r\n', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1336.90000000, 267.38000000, 1604.28000000, NULL, 'facture/FA2002-0018/FA2002-0018.pdf', NULL, NULL),
(1585, 'FA2002-0019', 1, NULL, NULL, NULL, 0, NULL, 2122, '2020-03-02 10:23:51', '2020-02-28', NULL, '2020-03-30', NULL, '2020-04-16 12:04:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 260.25000000, 0.00000000, 0.00000000, 0.00000000, 1301.29000000, 1561.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-03-31', NULL, '<p><span style=\"color:#1f497d\"><span style=\"font-size:14.6667px\">Commande N&deg;42028</span></span></p>\r\n\r\n<p>&nbsp;</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1301.29000000, 260.25000000, 1561.54000000, NULL, 'facture/FA2002-0019/FA2002-0019.pdf', NULL, NULL),
(1586, 'FA2002-0020', 1, NULL, NULL, NULL, 0, NULL, 2122, '2020-03-02 10:36:53', '2020-02-28', NULL, '2020-03-02', NULL, '2020-04-16 12:04:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 42.60000000, 0.00000000, 0.00000000, 0.00000000, 213.00000000, 255.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-03-31', NULL, 'CARTOUCHE AKP&uml;04/20<br />\r\n<br />\r\nCommande N&deg;42272', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 213.00000000, 42.60000000, 255.60000000, NULL, 'facture/FA2002-0020/FA2002-0020.pdf', NULL, NULL),
(1587, 'FA2002-0021', 1, NULL, NULL, NULL, 0, NULL, 13032, '2020-03-02 10:40:34', '2020-02-28', NULL, '2020-03-02', NULL, '2020-03-05 12:46:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1330.34000000, 0.00000000, 0.00000000, 0.00000000, 6651.67000000, 7982.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-02-29', NULL, 'Local air comprim&eacute;<br />\r\n<br />\r\nBL N&deg;33 du 18/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6651.67000000, 1330.34000000, 7982.01000000, NULL, 'facture/FA2002-0021/FA2002-0021.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1590, 'FA2002-0022', 1, NULL, NULL, NULL, 0, NULL, 12919, '2020-03-02 11:01:51', '2020-02-28', NULL, '2020-03-02', NULL, '2020-04-03 07:27:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1646.74000000, 0.00000000, 0.00000000, 0.00000000, 8233.63000000, 9880.37000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-03-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 8233.63000000, 1646.74000000, 9880.37000000, NULL, 'facture/FA2002-0022/FA2002-0022.pdf', NULL, NULL),
(1591, 'FA2002-0023', 1, NULL, NULL, NULL, 0, NULL, 2162, '2020-03-03 09:23:24', '2020-02-28', NULL, '2020-03-03', NULL, '2020-04-28 07:22:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 343.94000000, 0.00000000, 0.00000000, 0.00000000, 1719.67000000, 2063.61000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, '<p>R&eacute;&eacute;preuve de r&eacute;servoir d&rsquo;air comprim&eacute; ( Hors organisme agr&eacute;e ) pour 3 cuves (&nbsp; 2 cuves simples et 1 cuve separateur compresseur )&nbsp;</p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<ul>\r\n	<li>La vidange d&rsquo;huile du compresseur</li>\r\n	<li>D&eacute;pose des accessoires fixer sur la cuve ( flexible , &hellip; etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remplissage du reservoir avec de l&rsquo;eau</li>\r\n	<li>Assistance eu verificateur de l&rsquo;organisme agr&eacute;e</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n	<li>Remise &agrave; niveau d&rsquo;huile du compresseur</li>\r\n</ul>\r\n<br />\r\nMerci de pr&eacute;voir un point d&#39;eau &agrave; proximit&eacute;<br />\r\n<br />\r\nBL N&deg;8 du 17/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1719.67000000, 343.94000000, 2063.61000000, NULL, 'facture/FA2002-0023/FA2002-0023.pdf', NULL, NULL),
(1592, 'FA2002-0024', 1, NULL, NULL, NULL, 0, NULL, 2163, '2020-03-03 09:36:03', '2020-02-28', NULL, '2020-03-03', NULL, '2020-03-16 09:53:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 115.33000000, 0.00000000, 0.00000000, 0.00000000, 576.63000000, 691.96000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance compresseur RENNER RS TOP 11 N° 438079 à 2513 HRS<br />\r\nBL N°35 du 21/02/2020<br />\r\n<br />\r\ncommande SINIS CA007115 du 20/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 576.63000000, 115.33000000, 691.96000000, NULL, 'facture/FA2002-0024/FA2002-0024.pdf', NULL, NULL),
(1593, 'FA2002-0025', 1, NULL, NULL, NULL, 0, NULL, 2157, '2020-03-03 09:43:51', '2020-02-28', NULL, '2020-03-03', NULL, '2020-04-01 08:17:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 57.13000000, 0.00000000, 0.00000000, 0.00000000, 285.67000000, 342.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance du separateur de condensats OWAMAT 11 :&nbsp;<br />\r\n<br />\r\nBL N&deg; 2 du 11/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 285.67000000, 57.13000000, 342.80000000, NULL, 'facture/FA2002-0025/FA2002-0025.pdf', NULL, NULL),
(1594, 'FA2002-0026', 1, NULL, NULL, NULL, 0, NULL, 2161, '2020-03-03 10:03:28', '2020-02-28', NULL, '2020-03-03', NULL, '2020-05-05 07:51:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 225.47000000, 0.00000000, 0.00000000, 0.00000000, 1127.41000000, 1352.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', 'sign&eacute; pour l&#39;ann&eacute;e 2019', 'Maintenance compresseur ROLLAIR 15 - 8B N&deg; CAI410726 &agrave; 35710 HRS<br />\r\nRemplacement des cartouches des filtres reseaux<br />\r\n<br />\r\nBL N&deg; 03 du 03/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1127.41000000, 225.47000000, 1352.88000000, NULL, 'facture/FA2002-0026/FA2002-0026.pdf', NULL, NULL),
(1595, 'AC2003-0001', 1, NULL, NULL, NULL, 3, NULL, 2020, '2020-03-03 10:16:16', '2020-03-03', NULL, '2020-03-03', NULL, '2020-03-09 07:40:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 676.56000000, 0.00000000, 0.00000000, 0.00000000, 3382.80000000, 4059.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2020-03-04', NULL, 'Reseaux d&#39;air comprim&eacute; inox -&nbsp; Montant global HT 11 276&euro;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3382.80000000, 676.56000000, 4059.36000000, NULL, 'facture/AC2003-0001/AC2003-0001.pdf', NULL, NULL),
(1596, 'FA2003-0001', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-03-03 10:17:42', '2020-03-03', NULL, '2020-03-03', NULL, '2020-05-26 07:26:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA2003-0001/FA2003-0001.pdf', NULL, NULL),
(1597, 'FA2003-0002', 1, NULL, NULL, NULL, 0, NULL, 2197, '2020-03-03 10:18:35', '2020-03-03', NULL, '2020-03-03', NULL, '2020-03-19 08:59:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.36000000, 0.00000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, 'facture/FA2003-0002/FA2003-0002.pdf', NULL, NULL),
(1598, 'FA2002-0027', 1, NULL, NULL, NULL, 0, NULL, 2231, '2020-03-03 10:37:04', '2020-02-28', NULL, '2020-03-03', NULL, '2020-04-16 12:04:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 46.45000000, 0.00000000, 0.00000000, 0.00000000, 232.26000000, 278.71000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Intervention sur compresseur L15 N° CD10051593001 - absence de 24V à la sortie du transfo<br />\r\n<br />\r\nBL N° 13 du 25/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 232.26000000, 46.45000000, 278.71000000, NULL, 'facture/FA2002-0027/FA2002-0027.pdf', NULL, NULL),
(1599, 'FA2002-0028', 1, NULL, NULL, 'MAI20GLB00101', 0, NULL, 2235, '2020-03-03 11:19:33', '2020-02-28', NULL, '2020-03-03', NULL, '2020-05-05 07:50:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.68000000, 0.00000000, 0.00000000, 0.00000000, 113.40000000, 136.08000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'purgeur auto pour nouveaux filtres<br />\r\n<br />\r\nBL N°34 du 18/02/2020<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 113.40000000, 22.68000000, 136.08000000, NULL, 'facture/FA2002-0028/FA2002-0028.pdf', NULL, NULL),
(1600, 'FA2002-0029', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-03-03 11:30:37', '2020-02-28', NULL, '2020-03-03', NULL, '2020-04-02 07:56:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 194.47000000, 0.00000000, 0.00000000, 0.00000000, 972.37000000, 1166.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'maintenance L45RS N&deg;CD10005658001 &agrave; 59539 Hrs&nbsp; et remplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;37 du 16/12/2019<br />\r\n<br />\r\nCommande N&deg;4800304640', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 972.37000000, 194.47000000, 1166.84000000, NULL, 'facture/FA2002-0029/FA2002-0029.pdf', NULL, NULL),
(1601, 'FA2002-0030', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-03-03 11:35:48', '2020-02-28', NULL, '2020-03-03', NULL, '2020-04-02 07:56:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 224.90000000, 0.00000000, 0.00000000, 0.00000000, 1124.54000000, 1349.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance L45RS N&deg;CD10005658001 &agrave; 10863Hrs<br />\r\nRemplcament des cartouches des filtres reseaux&nbsp;<br />\r\n<br />\r\nBL N&deg; 32 du 04/12/2019<br />\r\n<br />\r\nCommande N&deg;4800304640', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1124.54000000, 224.90000000, 1349.44000000, NULL, 'facture/FA2002-0030/FA2002-0030.pdf', NULL, NULL),
(1602, 'FA2002-0031', 1, NULL, NULL, NULL, 0, NULL, 2215, '2020-03-03 11:51:19', '2020-02-28', NULL, '2020-03-03', NULL, '2020-04-06 07:52:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 163.25000000, 0.00000000, 0.00000000, 0.00000000, 816.31000000, 979.56000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance L11RS&nbsp; N&deg;cd10001552001 &agrave; 27917 HRS<br />\r\nRemplacement cartouche reseau&nbsp;<br />\r\nMaintenance Separateur de condensats OWAMAT10<br />\r\n<br />\r\nBL 49 du 07/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 816.31000000, 163.25000000, 979.56000000, NULL, 'facture/FA2002-0031/FA2002-0031.pdf', NULL, NULL),
(1603, 'FA2002-0032', 1, NULL, NULL, NULL, 0, NULL, 2204, '2020-03-03 15:06:50', '2020-02-28', NULL, '2020-03-03', NULL, '2020-03-31 08:11:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 56.72000000, 0.00000000, 0.00000000, 0.00000000, 283.58000000, 340.30000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Interevention sur bras manipulateur N&deg;124038<br />\r\n<br />\r\nBL N&deg;23 du 04/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 283.58000000, 56.72000000, 340.30000000, NULL, 'facture/FA2002-0032/FA2002-0032.pdf', NULL, NULL),
(1604, 'FA2002-0033', 1, NULL, NULL, NULL, 0, NULL, 2235, '2020-03-03 15:27:17', '2020-02-28', NULL, '2020-03-03', NULL, '2020-05-05 07:50:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 59.80000000, 0.00000000, 0.00000000, 0.00000000, 299.00000000, 358.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Installation et raccordement secheur ED18 et deux filtres reseaux PF005 &amp; HF005<br />\r\n<br />\r\nBL N&deg;22 du 03/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 299.00000000, 59.80000000, 358.80000000, NULL, 'facture/FA2002-0033/FA2002-0033.pdf', NULL, NULL),
(1605, 'FA2002-0034', 1, NULL, NULL, NULL, 0, NULL, 12581, '2020-03-03 15:31:50', '2020-02-28', NULL, '2020-03-03', NULL, '2020-04-06 07:48:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 6.72000000, 0.00000000, 0.00000000, 0.00000000, 33.62000000, 40.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-03-31', NULL, 'Filtres a air pour compresseur GA15 suite &agrave; la demande de Mr Fabien Laurent', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 33.62000000, 6.72000000, 40.34000000, NULL, 'facture/FA2002-0034/FA2002-0034.pdf', NULL, NULL),
(1606, 'FA2002-0035', 1, NULL, NULL, NULL, 0, NULL, 12995, '2020-03-03 15:42:32', '2020-02-28', NULL, '2020-03-03', NULL, '2020-04-03 07:24:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 78.60000000, 0.00000000, 0.00000000, 0.00000000, 393.00000000, 471.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-03-31', NULL, 'Changement des poulies moteur sur le compresseur &agrave; piston .&nbsp;<br />\r\n<br />\r\nBL N&deg;10 du 21/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 393.00000000, 78.60000000, 471.60000000, NULL, 'facture/FA2002-0035/FA2002-0035.pdf', NULL, NULL),
(1607, 'FA2002-0036', 1, NULL, NULL, NULL, 0, NULL, 2347, '2020-03-03 16:04:03', '2020-02-28', NULL, '2020-03-03', NULL, '2020-04-01 08:18:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 10.78000000, 0.00000000, 0.00000000, 0.00000000, 53.88000000, 64.66000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'courroies pour compresseur L15rs<br />\r\n<br />\r\nBL N&deg;30 du 13/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 53.88000000, 10.78000000, 64.66000000, NULL, 'facture/FA2002-0036/FA2002-0036.pdf', NULL, NULL),
(1608, 'FA2002-0037', 1, NULL, NULL, NULL, 0, NULL, 2358, '2020-03-05 09:13:23', '2020-02-28', NULL, '2020-03-05', NULL, '2020-04-30 10:14:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 28.85000000, 0.00000000, 0.00000000, 0.00000000, 144.26000000, 173.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Intervention sur cabine a peinture - doute sur les AU<br />\r\n<br />\r\nBL N&deg;32 du 14/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 144.26000000, 28.85000000, 173.11000000, NULL, 'facture/FA2002-0037/FA2002-0037.pdf', NULL, NULL),
(1609, 'FA2002-0038', 1, NULL, NULL, NULL, 0, NULL, 5741, '2020-03-05 09:20:13', '2020-02-28', NULL, '2020-03-05', NULL, '2020-05-12 08:05:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 105.92000000, 0.00000000, 0.00000000, 0.00000000, 529.62000000, 635.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-03-31', NULL, '<p>Commande N&deg;&nbsp;N&deg;11893</p>\r\n\r\n<p>1 X&nbsp;&nbsp;&nbsp; AIP CART BEA 1200 RB&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</p>\r\n\r\n<p>&nbsp;1 X&nbsp;&nbsp;&nbsp;&nbsp; AIP CART BEA 1200 RA&nbsp;&nbsp;&nbsp;</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 529.62000000, 105.92000000, 635.54000000, NULL, 'facture/FA2002-0038/FA2002-0038.pdf', NULL, NULL),
(1610, 'FA2003-0003', 1, NULL, NULL, NULL, 0, NULL, 5741, '2020-03-05 09:21:09', '2020-03-05', NULL, '2020-03-05', NULL, '2020-05-26 07:25:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 17.34000000, 0.00000000, 0.00000000, 0.00000000, 86.70000000, 104.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-04-30', NULL, 'Purgeur pour filtre BEA<br />\r\n<br />\r\nFrais de port offert&nbsp;<br />\r\n<br />\r\nCommande N&deg; 12431', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 86.70000000, 17.34000000, 104.04000000, NULL, 'facture/FA2003-0003/FA2003-0003.pdf', NULL, NULL),
(1611, 'AC2002-0002', 1, NULL, NULL, NULL, 3, NULL, 1990, '2020-03-05 09:28:03', '2020-02-28', NULL, '2020-03-05', NULL, '2020-03-16 09:52:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 540.00000000, 0.00000000, 0.00000000, 0.00000000, 2700.00000000, 3240.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2020-02-29', NULL, 'Reseau en inox serti - Montant global 9000euros HT', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2700.00000000, 540.00000000, 3240.00000000, NULL, 'facture/AC2002-0002/AC2002-0002.pdf', NULL, NULL),
(1612, 'FA2003-0004', 1, NULL, NULL, 'Coffrets outils', 0, NULL, 2054, '2020-03-05 09:32:40', '2020-03-05', NULL, '2020-03-05', NULL, '2020-05-04 14:20:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 294.00000000, 0.00000000, 0.00000000, 0.00000000, 1470.00000000, 1764.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Coffrets Outils<br />\r\n<br />\r\nComamnde N&deg; C92020033373PM', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1470.00000000, 294.00000000, 1764.00000000, NULL, 'facture/FA2003-0004/FA2003-0004.pdf', NULL, NULL),
(1613, 'FA2003-0005', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-03-05 09:33:29', '2020-03-05', NULL, '2020-03-05', NULL, '2020-05-04 14:20:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 54.00000000, 0.00000000, 0.00000000, 0.00000000, 270.00000000, 324.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Commande N&deg; A037 20 03 3372', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 270.00000000, 54.00000000, 324.00000000, NULL, 'facture/FA2003-0005/FA2003-0005.pdf', NULL, NULL),
(1614, 'FA2003-0006', 1, NULL, NULL, NULL, 0, NULL, 2038, '2020-03-05 09:40:36', '2020-03-05', NULL, '2020-03-05', NULL, '2020-05-29 07:52:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 128.11000000, 0.00000000, 0.00000000, 0.00000000, 640.56000000, 768.67000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Maintenance L07RS N&deg; BA28124001 &agrave; 18282 HRS<br />\r\nRemplacement cartouche filtre reseau BEA<br />\r\nMaintenance separateur de condensats Owamat 10<br />\r\n<br />\r\nBL N&deg;07 du 02/03/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 640.56000000, 128.11000000, 768.67000000, NULL, 'facture/FA2003-0006/FA2003-0006.pdf', NULL, NULL),
(1615, 'FA2002-0039', 1, NULL, NULL, NULL, 0, NULL, 6101, '2020-03-05 09:48:25', '2020-02-28', NULL, '2020-03-05', NULL, '2020-04-16 12:05:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 35.82000000, 0.00000000, 0.00000000, 0.00000000, 179.09000000, 214.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Intervention sur compresseur Toussaint Devillbiss 44643 N&deg;8615<br />\r\n<br />\r\nBL N&deg;37 du 27/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 179.09000000, 35.82000000, 214.91000000, NULL, 'facture/FA2002-0039/FA2002-0039.pdf', NULL, NULL),
(1616, 'FA2002-0040', 1, NULL, NULL, NULL, 0, NULL, 13036, '2020-03-05 10:02:07', '2020-02-28', NULL, '2020-03-05', NULL, '2020-06-03 07:05:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 96.23000000, 0.00000000, 0.00000000, 0.00000000, 481.16000000, 577.39000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-03-31', NULL, 'Maintenance compresseur RLR25V  N°CAI764028<br />\r\n<br />\r\nBL N°14 du 26/02/2020<br />\r\n<br />\r\nCommande N° CA200165\r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- resserrage connexions électriques par nos techniciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration </u><br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 50 CV ( hors manutention, transport & raccordement)<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 481.16000000, 96.23000000, 577.39000000, NULL, 'facture/FA2002-0040/FA2002-0040.pdf', NULL, NULL),
(1617, 'FA2002-0041', 1, NULL, NULL, NULL, 0, NULL, 2033, '2020-03-05 10:18:01', '2020-02-28', NULL, '2020-03-05', NULL, '2020-04-20 08:19:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 470.32000000, 0.00000000, 0.00000000, 0.00000000, 2351.58000000, 2821.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance du Compresseur L26rs &agrave; 28462 HRS<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;09 du 09/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2351.58000000, 470.32000000, 2821.90000000, NULL, 'facture/FA2002-0041/FA2002-0041.pdf', NULL, NULL),
(1618, 'FA2003-0007', 1, NULL, NULL, 'R.Burcet', 0, NULL, 2085, '2020-03-05 10:30:19', '2020-03-05', NULL, '2020-03-05', NULL, '2020-06-09 13:57:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 170.91000000, 0.00000000, 0.00000000, 0.00000000, 854.66000000, 1025.57000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Modification reseau pour passage de portail<br />\r\n<br />\r\nBL N&deg;41 du 03/03/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 854.66000000, 170.91000000, 1025.57000000, NULL, 'facture/FA2003-0007/FA2003-0007.pdf', NULL, NULL),
(1619, 'FA2002-0042', 1, NULL, NULL, 'es8', 0, NULL, 2054, '2020-03-05 10:38:18', '2020-02-28', NULL, '2020-03-05', NULL, '2020-04-17 10:14:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 201.41000000, 0.00000000, 0.00000000, 0.00000000, 1007.11000000, 1208.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance compresseur ES 8 &agrave; 24587 Heures&nbsp;<br />\r\n<br />\r\nSite : Cooperative la dauphinoise<br />\r\nLe bourg Evest 73250 Saint jean de la porte<br />\r\n<br />\r\nBL N&deg;40 du 18/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1007.11000000, 201.41000000, 1208.52000000, NULL, 'facture/FA2002-0042/FA2002-0042.pdf', NULL, NULL),
(1620, 'FA2002-0043', 1, NULL, NULL, 'renner RS PRO 7.5', 0, NULL, 2054, '2020-03-05 10:42:54', '2020-02-28', NULL, '2020-03-05', NULL, '2020-04-17 10:14:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 117.63000000, 0.00000000, 0.00000000, 0.00000000, 588.13000000, 705.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance compresseur RENNER RSPRO 7.5 N&deg;709122 &agrave; 1082 HRS<br />\r\nSite BLES 3<br />\r\n<br />\r\nBL N&deg;37 du 18/12/2019', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 588.13000000, 117.63000000, 705.76000000, NULL, 'facture/FA2002-0043/FA2002-0043.pdf', NULL, NULL),
(1621, 'FA2003-0008', 1, NULL, NULL, NULL, 0, NULL, 12792, '2020-03-05 11:00:59', '2020-03-05', NULL, '2020-03-05', NULL, '2020-06-30 08:57:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1079.20000000, 0.00000000, 0.00000000, 0.00000000, 5396.00000000, 6475.20000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-04-30', NULL, 'Site de Montelimar <br />\r\n<br />\r\nCommande N°01- Investissement 2020<br />\r\n<br />\r\n<br />\r\nFourniture et installation d\'un local d\'air comprimé <br />\r\nHors raccordements éléctriques . <br />\r\nPose d\'un sectionneur de proximité à votre charge .<br />\r\n<br />\r\n<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5396.00000000, 1079.20000000, 6475.20000000, NULL, 'facture/FA2003-0008/FA2003-0008.pdf', NULL, NULL),
(1622, 'FA2003-0009', 1, NULL, NULL, NULL, 0, NULL, 2155, '2020-03-05 11:15:23', '2020-03-05', NULL, '2020-03-05', NULL, '2020-05-26 07:28:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 43.73000000, 0.00000000, 0.00000000, 0.00000000, 218.64000000, 262.37000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Intervention sur compressseur L04 N° BA37888001 - remplacement pressostat<br />\r\n<br />\r\nBL N° 44 du 15/01/2020<br />\r\n<br />\r\nNous vous offrons la main d\'oeuvre de cette intervention à titre commercial - ( Accord Mr BRET ) ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 218.64000000, 43.73000000, 262.37000000, NULL, 'facture/FA2003-0009/FA2003-0009.pdf', NULL, NULL),
(1623, 'FA2003-0010', 1, NULL, NULL, NULL, 0, NULL, 12590, '2020-03-05 11:31:51', '2020-03-05', NULL, '2020-03-05', NULL, '2020-05-04 14:20:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 451.54000000, 0.00000000, 0.00000000, 0.00000000, 2257.69000000, 2709.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'maintenance compresseur&nbsp; RS PRO 2-30 &agrave; 11 264 HRS N&deg;727025 et filtres reseaux&nbsp; :&nbsp;<br />\r\n<br />\r\nBL N&deg;5 et17 du 05/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2257.69000000, 451.54000000, 2709.23000000, NULL, 'facture/FA2003-0010/FA2003-0010.pdf', NULL, NULL),
(1624, 'FA2002-0044', 1, NULL, NULL, NULL, 0, NULL, 2201, '2020-03-05 11:36:24', '2020-02-28', NULL, '2020-03-05', NULL, '2020-04-21 11:29:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 527.88000000, 0.00000000, 0.00000000, 0.00000000, 2639.38000000, 3167.26000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Divers travaux sur vide &amp; aspiration<br />\r\n<br />\r\nBL N&deg;16 du 27/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2639.38000000, 527.88000000, 3167.26000000, NULL, 'facture/FA2002-0044/FA2002-0044.pdf', NULL, NULL),
(1625, 'FA2002-0045', 1, NULL, NULL, NULL, 0, NULL, 9822, '2020-03-05 12:01:38', '2020-02-28', NULL, '2020-03-05', NULL, '2020-04-06 08:22:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 284.31000000, 0.00000000, 0.00000000, 0.00000000, 1421.59000000, 1705.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance L18RS &agrave; 17499 HRS<br />\r\nMaintenance seprateur de condensats Owamat 11<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;38 du 28/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1421.59000000, 284.31000000, 1705.90000000, NULL, 'facture/FA2002-0045/FA2002-0045.pdf', NULL, NULL),
(1627, 'AC2003-0002', 1, NULL, NULL, NULL, 3, NULL, 2235, '2020-03-05 14:12:12', '2020-03-05', NULL, '2020-03-05', NULL, '2020-05-05 07:52:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2160.00000000, 0.00000000, 0.00000000, 0.00000000, 10800.00000000, 12960.00000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2020-03-06', NULL, 'local air comprimé : Un compresseur à vitesse varaible 30KW modele L29RS COMPAIR avec un secheur par refrigeration ED660 et un reservoir galva de 900Litres , deux filtres reseaux .<br />\r\nRaccordement de l\'ensemble en inox serti<br />\r\n<br />\r\nAcompte :livraison du materiel - avancement des travaux', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 10800.00000000, 2160.00000000, 12960.00000000, NULL, 'facture/AC2003-0002/AC2003-0002.pdf', NULL, NULL),
(1628, 'FA2002-0046', 1, NULL, NULL, NULL, 0, NULL, 2265, '2020-03-05 14:18:05', '2020-02-28', NULL, '2020-03-05', NULL, '2020-03-17 10:48:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 242.75000000, 0.00000000, 0.00000000, 0.00000000, 1213.81000000, 1456.56000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-03-31', NULL, 'Maintenance compresseur L18RS &agrave; 9225 HRS<br />\r\nMaintenance separateur de condensats Owamat 11<br />\r\nRemplacement des 2 cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg;10 du 10/01/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1213.81000000, 242.75000000, 1456.56000000, NULL, 'facture/FA2002-0046/FA2002-0046.pdf', NULL, NULL),
(1629, 'FA2002-0047', 1, NULL, NULL, NULL, 0, NULL, 6086, '2020-03-09 11:44:13', '2020-02-05', NULL, '2020-03-09', NULL, '2020-03-09 10:44:25', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 283.80000000, 0.00000000, 0.00000000, 0.00000000, 1419.00000000, 1702.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-03-10', NULL, 'Contrat de maintenancepour partie air comprim&eacute; et azote N&deg;2019050201<br />\r\nSign&eacute; le 7 mai 2019 pour une dur&eacute;e de 5 ans .<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1419.00000000, 283.80000000, 1702.80000000, NULL, 'facture/FA2002-0047/FA2002-0047.pdf', NULL, NULL),
(1630, 'FA2003-0011', 1, NULL, NULL, NULL, 0, NULL, 6086, '2020-03-09 11:44:30', '2020-03-09', NULL, '2020-03-09', NULL, '2020-03-09 10:44:35', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 283.80000000, 0.00000000, 0.00000000, 0.00000000, 1419.00000000, 1702.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-03-10', NULL, 'Contrat de maintenancepour partie air comprim&eacute; et azote N&deg;2019050201<br />\r\nSign&eacute; le 7 mai 2019 pour une dur&eacute;e de 5 ans .<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1419.00000000, 283.80000000, 1702.80000000, NULL, 'facture/FA2003-0011/FA2003-0011.pdf', NULL, NULL),
(1631, 'FA2003-0012', 1, NULL, NULL, NULL, 0, NULL, 1981, '2020-03-10 09:56:22', '2020-03-10', NULL, '2020-03-10', NULL, '2020-05-13 08:15:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 5.60000000, 0.00000000, 0.00000000, 0.00000000, 28.00000000, 33.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Huile pour riveuteuse', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 28.00000000, 5.60000000, 33.60000000, NULL, 'facture/FA2003-0012/FA2003-0012.pdf', NULL, NULL),
(1632, 'FA2003-0013', 1, NULL, NULL, NULL, 0, NULL, 5773, '2020-03-10 09:58:14', '2020-03-10', NULL, '2020-03-10', NULL, '2020-03-12 13:02:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 109.80000000, 0.00000000, 0.00000000, 0.00000000, 549.00000000, 658.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-04-30', NULL, '<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 549.00000000, 109.80000000, 658.80000000, NULL, 'facture/FA2003-0013/FA2003-0013.pdf', NULL, NULL),
(1633, 'FA2003-0014', 1, NULL, NULL, NULL, 0, NULL, 2062, '2020-03-10 10:05:48', '2020-03-10', NULL, '2020-03-10', NULL, '2020-05-04 14:23:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 314.41000000, 0.00000000, 0.00000000, 0.00000000, 1572.06000000, 1886.47000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Reservoir 900Litres galvanis&eacute; en lieu et place de votre r&eacute;servoir actuel.<br />\r\n<br />\r\nCommande N&deg; 00026379<br />\r\n<br />\r\nHors manutention', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1572.06000000, 314.41000000, 1886.47000000, NULL, 'facture/FA2003-0014/FA2003-0014.pdf', NULL, NULL),
(1634, 'FA2003-0015', 1, NULL, NULL, NULL, 0, NULL, 1967, '2020-03-24 09:36:57', '2020-03-24', NULL, '2020-03-24', NULL, '2020-06-08 07:57:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 113.51000000, 0.00000000, 0.00000000, 0.00000000, 567.53000000, 681.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Maintenance compresseur L11 &agrave; 7860 HRS<br />\r\n<br />\r\nBL N&deg;25 du 17/03/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 567.53000000, 113.51000000, 681.04000000, NULL, 'facture/FA2003-0015/FA2003-0015.pdf', NULL, NULL),
(1635, 'FA2003-0016', 1, NULL, NULL, NULL, 0, NULL, 1988, '2020-03-24 09:51:43', '2020-03-24', NULL, '2020-03-24', NULL, '2020-05-07 14:46:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 182.92000000, 0.00000000, 0.00000000, 0.00000000, 914.60000000, 1097.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Maintenance L55RS &agrave; 42559 HRS<br />\r\n<br />\r\nBL N&deg;11 du 23/03/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 914.60000000, 182.92000000, 1097.52000000, NULL, 'facture/FA2003-0016/FA2003-0016.pdf', NULL, NULL),
(1636, 'FA2003-0017', 1, NULL, NULL, NULL, 0, NULL, 2022, '2020-03-24 09:56:29', '2020-03-24', NULL, '2020-03-24', NULL, '2020-06-23 07:55:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 146.92000000, 0.00000000, 0.00000000, 0.00000000, 734.59000000, 881.51000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, '<p>R&eacute;preuve de r&eacute;servoir d&rsquo;air comprim&eacute; ( Hors organisme agr&eacute;e ) et maintenance ROLLAIR 1400 &agrave; 4111 HRS<br />\r\n<br />\r\nBL N&deg;26 du 19/03/2020<br />\r\n<br />\r\nCommande N&deg; 940424951-0-10485</p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p>&nbsp;</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 734.59000000, 146.92000000, 881.51000000, NULL, 'facture/FA2003-0017/FA2003-0017.pdf', NULL, NULL),
(1637, 'FA2003-0018', 1, NULL, NULL, '16016', 0, NULL, 2009, '2020-03-24 10:10:39', '2020-03-24', NULL, '2020-03-24', NULL, '2020-04-06 07:46:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 111.98000000, 0.00000000, 0.00000000, 0.00000000, 559.87000000, 671.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Maintenance rs top 7.5 10 b N&deg; 538095 &agrave; 652 HRS<br />\r\n<br />\r\nBL N&deg;50 du 12/03/2020<br />\r\n<br />\r\nCommande 16016<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 559.87000000, 111.98000000, 671.85000000, NULL, 'facture/FA2003-0018/FA2003-0018.pdf', NULL, NULL),
(1638, 'FA2003-0019', 1, NULL, NULL, NULL, 0, NULL, 2011, '2020-03-24 10:18:24', '2020-03-24', NULL, '2020-03-24', NULL, '2020-04-30 10:14:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 86.17000000, 0.00000000, 0.00000000, 0.00000000, 430.85000000, 517.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Maintenance L18 N&deg; CD10039960002 &agrave; 6377 HRS<br />\r\n<br />\r\nBL N&deg;48 du 10/03/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 430.85000000, 86.17000000, 517.02000000, NULL, 'facture/FA2003-0019/FA2003-0019.pdf', NULL, NULL),
(1639, 'FA2003-0020', 1, NULL, NULL, NULL, 0, NULL, 2064, '2020-03-24 10:32:15', '2020-03-24', NULL, '2020-03-24', NULL, '2020-05-26 07:03:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 673.34000000, 0.00000000, 0.00000000, 0.00000000, 3366.70000000, 4040.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Maintenance compresseur L37 N&deg;10001720002 &agrave; 27398 HRS<br />\r\nBL N&deg; 20 du 05/02/2020<br />\r\n<br />\r\nMaintenance compresseur L37 N&deg;10008491001 &agrave; 19158 HRS<br />\r\nBL N&deg;19 du 05/02/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3366.70000000, 673.34000000, 4040.04000000, NULL, 'facture/FA2003-0020/FA2003-0020.pdf', NULL, NULL),
(1640, 'FA2003-0021', 1, NULL, NULL, 'sullair WA3008 blé 2', 0, NULL, 2054, '2020-03-24 10:54:21', '2020-03-24', NULL, '2020-03-24', NULL, '2020-06-03 07:07:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 197.97000000, 0.00000000, 0.00000000, 0.00000000, 989.82000000, 1187.79000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Maintenance compresseur Sullair WA3008&nbsp; &agrave; 3374 HRS<br />\r\n<br />\r\nBL N&deg;47 du 09/03/2020<br />\r\n<br />\r\nCommande N&deg; S981 2003 3371PM<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 989.82000000, 197.97000000, 1187.79000000, NULL, 'facture/FA2003-0021/FA2003-0021.pdf', NULL, NULL),
(1641, 'FA2003-0022', 1, NULL, NULL, NULL, 0, NULL, 2038, '2020-03-24 11:09:48', '2020-03-24', NULL, '2020-03-24', NULL, '2020-05-29 07:52:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 56.15000000, 0.00000000, 0.00000000, 0.00000000, 280.76000000, 336.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'D&eacute;pannage compresseur L07RS .<br />\r\n<br />\r\nBL N&deg;15 du 09/03/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 280.76000000, 56.15000000, 336.91000000, NULL, 'facture/FA2003-0022/FA2003-0022.pdf', NULL, NULL),
(1642, 'FA2003-0023', 1, NULL, NULL, NULL, 0, NULL, 2103, '2020-03-24 14:33:33', '2020-03-24', NULL, '2020-03-24', NULL, '2020-05-04 14:22:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 279.36000000, 0.00000000, 0.00000000, 0.00000000, 1396.79000000, 1676.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Maintenance L45RS N&deg; CD10015227001 &agrave; 22190HRS&nbsp;<br />\r\nMaintenance seprateur de condensats&nbsp; owamat 14&nbsp;<br />\r\nRemplacement des deux cartouches filtres reseaux bea700<br />\r\n<br />\r\nBL N&deg;08 du 13/02/2020<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1396.79000000, 279.36000000, 1676.15000000, NULL, 'facture/FA2003-0023/FA2003-0023.pdf', NULL, NULL),
(1643, 'FA2003-0024', 1, NULL, NULL, NULL, 0, NULL, 2101, '2020-03-25 09:04:10', '2020-03-25', NULL, '2020-03-25', NULL, '2020-05-04 14:21:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 134.14000000, 0.00000000, 0.00000000, 0.00000000, 670.72000000, 804.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-04-30', NULL, 'Maintenance l18RS &agrave; 11263 HRS<br />\r\nMaintenance owamat 10<br />\r\n<br />\r\nBL N&deg;12 du 05/03/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 670.72000000, 134.14000000, 804.86000000, NULL, 'facture/FA2003-0024/FA2003-0024.pdf', NULL, NULL),
(1644, 'FA2003-0025', 1, NULL, NULL, NULL, 0, NULL, 2123, '2020-03-25 09:11:42', '2020-03-25', NULL, '2020-03-25', NULL, '2020-05-19 07:43:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 550.58000000, 0.00000000, 0.00000000, 0.00000000, 2752.93000000, 3303.51000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Maintenance L29RS N&deg; CD10032874001 &agrave; 12323 HRS<br />\r\nMaintenance separateur de condensats Owamat 12<br />\r\nremplacement des deux filtres reseaux BEA480<br />\r\n<br />\r\nBL N&deg;44 du 05/03/2020<br />\r\n<br />\r\nCommande N&deg;510703', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2752.93000000, 550.58000000, 3303.51000000, NULL, 'facture/FA2003-0025/FA2003-0025.pdf', NULL, NULL),
(1645, 'FA2003-0026', 1, NULL, NULL, NULL, 0, NULL, 2122, '2020-03-25 09:34:02', '2020-03-25', NULL, '2020-03-25', NULL, '2020-05-26 07:30:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 240.60000000, 0.00000000, 0.00000000, 0.00000000, 1203.01000000, 1443.61000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-04-30', NULL, 'Mise en place deux filtres reseaux 700M3/h complets<br />\r\n<br />\r\nBL N&deg;43 du 03/03/2020<br />\r\n<br />\r\nCommande N&deg;42389', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1203.01000000, 240.60000000, 1443.61000000, NULL, 'facture/FA2003-0026/FA2003-0026.pdf', NULL, NULL),
(1646, 'FA2003-0027', 1, NULL, NULL, NULL, 0, NULL, 2347, '2020-03-25 09:56:23', '2020-03-25', NULL, '2020-03-25', NULL, '2020-04-30 10:15:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 24.00000000, 0.00000000, 0.00000000, 0.00000000, 120.00000000, 144.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'kit pour compresseur L15RS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 120.00000000, 24.00000000, 144.00000000, NULL, 'facture/FA2003-0027/FA2003-0027.pdf', NULL, NULL),
(1647, 'FA2003-0028', 1, NULL, NULL, NULL, 0, NULL, 2347, '2020-03-25 10:03:27', '2020-03-25', NULL, '2020-03-25', NULL, '2020-04-30 10:15:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 39.39000000, 0.00000000, 0.00000000, 0.00000000, 196.99000000, 236.38000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 196.99000000, 39.39000000, 236.38000000, NULL, 'facture/FA2003-0028/FA2003-0028.pdf', NULL, NULL),
(1648, 'FA2003-0029', 1, NULL, NULL, NULL, 0, NULL, 2347, '2020-03-25 10:04:23', '2020-03-25', NULL, '2020-03-25', NULL, '2020-04-30 10:15:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 33.28000000, 0.00000000, 0.00000000, 0.00000000, 166.40000000, 199.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'En remplacement de l&#39;aspirateur PROMAC VAC127 - aspirateur eau et poussiere - 30 min d&#39;utilisation quotidienne - capacit&eacute; 27 litres - cuve inox - 230 V 1500W poids 9kg 205m3/h :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 166.40000000, 33.28000000, 199.68000000, NULL, 'facture/FA2003-0029/FA2003-0029.pdf', NULL, NULL),
(1649, 'FA2003-0030', 1, NULL, NULL, NULL, 0, NULL, 12819, '2020-03-25 10:10:46', '2020-03-25', NULL, '2020-03-25', NULL, '2020-05-20 10:07:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 213.16000000, 0.00000000, 0.00000000, 0.00000000, 1065.81000000, 1278.97000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-04-30', NULL, 'Maintenance compresseur RS PRO 7.5 -10B &agrave; 2467 HRS<br />\r\nMaintenance separateur de condensats ROS<br />\r\nRemplacement des 2 cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg;13 du 06/03/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1065.81000000, 213.16000000, 1278.97000000, NULL, 'facture/FA2003-0030/FA2003-0030.pdf', NULL, NULL),
(1650, 'FA2003-0031', 1, NULL, NULL, NULL, 0, NULL, 2247, '2020-03-25 10:35:50', '2020-03-25', NULL, '2020-03-25', NULL, '2020-06-10 08:02:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 196.49000000, 0.00000000, 0.00000000, 0.00000000, 982.50000000, 1178.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'maintenance L18rs N&deg; CD100018442001 &agrave; 10978HRS( nouvelle carte )&nbsp;<br />\r\nMaintenance separateur de condensats OWAMAT 11<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;11 du 05/03/2020<br />\r\n<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 982.50000000, 196.49000000, 1178.99000000, NULL, 'facture/FA2003-0031/FA2003-0031.pdf', NULL, NULL),
(1651, 'FA2003-0032', 1, NULL, NULL, NULL, 0, NULL, 2250, '2020-03-25 10:42:34', '2020-03-25', NULL, '2020-03-25', NULL, '2020-05-28 07:36:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 50.85000000, 0.00000000, 0.00000000, 0.00000000, 254.26000000, 305.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'D&eacute;pannage compresseur LACME AIR - Pressostat hors service<br />\r\n<br />\r\nBL N&deg;24 du 12/03/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 254.26000000, 50.85000000, 305.11000000, NULL, 'facture/FA2003-0032/FA2003-0032.pdf', NULL, NULL),
(1652, 'FA2003-0033', 1, NULL, NULL, NULL, 0, NULL, 2273, '2020-03-25 11:07:00', '2020-03-25', NULL, '2020-03-25', NULL, '2020-04-30 10:15:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 159.35000000, 0.00000000, 0.00000000, 0.00000000, 796.77000000, 956.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'maintenance modulos 25 compresseur &agrave; 3608 HRS et filtres reseaux&nbsp;<br />\r\n<br />\r\nBL N&deg;10 du 20/03/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 796.77000000, 159.35000000, 956.12000000, NULL, 'facture/FA2003-0033/FA2003-0033.pdf', NULL, NULL),
(1653, 'FA2003-0034', 1, NULL, NULL, NULL, 0, NULL, 2122, '2020-03-25 11:38:59', '2020-03-25', NULL, '2020-03-25', NULL, '2020-05-26 07:30:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 628.75000000, 0.00000000, 0.00000000, 0.00000000, 3143.73000000, 3772.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-04-30', NULL, 'Maintenance L75RS N&deg; CD10018699001 &agrave;&nbsp; 25124 HRS<br />\r\nMaintenance seprateur de condensats OWAMAT 15<br />\r\nRemplacement cartouche filtre r&eacute;seau<br />\r\n<br />\r\nBL N42 du 03/03/2020<br />\r\n<br />\r\nCommande N&deg;42383', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3143.73000000, 628.75000000, 3772.48000000, NULL, 'facture/FA2003-0034/FA2003-0034.pdf', NULL, NULL),
(1654, 'FA2003-0035', 1, NULL, NULL, NULL, 0, NULL, 11209, '2020-03-25 14:18:19', '2020-03-25', NULL, '2020-03-25', NULL, '2020-05-04 14:21:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 109.66000000, 0.00000000, 0.00000000, 0.00000000, 548.26000000, 657.92000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-04-30', NULL, 'Maintenance compresseur BELAIR GS30 N&deg;MMJS040020 de 2014 &agrave; 32074HRS<br />\r\n<br />\r\nBL N&deg;21 du 10/03/2020\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 548.26000000, 109.66000000, 657.92000000, NULL, 'facture/FA2003-0035/FA2003-0035.pdf', NULL, NULL),
(1655, 'FA2003-0036', 1, NULL, NULL, NULL, 0, NULL, 2092, '2020-03-26 15:39:53', '2020-03-26', NULL, '2020-03-26', NULL, '2020-04-16 12:05:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 87.85000000, 0.00000000, 0.00000000, 0.00000000, 439.25000000, 527.10000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'maintenance RSDB 4 N°541046<br />\r\n<br />\r\nBL N°14 du 09/03/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 439.25000000, 87.85000000, 527.10000000, NULL, 'facture/FA2003-0036/FA2003-0036.pdf', NULL, NULL),
(1656, 'FA2003-0037', 1, NULL, NULL, NULL, 0, NULL, 2386, '2020-03-26 15:43:50', '2020-03-26', NULL, '2020-03-26', NULL, '2020-05-29 07:51:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.50000000, 0.00000000, 0.00000000, 0.00000000, 227.50000000, 273.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Depannage manometre sur cuve Hors service<br />\r\n<br />\r\nBL N&deg;45 du 05/03/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 227.50000000, 45.50000000, 273.00000000, NULL, 'facture/FA2003-0037/FA2003-0037.pdf', NULL, NULL),
(1657, 'FA2003-0038', 1, NULL, NULL, NULL, 0, NULL, 2252, '2020-03-27 10:27:49', '2020-03-27', NULL, '2020-03-27', NULL, '2020-05-04 14:19:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.28000000, 0.00000000, 0.00000000, 0.00000000, 226.38000000, 271.66000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Commande N&deg; BC000218', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.38000000, 45.28000000, 271.66000000, NULL, 'facture/FA2003-0038/FA2003-0038.pdf', NULL, NULL),
(1658, 'FA2003-0039', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-03-27 10:40:05', '2020-03-27', NULL, '2020-03-27', NULL, '2020-06-03 07:07:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 88.00000000, 0.00000000, 0.00000000, 0.00000000, 440.00000000, 528.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Fourniture d&#39;un compresseur &agrave; piston .<br />\r\n<br />\r\nSite de Saint victor de cessieux -&nbsp;<br />\r\nLivraison sur site de : COOPERATIVE LA DAUPHINOISE<br />\r\nService Maintenance<br />\r\nChemin du Pouloux<br />\r\n38270&nbsp;Beaurepaire<br />\r\n<br />\r\nCommande N&deg; C14820033386PM', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 440.00000000, 88.00000000, 528.00000000, NULL, 'facture/FA2003-0039/FA2003-0039.pdf', NULL, NULL),
(1659, 'FA2003-0040', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-03-27 10:50:04', '2020-03-27', NULL, '2020-03-27', NULL, '2020-07-06 08:40:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 88.00000000, 0.00000000, 0.00000000, 0.00000000, 440.00000000, 528.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Fourniture d&#39;un compresseur &agrave; piston .<br />\r\n<br />\r\nSite de Fitilieu -&nbsp;<br />\r\nLivraison sur site de :<br />\r\nService maintenance&nbsp;<br />\r\nChemin du Pouloux<br />\r\n38270 Beaurepaire<br />\r\n<br />\r\nCOmmande N&deg; C052 20 03 3387PM', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 440.00000000, 88.00000000, 528.00000000, NULL, 'facture/FA2003-0040/FA2003-0040.pdf', NULL, NULL),
(1660, 'FA2003-0041', 1, NULL, NULL, NULL, 0, NULL, 2250, '2020-03-27 11:18:52', '2020-03-27', NULL, '2020-03-27', NULL, '2020-06-29 08:49:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 217.00000000, 0.00000000, 0.00000000, 0.00000000, 1085.00000000, 1302.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Compresseur &agrave; piston Compair', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1085.00000000, 217.00000000, 1302.00000000, NULL, 'facture/FA2003-0041/FA2003-0041.pdf', NULL, NULL),
(1661, 'FA2003-0042', 1, NULL, NULL, NULL, 0, NULL, 12584, '2020-03-27 11:20:40', '2020-03-27', NULL, '2020-03-27', NULL, '2020-06-15 10:15:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 76.57000000, 0.00000000, 0.00000000, 0.00000000, 382.83000000, 459.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-04-30', NULL, 'fourniture girair -&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 382.83000000, 76.57000000, 459.40000000, NULL, 'facture/FA2003-0042/FA2003-0042.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1662, 'FA2003-0043', 1, NULL, NULL, NULL, 0, NULL, 2327, '2020-03-30 09:59:35', '2020-03-30', NULL, '2020-03-30', NULL, '2020-04-27 07:21:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 251.85000000, 0.00000000, 0.00000000, 0.00000000, 1259.25000000, 1511.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, '<h1>Groupe &eacute;lectrog&egrave;ne Technic 6500 ec5&nbsp; 6.5 kw essence</h1>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1259.25000000, 251.85000000, 1511.10000000, NULL, 'facture/FA2003-0043/FA2003-0043.pdf', NULL, NULL),
(1663, 'FA2003-0044', 1, NULL, NULL, NULL, 0, NULL, 6101, '2020-03-30 10:03:17', '2020-03-30', NULL, '2020-03-30', NULL, '2020-04-01 08:18:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 15.60000000, 0.00000000, 0.00000000, 0.00000000, 78.00000000, 93.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 78.00000000, 15.60000000, 93.60000000, NULL, 'facture/FA2003-0044/FA2003-0044.pdf', NULL, NULL),
(1665, 'FA2003-0045', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-03-31 10:30:39', '2020-03-31', NULL, '2020-03-31', NULL, '2020-06-10 08:02:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 385.50000000, 0.00000000, 0.00000000, 0.00000000, 1927.54000000, 2313.04000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Maintenance L45RS N°CD10005658001 à  12964Hrs<br />\r\nMaintenance du separateur de condensats Owamat 14<br />\r\n<br />\r\nBL 46 N°06/03/2020 <br />\r\n<br />\r\nCommande N° 4800305442', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1927.54000000, 385.50000000, 2313.04000000, NULL, 'facture/FA2003-0045/FA2003-0045.pdf', NULL, NULL),
(1666, 'FA2003-0046', 1, NULL, NULL, NULL, 0, NULL, 2286, '2020-03-31 10:50:00', '2020-03-31', NULL, '2020-03-31', NULL, '2020-05-13 08:12:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 85.90000000, 0.00000000, 0.00000000, 0.00000000, 429.52000000, 515.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-04-30', NULL, 'Remplacement sonde de temp&eacute;rature sur s&eacute;cheur OMI ED225<br />\r\n<br />\r\nBL N&deg;12 du 26/03/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 429.52000000, 85.90000000, 515.42000000, NULL, 'facture/FA2003-0046/FA2003-0046.pdf', NULL, NULL),
(1667, 'FA2004-0001', 1, NULL, NULL, NULL, 0, NULL, 13065, '2020-04-01 09:14:40', '2020-04-01', NULL, '2020-04-01', NULL, '2020-05-13 08:14:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 50.48000000, 0.00000000, 0.00000000, 0.00000000, 252.37000000, 302.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-05-31', NULL, 'Remplacement ventilateur sur compresseur SCROLL&nbsp;<br />\r\n<br />\r\nBL N&deg;17 du 31/03/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 252.37000000, 50.48000000, 302.85000000, NULL, 'facture/FA2004-0001/FA2004-0001.pdf', NULL, NULL),
(1668, 'FA2004-0002', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-04-01 09:27:03', '2020-04-01', NULL, '2020-04-01', NULL, '2020-06-03 07:05:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA2004-0002/FA2004-0002.pdf', NULL, NULL),
(1669, 'FA2004-0003', 1, NULL, NULL, NULL, 0, NULL, 2197, '2020-04-01 09:27:35', '2020-04-01', NULL, '2020-06-04', NULL, '2020-06-23 07:54:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.83000000, 0.00000000, 0.00000000, 0.00000000, 114.13000000, 136.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 114.13000000, 22.83000000, 136.96000000, NULL, 'facture/FA2004-0003/FA2004-0003.pdf', NULL, NULL),
(1678, 'FA2004-0004', 1, NULL, NULL, NULL, 0, NULL, 2279, '2020-04-06 09:15:59', '2020-04-06', NULL, '2020-04-06', NULL, '2020-05-04 14:22:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 330.54000000, 0.00000000, 0.00000000, 0.00000000, 1652.71000000, 1983.25000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Maintenance Compresseur L50 N&deg; CD100002543001 &agrave; 46370 HRS<br />\r\nMaintenance separateur de condensats Owamat 14<br />\r\nRemplacement cartouche filtre reseau F2X040AO<br />\r\n<br />\r\nBL N&deg;28 du 03/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1652.71000000, 330.54000000, 1983.25000000, NULL, 'facture/FA2004-0004/FA2004-0004.pdf', NULL, NULL),
(1679, 'FA2004-0005', 1, NULL, NULL, NULL, 0, NULL, 2157, '2020-04-06 09:22:05', '2020-04-06', NULL, '2020-04-06', NULL, '2020-06-22 08:43:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 183.89000000, 0.00000000, 0.00000000, 0.00000000, 919.52000000, 1103.41000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Maintenance compresseur&nbsp; RS PRO&nbsp; 7.5 &agrave; 3997 HRS<br />\r\n<br />\r\nRemplacement des 2 cartouches filtres reseaux<br />\r\nMaintenance separateur de condensats Owamat 11<br />\r\n<br />\r\nBL N&deg;27 du 03/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 919.52000000, 183.89000000, 1103.41000000, NULL, 'facture/FA2004-0005/FA2004-0005.pdf', NULL, NULL),
(1680, 'FA2004-0028', 1, NULL, NULL, NULL, 0, NULL, 2108, '2020-04-08 14:50:04', '2020-04-08', NULL, '2020-06-09', NULL, '2020-07-08 08:51:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1344.00000000, 0.00000000, 0.00000000, 0.00000000, 6720.00000000, 8064.00000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Carton gel hydroalcoolique en bidon de 5L<br />\r\n<br />\r\nFranco <br />\r\n<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6720.00000000, 1344.00000000, 8064.00000000, NULL, 'facture/FA2004-0028/FA2004-0028.pdf', NULL, NULL),
(1681, 'FA2004-0038', 1, NULL, NULL, NULL, 0, NULL, 13066, '2020-04-14 11:01:28', '2020-04-14', NULL, '2020-04-24', NULL, '2020-04-24 12:15:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 43.00000000, 0.00000000, 0.00000000, 0.00000000, 215.00000000, 258.00000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 9, 0, '2020-04-15', NULL, '1 carton de 4 bouteilles au format 5Litre -<br />\r\n<br />\r\nLivraison :  courant semaine 16<br />\r\n<br />\r\nAttention il n\'y a pas de poussoir fourni avec les bouteilles - bouchon classique à viser<br />\r\n<br />\r\nCommande N° 2200485', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 215.00000000, 43.00000000, 258.00000000, NULL, 'facture/FA2004-0038/FA2004-0038.pdf', NULL, NULL),
(1682, 'FA2004-0006', 1, NULL, NULL, NULL, 0, NULL, 1990, '2020-04-14 14:57:57', '2020-04-14', NULL, '2020-04-14', NULL, '2020-06-10 07:52:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 236.56000000, 0.00000000, 0.00000000, 0.00000000, 1182.77000000, 1419.33000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, '&nbsp;un compresseur L30 &agrave; 39500 HRS<br />\r\n<br />\r\nBL N&deg;18 du 09/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1182.77000000, 236.56000000, 1419.33000000, NULL, 'facture/FA2004-0006/FA2004-0006.pdf', NULL, NULL),
(1683, 'FA2004-0007', 1, NULL, NULL, NULL, 0, NULL, 1990, '2020-04-14 15:01:42', '2020-04-14', NULL, '2020-04-14', NULL, '2020-06-10 07:52:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1799.99000000, 0.00000000, 0.00000000, 0.00000000, 9000.00000000, 10799.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Reseau en inox serti', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 9000.00000000, 1799.99000000, 10799.99000000, NULL, 'facture/FA2004-0007/FA2004-0007.pdf', NULL, NULL),
(1684, 'FA2004-0008', 1, NULL, NULL, NULL, 0, NULL, 1990, '2020-04-15 15:41:12', '2020-04-15', NULL, '2020-04-15', NULL, '2020-06-10 07:52:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 135.97000000, 0.00000000, 0.00000000, 0.00000000, 679.83000000, 815.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Intervention de r&eacute;seau inox hors devis suivant<br />\r\nBL N&deg;19 du 09/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 679.83000000, 135.97000000, 815.80000000, NULL, 'facture/FA2004-0008/FA2004-0008.pdf', NULL, NULL),
(1685, 'FA2004-0009', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-04-16 11:18:23', '2020-04-16', NULL, '2020-04-16', NULL, '2020-07-09 11:51:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 334.28000000, 0.00000000, 0.00000000, 0.00000000, 1671.40000000, 2005.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, '<p><strong>Fourniture d&#39;1 CLC275NTP-BD compresseur &agrave; piston</strong></p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp; + D&eacute;pose du vieux, feraillage par client</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp; + Branchement &agrave; l&#39;installation actuelle &eacute;lectrique et flexible pour connexion &agrave; r&eacute;seau AC</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp; + MO + Kms + Accessoires divers AC&nbsp;<br />\r\n<br />\r\nLivraison : VALENCE CEREALES<br />\r\nLes Rebatieres<br />\r\n26760 MONTELEGER<br />\r\n<br />\r\nCommande : C37120033384PM</p>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1671.40000000, 334.28000000, 2005.68000000, NULL, 'facture/FA2004-0009/FA2004-0009.pdf', NULL, NULL),
(1686, 'FA2004-0010', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-04-16 11:22:34', '2020-04-16', NULL, '2020-06-09', NULL, '2020-07-09 11:51:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 88.00000000, 0.00000000, 0.00000000, 0.00000000, 440.00000000, 528.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Fourniture d&#39;un compresseur &agrave; piston .<br />\r\n<br />\r\nSite de CEREALES VALENCE<br />\r\n<br />\r\nCommande C37120033385PM', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 440.00000000, 88.00000000, 528.00000000, NULL, 'facture/FA2004-0010/FA2004-0010.pdf', NULL, NULL),
(1688, 'FA2004-0011', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-04-16 11:25:04', '2020-04-16', NULL, '2020-04-16', NULL, '2020-07-06 08:40:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 267.94000000, 0.00000000, 0.00000000, 0.00000000, 1339.69000000, 1607.63000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Remplacement Vanne thermostatique et nettoyage du radiateur sur compresseur WA3008V -<br />\r\nSIte de beaurepaire sces bl&eacute; 2 calibrage<br />\r\n<br />\r\nCommande : S98120033380PM', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1339.69000000, 267.94000000, 1607.63000000, NULL, 'facture/FA2004-0011/FA2004-0011.pdf', NULL, NULL),
(1689, 'FA2004-0012', 1, NULL, NULL, '42059', 0, NULL, 2122, '2020-04-16 11:37:14', '2020-04-16', NULL, '2020-04-16', NULL, '2020-06-19 07:59:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 184.18000000, 0.00000000, 0.00000000, 0.00000000, 920.92000000, 1105.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-05-31', NULL, '<p><span style=\"color:#1f497d\">Commande N&deg;42059</span></p>\r\n\r\n<p><span style=\"color:#1f497d\">J&rsquo;ai mis plusieurs pi&egrave;ces et des consommables,</span></p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<ul>\r\n	<li><span style=\"color:#1f497d\">Le corps de vanne</span></li>\r\n	<li><span style=\"color:#1f497d\">L&rsquo;adaptateur (pi&egrave;ce entre la corps de vanne et la bouteille) , vu l&rsquo;&eacute;tat du corps, pas facile de voir ou &ccedil;a fuit exactement, </span></li>\r\n	<li><span style=\"color:#1f497d\">Le piston avec toises et entretoises, dans la vanne il y a un piston pour les cycles de lavage , rin&ccedil;age, on ne peut savoir son &eacute;tat&nbsp; qu&rsquo;en d&eacute;montant la vanne</span></li>\r\n	<li><span style=\"color:#1f497d\">Le tube plongeur &nbsp;sp&eacute;cial eau chaude&nbsp; (&agrave; confirmer que les 2 ont le m&ecirc;me diam&egrave;tre)</span></li>\r\n	<li><span style=\"color:#1f497d\">Les consommables , charbon actif et r&eacute;sines de d&eacute;min&eacute;ralisation</span></li>\r\n</ul>\r\n<br />\r\n<span style=\"color:#1f497d\">Livr&eacute; le 08/04/2020</span>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 920.92000000, 184.18000000, 1105.10000000, NULL, 'facture/FA2004-0012/FA2004-0012.pdf', NULL, NULL),
(1690, 'FA2004-0013', 1, NULL, NULL, NULL, 0, NULL, 2153, '2020-04-16 12:00:29', '2020-04-16', NULL, '2020-04-16', NULL, '2020-06-02 14:12:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 215.97000000, 0.00000000, 0.00000000, 0.00000000, 1079.88000000, 1295.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Maintenance l15RS &agrave; 16586 HRS<br />\r\n<br />\r\nBL N&deg;20 du 10/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1079.88000000, 215.97000000, 1295.85000000, NULL, 'facture/FA2004-0013/FA2004-0013.pdf', NULL, NULL),
(1691, 'FA2004-0014', 1, NULL, NULL, NULL, 0, NULL, 2153, '2020-04-16 12:03:08', '2020-04-16', NULL, '2020-04-16', NULL, '2020-06-02 14:12:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 107.97000000, 0.00000000, 0.00000000, 0.00000000, 539.87000000, 647.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Maintenance COmpresseur LUCHARD COMPAIR 6020ELX07BE<br />\r\n<br />\r\nBL N&deg;20 du 10/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 539.87000000, 107.97000000, 647.84000000, NULL, 'facture/FA2004-0014/FA2004-0014.pdf', NULL, NULL),
(1692, 'FA2004-0015', 1, NULL, NULL, NULL, 0, NULL, 2153, '2020-04-16 12:06:07', '2020-04-16', NULL, '2020-04-16', NULL, '2020-06-02 14:12:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 119.25000000, 0.00000000, 0.00000000, 0.00000000, 596.21000000, 715.46000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Maintenance compresseur RENNER RSDK PRO3 13 BARS N&deg;707076&nbsp;<br />\r\n<br />\r\nBL N&deg;20 du 10/04/2020<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 596.21000000, 119.25000000, 715.46000000, NULL, 'facture/FA2004-0015/FA2004-0015.pdf', NULL, NULL),
(1693, 'FA2004-0016', 1, NULL, NULL, NULL, 0, NULL, 12917, '2020-04-16 14:41:33', '2020-04-16', NULL, '2020-04-16', NULL, '2020-06-16 08:10:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1297.59000000, 0.00000000, 0.00000000, 0.00000000, 6488.00000000, 7785.59000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'SCROLL compresseur sans huile et station de traitement', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6488.00000000, 1297.59000000, 7785.59000000, NULL, 'facture/FA2004-0016/FA2004-0016.pdf', NULL, NULL),
(1694, 'FA2004-0017', 1, NULL, NULL, NULL, 0, NULL, 2162, '2020-04-17 09:32:51', '2020-04-17', NULL, '2020-04-17', NULL, '2020-06-29 08:49:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 278.30000000, 0.00000000, 0.00000000, 0.00000000, 1391.52000000, 1669.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'contrat liss&eacute;<br />\r\nL37 N&deg;cd10030327001 &agrave; 6510 Heures<br />\r\net cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg;29 du 06/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1391.52000000, 278.30000000, 1669.82000000, NULL, 'facture/FA2004-0017/FA2004-0017.pdf', NULL, NULL),
(1695, 'FA2004-0018', 1, NULL, NULL, NULL, 0, NULL, 2162, '2020-04-17 09:40:31', '2020-04-17', NULL, '2020-04-17', NULL, '2020-06-29 08:49:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 208.89000000, 0.00000000, 0.00000000, 0.00000000, 1044.44000000, 1253.33000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Suite &agrave; l&#39;&eacute;preuve du reservoir de votre compresseur &agrave; piston , veuillez trouver ci dessous notre offre pour le remplacement de la cuve 500 litres de votre compresseur &agrave; piston par une cuve 500Litres verticale d&eacute;port&eacute;e .<br />\r\n<br />\r\nBL N&deg;30 du 06/04/2020<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1044.44000000, 208.89000000, 1253.33000000, NULL, 'facture/FA2004-0018/FA2004-0018.pdf', NULL, NULL),
(1696, 'FA2004-0019', 1, NULL, NULL, NULL, 0, NULL, 13077, '2020-04-17 10:01:33', '2020-04-17', NULL, '2020-04-17', NULL, '2020-05-29 07:54:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 183.98000000, 0.00000000, 0.00000000, 0.00000000, 919.88000000, 1103.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-05-31', NULL, 'Mise en service et raccordement compresseur SUllair BDS11 N&deg; 68570004 &agrave; 40324 HRS - secheur Friulaire ACT40- Cuve 500L N&deg;82135 de 2014 en reseau souple .<br />\r\nMaintenance compresseur Sullair BDS 11.<br />\r\nRemplacement cartouche filtre reseau&nbsp;<br />\r\n<br />\r\nBL N&deg;35 du 16/05/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 919.88000000, 183.98000000, 1103.86000000, NULL, 'facture/FA2004-0019/FA2004-0019.pdf', NULL, NULL),
(1697, 'FA2004-0020', 1, NULL, NULL, NULL, 0, NULL, 11209, '2020-04-17 10:06:35', '2020-04-17', NULL, '2020-04-17', NULL, '2020-04-22 07:25:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 161.26000000, 0.00000000, 0.00000000, 0.00000000, 806.32000000, 967.58000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-05-31', NULL, 'remplacement accouplement sur compresseur GS30 :&nbsp;<br />\r\n<br />\r\nBL N&deg;31 du 08/04/2020<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 806.32000000, 161.26000000, 967.58000000, NULL, 'facture/FA2004-0020/FA2004-0020.pdf', NULL, NULL),
(1698, 'FA2004-0021', 1, NULL, NULL, NULL, 0, NULL, 2407, '2020-04-17 10:15:25', '2020-04-17', NULL, '2020-04-17', NULL, '2020-06-22 08:44:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 185.63000000, 0.00000000, 0.00000000, 0.00000000, 928.15000000, 1113.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Maintenance compresseur ALUP SCK101-08 10 bars &agrave; 3190 HRS<br />\r\n<br />\r\nBL N&deg;23 du 12/03/2020<br />\r\n<br />\r\ncomprenant :&nbsp;<br />\r\nVidange d&#39;huile&nbsp;<br />\r\nVerification de la regulation<br />\r\nRemplacement du filtre a air filtre a huile et filtre separateur<br />\r\n&nbsp;<br />\r\n- Contr&ocirc;les et v&eacute;rifications &nbsp;pr&eacute;conis&eacute;s par le constructeur<br />\r\n- resserrage connexions &eacute;lectriques par nos techniciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es&nbsp;<br />\r\n&nbsp;-<u> Garantie 6 mois sur pi&egrave;ces filtration<br />\r\n<br />\r\nLors de l&#39;intervention notre technicien a not&eacute; que lors du dernier entretien de votre pr&eacute;c&eacute;dent prestataire le montage d&#39;un s&eacute;parateur a &eacute;t&eacute; abim&eacute; ( cf photo )&nbsp;</u><br />\r\n<br />\r\nCommande N&deg;911265145-0-10760<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 928.15000000, 185.63000000, 1113.78000000, NULL, 'facture/FA2004-0021/FA2004-0021.pdf', NULL, NULL),
(1699, 'FA2004-0022', 1, NULL, NULL, NULL, 0, NULL, 13078, '2020-04-21 14:39:59', '2020-04-21', NULL, '2020-04-21', NULL, '2020-04-30 10:13:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 10.50000000, 0.00000000, 0.00000000, 0.00000000, 52.50000000, 63.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-04-22', NULL, 'Gel hydroalcoolique', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 52.50000000, 10.50000000, 63.00000000, NULL, 'facture/FA2004-0022/FA2004-0022.pdf', NULL, NULL),
(1700, 'FA2004-0023', 1, NULL, NULL, NULL, 0, NULL, 2327, '2020-04-21 15:24:36', '2020-04-21', NULL, '2020-04-21', NULL, '2020-04-27 07:21:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 131.01000000, 0.00000000, 0.00000000, 0.00000000, 655.04000000, 786.05000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2020-04-22', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 655.04000000, 131.01000000, 786.05000000, NULL, 'facture/FA2004-0023/FA2004-0023.pdf', NULL, NULL),
(1701, 'FA2004-0024', 1, NULL, NULL, NULL, 0, NULL, 13080, '2020-04-21 15:38:12', '2020-04-21', NULL, '2020-04-21', NULL, '2020-05-29 07:51:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 42.00000000, 0.00000000, 0.00000000, 0.00000000, 210.00000000, 252.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-04-22', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 210.00000000, 42.00000000, 252.00000000, NULL, 'facture/FA2004-0024/FA2004-0024.pdf', NULL, NULL),
(1702, 'FA2004-0025', 1, NULL, NULL, NULL, 0, NULL, 13081, '2020-04-21 15:45:13', '2020-04-21', NULL, '2020-04-21', NULL, '2020-04-23 12:16:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 10.50000000, 0.00000000, 0.00000000, 0.00000000, 52.50000000, 63.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-04-22', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 52.50000000, 10.50000000, 63.00000000, NULL, 'facture/FA2004-0025/FA2004-0025.pdf', NULL, NULL),
(1703, 'FA2004-0026', 1, NULL, NULL, NULL, 0, NULL, 13082, '2020-04-21 15:48:02', '2020-04-21', NULL, '2020-04-21', NULL, '2020-06-15 10:16:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 10.50000000, 0.00000000, 0.00000000, 0.00000000, 52.50000000, 63.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-04-22', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 52.50000000, 10.50000000, 63.00000000, NULL, 'facture/FA2004-0026/FA2004-0026.pdf', NULL, NULL),
(1704, 'AV2004-0001', 1, NULL, NULL, NULL, 2, NULL, 2162, '2020-04-21 15:53:59', '2020-04-21', NULL, '2020-04-21', NULL, '2020-04-28 07:22:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -15.44000000, 0.00000000, 0.00000000, 0.00000000, -77.20000000, -92.64000000, 2, 5, NULL, 5, NULL, 1591, NULL, NULL, NULL, 0, 2, '2020-04-21', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 77.20000000, 15.44000000, 92.64000000, NULL, 'facture/AV2004-0001/AV2004-0001.pdf', NULL, NULL),
(1705, 'AC2004-0001', 1, NULL, NULL, NULL, 3, NULL, 2162, '2020-04-22 11:16:56', '2020-04-22', NULL, '2020-04-22', NULL, '2020-04-29 07:24:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 750.00000000, 0.00000000, 0.00000000, 0.00000000, 3750.00000000, 4500.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2020-04-23', NULL, 'Remplacement du bloc vis sur votre compresseur L37RS .<br />\r\n<br />\r\nGarantie bloc vis&nbsp; 24 mois&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3750.00000000, 750.00000000, 4500.00000000, NULL, 'facture/AC2004-0001/AC2004-0001.pdf', NULL, NULL),
(1706, 'FA2004-0027', 1, NULL, NULL, NULL, 0, NULL, 2038, '2020-04-22 11:21:55', '2020-04-22', NULL, '2020-04-22', NULL, '2020-07-08 08:57:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 104.30000000, 0.00000000, 0.00000000, 0.00000000, 521.51000000, 625.81000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Remplacement valve thermostatique sur compresseur L07RS &agrave; 18515 HRS<br />\r\n<br />\r\nBL N&deg;22 du 16/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 521.51000000, 104.30000000, 625.81000000, NULL, 'facture/FA2004-0027/FA2004-0027.pdf', NULL, NULL),
(1707, 'FA2004-0029', 1, NULL, NULL, NULL, 0, NULL, 13075, '2020-04-22 14:28:13', '2020-04-22', NULL, '2020-04-22', NULL, '2020-06-03 07:06:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 126.00000000, 0.00000000, 0.00000000, 0.00000000, 630.00000000, 756.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-05-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 630.00000000, 126.00000000, 756.00000000, NULL, 'facture/FA2004-0029/FA2004-0029.pdf', NULL, NULL),
(1708, 'FA2004-0030', 1, NULL, NULL, NULL, 0, NULL, 5939, '2020-04-22 14:32:45', '2020-04-22', NULL, '2020-04-22', NULL, '2020-06-16 08:12:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 73.50000000, 0.00000000, 0.00000000, 0.00000000, 367.50000000, 441.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-05-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 367.50000000, 73.50000000, 441.00000000, NULL, 'facture/FA2004-0030/FA2004-0030.pdf', NULL, NULL),
(1709, 'FA2004-0031', 1, NULL, NULL, NULL, 0, NULL, 13079, '2020-04-23 11:20:47', '2020-04-23', NULL, '2020-04-23', NULL, '2020-04-30 10:13:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.00000000, 0.00000000, 0.00000000, 0.00000000, 110.00000000, 132.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-04-24', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 110.00000000, 22.00000000, 132.00000000, NULL, 'facture/FA2004-0031/FA2004-0031.pdf', NULL, NULL),
(1710, 'FA2004-0032', 1, NULL, NULL, NULL, 0, NULL, 1955, '2020-04-24 09:40:47', '2020-04-24', NULL, '2020-04-24', NULL, '2020-06-10 08:22:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 25.20000000, 0.00000000, 0.00000000, 0.00000000, 126.00000000, 151.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 126.00000000, 25.20000000, 151.20000000, NULL, 'facture/FA2004-0032/FA2004-0032.pdf', NULL, NULL),
(1711, 'FA2004-0033', 1, NULL, NULL, NULL, 0, NULL, 12810, '2020-04-24 09:42:05', '2020-04-24', NULL, '2020-04-24', NULL, '2020-04-24 07:42:09', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 11.50000000, 0.00000000, 0.00000000, 0.00000000, 57.50000000, 69.00000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-05-31', NULL, '1 bidon 5L gel hydroalcoolique', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 57.50000000, 11.50000000, 69.00000000, NULL, 'facture/FA2004-0033/FA2004-0033.pdf', NULL, NULL),
(1712, 'FA2004-0034', 1, NULL, NULL, NULL, 0, NULL, 10625, '2020-04-24 09:50:27', '2020-04-24', NULL, '2020-04-24', NULL, '2020-06-08 07:59:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 43.00000000, 0.00000000, 0.00000000, 0.00000000, 215.00000000, 258.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-05-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 215.00000000, 43.00000000, 258.00000000, NULL, 'facture/FA2004-0034/FA2004-0034.pdf', NULL, NULL),
(1713, 'FA2004-0035', 1, NULL, NULL, NULL, 0, NULL, 10526, '2020-04-24 09:53:29', '2020-04-24', NULL, '2020-04-24', NULL, '2020-06-08 07:58:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 10.50000000, 0.00000000, 0.00000000, 0.00000000, 52.50000000, 63.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-05-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 52.50000000, 10.50000000, 63.00000000, NULL, 'facture/FA2004-0035/FA2004-0035.pdf', NULL, NULL),
(1714, 'FA2004-0036', 1, NULL, NULL, NULL, 0, NULL, 13076, '2020-04-24 09:54:06', '2020-04-24', NULL, '2020-04-24', NULL, '2020-05-13 08:14:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 21.00000000, 0.00000000, 0.00000000, 0.00000000, 105.00000000, 126.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-05-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 105.00000000, 21.00000000, 126.00000000, NULL, 'facture/FA2004-0036/FA2004-0036.pdf', NULL, NULL),
(1715, 'FA2004-0037', 1, NULL, NULL, NULL, 0, NULL, 10501, '2020-04-24 14:03:23', '2020-04-24', NULL, '2020-04-24', NULL, '2020-06-23 07:53:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 43.00000000, 0.00000000, 0.00000000, 0.00000000, 215.00000000, 258.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-05-31', NULL, 'Commande CF5-2004-00230', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 215.00000000, 43.00000000, 258.00000000, NULL, 'facture/FA2004-0037/FA2004-0037.pdf', NULL, NULL),
(1716, 'FA2004-0039', 1, NULL, NULL, NULL, 0, NULL, 10598, '2020-04-24 14:09:42', '2020-04-24', NULL, '2020-04-24', NULL, '2020-05-15 07:09:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 11.50000000, 0.00000000, 0.00000000, 0.00000000, 57.50000000, 69.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-04-25', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 57.50000000, 11.50000000, 69.00000000, NULL, 'facture/FA2004-0039/FA2004-0039.pdf', NULL, NULL),
(1717, 'FA2004-0040', 1, NULL, NULL, NULL, 0, NULL, 13084, '2020-04-27 11:40:54', '2020-04-27', NULL, '2020-04-27', NULL, '2020-04-30 10:12:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 63.00000000, 0.00000000, 0.00000000, 0.00000000, 315.00000000, 378.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-04-28', NULL, 'Solution hydro- alcoolique -', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 315.00000000, 63.00000000, 378.00000000, NULL, 'facture/FA2004-0040/FA2004-0040.pdf', NULL, NULL),
(1718, 'FA2004-0041', 1, NULL, NULL, NULL, 0, NULL, 2276, '2020-04-28 09:55:03', '2020-04-28', NULL, '2020-04-28', NULL, '2020-05-29 07:52:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 396.11000000, 0.00000000, 0.00000000, 0.00000000, 1980.58000000, 2376.69000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'maintenance L29RS N&deg; CD10015163001 &agrave; 49463 HRS<br />\r\nRemplacement cratouches filtres reseaux<br />\r\n<br />\r\nBL N&deg;25 du 27/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1980.58000000, 396.11000000, 2376.69000000, NULL, 'facture/FA2004-0041/FA2004-0041.pdf', NULL, NULL),
(1719, 'FA2004-0042', 1, NULL, NULL, NULL, 0, NULL, 2261, '2020-04-28 10:02:41', '2020-04-28', NULL, '2020-04-28', NULL, '2020-06-16 08:11:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 217.18000000, 0.00000000, 0.00000000, 0.00000000, 1085.89000000, 1303.07000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Maintenances compresseur HV02 et maco trek5.5 &agrave; 24047 HRS :&nbsp;<br />\r\nmaintenance seprateur de condensats Owamat 10<br />\r\n<br />\r\nBL N&deg;20du 22/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1085.89000000, 217.18000000, 1303.07000000, NULL, 'facture/FA2004-0042/FA2004-0042.pdf', NULL, NULL),
(1720, 'FA2004-0043', 1, NULL, NULL, NULL, 0, NULL, 1968, '2020-04-28 10:40:08', '2020-04-28', NULL, '2020-04-28', NULL, '2020-06-22 08:43:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 82.35000000, 0.00000000, 0.00000000, 0.00000000, 411.75000000, 494.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Maintenance compresseur RSDBST3-8BARS &agrave; 582HRS<br />\r\n<br />\r\nBL N&deg;23 du 24/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 411.75000000, 82.35000000, 494.10000000, NULL, 'facture/FA2004-0043/FA2004-0043.pdf', NULL, NULL),
(1721, 'FA2004-0044', 1, NULL, NULL, NULL, 0, NULL, 2287, '2020-04-28 10:46:45', '2020-04-28', NULL, '2020-04-28', NULL, '2020-06-25 14:35:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 510.00000000, 0.00000000, 0.00000000, 0.00000000, 2550.00000000, 3060.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Compresseur &agrave; piston COMPAIR&nbsp;<br />\r\nGarantie total 2 ans <em>( sous reserve de maintenance la 1ere ann&eacute;e )&nbsp;</em>', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2550.00000000, 510.00000000, 3060.00000000, NULL, 'facture/FA2004-0044/FA2004-0044.pdf', NULL, NULL),
(1722, 'FA2004-0045', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-04-28 10:49:23', '2020-04-28', NULL, '2020-04-28', NULL, '2020-07-06 08:40:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 88.00000000, 0.00000000, 0.00000000, 0.00000000, 440.00000000, 528.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Fourniture d&#39;un compresseur &agrave; piston .<br />\r\n<br />\r\nCommande C920 20 03 3 388PM<br />\r\n<br />\r\nSite de Metier du grain -&nbsp;<br />\r\nLivraison sur site de Beaurepaire', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 440.00000000, 88.00000000, 528.00000000, NULL, 'facture/FA2004-0045/FA2004-0045.pdf', NULL, NULL),
(1723, 'FA2004-0046', 1, NULL, NULL, NULL, 0, NULL, 2020, '2020-04-28 10:53:15', '2020-04-28', NULL, '2020-04-28', NULL, '2020-06-03 07:07:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2255.27000000, 0.00000000, 0.00000000, 0.00000000, 11276.31000000, 13531.58000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Reseaux d&#39;air comprim&eacute; inox<br />\r\n<br />\r\nBL N&deg;37 du 22/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 11276.31000000, 2255.27000000, 13531.58000000, NULL, 'facture/FA2004-0046/FA2004-0046.pdf', NULL, NULL),
(1725, 'FA2004-0047', 1, NULL, NULL, NULL, 0, NULL, 2127, '2020-04-28 11:04:04', '2020-04-28', NULL, '2020-04-28', NULL, '2020-06-03 07:04:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 429.56000000, 0.00000000, 0.00000000, 0.00000000, 2147.83000000, 2577.39000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Maintenance du Compresseur L75SR .<br />\r\n<br />\r\nBL N&deg;21 du 24/04/2020<br />\r\n<br />\r\nCOmmande N&deg;&nbsp;CDA-FCA2003666<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2147.83000000, 429.56000000, 2577.39000000, NULL, 'facture/FA2004-0047/FA2004-0047.pdf', NULL, NULL),
(1726, 'FA2004-0048', 1, NULL, NULL, NULL, 0, NULL, 2162, '2020-04-28 11:24:28', '2020-04-28', NULL, '2020-04-28', NULL, '2020-06-29 08:49:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 42.45000000, 0.00000000, 0.00000000, 0.00000000, 212.27000000, 254.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Remplacement du pressostat defaillant sur compresseur SYLPACK<br />\r\n<br />\r\nBL N&deg;36 du 17/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 212.27000000, 42.45000000, 254.72000000, NULL, 'facture/FA2004-0048/FA2004-0048.pdf', NULL, NULL),
(1727, 'FA2004-0049', 1, NULL, NULL, NULL, 0, NULL, 12584, '2020-04-28 15:17:40', '2020-04-28', NULL, '2020-04-28', NULL, '2020-06-24 09:59:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 181.10000000, 0.00000000, 0.00000000, 0.00000000, 905.50000000, 1086.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-05-31', NULL, 'maintenance rsf11<br />\r\nmaintenance separateur de condensats<br />\r\nremplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;38&amp; 16 du 27/03 &amp; 23/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 905.50000000, 181.10000000, 1086.60000000, NULL, 'facture/FA2004-0049/FA2004-0049.pdf', NULL, NULL),
(1728, 'FA2004-0050', 1, NULL, NULL, NULL, 0, NULL, 2397, '2020-04-28 15:45:18', '2020-04-28', NULL, '2020-04-28', NULL, '2020-06-12 08:57:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 294.03000000, 0.00000000, 0.00000000, 0.00000000, 1470.08000000, 1764.11000000, 2, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Petit reseau air comprimé en Ø 22 en inox serti.<br />\r\n enrouleur + pose<br />\r\n<br />\r\nIntervention du 17/04', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1470.08000000, 294.03000000, 1764.11000000, NULL, 'facture/FA2004-0050/FA2004-0050.pdf', NULL, NULL),
(1729, 'FA2004-0051', 1, NULL, NULL, NULL, 0, NULL, 2397, '2020-04-28 15:58:53', '2020-04-28', NULL, '2020-04-28', '2020-07-17 09:16:45', '2020-07-17 07:16:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 139.26000000, 0.00000000, 0.00000000, 0.00000000, 696.25000000, 835.51000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Petit reseau air comprimé en Ø 22 en inox serti.<br />\r\n <br />\r\nBL N°24 du 24/03/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 696.25000000, 139.26000000, 835.51000000, NULL, 'facture/FA2004-0051/FA2004-0051.pdf', NULL, NULL),
(1730, 'FA2004-0052', 1, NULL, NULL, NULL, 0, NULL, 2122, '2020-04-29 09:46:49', '2020-04-29', NULL, '2020-04-29', NULL, '2020-06-19 07:59:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 15.01000000, 0.00000000, 0.00000000, 0.00000000, 75.04000000, 90.05000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-05-31', NULL, 'Fourniture d&#39;un pressostat sur compresseur&nbsp; &agrave; piston :<br />\r\n<br />\r\nCommande N&deg;42828', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 75.04000000, 15.01000000, 90.05000000, NULL, 'facture/FA2004-0052/FA2004-0052.pdf', NULL, NULL),
(1731, 'FA2004-0053', 1, NULL, NULL, NULL, 0, NULL, 2122, '2020-04-29 09:48:52', '2020-04-29', NULL, '2020-04-29', NULL, '2020-06-19 07:59:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.11000000, 0.00000000, 0.00000000, 0.00000000, 325.54000000, 390.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-05-31', NULL, 'Maintenance adoucisseur :&nbsp;<br />\r\n<br />\r\nCommande N&deg; 42852', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 325.54000000, 65.11000000, 390.65000000, NULL, 'facture/FA2004-0053/FA2004-0053.pdf', NULL, NULL),
(1732, 'FA2004-0054', 1, NULL, NULL, NULL, 0, NULL, 2122, '2020-04-29 09:50:49', '2020-04-29', NULL, '2020-04-29', NULL, '2020-06-19 07:59:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 50.40000000, 0.00000000, 0.00000000, 0.00000000, 252.00000000, 302.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-05-31', NULL, 'cartouche filtre&nbsp;SMFP04/20<br />\r\n<br />\r\nCommande N&deg;42284', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 252.00000000, 50.40000000, 302.40000000, NULL, 'facture/FA2004-0054/FA2004-0054.pdf', NULL, NULL),
(1733, 'FA2004-0055', 1, NULL, NULL, NULL, 0, NULL, 12613, '2020-04-29 16:23:11', '2020-04-29', NULL, '2020-04-29', NULL, '2020-06-10 08:22:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 12.60000000, 0.00000000, 0.00000000, 0.00000000, 63.00000000, 75.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-04-30', NULL, 'solution hydro-alcoolique', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 63.00000000, 12.60000000, 75.60000000, NULL, 'facture/FA2004-0055/FA2004-0055.pdf', NULL, NULL),
(1734, 'FA2004-0056', 1, NULL, NULL, NULL, 0, NULL, 12592, '2020-04-30 09:14:38', '2020-04-30', NULL, '2020-04-30', '2020-07-16 12:13:34', '2020-07-16 10:13:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 136.56000000, 0.00000000, 0.00000000, 0.00000000, 682.78000000, 819.34000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-05-31', NULL, 'Maintenance compresseur&nbsp; RSDK PRO ECN 7.5 N&deg;810109 &agrave; 1134 HRS<br />\r\n<br />\r\nBL N&deg;39 du 29/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 682.78000000, 136.56000000, 819.34000000, NULL, 'facture/FA2004-0056/FA2004-0056.pdf', NULL, NULL),
(1735, 'FA2004-0057', 1, NULL, NULL, NULL, 0, NULL, 13087, '2020-04-30 10:59:28', '2020-04-30', NULL, '2020-04-30', NULL, '2020-05-13 08:13:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2.92000000, 0.00000000, 0.00000000, 0.00000000, 53.08000000, 56.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-05-01', NULL, 'Solution Hydro-alcoolique', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 53.08000000, 2.92000000, 56.00000000, NULL, 'facture/FA2004-0057/FA2004-0057.pdf', NULL, NULL),
(1736, 'AC2004-0002', 1, NULL, NULL, 'L29FIXE', 3, NULL, 2276, '2020-04-30 14:37:54', '2020-04-30', NULL, '2020-04-30', NULL, '2020-05-19 07:42:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1500.00000000, 0.00000000, 0.00000000, 0.00000000, 7500.00000000, 9000.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2020-05-01', NULL, 'Local avec compresseur L29 7.5 Bar avec un secheur frigorifique avec pr&eacute; filtration et un separateur de condensats Owamat 12<br />\r\n<br />\r\nHors ligne electrique 4G25 .<br />\r\n<br />\r\nCondition de R&eacute;glement :&nbsp;<br />\r\n30 % &agrave; la commande<br />\r\nSolde &agrave; la livraison', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 7500.00000000, 1500.00000000, 9000.00000000, NULL, 'facture/AC2004-0002/AC2004-0002.pdf', NULL, NULL),
(1737, 'FA2004-0058', 1, NULL, NULL, NULL, 0, NULL, 1990, '2020-04-30 15:20:23', '2020-04-30', NULL, '2020-04-30', NULL, '2020-06-10 07:52:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 111.04000000, 0.00000000, 0.00000000, 0.00000000, 555.23000000, 666.27000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-05-31', NULL, 'Travaux air comprim&eacute;<br />\r\n<br />\r\nBL N&deg;40 du 30/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 555.23000000, 111.04000000, 666.27000000, NULL, 'facture/FA2004-0058/FA2004-0058.pdf', NULL, NULL),
(1738, 'FA2005-0001', 1, NULL, NULL, NULL, 0, NULL, 13088, '2020-05-05 14:23:08', '2020-05-05', NULL, '2020-05-05', NULL, '2020-05-20 10:06:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2.92000000, 0.00000000, 0.00000000, 0.00000000, 53.08000000, 56.00000000, 2, 4, NULL, 4, NULL, NULL, NULL, NULL, NULL, 16, 4, '2020-05-06', NULL, 'Solution hydroalcoolique', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 53.08000000, 2.92000000, 56.00000000, NULL, 'facture/FA2005-0001/FA2005-0001.pdf', NULL, NULL),
(1739, 'FA2005-0002', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-05-25 09:43:03', '2020-05-25', NULL, '2020-05-25', NULL, '2020-06-22 08:47:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA2005-0002/FA2005-0002.pdf', NULL, NULL),
(1740, 'FA2005-0003', 1, NULL, NULL, NULL, 0, NULL, 2197, '2020-05-26 09:37:50', '2020-05-26', NULL, '2020-05-26', NULL, '2020-06-23 07:54:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.83000000, 0.00000000, 0.00000000, 0.00000000, 114.13000000, 136.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 114.13000000, 22.83000000, 136.96000000, NULL, 'facture/FA2005-0003/FA2005-0003.pdf', NULL, NULL),
(1741, 'FA2005-0004', 1, NULL, NULL, NULL, 0, NULL, 12746, '2020-05-26 10:33:49', '2020-05-26', NULL, '2020-05-26', NULL, '2020-05-28 07:42:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 73.00000000, 0.00000000, 0.00000000, 0.00000000, 365.00000000, 438.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 9, 0, '2020-05-27', NULL, 'embrayage pour&nbsp;COMPAIR C50G DLT 040', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 365.00000000, 73.00000000, 438.00000000, NULL, 'facture/FA2005-0004/FA2005-0004.pdf', NULL, NULL),
(1742, 'FA2005-0005', 1, NULL, NULL, NULL, 0, NULL, 13093, '2020-05-29 13:58:56', '2020-05-29', NULL, '2020-05-29', NULL, '2020-06-22 08:42:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1.65000000, 0.00000000, 0.00000000, 0.00000000, 30.00000000, 31.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-06-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 30.00000000, 1.65000000, 31.65000000, NULL, 'facture/FA2005-0005/FA2005-0005.pdf', NULL, NULL),
(1743, 'FA2005-0006', 1, NULL, NULL, NULL, 0, NULL, 2286, '2020-05-29 14:52:41', '2020-05-29', NULL, '2020-05-29', '2020-07-17 09:16:05', '2020-07-17 07:16:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 332.00000000, 0.00000000, 0.00000000, 0.00000000, 1660.00000000, 1992.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', 'Livraison directe', NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1660.00000000, 332.00000000, 1992.00000000, NULL, 'facture/FA2005-0006/FA2005-0006.pdf', NULL, NULL),
(1744, 'FA2005-0007', 1, NULL, NULL, NULL, 0, NULL, 13094, '2020-06-02 10:16:03', '2020-05-29', NULL, '2020-06-02', NULL, '2020-06-11 14:18:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 23.11000000, 0.00000000, 0.00000000, 0.00000000, 420.00000000, 443.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-06-10', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 420.00000000, 23.11000000, 443.11000000, NULL, 'facture/FA2005-0007/FA2005-0007.pdf', NULL, NULL),
(1745, 'FA2005-0008', 1, NULL, NULL, NULL, 0, NULL, 2268, '2020-06-02 11:43:40', '2020-05-29', NULL, '2020-06-02', NULL, '2020-07-01 11:29:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 161.58000000, 0.00000000, 0.00000000, 0.00000000, 807.92000000, 969.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'Remplacement des flexibles d&#39;huile sur compresseur L15&nbsp;<br />\r\n<br />\r\nBL N&deg; 35 du 15/05/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 807.92000000, 161.58000000, 969.50000000, NULL, 'facture/FA2005-0008/FA2005-0008.pdf', NULL, NULL),
(1746, 'FA2006-0001', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-06-02 11:47:46', '2020-06-02', NULL, '2020-06-02', '2020-08-07 10:17:23', '2020-08-07 08:17:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA2006-0001/FA2006-0001.pdf', NULL, NULL),
(1747, 'FA2005-0009', 1, NULL, NULL, NULL, 0, NULL, 1980, '2020-06-02 11:50:47', '2020-05-29', NULL, '2020-06-02', '2020-07-21 11:15:14', '2020-07-21 09:15:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 93.74000000, 0.00000000, 0.00000000, 0.00000000, 468.72000000, 562.46000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'Maintenance compresseur RS pro 5.5 7.5B N&deg;711077 &agrave; 2241 HRS<br />\r\n<br />\r\nBL N&deg;44 du 05/05/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 468.72000000, 93.74000000, 562.46000000, NULL, 'facture/FA2005-0009/FA2005-0009.pdf', NULL, NULL),
(1748, 'FA2005-0010', 1, NULL, NULL, NULL, 0, NULL, 2043, '2020-06-02 14:16:28', '2020-05-29', NULL, '2020-06-02', '2020-08-07 10:08:32', '2020-08-07 08:08:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 148.53000000, 0.00000000, 0.00000000, 0.00000000, 742.67000000, 891.20000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'Maintenance compresseur Start036<br />\r\nremplacement cartouche BEA290RB<br />\r\n<br />\r\nBL N&deg;36 du 15/05/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 742.67000000, 148.53000000, 891.20000000, NULL, 'facture/FA2005-0010/FA2005-0010.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1749, 'FA2005-0011', 1, NULL, NULL, NULL, 0, NULL, 2072, '2020-06-02 14:26:36', '2020-05-29', NULL, '2020-06-02', '2020-07-30 16:41:59', '2020-07-30 14:41:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.63000000, 0.00000000, 0.00000000, 0.00000000, 593.12000000, 711.75000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'maintenance compresseur L11 N&deg;100008027/0114&nbsp; &agrave; 25500 HRSet remplacement pi&eacute;ce secheur defecteuse ( offerte )&nbsp;<br />\r\n<br />\r\nBLN&deg; 12 du 26/05/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 593.12000000, 118.63000000, 711.75000000, NULL, 'facture/FA2005-0011/FA2005-0011.pdf', NULL, NULL),
(1750, 'FA2006-0002', 1, NULL, NULL, NULL, 0, NULL, 2072, '2020-06-02 14:59:58', '2020-06-02', NULL, '2020-06-02', '2020-08-19 09:39:36', '2020-08-19 07:39:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 47.38000000, 0.00000000, 0.00000000, 0.00000000, 236.86000000, 284.24000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'remplacement capteur de pression sur compresseur L11<br />\r\n<br />\r\nBL N° 39 du 2227/05/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 236.86000000, 47.38000000, 284.24000000, NULL, 'facture/FA2006-0002/FA2006-0002.pdf', NULL, NULL),
(1751, 'FA2005-0012', 1, NULL, NULL, NULL, 0, NULL, 2101, '2020-06-03 08:54:48', '2020-05-29', NULL, '2020-06-03', NULL, '2020-07-02 11:28:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 357.52000000, 0.00000000, 0.00000000, 0.00000000, 1787.60000000, 2145.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-06-30', NULL, 'Remplacement en lieu et place de votre secheur ED225<br />\r\n<br />\r\nBL N&deg;34 du 14/05/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1787.60000000, 357.52000000, 2145.12000000, NULL, 'facture/FA2005-0012/FA2005-0012.pdf', NULL, NULL),
(1752, 'FA2005-0013', 1, NULL, NULL, NULL, 0, NULL, 2203, '2020-06-03 09:56:21', '2020-05-29', NULL, '2020-06-03', NULL, '2020-07-01 11:27:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 321.23000000, 0.00000000, 0.00000000, 0.00000000, 1606.12000000, 1927.35000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'Maintenance compresseur L45RS N&deg;CD10003657001 &agrave; 29368 HRS (avec bloc vis garantie 24 mois et huile alimenatire COMPAIR )&nbsp;<br />\r\n<br />\r\nBL N&deg;10 du ../mai /2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1606.12000000, 321.23000000, 1927.35000000, NULL, 'facture/FA2005-0013/FA2005-0013.pdf', NULL, NULL),
(1753, 'FA2005-0014', 1, NULL, NULL, NULL, 0, NULL, 2215, '2020-06-03 10:06:20', '2020-05-29', NULL, '2020-06-03', NULL, '2020-07-06 08:39:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 199.18000000, 0.00000000, 0.00000000, 0.00000000, 995.93000000, 1195.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'Maintenance L11RS&nbsp; N&deg;cd10001552001 &agrave; 29945 HRS<br />\r\nRemplacement cartouche reseau&nbsp;<br />\r\n<br />\r\nBL N&deg;11 mai 2020<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 995.93000000, 199.18000000, 1195.11000000, NULL, 'facture/FA2005-0014/FA2005-0014.pdf', NULL, NULL),
(1754, 'FA2005-0015', 1, NULL, NULL, NULL, 0, NULL, 12794, '2020-06-03 10:25:27', '2020-05-29', NULL, '2020-06-03', '2020-11-13 09:05:45', '2020-11-13 08:05:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 124.24000000, 0.00000000, 0.00000000, 0.00000000, 621.24000000, 745.48000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-06-30', NULL, 'maintenance genesis ge1510 &agrave; 14350 HRS<br />\r\n<br />\r\nBL N&deg;32 du 14/05/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 621.24000000, 124.24000000, 745.48000000, NULL, 'facture/FA2005-0015/FA2005-0015.pdf', NULL, NULL),
(1755, 'FA2005-0016', 1, NULL, NULL, NULL, 0, NULL, 12794, '2020-06-03 10:46:11', '2020-05-29', NULL, '2020-06-03', '2020-09-10 16:10:40', '2020-09-10 14:10:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 67.40000000, 0.00000000, 0.00000000, 0.00000000, 337.00000000, 404.40000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-06-30', NULL, 'remplacement clapet d&#39;aspiration avec electrovanne sur compresseur devilbiss en meme temps que la maintenance<br />\r\n<br />\r\nBL 32 du 14/05/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 337.00000000, 67.40000000, 404.40000000, NULL, 'facture/FA2005-0016/FA2005-0016.pdf', NULL, NULL),
(1756, 'FA2005-0017', 1, NULL, NULL, NULL, 0, NULL, 9881, '2020-06-03 10:48:53', '2020-05-29', NULL, '2020-06-03', '2020-07-20 09:53:25', '2020-07-20 07:53:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 13.20000000, 0.00000000, 0.00000000, 0.00000000, 66.04000000, 79.24000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-06-30', NULL, 'joint pour compresseur MAUGUIERE&nbsp;ME75-10 250H N&deg;AIW081325 ann&eacute;e 2000 :&nbsp;<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 66.04000000, 13.20000000, 79.24000000, NULL, 'facture/FA2005-0017/FA2005-0017.pdf', NULL, NULL),
(1757, 'FA2005-0018', 1, NULL, NULL, '4500106762', 0, NULL, 10144, '2020-06-03 11:32:03', '2020-05-29', NULL, '2020-08-25', '2020-08-27 09:19:26', '2020-08-27 07:19:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 154.30000000, 0.00000000, 0.00000000, 0.00000000, 771.50000000, 925.80000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-06-30', NULL, 'Maintenance&nbsp; rsf 22 10 bars n&deg;830076 &agrave; 4184 HRS<br />\r\n<br />\r\nRemplacement kit separateur de condensats<br />\r\nRemplacement cartouche filtre BEA300RA<br />\r\n<br />\r\nBL N&deg;28 du 29/04/2020<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 771.50000000, 154.30000000, 925.80000000, NULL, 'facture/FA2005-0018/FA2005-0018.pdf', NULL, NULL),
(1758, 'FA2005-0019', 1, NULL, NULL, NULL, 0, NULL, 2268, '2020-06-03 11:49:12', '2020-05-29', NULL, '2020-06-03', NULL, '2020-07-01 11:29:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 266.38000000, 0.00000000, 0.00000000, 0.00000000, 1331.83000000, 1598.21000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'Maintenance compresseur&nbsp; L75 RS N&deg; CD10003783001 avec huile alimentaire&nbsp; 41704 &agrave; HRS<br />\r\nMaintenance cartouches 3 filtres reseaux .<br />\r\n<br />\r\nBL N&deg;27 du 28/04/2020<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1331.83000000, 266.38000000, 1598.21000000, NULL, 'facture/FA2005-0019/FA2005-0019.pdf', NULL, NULL),
(1759, 'FA2005-0020', 1, NULL, NULL, NULL, 0, NULL, 2350, '2020-06-03 11:57:08', '2020-05-29', NULL, '2020-06-03', '2020-07-17 09:17:22', '2020-07-17 07:17:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 513.13000000, 0.00000000, 0.00000000, 0.00000000, 2565.65000000, 3078.78000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'Maintenance Compresseurs L45RS&nbsp; &agrave; 32104 HRS&nbsp;<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance separateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N&deg; 26 du 28/04/2020<br />\r\n<br />\r\nCommande 2484169-325-G9J-BKP', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2565.65000000, 513.13000000, 3078.78000000, NULL, 'facture/FA2005-0020/FA2005-0020.pdf', NULL, NULL),
(1760, 'FA2005-0021', 1, NULL, NULL, NULL, 0, NULL, 11209, '2020-06-03 14:04:25', '2020-05-29', NULL, '2020-06-03', NULL, '2020-07-01 11:27:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 56.15000000, 0.00000000, 0.00000000, 0.00000000, 280.76000000, 336.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-06-30', NULL, 'intervention sur secheur KAESER ann&eacute;e 2011 - D&eacute;faut s&eacute;curit&eacute;<br />\r\n<br />\r\nBL N&deg;37 du 27/05/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 280.76000000, 56.15000000, 336.91000000, NULL, 'facture/FA2005-0021/FA2005-0021.pdf', NULL, NULL),
(1761, 'FA2005-0022', 1, NULL, NULL, NULL, 0, NULL, 2407, '2020-06-03 14:32:37', '2020-05-29', NULL, '2020-06-03', '2020-07-28 09:05:55', '2020-07-28 07:05:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 12.78000000, 0.00000000, 0.00000000, 0.00000000, 63.88000000, 76.66000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'Soupape avec certificat&nbsp;<br />\r\n1/2 12Bar<br />\r\n<br />\r\nCommande N&deg;907664928', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 63.88000000, 12.78000000, 76.66000000, NULL, 'facture/FA2005-0022/FA2005-0022.pdf', NULL, NULL),
(1762, 'FA2005-0023', 1, NULL, NULL, '911259845-0-10760', 0, NULL, 2407, '2020-06-03 14:38:10', '2020-05-29', NULL, '2020-06-03', '2020-07-28 09:05:55', '2020-07-28 07:05:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 166.96000000, 0.00000000, 0.00000000, 0.00000000, 834.81000000, 1001.77000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'Sur compresseur ALUP SCK101-08 10 bars&nbsp;<br />\r\n&nbsp;Remplacement des flexibles d&eacute;faillants<br />\r\n<br />\r\nCommande N&deg;911259845-0-10760', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 834.81000000, 166.96000000, 1001.77000000, NULL, 'facture/FA2005-0023/FA2005-0023.pdf', NULL, NULL),
(1763, 'FA2005-0024', 1, NULL, NULL, NULL, 0, NULL, 2407, '2020-06-03 14:42:52', '2020-05-29', NULL, '2020-06-03', '2020-07-28 09:05:55', '2020-07-28 07:05:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 645.01000000, 0.00000000, 0.00000000, 0.00000000, 3225.08000000, 3870.09000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'Commande N&deg; 907476432-0-10760', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3225.08000000, 645.01000000, 3870.09000000, NULL, 'facture/FA2005-0024/FA2005-0024.pdf', NULL, NULL),
(1764, 'FA2005-0025', 1, NULL, NULL, NULL, 0, NULL, 2407, '2020-06-03 14:49:17', '2020-05-29', NULL, '2020-06-03', '2020-07-28 09:05:55', '2020-07-28 07:05:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 70.43000000, 0.00000000, 0.00000000, 0.00000000, 352.17000000, 422.60000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'Commande N° 907517623-0-10760', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 352.17000000, 70.43000000, 422.60000000, NULL, 'facture/FA2005-0025/FA2005-0025.pdf', NULL, NULL),
(1765, 'FA2005-0026', 1, NULL, NULL, NULL, 0, NULL, 2103, '2020-06-04 10:40:20', '2020-05-29', NULL, '2020-06-04', NULL, '2020-07-01 11:28:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 128.00000000, 0.00000000, 0.00000000, 0.00000000, 640.00000000, 768.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'VR de fin de contrat de location Locam DOSSIER 1097315 de&nbsp; Date de soucription Mars 2014.<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 640.00000000, 128.00000000, 768.00000000, NULL, 'facture/FA2005-0026/FA2005-0026.pdf', NULL, NULL),
(1766, 'FA2005-0027', 1, NULL, NULL, NULL, 0, NULL, 2396, '2020-06-04 10:52:15', '2020-05-29', NULL, '2020-06-04', NULL, '2020-07-01 11:28:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 248.82000000, 0.00000000, 0.00000000, 0.00000000, 1244.10000000, 1492.92000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'Maintenance compresseur Renner rs pro 2-11 et hydrovanne hv04&nbsp;<br />\r\nRemplacement des filtres reseaux<br />\r\n<br />\r\nBL N&deg; 14 &amp; 13 du 28/05/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1244.10000000, 248.82000000, 1492.92000000, NULL, 'facture/FA2005-0027/FA2005-0027.pdf', NULL, NULL),
(1767, 'FA2006-0003', 1, NULL, NULL, NULL, 0, NULL, 2406, '2020-06-04 11:12:52', '2020-06-04', NULL, '2020-06-04', '2020-09-07 09:15:28', '2020-09-07 07:15:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.60000000, 0.00000000, 0.00000000, 0.00000000, 562.98000000, 675.58000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'mAINTENANCE COMPRESSEUR l18 N&deg; CD10009710001 &agrave; 22358 HRS<br />\r\n<br />\r\nBL N&deg;23 du 03/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 562.98000000, 112.60000000, 675.58000000, NULL, 'facture/FA2006-0003/FA2006-0003.pdf', NULL, NULL),
(1769, 'AV2006-0001', 1, NULL, NULL, NULL, 2, NULL, 5939, '2020-06-04 14:05:12', '2020-06-04', NULL, '2020-06-04', NULL, '2020-06-16 08:12:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -63.00000000, 0.00000000, 0.00000000, 0.00000000, -315.00000000, -378.00000000, 2, 5, NULL, 5, NULL, 1708, NULL, NULL, NULL, 0, 0, '2020-06-04', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -315.00000000, -63.00000000, -378.00000000, NULL, 'facture/AV2006-0001/AV2006-0001.pdf', NULL, NULL),
(1770, 'FA2006-0004', 1, NULL, NULL, 'L29 THALES 2020', 0, NULL, 2407, '2020-06-04 14:53:13', '2020-06-04', NULL, '2020-06-04', '2020-08-07 10:46:17', '2020-08-07 08:46:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 419.71000000, 0.00000000, 0.00000000, 0.00000000, 2098.50000000, 2518.21000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance L29rs N&deg; CD10039882001 &agrave; 13810 HRS<br />\r\nContrat liss&eacute; BL N&deg; 15 du 02/06/2020<br />\r\n<br />\r\nCommande N&deg;911212736-0-10760', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2098.50000000, 419.71000000, 2518.21000000, NULL, 'facture/FA2006-0004/FA2006-0004.pdf', NULL, NULL),
(1771, 'FA2005-0028', 1, NULL, NULL, NULL, 0, NULL, 1965, '2020-06-04 15:04:19', '2020-05-29', NULL, '2020-06-04', NULL, '2020-07-07 07:46:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 221.01000000, 0.00000000, 0.00000000, 0.00000000, 1105.02000000, 1326.03000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2020-06-30', NULL, 'Remplacement electrovanne , boitier de regulation et kit clapet aspiration sur compresseur mod 2508 :&nbsp;<br />\r\nRemplacement deux cartouches filtres reseaux<br />\r\nRemplacement filtre a air et filtre a huile du compresseur&nbsp; Mod 2508<br />\r\n<br />\r\nBL N&deg;42 du 29/05/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1105.02000000, 221.01000000, 1326.03000000, NULL, 'facture/FA2005-0028/FA2005-0028.pdf', NULL, NULL),
(1772, 'AV2006-0002', 1, NULL, NULL, NULL, 2, NULL, 2261, '2020-06-08 14:19:19', '2020-06-08', NULL, '2020-06-08', NULL, '2020-06-16 08:11:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -19.80000000, 0.00000000, 0.00000000, 0.00000000, -99.01000000, -118.81000000, 2, 5, NULL, 5, NULL, 1719, NULL, NULL, NULL, 0, 2, '2020-06-08', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 99.01000000, 19.80000000, 118.81000000, NULL, 'facture/AV2006-0002/AV2006-0002.pdf', NULL, NULL),
(1773, 'AC2006-0001', 1, NULL, NULL, NULL, 3, NULL, 13089, '2020-06-25 09:24:39', '2020-06-25', NULL, '2020-06-25', NULL, '2020-06-26 08:19:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 180.00000000, 0.00000000, 0.00000000, 0.00000000, 900.00000000, 1080.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2020-06-26', NULL, 'Reseau air comprim&eacute; 50 m &Oslash;28 + 5 descentes &Oslash;22 inox serti. 2 jours de travail a deux environ<br />\r\n<br />\r\nCommande N&deg; 245SCI', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 900.00000000, 180.00000000, 1080.00000000, NULL, 'facture/AC2006-0001/AC2006-0001.pdf', NULL, NULL),
(1774, 'FA2006-0005', 1, NULL, NULL, NULL, 0, NULL, 5741, '2020-06-25 09:28:44', '2020-06-25', NULL, '2020-06-25', '2020-08-18 09:21:23', '2020-08-18 07:21:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 249.89000000, 0.00000000, 0.00000000, 0.00000000, 1249.42000000, 1499.31000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, 'Remplacement electrovanne sur Rallye 086 N&deg;349010/1092 &agrave; 61385 HRS<br />\r\nDepannage rallye<br />\r\n<br />\r\nCommande N&deg; 12694', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1249.42000000, 249.89000000, 1499.31000000, NULL, 'facture/FA2006-0005/FA2006-0005.pdf', NULL, NULL),
(1775, 'FA2006-0006', 1, NULL, NULL, NULL, 0, NULL, 1996, '2020-06-25 09:34:19', '2020-06-25', NULL, '2020-06-25', '2020-07-31 08:54:34', '2020-07-31 06:54:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 63.39000000, 0.00000000, 0.00000000, 0.00000000, 317.01000000, 380.40000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Remplacement cartouches filtres reseaux su s&eacute;cheur f040 COMPAIR du compresseur L15 a r&eacute;aliser en meme temps qu une maintenance<br />\r\n<br />\r\nBL N&deg;34 du 16/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 317.01000000, 63.39000000, 380.40000000, NULL, 'facture/FA2006-0006/FA2006-0006.pdf', NULL, NULL),
(1776, 'FA2006-0007', 1, NULL, NULL, NULL, 0, NULL, 1996, '2020-06-25 09:38:42', '2020-06-25', NULL, '2020-06-25', '2020-07-31 08:54:35', '2020-07-31 06:54:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 85.54000000, 0.00000000, 0.00000000, 0.00000000, 427.67000000, 513.21000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance L15 N&deg;100014099/0206 &agrave; 26651 HRS<br />\r\n<br />\r\nBL N&deg;34 du 16/06/2020<br />\r\n<br />\r\nFILTRES DE VOTRE FOUNITURE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 427.67000000, 85.54000000, 513.21000000, NULL, 'facture/FA2006-0007/FA2006-0007.pdf', NULL, NULL),
(1777, 'FA2006-0008', 1, NULL, NULL, NULL, 0, NULL, 1996, '2020-06-25 15:59:21', '2020-06-25', NULL, '2020-06-25', '2020-07-31 08:54:35', '2020-07-31 06:54:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 138.42000000, 0.00000000, 0.00000000, 0.00000000, 692.10000000, 830.52000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance L18 &agrave; 31600 HRS<br />\r\n<br />\r\nBL N&deg;35 du 16/06/2020<br />\r\n<br />\r\nFiltres fournis par vos soins', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 692.10000000, 138.42000000, 830.52000000, NULL, 'facture/FA2006-0008/FA2006-0008.pdf', NULL, NULL),
(1778, 'AC2006-0002', 1, NULL, NULL, NULL, 3, NULL, 5767, '2020-06-26 09:46:45', '2020-06-26', NULL, '2020-06-26', '2020-07-17 09:20:22', '2020-07-17 07:20:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 360.00000000, 0.00000000, 0.00000000, 0.00000000, 1800.00000000, 2160.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 0, '2020-06-27', NULL, 'Centrale d&#39;air comprim&eacute; 5.5 kw 10 bars mont&eacute; sur cuve 270Litres avec pr&eacute; filtration et secheur', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1800.00000000, 360.00000000, 2160.00000000, NULL, 'facture/AC2006-0002/AC2006-0002.pdf', NULL, NULL),
(1779, 'FA2006-0009', 1, NULL, NULL, NULL, 0, NULL, 2001, '2020-06-26 09:47:54', '2020-06-26', NULL, '2020-06-26', '2020-08-07 10:51:11', '2020-08-07 08:51:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 56.00000000, 0.00000000, 0.00000000, 0.00000000, 280.00000000, 336.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 280.00000000, 56.00000000, 336.00000000, NULL, 'facture/FA2006-0009/FA2006-0009.pdf', NULL, NULL),
(1780, 'FA2006-0010', 1, NULL, NULL, 'l11', 0, NULL, 2054, '2020-06-26 09:53:44', '2020-06-26', NULL, '2020-06-26', '2020-08-07 10:40:55', '2020-08-07 08:40:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 130.50000000, 0.00000000, 0.00000000, 0.00000000, 652.50000000, 783.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'maintenance L11<br />\r\n<br />\r\nCommande : S882 20 06 3441PM<br />\r\n<br />\r\nSce cesec<br />\r\nle rival<br />\r\n38260 la cote saint andre', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 652.50000000, 130.50000000, 783.00000000, NULL, 'facture/FA2006-0010/FA2006-0010.pdf', NULL, NULL),
(1781, 'FA2006-0011', 1, NULL, NULL, 'WS1508+BEL AIR', 0, NULL, 2054, '2020-06-26 09:56:36', '2020-06-26', NULL, '2020-06-26', '2020-08-07 10:40:56', '2020-08-07 08:40:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 310.10000000, 0.00000000, 0.00000000, 0.00000000, 1550.56000000, 1860.66000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'maintenance ws1508&nbsp; et BEL AIR<br />\r\n<br />\r\nCommande N&deg; : C 038 20 06 3442PM<br />\r\n<br />\r\nSITE LA COTE SILO 1<br />\r\nCHemin de la voie f&eacute;r&eacute;e<br />\r\n38260 LA COTE ST ANDRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1550.56000000, 310.10000000, 1860.66000000, NULL, 'facture/FA2006-0011/FA2006-0011.pdf', NULL, NULL),
(1782, 'FA2006-0012', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-06-26 10:05:36', '2020-06-30', NULL, '2020-06-26', '2020-08-07 10:40:56', '2020-08-07 08:40:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 388.41000000, 0.00000000, 0.00000000, 0.00000000, 1942.08000000, 2330.49000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance kaeser&nbsp;<br />\r\n<br />\r\nCommande N&deg; S972 20 06 3443PM<br />\r\nSIte la cote SIlo<br />\r\nChemin de la voie feree<br />\r\n38260 LA COTE ST ANDRE', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1942.08000000, 388.41000000, 2330.49000000, NULL, 'facture/FA2006-0012/FA2006-0012.pdf', NULL, NULL),
(1783, 'FA2006-0013', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-06-26 10:15:41', '2020-06-30', NULL, '2020-06-26', '2020-08-07 10:40:56', '2020-08-07 08:40:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 521.10000000, 0.00000000, 0.00000000, 0.00000000, 2605.50000000, 3126.60000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Suite au diagnostic de Mr BALAZARD et informations recueillies sur place .<br />\r\nCompte tenu de l&#39;obsolescence des deux mat&eacute;riels , nous vous proposons le remplacement des deux s&eacute;cheurs 360m3/h chacun .<br />\r\nPour materiel pos&eacute;s et raccord&eacute;s en m&ecirc;me temps .<br />\r\nLe d&eacute;bit a &eacute;t&eacute; r&eacute;&eacute;valu&eacute; pour tenir compte des facteurs de correction .<br />\r\n<br />\r\nCommande N&deg;S981 20 06 3444PM', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2605.50000000, 521.10000000, 3126.60000000, NULL, 'facture/FA2006-0013/FA2006-0013.pdf', NULL, NULL),
(1784, 'FA2006-0014', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-06-26 10:16:31', '2020-06-26', NULL, '2020-06-26', '2020-08-07 10:40:56', '2020-08-07 08:40:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 521.10000000, 0.00000000, 0.00000000, 0.00000000, 2605.50000000, 3126.60000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Suite au diagnostic de Mr BALAZARD et informations recueillies sur place .<br />\r\nCompte tenu de l\'obsolescence des deux matériels , nous vous proposons le remplacement des deux sécheurs 360m3/h chacun .<br />\r\nPour materiel posés et raccordés en même temps .<br />\r\nLe débit a été réévalué pour tenir compte des facteurs de correction .<br />\r\n<br />\r\nCommande N°S981 20 06 3445PM', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2605.50000000, 521.10000000, 3126.60000000, NULL, 'facture/FA2006-0014/FA2006-0014.pdf', NULL, NULL),
(1785, 'FA2006-0015', 1, NULL, NULL, NULL, 0, NULL, 2060, '2020-06-26 10:33:22', '2020-06-26', NULL, '2020-06-26', '2020-08-21 10:12:02', '2020-08-21 08:12:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 85.23000000, 0.00000000, 0.00000000, 0.00000000, 426.15000000, 511.38000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance separateur de condensats ULTRASEP SUPERPLUS 30<br />\r\n<br />\r\nBL N&deg; 16 du 02/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 426.15000000, 85.23000000, 511.38000000, NULL, 'facture/FA2006-0015/FA2006-0015.pdf', NULL, NULL),
(1786, 'FA2006-0016', 1, NULL, NULL, NULL, 0, NULL, 2062, '2020-06-26 10:49:44', '2020-06-26', NULL, '2020-06-26', '2020-08-07 10:50:07', '2020-08-07 08:50:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 94.21000000, 0.00000000, 0.00000000, 0.00000000, 471.05000000, 565.26000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Remplacement purge tempo par purge capacitive plus silencieuse sur secheur BATIMENT 2 -&nbsp;<br />\r\n<br />\r\nCommande N&deg; 00027516', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 471.05000000, 94.21000000, 565.26000000, NULL, 'facture/FA2006-0016/FA2006-0016.pdf', NULL, NULL),
(1787, 'FA2006-0017', 1, NULL, NULL, NULL, 0, NULL, 2062, '2020-06-26 10:53:01', '2020-06-26', NULL, '2020-06-26', '2020-08-07 10:50:08', '2020-08-07 08:50:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 94.21000000, 0.00000000, 0.00000000, 0.00000000, 471.05000000, 565.26000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Remplacement purge tempo par purge capacitive plus silencieuse sur cuve BATIMENT 2<br />\r\n<br />\r\nCommande N&deg; 00027564', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 471.05000000, 94.21000000, 565.26000000, NULL, 'facture/FA2006-0017/FA2006-0017.pdf', NULL, NULL),
(1788, 'FA2006-0018', 1, NULL, NULL, NULL, 0, NULL, 2070, '2020-06-26 11:18:43', '2020-06-26', NULL, '2020-06-26', '2020-08-07 10:26:02', '2020-08-07 08:25:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 146.49000000, 0.00000000, 0.00000000, 0.00000000, 732.44000000, 878.93000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'maintenance L11 &agrave; 15530hrs<br />\r\nmaintenance separateur de condensats owamat 10<br />\r\nMaintenance filtres reseaux<br />\r\n<br />\r\nBL N&deg;37 du 17/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 732.44000000, 146.49000000, 878.93000000, NULL, 'facture/FA2006-0018/FA2006-0018.pdf', NULL, NULL),
(1789, 'FA2006-0019', 1, NULL, NULL, 'MAC3 - DD CARRIERE', 0, NULL, 12666, '2020-06-26 12:06:55', '2020-06-26', NULL, '2020-06-26', '2020-08-07 10:21:42', '2020-08-07 08:21:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 146.35000000, 0.00000000, 0.00000000, 0.00000000, 731.73000000, 878.08000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, 'Maintenance compresseur MAC3&nbsp; N&deg; 172693 &agrave; 14800HRS:&nbsp;<br />\r\n<br />\r\nBL N&deg;50 du 19/06/2020<br />\r\n<br />\r\nReference de commande FS-SMI-1290601', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 731.73000000, 146.35000000, 878.08000000, NULL, 'facture/FA2006-0019/FA2006-0019.pdf', NULL, NULL),
(1790, 'FA2006-0020', 1, NULL, NULL, NULL, 0, NULL, 2069, '2020-06-26 14:17:44', '2020-06-26', NULL, '2020-06-26', '2020-07-31 08:55:36', '2020-07-31 06:55:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 155.03000000, 0.00000000, 0.00000000, 0.00000000, 775.21000000, 930.24000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'maintenance cyclon 111 &agrave; 42714 HRS<br />\r\nRemplacempent des cartouches des filtres reseaux<br />\r\n<br />\r\nBL N&deg;41 du 19/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 775.21000000, 155.03000000, 930.24000000, NULL, 'facture/FA2006-0020/FA2006-0020.pdf', NULL, NULL),
(1791, 'FA2006-0021', 1, NULL, NULL, NULL, 0, NULL, 2062, '2020-06-26 14:37:11', '2020-06-26', NULL, '2020-06-26', '2020-08-07 10:50:08', '2020-08-07 08:50:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 598.63000000, 0.00000000, 0.00000000, 0.00000000, 2993.21000000, 3591.84000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'maintenance de compresseur L26RS N&deg;CD10027118001 &agrave; 21486 HRS<br />\r\nBatiment 1&nbsp;<br />\r\nMaintenance separateur de condensats Owamat 12<br />\r\nRemplacement cartouches filtres reseaux&nbsp;<br />\r\n<br />\r\nBL N&deg;02 du 22/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2993.21000000, 598.63000000, 3591.84000000, NULL, 'facture/FA2006-0021/FA2006-0021.pdf', NULL, NULL),
(1792, 'FA2006-0022', 1, NULL, NULL, NULL, 0, NULL, 2075, '2020-06-26 15:33:18', '2020-06-26', NULL, '2020-06-26', '2020-08-31 09:24:05', '2020-08-31 07:24:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 250.50000000, 0.00000000, 0.00000000, 0.00000000, 1252.50000000, 1503.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Fourniture et installation d&#39;un s&eacute;cheur 108m3/h pour votre compresseur L07 COMPAIR .<br />\r\n<br />\r\nBL N&deg;1 du 26/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1252.50000000, 250.50000000, 1503.00000000, NULL, 'facture/FA2006-0022/FA2006-0022.pdf', NULL, NULL),
(1793, 'FA2006-0023', 1, NULL, NULL, 'nuair remisé', 0, NULL, 12666, '2020-06-26 16:07:30', '2020-06-26', NULL, '2020-06-26', '2020-08-17 09:58:15', '2020-08-17 07:58:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 860.00000000, 0.00000000, 0.00000000, 0.00000000, 4300.00000000, 5160.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, 'Compresseur &agrave; piston et reservoir 500Litres<br />\r\n<br />\r\nCommande N.SSGBE080601', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4300.00000000, 860.00000000, 5160.00000000, NULL, 'facture/FA2006-0023/FA2006-0023.pdf', NULL, NULL),
(1794, 'FA2006-0024', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-06-26 16:29:56', '2020-06-26', NULL, '2020-06-26', '2020-08-07 10:40:56', '2020-08-07 08:40:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 413.11000000, 0.00000000, 0.00000000, 0.00000000, 2065.52000000, 2478.63000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance L26RS N&deg;CD10029231001 &agrave; 7171 HRS<br />\r\n<br />\r\nCommande N&deg; S98120063415 PM<br />\r\n<br />\r\nSite d&#39;intervention:<br />\r\nSces Bl&eacute; 1<br />\r\nChemin du Pouloux<br />\r\n38270 BEAUREPAIRE<br />\r\n<br />\r\nBL N', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2065.52000000, 413.11000000, 2478.63000000, NULL, 'facture/FA2006-0024/FA2006-0024.pdf', NULL, NULL),
(1797, 'FA2006-0025', 1, NULL, NULL, NULL, 0, NULL, 2076, '2020-06-29 09:22:47', '2020-06-29', NULL, '2020-06-29', '2020-07-29 16:17:39', '2020-07-29 14:17:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2708.67000000, 0.00000000, 0.00000000, 0.00000000, 13543.34000000, 16252.01000000, 2, 5, NULL, 5, 5, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Agrandissement batiment a Romans<br />\r\n-Partie electrique + Air comprim&eacute;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 13543.34000000, 2708.67000000, 16252.01000000, NULL, 'facture/FA2006-0025/FA2006-0025.pdf', NULL, NULL),
(1798, 'FA2006-0026', 1, NULL, NULL, NULL, 0, NULL, 2076, '2020-06-29 09:33:29', '2020-06-29', NULL, '2020-06-29', '2020-08-07 11:23:10', '2020-08-07 09:23:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 45.27000000, 0.00000000, 0.00000000, 0.00000000, 226.32000000, 271.59000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'r&eacute;parartion provisoire tuyau girair diam 25 sur une descente<br />\r\nChangement poussoir sonnette livraison<br />\r\n<br />\r\nBL N&deg;45 du 06/05/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.32000000, 45.27000000, 271.59000000, NULL, 'facture/FA2006-0026/FA2006-0026.pdf', NULL, NULL),
(1799, 'AC2006-0003', 1, NULL, NULL, NULL, 3, NULL, 2103, '2020-06-29 10:24:49', '2020-06-29', NULL, '2020-06-29', NULL, '2020-06-30 08:55:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 487.80000000, 0.00000000, 0.00000000, 0.00000000, 2439.00000000, 2926.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 2, '2020-06-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2439.00000000, 487.80000000, 2926.80000000, NULL, 'facture/AC2006-0003/AC2006-0003.pdf', NULL, NULL),
(1800, 'FA2006-0027', 1, NULL, NULL, NULL, 0, NULL, 2101, '2020-06-29 10:59:00', '2020-06-29', NULL, '2020-06-29', '2020-08-07 10:43:28', '2020-08-07 08:43:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 88.15000000, 0.00000000, 0.00000000, 0.00000000, 440.75000000, 528.90000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, 'maintenance RSDK PRO ECN 7.5 10BARS N&deg;640020&nbsp; &agrave; 4152 HRS<br />\r\n<br />\r\nBL N&deg;33 du 16/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 440.75000000, 88.15000000, 528.90000000, NULL, 'facture/FA2006-0027/FA2006-0027.pdf', NULL, NULL),
(1801, 'FA2006-0028', 1, NULL, NULL, NULL, 0, NULL, 12792, '2020-06-29 14:19:11', '2020-06-29', NULL, '2020-06-29', '2020-09-29 09:18:44', '2020-09-29 07:18:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 134.38000000, 0.00000000, 0.00000000, 0.00000000, 671.90000000, 806.28000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 12, 0, '2020-07-04', NULL, 'Maintenance compresseur rspro 4&nbsp; N&deg;839107 &agrave; 1668 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg; 36 du 17/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 671.90000000, 134.38000000, 806.28000000, NULL, 'facture/FA2006-0028/FA2006-0028.pdf', NULL, NULL),
(1802, 'FA2006-0029', 1, NULL, NULL, NULL, 0, NULL, 2122, '2020-06-29 14:27:08', '2020-06-29', NULL, '2020-06-29', '2020-08-19 09:41:21', '2020-08-19 07:41:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 82.85000000, 0.00000000, 0.00000000, 0.00000000, 414.24000000, 497.09000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, '&nbsp;la vanne bronze de la seconde bouteille et deux tubes plongeurs avec crepine eau chaude<br />\r\n<br />\r\nCommande N&deg;42434', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 414.24000000, 82.85000000, 497.09000000, NULL, 'facture/FA2006-0029/FA2006-0029.pdf', NULL, NULL),
(1803, 'FA2006-0030', 1, NULL, NULL, NULL, 0, NULL, 2142, '2020-06-29 14:34:42', '2020-06-29', NULL, '2020-06-29', '2020-08-07 10:48:38', '2020-08-07 08:48:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 250.57000000, 0.00000000, 0.00000000, 0.00000000, 1252.83000000, 1503.40000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance L22SR N°CD10003983002 à 20005 HRS<br />\r\n<br />\r\nBL 18 du 08/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1252.83000000, 250.57000000, 1503.40000000, NULL, 'facture/FA2006-0030/FA2006-0030.pdf', NULL, NULL),
(1804, 'FA2006-0031', 1, NULL, NULL, NULL, 0, NULL, 2358, '2020-06-29 14:53:01', '2020-06-29', NULL, '2020-06-29', '2020-08-13 17:03:12', '2020-08-13 15:03:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 672.96000000, 0.00000000, 0.00000000, 0.00000000, 3364.79000000, 4037.75000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Travaux de janvier 2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3364.79000000, 672.96000000, 4037.75000000, NULL, 'facture/FA2006-0031/FA2006-0031.pdf', NULL, NULL),
(1805, 'FA2006-0032', 1, NULL, NULL, '42618', 0, NULL, 2122, '2020-06-29 15:40:20', '2020-06-29', NULL, '2020-06-29', '2020-09-10 16:11:54', '2020-09-10 14:11:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 144.48000000, 0.00000000, 0.00000000, 0.00000000, 722.42000000, 866.90000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, 'Bouteille vide 10*54 eau chaude vinylester avec embase<br />\r\n<br />\r\nCommande 42618', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 722.42000000, 144.48000000, 866.90000000, NULL, 'facture/FA2006-0032/FA2006-0032.pdf', NULL, NULL),
(1806, 'FA2006-0033', 1, NULL, NULL, NULL, 0, NULL, 2149, '2020-06-30 08:52:59', '2020-06-30', NULL, '2020-06-30', '2020-08-31 09:25:43', '2020-08-31 07:25:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 115.28000000, 0.00000000, 0.00000000, 0.00000000, 576.35000000, 691.63000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance L07 N&deg;BA29991002 &agrave; 12312 HRS de 2013<br />\r\n<br />\r\nBL N&deg;47 du 11/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 576.35000000, 115.28000000, 691.63000000, NULL, 'facture/FA2006-0033/FA2006-0033.pdf', NULL, NULL),
(1807, 'FA2006-0034', 1, NULL, NULL, NULL, 0, NULL, 2327, '2020-06-30 09:04:43', '2020-06-30', NULL, '2020-06-30', '2020-07-31 08:55:07', '2020-07-31 06:55:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 85.80000000, 0.00000000, 0.00000000, 0.00000000, 429.00000000, 514.80000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'aspirateur YS2/62 INOX moteur 62 litres 2400W', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 429.00000000, 85.80000000, 514.80000000, NULL, 'facture/FA2006-0034/FA2006-0034.pdf', NULL, NULL),
(1808, 'FA2006-0035', 1, NULL, NULL, NULL, 0, NULL, 2162, '2020-06-30 09:09:48', '2020-06-30', NULL, '2020-06-30', '2020-08-07 10:30:27', '2020-08-07 08:30:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 39.43000000, 0.00000000, 0.00000000, 0.00000000, 197.12000000, 236.55000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Remplacement purge electropilot&eacute;e', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 197.12000000, 39.43000000, 236.55000000, NULL, 'facture/FA2006-0035/FA2006-0035.pdf', NULL, NULL),
(1809, 'FA2006-0036', 1, NULL, NULL, NULL, 0, NULL, 2162, '2020-06-30 09:11:12', '2020-06-30', NULL, '2020-06-30', '2020-08-18 09:20:07', '2020-08-18 07:20:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1807.01000000, 0.00000000, 0.00000000, 0.00000000, 9035.01000000, 10842.02000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Remplacement du bloc vis sur votre compresseur L37RS .<br />\r\n<br />\r\nGarantie bloc vis&nbsp; 24 mois&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 9035.01000000, 1807.01000000, 10842.02000000, NULL, 'facture/FA2006-0036/FA2006-0036.pdf', NULL, NULL),
(1810, 'FA2006-0037', 1, NULL, NULL, NULL, 0, NULL, 7066, '2020-06-30 09:20:58', '2020-06-30', NULL, '2020-06-30', '2020-08-17 09:59:13', '2020-08-17 07:59:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 291.10000000, 0.00000000, 0.00000000, 0.00000000, 1455.52000000, 1746.62000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, 'Pieces de filtration maintenance de vos differents compresseurs :&nbsp;<br />\r\n<br />\r\nhuile VR46 pour compresseur L15 et compresseur ATLAS COPCO<br />\r\n<br />\r\nHuile sullube pour compresseur Maco Sullair ( disponible uniquement en 20 Litres )&nbsp;<br />\r\n<br />\r\nCommande N&deg; 1227 du 14/04/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1455.52000000, 291.10000000, 1746.62000000, NULL, 'facture/FA2006-0037/FA2006-0037.pdf', NULL, NULL),
(1811, 'FA2006-0038', 1, NULL, NULL, NULL, 0, NULL, 13053, '2020-06-30 09:41:52', '2020-06-30', NULL, '2020-06-30', '2020-07-16 12:14:04', '2020-07-16 10:14:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 93.14000000, 0.00000000, 0.00000000, 0.00000000, 465.70000000, 558.84000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, 'Assistance &agrave; l&#39;organisme d&#39;&eacute;preuve -&nbsp;<br />\r\nR&eacute;&eacute;preuve reservoir 900Litres\r\n<p>Notre offre comprend :</p>\r\n&nbsp;\r\n\r\n<ul>\r\n	<li>D&eacute;pose des accessoires fixer sur la cuve ( flexible , &hellip; etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remplissage du reservoir avec de l&rsquo;eau</li>\r\n	<li>Assistance eu verificateur de l&rsquo;organisme agr&eacute;e</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n</ul>\r\nBL N&deg;46 du 07/05/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 465.70000000, 93.14000000, 558.84000000, NULL, 'facture/FA2006-0038/FA2006-0038.pdf', NULL, NULL),
(1812, 'FA2006-0039', 1, NULL, NULL, NULL, 0, NULL, 2178, '2020-06-30 09:49:54', '2020-06-30', NULL, '2020-06-30', '2020-08-07 10:15:23', '2020-08-07 08:15:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 401.56000000, 0.00000000, 0.00000000, 0.00000000, 2007.78000000, 2409.34000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance L55 N&deg; CD10008941001 &agrave;&nbsp; 25512HRS&nbsp;<br />\r\nmaintenance separateur de condensats<br />\r\nRemplacement cartouche reseau BEA930RB<br />\r\nMaintenance des 2 compresseurs hydrovanne Hv01 &amp; Hv02<br />\r\n<br />\r\nBL N&deg;42 &amp; 43 du 19/06/2020<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2007.78000000, 401.56000000, 2409.34000000, NULL, 'facture/FA2006-0039/FA2006-0039.pdf', NULL, NULL),
(1813, 'FA2006-0040', 1, NULL, NULL, NULL, 0, NULL, 2184, '2020-06-30 09:59:47', '2020-06-30', NULL, '2020-06-30', '2020-09-21 09:22:57', '2020-09-21 07:22:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 628.58000000, 0.00000000, 0.00000000, 0.00000000, 3142.94000000, 3771.52000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance L45RS ( 2018 ) N&deg; CD10034859001 en huile alimentaire &agrave; 17626H<br />\r\n<br />\r\nRemplacement cartouche filtre r&eacute;seau&nbsp;<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\nCommande N&deg;7100097566<br />\r\n<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3142.94000000, 628.58000000, 3771.52000000, NULL, 'facture/FA2006-0040/FA2006-0040.pdf', NULL, NULL),
(1814, 'FA2006-0041', 1, NULL, NULL, NULL, 0, NULL, 2221, '2020-06-30 10:19:16', '2020-06-30', NULL, '2020-06-30', '2020-08-07 10:13:07', '2020-08-07 08:13:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 93.75000000, 0.00000000, 0.00000000, 0.00000000, 468.75000000, 562.50000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance compresseur RS PRO 7.5 13 BARS N&deg; 630082 &agrave; 1742 HRS<br />\r\n<br />\r\nBL N&deg;6 du 24/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 468.75000000, 93.75000000, 562.50000000, NULL, 'facture/FA2006-0041/FA2006-0041.pdf', NULL, NULL),
(1815, 'FA2006-0042', 1, NULL, NULL, NULL, 0, NULL, 2204, '2020-06-30 11:26:13', '2020-06-30', NULL, '2020-06-30', '2020-07-29 10:20:57', '2020-07-29 08:20:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 299.48000000, 0.00000000, 0.00000000, 0.00000000, 1497.34000000, 1796.82000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Contrat Liss&eacute; L22 N&deg;CD10029439002 &agrave;&nbsp; 7524HRS+ owamat11 + filtres reseaux ( RA,RB et CA )&nbsp;<br />\r\n<br />\r\nBL N&deg;46 du 11/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1497.34000000, 299.48000000, 1796.82000000, NULL, 'facture/FA2006-0042/FA2006-0042.pdf', NULL, NULL),
(1816, 'FA2006-0043', 1, NULL, NULL, NULL, 0, NULL, 2141, '2020-06-30 11:31:24', '2020-06-30', NULL, '2020-06-30', '2020-08-13 17:02:38', '2020-08-13 15:02:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 134.50000000, 0.00000000, 0.00000000, 0.00000000, 672.53000000, 807.03000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 672.53000000, 134.50000000, 807.03000000, NULL, 'facture/FA2006-0043/FA2006-0043.pdf', NULL, NULL),
(1817, 'FA2006-0044', 1, NULL, NULL, NULL, 0, NULL, 2141, '2020-06-30 11:32:12', '2020-06-30', NULL, '2020-06-30', '2020-08-13 17:02:38', '2020-08-13 15:02:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 24.15000000, 0.00000000, 0.00000000, 0.00000000, 120.77000000, 144.92000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'bl N&deg;8 du 29/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 120.77000000, 24.15000000, 144.92000000, NULL, 'facture/FA2006-0044/FA2006-0044.pdf', NULL, NULL),
(1818, 'AC2006-0004', 1, NULL, NULL, NULL, 3, NULL, 2235, '2020-06-30 11:37:43', '2020-06-30', NULL, '2020-06-30', '2020-07-20 09:52:48', '2020-07-20 07:52:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1246.00000000, 0.00000000, 0.00000000, 0.00000000, 6230.00000000, 7476.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 2, '2020-07-01', NULL, 'local air comprim&eacute; : Un compresseur &agrave; vitesse varaible 30KW modele L29RS COMPAIR avec un secheur par refrigeration ED660 et un reservoir galva de 900Litres , deux filtres reseaux .<br />\r\nRaccordement de l&#39;ensemble en inox serti', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6230.00000000, 1246.00000000, 7476.00000000, NULL, 'facture/AC2006-0004/AC2006-0004.pdf', NULL, NULL),
(1819, 'FA2006-0045', 1, NULL, NULL, NULL, 0, NULL, 13004, '2020-06-30 11:43:30', '2020-06-30', NULL, '2020-06-30', '2020-07-10 13:28:37', '2020-07-10 11:28:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 347.00000000, 0.00000000, 0.00000000, 0.00000000, 1735.00000000, 2082.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, 'Compresseur &agrave; piston COMPAIR CLC507NTP-BD<br />\r\nDebit 43 m3/h<br />\r\nPuissance 5.5 KW<br />\r\nPression 10 Bar<br />\r\nR&eacute;servoir 500 Litres<br />\r\nD&eacute;marrage direct', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1735.00000000, 347.00000000, 2082.00000000, NULL, 'facture/FA2006-0045/FA2006-0045.pdf', NULL, NULL),
(1820, 'FA2006-0046', 1, NULL, NULL, NULL, 0, NULL, 12748, '2020-06-30 11:47:28', '2020-06-30', NULL, '2020-06-30', NULL, '2020-07-09 11:50:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 199.25000000, 0.00000000, 0.00000000, 0.00000000, 996.28000000, 1195.53000000, 2, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, 'mise en place d&#39;un compresseur de pret 5.5KW -&nbsp;<br />\r\nToutes semaines entam&eacute;es est une semaine due -<br />\r\n<br />\r\nD&eacute;pose du compresseur Semaine 10 - ann&eacute;e 2020<br />\r\nRecuperation semaine 24 ann&eacute;e 2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 996.28000000, 199.25000000, 1195.53000000, NULL, 'facture/FA2006-0046/FA2006-0046.pdf', NULL, NULL),
(1821, 'FA2006-0047', 1, NULL, NULL, NULL, 0, NULL, 2260, '2020-06-30 11:50:40', '2020-06-30', NULL, '2020-06-30', '2020-07-31 08:54:00', '2020-07-31 06:54:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 129.97000000, 0.00000000, 0.00000000, 0.00000000, 649.86000000, 779.83000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Pieces detach&eacute;es pour maintenance de vos compresseurs :&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 649.86000000, 129.97000000, 779.83000000, NULL, 'facture/FA2006-0047/FA2006-0047.pdf', NULL, NULL),
(1822, 'FA2006-0048', 1, NULL, NULL, 'L29FIXE', 0, NULL, 2276, '2020-06-30 11:53:10', '2020-06-30', NULL, '2020-06-30', '2020-08-18 09:20:47', '2020-08-18 07:20:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 5000.01000000, 0.00000000, 0.00000000, 0.00000000, 25000.05000000, 30000.06000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Local avec compresseur L29 7.5 Bar avec un secheur frigorifique avec pr&eacute; filtration et un separateur de condensats Owamat 12<br />\r\n<br />\r\nHors ligne electrique 4G25 .<br />\r\n<br />\r\nCondition de R&eacute;glement :&nbsp;<br />\r\n30 % &agrave; la commande<br />\r\nSolde &agrave; la livraison', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 25000.05000000, 5000.01000000, 30000.06000000, NULL, 'facture/FA2006-0048/FA2006-0048.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1823, 'FA2006-0049', 1, NULL, NULL, NULL, 0, NULL, 2287, '2020-06-30 11:58:01', '2020-06-30', NULL, '2020-06-30', '2020-08-13 17:01:45', '2020-08-13 15:01:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 46.07000000, 0.00000000, 0.00000000, 0.00000000, 230.35000000, 276.42000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Mise en service et raccordement compresseur à piston<br />\r\n<br />\r\nBL N°45 du 22/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.35000000, 46.07000000, 276.42000000, NULL, 'facture/FA2006-0049/FA2006-0049.pdf', NULL, NULL),
(1824, 'FA2006-0050', 1, NULL, NULL, NULL, 0, NULL, 2289, '2020-06-30 12:06:48', '2020-06-30', NULL, '2020-06-30', '2020-07-21 11:14:06', '2020-07-21 09:14:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 231.15000000, 0.00000000, 0.00000000, 0.00000000, 1155.90000000, 1387.05000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance compresseurL11RS et remplacement filtre reseau<br />\r\n<br />\r\nSuivant contrat de maintenance liss&eacute; N&deg; 2018102301', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1155.90000000, 231.15000000, 1387.05000000, NULL, 'facture/FA2006-0050/FA2006-0050.pdf', NULL, NULL),
(1825, 'FA2006-0051', 1, NULL, NULL, NULL, 0, NULL, 2311, '2020-06-30 14:03:40', '2020-06-30', NULL, '2020-06-30', '2020-08-07 11:25:23', '2020-08-07 09:25:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 12.83000000, 0.00000000, 0.00000000, 0.00000000, 64.13000000, 76.96000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'fournitures raccords GIRAIR', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 64.13000000, 12.83000000, 76.96000000, NULL, 'facture/FA2006-0051/FA2006-0051.pdf', NULL, NULL),
(1826, 'FA2006-0052', 1, NULL, NULL, NULL, 0, NULL, 2300, '2020-06-30 14:55:54', '2020-06-30', NULL, '2020-06-30', '2020-08-07 10:42:20', '2020-08-07 08:42:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 257.16000000, 0.00000000, 0.00000000, 0.00000000, 1285.78000000, 1542.94000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance l45 N&deg; cd10023286001 &agrave;&nbsp; 11324 HRS<br />\r\net filtres reseaux et owamat 14<br />\r\n<br />\r\nBL N&deg;26 du 08/06/2020<br />\r\n<br />\r\n<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1285.78000000, 257.16000000, 1542.94000000, NULL, 'facture/FA2006-0052/FA2006-0052.pdf', NULL, NULL),
(1827, 'FA2006-0053', 1, NULL, NULL, NULL, 0, NULL, 12877, '2020-06-30 15:09:18', '2020-06-30', NULL, '2020-06-30', '2020-08-19 09:40:11', '2020-08-19 07:40:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 44.51000000, 0.00000000, 0.00000000, 0.00000000, 222.56000000, 267.07000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, 'Intervention d&eacute;pannage sur les compresseurs&nbsp;<br />\r\n<br />\r\nBL N&deg;4 du 24/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 222.56000000, 44.51000000, 267.07000000, NULL, 'facture/FA2006-0053/FA2006-0053.pdf', NULL, NULL),
(1828, 'FA2006-0054', 1, NULL, NULL, NULL, 0, NULL, 2341, '2020-06-30 16:05:15', '2020-06-30', NULL, '2020-06-30', '2020-08-07 10:24:40', '2020-08-07 08:24:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 103.35000000, 0.00000000, 0.00000000, 0.00000000, 516.74000000, 620.09000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'L11 &agrave; 17405 HRS<br />\r\nseparateur de condensats Owamat 10<br />\r\n<br />\r\nBL N&deg;38 du 17/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 516.74000000, 103.35000000, 620.09000000, NULL, 'facture/FA2006-0054/FA2006-0054.pdf', NULL, NULL),
(1829, 'FA2006-0055', 1, NULL, NULL, NULL, 0, NULL, 2347, '2020-06-30 16:10:19', '2020-06-30', NULL, '2020-06-30', '2020-08-07 10:11:21', '2020-08-07 08:11:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 102.68000000, 0.00000000, 0.00000000, 0.00000000, 513.40000000, 616.08000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, '&nbsp;L15RS N&deg;CD10021874001 -', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 513.40000000, 102.68000000, 616.08000000, NULL, 'facture/FA2006-0055/FA2006-0055.pdf', NULL, NULL),
(1830, 'FA2006-0056', 1, NULL, NULL, 'l26rs+WS3008V', 0, NULL, 2054, '2020-07-01 09:17:44', '2020-06-30', NULL, '2020-07-01', '2020-08-07 10:40:56', '2020-08-07 08:40:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 552.37000000, 0.00000000, 0.00000000, 0.00000000, 2761.86000000, 3314.23000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Site beaurepaire&nbsp;<br />\r\nSces bl&eacute; 2 - calibrage&nbsp;<br />\r\nchemin du pouloux<br />\r\n38270 BEAUREPAIRE<br />\r\n<br />\r\nMaintenances 2 compresseurs :<br />\r\nWS3008V&nbsp; &agrave; 33791 HRS BL N&deg;40 du 18/06/2020<br />\r\n<br />\r\net<br />\r\n<br />\r\nL26RS &agrave; 5777HRS BL N&deg;39 du 18/06/2020<br />\r\n<br />\r\nCommande N&deg;S981 20 06 3449PM', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2761.86000000, 552.37000000, 3314.23000000, NULL, 'facture/FA2006-0056/FA2006-0056.pdf', NULL, NULL),
(1831, 'FA2006-0057', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-07-01 09:26:22', '2020-06-30', NULL, '2020-07-01', '2020-08-07 10:40:56', '2020-08-07 08:40:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 157.99000000, 0.00000000, 0.00000000, 0.00000000, 789.97000000, 947.96000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Dauphinoise SITE DE VOREPPE : WA3008<br />\r\n<br />\r\nRemplacement de la vanne de pression minimum et de la vanne de mise à vide , suite à notre derniere intervention notre technicien à noté une défaillance au niveau de ses piéces .<br />\r\n<br />\r\nBL N°27 du 08/06/2020<br />\r\n<br />\r\nCommande N° C178 20 06 3448PM', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 789.97000000, 157.99000000, 947.96000000, NULL, 'facture/FA2006-0057/FA2006-0057.pdf', NULL, NULL),
(1832, 'FA2006-0058', 1, NULL, NULL, NULL, 0, NULL, 2318, '2020-07-01 09:33:56', '2020-06-30', NULL, '2020-07-01', '2020-08-21 10:09:06', '2020-08-21 08:09:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 47.29000000, 0.00000000, 0.00000000, 0.00000000, 236.42000000, 283.71000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Intervention sur secheur - remplacement purge<br />\r\n<br />\r\nBL N&deg;41 du 29/05/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 236.42000000, 47.29000000, 283.71000000, NULL, 'facture/FA2006-0058/FA2006-0058.pdf', NULL, NULL),
(1833, 'FA2006-0059', 1, NULL, NULL, NULL, 0, NULL, 12924, '2020-07-01 10:29:30', '2020-06-30', NULL, '2020-07-01', '2020-10-08 11:46:41', '2020-10-08 09:46:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 152.30000000, 0.00000000, 0.00000000, 0.00000000, 761.53000000, 913.83000000, 2, 5, NULL, 5, 5, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, 'contrat liss&eacute; rsdk pro7.5 N&deg;827047 &agrave; 987 HRS<br />\r\n<br />\r\nBL N&deg;21 du 10/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 761.53000000, 152.30000000, 913.83000000, NULL, 'facture/FA2006-0059/FA2006-0059.pdf', NULL, NULL),
(1834, 'FA2006-0060', 1, NULL, NULL, NULL, 0, NULL, 12608, '2020-07-01 10:34:25', '2020-06-30', NULL, '2020-10-08', '2020-10-08 11:53:47', '2020-10-08 09:53:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.01000000, 0.01000000, 2, 5, NULL, 5, 5, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, 'Maintenance RS PRO 7.5 N&deg; 713056 &agrave;&nbsp; 5262HRS<br />\r\n<br />\r\nBL N&deg;22 du 10/06/2020<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 0.01000000, 0.00000000, 0.01000000, NULL, 'facture/FA2006-0060/FA2006-0060.pdf', NULL, NULL),
(1835, 'FA2007-0001', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-07-01 10:43:04', '2020-07-01', NULL, '2020-07-01', '2020-09-02 13:27:53', '2020-09-02 11:27:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, NULL, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA2007-0001/FA2007-0001.pdf', NULL, NULL),
(1836, 'FA2006-0061', 1, NULL, NULL, NULL, 0, NULL, 12667, '2020-07-01 10:56:41', '2020-06-30', NULL, '2020-11-27', '2021-01-06 09:37:56', '2021-01-06 08:37:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 109.86000000, 0.00000000, 0.00000000, 0.00000000, 549.34000000, 659.20000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, 'GX7 N&deg; AII936177 &agrave; 8811HRS<br />\r\n<br />\r\nBL N&deg;20 du 10/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 549.34000000, 109.86000000, 659.20000000, NULL, 'facture/FA2006-0061/FA2006-0061.pdf', NULL, NULL),
(1837, 'FA2006-0062', 1, NULL, NULL, NULL, 0, NULL, 2350, '2020-07-01 11:19:17', '2020-06-30', NULL, '2020-07-01', '2020-08-19 09:40:49', '2020-08-19 07:40:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 75.91000000, 0.00000000, 0.00000000, 0.00000000, 379.56000000, 455.47000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Remplacement accouplement sur compresseur L45RS N° CD10015094001 à 32149 HRS<br />\r\n<br />\r\nBL N° 41 du 04/05/2020<br />\r\n<br />\r\nCommande N° 2524161-325-G9J-BKP', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 379.56000000, 75.91000000, 455.47000000, NULL, 'facture/FA2006-0062/FA2006-0062.pdf', NULL, NULL),
(1838, 'FA2006-0063', 1, NULL, NULL, NULL, 0, NULL, 2381, '2020-07-01 11:23:44', '2020-06-30', NULL, '2020-07-01', '2020-08-07 10:55:55', '2020-08-07 08:55:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 17.68000000, 0.00000000, 0.00000000, 0.00000000, 88.40000000, 106.08000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Fourniture tuyau et collier<br />\r\n<br />\r\nBL N&deg;01 du 25/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 88.40000000, 17.68000000, 106.08000000, NULL, 'facture/FA2006-0063/FA2006-0063.pdf', NULL, NULL),
(1839, 'FA2006-0064', 1, NULL, NULL, NULL, 0, NULL, 2407, '2020-07-01 11:34:08', '2020-06-30', NULL, '2020-07-01', '2020-09-01 10:27:17', '2020-09-01 08:27:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 456.43000000, 0.00000000, 0.00000000, 0.00000000, 2282.15000000, 2738.58000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'CONTRAT LOCAL AC - SITE CROUZET 2020<br />\r\n<br />\r\nCommande N&deg;911294263<br />\r\nN&deg;entreprise 10760<br />\r\nN&deg; de version 0<br />\r\n<br />\r\nMaintenance L90 N&deg;CD10015199001&agrave; 28884 HRS', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2282.15000000, 456.43000000, 2738.58000000, NULL, 'facture/FA2006-0064/FA2006-0064.pdf', NULL, NULL),
(1840, 'FA2006-0065', 1, NULL, NULL, NULL, 0, NULL, 2399, '2020-07-01 11:46:46', '2020-06-30', NULL, '2020-07-01', '2020-08-07 10:56:53', '2020-08-07 08:56:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 203.83000000, 0.00000000, 0.00000000, 0.00000000, 1019.18000000, 1223.01000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance compresseur L11RS&nbsp; N&deg; BA34398001 &agrave; 17435 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance seprateur de condensats OWAMAT 10 :<br />\r\n<br />\r\nBL N&deg;17 du 02/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1019.18000000, 203.83000000, 1223.01000000, NULL, 'facture/FA2006-0065/FA2006-0065.pdf', NULL, NULL),
(1841, 'FA2006-0066', 1, NULL, NULL, NULL, 0, NULL, 2397, '2020-07-01 11:55:23', '2020-06-30', NULL, '2020-07-01', '2020-07-24 12:05:23', '2020-07-24 10:05:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 247.86000000, 0.00000000, 0.00000000, 0.00000000, 1239.30000000, 1487.16000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Fourniture et raccordement d&#39;un s&eacute;cheur frigorifique pour votre compresseur &agrave; piston - Local BRUN -<br />\r\n<br />\r\nBL N&deg;30 du 12/06/2020<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1239.30000000, 247.86000000, 1487.16000000, NULL, 'facture/FA2006-0066/FA2006-0066.pdf', NULL, NULL),
(1842, 'FA2006-0067', 1, NULL, NULL, NULL, 0, NULL, 2197, '2020-07-01 15:25:55', '2020-06-30', NULL, '2020-07-01', '2020-07-27 16:17:09', '2020-07-27 14:17:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.83000000, 0.00000000, 0.00000000, 0.00000000, 114.13000000, 136.96000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 114.13000000, 22.83000000, 136.96000000, NULL, 'facture/FA2006-0067/FA2006-0067.pdf', NULL, NULL),
(1843, 'FA2006-0068', 1, NULL, NULL, NULL, 0, NULL, 2397, '2020-07-01 15:49:00', '2020-06-30', NULL, '2020-07-01', '2020-07-31 08:53:31', '2020-07-31 06:53:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 86.05000000, 0.00000000, 0.00000000, 0.00000000, 430.25000000, 516.30000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance compresseur L07 N&deg; BA33448006 &agrave; 4996 HRS<br />\r\n<br />\r\nBL N&deg;29 du 12/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 430.25000000, 86.05000000, 516.30000000, NULL, 'facture/FA2006-0068/FA2006-0068.pdf', NULL, NULL),
(1844, 'FA2006-0069', 1, NULL, NULL, NULL, 0, NULL, 1948, '2020-07-01 16:38:14', '2020-06-30', NULL, '2020-07-01', '2020-08-07 10:31:34', '2020-08-07 08:31:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 5.23000000, 0.00000000, 0.00000000, 0.00000000, 26.16000000, 31.39000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Commande N&deg; 2000453', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 26.16000000, 5.23000000, 31.39000000, NULL, 'facture/FA2006-0069/FA2006-0069.pdf', NULL, NULL),
(1845, 'FA2006-0070', 1, NULL, NULL, NULL, 0, NULL, 12928, '2020-07-02 09:46:48', '2020-06-30', NULL, '2020-07-02', '2020-07-24 12:04:18', '2020-07-24 10:04:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 199.30000000, 0.00000000, 0.00000000, 0.00000000, 996.47000000, 1195.77000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, 'Raccordement machine ROTOLINI<br />\r\nBL49 du 16/06', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 996.47000000, 199.30000000, 1195.77000000, NULL, 'facture/FA2006-0070/FA2006-0070.pdf', NULL, NULL),
(1846, 'FA2006-0071', 1, NULL, NULL, NULL, 0, NULL, 2055, '2020-07-02 10:36:15', '2020-06-30', NULL, '2020-07-02', '2020-08-07 10:29:09', '2020-08-07 08:29:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 178.20000000, 0.00000000, 0.00000000, 0.00000000, 891.00000000, 1069.20000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance compresseur L18 &agrave; 44200HRS - en pi&eacute;ces adaptables&nbsp;<br />\r\nRemplacement des cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg;5 du 30/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 891.00000000, 178.20000000, 1069.20000000, NULL, 'facture/FA2006-0071/FA2006-0071.pdf', NULL, NULL),
(1847, 'FA2006-0072', 1, NULL, NULL, NULL, 0, NULL, 2140, '2020-07-02 10:44:42', '2020-06-30', NULL, '2020-07-02', '2020-08-13 17:03:39', '2020-08-13 15:03:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 156.19000000, 0.00000000, 0.00000000, 0.00000000, 780.96000000, 937.15000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance L15RS suivant contrat liss&eacute;<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg; 12 du 29/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 780.96000000, 156.19000000, 937.15000000, NULL, 'facture/FA2006-0072/FA2006-0072.pdf', NULL, NULL),
(1848, 'FA2006-0073', 1, NULL, NULL, NULL, 0, NULL, 12890, '2020-07-02 11:19:05', '2020-06-30', NULL, '2020-07-02', '2020-08-18 09:21:57', '2020-08-18 07:21:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 205.39000000, 0.00000000, 0.00000000, 0.00000000, 1027.00000000, 1232.39000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, 'Maintenance L29RS - CONTRAT LISSE de 2019<br />\r\n<br />\r\nBL N&deg;9 du 27/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1027.00000000, 205.39000000, 1232.39000000, NULL, 'facture/FA2006-0073/FA2006-0073.pdf', NULL, NULL),
(1849, 'FA2006-0074', 1, NULL, NULL, NULL, 0, NULL, 2128, '2020-07-02 15:33:03', '2020-06-30', NULL, '2020-07-02', '2020-08-07 10:23:11', '2020-08-07 08:23:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 245.86000000, 0.00000000, 0.00000000, 0.00000000, 1229.26000000, 1475.12000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance compresseur L11RS N&deg; BA4491101&nbsp; &agrave; 13248HRS sous contrat liss&eacute;<br />\r\net remplacement kit separateur de condensats<br />\r\nRemplacement filtre reseau suite &agrave; votre accord avec Mr Balazard<br />\r\n<br />\r\nBL N&deg;04 du 29/06/2020<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1229.26000000, 245.86000000, 1475.12000000, NULL, 'facture/FA2006-0074/FA2006-0074.pdf', NULL, NULL),
(1850, 'FA2006-0075', 1, NULL, NULL, NULL, 0, NULL, 2268, '2020-07-03 14:26:02', '2020-06-30', NULL, '2020-07-03', '2020-08-07 11:00:08', '2020-08-07 09:00:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 74.49000000, 0.00000000, 0.00000000, 0.00000000, 372.43000000, 446.92000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Changement purge capacitive&nbsp;<br />\r\n<br />\r\nBL N&deg; 02 du 26/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 372.43000000, 74.49000000, 446.92000000, NULL, 'facture/FA2006-0075/FA2006-0075.pdf', NULL, NULL),
(1851, 'FA2006-0076', 1, NULL, NULL, NULL, 0, NULL, 2124, '2020-07-03 15:01:10', '2020-06-30', NULL, '2020-07-03', '2020-08-28 10:36:45', '2020-08-28 08:36:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 176.03000000, 0.00000000, 0.00000000, 0.00000000, 880.18000000, 1056.21000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'maintenance L11 &agrave; 9972 HRS<br />\r\nVidange compresseur Werth&#39;air<br />\r\n<br />\r\nBL N&deg; 49 du 25/06/2020<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 880.18000000, 176.03000000, 1056.21000000, NULL, 'facture/FA2006-0076/FA2006-0076.pdf', NULL, NULL),
(1852, 'FA2006-0077', 1, NULL, NULL, NULL, 0, NULL, 13092, '2020-07-06 15:53:11', '2020-06-30', NULL, '2020-07-06', '2020-08-11 16:45:28', '2020-08-11 14:45:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 173.10000000, 0.00000000, 0.00000000, 0.00000000, 865.50000000, 1038.60000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-07-31', NULL, 'Maintenance compresseur HV07ACE10-4035S400 N&deg;V07-00425-1002<br />\r\n&agrave; 1659 HRS<br />\r\n<br />\r\nBL N&deg;46 du 24/06/2020', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 865.50000000, 173.10000000, 1038.60000000, NULL, 'facture/FA2006-0077/FA2006-0077.pdf', NULL, NULL),
(1853, 'FA2006-0078', 1, NULL, NULL, NULL, 0, NULL, 2381, '2020-07-06 15:59:21', '2020-06-30', NULL, '2020-07-06', '2020-08-07 10:55:55', '2020-08-07 08:55:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 183.87000000, 0.00000000, 0.00000000, 0.00000000, 919.36000000, 1103.23000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-07-31', NULL, 'Maintenance 2 compresseurs&nbsp;<br />\r\nKA11 &agrave; 9800HRS BL N&deg;48 du 25/06/2020<br />\r\nGA11C &agrave; 3955 BL N&deg;47 du 25/06/2020<br />\r\n<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 919.36000000, 183.87000000, 1103.23000000, NULL, 'facture/FA2006-0078/FA2006-0078.pdf', NULL, NULL),
(1854, 'AC2007-0001', 1, NULL, NULL, NULL, 3, NULL, 12656, '2020-07-07 16:26:36', '2020-07-07', NULL, '2020-07-07', '2020-08-07 11:24:16', '2020-08-07 09:24:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 764.40000000, 0.00000000, 0.00000000, 0.00000000, 3822.00000000, 4586.40000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 0, '2020-07-08', NULL, 'Local air comprim&eacute; :RSDKF PRO ECN 11 7.5B<br />\r\n30% &agrave; la commande<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3822.00000000, 764.40000000, 4586.40000000, NULL, 'facture/AC2007-0001/AC2007-0001.pdf', NULL, NULL),
(1855, 'AV2007-0001', 1, NULL, NULL, NULL, 2, NULL, 12928, '2020-07-08 10:59:06', '2020-07-08', NULL, '2020-07-08', '2020-07-24 12:04:47', '2020-07-24 10:04:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -19.28000000, 0.00000000, 0.00000000, 0.00000000, -96.40000000, -115.68000000, 2, 5, NULL, 5, 8, 1845, NULL, NULL, NULL, 0, 0, '2020-07-08', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 'EUR', 1.00000000, -96.40000000, -19.28000000, -115.68000000, NULL, 'facture/AV2007-0001/AV2007-0001.pdf', NULL, NULL),
(1856, 'FA2007-0002', 1, NULL, NULL, NULL, 0, NULL, 2397, '2020-07-16 11:34:30', '2020-07-16', NULL, '2020-07-16', '2020-08-12 09:39:48', '2020-08-12 07:39:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 254.30000000, 0.00000000, 0.00000000, 0.00000000, 1271.50000000, 1525.80000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1271.50000000, 254.30000000, 1525.80000000, NULL, 'facture/FA2007-0002/FA2007-0002.pdf', NULL, NULL),
(1857, 'FA2007-0003', 1, NULL, NULL, NULL, 0, NULL, 13089, '2020-07-17 10:54:24', '2020-07-17', NULL, '2020-07-17', '2020-09-21 09:23:59', '2020-09-21 07:23:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 600.00000000, 0.00000000, 0.00000000, 0.00000000, 3000.00000000, 3600.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-08-31', NULL, 'Commande N&deg;245SCI<br />\r\n<br />\r\nReseau en inox serti diametre 28', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 3000.00000000, 600.00000000, 3600.00000000, NULL, 'facture/FA2007-0003/FA2007-0003.pdf', NULL, NULL),
(1858, 'FA2007-0004', 1, NULL, NULL, NULL, 0, NULL, 1965, '2020-07-17 10:58:43', '2020-07-17', NULL, '2020-07-17', '2020-08-31 09:27:53', '2020-08-31 07:27:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 300.00000000, 0.00000000, 0.00000000, 0.00000000, 1500.00000000, 1800.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1500.00000000, 300.00000000, 1800.00000000, NULL, 'facture/FA2007-0004/FA2007-0004.pdf', NULL, NULL),
(1859, 'FA2007-0005', 1, NULL, NULL, NULL, 0, NULL, 5767, '2020-07-17 11:09:08', '2020-07-17', NULL, '2020-07-17', '2020-07-24 12:03:30', '2020-07-24 10:03:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1199.99000000, 0.00000000, 0.00000000, 0.00000000, 6000.00000000, 7199.99000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-08-31', NULL, 'Centrale d&#39;air comprim&eacute; 5.5KW 10 Bar&nbsp; mont&eacute; sur cuve avec pr&eacute; filtration et secheur', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 6000.00000000, 1199.99000000, 7199.99000000, NULL, 'facture/FA2007-0005/FA2007-0005.pdf', NULL, NULL),
(1860, 'FA2007-0006', 1, NULL, NULL, NULL, 0, NULL, 1988, '2020-07-17 11:13:34', '2020-07-17', NULL, '2020-07-17', '2020-09-09 11:42:13', '2020-09-09 09:42:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 5.70000000, 0.00000000, 0.00000000, 0.00000000, 28.50000000, 34.20000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 28.50000000, 5.70000000, 34.20000000, NULL, 'facture/FA2007-0006/FA2007-0006.pdf', NULL, NULL),
(1861, 'FA2007-0007', 1, NULL, NULL, NULL, 0, NULL, 12697, '2020-07-17 11:31:21', '2020-07-17', NULL, '2020-07-17', '2020-08-28 10:37:21', '2020-08-28 08:37:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 6.20000000, 0.00000000, 0.00000000, 0.00000000, 30.98000000, 37.18000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-08-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 30.98000000, 6.20000000, 37.18000000, NULL, 'facture/FA2007-0007/FA2007-0007.pdf', NULL, NULL),
(1862, 'FA2007-0008', 1, NULL, NULL, NULL, 0, NULL, 2397, '2020-07-28 14:28:44', '2020-07-28', NULL, '2020-07-28', '2020-09-10 16:11:23', '2020-09-10 14:11:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.95000000, 0.00000000, 0.00000000, 0.00000000, 564.72000000, 677.67000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Installation et fourniture d&#39;un enrouleur&nbsp;<br />\r\n<br />\r\nBL N&deg;24 du 23/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 564.72000000, 112.95000000, 677.67000000, NULL, 'facture/FA2007-0008/FA2007-0008.pdf', NULL, NULL),
(1863, 'FA2007-0009', 1, NULL, NULL, NULL, 0, NULL, 5315, '2020-07-28 14:56:08', '2020-07-28', NULL, '2020-07-28', '2020-09-03 12:12:26', '2020-09-03 10:12:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 69.61000000, 0.00000000, 0.00000000, 0.00000000, 348.04000000, 417.65000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-08-31', NULL, 'R&eacute;paration popeuse', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 348.04000000, 69.61000000, 417.65000000, NULL, 'facture/FA2007-0009/FA2007-0009.pdf', NULL, NULL),
(1864, 'FA2007-0010', 1, NULL, NULL, NULL, 0, NULL, 2001, '2020-07-28 16:55:04', '2020-07-28', NULL, '2020-07-28', '2020-09-03 12:13:57', '2020-09-03 10:13:57', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 34.00000000, 0.00000000, 0.00000000, 0.00000000, 169.99000000, 203.99000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 169.99000000, 34.00000000, 203.99000000, NULL, 'facture/FA2007-0010/FA2007-0010.pdf', NULL, NULL),
(1865, 'FA2007-0011', 1, NULL, NULL, NULL, 0, NULL, 2221, '2020-07-29 14:55:12', '2020-07-29', NULL, '2020-07-29', '2020-08-31 09:26:51', '2020-08-31 07:26:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 290.00000000, 0.00000000, 0.00000000, 0.00000000, 1450.00000000, 1740.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Founiture et installation d&#39;un secheur par r&eacute;frigeration&nbsp;<br />\r\n<br />\r\nBL N&deg; 14 du 10/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1450.00000000, 290.00000000, 1740.00000000, NULL, 'facture/FA2007-0011/FA2007-0011.pdf', NULL, NULL),
(1866, 'FA2007-0012', 1, NULL, NULL, NULL, 0, NULL, 5741, '2020-07-29 14:59:23', '2020-07-29', NULL, '2020-07-29', '2020-09-16 11:46:24', '2020-09-16 09:46:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 50.70000000, 0.00000000, 0.00000000, 0.00000000, 253.50000000, 304.20000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-08-31', NULL, 'Commande N&deg; 12784', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 253.50000000, 50.70000000, 304.20000000, NULL, 'facture/FA2007-0012/FA2007-0012.pdf', NULL, NULL),
(1867, 'FA2007-0013', 1, NULL, NULL, NULL, 0, NULL, 13036, '2020-07-29 15:36:36', '2020-07-29', NULL, '2020-07-29', '2020-10-12 09:37:08', '2020-10-12 07:37:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 57.70000000, 0.00000000, 0.00000000, 0.00000000, 288.52000000, 346.22000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-08-31', NULL, 'Intervention probleme sur scie Kasto<br />\r\n<br />\r\nBL N&deg;30 du 07/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 288.52000000, 57.70000000, 346.22000000, NULL, 'facture/FA2007-0013/FA2007-0013.pdf', NULL, NULL),
(1868, 'FA2007-0014', 1, NULL, NULL, NULL, 0, NULL, 2117, '2020-07-30 10:30:54', '2020-07-30', NULL, '2020-07-30', '2020-09-25 11:55:21', '2020-09-25 09:55:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 38.61000000, 0.00000000, 0.00000000, 0.00000000, 193.03000000, 231.64000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Pieces d&eacute;tach&eacute;es pour compresseur L04 COMPAIR', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 193.03000000, 38.61000000, 231.64000000, NULL, 'facture/FA2007-0014/FA2007-0014.pdf', NULL, NULL),
(1869, 'FA2007-0015', 1, NULL, NULL, NULL, 0, NULL, 2174, '2020-07-30 10:56:59', '2020-07-30', NULL, '2020-07-30', '2020-08-31 09:24:43', '2020-08-31 07:24:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 385.31000000, 0.00000000, 0.00000000, 0.00000000, 1926.53000000, 2311.84000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance L29RS N&deg;CD10018602001 &agrave; 26569HRS<br />\r\n<br />\r\nBL N&deg;28 du 06/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1926.53000000, 385.31000000, 2311.84000000, NULL, 'facture/FA2007-0015/FA2007-0015.pdf', NULL, NULL),
(1870, 'FA2007-0016', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-07-30 15:30:36', '2020-07-30', NULL, '2020-07-30', '2020-09-02 13:27:53', '2020-09-02 11:27:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 256.29000000, 0.00000000, 0.00000000, 0.00000000, 1281.51000000, 1537.80000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance L45RS &agrave; 15621 HRS<br />\r\nBL N&deg;10 du 29/06/2020<br />\r\n<br />\r\nCommande N&deg; 4800305874', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1281.51000000, 256.29000000, 1537.80000000, NULL, 'facture/FA2007-0016/FA2007-0016.pdf', NULL, NULL),
(1871, 'FA2007-0017', 1, NULL, NULL, NULL, 0, NULL, 11435, '2020-08-03 09:21:22', '2020-07-31', NULL, '2020-08-03', '2020-09-01 10:41:31', '2020-09-01 08:41:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 630.98000000, 0.00000000, 0.00000000, 0.00000000, 3154.90000000, 3785.88000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance L30RS &agrave; 31948HRS<br />\r\nRemplacement filtres reseaux<br />\r\nMaintenance separateur de condensats Owamat 12<br />\r\n<br />\r\nBL N&deg;07 du 25/06/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 3154.90000000, 630.98000000, 3785.88000000, NULL, 'facture/FA2007-0017/FA2007-0017.pdf', NULL, NULL),
(1872, 'FA2007-0018', 1, NULL, NULL, NULL, 0, NULL, 1988, '2020-08-03 09:31:11', '2020-07-31', NULL, '2020-08-03', '2020-09-09 11:42:14', '2020-09-09 09:42:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.60000000, 0.00000000, 0.00000000, 0.00000000, 563.02000000, 675.62000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance compresseur L22 &agrave; 10700HRS<br />\r\n<br />\r\nBL N&deg;17 du 13/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 563.02000000, 112.60000000, 675.62000000, NULL, 'facture/FA2007-0018/FA2007-0018.pdf', NULL, NULL),
(1873, 'FA2007-0019', 1, NULL, NULL, NULL, 0, NULL, 1988, '2020-08-03 09:35:02', '2020-07-31', NULL, '2020-08-03', '2020-09-09 11:42:14', '2020-09-09 09:42:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 748.65000000, 0.00000000, 0.00000000, 0.00000000, 3743.28000000, 4491.93000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance L55RS N&deg;CD10011035001 &agrave; 44658 Hrs<br />\r\nRempalcement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;16 du 16/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 3743.28000000, 748.65000000, 4491.93000000, NULL, 'facture/FA2007-0019/FA2007-0019.pdf', NULL, NULL),
(1874, 'FA2007-0020', 1, NULL, NULL, NULL, 0, NULL, 2004, '2020-08-03 09:42:25', '2020-07-31', NULL, '2020-08-03', '2020-08-27 09:18:48', '2020-08-27 07:18:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 175.20000000, 0.00000000, 0.00000000, 0.00000000, 875.97000000, 1051.17000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance compresseur Scroll SLDK -I 3.7 &agrave; 1968 HRS<br />\r\nRemplacement des 3 cartouches filtres r&eacute;seaux<br />\r\n<br />\r\nBL N&deg;11 du 04/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 875.97000000, 175.20000000, 1051.17000000, NULL, 'facture/FA2007-0020/FA2007-0020.pdf', NULL, NULL),
(1875, 'FA2007-0021', 1, NULL, NULL, NULL, 0, NULL, 1981, '2020-08-03 09:51:56', '2020-07-31', NULL, '2020-08-03', '2020-09-14 09:25:00', '2020-09-14 07:25:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.93000000, 0.00000000, 0.00000000, 0.00000000, 594.61000000, 713.54000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance compresseur RS PRO 7.5 &agrave; 9214 HRS<br />\r\n<br />\r\nBL N&deg;6 du 01/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 594.61000000, 118.93000000, 713.54000000, NULL, 'facture/FA2007-0021/FA2007-0021.pdf', NULL, NULL),
(1876, 'FA2007-0022', 1, NULL, NULL, NULL, 0, NULL, 2352, '2020-08-03 10:00:30', '2020-07-31', NULL, '2020-08-03', '2020-09-11 10:21:25', '2020-09-11 08:21:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 214.45000000, 0.00000000, 0.00000000, 0.00000000, 1072.25000000, 1286.70000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance compresseur L37RS &agrave; 16854 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg; 27 du 24/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1072.25000000, 214.45000000, 1286.70000000, NULL, 'facture/FA2007-0022/FA2007-0022.pdf', NULL, NULL),
(1877, 'FA2007-0023', 1, NULL, NULL, NULL, 0, NULL, 2029, '2020-08-03 10:26:32', '2020-07-31', NULL, '2020-08-03', '2020-09-21 09:24:28', '2020-09-21 07:24:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 399.36000000, 0.00000000, 0.00000000, 0.00000000, 1996.77000000, 2396.13000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance compresseur L11 &agrave; 43241 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance separateur de condensats Owamat 10<br />\r\n<br />\r\nRemplacement reservoir 500Litres', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1996.77000000, 399.36000000, 2396.13000000, NULL, 'facture/FA2007-0023/FA2007-0023.pdf', NULL, NULL),
(1878, 'FA2007-0024', 1, NULL, NULL, NULL, 0, NULL, 2020, '2020-08-03 10:37:20', '2020-07-31', NULL, '2020-08-03', '2020-09-03 12:13:32', '2020-09-03 10:13:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 617.73000000, 0.00000000, 0.00000000, 0.00000000, 3088.68000000, 3706.41000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Prolongement reseau et cr&eacute;ation de 5 descentes&nbsp;<br />\r\n<br />\r\nBL N&deg; 1 du 09/06/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 3088.68000000, 617.73000000, 3706.41000000, NULL, 'facture/FA2007-0024/FA2007-0024.pdf', NULL, NULL),
(1879, 'FA2007-0025', 1, NULL, NULL, NULL, 0, NULL, 12585, '2020-08-03 10:43:39', '2020-07-31', NULL, '2020-08-03', '2020-09-21 09:22:24', '2020-09-21 07:22:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 140.65000000, 0.00000000, 0.00000000, 0.00000000, 703.28000000, 843.93000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-08-31', NULL, 'Maintenance compresseur HV02<br />\r\nRemplacement des cartouches des filtres reseaux<br />\r\n<br />\r\nBL N&deg;20 du 07/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 703.28000000, 140.65000000, 843.93000000, NULL, 'facture/FA2007-0025/FA2007-0025.pdf', NULL, NULL),
(1880, 'FA2007-0026', 1, NULL, NULL, NULL, 0, NULL, 2053, '2020-08-03 11:04:00', '2020-07-31', NULL, '2020-08-03', '2020-09-30 09:00:43', '2020-09-30 07:00:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 725.92000000, 0.00000000, 0.00000000, 0.00000000, 3629.62000000, 4355.54000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance local air comprim&eacute; :&nbsp;<br />\r\nMaintenance L18RS CD10025398001 &agrave; 12898 HRS<br />\r\nRemplcament cartouches des 3 filtres r&eacute;seaux<br />\r\nMaintenance separateur de condensats KTRON50<br />\r\nBL N&deg;27 du 02/07/2020<br />\r\n<br />\r\nMaintenance compresseur L11 N&deg; BA46497001 &agrave; 3509 HRS<br />\r\nRemplacement des cartouches des deux filtres reseaux<br />\r\nBL 25 du 02/07/2020<br />\r\n<br />\r\nMaintenance compresseur KAESER SK22 N&deg; 101955 &agrave; 33126 HRS<br />\r\nRemplacement des deux cartouches filtres r&eacute;seaux<br />\r\nBL N&deg;24 du 02/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 3629.62000000, 725.92000000, 4355.54000000, NULL, 'facture/FA2007-0026/FA2007-0026.pdf', NULL, NULL),
(1881, 'FA2007-0027', 1, NULL, NULL, NULL, 0, NULL, 12581, '2020-08-03 11:10:56', '2020-07-31', NULL, '2020-08-03', '2020-09-21 09:25:26', '2020-09-21 07:25:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 127.08000000, 0.00000000, 0.00000000, 0.00000000, 635.42000000, 762.50000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-08-31', NULL, 'Maintenance GA15+FF &agrave;&nbsp; 9429HRS<br />\r\n<br />\r\nChantier Centrale enrob&eacute; N&deg; 82000<br />\r\nContact Fabien Laurent', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 635.42000000, 127.08000000, 762.50000000, NULL, 'facture/FA2007-0027/FA2007-0027.pdf', NULL, NULL),
(1882, 'FA2007-0028', 1, NULL, NULL, NULL, 0, NULL, 2076, '2020-08-03 11:47:48', '2020-07-31', NULL, '2020-08-03', '2020-09-07 09:16:07', '2020-09-07 07:16:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.36000000, 0.00000000, 0.00000000, 0.00000000, 591.82000000, 710.18000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance HV07 &agrave; 16 719 HRS<br />\r\n<br />\r\nBL N&deg;19 du 15/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 591.82000000, 118.36000000, 710.18000000, NULL, 'facture/FA2007-0028/FA2007-0028.pdf', NULL, NULL),
(1883, 'FA2007-0029', 1, NULL, NULL, NULL, 0, NULL, 2076, '2020-08-03 14:21:46', '2020-07-31', NULL, '2020-08-03', '2020-09-21 09:24:56', '2020-09-21 07:24:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 180.30000000, 0.00000000, 0.00000000, 0.00000000, 901.46000000, 1081.76000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Modification r&eacute;seau air&nbsp;<br />\r\nblouclage inox diametre 28<br />\r\n<br />\r\nBL N&deg;36 du 09/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 901.46000000, 180.30000000, 1081.76000000, NULL, 'facture/FA2007-0029/FA2007-0029.pdf', NULL, NULL),
(1884, 'FA2007-0030', 1, NULL, NULL, NULL, 0, NULL, 2136, '2020-08-03 14:46:34', '2020-07-31', NULL, '2020-08-03', '2020-09-02 13:27:01', '2020-09-02 11:27:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 139.54000000, 0.00000000, 0.00000000, 0.00000000, 697.58000000, 837.12000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance compresseur Renner RSDK 5.5 &agrave; 8888Hrs<br />\r\nMaintenance owamat 10<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;28 du 24/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 697.58000000, 139.54000000, 837.12000000, NULL, 'facture/FA2007-0030/FA2007-0030.pdf', NULL, NULL),
(1885, 'FA2007-0031', 1, NULL, NULL, NULL, 0, NULL, 2239, '2020-08-03 15:16:28', '2020-07-31', NULL, '2020-08-03', '2020-10-21 09:37:04', '2020-10-21 07:37:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 205.68000000, 0.00000000, 0.00000000, 0.00000000, 1028.37000000, 1234.05000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Commande N&deg; V010006U<br />\r\n<br />\r\nMaintennace compresseur 6000EL &agrave; 6088HRS<br />\r\nRemplacement cartouche filtres r&eacute;seaux<br />\r\n<br />\r\nBL N&deg;15 du 03/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1028.37000000, 205.68000000, 1234.05000000, NULL, 'facture/FA2007-0031/FA2007-0031.pdf', NULL, NULL),
(1886, 'FA2007-0032', 1, NULL, NULL, NULL, 0, NULL, 2102, '2020-08-03 15:25:11', '2020-07-31', NULL, '2020-08-03', '2020-10-01 13:16:42', '2020-10-01 11:16:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 116.85000000, 0.00000000, 0.00000000, 0.00000000, 584.25000000, 701.10000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance L07rs N&deg; BA33915001 &agrave; 3521 HRS<br />\r\n<br />\r\nBL 11 du 29/06/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 584.25000000, 116.85000000, 701.10000000, NULL, 'facture/FA2007-0032/FA2007-0032.pdf', NULL, NULL),
(1887, 'FA2007-0033', 1, NULL, NULL, NULL, 0, NULL, 13092, '2020-08-04 09:08:21', '2020-07-31', NULL, '2020-08-04', '2020-08-11 16:45:29', '2020-08-11 14:45:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 99.55000000, 0.00000000, 0.00000000, 0.00000000, 497.78000000, 597.33000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-08-31', NULL, 'Changement amperage compresseur et remplacement purge sur la cuve<br />\r\n<br />\r\nBL N&deg;7 du 01/07/20', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 497.78000000, 99.55000000, 597.33000000, NULL, 'facture/FA2007-0033/FA2007-0033.pdf', NULL, NULL),
(1888, 'FA2007-0034', 1, NULL, NULL, NULL, 0, NULL, 9565, '2020-08-04 09:25:52', '2020-07-31', NULL, '2020-08-04', '2020-08-31 09:26:23', '2020-08-31 07:26:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 178.53000000, 0.00000000, 0.00000000, 0.00000000, 892.67000000, 1071.20000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-08-31', NULL, 'Maintenance local air comprim&eacute;<br />\r\n<br />\r\nBL N&deg; 31 &amp; 30 du 28/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 892.67000000, 178.53000000, 1071.20000000, NULL, 'facture/FA2007-0034/FA2007-0034.pdf', NULL, NULL),
(1889, 'FA2007-0035', 1, NULL, NULL, NULL, 0, NULL, 9822, '2020-08-04 09:35:40', '2020-07-31', NULL, '2020-08-04', '2020-08-31 09:23:16', '2020-08-31 07:23:16', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 72.00000000, 0.00000000, 0.00000000, 0.00000000, 360.00000000, 432.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Commande 3227', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 360.00000000, 72.00000000, 432.00000000, NULL, 'facture/FA2007-0035/FA2007-0035.pdf', NULL, NULL),
(1890, 'FA2007-0036', 1, NULL, NULL, NULL, 0, NULL, 2327, '2020-08-04 09:37:41', '2020-07-31', NULL, '2020-08-04', '2020-10-16 10:31:19', '2020-10-16 08:31:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 72.00000000, 0.00000000, 0.00000000, 0.00000000, 360.00000000, 432.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 360.00000000, 72.00000000, 432.00000000, NULL, 'facture/FA2007-0036/FA2007-0036.pdf', NULL, NULL),
(1891, 'FA2007-0037', 1, NULL, NULL, NULL, 0, NULL, 2206, '2020-08-04 09:41:08', '2020-07-31', NULL, '2020-08-04', '2020-09-21 09:21:48', '2020-09-21 07:21:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 126.62000000, 0.00000000, 0.00000000, 0.00000000, 633.07000000, 759.69000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance HV05 &agrave; 21862 HRS<br />\r\n<br />\r\nBL N&deg;26 du 24/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 633.07000000, 126.62000000, 759.69000000, NULL, 'facture/FA2007-0037/FA2007-0037.pdf', NULL, NULL),
(1892, 'FA2007-0038', 1, NULL, NULL, NULL, 0, NULL, 2247, '2020-08-04 10:07:04', '2020-07-31', NULL, '2020-08-04', '2020-09-04 09:35:27', '2020-09-04 07:35:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 329.77000000, 0.00000000, 0.00000000, 0.00000000, 1648.90000000, 1978.67000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance L18RS &agrave; 12988HRS<br />\r\nMaintenance separateur de condensats Owamat 11<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;19 du 07/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1648.90000000, 329.77000000, 1978.67000000, NULL, 'facture/FA2007-0038/FA2007-0038.pdf', NULL, NULL),
(1893, 'FA2007-0039', 1, NULL, NULL, NULL, 0, NULL, 9820, '2020-08-04 10:37:51', '2020-07-31', NULL, '2020-08-04', '2020-10-12 09:43:46', '2020-10-12 07:43:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 242.03000000, 0.00000000, 0.00000000, 0.00000000, 1210.10000000, 1452.13000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-08-31', NULL, 'Modification reseau d&#39;air comprim&eacute;<br />\r\nProlongement reseaue en diametre 42<br />\r\nCr&eacute;ation de 5 descentes<br />\r\n<br />\r\nBL N&deg;14 du 02/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1210.10000000, 242.03000000, 1452.13000000, NULL, 'facture/FA2007-0039/FA2007-0039.pdf', NULL, NULL),
(1894, 'FA2007-0040', 1, NULL, NULL, NULL, 0, NULL, 2311, '2020-08-04 10:49:25', '2020-07-31', NULL, '2020-08-04', '2020-09-07 09:16:43', '2020-09-07 07:16:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 35.07000000, 0.00000000, 0.00000000, 0.00000000, 175.38000000, 210.45000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Fourniture girair', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 175.38000000, 35.07000000, 210.45000000, NULL, 'facture/FA2007-0040/FA2007-0040.pdf', NULL, NULL),
(1895, 'FA2007-0041', 1, NULL, NULL, NULL, 0, NULL, 2284, '2020-08-04 14:37:59', '2020-07-31', NULL, '2020-08-04', '2020-09-01 10:40:46', '2020-09-01 08:40:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 130.89000000, 0.00000000, 0.00000000, 0.00000000, 654.41000000, 785.30000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance compresseur L18RS &agrave; 30232 HRS<br />\r\nMaintenance separateur de condensats<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;15 du 10/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 654.41000000, 130.89000000, 785.30000000, NULL, 'facture/FA2007-0041/FA2007-0041.pdf', NULL, NULL),
(1896, 'FA2007-0042', 1, NULL, NULL, NULL, 0, NULL, 10268, '2020-08-04 14:56:32', '2020-07-31', NULL, '2020-08-04', '2020-09-01 10:42:13', '2020-09-01 08:42:13', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 99.64000000, 0.00000000, 0.00000000, 0.00000000, 498.20000000, 597.84000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-08-31', NULL, 'Maintenance compresseur GA7 N&deg;AII124221 de 1999 &agrave; 6656HRS<br />\r\n<br />\r\nBL N&deg;47 du 01/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 498.20000000, 99.64000000, 597.84000000, NULL, 'facture/FA2007-0042/FA2007-0042.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1897, 'FA2007-0043', 1, NULL, NULL, NULL, 0, NULL, 2351, '2020-08-04 15:04:35', '2020-07-31', NULL, '2020-08-04', '2020-09-15 16:42:25', '2020-09-15 14:42:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 247.53000000, 0.00000000, 0.00000000, 0.00000000, 1237.65000000, 1485.18000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Commande N&deg;BCFINJ2000316<br />\r\nCode fournisseur : 200979', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1237.65000000, 247.53000000, 1485.18000000, NULL, 'facture/FA2007-0043/FA2007-0043.pdf', NULL, NULL),
(1898, 'FA2007-0044', 1, NULL, NULL, 'BC N° 7813', 0, NULL, 2354, '2020-08-04 15:16:58', '2020-07-31', NULL, '2020-08-04', '2020-09-14 09:23:56', '2020-09-14 07:23:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 219.25000000, 0.00000000, 0.00000000, 0.00000000, 1096.26000000, 1315.51000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance L15 à 25298 HRS<br />\r\nRemplacement cartouches filtres reseaux<br />\r\n<br />\r\nBL N°18 du 15/07/2020<br />\r\nCommande N°7813<br />\r\n<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1096.26000000, 219.25000000, 1315.51000000, NULL, 'facture/FA2007-0044/FA2007-0044.pdf', NULL, NULL),
(1900, 'AV2007-0002', 1, NULL, NULL, NULL, 2, NULL, 2354, '2020-08-04 15:24:11', '2020-07-31', NULL, '2020-08-04', '2020-09-14 09:24:29', '2020-09-14 07:24:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -13.58000000, 0.00000000, 0.00000000, 0.00000000, -67.83000000, -81.41000000, 2, 5, NULL, 5, 8, 1898, NULL, NULL, NULL, 0, 2, '2020-07-31', NULL, 'reprise de cartouches de filtres reseaux ( + 3 ans )&nbsp;', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 67.83000000, 13.58000000, 81.41000000, NULL, 'facture/AV2007-0002/AV2007-0002.pdf', NULL, NULL),
(1901, 'FA2008-0001', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-08-04 15:45:49', '2020-08-04', NULL, '2020-08-04', '2020-10-01 13:17:06', '2020-10-01 11:17:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA2008-0001/FA2008-0001.pdf', NULL, NULL),
(1902, 'FA2007-0045', 1, NULL, NULL, NULL, 0, NULL, 12877, '2020-08-04 15:51:53', '2020-07-31', NULL, '2020-08-04', '2020-09-30 08:59:43', '2020-09-30 06:59:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 134.68000000, 0.00000000, 0.00000000, 0.00000000, 673.35000000, 808.03000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-08-31', NULL, 'Maintenance RS PRO 11 N&deg;930064 &agrave; 2813 HRS<br />\r\n<br />\r\nBL N&deg;16 du 06/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 673.35000000, 134.68000000, 808.03000000, NULL, 'facture/FA2007-0045/FA2007-0045.pdf', NULL, NULL),
(1903, 'FA2007-0046', 1, NULL, NULL, NULL, 0, NULL, 12877, '2020-08-04 16:16:37', '2020-07-31', NULL, '2020-08-04', '2020-09-30 08:59:43', '2020-09-30 06:59:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 134.68000000, 0.00000000, 0.00000000, 0.00000000, 673.35000000, 808.03000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-08-31', NULL, 'Maintenance compresseur rs pro 11 N&deg; 913099 &agrave; 2627HRS de 2019&nbsp; suivant contrat liss&eacute; N&deg;201910041519 de 2019', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 673.35000000, 134.68000000, 808.03000000, NULL, 'facture/FA2007-0046/FA2007-0046.pdf', NULL, NULL),
(1904, 'FA2007-0047', 1, NULL, NULL, NULL, 0, NULL, 10293, '2020-08-05 09:37:55', '2020-07-31', NULL, '2020-08-05', '2020-10-01 13:14:29', '2020-10-01 11:14:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 314.70000000, 0.00000000, 0.00000000, 0.00000000, 1573.46000000, 1888.16000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-08-31', NULL, 'R&eacute;alisation eninox serti d&#39;une extension de reseau d&#39;air<br />\r\n<br />\r\nBL N&deg;29 du 06/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1573.46000000, 314.70000000, 1888.16000000, NULL, 'facture/FA2007-0047/FA2007-0047.pdf', NULL, NULL),
(1905, 'FA2007-0048', 1, NULL, NULL, NULL, 0, NULL, 2407, '2020-08-05 09:43:22', '2020-07-31', NULL, '2020-08-05', '2020-09-29 09:19:12', '2020-09-29 07:19:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 8.30000000, 0.00000000, 0.00000000, 0.00000000, 41.51000000, 49.81000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Commande N&deg;907848704<br />\r\nN&deg; de version : 0<br />\r\nN&deg;Entreprise : 10760<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 41.51000000, 8.30000000, 49.81000000, NULL, 'facture/FA2007-0048/FA2007-0048.pdf', NULL, NULL),
(1906, 'FA2007-0049', 1, NULL, NULL, NULL, 0, NULL, 2406, '2020-08-05 09:44:55', '2020-07-31', NULL, '2020-08-05', '2020-09-07 09:15:29', '2020-09-07 07:15:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 35.48000000, 0.00000000, 0.00000000, 0.00000000, 177.40000000, 212.88000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Cartouches filtres r&eacute;seaux BL N&deg;32 du 16/06/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 177.40000000, 35.48000000, 212.88000000, NULL, 'facture/FA2007-0049/FA2007-0049.pdf', NULL, NULL),
(1907, 'FA2007-0050', 1, NULL, NULL, NULL, 0, NULL, 11435, '2020-08-05 14:47:46', '2020-07-31', NULL, '2020-08-05', '2020-09-01 10:41:31', '2020-09-01 08:41:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 196.80000000, 0.00000000, 0.00000000, 0.00000000, 983.98000000, 1180.78000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Remplacement bague a levre sur compresseur L30RS N&deg; CD100139522002<br />\r\n<br />\r\nBL N&deg;37 du 29/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 983.98000000, 196.80000000, 1180.78000000, NULL, 'facture/FA2007-0050/FA2007-0050.pdf', NULL, NULL),
(1908, 'FA2008-0002', 1, NULL, NULL, NULL, 0, NULL, 5741, '2020-08-05 15:03:43', '2020-08-05', NULL, '2020-08-05', '2020-10-16 10:29:40', '2020-10-16 08:29:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 88.62000000, 0.00000000, 0.00000000, 0.00000000, 443.09000000, 531.71000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-09-30', NULL, 'Maintenance compresseur RAllye 086 &agrave; 59012HRS<br />\r\nBL N&deg;46 du 05/08/2020<br />\r\n<br />\r\nCommande N&deg; 12923', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 443.09000000, 88.62000000, 531.71000000, NULL, 'facture/FA2008-0002/FA2008-0002.pdf', NULL, NULL),
(1909, 'FA2008-0003', 1, NULL, NULL, NULL, 0, NULL, 5741, '2020-08-05 15:07:52', '2020-08-05', NULL, '2020-08-05', '2020-10-16 10:29:41', '2020-10-16 08:29:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 161.37000000, 0.00000000, 0.00000000, 0.00000000, 806.85000000, 968.22000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-09-30', NULL, 'Maintenance compresseur L75 &agrave; 25442HRS<br />\r\nBL N&deg;45 du 05/08/2020<br />\r\n<br />\r\nCommande N&deg;&nbsp;12923', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 806.85000000, 161.37000000, 968.22000000, NULL, 'facture/FA2008-0003/FA2008-0003.pdf', NULL, NULL),
(1910, 'FA2007-0051', 1, NULL, NULL, NULL, 0, NULL, 2011, '2020-08-05 16:02:30', '2020-07-31', NULL, '2020-08-05', '2020-09-16 11:45:09', '2020-09-16 09:45:09', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 82.25000000, 0.00000000, 0.00000000, 0.00000000, 411.26000000, 493.51000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Remplacement moteur du compresseur L07RS N&deg; CD10039960002 &agrave; 7243HRS<br />\r\nBL N&deg;13 du 30/06/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 411.26000000, 82.25000000, 493.51000000, NULL, 'facture/FA2007-0051/FA2007-0051.pdf', NULL, NULL),
(1911, 'FA2007-0052', 1, NULL, NULL, NULL, 0, NULL, 2086, '2020-08-05 16:14:52', '2020-07-31', NULL, '2020-08-05', '2020-09-04 09:36:03', '2020-09-04 07:36:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 123.26000000, 0.00000000, 0.00000000, 0.00000000, 616.31000000, 739.57000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance L11RS N&deg;BA31759001 &agrave; 24239 HRS<br />\r\n<br />\r\nBL N&deg;29 du 27/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 616.31000000, 123.26000000, 739.57000000, NULL, 'facture/FA2007-0052/FA2007-0052.pdf', NULL, NULL),
(1912, 'FA2007-0053', 1, NULL, NULL, NULL, 0, NULL, 2090, '2020-08-06 09:12:11', '2020-07-31', NULL, '2020-08-06', '2020-10-12 09:42:45', '2020-10-12 07:42:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 4.19000000, 0.00000000, 0.00000000, 0.00000000, 20.96000000, 25.15000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'remplacement ressort sur enrouleur 298 10 015<br />\r\n<br />\r\nBL N&deg; 40 du 30/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 20.96000000, 4.19000000, 25.15000000, NULL, 'facture/FA2007-0053/FA2007-0053.pdf', NULL, NULL),
(1913, 'FA2007-0054', 1, NULL, NULL, NULL, 0, NULL, 2103, '2020-08-06 09:29:49', '2020-07-31', NULL, '2020-08-06', '2020-08-31 09:27:25', '2020-08-31 07:27:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 82.77000000, 0.00000000, 0.00000000, 0.00000000, 413.84000000, 496.61000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Intervention sur compresseur L45rs - remplacement monture &agrave; niveau<br />\r\n<br />\r\nBL N&deg;33 du 29/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 413.84000000, 82.77000000, 496.61000000, NULL, 'facture/FA2007-0054/FA2007-0054.pdf', NULL, NULL),
(1914, 'FA2007-0055', 1, NULL, NULL, NULL, 0, NULL, 2231, '2020-08-06 09:52:21', '2020-07-31', NULL, '2020-08-06', '2020-09-16 11:45:52', '2020-09-16 09:45:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 119.47000000, 0.00000000, 0.00000000, 0.00000000, 597.36000000, 716.83000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance L15 N&deg; CD10001593001 &agrave; 14945 HRS<br />\r\n<br />\r\nBL N&deg;39 du 30/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 597.36000000, 119.47000000, 716.83000000, NULL, 'facture/FA2007-0055/FA2007-0055.pdf', NULL, NULL),
(1915, 'FA2007-0056', 1, NULL, NULL, NULL, 0, NULL, 2263, '2020-08-06 10:28:27', '2020-07-31', NULL, '2020-08-06', '2020-09-10 16:09:53', '2020-09-10 14:09:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 219.78000000, 0.00000000, 0.00000000, 0.00000000, 1098.88000000, 1318.66000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance L11 N&deg;349027/0894 &agrave; 14....HRS<br />\r\n<br />\r\nBL N&deg;38 du 29/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1098.88000000, 219.78000000, 1318.66000000, NULL, 'facture/FA2007-0056/FA2007-0056.pdf', NULL, NULL),
(1916, 'FA2007-0057', 1, NULL, NULL, NULL, 0, NULL, 10087, '2020-08-06 10:38:27', '2020-07-31', NULL, '2020-08-13', '2020-09-30 08:58:58', '2020-09-30 06:58:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 361.17000000, 0.00000000, 0.00000000, 0.00000000, 1805.99000000, 2167.16000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-08-31', NULL, 'Maintenance local air comprim&eacute;<br />\r\n<br />\r\nBL N&deg; 35 &amp; 36 du 30/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1805.99000000, 361.17000000, 2167.16000000, NULL, 'facture/FA2007-0057/FA2007-0057.pdf', NULL, NULL),
(1917, 'FA2007-0058', 1, NULL, NULL, NULL, 0, NULL, 2355, '2020-08-06 10:49:51', '2020-07-31', NULL, '2020-08-06', '2020-09-11 10:21:59', '2020-09-11 08:21:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 129.23000000, 0.00000000, 0.00000000, 0.00000000, 646.19000000, 775.42000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-08-31', NULL, 'Maintenance compresseur RSDK PRO 11 N&deg;927004 &agrave; 764 HRS<br />\r\n<br />\r\nBL N&deg;34 du 29/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 646.19000000, 129.23000000, 775.42000000, NULL, 'facture/FA2007-0058/FA2007-0058.pdf', NULL, NULL),
(1918, 'FA2008-0004', 1, NULL, NULL, NULL, 0, NULL, 2142, '2020-08-12 09:56:18', '2020-08-12', NULL, '2020-08-12', '2020-10-01 13:18:08', '2020-10-01 11:18:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 34.72000000, 0.00000000, 0.00000000, 0.00000000, 173.60000000, 208.32000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Sonde de temperature pour compresseur L22S .', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 173.60000000, 34.72000000, 208.32000000, NULL, 'facture/FA2008-0004/FA2008-0004.pdf', NULL, NULL),
(1919, 'FA2008-0005', 1, NULL, NULL, NULL, 0, NULL, 1940, '2020-08-12 10:01:55', '2020-08-12', NULL, '2020-08-12', '2020-10-16 10:30:37', '2020-10-16 08:30:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 450.36000000, 0.00000000, 0.00000000, 0.00000000, 2251.76000000, 2702.12000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Maintenance compresseur L45RS N&deg; CD10023839001 &agrave; 26650 HRS<br />\r\nRemplacement des cartouches des filtres reseaux<br />\r\nMaintenance separateur de condensats Owamat14<br />\r\n<br />\r\nBL N&deg;02 du 11/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2251.76000000, 450.36000000, 2702.12000000, NULL, 'facture/FA2008-0005/FA2008-0005.pdf', NULL, NULL),
(1920, 'FA2008-0006', 1, NULL, NULL, NULL, 0, NULL, 2049, '2020-08-12 10:07:14', '2020-08-12', NULL, '2020-08-12', '2020-09-02 13:28:22', '2020-09-02 11:28:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 114.25000000, 0.00000000, 0.00000000, 0.00000000, 571.28000000, 685.53000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Maintenance&nbsp;compresseur cyclon 222 N&deg;F165/2079 &agrave; 7287 Hrs<br />\r\n<br />\r\nBL N&deg;40 du 05/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 571.28000000, 114.25000000, 685.53000000, NULL, 'facture/FA2008-0006/FA2008-0006.pdf', NULL, NULL),
(1921, 'FA2008-0007', 1, NULL, NULL, NULL, 0, NULL, 2056, '2020-08-12 10:14:38', '2020-08-12', NULL, '2020-08-12', '2020-10-01 13:15:41', '2020-10-01 11:15:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 185.69000000, 0.00000000, 0.00000000, 0.00000000, 928.43000000, 1114.12000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Maintenance compresseur COMPAIR L11&nbsp; N&deg;&nbsp;BA36466001 &agrave; 6871 HRS<br />\r\n<br />\r\nBL N&deg;41 du 08/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 928.43000000, 185.69000000, 1114.12000000, NULL, 'facture/FA2008-0007/FA2008-0007.pdf', NULL, NULL),
(1922, 'FA2008-0008', 1, NULL, NULL, NULL, 0, NULL, 2150, '2020-08-12 10:22:15', '2020-08-12', NULL, '2020-08-12', '2020-10-12 09:45:00', '2020-10-12 07:45:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 99.19000000, 0.00000000, 0.00000000, 0.00000000, 495.99000000, 595.18000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Maintenance L04 N&deg; ba35401001 &agrave; 2470 HRS<br />\r\n<br />\r\nBL N&deg;49 du 11/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 495.99000000, 99.19000000, 595.18000000, NULL, 'facture/FA2008-0008/FA2008-0008.pdf', NULL, NULL),
(1923, 'FA2008-0009', 1, NULL, NULL, NULL, 0, NULL, 10189, '2020-08-12 10:26:57', '2020-08-12', NULL, '2020-08-12', '2020-10-01 13:15:11', '2020-10-01 11:15:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 520.00000000, 0.00000000, 0.00000000, 0.00000000, 2600.00000000, 3120.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 0, '2020-09-30', NULL, 'Commande N&deg; CF200067', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2600.00000000, 520.00000000, 3120.00000000, NULL, 'facture/FA2008-0009/FA2008-0009.pdf', NULL, NULL),
(1924, 'FA2008-0010', 1, NULL, NULL, NULL, 0, NULL, 2286, '2020-08-12 10:43:41', '2020-08-12', NULL, '2020-08-12', '2020-09-21 09:23:27', '2020-09-21 07:23:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 96.95000000, 0.00000000, 0.00000000, 0.00000000, 484.73000000, 581.68000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Maintenance L15RS N&deg; CD1001618001 &agrave; 12901 HRS<br />\r\n<br />\r\nBL N&deg;44 du 04/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 484.73000000, 96.95000000, 581.68000000, NULL, 'facture/FA2008-0010/FA2008-0010.pdf', NULL, NULL),
(1925, 'FA2008-0011', 1, NULL, NULL, NULL, 0, NULL, 2311, '2020-08-12 10:52:20', '2020-08-12', NULL, '2020-08-12', '2020-10-05 09:56:47', '2020-10-05 07:56:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 248.55000000, 0.00000000, 0.00000000, 0.00000000, 1242.76000000, 1491.31000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Maintenance :<br />\r\nCompresseur devillbiss SCR10 &agrave; 16856 HRS<br />\r\nBL N&deg;37 du 03/08/2020<br />\r\nCompresseur CLR50<br />\r\nRemplacement des 2 cartouches des filtres reseaux<br />\r\nBL N&deg; 39 du 03/08/2020<br />\r\nCompresseur STAR2008 &agrave; 21860 HRS<br />\r\nBL N&deg;38 du 03/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1242.76000000, 248.55000000, 1491.31000000, NULL, 'facture/FA2008-0011/FA2008-0011.pdf', NULL, NULL),
(1926, 'FA2008-0012', 1, NULL, NULL, NULL, 0, NULL, 2358, '2020-08-12 11:55:07', '2020-08-12', NULL, '2020-08-12', '2020-10-07 09:05:37', '2020-10-07 07:05:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 347.12000000, 0.00000000, 0.00000000, 0.00000000, 1735.66000000, 2082.78000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Maintenance des deux compresseurs :<br />\r\nGA30 &agrave; 15118 HRS<br />\r\nGA90 &agrave; 39704 HRS<br />\r\n<br />\r\nBL N&deg;48 &amp; 47 du 06/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1735.66000000, 347.12000000, 2082.78000000, NULL, 'facture/FA2008-0012/FA2008-0012.pdf', NULL, NULL),
(1927, 'FA2008-0013', 1, NULL, NULL, NULL, 0, NULL, 2331, '2020-08-12 12:07:17', '2020-08-12', NULL, '2020-08-12', '2020-09-03 12:13:04', '2020-09-03 10:13:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 131.60000000, 0.00000000, 0.00000000, 0.00000000, 658.08000000, 789.68000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Maintenance GA22FF<br />\r\n<br />\r\nBL N&deg;42 du 08/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 658.08000000, 131.60000000, 789.68000000, NULL, 'facture/FA2008-0013/FA2008-0013.pdf', NULL, NULL),
(1928, 'FA2008-0014', 1, NULL, NULL, NULL, 0, NULL, 13130, '2020-08-12 14:16:21', '2020-08-12', NULL, '2020-08-12', '2020-10-16 10:31:54', '2020-10-16 08:31:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 43.19000000, 0.00000000, 0.00000000, 0.00000000, 215.96000000, 259.15000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-09-30', NULL, 'Remplacement purge sur cuve du compresseur L110RS<br />\r\n<br />\r\nSIte : 38 La cote saint andr&eacute;<br />\r\nCommande : Montuel Bain Sandy<br />\r\nCommande&nbsp; :S97220071020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 215.96000000, 43.19000000, 259.15000000, NULL, 'facture/FA2008-0014/FA2008-0014.pdf', NULL, NULL),
(1929, 'FA2008-0015', 1, NULL, NULL, NULL, 0, NULL, 2379, '2020-08-12 14:30:59', '2020-08-12', NULL, '2020-08-12', '2020-10-26 09:19:19', '2020-10-26 08:19:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 303.00000000, 0.00000000, 0.00000000, 0.00000000, 1515.05000000, 1818.05000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Maintenance L15RS N&deg; CD10024800002 &agrave; 8018 HRS<br />\r\nMaintenance separateur de condensats Owamat 10<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;42 du 03/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1515.05000000, 303.00000000, 1818.05000000, NULL, 'facture/FA2008-0015/FA2008-0015.pdf', NULL, NULL),
(1930, 'FA2008-0016', 1, NULL, NULL, NULL, 0, NULL, 2321, '2020-08-13 10:27:06', '2020-08-13', NULL, '2020-08-13', '2020-10-16 10:30:08', '2020-10-16 08:30:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 157.43000000, 0.00000000, 0.00000000, 0.00000000, 787.14000000, 944.57000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Maintenance compresseur L15 &agrave; 7551 HRS Suivant contrat liss&eacute;<br />\r\nMaintenance separateur de condensats Owamat 10<br />\r\n<br />\r\nBL N&deg; 50 du 12/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 787.14000000, 157.43000000, 944.57000000, NULL, 'facture/FA2008-0016/FA2008-0016.pdf', NULL, NULL),
(1931, 'FA2008-0017', 1, NULL, NULL, NULL, 0, NULL, 2140, '2020-08-13 11:04:15', '2020-08-13', NULL, '2020-08-13', '2020-10-07 09:04:56', '2020-10-07 07:04:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 273.80000000, 0.00000000, 0.00000000, 0.00000000, 1369.00000000, 1642.80000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1369.00000000, 273.80000000, 1642.80000000, NULL, 'facture/FA2008-0017/FA2008-0017.pdf', NULL, NULL),
(1932, 'FA2008-0018', 1, NULL, NULL, NULL, 0, NULL, 2022, '2020-08-13 15:51:16', '2020-08-13', NULL, '2020-08-13', '2020-10-12 09:43:12', '2020-10-12 07:43:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 338.45000000, 0.00000000, 0.00000000, 0.00000000, 1692.23000000, 2030.68000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Remplacement en lieu et place de votre s&eacute;cheur MPF140 par un s&eacute;cheur par r&eacute;frigeration &eacute;quivalent&nbsp;<br />\r\n<br />\r\nCommande :&nbsp;940518295<br />\r\n<br />\r\nBL N&deg;04 du 13/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1692.23000000, 338.45000000, 2030.68000000, NULL, 'facture/FA2008-0018/FA2008-0018.pdf', NULL, NULL),
(1933, 'FA2008-0019', 1, NULL, NULL, NULL, 0, NULL, 2184, '2020-08-14 09:00:02', '2020-08-14', NULL, '2020-08-14', '2020-10-20 08:53:05', '2020-10-20 06:53:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 380.24000000, 0.00000000, 0.00000000, 0.00000000, 1901.22000000, 2281.46000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Maintenance L45RS N&deg; CD10015552001 en huile alimentaire &agrave; 36965H<br />\r\n<br />\r\nBL N&deg;5 du 13/08/2020<br />\r\n<br />\r\nCommande N&deg;\r\n<table>\r\n	<tbody>\r\n		<tr>\r\n			<td>PO ID</td>\r\n			<td>7100161294</td>\r\n		</tr>\r\n	</tbody>\r\n</table>', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1901.22000000, 380.24000000, 2281.46000000, NULL, 'facture/FA2008-0019/FA2008-0019.pdf', NULL, NULL),
(1934, 'FA2008-0020', 1, NULL, NULL, NULL, 0, NULL, 2338, '2020-08-17 10:22:16', '2020-08-17', NULL, '2020-08-17', '2020-11-02 09:12:14', '2020-11-02 08:12:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 141.81000000, 0.00000000, 0.00000000, 0.00000000, 709.05000000, 850.86000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Maintenance L07RS&nbsp; N&deg;BA33311001 &agrave; 17100HRS - CONTRAT LISSE ( FIN )&nbsp;<br />\r\nMaintenance Rollair 1500AX &agrave; 41263 HRS<br />\r\nBL N&deg; 6 &amp; 7 du 14/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 709.05000000, 141.81000000, 850.86000000, NULL, 'facture/FA2008-0020/FA2008-0020.pdf', NULL, NULL),
(1935, 'FA2008-0021', 1, NULL, NULL, NULL, 0, NULL, 2007, '2020-08-17 14:31:37', '2020-08-17', NULL, '2020-08-17', '2020-10-07 09:06:17', '2020-10-07 07:06:17', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 136.61000000, 0.00000000, 0.00000000, 0.00000000, 683.10000000, 819.71000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Maintenance Hv 02 N&deg;s02029339-1408<br />\r\n<br />\r\nBL N&deg;9 du 17/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 683.10000000, 136.61000000, 819.71000000, NULL, 'facture/FA2008-0021/FA2008-0021.pdf', NULL, NULL),
(1936, 'FA2008-0022', 1, NULL, NULL, NULL, 0, NULL, 2197, '2020-08-19 09:34:16', '2020-08-19', NULL, '2020-08-19', '2020-08-21 10:10:05', '2020-08-21 08:10:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.83000000, 0.00000000, 0.00000000, 0.00000000, 114.13000000, 136.96000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 114.13000000, 22.83000000, 136.96000000, NULL, 'facture/FA2008-0022/FA2008-0022.pdf', NULL, NULL),
(1937, 'FA2008-0023', 1, NULL, NULL, NULL, 0, NULL, 13139, '2020-08-19 09:35:05', '2020-08-19', NULL, '2020-08-19', '2020-08-21 10:10:44', '2020-08-21 08:10:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 21.50000000, 0.00000000, 0.00000000, 0.00000000, 107.50000000, 129.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 9, 0, '2020-08-20', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-20', 0, NULL, NULL, 0, 'EUR', 1.00000000, 107.50000000, 21.50000000, 129.00000000, NULL, 'facture/FA2008-0023/FA2008-0023.pdf', NULL, NULL),
(1938, 'FA2008-0024', 1, NULL, NULL, NULL, 0, NULL, 2103, '2020-08-19 14:35:42', '2020-08-19', NULL, '2020-08-19', '2020-10-01 13:17:41', '2020-10-01 11:17:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 696.07000000, 0.00000000, 0.00000000, 0.00000000, 3480.37000000, 4176.44000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Ligne electrique pour L22 (22Kw), protection de t&ecirc;te 63 amp + 300Ma, 72 m c&acirc;ble R2V 5G16mm&sup2;. 2 Nacelles necessaires 1 toucan et une deport&eacute;e. un sectionneur de priximit&eacute; 63 amp<br />\r\n<br />\r\nBL N&deg;10 du 18/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 3480.37000000, 696.07000000, 4176.44000000, NULL, 'facture/FA2008-0024/FA2008-0024.pdf', NULL, NULL),
(1939, 'FA2008-0025', 1, NULL, NULL, NULL, 0, NULL, 2103, '2020-08-19 14:50:17', '2020-08-19', NULL, '2020-08-19', '2020-10-01 13:17:42', '2020-10-01 11:17:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1626.00000000, 0.00000000, 0.00000000, 0.00000000, 8130.00000000, 9756.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Founiture et raccordement d&#39;un compresseur d&#39;air 22KW et d&#39;un filtre cyclonique<br />\r\n<br />\r\nBL N&deg;10 du 18/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 8130.00000000, 1626.00000000, 9756.00000000, NULL, 'facture/FA2008-0025/FA2008-0025.pdf', NULL, NULL),
(1940, 'FA2008-0026', 1, NULL, NULL, NULL, 0, NULL, 11209, '2020-08-26 10:08:36', '2020-08-26', NULL, '2020-08-26', '2020-11-12 09:11:40', '2020-11-12 08:11:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 109.66000000, 0.00000000, 0.00000000, 0.00000000, 548.26000000, 657.92000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-09-30', NULL, 'Maintenance compresseur BELAIR GS30 N&deg;MMJS040020 de 2014 &agrave; 34151 HRS<br />\r\n<br />\r\nBL N&deg;14 du 25/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 548.26000000, 109.66000000, 657.92000000, NULL, 'facture/FA2008-0026/FA2008-0026.pdf', NULL, NULL),
(1941, 'AC2008-0001', 1, NULL, NULL, NULL, 3, NULL, 10010, '2020-08-26 10:18:34', '2020-08-26', NULL, '2020-08-26', '2020-09-28 09:36:31', '2020-09-28 07:36:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1693.62000000, 0.00000000, 0.00000000, 0.00000000, 8468.13000000, 10161.75000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 0, '2020-08-27', NULL, 'Acompte 30% de la commande N&deg; 500283<br />\r\nmontant global : 28 227.09&nbsp; HT', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-27', 0, NULL, NULL, 0, 'EUR', 1.00000000, 8468.13000000, 1693.62000000, 10161.75000000, NULL, 'facture/AC2008-0001/AC2008-0001.pdf', NULL, NULL),
(1943, 'AC2008-0002', 1, NULL, NULL, NULL, 3, NULL, 1990, '2020-08-26 10:33:38', '2020-08-26', NULL, '2020-08-26', '2020-09-24 12:59:52', '2020-09-24 10:59:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 753.84000000, 0.00000000, 0.00000000, 0.00000000, 3769.20000000, 4523.04000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 2, '2020-08-27', NULL, 'Acompte de votre commande : Cr&eacute;ation de 3 reseaux en inox sertis<br />\r\n<br />\r\nMontant global : 12564 euros HT', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-27', 0, NULL, NULL, 0, 'EUR', 1.00000000, 3769.20000000, 753.84000000, 4523.04000000, NULL, 'facture/AC2008-0002/AC2008-0002.pdf', NULL, NULL),
(1944, 'FA2008-0027', 1, NULL, NULL, NULL, 0, NULL, 2123, '2020-08-26 10:36:44', '2020-08-26', NULL, '2020-08-26', '2020-10-16 10:29:06', '2020-10-16 08:29:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 56.57000000, 0.00000000, 0.00000000, 0.00000000, 282.86000000, 339.43000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Commande N&deg; 510947', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 282.86000000, 56.57000000, 339.43000000, NULL, 'facture/FA2008-0027/FA2008-0027.pdf', NULL, NULL),
(1945, 'FA2008-0028', 1, NULL, NULL, NULL, 0, NULL, 2169, '2020-08-26 10:45:51', '2020-08-26', NULL, '2020-08-26', '2020-10-01 13:16:14', '2020-10-01 11:16:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 291.30000000, 0.00000000, 0.00000000, 0.00000000, 1456.61000000, 1747.91000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-09-30', NULL, 'Mise en conformit&eacute; APAVE electricit&eacute;&nbsp;<br />\r\n<br />\r\nBL N&deg;12 du 20/08/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1456.61000000, 291.30000000, 1747.91000000, NULL, 'facture/FA2008-0028/FA2008-0028.pdf', NULL, NULL),
(1946, 'FA2008-0029', 1, NULL, NULL, NULL, 0, NULL, 13140, '2020-08-26 11:04:15', '2020-08-26', NULL, '2020-08-26', '2020-10-12 09:44:26', '2020-10-12 07:44:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 396.20000000, 0.00000000, 0.00000000, 0.00000000, 1981.00000000, 2377.20000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-09-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1981.00000000, 396.20000000, 2377.20000000, NULL, 'facture/FA2008-0029/FA2008-0029.pdf', NULL, NULL),
(1947, 'FA2009-0001', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-09-01 10:50:13', '2020-09-01', NULL, '2020-09-01', '2020-11-02 09:13:24', '2020-11-02 08:13:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA2009-0001/FA2009-0001.pdf', NULL, NULL),
(1948, 'FA2009-0002', 1, NULL, NULL, NULL, 0, NULL, 2050, '2020-09-01 15:05:41', '2020-09-01', NULL, '2020-09-01', '2020-11-20 09:51:51', '2020-11-20 08:51:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 60.96000000, 0.00000000, 0.00000000, 0.00000000, 304.80000000, 365.76000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'GARANTIE CAPAG - L18<br />\r\nN&deg; WC-2020-0070536', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 304.80000000, 60.96000000, 365.76000000, NULL, 'facture/FA2009-0002/FA2009-0002.pdf', NULL, NULL),
(1949, 'FA2008-0030', 1, NULL, NULL, NULL, 0, NULL, 12656, '2020-09-02 10:15:45', '2020-08-31', NULL, '2020-09-02', '2020-09-15 16:41:45', '2020-09-15 14:41:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2548.00000000, 0.00000000, 0.00000000, 0.00000000, 12740.00000000, 15288.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-09-30', NULL, 'Local air comprim&eacute; comprenant un compresseur &agrave; vitesse variable&nbsp;<strong>mise en place d&rsquo;un syst&egrave;me de variation &eacute;lectronique de vitesse</strong>11 KW 7.5B RENNER R&eacute;ference :&nbsp; RSDKF PRO ECN 11 7.5B , une filtration BEA300RA installation et raccordement de l&#39;ensemble au reseau existant .<br />\r\n<br />\r\n<strong>adresse des travaux : HCG 310 Chemin de la Gare 38840 Saint lattier</strong>', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 12740.00000000, 2548.00000000, 15288.00000000, NULL, 'facture/FA2008-0030/FA2008-0030.pdf', NULL, NULL),
(1951, 'AV2009-0001', 1, NULL, NULL, NULL, 2, NULL, 2011, '2020-09-07 10:32:28', '2020-09-07', NULL, '2020-09-07', '2020-09-16 11:44:11', '2020-09-16 09:44:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -51.07000000, 0.00000000, 0.00000000, 0.00000000, -255.36000000, -306.43000000, 2, 5, NULL, 5, 8, 1910, NULL, NULL, NULL, 0, 2, '2020-09-07', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, -255.36000000, -51.07000000, -306.43000000, NULL, 'facture/AV2009-0001/AV2009-0001.pdf', NULL, NULL),
(1953, 'FA2009-0003', 1, NULL, NULL, NULL, 0, NULL, 2032, '2020-09-17 15:54:20', '2020-09-17', NULL, '2020-09-21', '2020-09-21 09:52:08', '2020-09-21 07:52:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 186.22000000, 0.00000000, 0.00000000, 0.00000000, 931.10000000, 1117.32000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 9, 2, '2020-09-18', NULL, 'Commande CF014448 - <br />\r\nD. 801779 24-01-2020 / 24/01/20', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-18', 0, NULL, NULL, 0, 'EUR', 1.00000000, 931.10000000, 186.22000000, 1117.32000000, NULL, 'facture/FA2009-0003/FA2009-0003.pdf', NULL, NULL),
(1954, '(PROV1954)', 1, NULL, NULL, NULL, 0, NULL, 13140, '2020-09-18 14:46:33', '2020-09-18', NULL, NULL, NULL, '2020-09-18 12:52:09', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 1830.80000000, 0.00000000, 0.00000000, 0.00000000, 9154.00000000, 10984.80000000, 0, 5, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, '2020-09-19', NULL, '<ul>\r\n	<li style=\"list-style-type:none\">\r\n	<ul style=\"list-style-type:circle\">\r\n		<li><span style=\"font-size:12pt\"><span style=\"font-family:&quot;Times New Roman&quot;,serif\"><strong><span style=\"font-family:&quot;Tahoma&quot;,&quot;sans-serif&quot;\">2 postes de travail (au sol ou avec table &eacute;l&eacute;vatrice) &agrave; mettre aux normes par la collecte et l&rsquo;&eacute;vacuation des gaz &eacute;chappement en toiture &ndash; Chemin&eacute;e en diam. 160 existante - </span></strong></span></span></li>\r\n		<li><span style=\"font-size:12pt\"><span style=\"font-family:&quot;Times New Roman&quot;,serif\"><strong><span style=\"font-family:&quot;Tahoma&quot;,&quot;sans-serif&quot;\">Tuyauterie a&eacute;raulique en acier galvanis&eacute; lisse, 2 bras articul&eacute;s de 4m, Groupe d&rsquo;aspiration, Accessoires r&eacute;seau habituels, Mise &agrave; la terre, tous raccordements par SFACS + Mo et d&eacute;placement (Ligne &eacute;lectrique amen&eacute;e par vous, bo&icirc;tier M/A avec protection thermique fourni et pos&eacute; par SFACS)</span></strong></span></span></li>\r\n		<li><span style=\"font-size:12pt\"><span style=\"font-family:&quot;Times New Roman&quot;,serif\"><strong><span style=\"font-family:&quot;Tahoma&quot;,&quot;sans-serif&quot;\">Norme&nbsp;: 400 m3/h par poste minimum</span></strong></span></span></li>\r\n	</ul>\r\n	</li>\r\n</ul>', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-19', 0, NULL, NULL, 0, 'EUR', 1.00000000, 9154.00000000, 1830.80000000, 10984.80000000, NULL, 'facture/(PROV1954)/(PROV1954).pdf', NULL, NULL),
(1955, 'FA2009-0004', 1, NULL, NULL, NULL, 0, NULL, 2197, '2020-09-21 09:51:14', '2020-09-21', NULL, '2020-09-21', '2020-11-13 09:06:55', '2020-11-13 08:06:55', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.83000000, 0.00000000, 0.00000000, 0.00000000, 114.13000000, 136.96000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 114.13000000, 22.83000000, 136.96000000, NULL, 'facture/FA2009-0004/FA2009-0004.pdf', NULL, NULL),
(1956, 'FA2009-0005', 1, NULL, NULL, NULL, 0, NULL, 2197, '2020-09-21 10:05:35', '2020-09-21', NULL, '2020-09-21', '2020-11-13 09:06:56', '2020-11-13 08:06:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.83000000, 0.00000000, 0.00000000, 0.00000000, 114.13000000, 136.96000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 114.13000000, 22.83000000, 136.96000000, NULL, 'facture/FA2009-0005/FA2009-0005.pdf', NULL, NULL),
(1957, 'AV2009-0002', 1, NULL, NULL, NULL, 2, NULL, 2053, '2020-09-22 09:17:49', '2020-09-22', NULL, '2020-09-22', '2020-09-30 09:01:22', '2020-09-30 07:01:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -725.92000000, 0.00000000, 0.00000000, 0.00000000, -3629.62000000, -4355.54000000, 2, 5, NULL, 5, 8, 1880, NULL, NULL, NULL, 0, 2, '2020-09-22', NULL, 'Maintenance local AC', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, -3629.62000000, -725.92000000, -4355.54000000, NULL, 'facture/AV2009-0002/AV2009-0002.pdf', NULL, NULL),
(1958, 'FA2009-0006', 1, NULL, NULL, NULL, 0, NULL, 2053, '2020-09-22 09:19:12', '2020-09-22', NULL, '2020-09-22', '2020-10-16 10:26:32', '2020-10-16 08:26:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 802.60000000, 0.00000000, 0.00000000, 0.00000000, 4012.69000000, 4815.29000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 1, 2, '2020-10-31', NULL, 'Maintenance local air comprimé : <br />\r\nMaintenance L18RS CD10025398001 à 12898 HRS<br />\r\nRemplcament cartouches des 3 filtres réseaux<br />\r\nMaintenance separateur de condensats KTRON50<br />\r\nBL N°27 du 02/07/2020<br />\r\n<br />\r\nMaintenance compresseur L11 N° BA46497001 à 3509 HRS<br />\r\nRemplacement des cartouches des deux filtres reseaux<br />\r\nBL 25 du 02/07/2020<br />\r\n<br />\r\n<br />\r\nSuivant contrats lissés<br />\r\nMaintenance compresseur KAESER SK22 N° 101955 à 33126 HRS<br />\r\nRemplacement des deux cartouches filtres réseaux<br />\r\nBL N°24 du 02/07/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-08-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 4012.69000000, 802.60000000, 4815.29000000, NULL, 'facture/FA2009-0006/FA2009-0006.pdf', NULL, NULL),
(1959, 'FA2009-0013', 1, NULL, NULL, NULL, 0, NULL, 13145, '2020-09-23 16:18:24', '2020-09-23', NULL, '2020-09-25', '2020-09-28 09:35:41', '2020-09-28 07:35:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 103.08000000, 0.00000000, 0.00000000, 0.00000000, 515.44000000, 618.52000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 9, 0, '2020-09-24', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-24', 0, NULL, NULL, 0, 'EUR', 1.00000000, 515.44000000, 103.08000000, 618.52000000, NULL, 'facture/FA2009-0013/FA2009-0013.pdf', NULL, NULL),
(1960, 'FA2009-0007', 1, NULL, NULL, NULL, 0, NULL, 1940, '2020-09-25 09:32:43', '2020-09-25', NULL, '2020-09-25', '2020-11-17 09:42:42', '2020-11-17 08:42:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 86.24000000, 0.00000000, 0.00000000, 0.00000000, 431.20000000, 517.44000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Bon de commande&nbsp; N&deg; 2020549', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 431.20000000, 86.24000000, 517.44000000, NULL, 'facture/FA2009-0007/FA2009-0007.pdf', NULL, NULL),
(1961, 'FA2009-0008', 1, NULL, NULL, NULL, 0, NULL, 12613, '2020-09-25 09:43:16', '2020-09-25', NULL, '2020-09-25', '2020-11-09 09:18:18', '2020-11-09 08:18:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 172.25000000, 0.00000000, 0.00000000, 0.00000000, 861.28000000, 1033.53000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance HV05 , reinstallation dans le local air comprim&eacute; avec cuve 500L et secheur DD54 avec filtres a&ugrave;mont et aval .<br />\r\nMise en place d&#39;une commande &agrave; distance<br />\r\n<br />\r\nBL N&deg;02 du 23/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 861.28000000, 172.25000000, 1033.53000000, NULL, 'facture/FA2009-0008/FA2009-0008.pdf', NULL, NULL),
(1962, 'FA2009-0009', 1, NULL, NULL, NULL, 0, NULL, 1990, '2020-09-25 10:01:58', '2020-09-25', NULL, '2020-09-25', '2020-11-02 09:22:42', '2020-11-02 08:22:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 70.62000000, 0.00000000, 0.00000000, 0.00000000, 353.12000000, 423.74000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Intervention r&eacute;paration tuyau d&#39;eau 2&#39;&#39; avec manchon de r&eacute;paration<br />\r\n<br />\r\nBL N&deg;39 du 21/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 353.12000000, 70.62000000, 423.74000000, NULL, 'facture/FA2009-0009/FA2009-0009.pdf', NULL, NULL),
(1964, 'FA2009-0010', 1, NULL, NULL, NULL, 0, NULL, 2020, '2020-09-25 10:39:06', '2020-09-25', NULL, '2020-09-25', '2020-11-03 09:16:11', '2020-11-03 08:16:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 195.25000000, 0.00000000, 0.00000000, 0.00000000, 976.20000000, 1171.45000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance compresseur L22 N&deg; CD10043189002 &agrave; 1637 HRS<br />\r\n<br />\r\nSuivant contrat liss&eacute;&nbsp;<br />\r\n<br />\r\nBL N&deg;50 du 14/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 976.20000000, 195.25000000, 1171.45000000, NULL, 'facture/FA2009-0010/FA2009-0010.pdf', NULL, NULL),
(1965, 'FA2009-0011', 1, NULL, NULL, NULL, 0, NULL, 1990, '2020-09-25 10:57:18', '2020-09-25', NULL, '2020-09-25', '2020-11-02 09:22:43', '2020-11-02 08:22:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2512.65000000, 0.00000000, 0.00000000, 0.00000000, 12563.24000000, 15075.89000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Modification de 3 reseaux en innox serti&nbsp;<br />\r\n<br />\r\nBL N&deg;17 du 11/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 12563.24000000, 2512.65000000, 15075.89000000, NULL, 'facture/FA2009-0011/FA2009-0011.pdf', NULL, NULL),
(1966, 'FA2009-0012', 1, NULL, NULL, NULL, 0, NULL, 2016, '2020-09-25 11:22:54', '2020-09-25', NULL, '2020-09-25', '2020-11-30 09:59:24', '2020-11-30 08:59:24', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 149.58000000, 0.00000000, 0.00000000, 0.00000000, 747.90000000, 897.48000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Remplacement flexibles&nbsp; sur compresseur L05<br />\r\n<br />\r\nBL N&deg;32 du 16/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 747.90000000, 149.58000000, 897.48000000, NULL, 'facture/FA2009-0012/FA2009-0012.pdf', NULL, NULL),
(1967, 'FA2009-0014', 1, NULL, NULL, NULL, 0, NULL, 2021, '2020-09-25 15:19:33', '2020-09-25', NULL, '2020-09-25', '2020-11-20 09:54:22', '2020-11-20 08:54:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 59.00000000, 0.00000000, 0.00000000, 0.00000000, 295.00000000, 354.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 295.00000000, 59.00000000, 354.00000000, NULL, 'facture/FA2009-0014/FA2009-0014.pdf', NULL, NULL),
(1968, 'FA2009-0015', 1, NULL, NULL, NULL, 0, NULL, 2021, '2020-09-25 15:27:23', '2020-09-25', NULL, '2020-09-25', '2020-11-20 09:54:22', '2020-11-20 08:54:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 74.00000000, 0.00000000, 0.00000000, 0.00000000, 370.00000000, 444.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 370.00000000, 74.00000000, 444.00000000, NULL, 'facture/FA2009-0015/FA2009-0015.pdf', NULL, NULL),
(1969, 'FA2009-0016', 1, NULL, NULL, NULL, 0, NULL, 2116, '2020-09-28 10:14:04', '2020-09-28', NULL, '2020-09-28', '2020-11-02 09:23:29', '2020-11-02 08:23:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 85.56000000, 0.00000000, 0.00000000, 0.00000000, 427.81000000, 513.37000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance compresseur L11 &agrave; 1396 HRS<br />\r\n<br />\r\nBL N&deg; 37 du 21/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 427.81000000, 85.56000000, 513.37000000, NULL, 'facture/FA2009-0016/FA2009-0016.pdf', NULL, NULL),
(1970, 'FA2009-0017', 1, NULL, NULL, NULL, 0, NULL, 2235, '2020-09-28 10:22:10', '2020-09-28', NULL, '2020-09-28', '2020-12-07 11:54:38', '2020-12-07 10:54:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 7199.99000000, 0.00000000, 0.00000000, 0.00000000, 36000.00000000, 43199.99000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Solde Montant global 36000euros HT<br />\r\n<br />\r\nCommande N° MAI20GLB00025<br />\r\n<br />\r\n<strong>mise en place d’un système de variation électronique de vitesse  sur un compresseur 30 KW ( L29RS ) COMPAIR GD .<br />\r\n<br />\r\nAdresse des travaux  : 470 Rue des Andrillots 26600 GRANGES LES BEAUMONT</strong>', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 36000.00000000, 7199.99000000, 43199.99000000, NULL, 'facture/FA2009-0017/FA2009-0017.pdf', NULL, NULL),
(1971, 'FA2009-0018', 1, NULL, NULL, NULL, 0, NULL, 2276, '2020-09-28 10:34:17', '2020-09-28', NULL, '2020-09-28', '2020-10-28 16:56:28', '2020-10-28 15:56:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 546.15000000, 0.00000000, 0.00000000, 0.00000000, 2730.80000000, 3276.95000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance compresseur L29RS &agrave; 52593 Heures<br />\r\nMaintenance separateur de condensats Owamat 12<br />\r\nRemplacement des deux cartouches des filtres reseaux<br />\r\n<br />\r\nBL N&deg;29 du 14/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2730.80000000, 546.15000000, 3276.95000000, NULL, 'facture/FA2009-0018/FA2009-0018.pdf', NULL, NULL),
(1972, 'FA2009-0019', 1, NULL, NULL, NULL, 0, NULL, 10087, '2020-09-28 10:54:24', '2020-09-28', NULL, '2020-09-28', '2020-11-25 09:56:20', '2020-11-25 08:56:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 135.45000000, 0.00000000, 0.00000000, 0.00000000, 677.26000000, 812.71000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-10-31', NULL, 'Remplacement&nbsp; vanne thermostatique , sonde de temperature et pressostat sur compresseur Rollair 40 .<br />\r\n<br />\r\nBL N&deg;26 du 09/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 677.26000000, 135.45000000, 812.71000000, NULL, 'facture/FA2009-0019/FA2009-0019.pdf', NULL, NULL),
(1973, 'FA2009-0020', 1, NULL, NULL, NULL, 0, NULL, 2261, '2020-09-28 11:29:18', '2020-09-28', NULL, '2020-09-28', '2020-11-26 13:15:26', '2020-11-26 12:15:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 88.08000000, 0.00000000, 0.00000000, 0.00000000, 440.42000000, 528.50000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 440.42000000, 88.08000000, 528.50000000, NULL, 'facture/FA2009-0020/FA2009-0020.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1974, 'FA2009-0021', 1, NULL, NULL, NULL, 0, NULL, 10293, '2020-09-28 11:55:07', '2020-09-28', NULL, '2020-09-28', '2020-12-01 09:52:34', '2020-12-01 08:52:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 148.57000000, 0.00000000, 0.00000000, 0.00000000, 742.86000000, 891.43000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-10-31', NULL, 'Installation de 2 filtres r&eacute;seaux sur cabine &agrave; peinture&nbsp;<br />\r\n<br />\r\nBL N&deg;1 du 17/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 742.86000000, 148.57000000, 891.43000000, NULL, 'facture/FA2009-0021/FA2009-0021.pdf', NULL, NULL),
(1975, 'AC2009-0001', 1, NULL, NULL, NULL, 3, NULL, 13140, '2020-09-28 14:53:49', '2020-09-28', NULL, '2020-09-28', '2020-10-12 09:44:26', '2020-10-12 07:44:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 800.00000000, 0.00000000, 0.00000000, 0.00000000, 4000.00000000, 4800.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 0, '2020-09-29', NULL, 'Commande globale de 5000euros HT<br />\r\nAir comprim&eacute; r&eacute;seau en inox serti&nbsp;', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-09-29', 0, NULL, NULL, 0, 'EUR', 1.00000000, 4000.00000000, 800.00000000, 4800.00000000, NULL, 'facture/AC2009-0001/AC2009-0001.pdf', NULL, NULL),
(1977, 'FA2009-0022', 1, NULL, NULL, NULL, 0, NULL, 13140, '2020-09-28 14:56:56', '2020-09-28', NULL, '2020-09-28', '2020-11-17 09:43:36', '2020-11-17 08:43:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 9.80000000, 0.00000000, 0.00000000, 0.00000000, 49.00000000, 58.80000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-10-31', NULL, 'plus value suite a commande de Mr Serve', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 49.00000000, 9.80000000, 58.80000000, NULL, 'facture/FA2009-0022/FA2009-0022.pdf', NULL, NULL),
(1978, 'FA2009-0023', 1, NULL, NULL, NULL, 0, NULL, 13140, '2020-09-28 14:59:55', '2020-09-28', NULL, '2020-09-28', NULL, '2020-09-28 13:00:02', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 78.74000000, 0.00000000, 0.00000000, 0.00000000, 393.69000000, 472.43000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-10-31', NULL, '+ value : commande de Mr Serve &agrave; notre technicien Thierry Lecat', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 393.69000000, 78.74000000, 472.43000000, NULL, 'facture/FA2009-0023/FA2009-0023.pdf', NULL, NULL),
(1979, 'FA2009-0024', 1, NULL, NULL, NULL, 0, NULL, 2318, '2020-09-28 15:18:11', '2020-09-28', NULL, '2020-09-28', '2020-11-23 11:18:03', '2020-11-23 10:18:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 604.59000000, 0.00000000, 0.00000000, 0.00000000, 3023.00000000, 3627.59000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance local air comprimé<br />\r\n<br />\r\nCommande N° F20-01014', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 3023.00000000, 604.59000000, 3627.59000000, NULL, 'facture/FA2009-0024/FA2009-0024.pdf', NULL, NULL),
(1980, 'FA2009-0025', 1, NULL, NULL, NULL, 0, NULL, 2370, '2020-09-29 10:19:22', '2020-09-29', NULL, '2020-09-29', '2020-11-17 09:43:10', '2020-11-17 08:43:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 92.61000000, 0.00000000, 0.00000000, 0.00000000, 463.07000000, 555.68000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance compresseur RENNER RS TOP 7.5 &agrave; 8119 HRS<br />\r\n<br />\r\nBL N&deg;36 du 18/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 463.07000000, 92.61000000, 555.68000000, NULL, 'facture/FA2009-0025/FA2009-0025.pdf', NULL, NULL),
(1981, 'FA2009-0026', 1, NULL, NULL, NULL, 0, NULL, 2351, '2020-09-29 10:24:32', '2020-09-29', NULL, '2020-09-29', '2020-10-29 13:28:33', '2020-10-29 12:28:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 49.02000000, 0.00000000, 0.00000000, 0.00000000, 245.16000000, 294.18000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Commande N&deg; BCFINJ2000377<br />\r\n<br />\r\nCode fournisseur : 200979', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 245.16000000, 49.02000000, 294.18000000, NULL, 'facture/FA2009-0026/FA2009-0026.pdf', NULL, NULL),
(1982, 'FA2009-0027', 1, NULL, NULL, NULL, 0, NULL, 2347, '2020-09-29 10:34:06', '2020-09-29', NULL, '2020-09-29', '2020-10-30 12:12:28', '2020-10-30 11:12:28', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 24.00000000, 0.00000000, 0.00000000, 0.00000000, 120.00000000, 144.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Kit maintenance compresseur L15', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 120.00000000, 24.00000000, 144.00000000, NULL, 'facture/FA2009-0027/FA2009-0027.pdf', NULL, NULL),
(1983, 'FA2009-0028', 1, NULL, NULL, NULL, 0, NULL, 2297, '2020-09-29 14:39:59', '2020-09-29', NULL, '2020-09-29', '2021-01-13 11:54:47', '2021-01-13 10:54:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 109.15000000, 0.00000000, 0.00000000, 0.00000000, 545.73000000, 654.88000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance L11 &agrave; 20045 HRS<br />\r\nRemplacement cartouche filtre reseau&nbsp;<br />\r\n<br />\r\nBL N&deg;35 du 18/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 545.73000000, 109.15000000, 654.88000000, NULL, 'facture/FA2009-0028/FA2009-0028.pdf', NULL, NULL),
(1984, 'FA2009-0029', 1, NULL, NULL, NULL, 0, NULL, 11251, '2020-09-29 14:55:14', '2020-09-29', NULL, '2020-09-29', '2020-11-09 09:17:14', '2020-11-09 08:17:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 127.00000000, 0.00000000, 0.00000000, 0.00000000, 634.95000000, 761.95000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-10-31', NULL, 'Maintenance compresseur rollair 900 &agrave; 19095 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;28 du 11/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 634.95000000, 127.00000000, 761.95000000, NULL, 'facture/FA2009-0029/FA2009-0029.pdf', NULL, NULL),
(1985, 'FA2009-0030', 1, NULL, NULL, NULL, 0, NULL, 12693, '2020-10-01 15:22:18', '2020-09-30', NULL, '2020-10-01', '2020-10-16 10:28:36', '2020-10-16 08:28:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 97.92000000, 0.00000000, 0.00000000, 0.00000000, 489.58000000, 587.50000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 11, 0, '2020-10-11', NULL, 'Intervention sur compresseur L11 Le 23/09/2020- Nettoyage Intervention sur s&eacute;cheur<br />\r\nle 25/09/2020Remplacement purge et moteur ventilateur secheur F18HS<br />\r\nBL N&deg;03', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-11', 0, NULL, NULL, 0, 'EUR', 1.00000000, 489.58000000, 97.92000000, 587.50000000, NULL, 'facture/FA2009-0030/FA2009-0030.pdf', NULL, NULL),
(1986, 'AC2010-0001', 1, NULL, NULL, NULL, 3, NULL, 13091, '2020-10-01 15:35:25', '2020-10-01', NULL, '2020-10-01', '2020-11-04 09:49:47', '2020-11-04 08:49:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 207.64000000, 0.00000000, 0.00000000, 0.00000000, 1038.19000000, 1245.83000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 0, '2020-10-02', NULL, '1er acompte&nbsp;<br />\r\nMontant total : 8305.54 euros HT', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-02', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1038.19000000, 207.64000000, 1245.83000000, NULL, 'facture/AC2010-0001/AC2010-0001.pdf', NULL, NULL),
(1987, 'FA2010-0001', 1, NULL, NULL, NULL, 0, NULL, 13091, '2020-10-01 15:36:46', '2020-10-01', NULL, '2020-10-01', '2020-11-04 09:49:47', '2020-11-04 08:49:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 52.90000000, 0.00000000, 0.00000000, 0.00000000, 264.50000000, 317.40000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 9, 0, '2020-10-02', NULL, '+ value accessoires livr&eacute; en Juillet 2020 par Mr Balazard', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-02', 0, NULL, NULL, 0, 'EUR', 1.00000000, 264.50000000, 52.90000000, 317.40000000, NULL, 'facture/FA2010-0001/FA2010-0001.pdf', NULL, NULL),
(1989, 'FA2009-0031', 1, NULL, NULL, NULL, 0, NULL, 2313, '2020-10-01 15:41:40', '2020-09-30', NULL, '2020-10-01', '2020-11-05 11:31:15', '2020-11-05 10:31:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 111.10000000, 0.00000000, 0.00000000, 0.00000000, 555.50000000, 666.60000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance L07RS N&deg; BA35620001 &agrave; 12883 HRS<br />\r\n<br />\r\nBL N&deg;08 du 29/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 555.50000000, 111.10000000, 666.60000000, NULL, 'facture/FA2009-0031/FA2009-0031.pdf', NULL, NULL),
(1990, 'FA2009-0032', 1, NULL, NULL, NULL, 0, NULL, 2060, '2020-10-01 15:51:36', '2020-09-30', NULL, '2020-10-01', '2020-11-02 09:12:54', '2020-11-02 08:12:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 35.24000000, 0.00000000, 0.00000000, 0.00000000, 176.18000000, 211.42000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Interventions ur compresseur Print 041 &agrave; 22945 HRS&nbsp;<br />\r\nProbleme de pression<br />\r\n<br />\r\nBL N&deg;41 du 28/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 176.18000000, 35.24000000, 211.42000000, NULL, 'facture/FA2009-0032/FA2009-0032.pdf', NULL, NULL),
(1991, 'FA2009-0033', 1, NULL, NULL, 'kaeser', 0, NULL, 2064, '2020-10-01 16:07:26', '2020-09-30', NULL, '2020-10-01', '2020-11-23 11:19:25', '2020-11-23 10:19:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 201.06000000, 0.00000000, 0.00000000, 0.00000000, 1005.30000000, 1206.36000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance compresseur KAESER CSD102 &agrave; 17736 HRS<br />\r\n<br />\r\nBL N&deg;24 du 0709/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1005.30000000, 201.06000000, 1206.36000000, NULL, 'facture/FA2009-0033/FA2009-0033.pdf', NULL, NULL),
(1992, 'FA2009-0034', 1, NULL, NULL, NULL, 0, NULL, 2064, '2020-10-02 10:18:19', '2020-09-30', NULL, '2020-10-02', '2020-11-23 11:19:25', '2020-11-23 10:19:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 327.43000000, 0.00000000, 0.00000000, 0.00000000, 1637.13000000, 1964.56000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance compresseur L80 &agrave; 40376 HRS<br />\r\n<br />\r\nBL N&deg;23 du 07/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1637.13000000, 327.43000000, 1964.56000000, NULL, 'facture/FA2009-0034/FA2009-0034.pdf', NULL, NULL),
(1993, 'FA2009-0035', 1, NULL, NULL, NULL, 0, NULL, 2077, '2020-10-02 10:25:44', '2020-09-30', NULL, '2020-10-02', '2020-10-26 09:19:52', '2020-10-26 08:19:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 291.80000000, 0.00000000, 0.00000000, 0.00000000, 1458.98000000, 1750.78000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance compresseur L22rs N&deg; CD10005856001 &agrave; 31212 HRS<br />\r\nMaintenance seprateur de condensats Owamat 10<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;23 du 25/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1458.98000000, 291.80000000, 1750.78000000, NULL, 'facture/FA2009-0035/FA2009-0035.pdf', NULL, NULL),
(1994, 'FA2009-0036', 1, NULL, NULL, NULL, 0, NULL, 2168, '2020-10-02 10:37:15', '2020-09-30', NULL, '2020-10-02', '2020-11-09 09:17:45', '2020-11-09 08:17:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 234.30000000, 0.00000000, 0.00000000, 0.00000000, 1171.51000000, 1405.81000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance compresseur L11 N&deg; BA22910002 &agrave; 7874 HRS<br />\r\nMaintenance seprateur de condensat OWamat 10<br />\r\n<br />\r\nBL N&deg;22 du 25/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1171.51000000, 234.30000000, 1405.81000000, NULL, 'facture/FA2009-0036/FA2009-0036.pdf', NULL, NULL),
(1995, 'FA2009-0037', 1, NULL, NULL, NULL, 0, NULL, 12784, '2020-10-02 10:43:48', '2020-09-30', NULL, '2020-10-02', '2020-10-28 16:56:58', '2020-10-28 15:56:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 120.00000000, 0.00000000, 0.00000000, 0.00000000, 600.00000000, 720.00000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-10-31', NULL, 'Prix d\'une location hebdomadaire d\'un compresseur 7.5KW en huile ALIMENTAIRE avec un sécheur frigorifique :<br />\r\n<br />\r\nDU 28/08/2020 au 28/09/2020<br />\r\n<br />\r\n ', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 600.00000000, 120.00000000, 720.00000000, NULL, 'facture/FA2009-0037/FA2009-0037.pdf', NULL, NULL),
(1996, 'FA2009-0038', 1, NULL, NULL, NULL, 0, NULL, 6259, '2020-10-02 10:56:11', '2020-09-30', NULL, '2020-10-02', '2020-10-23 09:02:56', '2020-10-23 07:02:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 381.94000000, 0.00000000, 0.00000000, 0.00000000, 1909.72000000, 2291.66000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-10-31', NULL, 'Maintenance compresseurs :&nbsp;<br />\r\nL11 &agrave; 3585 HRS<br />\r\nL30 &agrave; 15319 HRS', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1909.72000000, 381.94000000, 2291.66000000, NULL, 'facture/FA2009-0038/FA2009-0038.pdf', NULL, NULL),
(1997, 'FA2009-0039', 1, NULL, NULL, NULL, 0, NULL, 2103, '2020-10-02 11:01:53', '2020-09-30', NULL, '2020-10-02', '2020-10-28 16:55:48', '2020-10-28 15:55:48', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 279.36000000, 0.00000000, 0.00000000, 0.00000000, 1396.79000000, 1676.15000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance L45RS Compresseur &agrave; 23602 HRS<br />\r\nMaintenance separateur de condensats Owamat 14<br />\r\nRemplacement des cartouches des filtres reseaux RA /RB<br />\r\n<br />\r\nBL N&deg; 42 du 28/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1396.79000000, 279.36000000, 1676.15000000, NULL, 'facture/FA2009-0039/FA2009-0039.pdf', NULL, NULL),
(1998, 'FA2009-0040', 1, NULL, NULL, NULL, 0, NULL, 2122, '2020-10-02 11:10:44', '2020-09-30', NULL, '2020-10-02', '2020-11-17 09:42:11', '2020-11-17 08:42:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 366.88000000, 0.00000000, 0.00000000, 0.00000000, 1834.38000000, 2201.26000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-10-31', NULL, 'Maintenance L75RS N° CD10018699001 à  27046HRS<br />\r\nMaintenance seprateur de condensats OWAMAT 15<br />\r\nRemplacement cartouche filtre réseau<br />\r\n<br />\r\nBL N°43 du 31/08/2020<br />\r\n<br />\r\nCommande N°44048', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1834.38000000, 366.88000000, 2201.26000000, NULL, 'facture/FA2009-0040/FA2009-0040.pdf', NULL, NULL),
(1999, 'FA2009-0041', 1, NULL, NULL, NULL, 0, NULL, 2122, '2020-10-02 11:13:30', '2020-09-30', NULL, '2020-10-02', '2020-11-17 09:42:12', '2020-11-17 08:42:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 48.84000000, 0.00000000, 0.00000000, 0.00000000, 244.18000000, 293.02000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-10-31', NULL, '<br />\r\nIntervention sur purge electropilot&eacute;e sur cuve 900Litres<br />\r\n<br />\r\nBL N&deg;45 du 02/09/2020<br />\r\n<br />\r\nCommande N&deg;44048', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 244.18000000, 48.84000000, 293.02000000, NULL, 'facture/FA2009-0041/FA2009-0041.pdf', NULL, NULL),
(2000, 'FA2009-0042', 1, NULL, NULL, NULL, 0, NULL, 2103, '2020-10-02 11:18:54', '2020-09-30', NULL, '2020-10-02', '2020-10-28 16:55:49', '2020-10-28 15:55:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 78.55000000, 0.00000000, 0.00000000, 0.00000000, 392.76000000, 471.31000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Remplacement bouton d&#39;arret d&#39;urgence sur compresseur L22 N&deg;CD10049725002 &agrave; 324 HRS<br />\r\n<br />\r\nBL N&deg;38 du 21/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 392.76000000, 78.55000000, 471.31000000, NULL, 'facture/FA2009-0042/FA2009-0042.pdf', NULL, NULL),
(2001, 'FA2009-0043', 1, NULL, NULL, NULL, 0, NULL, 2140, '2020-10-02 11:26:48', '2020-09-30', NULL, '2020-10-02', '2020-11-20 09:55:26', '2020-11-20 08:55:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 81.10000000, 0.00000000, 0.00000000, 0.00000000, 405.51000000, 486.61000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance compresseur L15 &agrave; 27720 HRS<br />\r\n<br />\r\nBL N&deg;34 du 16/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 405.51000000, 81.10000000, 486.61000000, NULL, 'facture/FA2009-0043/FA2009-0043.pdf', NULL, NULL),
(2002, 'FA2009-0044', 1, NULL, NULL, NULL, 0, NULL, 2169, '2020-10-02 11:52:32', '2020-09-30', NULL, '2020-10-02', '2020-11-02 09:11:30', '2020-11-02 08:11:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 108.67000000, 0.00000000, 0.00000000, 0.00000000, 543.31000000, 651.98000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance compresseru KA7PLus<br />\r\n<br />\r\nBL N&deg;07 du 29/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 543.31000000, 108.67000000, 651.98000000, NULL, 'facture/FA2009-0044/FA2009-0044.pdf', NULL, NULL),
(2003, 'FA2009-0045', 1, NULL, NULL, NULL, 0, NULL, 2162, '2020-10-02 11:56:56', '2020-09-30', NULL, '2020-10-02', '2020-11-02 09:10:53', '2020-11-02 08:10:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 278.30000000, 0.00000000, 0.00000000, 0.00000000, 1391.52000000, 1669.82000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance compresseur L37RS N&deg; CD10030327001 &agrave; 8863 HRS<br />\r\n<br />\r\nSuivant contrat liss&eacute;<br />\r\n<br />\r\nBL N&deg;29 du 29/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1391.52000000, 278.30000000, 1669.82000000, NULL, 'facture/FA2009-0045/FA2009-0045.pdf', NULL, NULL),
(2004, 'FA2009-0046', 1, NULL, NULL, NULL, 0, NULL, 12596, '2020-10-02 12:06:04', '2020-09-30', NULL, '2020-10-02', '2020-10-29 13:29:03', '2020-10-29 12:29:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 143.28000000, 0.00000000, 0.00000000, 0.00000000, 716.34000000, 859.62000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-10-31', NULL, 'Maintenance Compresseur renner RS PRO 7.5 N&deg;737002 &agrave; 3239 HRS<br />\r\n<br />\r\nBL N&deg; 27 du 28/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 716.34000000, 143.28000000, 859.62000000, NULL, 'facture/FA2009-0046/FA2009-0046.pdf', NULL, NULL),
(2005, 'FA2009-0047', 1, NULL, NULL, NULL, 0, NULL, 2247, '2020-10-02 14:11:24', '2020-09-30', NULL, '2020-10-02', '2020-11-20 09:51:06', '2020-11-20 08:51:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 46.80000000, 0.00000000, 0.00000000, 0.00000000, 234.02000000, 280.82000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Remplacement du ventilateur armoire &eacute;l&eacute;ctrique du compresseur L18RS<br />\r\n<br />\r\nBL N&deg;33 du 05/12/2019', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 234.02000000, 46.80000000, 280.82000000, NULL, 'facture/FA2009-0047/FA2009-0047.pdf', NULL, NULL),
(2006, 'FA2009-0048', 1, NULL, NULL, NULL, 0, NULL, 2285, '2020-10-02 14:19:50', '2020-09-30', NULL, '2020-10-02', '2020-11-25 09:55:44', '2020-11-25 08:55:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 134.11000000, 0.00000000, 0.00000000, 0.00000000, 670.56000000, 804.67000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance compresseur L15 N&deg;349015/1508 &agrave; 38200 HRS<br />\r\nMaintenance s&eacute;parateur de condensats Owamat 10<br />\r\nRemplacement cartouche filtre r&eacute;seau<br />\r\n<br />\r\nBL N&deg;26 du 28/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 670.56000000, 134.11000000, 804.67000000, NULL, 'facture/FA2009-0048/FA2009-0048.pdf', NULL, NULL),
(2007, 'FA2009-0049', 1, NULL, NULL, NULL, 0, NULL, 2350, '2020-10-02 14:53:29', '2020-09-30', NULL, '2020-10-02', '2020-11-16 09:13:18', '2020-11-16 08:13:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 188.58000000, 0.00000000, 0.00000000, 0.00000000, 942.87000000, 1131.45000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Commande N&deg; 2581514-325-G9J-BKP', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 942.87000000, 188.58000000, 1131.45000000, NULL, 'facture/FA2009-0049/FA2009-0049.pdf', NULL, NULL),
(2008, 'FA2009-0050', 1, NULL, NULL, NULL, 0, NULL, 2380, '2020-10-02 15:12:16', '2020-09-30', NULL, '2020-10-02', '2020-11-16 09:14:01', '2020-11-16 08:14:01', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 153.76000000, 0.00000000, 0.00000000, 0.00000000, 768.79000000, 922.55000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance compresseur BOGE C9 &agrave; 26297 HRS<br />\r\nRemplacement cartouches filtres r&eacute;seaux<br />\r\n<br />\r\nBL 4 du 25/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 768.79000000, 153.76000000, 922.55000000, NULL, 'facture/FA2009-0050/FA2009-0050.pdf', NULL, NULL),
(2009, 'FA2009-0051', 1, NULL, NULL, NULL, 0, NULL, 12594, '2020-10-02 15:18:31', '2020-09-30', NULL, '2020-10-02', '2020-11-20 09:53:39', '2020-11-20 08:53:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 165.79000000, 0.00000000, 0.00000000, 0.00000000, 828.91000000, 994.70000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-10-31', NULL, 'Maintenance compresseur Sullair<br />\r\nRemplacement cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg;06 du 28/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 828.91000000, 165.79000000, 994.70000000, NULL, 'facture/FA2009-0051/FA2009-0051.pdf', NULL, NULL),
(2010, 'FA2009-0052', 1, NULL, NULL, NULL, 0, NULL, 2386, '2020-10-02 15:30:19', '2020-09-30', NULL, '2020-10-02', '2020-11-09 09:16:29', '2020-11-09 08:16:29', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 225.44000000, 0.00000000, 0.00000000, 0.00000000, 1127.21000000, 1352.65000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance L11&nbsp; N&deg; BA42544001 &agrave; 1371 HRS<br />\r\nMaintenance BS61<br />\r\n<br />\r\nBL N&deg;24 &amp;25 du 28/09/2020&nbsp;', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1127.21000000, 225.44000000, 1352.65000000, NULL, 'facture/FA2009-0052/FA2009-0052.pdf', NULL, NULL),
(2011, 'FA2009-0053', 1, NULL, NULL, NULL, 0, NULL, 13130, '2020-10-02 15:37:08', '2020-09-30', NULL, '2020-10-02', '2020-11-20 09:52:59', '2020-11-20 08:52:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 114.80000000, 0.00000000, 0.00000000, 0.00000000, 574.00000000, 688.80000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-10-31', NULL, '<table>\r\n	<tbody>\r\n		<tr>\r\n			<td> </td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n<br />\r\nRemplacement moteur de lubrification sur compresseur L110RS COMPAIR N°CD10017043001<br />\r\n<br />\r\nSite : Les olagnieres 38 LA COTE ST ANDRE<br />\r\n<br />\r\nBL N°33 du 16/09/2020<br />\r\n<br />\r\nCommande S97220071015', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-01', 0, NULL, NULL, 0, 'EUR', 1.00000000, 574.00000000, 114.80000000, 688.80000000, NULL, 'facture/FA2009-0053/FA2009-0053.pdf', NULL, NULL),
(2012, 'FA2009-0054', 1, NULL, NULL, NULL, 0, NULL, 13130, '2020-10-02 15:41:26', '2020-09-30', NULL, '2020-10-02', '2020-11-20 09:53:00', '2020-11-20 08:53:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 72.89000000, 0.00000000, 0.00000000, 0.00000000, 364.44000000, 437.33000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-10-31', NULL, 'Remplacement du ressort vanne secheur OMI HL1500&nbsp;<br />\r\n<br />\r\nSIte : TOP SEMENCE 2825 Chemin de la voie ferr&eacute; 38260 LA COTE ST ANDRE<br />\r\nMr ARCHIER<br />\r\n<br />\r\nBL N&deg;33 du 16/09/2020<br />\r\n<br />\r\nRef interne : CA20090101&nbsp;<br />\r\nImputation comptable LCSA', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 364.44000000, 72.89000000, 437.33000000, NULL, 'facture/FA2009-0054/FA2009-0054.pdf', NULL, NULL),
(2013, 'FA2009-0055', 1, NULL, NULL, NULL, 0, NULL, 2391, '2020-10-02 16:00:52', '2020-09-30', NULL, '2020-10-02', '2020-11-03 09:15:42', '2020-11-03 08:15:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 500.00000000, 0.00000000, 0.00000000, 0.00000000, 2500.00000000, 3000.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance L29RS N&deg;CD10044823001 &agrave; 2194 HRS<br />\r\nMaintenance separateur de condensats Owamat 12<br />\r\nRemplacement cartouches filtres reseaux BEA700<br />\r\n<br />\r\nSuivant contrat liss&eacute;&nbsp;', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2500.00000000, 500.00000000, 3000.00000000, NULL, 'facture/FA2009-0055/FA2009-0055.pdf', NULL, NULL),
(2014, 'FA2009-0056', 1, NULL, NULL, NULL, 0, NULL, 5741, '2020-10-02 16:09:45', '2020-09-30', NULL, '2020-10-02', '2020-11-20 09:50:30', '2020-11-20 08:50:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.42000000, 0.00000000, 0.00000000, 0.00000000, 327.10000000, 392.52000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-10-31', NULL, 'Commande N&deg; 13084', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 327.10000000, 65.42000000, 392.52000000, NULL, 'facture/FA2009-0056/FA2009-0056.pdf', NULL, NULL),
(2016, 'FA2010-0002', 1, NULL, NULL, NULL, 0, NULL, 13148, '2020-10-05 09:36:44', '2020-10-05', NULL, '2020-10-05', '2020-10-05 09:54:45', '2020-10-05 07:54:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 20.49000000, 0.00000000, 0.00000000, 0.00000000, 102.45000000, 122.94000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 9, 0, '2020-10-06', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-06', 0, NULL, NULL, 0, 'EUR', 1.00000000, 102.45000000, 20.49000000, 122.94000000, NULL, 'facture/FA2010-0002/FA2010-0002.pdf', NULL, NULL),
(2017, 'FA2009-0057', 1, NULL, NULL, NULL, 0, NULL, 2215, '2020-10-05 10:49:43', '2020-09-30', NULL, '2020-10-05', '2020-11-05 11:31:43', '2020-11-05 10:31:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 122.80000000, 0.00000000, 0.00000000, 0.00000000, 614.04000000, 736.84000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance L11RS&nbsp; N&deg;cd10001552001 &agrave; 32382 HRS<br />\r\nRemplacement cartouche reseau&nbsp;<br />\r\nMaintenance Separateur de condensats OWAMAT10<br />\r\n<br />\r\nBL N&deg;10 du 30/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 614.04000000, 122.80000000, 736.84000000, NULL, 'facture/FA2009-0057/FA2009-0057.pdf', NULL, NULL),
(2018, 'FA2009-0058', 1, NULL, NULL, NULL, 0, NULL, 10563, '2020-10-05 10:55:21', '2020-09-30', NULL, '2020-10-05', '2020-11-02 09:13:59', '2020-11-02 08:13:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 129.27000000, 0.00000000, 0.00000000, 0.00000000, 646.35000000, 775.62000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-10-31', NULL, 'Maintenance compresseur PS407 &agrave; 5862 HRS<br />\r\n<br />\r\nBL N&deg;09 du 30/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 646.35000000, 129.27000000, 775.62000000, NULL, 'facture/FA2009-0058/FA2009-0058.pdf', NULL, NULL),
(2019, 'FA2009-0059', 1, NULL, NULL, NULL, 0, NULL, 2091, '2020-10-05 11:06:52', '2020-09-30', NULL, '2020-10-05', '2020-10-30 12:12:56', '2020-10-30 11:12:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 174.65000000, 0.00000000, 0.00000000, 0.00000000, 873.28000000, 1047.93000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance compresseur L18 N&deg;CD10030115002&nbsp; suivant contrat liss&eacute; &agrave; 1292 HRS<br />\r\nMaintenance s&eacute;parateur de condensats Owamat 11<br />\r\n<br />\r\nBL N&deg;44 du 30/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 873.28000000, 174.65000000, 1047.93000000, NULL, 'facture/FA2009-0059/FA2009-0059.pdf', NULL, NULL),
(2020, 'FA2009-0060', 1, NULL, NULL, NULL, 0, NULL, 2376, '2020-10-05 11:13:23', '2020-09-30', NULL, '2020-10-05', '2020-12-01 09:51:53', '2020-12-01 08:51:53', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 113.63000000, 0.00000000, 0.00000000, 0.00000000, 568.14000000, 681.77000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance compresseur L11rs &agrave; 2968HRS<br />\r\nRemplacement cartouche filtre reseau bea180rb<br />\r\n<br />\r\nBL N&deg;45 du 30/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 568.14000000, 113.63000000, 681.77000000, NULL, 'facture/FA2009-0060/FA2009-0060.pdf', NULL, NULL),
(2021, 'FA2009-0061', 1, NULL, NULL, NULL, 0, NULL, 2318, '2020-10-05 11:23:35', '2020-09-30', NULL, '2020-10-05', '2020-11-23 11:18:03', '2020-11-23 10:18:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.54000000, 0.00000000, 0.00000000, 0.00000000, 112.72000000, 135.26000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Separateur de condensats<br />\r\n<br />\r\nComamnde : F20-01014', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 112.72000000, 22.54000000, 135.26000000, NULL, 'facture/FA2009-0061/FA2009-0061.pdf', NULL, NULL),
(2022, 'FA2009-0062', 1, NULL, NULL, NULL, 0, NULL, 2161, '2020-10-05 11:33:25', '2020-09-30', NULL, '2020-10-05', '2020-11-30 09:58:46', '2020-11-30 08:58:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 424.56000000, 0.00000000, 0.00000000, 0.00000000, 2122.92000000, 2547.48000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-10-31', NULL, 'Maintenance compresseurs&nbsp; site blanchisserie Saint Vallier&nbsp;<br />\r\nBOGE S31-2 &agrave; 15679 HRS BL N&deg;31 du 30/09/2020<br />\r\nBOGE S31-3 &agrave; 9439 HRS BL N&deg;30 du 30/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2122.92000000, 424.56000000, 2547.48000000, NULL, 'facture/FA2009-0062/FA2009-0062.pdf', NULL, NULL),
(2023, 'AV2010-0001', 1, NULL, NULL, NULL, 2, NULL, 10293, '2020-10-07 11:06:27', '2020-10-07', NULL, '2020-10-07', '2020-12-01 09:53:34', '2020-12-01 08:53:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -43.07000000, 0.00000000, 0.00000000, 0.00000000, -215.40000000, -258.47000000, 2, 5, NULL, 5, 8, 1974, NULL, NULL, NULL, 0, 0, '2020-10-07', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, -215.40000000, -43.07000000, -258.47000000, NULL, 'facture/AV2010-0001/AV2010-0001.pdf', NULL, NULL),
(2024, 'AV2010-0002', 1, NULL, NULL, NULL, 2, NULL, 12693, '2020-10-07 14:55:34', '2020-10-07', NULL, '2020-10-07', '2020-10-16 10:27:06', '2020-10-16 08:27:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -22.39000000, 0.00000000, 0.00000000, 0.00000000, -111.95000000, -134.34000000, 2, 5, NULL, 5, 8, 1985, NULL, NULL, NULL, 0, 0, '2020-10-07', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, -111.95000000, -22.39000000, -134.34000000, NULL, 'facture/AV2010-0002/AV2010-0002.pdf', NULL, NULL),
(2025, 'FA2010-0003', 1, NULL, NULL, NULL, 0, NULL, 10268, '2020-10-15 10:23:47', '2020-10-15', NULL, '2020-10-15', '2020-11-30 09:56:31', '2020-11-30 08:56:31', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 220.00000000, 0.00000000, 0.00000000, 0.00000000, 1100.00000000, 1320.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-11-30', NULL, 'Installation en lieu et place d&#39;un secheur par r&eacute;frigeration ED108 N&deg;20M-002686<br />\r\n<br />\r\nBL N&deg;11 du 02/10/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1138.10000000, 227.62000000, 1365.72000000, NULL, 'facture/FA2010-0003/FA2010-0003.pdf', NULL, NULL),
(2026, 'FA2010-0004', 1, NULL, NULL, NULL, 0, NULL, 2069, '2020-10-15 10:59:20', '2020-10-15', NULL, '2020-10-15', '2020-12-07 11:55:14', '2020-12-07 10:55:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 999.99000000, 0.00000000, 0.00000000, 0.00000000, 5000.00000000, 5999.99000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 15, 2, '2020-10-16', NULL, 'Reseau en inox serti<br />\r\n<br />\r\nBL N&deg;34 du 08/108/2020<br />\r\n<br />\r\nReglement en 2 fois : 50% &agrave; r&eacute;ception de facture - 50% le 15/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-16', 0, NULL, NULL, 0, 'EUR', 1.00000000, 5000.00000000, 999.99000000, 5999.99000000, NULL, 'facture/FA2010-0004/FA2010-0004.pdf', NULL, NULL),
(2027, 'FA2010-0005', 1, NULL, NULL, NULL, 0, NULL, 2011, '2020-10-19 09:28:43', '2020-10-19', NULL, '2020-10-19', '2020-11-30 09:57:39', '2020-11-30 08:57:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 247.46000000, 0.00000000, 0.00000000, 0.00000000, 1237.29000000, 1484.75000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, 'Maintenance compresseur L18 suivant contrat liss&eacute; .<br />\r\n<br />\r\nBL N&deg;14 du 16/10/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1237.29000000, 247.46000000, 1484.75000000, NULL, 'facture/FA2010-0005/FA2010-0005.pdf', NULL, NULL),
(2028, 'FA2010-0006', 1, NULL, NULL, NULL, 0, NULL, 2064, '2020-10-19 09:44:53', '2020-10-19', NULL, '2020-10-19', '2020-11-27 08:58:08', '2020-11-27 07:58:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 110.83000000, 0.00000000, 0.00000000, 0.00000000, 554.14000000, 664.97000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, 'Livraison &agrave; la societe Deshy Drome', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 554.14000000, 110.83000000, 664.97000000, NULL, 'facture/FA2010-0006/FA2010-0006.pdf', NULL, NULL),
(2029, 'FA2010-0007', 1, NULL, NULL, NULL, 0, NULL, 2064, '2020-10-19 09:53:43', '2020-10-19', NULL, '2020-10-19', '2020-11-27 08:58:08', '2020-11-27 07:58:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 429.19000000, 0.00000000, 0.00000000, 0.00000000, 2145.90000000, 2575.09000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, 'Intervention sur compresseur L37 N&deg; CD10001720002 &agrave; 29216 HRS<br />\r\nRemplacement bague &agrave; levres<br />\r\nMaintenance 4000H<br />\r\n<br />\r\nBL N&deg;38 du 14/10/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2145.90000000, 429.19000000, 2575.09000000, NULL, 'facture/FA2010-0007/FA2010-0007.pdf', NULL, NULL),
(2030, 'FA2010-0008', 1, NULL, NULL, NULL, 0, NULL, 2033, '2020-10-19 11:36:33', '2020-10-19', NULL, '2020-10-19', '2020-12-16 10:04:52', '2020-12-16 09:04:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 374.30000000, 0.00000000, 0.00000000, 0.00000000, 1871.50000000, 2245.80000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, 'Maintenance compresseur L26RS &agrave; 32560 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance separateur de condensats Owamat 11<br />\r\n<br />\r\nBL N&deg;47 du 02/10/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1871.50000000, 374.30000000, 2245.80000000, NULL, 'facture/FA2010-0008/FA2010-0008.pdf', NULL, NULL),
(2031, 'FA2010-0009', 1, NULL, NULL, NULL, 0, NULL, 2033, '2020-10-19 11:47:51', '2020-10-19', NULL, '2020-10-19', '2020-12-16 10:04:52', '2020-12-16 09:04:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 275.30000000, 0.00000000, 0.00000000, 0.00000000, 1376.50000000, 1651.80000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, 'Maintenance L15RS &agrave; 24158 HRS<br />\r\n<br />\r\nBL N&deg;48 du 02/10/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1376.50000000, 275.30000000, 1651.80000000, NULL, 'facture/FA2010-0009/FA2010-0009.pdf', NULL, NULL),
(2032, 'FA2010-0010', 1, NULL, NULL, NULL, 0, NULL, 2295, '2020-10-19 11:57:08', '2020-10-19', NULL, '2020-10-19', '2020-12-21 10:30:38', '2020-12-21 09:30:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 229.08000000, 0.00000000, 0.00000000, 0.00000000, 1145.46000000, 1374.54000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, 'Maintenance compresseur L30 N&deg;100008035/0053 &agrave; 32700HRS<br />\r\nRemplacement clapet minimum et remplacement joint support de filtre<br />\r\n<br />\r\n&nbsp;BL 13 du 09/10/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1145.46000000, 229.08000000, 1374.54000000, NULL, 'facture/FA2010-0010/FA2010-0010.pdf', NULL, NULL),
(2033, 'FA2010-0011', 1, NULL, NULL, NULL, 0, NULL, 2178, '2020-10-20 11:24:21', '2020-10-20', NULL, '2020-10-20', '2020-12-07 11:54:00', '2020-12-07 10:54:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 184.88000000, 0.00000000, 0.00000000, 0.00000000, 924.40000000, 1109.28000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 924.40000000, 184.88000000, 1109.28000000, NULL, 'facture/FA2010-0011/FA2010-0011.pdf', NULL, NULL),
(2034, 'FA2010-0012', 1, NULL, NULL, NULL, 0, NULL, 1948, '2020-10-21 10:35:21', '2020-10-21', NULL, '2020-10-21', '2020-12-02 09:16:35', '2020-12-02 08:16:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 16.88000000, 0.00000000, 0.00000000, 0.00000000, 84.40000000, 101.28000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, 'commande N &deg; 2000834', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 84.40000000, 16.88000000, 101.28000000, NULL, 'facture/FA2010-0012/FA2010-0012.pdf', NULL, NULL),
(2035, 'FA2010-0013', 1, NULL, NULL, NULL, 0, NULL, 10010, '2020-10-22 09:36:18', '2020-10-22', NULL, '2020-10-22', '2020-12-21 10:28:42', '2020-12-21 09:28:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 5645.42000000, 0.00000000, 0.00000000, 0.00000000, 28227.09000000, 33872.51000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-11-30', NULL, 'Remplacement de votre compresseur SULLAIR BDS 22Kw par Compresseur COMPAIR L37 RS vitesse variable&nbsp;<strong>mise en place d&#39;un syst&egrave;me de variation &eacute;lectronique de vitesse (VEV) un moteur asynchrone&nbsp;</strong>et&nbsp;<strong>mise en place d&#39;un syst&egrave;me de r&eacute;cup&eacute;ration de chaleur sur compresseur d&#39;air d&#39;une puissance de 37 kW</strong>&quot; .<br />\r\nFourniture et pose d&#39;un filtre cyclonique SA0095<br />\r\nFourniture et pose d&#39;un secheur avec filtration amont et aval<br />\r\nFourniture et pose d&#39;un separateur de condensats Owamat 12&nbsp;<br />\r\n<br />\r\n<br />\r\n<strong>Adresse des travaux</strong>&nbsp;: BIOUSSE MECELEC Rue Ernest Rutherford - ZI Marcerolles&nbsp; 26500 Bourg-l&egrave;s-Valence &ndash; France - Tel. 04.75.83.15.01 - Du lundi au vendredi de 8h &agrave; 12h et de 13h &agrave; 16h45', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 28227.09000000, 5645.42000000, 33872.51000000, NULL, 'facture/FA2010-0013/FA2010-0013.pdf', NULL, NULL),
(2036, 'FA2010-0014', 1, NULL, NULL, NULL, 0, NULL, 9884, '2020-10-27 09:55:58', '2020-10-27', NULL, '2020-10-27', '2020-12-15 09:21:40', '2020-12-15 08:21:40', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 377.44000000, 0.00000000, 0.00000000, 0.00000000, 1887.18000000, 2264.62000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 9, 0, '2020-10-28', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1887.18000000, 377.44000000, 2264.62000000, NULL, 'facture/FA2010-0014/FA2010-0014.pdf', NULL, NULL),
(2037, 'FA2010-0015', 1, NULL, NULL, NULL, 0, NULL, 2197, '2020-10-27 09:57:17', '2020-10-27', NULL, '2020-10-27', '2020-11-20 10:43:56', '2020-11-20 09:43:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.83000000, 0.00000000, 0.00000000, 0.00000000, 114.13000000, 136.96000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 114.13000000, 22.83000000, 136.96000000, NULL, 'facture/FA2010-0015/FA2010-0015.pdf', NULL, NULL),
(2038, 'FA2010-0016', 1, NULL, NULL, NULL, 0, NULL, 1955, '2020-10-29 10:09:45', '2020-10-29', NULL, '2020-10-29', '2020-12-15 09:13:52', '2020-12-15 08:13:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 33.30000000, 0.00000000, 0.00000000, 0.00000000, 166.48000000, 199.78000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, 'D&eacute;pannage compresseur L07 ( probleme de temperature ) et secheur F11C HP d&eacute;clench&eacute;<br />\r\n<br />\r\nBL N&deg;02 du 21/10/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 166.48000000, 33.30000000, 199.78000000, NULL, 'facture/FA2010-0016/FA2010-0016.pdf', NULL, NULL),
(2039, 'FA2010-0017', 1, NULL, NULL, NULL, 0, NULL, 2042, '2020-10-29 10:27:44', '2020-10-29', NULL, '2020-10-29', '2020-12-22 16:05:19', '2020-12-22 15:05:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 24.60000000, 0.00000000, 0.00000000, 0.00000000, 123.00000000, 147.60000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, 'Nattes aimant&eacute;es pour votre compresseur Renner .', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 123.00000000, 24.60000000, 147.60000000, NULL, 'facture/FA2010-0017/FA2010-0017.pdf', NULL, NULL),
(2040, 'FA2010-0018', 1, NULL, NULL, NULL, 0, NULL, 2042, '2020-10-29 10:30:03', '2020-10-29', NULL, '2020-10-29', '2020-12-22 16:05:20', '2020-12-22 15:05:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 104.96000000, 0.00000000, 0.00000000, 0.00000000, 524.83000000, 629.79000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, 'Maintenance compresseur RSDKPRO &agrave; 1050 HRS<br />\r\n<br />\r\nBL N&deg;3 du 23/10/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 524.83000000, 104.96000000, 629.79000000, NULL, 'facture/FA2010-0018/FA2010-0018.pdf', NULL, NULL),
(2041, 'FA2010-0019', 1, NULL, NULL, NULL, 0, NULL, 2170, '2020-10-29 10:34:59', '2020-10-29', NULL, '2020-10-29', '2020-12-02 09:17:54', '2020-12-02 08:17:54', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 119.71000000, 0.00000000, 0.00000000, 0.00000000, 598.51000000, 718.22000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, 'Maintenance compresseur L04 BA36435001 &agrave; 2960 HRS<br />\r\n<br />\r\nBL N&deg; 37 du 12/10/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 598.51000000, 119.71000000, 718.22000000, NULL, 'facture/FA2010-0019/FA2010-0019.pdf', NULL, NULL),
(2042, 'FA2010-0020', 1, NULL, NULL, NULL, 0, NULL, 12623, '2020-10-29 10:40:40', '2020-10-29', NULL, '2020-10-29', '2021-01-12 12:02:45', '2021-01-12 11:02:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 124.38000000, 0.00000000, 0.00000000, 0.00000000, 621.90000000, 746.28000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-11-30', NULL, 'Maintenance compresseur RENNER RSDK PRO ECN 11 -10bar&nbsp; N&deg;842005 &agrave; 382 HRS<br />\r\n<br />\r\nBL N&deg;46 du 02/10/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 621.90000000, 124.38000000, 746.28000000, NULL, 'facture/FA2010-0020/FA2010-0020.pdf', NULL, NULL),
(2043, 'FA2010-0021', 1, NULL, NULL, NULL, 0, NULL, 2157, '2020-10-29 11:10:50', '2020-10-29', NULL, '2020-10-29', '2020-11-30 09:57:12', '2020-11-30 08:57:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 193.63000000, 0.00000000, 0.00000000, 0.00000000, 968.13000000, 1161.76000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, 'Maintenance compresseur L15 &agrave; 23354 HRS<br />\r\n<br />\r\nBL N&deg;50 du 14/10/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 968.13000000, 193.63000000, 1161.76000000, NULL, 'facture/FA2010-0021/FA2010-0021.pdf', NULL, NULL),
(2044, 'FA2010-0022', 1, NULL, NULL, NULL, 0, NULL, 10087, '2020-10-29 11:34:09', '2020-10-29', NULL, '2020-10-29', '2020-12-30 09:13:23', '2020-12-30 08:13:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 93.07000000, 0.00000000, 0.00000000, 0.00000000, 465.36000000, 558.43000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-11-30', NULL, 'Remplacement flexible sur compresseur Rollair 40 &agrave; 10440 HRS<br />\r\n<br />\r\nBL N&deg;01 du 16/10/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 465.36000000, 93.07000000, 558.43000000, NULL, 'facture/FA2010-0022/FA2010-0022.pdf', NULL, NULL),
(2045, 'FA2010-0023', 1, NULL, NULL, NULL, 0, NULL, 10293, '2020-10-29 11:41:45', '2020-10-29', NULL, '2020-10-29', '2021-01-05 12:05:33', '2021-01-05 11:05:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 67.08000000, 0.00000000, 0.00000000, 0.00000000, 335.40000000, 402.48000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-11-30', NULL, 'Commande N&deg; 40BDM1409762 ( MAG1409762)&nbsp;<br />\r\n<br />\r\nReservoir &eacute;quip&eacute; 200Litres', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 335.40000000, 67.08000000, 402.48000000, NULL, 'facture/FA2010-0023/FA2010-0023.pdf', NULL, NULL),
(2046, 'FA2010-0024', 1, NULL, NULL, NULL, 0, NULL, 2765, '2020-10-29 11:58:40', '2020-10-29', NULL, '2020-10-29', '2020-12-10 10:09:20', '2020-12-10 09:09:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 29.80000000, 0.00000000, 0.00000000, 0.00000000, 149.02000000, 178.82000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-11-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 149.02000000, 29.80000000, 178.82000000, NULL, 'facture/FA2010-0024/FA2010-0024.pdf', NULL, NULL),
(2047, 'FA2010-0025', 1, NULL, NULL, NULL, 0, NULL, 6086, '2020-10-29 14:08:23', '2020-10-29', NULL, '2020-10-29', NULL, '2020-10-29 14:32:15', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 1702.80000000, 0.00000000, 0.00000000, 0.00000000, 8514.00000000, 10216.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-11-30', NULL, 'CMP mensualites d&#39;avril 2020 &agrave; septembre 2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 8514.00000000, 1702.80000000, 10216.80000000, NULL, 'facture/FA2010-0025/FA2010-0025.pdf', NULL, NULL),
(2048, 'FA2010-0026', 1, NULL, NULL, NULL, 0, NULL, 2407, '2020-10-29 14:28:03', '2020-10-29', NULL, '2020-10-29', '2020-12-28 10:37:33', '2020-12-28 09:37:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 754.78000000, 0.00000000, 0.00000000, 0.00000000, 3773.90000000, 4528.68000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, 'Maintenance compresseur L90RS N&deg; CD10030723001 &agrave; 17900 HRS<br />\r\n<br />\r\nCommande N&deg; 911388330 -0-10760', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 3773.90000000, 754.78000000, 4528.68000000, NULL, 'facture/FA2010-0026/FA2010-0026.pdf', NULL, NULL),
(2049, 'FA2010-0027', 1, NULL, NULL, NULL, 0, NULL, 2407, '2020-10-29 14:42:03', '2020-10-29', NULL, '2020-10-29', '2020-12-28 10:37:34', '2020-12-28 09:37:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 65.54000000, 0.00000000, 0.00000000, 0.00000000, 327.67000000, 393.21000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, 'Commande N&deg;911365869-0-10760<br />\r\n<br />\r\nSoupape', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 327.67000000, 65.54000000, 393.21000000, NULL, 'facture/FA2010-0027/FA2010-0027.pdf', NULL, NULL),
(2050, 'AV2010-0003', 1, NULL, NULL, NULL, 2, NULL, 6086, '2020-10-29 15:32:31', '2020-10-29', NULL, '2020-10-29', NULL, '2020-10-29 14:32:40', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, -1702.80000000, 0.00000000, 0.00000000, 0.00000000, -8514.00000000, -10216.80000000, 1, 5, NULL, 5, NULL, 2047, NULL, NULL, NULL, 0, 0, '2020-10-29', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, -8514.00000000, -1702.80000000, -10216.80000000, NULL, 'facture/AV2010-0003/AV2010-0003.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(2051, 'FA2009-0063', 1, NULL, NULL, NULL, 0, NULL, 6086, '2020-10-29 15:38:58', '2020-09-30', NULL, '2020-10-29', NULL, '2020-10-29 14:39:04', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 1702.80000000, 0.00000000, 0.00000000, 0.00000000, 8514.00000000, 10216.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-10-31', NULL, 'CMP mensualites d&#39;avril 2020 &agrave; septembre 2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 8514.00000000, 1702.80000000, 10216.80000000, NULL, 'facture/FA2009-0063/FA2009-0063.pdf', NULL, NULL),
(2052, 'FA2010-0028', 1, NULL, NULL, NULL, 0, NULL, 13151, '2020-10-29 15:47:56', '2020-10-29', NULL, '2020-10-29', '2020-11-04 09:51:25', '2020-11-04 08:51:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 119.00000000, 0.00000000, 0.00000000, 0.00000000, 595.00000000, 714.00000000, 2, 4, NULL, 4, 8, NULL, NULL, NULL, NULL, 9, 0, '2020-10-30', NULL, 'Groupe electrogene PROMAC GE4000N', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 595.00000000, 119.00000000, 714.00000000, NULL, 'facture/FA2010-0028/FA2010-0028.pdf', NULL, NULL),
(2053, 'FA2010-0029', 1, NULL, NULL, NULL, 0, NULL, 13160, '2020-10-30 16:04:16', '2020-10-30', NULL, '2020-10-30', '2020-12-16 10:07:32', '2020-12-16 09:07:32', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 28.94000000, 0.00000000, 0.00000000, 0.00000000, 144.68000000, 173.62000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 9, 0, '2020-10-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 144.68000000, 28.94000000, 173.62000000, NULL, 'facture/FA2010-0029/FA2010-0029.pdf', NULL, NULL),
(2054, 'AC2011-0001', 1, NULL, NULL, NULL, 3, NULL, 13091, '2020-11-02 14:23:23', '2020-11-02', NULL, '2020-11-02', '2020-11-04 09:49:47', '2020-11-04 08:49:47', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 207.64000000, 0.00000000, 0.00000000, 0.00000000, 1038.19000000, 1245.83000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 0, '2020-11-03', NULL, '2nd acompte', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-03', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1038.19000000, 207.64000000, 1245.83000000, NULL, 'facture/AC2011-0001/AC2011-0001.pdf', NULL, NULL),
(2055, 'FA2011-0001', 1, NULL, NULL, NULL, 0, NULL, 2197, '2020-11-02 14:25:51', '2020-11-02', NULL, '2020-11-02', '2020-11-20 10:44:59', '2020-11-20 09:44:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.83000000, 0.00000000, 0.00000000, 0.00000000, 114.13000000, 136.96000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 114.13000000, 22.83000000, 136.96000000, NULL, 'facture/FA2011-0001/FA2011-0001.pdf', NULL, NULL),
(2056, 'FA2010-0030', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-11-02 14:26:48', '2020-10-30', NULL, '2020-11-02', '2020-11-16 09:12:34', '2020-11-16 08:12:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-11-30', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA2010-0030/FA2010-0030.pdf', NULL, NULL),
(2057, 'FA2011-0002', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-11-02 14:27:25', '2020-11-02', NULL, '2020-11-02', '2020-12-16 10:04:08', '2020-12-16 09:04:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA2011-0002/FA2011-0002.pdf', NULL, NULL),
(2058, 'FA2011-0003', 1, NULL, NULL, NULL, 0, NULL, 12950, '2020-11-03 09:49:47', '2020-11-03', NULL, '2020-11-03', '2020-11-20 09:54:52', '2020-11-20 08:54:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 132.20000000, 0.00000000, 0.00000000, 0.00000000, 661.00000000, 793.20000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-12-31', NULL, 'Nettoyeur HP', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 661.00000000, 132.20000000, 793.20000000, NULL, 'facture/FA2011-0003/FA2011-0003.pdf', NULL, NULL),
(2059, 'AC2011-0002', 1, NULL, NULL, NULL, 3, NULL, 10640, '2020-11-04 10:52:30', '2020-11-04', NULL, '2020-11-04', '2020-11-05 11:30:38', '2020-11-05 10:30:38', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 3891.30000000, 0.00000000, 0.00000000, 0.00000000, 19456.50000000, 23347.80000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 0, '2020-11-05', NULL, 'Local air comprim&eacute; : Mise en place d&#39;un compresseur avec&nbsp; systeme de variation de&nbsp; vitesse 26 KW avec secheur par r&eacute;frigeration et reservoir 900Litres.<br />\r\nReseau en inox serti d&#39;environ 426 metres diametre 35 .<br />\r\n<br />\r\nAdresse des travaux :&nbsp;<br />\r\nSAVAJOLS<br />\r\nZI Des fouillouses<br />\r\n26140 SAINT RAMBERT d&#39;ALBON<br />\r\n<br />\r\nReglement : 50% &agrave; la commande&nbsp;<br />\r\nSolde des 50 % restants, &agrave; la facture &#39;&#39;fin des travaux&#39;<br />\r\n<br />\r\nEscompte d&eacute;j&agrave; d&eacute;duit', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-05', 0, NULL, NULL, 0, 'EUR', 1.00000000, 19456.50000000, 3891.30000000, 23347.80000000, NULL, 'facture/AC2011-0002/AC2011-0002.pdf', NULL, NULL),
(2060, 'FA2011-0005', 1, NULL, NULL, NULL, 0, NULL, 2383, '2020-11-17 16:19:25', '2020-11-17', NULL, '2020-11-23', '2021-01-13 11:56:04', '2021-01-13 10:56:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 276.79000000, 0.00000000, 0.00000000, 0.00000000, 1383.90000000, 1660.69000000, 2, 4, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Travaux electriques: mise en conformit&eacute; rapport Q19', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1383.90000000, 276.79000000, 1660.69000000, NULL, 'facture/FA2011-0005/FA2011-0005.pdf', NULL, NULL),
(2061, 'FA2011-0048', 1, NULL, NULL, NULL, 0, NULL, 13188, '2020-11-18 09:22:50', '2020-11-18', NULL, '2020-12-04', '2020-12-08 09:43:18', '2020-12-08 08:43:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 8.81000000, 0.00000000, 0.00000000, 0.00000000, 44.03000000, 52.84000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 11, 0, '2020-11-28', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 44.03000000, 8.81000000, 52.84000000, NULL, 'facture/FA2011-0048/FA2011-0048.pdf', NULL, NULL),
(2062, 'FA2011-0004', 1, NULL, NULL, NULL, 0, NULL, 2729, '2020-11-19 11:11:44', '2020-11-19', NULL, '2020-11-19', '2020-12-31 10:13:10', '2020-12-31 09:13:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 122.50000000, 122.50000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-12-31', NULL, 'Indemmnites pour la maintenance preventive anticip&eacute;e du clapet d&#39;aspiration PRO 9 NK&nbsp;<br />\r\nJT LASER - RSF PRO 30 N&deg;727025<br />\r\nBloc EV09NK version V109 N&deg; SC311659', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 122.50000000, 0.00000000, 122.50000000, NULL, 'facture/FA2011-0004/FA2011-0004.pdf', NULL, NULL),
(2063, 'FA2011-0007', 1, NULL, NULL, NULL, 0, NULL, 13101, '2020-11-20 09:30:50', '2020-11-20', NULL, '2020-11-24', '2020-11-24 10:38:51', '2020-11-24 09:38:51', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 287.00000000, 0.00000000, 0.00000000, 0.00000000, 1435.00000000, 1722.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 15, 0, '2020-11-21', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-21', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1435.00000000, 287.00000000, 1722.00000000, NULL, 'facture/FA2011-0007/FA2011-0007.pdf', NULL, NULL),
(2065, 'FA2011-0006', 1, NULL, NULL, NULL, 0, NULL, 2383, '2020-11-23 09:37:55', '2020-11-19', NULL, '2020-11-23', '2021-01-13 11:56:04', '2021-01-13 10:56:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 157.56000000, 0.00000000, 0.00000000, 0.00000000, 787.78000000, 945.34000000, 2, 4, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Mise en conformité relevé des defauts controles periodique ACRITEC', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 787.78000000, 157.56000000, 945.34000000, NULL, 'facture/FA2011-0006/FA2011-0006.pdf', NULL, NULL),
(2066, 'FA2011-0008', 1, NULL, NULL, NULL, 0, NULL, 2285, '2020-11-24 10:15:23', '2020-11-24', NULL, '2020-11-24', '2021-01-25 09:07:20', '2021-01-25 08:07:20', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1907.79000000, 0.00000000, 0.00000000, 0.00000000, 9538.96000000, 11446.75000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 15, 2, '2020-11-25', NULL, 'Estimatif: Aspiration des murs en bardage pour depoussierage<br />\r\n1 grosse semaine 2 techniciens&nbsp;<br />\r\n( confirmation entretien t&eacute;l&eacute;phonique avec Mr Balazard Alain )<br />\r\n<br />\r\nR&eacute;glement : en 3 fois sans frais&nbsp;<br />\r\n40% &agrave; la commande par virement<br />\r\n30% 60 Jours<br />\r\n30% 90 jours', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-11-25', 0, NULL, NULL, 0, 'EUR', 1.00000000, 9538.96000000, 1907.79000000, 11446.75000000, NULL, 'facture/FA2011-0008/FA2011-0008.pdf', NULL, NULL),
(2067, 'FA2011-0009', 1, NULL, NULL, NULL, 0, NULL, 2286, '2020-11-24 10:32:51', '2020-11-24', NULL, '2020-11-24', '2021-01-21 11:49:45', '2021-01-21 10:49:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 575.27000000, 0.00000000, 0.00000000, 0.00000000, 2876.38000000, 3451.65000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2876.38000000, 575.27000000, 3451.65000000, NULL, 'facture/FA2011-0009/FA2011-0009.pdf', NULL, NULL),
(2068, 'FA2011-0010', 1, NULL, NULL, NULL, 0, NULL, 12950, '2020-11-24 14:43:06', '2020-11-24', NULL, '2020-11-24', '2020-11-30 09:58:11', '2020-11-30 08:58:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 252.40000000, 0.00000000, 0.00000000, 0.00000000, 1262.00000000, 1514.40000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-12-31', NULL, 'Fourniture et installation d&#39;un secheur par r&eacute;frigeration avec filtre cyclonique .<br />\r\n<br />\r\nBL N&deg;8 du 03/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1262.00000000, 252.40000000, 1514.40000000, NULL, 'facture/FA2011-0010/FA2011-0010.pdf', NULL, NULL),
(2069, 'FA2011-0011', 1, NULL, NULL, NULL, 0, NULL, 2064, '2020-11-24 14:52:21', '2020-11-24', NULL, '2020-11-24', '2020-12-24 09:15:41', '2020-12-24 08:15:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1099.75000000, 0.00000000, 0.00000000, 0.00000000, 5498.74000000, 6598.49000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Remplacement de 3 cuves d&#39;air comprim&eacute; .<br />\r\n<br />\r\nBL N&deg; 3 du 12/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 5498.74000000, 1099.75000000, 6598.49000000, NULL, 'facture/FA2011-0011/FA2011-0011.pdf', NULL, NULL),
(2070, 'FA2011-0012', 1, NULL, NULL, NULL, 0, NULL, 2064, '2020-11-24 14:59:59', '2020-11-24', NULL, '2020-11-24', '2020-12-24 09:15:41', '2020-12-24 08:15:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 31.60000000, 0.00000000, 0.00000000, 0.00000000, 158.00000000, 189.60000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'remplacement graisseur et electrovanne sur compresseur L80<br />\r\n<br />\r\nBL 02N&deg;12/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 158.00000000, 31.60000000, 189.60000000, NULL, 'facture/FA2011-0012/FA2011-0012.pdf', NULL, NULL),
(2071, 'FA2011-0013', 1, NULL, NULL, NULL, 0, NULL, 2060, '2020-11-24 15:10:01', '2020-11-24', NULL, '2020-11-24', '2021-01-06 09:38:37', '2021-01-06 08:38:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 48.00000000, 0.00000000, 0.00000000, 0.00000000, 240.02000000, 288.02000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Interventions sur compresseur sprint 041 à 23093 HRS &amp; sprint 051 à 32074 HRS<br />\r\n<br />\r\n<br />\r\nBL N°06 du 02/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-10-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 240.02000000, 48.00000000, 288.02000000, NULL, 'facture/FA2011-0013/FA2011-0013.pdf', NULL, NULL),
(2072, 'FA2011-0014', 1, NULL, NULL, NULL, 0, NULL, 2036, '2020-11-24 15:23:43', '2020-11-24', NULL, '2020-11-24', '2021-01-11 10:13:46', '2021-01-11 09:13:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 23.93000000, 0.00000000, 0.00000000, 0.00000000, 119.66000000, 143.59000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Pieces detach&eacute;es pour maintenance RS PRO 4', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 119.66000000, 23.93000000, 143.59000000, NULL, 'facture/FA2011-0014/FA2011-0014.pdf', NULL, NULL),
(2073, 'FA2011-0015', 1, NULL, NULL, NULL, 0, NULL, 2064, '2020-11-24 15:38:17', '2020-11-24', NULL, '2020-11-24', '2020-12-24 09:15:41', '2020-12-24 08:15:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 211.87000000, 0.00000000, 0.00000000, 0.00000000, 1059.35000000, 1271.22000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Remplacament accouplement, filtre &agrave; air et filtre &agrave; huile sur compresseur L37 N&deg; cd10008491001 &agrave; 21087 HRS<br />\r\n<br />\r\nBL N&deg;01 du 12/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1059.35000000, 211.87000000, 1271.22000000, NULL, 'facture/FA2011-0015/FA2011-0015.pdf', NULL, NULL),
(2074, 'FA2011-0016', 1, NULL, NULL, NULL, 0, NULL, 2086, '2020-11-24 15:58:10', '2020-11-24', NULL, '2020-11-24', '2021-01-07 13:50:14', '2021-01-07 12:50:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 18.38000000, 0.00000000, 0.00000000, 0.00000000, 91.90000000, 110.28000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 91.90000000, 18.38000000, 110.28000000, NULL, 'facture/FA2011-0016/FA2011-0016.pdf', NULL, NULL),
(2075, 'FA2011-0017', 1, NULL, NULL, NULL, 0, NULL, 2077, '2020-11-24 16:03:47', '2020-11-24', NULL, '2020-11-24', '2020-12-28 10:38:27', '2020-12-28 09:38:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 88.54000000, 0.00000000, 0.00000000, 0.00000000, 442.70000000, 531.24000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'changement monture a niveau sur compresseur L22RS CD1000586001 à 31689 HRS<br />\r\n<br />\r\nBL N° 47 du 05/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 442.70000000, 88.54000000, 531.24000000, NULL, 'facture/FA2011-0017/FA2011-0017.pdf', NULL, NULL),
(2076, 'FA2011-0018', 1, NULL, NULL, NULL, 0, NULL, 12950, '2020-11-24 16:12:18', '2020-11-24', NULL, '2020-11-24', '2020-11-30 09:58:11', '2020-11-30 08:58:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 35.44000000, 0.00000000, 0.00000000, 0.00000000, 177.20000000, 212.64000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-12-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 177.20000000, 35.44000000, 212.64000000, NULL, 'facture/FA2011-0018/FA2011-0018.pdf', NULL, NULL),
(2077, 'FA2011-0019', 1, NULL, NULL, NULL, 0, NULL, 2157, '2020-11-24 16:16:57', '2020-11-24', NULL, '2020-11-24', '2020-12-30 09:12:10', '2020-12-30 08:12:10', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 57.13000000, 0.00000000, 0.00000000, 0.00000000, 285.67000000, 342.80000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Maintenance du separateur de condensats OWAMAT 11 : <br />\r\n<br />\r\nBL N° 17 du 09/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 285.67000000, 57.13000000, 342.80000000, NULL, 'facture/FA2011-0019/FA2011-0019.pdf', NULL, NULL),
(2078, 'FA2011-0020', 1, NULL, NULL, NULL, 0, NULL, 2169, '2020-11-24 16:23:50', '2020-11-24', NULL, '2020-11-24', '2021-01-05 12:04:02', '2021-01-05 11:04:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 57.18000000, 0.00000000, 0.00000000, 0.00000000, 285.90000000, 343.08000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'remplacement silenbloc sur laser Comb<br />\r\n<br />\r\nBL N&deg;09 du 13/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 285.90000000, 57.18000000, 343.08000000, NULL, 'facture/FA2011-0020/FA2011-0020.pdf', NULL, NULL),
(2079, 'FA2011-0021', 1, NULL, NULL, NULL, 0, NULL, 2169, '2020-11-24 16:35:30', '2020-11-24', NULL, '2020-11-24', '2021-01-05 12:04:02', '2021-01-05 11:04:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 48.00000000, 0.00000000, 0.00000000, 0.00000000, 240.02000000, 288.02000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Depannage laser comb - probleme differentiel<br />\r\n<br />\r\nBL N°07 du 02/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 240.02000000, 48.00000000, 288.02000000, NULL, 'facture/FA2011-0021/FA2011-0021.pdf', NULL, NULL),
(2080, 'FA2011-0022', 1, NULL, NULL, NULL, 0, NULL, 12590, '2020-11-24 16:53:53', '2020-11-24', NULL, '2020-11-24', '2021-01-19 09:20:39', '2021-01-19 08:20:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 451.54000000, 0.00000000, 0.00000000, 0.00000000, 2257.69000000, 2709.23000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Maintennace compresseur RSF RENNER PRO 2-30 N&deg;727025 &agrave; 13313 HRS<br />\r\nMaintenance filtres reseaux<br />\r\nMaintenance separateur de condensats Owamat 12<br />\r\n<br />\r\nBL N&deg;43 du 03/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2257.69000000, 451.54000000, 2709.23000000, NULL, 'facture/FA2011-0022/FA2011-0022.pdf', NULL, NULL),
(2081, 'FA2011-0023', 1, NULL, NULL, NULL, 0, NULL, 11452, '2020-11-25 09:56:42', '2020-11-25', NULL, '2020-11-25', '2020-12-31 10:17:15', '2020-12-31 09:17:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 197.72000000, 0.00000000, 0.00000000, 0.00000000, 988.60000000, 1186.32000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-12-31', NULL, 'Maintenance compresseur RENNER RSDK PRO 7.5 N&deg;713045 &agrave; 2859 Heures<br />\r\nMaintenance separateur de condensats<br />\r\nRemplacement cartouche dans filtre reseau BEA 105RB<br />\r\n<br />\r\nBL N&deg;44 du 07/11/2020<br />\r\n<br />\r\nCommande BC 3378', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 988.60000000, 197.72000000, 1186.32000000, NULL, 'facture/FA2011-0023/FA2011-0023.pdf', NULL, NULL),
(2082, 'FA2011-0024', 1, NULL, NULL, NULL, 0, NULL, 2273, '2020-11-26 09:54:17', '2020-11-26', NULL, '2020-11-26', '2020-12-31 10:15:46', '2020-12-31 09:15:46', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 34.08000000, 0.00000000, 0.00000000, 0.00000000, 170.36000000, 204.44000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, '<br />\r\nIntervention suite &agrave; probleme de temperature sur compresseur devillbiss.<br />\r\n<br />\r\nBL N&deg;04 du 19/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 170.36000000, 34.08000000, 204.44000000, NULL, 'facture/FA2011-0024/FA2011-0024.pdf', NULL, NULL),
(2083, 'FA2011-0025', 1, NULL, NULL, NULL, 0, NULL, 2268, '2020-11-26 14:58:13', '2020-11-26', NULL, '2020-11-26', '2020-12-30 09:09:23', '2020-12-30 08:09:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 457.36000000, 0.00000000, 0.00000000, 0.00000000, 2286.76000000, 2744.12000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Maintenance compresseur l75RS N&deg; CD10009783001 &agrave; 43738 HRS<br />\r\nMaintenance separateur de condensats Owamat 14<br />\r\nRemplacement cartouche filtre reseau charbon actif<br />\r\n<br />\r\nBL N&deg;21 du 23/09/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2286.76000000, 457.36000000, 2744.12000000, NULL, 'facture/FA2011-0025/FA2011-0025.pdf', NULL, NULL),
(2084, 'FA2011-0026', 1, NULL, NULL, NULL, 0, NULL, 2370, '2020-11-26 15:46:57', '2020-11-26', NULL, '2020-11-26', '2021-01-04 10:19:39', '2021-01-04 09:19:39', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 977.60000000, 0.00000000, 0.00000000, 0.00000000, 4888.00000000, 5865.60000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Fourniture et installation compresseur Renner RS PRO 7.5 7.5B .<br />\r\n<br />\r\nBL N&deg;49 du 06/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 4888.00000000, 977.60000000, 5865.60000000, NULL, 'facture/FA2011-0026/FA2011-0026.pdf', NULL, NULL),
(2085, 'FA2011-0027', 1, NULL, NULL, NULL, 0, NULL, 2350, '2020-11-26 15:54:08', '2020-11-26', NULL, '2020-11-26', '2021-01-18 16:45:04', '2021-01-18 15:45:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 188.95000000, 0.00000000, 0.00000000, 0.00000000, 944.70000000, 1133.65000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'BL N° 5 du 30/10/2020<br />\r\n<br />\r\nCommande N° 2558236-325-G9J-BKP', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 944.70000000, 188.95000000, 1133.65000000, NULL, 'facture/FA2011-0027/FA2011-0027.pdf', NULL, NULL),
(2086, 'FA2011-0028', 1, NULL, NULL, NULL, 0, NULL, 12700, '2020-11-26 16:57:13', '2020-11-26', NULL, '2020-11-26', '2020-12-01 09:56:15', '2020-12-01 08:56:15', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.80000000, 0.00000000, 0.00000000, 0.00000000, 563.99000000, 676.79000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-12-31', NULL, 'Maintenance compresseur KAESER SK19 &agrave; 25202 H&nbsp; BL N&deg;42 du 29/10/2020<br />\r\n<br />\r\nMaintenance L29RS &agrave; 925 HRS // Cartouches filtres reseaux // Separateur de condensats Owmat OFFERTES BL N&deg;41 du 29/10/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 563.99000000, 112.80000000, 676.79000000, NULL, 'facture/FA2011-0028/FA2011-0028.pdf', NULL, NULL),
(2087, 'FA2011-0029', 1, NULL, NULL, NULL, 0, NULL, 2376, '2020-11-27 10:47:10', '2020-11-27', NULL, '2020-11-27', '2021-02-02 15:58:22', '2021-02-02 14:58:22', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 297.31000000, 0.00000000, 0.00000000, 0.00000000, 1486.55000000, 1783.86000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Remplacement sécheur  MPF140 Hors service par un sécheur équivalent - modification du bypass en inox et raccordement<br />\r\nBL N°10 du 16/11/2020<br />\r\n<br />\r\nCommande N° 32499', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1486.55000000, 297.31000000, 1783.86000000, NULL, 'facture/FA2011-0029/FA2011-0029.pdf', NULL, NULL),
(2088, 'FA2011-0030', 1, NULL, NULL, NULL, 0, NULL, 5741, '2020-11-27 14:13:12', '2020-11-27', NULL, '2020-11-27', '2021-01-19 09:32:21', '2021-01-19 08:32:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 285.92000000, 0.00000000, 0.00000000, 0.00000000, 1429.60000000, 1715.52000000, 2, 5, NULL, 5, 5, NULL, NULL, NULL, NULL, 3, 0, '2020-12-31', NULL, 'Commande N&deg; 13327', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1429.60000000, 285.92000000, 1715.52000000, NULL, 'facture/FA2011-0030/FA2011-0030.pdf', NULL, NULL),
(2089, 'FA2011-0031', 1, NULL, NULL, NULL, 0, NULL, 5741, '2020-11-27 14:47:52', '2020-11-27', NULL, '2020-11-27', '2021-01-19 09:31:41', '2021-01-19 08:31:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.76000000, 0.00000000, 0.00000000, 0.00000000, 593.78000000, 712.54000000, 2, 5, NULL, 5, 5, NULL, NULL, NULL, NULL, 3, 0, '2020-12-31', NULL, 'Commande 13191', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 593.78000000, 118.76000000, 712.54000000, NULL, 'facture/FA2011-0031/FA2011-0031.pdf', NULL, NULL),
(2090, 'FA2011-0032', 1, NULL, NULL, NULL, 0, NULL, 2407, '2020-11-30 10:33:36', '2020-11-30', NULL, '2020-11-30', '2021-01-29 09:44:00', '2021-01-29 08:44:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 91.78000000, 0.00000000, 0.00000000, 0.00000000, 458.86000000, 550.64000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Commande N&deg;911414112', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 458.86000000, 91.78000000, 550.64000000, NULL, 'facture/FA2011-0032/FA2011-0032.pdf', NULL, NULL),
(2092, 'AV2011-0001', 1, NULL, NULL, NULL, 2, NULL, 12700, '2020-11-30 10:58:38', '2020-11-30', NULL, '2020-11-30', '2020-12-01 09:55:50', '2020-12-01 08:55:50', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -112.80000000, 0.00000000, 0.00000000, 0.00000000, -563.99000000, -676.79000000, 2, 5, NULL, 5, 8, 2086, NULL, NULL, NULL, 0, 0, '2020-11-30', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, -563.99000000, -112.80000000, -676.79000000, NULL, 'facture/AV2011-0001/AV2011-0001.pdf', NULL, NULL),
(2093, 'FA2011-0033', 1, NULL, NULL, NULL, 0, NULL, 12930, '2020-11-30 10:59:31', '2020-11-30', NULL, '2020-11-30', '2021-01-13 11:55:21', '2021-01-13 10:55:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 112.80000000, 0.00000000, 0.00000000, 0.00000000, 563.99000000, 676.79000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-12-31', NULL, 'Maintenance compresseur KAESER SK19 &agrave; 25202 H&nbsp; BL N&deg;42 du 29/10/2020<br />\r\n<br />\r\nMaintenance L29RS &agrave; 925 HRS // Cartouches filtres reseaux // Separateur de condensats Owmat OFFERTES BL N&deg;41 du 29/10/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 563.99000000, 112.80000000, 676.79000000, NULL, 'facture/FA2011-0033/FA2011-0033.pdf', NULL, NULL),
(2094, 'FA2011-0034', 1, NULL, NULL, NULL, 0, NULL, 2407, '2020-12-01 09:01:45', '2020-11-30', NULL, '2020-12-01', '2021-01-29 09:44:00', '2021-01-29 08:44:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 145.92000000, 0.00000000, 0.00000000, 0.00000000, 729.58000000, 875.50000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Commande N&deg;911414112', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 729.58000000, 145.92000000, 875.50000000, NULL, 'facture/FA2011-0034/FA2011-0034.pdf', NULL, NULL),
(2095, 'FA2011-0035', 1, NULL, NULL, NULL, 0, NULL, 2407, '2020-12-01 09:06:09', '2020-11-30', NULL, '2020-12-01', '2021-01-29 09:44:00', '2021-01-29 08:44:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 163.31000000, 0.00000000, 0.00000000, 0.00000000, 816.55000000, 979.86000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Commande N&deg;911414112', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 816.55000000, 163.31000000, 979.86000000, NULL, 'facture/FA2011-0035/FA2011-0035.pdf', NULL, NULL),
(2096, 'FA2011-0036', 1, NULL, NULL, NULL, 0, NULL, 2407, '2020-12-01 09:08:52', '2020-11-30', NULL, '2020-12-01', '2021-01-29 09:44:00', '2021-01-29 08:44:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 59.80000000, 0.00000000, 0.00000000, 0.00000000, 299.00000000, 358.80000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Commande N&deg;911414112', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 299.00000000, 59.80000000, 358.80000000, NULL, 'facture/FA2011-0036/FA2011-0036.pdf', NULL, NULL),
(2098, 'AC2012-0001', 1, NULL, NULL, NULL, 3, NULL, 13091, '2020-12-01 10:13:48', '2020-12-01', NULL, '2020-12-01', '2020-12-21 10:29:59', '2020-12-21 09:29:59', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 207.64000000, 0.00000000, 0.00000000, 0.00000000, 1038.19000000, 1245.83000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 0, '2020-12-02', NULL, '3eme acompte', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-02', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1038.19000000, 207.64000000, 1245.83000000, NULL, 'facture/AC2012-0001/AC2012-0001.pdf', NULL, NULL),
(2099, 'FA2012-0001', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-12-01 10:14:32', '2020-12-01', NULL, '2020-12-01', '2020-12-31 10:15:06', '2020-12-31 09:15:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA2012-0001/FA2012-0001.pdf', NULL, NULL),
(2100, 'FA2011-0037', 1, NULL, NULL, NULL, 0, NULL, 1990, '2020-12-01 10:25:20', '2020-11-30', NULL, '2020-12-01', '2020-12-31 10:16:33', '2020-12-31 09:16:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 243.80000000, 0.00000000, 0.00000000, 0.00000000, 1218.87000000, 1462.67000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Raccordement chauffe eau et melangeur suivant votre demande&nbsp;<br />\r\n<br />\r\nBL N&deg;39 du 26/10/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1218.87000000, 243.80000000, 1462.67000000, NULL, 'facture/FA2011-0037/FA2011-0037.pdf', NULL, NULL),
(2101, 'FA2011-0038', 1, NULL, NULL, NULL, 0, NULL, 2149, '2020-12-01 10:45:33', '2020-11-30', NULL, '2020-12-01', '2021-01-04 10:20:18', '2021-01-04 09:20:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 34.28000000, 0.00000000, 0.00000000, 0.00000000, 171.37000000, 205.65000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'R&eacute;paration r&eacute;seau d&#39;air diam&egrave;tre 25<br />\r\n<br />\r\nBL N&deg;50 du 10/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 171.37000000, 34.28000000, 205.65000000, NULL, 'facture/FA2011-0038/FA2011-0038.pdf', NULL, NULL),
(2102, 'FA2011-0039', 1, NULL, NULL, NULL, 0, NULL, 2178, '2020-12-01 10:56:17', '2020-11-30', NULL, '2020-12-01', '2021-01-04 10:20:45', '2021-01-04 09:20:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 105.74000000, 0.00000000, 0.00000000, 0.00000000, 528.72000000, 634.46000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Commande du 25/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 528.72000000, 105.74000000, 634.46000000, NULL, 'facture/FA2011-0039/FA2011-0039.pdf', NULL, NULL),
(2103, 'FA2011-0040', 1, NULL, NULL, NULL, 0, NULL, 2279, '2020-12-01 11:52:37', '2020-11-30', NULL, '2020-12-01', '2020-12-30 09:12:52', '2020-12-30 08:12:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 214.97000000, 0.00000000, 0.00000000, 0.00000000, 1074.86000000, 1289.83000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Maintenance compresseur L50 &agrave; 49228 HRS<br />\r\n<br />\r\nBL N&deg;16 du 27/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1074.86000000, 214.97000000, 1289.83000000, NULL, 'facture/FA2011-0040/FA2011-0040.pdf', NULL, NULL),
(2104, 'FA2011-0041', 1, NULL, NULL, NULL, 0, NULL, 2279, '2020-12-01 11:55:24', '2020-11-30', NULL, '2020-12-01', '2020-12-30 09:12:52', '2020-12-30 08:12:52', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 339.99000000, 0.00000000, 0.00000000, 0.00000000, 1699.98000000, 2039.97000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'remplacement en lieu et place de votre reservoir 900Litres<br />\r\n<br />\r\nBL N&deg;16 du 27/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1699.98000000, 339.99000000, 2039.97000000, NULL, 'facture/FA2011-0041/FA2011-0041.pdf', NULL, NULL),
(2105, 'FA2011-0042', 1, NULL, NULL, NULL, 0, NULL, 2223, '2020-12-01 12:05:09', '2020-11-30', NULL, '2020-12-01', '2020-12-24 09:14:43', '2020-12-24 08:14:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 128.14000000, 0.00000000, 0.00000000, 0.00000000, 640.69000000, 768.83000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Maintenance Compresseur RSDK PRO &agrave; 3806 HRS<br />\r\nRemplacement cartouche filtre reseau BEA105RA<br />\r\n<br />\r\nBL N&deg;19 du 26/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 640.69000000, 128.14000000, 768.83000000, NULL, 'facture/FA2011-0042/FA2011-0042.pdf', NULL, NULL),
(2106, 'FA2011-0043', 1, NULL, NULL, NULL, 0, NULL, 2234, '2020-12-02 15:03:29', '2020-11-30', NULL, '2020-12-02', '2020-12-31 10:15:06', '2020-12-31 09:15:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 575.88000000, 0.00000000, 0.00000000, 0.00000000, 2879.46000000, 3455.34000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Commande N&deg; 4800307317', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2879.46000000, 575.88000000, 3455.34000000, NULL, 'facture/FA2011-0043/FA2011-0043.pdf', NULL, NULL),
(2107, 'FA2011-0044', 1, NULL, NULL, NULL, 0, NULL, 2283, '2020-12-03 11:06:00', '2020-11-30', NULL, '2020-12-03', '2020-12-08 09:39:41', '2020-12-08 08:39:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 300.34000000, 0.00000000, 0.00000000, 0.00000000, 1501.74000000, 1802.08000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Travaux en r&eacute;gie comme convenu avec Mr Balazard<br />\r\nProlongation reseau inox diam 22 et mise en place enrouleur en votre possession<br />\r\n<br />\r\nBL N&deg;46 du 04/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1501.74000000, 300.34000000, 1802.08000000, NULL, 'facture/FA2011-0044/FA2011-0044.pdf', NULL, NULL),
(2108, 'FA2011-0045', 1, NULL, NULL, NULL, 0, NULL, 2283, '2020-12-03 11:10:19', '2020-11-30', NULL, '2020-12-03', '2020-12-08 09:39:41', '2020-12-08 08:39:41', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1140.00000000, 0.00000000, 0.00000000, 0.00000000, 5700.00000000, 6840.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 11, 2, '2020-12-10', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-10', 0, NULL, NULL, 0, 'EUR', 1.00000000, 5700.00000000, 1140.00000000, 6840.00000000, NULL, 'facture/FA2011-0045/FA2011-0045.pdf', NULL, NULL),
(2109, 'FA2012-0002', 1, NULL, NULL, NULL, 0, NULL, 6259, '2020-12-03 11:22:56', '2020-12-03', NULL, '2020-12-03', '2021-01-28 16:37:23', '2021-01-28 15:37:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 56.38000000, 0.00000000, 0.00000000, 0.00000000, 281.89000000, 338.27000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2021-01-31', NULL, 'Kit separateur de condensats', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 281.89000000, 56.38000000, 338.27000000, NULL, 'facture/FA2012-0002/FA2012-0002.pdf', NULL, NULL),
(2110, 'FA2011-0046', 1, NULL, NULL, NULL, 0, NULL, 13053, '2020-12-03 11:33:21', '2020-11-30', NULL, '2020-12-03', NULL, '2020-12-10 08:23:56', 0, 0.00000000, NULL, NULL, 0, 'abandon', 'contrat', 400.15000000, 0.00000000, 0.00000000, 0.00000000, 2000.85000000, 2401.00000000, 3, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-12-31', NULL, 'Maintenance local air comprim&eacute;:<br />\r\nBL N&deg;07 du 23/11/2020<br />\r\nRollair N&deg; CAI410726 &agrave; 38140 HRS<br />\r\nRemplacement des cartouches des six filtres r&eacute;seaux<br />\r\n<br />\r\nBL N&deg;6 du 23/11/2020<br />\r\nMaintenance du compresseur START25 N&deg; 34901215739 &agrave; 26700 HRS<br />\r\nMaintenance du compresseur &agrave; piston MAUGIERE ME11<br />\r\nMaintenance separateur de condensats<br />\r\nRemplacement cartouche filtre r&eacute;seau&nbsp;', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2000.85000000, 400.15000000, 2401.00000000, NULL, 'facture/FA2011-0046/FA2011-0046.pdf', NULL, NULL),
(2111, 'FA2011-0047', 1, NULL, NULL, NULL, 0, NULL, 13053, '2020-12-03 11:48:08', '2020-11-30', NULL, '2020-12-03', NULL, '2020-12-10 08:24:11', 0, 0.00000000, NULL, NULL, 0, 'abandon', 'contrat', 110.93000000, 0.00000000, 0.00000000, 0.00000000, 554.66000000, 665.59000000, 3, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2020-12-31', NULL, 'Maintenance secheur PARKER alumine<br />\r\n<br />\r\nBL07 du 23/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 554.66000000, 110.93000000, 665.59000000, NULL, 'facture/FA2011-0047/FA2011-0047.pdf', NULL, NULL),
(2112, 'FA2011-0049', 1, NULL, NULL, NULL, 0, NULL, 2020, '2020-12-07 15:19:47', '2020-11-30', NULL, '2020-12-07', '2020-12-31 10:13:58', '2020-12-31 09:13:58', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 166.41000000, 0.00000000, 0.00000000, 0.00000000, 832.07000000, 998.48000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2020-12-31', NULL, 'Deplacement compresseur L22 &agrave; la place u L07 avec son secheur .<br />\r\nRaccordement et essai&nbsp;<br />\r\n<br />\r\nBL N&deg;17 du 30/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 832.07000000, 166.41000000, 998.48000000, NULL, 'facture/FA2011-0049/FA2011-0049.pdf', NULL, NULL),
(2113, 'FA2012-0003', 1, NULL, NULL, NULL, 0, NULL, 2358, '2020-12-08 11:11:33', '2020-12-08', NULL, '2020-12-08', '2021-02-11 16:15:14', '2021-02-11 15:15:14', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 832.14000000, 0.00000000, 0.00000000, 0.00000000, 4160.65000000, 4992.79000000, 2, 4, 4, 4, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Mise en conformité Q18 (seuls les points reperés dans la facture)', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 4160.65000000, 832.14000000, 4992.79000000, NULL, 'facture/FA2012-0003/FA2012-0003.pdf', NULL, NULL),
(2114, 'AV2012-0001', 1, NULL, NULL, NULL, 2, NULL, 13053, '2020-12-10 09:23:03', '2020-12-10', NULL, '2020-12-10', '2020-12-10 09:24:56', '2020-12-10 08:24:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -400.15000000, 0.00000000, 0.00000000, 0.00000000, -2000.85000000, -2401.00000000, 2, 5, NULL, 5, 5, 2110, NULL, NULL, NULL, 0, 0, '2020-12-10', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, -2000.85000000, -400.15000000, -2401.00000000, NULL, 'facture/AV2012-0001/AV2012-0001.pdf', NULL, NULL),
(2115, 'AV2012-0002', 1, NULL, NULL, NULL, 2, NULL, 13053, '2020-12-10 09:23:25', '2020-12-10', NULL, '2020-12-10', '2020-12-10 09:24:56', '2020-12-10 08:24:56', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, -110.93000000, 0.00000000, 0.00000000, 0.00000000, -554.66000000, -665.59000000, 2, 5, NULL, 5, 5, 2111, NULL, NULL, NULL, 0, 0, '2020-12-10', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, -554.66000000, -110.93000000, -665.59000000, NULL, 'facture/AV2012-0002/AV2012-0002.pdf', NULL, NULL),
(2116, 'FA2011-0050', 1, NULL, NULL, NULL, 0, NULL, 13053, '2020-12-10 09:35:02', '2020-11-30', NULL, '2020-12-10', '2021-01-27 10:40:30', '2021-01-27 09:40:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 241.35000000, 0.00000000, 0.00000000, 0.00000000, 1206.65000000, 1448.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2020-12-31', NULL, 'Suivant contrat 202020021430', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1206.65000000, 241.35000000, 1448.00000000, NULL, 'facture/FA2011-0050/FA2011-0050.pdf', NULL, NULL),
(2117, 'FA2012-0004', 1, NULL, NULL, NULL, 0, NULL, 13149, '2020-12-15 09:12:29', '2020-12-15', NULL, '2020-12-15', '2020-12-15 09:49:11', '2020-12-15 08:49:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 194.00000000, 0.00000000, 0.00000000, 0.00000000, 970.00000000, 1164.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 9, 0, '2020-12-16', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-16', 0, NULL, NULL, 0, 'EUR', 1.00000000, 970.00000000, 194.00000000, 1164.00000000, NULL, 'facture/FA2012-0004/FA2012-0004.pdf', NULL, NULL),
(2118, 'AC2012-0002', 1, NULL, NULL, NULL, 3, NULL, 2020, '2020-12-16 16:51:08', '2020-12-16', NULL, '2020-12-16', '2020-12-18 13:14:34', '2020-12-18 12:14:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1331.01000000, 0.00000000, 0.00000000, 0.00000000, 6655.04000000, 7986.05000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 2, '2020-12-17', NULL, 'Acompte - Montant Global HT : 22183.46 euros', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-17', 0, NULL, NULL, 0, 'EUR', 1.00000000, 6655.04000000, 1331.01000000, 7986.05000000, NULL, 'facture/AC2012-0002/AC2012-0002.pdf', NULL, NULL),
(2119, 'AC2012-0003', 1, NULL, NULL, NULL, 3, NULL, 2020, '2020-12-16 16:52:08', '2020-12-16', NULL, '2020-12-16', '2020-12-18 13:14:35', '2020-12-18 12:14:35', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 925.26000000, 0.00000000, 0.00000000, 0.00000000, 4626.30000000, 5551.56000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 2, '2020-12-17', NULL, 'Acompte - Montant global 15421.00 euros HT', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-17', 0, NULL, NULL, 0, 'EUR', 1.00000000, 4626.30000000, 925.26000000, 5551.56000000, NULL, 'facture/AC2012-0003/AC2012-0003.pdf', NULL, NULL),
(2120, 'FA2012-0005', 1, NULL, NULL, NULL, 0, NULL, 2370, '2020-12-16 17:00:26', '2020-12-16', NULL, '2020-12-16', '2021-02-16 09:44:11', '2021-02-16 08:44:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 189.76000000, 0.00000000, 0.00000000, 0.00000000, 948.82000000, 1138.58000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Maintenance s&eacute;cheur Alumine HL0030 -', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 948.82000000, 189.76000000, 1138.58000000, NULL, 'facture/FA2012-0005/FA2012-0005.pdf', NULL, NULL),
(2121, 'FA2012-0006', 1, NULL, NULL, NULL, 0, NULL, 2407, '2020-12-17 11:29:28', '2020-12-17', NULL, '2020-12-17', '2021-02-15 10:02:12', '2021-02-15 09:02:12', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 419.71000000, 0.00000000, 0.00000000, 0.00000000, 2098.50000000, 2518.21000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, '<table>\r\n	<tbody>\r\n		<tr>\r\n			<td> </td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n<br />\r\nMaintenance L29RS N° CD10039882001 à 18386 HRS<br />\r\n<br />\r\nBL N°23 du 10/12/2020<br />\r\n<br />\r\nSUIVANT CONTRAT DE MAINTENANCE <br />\r\nCommande initiale : 911446996-0-10760', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2098.50000000, 419.71000000, 2518.21000000, NULL, 'facture/FA2012-0006/FA2012-0006.pdf', NULL, NULL),
(2122, 'FA2012-0007', 1, NULL, NULL, NULL, 0, NULL, 1988, '2020-12-17 14:08:07', '2020-12-17', NULL, '2020-12-17', '2021-02-05 09:03:04', '2021-02-05 08:03:04', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 204.89000000, 0.00000000, 0.00000000, 0.00000000, 1024.46000000, 1229.35000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Maintenance L55RS &agrave; 47112 HRS .<br />\r\n<br />\r\nBL N&deg;27 du 14/12/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1024.46000000, 204.89000000, 1229.35000000, NULL, 'facture/FA2012-0007/FA2012-0007.pdf', NULL, NULL),
(2123, 'FA2012-0008', 1, NULL, NULL, NULL, 0, NULL, 2033, '2020-12-17 14:25:24', '2020-12-17', NULL, '2020-12-17', '2021-02-16 09:43:19', '2021-02-16 08:43:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 131.21000000, 0.00000000, 0.00000000, 0.00000000, 656.05000000, 787.26000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Maintenance compresseur GA30C &agrave; 18810 HRS<br />\r\n<br />\r\nBL N&deg;26 du 11/12/2020<br />\r\n<br />\r\nCommande N&deg;37362/26652', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 656.05000000, 131.21000000, 787.26000000, NULL, 'facture/FA2012-0008/FA2012-0008.pdf', NULL, NULL),
(2124, 'FA2012-0009', 1, NULL, NULL, NULL, 0, NULL, 13145, '2020-12-17 14:29:22', '2020-12-17', NULL, '2020-12-17', '2021-02-17 15:23:37', '2021-02-17 14:23:37', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 27.90000000, 0.00000000, 0.00000000, 0.00000000, 139.50000000, 167.40000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2021-01-31', NULL, 'Commande N&deg;8572', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 139.50000000, 27.90000000, 167.40000000, NULL, 'facture/FA2012-0009/FA2012-0009.pdf', NULL, NULL),
(2125, 'FA2012-0010', 1, NULL, NULL, NULL, 0, NULL, 2075, '2020-12-17 14:42:45', '2020-12-17', NULL, '2020-12-17', '2021-02-19 09:40:07', '2021-02-19 08:40:07', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 110.66000000, 0.00000000, 0.00000000, 0.00000000, 553.29000000, 663.95000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Maintenance L07 &agrave; 24843 HRS<br />\r\n<br />\r\nBL N&deg;20 du 02/12/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 553.29000000, 110.66000000, 663.95000000, NULL, 'facture/FA2012-0010/FA2012-0010.pdf', NULL, NULL),
(2126, 'FA2012-0011', 1, NULL, NULL, NULL, 0, NULL, 2177, '2020-12-17 15:18:20', '2020-12-17', NULL, '2020-12-17', '2021-02-02 15:57:44', '2021-02-02 14:57:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 119.41000000, 0.00000000, 0.00000000, 0.00000000, 597.04000000, 716.45000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Maintenance L07RS &agrave; 11558HRS<br />\r\n<br />\r\nBL N&deg; 18 du 02/12/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 597.04000000, 119.41000000, 716.45000000, NULL, 'facture/FA2012-0011/FA2012-0011.pdf', NULL, NULL),
(2127, 'FA2012-0012', 1, NULL, NULL, NULL, 0, NULL, 11452, '2020-12-17 15:33:22', '2020-12-17', NULL, '2020-12-17', '2021-01-19 09:22:42', '2021-01-19 08:22:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 37.30000000, 0.00000000, 0.00000000, 0.00000000, 186.50000000, 223.80000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 9, 0, '2020-12-18', NULL, 'Commande N&deg; BC3502 .', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-18', 0, NULL, NULL, 0, 'EUR', 1.00000000, 186.50000000, 37.30000000, 223.80000000, NULL, 'facture/FA2012-0012/FA2012-0012.pdf', NULL, NULL),
(2128, 'FA2012-0013', 1, NULL, NULL, NULL, 0, NULL, 2260, '2020-12-17 15:41:59', '2020-12-17', NULL, '2020-12-17', NULL, '2020-12-17 14:42:50', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 72.35000000, 0.00000000, 0.00000000, 0.00000000, 361.76000000, 434.11000000, 1, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Intervention sur SCK42 compresseur à 52859 HRS-<br />\r\n<br />\r\nBL N° 19 du 02/12/2020', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 361.76000000, 72.35000000, 434.11000000, NULL, 'facture/FA2012-0013/FA2012-0013.pdf', NULL, NULL),
(2129, 'FA2012-0014', 1, NULL, NULL, NULL, 0, NULL, 2273, '2020-12-17 15:53:44', '2020-12-17', NULL, '2020-12-17', '2021-02-01 10:17:25', '2021-02-01 09:17:25', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 62.60000000, 0.00000000, 0.00000000, 0.00000000, 313.00000000, 375.60000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Remplacement bulbe thermostatique Compresseur MOD 25<br />\r\n<br />\r\nBL N&deg;15 du 25/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 313.00000000, 62.60000000, 375.60000000, NULL, 'facture/FA2012-0014/FA2012-0014.pdf', NULL, NULL),
(2130, 'FA2012-0015', 1, NULL, NULL, NULL, 0, NULL, 2261, '2020-12-17 15:59:26', '2020-12-17', NULL, '2020-12-17', '2021-02-09 08:58:18', '2021-02-09 07:58:18', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 49.69000000, 0.00000000, 0.00000000, 0.00000000, 248.44000000, 298.13000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Intervention sur secheur FRIULAIR <br />\r\nBL N°21 du 27/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 248.44000000, 49.69000000, 298.13000000, NULL, 'facture/FA2012-0015/FA2012-0015.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(2131, 'FA2012-0016', 1, NULL, NULL, NULL, 0, NULL, 2331, '2020-12-18 09:57:15', '2020-12-18', NULL, '2020-12-18', '2020-12-21 10:29:19', '2020-12-21 09:29:19', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 177.06000000, 0.00000000, 0.00000000, 0.00000000, 885.29000000, 1062.35000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Secheur par refrigeration EDD54&nbsp;<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 885.29000000, 177.06000000, 1062.35000000, NULL, 'facture/FA2012-0016/FA2012-0016.pdf', NULL, NULL),
(2132, 'FA2012-0017', 1, NULL, NULL, NULL, 0, NULL, 2347, '2020-12-18 10:02:14', '2020-12-18', NULL, '2020-12-18', NULL, '2020-12-18 09:02:45', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 228.91000000, 0.00000000, 0.00000000, 0.00000000, 1144.54000000, 1373.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Maintenance L15RS N&deg;CD10021874001 - 43823 HRS<br />\r\n<br />\r\nBL N&deg; 24 du 09/12/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1144.54000000, 228.91000000, 1373.45000000, NULL, 'facture/FA2012-0017/FA2012-0017.pdf', NULL, NULL),
(2133, 'FA2012-0018', 1, NULL, NULL, NULL, 0, NULL, 13182, '2020-12-18 16:25:58', '2020-12-18', NULL, '2020-12-18', '2021-01-15 16:35:26', '2021-01-15 15:35:26', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1194.00000000, 0.00000000, 0.00000000, 0.00000000, 5970.00000000, 7164.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 11, 0, '2020-12-28', NULL, 'Realisation reseau d&#39;air Alu diametre 40 et 25, implantation piquages suivant votre demande .<br />\r\n<br />\r\nBL N&deg;8 du 03/12/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 5970.00000000, 1194.00000000, 7164.00000000, NULL, 'facture/FA2012-0018/FA2012-0018.pdf', NULL, NULL),
(2134, 'FA2012-0019', 1, NULL, NULL, NULL, 0, NULL, 2283, '2020-12-21 10:05:35', '2020-12-21', NULL, '2020-12-21', '2020-12-28 10:38:02', '2020-12-28 09:38:02', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 170.01000000, 0.00000000, 0.00000000, 0.00000000, 850.06000000, 1020.07000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 2, '2020-12-22', NULL, 'Remplacement secheur par r&eacute;frigeration&nbsp;<br />\r\n<br />\r\nBL N&deg;22 du 08/12/2020<br />\r\n<br />\r\nPaiement &agrave; reception de facture comme convenu avec Alain - escompte d&eacute;ja d&eacute;duit .', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-22', 0, NULL, NULL, 0, 'EUR', 1.00000000, 850.06000000, 170.01000000, 1020.07000000, NULL, 'facture/FA2012-0019/FA2012-0019.pdf', NULL, NULL),
(2135, 'FA2012-0020', 1, NULL, NULL, NULL, 0, NULL, 2381, '2020-12-21 10:55:21', '2020-12-21', NULL, '2020-12-21', '2021-02-01 10:19:42', '2021-02-01 09:19:42', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 36.40000000, 0.00000000, 0.00000000, 0.00000000, 182.00000000, 218.40000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Intervention de depannage courroie sur compresseur KSA11 &agrave; 10500 HRS<br />\r\n<br />\r\nBL N&deg;22 du 04/12/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 182.00000000, 36.40000000, 218.40000000, NULL, 'facture/FA2012-0020/FA2012-0020.pdf', NULL, NULL),
(2136, 'AC2012-0004', 1, NULL, NULL, NULL, 3, NULL, 11251, '2020-12-21 11:01:55', '2020-12-21', NULL, '2020-12-21', '2021-01-05 12:05:00', '2021-01-05 11:05:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 978.00000000, 0.00000000, 0.00000000, 0.00000000, 4890.00000000, 5868.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 0, '2020-12-22', NULL, 'Acompte - Montant global HT : 16300euros<br />\r\n<br />\r\nLocal Air comprim&eacute;', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-22', 0, NULL, NULL, 0, 'EUR', 1.00000000, 4890.00000000, 978.00000000, 5868.00000000, NULL, 'facture/AC2012-0004/AC2012-0004.pdf', NULL, NULL),
(2137, 'FA2012-0021', 1, NULL, NULL, NULL, 0, NULL, 5741, '2020-12-21 11:10:07', '2020-12-21', NULL, '2020-12-21', '2021-02-17 15:23:03', '2021-02-17 14:23:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 62.31000000, 0.00000000, 0.00000000, 0.00000000, 311.57000000, 373.88000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2021-01-31', NULL, 'Commande N&deg; 13482', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 311.57000000, 62.31000000, 373.88000000, NULL, 'facture/FA2012-0021/FA2012-0021.pdf', NULL, NULL),
(2138, 'FA2012-0022', 1, NULL, NULL, NULL, 0, NULL, 5741, '2020-12-21 11:12:03', '2020-12-21', NULL, '2020-12-21', '2021-02-19 09:41:05', '2021-02-19 08:41:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 946.49000000, 0.00000000, 0.00000000, 0.00000000, 4732.46000000, 5678.95000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2021-01-31', NULL, 'Commande N&deg; 13239', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 4732.46000000, 946.49000000, 5678.95000000, NULL, 'facture/FA2012-0022/FA2012-0022.pdf', NULL, NULL),
(2139, 'FA2012-0023', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-12-22 09:08:04', '2020-12-22', NULL, '2020-12-22', '2021-02-16 09:49:45', '2021-02-16 08:49:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 428.62000000, 0.00000000, 0.00000000, 0.00000000, 2143.07000000, 2571.69000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Maintenance compresseur Sullair WA3008&nbsp; &agrave; 36058 HRS<br />\r\nBL N&deg;9 du 16/12/2020<br />\r\n<br />\r\net deux interventions de d&eacute;pannages :&nbsp;<br />\r\n07/09/2020 BL N&deg; 22<br />\r\n04/12/2020 BL N&deg; 21 pas de frais de d&eacute;placement car intervention de maintenance du L26RS STATION MAIS<br />\r\n<br />\r\nSite de livraision :&nbsp;<br />\r\nCooperative OXYANE<br />\r\nSTATION MAIS<br />\r\n361 Chemin du Pouloux,<br />\r\n38270 Beaurepaire<br />\r\n<br />\r\nCommande S981 20 12 3511PM', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2143.07000000, 428.62000000, 2571.69000000, NULL, 'facture/FA2012-0023/FA2012-0023.pdf', NULL, NULL),
(2140, 'FA2012-0024', 1, NULL, NULL, NULL, 0, NULL, 2054, '2020-12-22 09:26:02', '2020-12-22', NULL, '2020-12-22', '2021-02-16 09:49:45', '2021-02-16 08:49:45', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 307.68000000, 0.00000000, 0.00000000, 0.00000000, 1538.40000000, 1846.08000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Maintenance compresseur L26RS CD10029231001 &agrave; 9887 HRS<br />\r\nBL N&deg;21 du 04/12/2020<br />\r\n<br />\r\nSite de livraision :&nbsp;<br />\r\nCooperative OXYANE<br />\r\nSTATION MAIS<br />\r\n361 Chemin du Pouloux,<br />\r\n38270 Beaurepaire<br />\r\n<br />\r\nCommande S982 20 12 3510PM', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1538.40000000, 307.68000000, 1846.08000000, NULL, 'facture/FA2012-0024/FA2012-0024.pdf', NULL, NULL),
(2141, 'FA2012-0025', 1, NULL, NULL, NULL, 0, NULL, 5741, '2020-12-22 09:48:35', '2020-12-22', NULL, '2020-12-22', '2021-02-19 09:41:05', '2021-02-19 08:41:05', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 364.32000000, 0.00000000, 0.00000000, 0.00000000, 1821.60000000, 2185.92000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2021-01-31', NULL, 'Commande N&deg; 13494', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1821.60000000, 364.32000000, 2185.92000000, NULL, 'facture/FA2012-0025/FA2012-0025.pdf', NULL, NULL),
(2142, 'FA2012-0026', 1, NULL, NULL, NULL, 0, NULL, 10563, '2020-12-22 10:09:25', '2020-12-22', NULL, '2020-12-22', '2021-02-01 10:18:36', '2021-02-01 09:18:36', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 280.52000000, 0.00000000, 0.00000000, 0.00000000, 1402.61000000, 1683.13000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2021-01-31', NULL, 'Intervention changement de cuve&nbsp;<br />\r\n<br />\r\nBL N&deg;11 du 16/12/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1402.61000000, 280.52000000, 1683.13000000, NULL, 'facture/FA2012-0026/FA2012-0026.pdf', NULL, NULL),
(2143, 'FA2012-0027', 1, NULL, NULL, NULL, 0, NULL, 13045, '2020-12-24 08:59:38', '2020-12-24', NULL, '2020-12-24', '2021-01-07 13:49:43', '2021-01-07 12:49:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1307.84000000, 0.00000000, 0.00000000, 0.00000000, 6539.20000000, 7847.04000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 0, '2020-12-25', NULL, 'DOSSIER : NOBLE ACIER<br />\r\n&nbsp;49, Chemin des Ardeli&egrave;res,<br />\r\n38590 BREZINS,<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-25', 0, NULL, NULL, 0, 'EUR', 1.00000000, 6539.20000000, 1307.84000000, 7847.04000000, NULL, 'facture/FA2012-0027/FA2012-0027.pdf', NULL, NULL),
(2144, 'FA2012-0028', 1, NULL, NULL, NULL, 0, NULL, 2383, '2020-12-24 09:34:34', '2020-12-24', NULL, '2020-12-24', '2021-02-09 08:57:44', '2021-02-09 07:57:44', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 418.70000000, 0.00000000, 0.00000000, 0.00000000, 2093.52000000, 2512.22000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Raccordement de deux machines &agrave; enrouler.<br />\r\n<br />\r\nBL N&deg;3 du 16/11/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2093.52000000, 418.70000000, 2512.22000000, NULL, 'facture/FA2012-0028/FA2012-0028.pdf', NULL, NULL),
(2145, 'FA2012-0029', 1, NULL, NULL, NULL, 0, NULL, 11209, '2020-12-24 09:53:27', '2020-12-24', NULL, '2020-12-24', '2021-02-01 10:18:08', '2021-02-01 09:18:08', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 117.99000000, 0.00000000, 0.00000000, 0.00000000, 589.91000000, 707.90000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2021-01-31', NULL, 'Maintenance compresseur BELAIR GS30 N&deg; MMJS040020&agrave; 36379 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg; 10 du 16/12/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 589.91000000, 117.99000000, 707.90000000, NULL, 'facture/FA2012-0029/FA2012-0029.pdf', NULL, NULL),
(2146, 'FA2012-0030', 1, NULL, NULL, NULL, 0, NULL, 5741, '2020-12-24 09:58:49', '2020-12-24', NULL, '2020-12-24', '2021-02-17 15:23:03', '2021-02-17 14:23:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 118.76000000, 0.00000000, 0.00000000, 0.00000000, 593.78000000, 712.54000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2021-01-31', NULL, 'Commande 13511', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 593.78000000, 118.76000000, 712.54000000, NULL, 'facture/FA2012-0030/FA2012-0030.pdf', NULL, NULL),
(2147, 'FA2012-0031', 1, NULL, NULL, NULL, 0, NULL, 2406, '2020-12-24 10:03:51', '2020-12-24', NULL, '2020-12-24', '2021-01-15 16:33:23', '2021-01-15 15:33:23', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 86.40000000, 0.00000000, 0.00000000, 0.00000000, 432.02000000, 518.42000000, 2, 5, 5, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Remplacement des 2 electrovannes de décharge sur secheur CTA<br />\r\n<br />\r\nBL N° 28 du 18/12/2020', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 432.02000000, 86.40000000, 518.42000000, NULL, 'facture/FA2012-0031/FA2012-0031.pdf', NULL, NULL),
(2148, 'FA2012-0032', 1, NULL, NULL, NULL, 0, NULL, 2001, '2020-12-24 10:33:08', '2020-12-24', NULL, '2020-12-24', '2021-02-03 12:10:30', '2021-02-03 11:10:30', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 40.28000000, 0.00000000, 0.00000000, 0.00000000, 201.39000000, 241.67000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Pieces pour KAESER SK22 N&deg; 101952.0 - 1902 Ann&eacute;e 2014', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 201.39000000, 40.28000000, 241.67000000, NULL, 'facture/FA2012-0032/FA2012-0032.pdf', NULL, NULL),
(2149, 'FA2012-0033', 1, NULL, NULL, NULL, 0, NULL, 2352, '2020-12-24 10:48:48', '2020-12-24', NULL, '2020-12-24', '2021-02-19 09:41:33', '2021-02-19 08:41:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 466.25000000, 0.00000000, 0.00000000, 0.00000000, 2331.25000000, 2797.50000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, '<br />\r\nMaintenance L37RS N&deg; CD10019189001 &agrave; 18626 HRS<br />\r\nRemplacement cartouche 2 filtres reseaux<br />\r\n<br />\r\nBL N&deg;29 du 18/12/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2331.25000000, 466.25000000, 2797.50000000, NULL, 'facture/FA2012-0033/FA2012-0033.pdf', NULL, NULL),
(2150, 'FA2012-0034', 1, NULL, NULL, NULL, 0, NULL, 2122, '2020-12-24 10:53:51', '2020-12-24', NULL, '2020-12-24', '2021-02-19 09:42:03', '2021-02-19 08:42:03', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 221.00000000, 0.00000000, 0.00000000, 0.00000000, 1105.00000000, 1326.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 0, '2021-01-31', NULL, 'Commande N&deg; 44915', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1105.00000000, 221.00000000, 1326.00000000, NULL, 'facture/FA2012-0034/FA2012-0034.pdf', NULL, NULL),
(2151, 'FA2012-0035', 1, NULL, NULL, NULL, 0, NULL, 1990, '2020-12-28 09:26:09', '2020-12-28', NULL, '2020-12-28', '2021-02-01 10:19:06', '2021-02-01 09:19:06', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 85.80000000, 0.00000000, 0.00000000, 0.00000000, 429.00000000, 514.80000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 429.00000000, 85.80000000, 514.80000000, NULL, 'facture/FA2012-0035/FA2012-0035.pdf', NULL, NULL),
(2152, 'AC2012-0005', 1, NULL, NULL, 'L55RS', 3, NULL, 2279, '2020-12-28 09:33:11', '2020-12-28', NULL, '2020-12-28', '2021-01-05 12:03:33', '2021-01-05 11:03:33', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 2187.42000000, 0.00000000, 0.00000000, 0.00000000, 10937.10000000, 13124.52000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 2, '2020-12-29', NULL, 'LOCAL AIR COMPRIME - Site 1&nbsp;<br />\r\nMontant global 36457euros HT', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-29', 0, NULL, NULL, 0, 'EUR', 1.00000000, 10937.10000000, 2187.42000000, 13124.52000000, NULL, 'facture/AC2012-0005/AC2012-0005.pdf', NULL, NULL),
(2153, 'AC2012-0006', 1, NULL, NULL, 'l11ers', 3, NULL, 2279, '2020-12-28 09:35:11', '2020-12-28', NULL, '2020-12-28', '2021-01-05 12:03:34', '2021-01-05 11:03:34', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 1370.76000000, 0.00000000, 0.00000000, 0.00000000, 6853.80000000, 8224.56000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 2, '2020-12-29', NULL, 'LOCAL AIR COMPRIME SITE 2<br />\r\n<br />\r\nMontant global 22846 euros HT', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-29', 0, NULL, NULL, 0, 'EUR', 1.00000000, 6853.80000000, 1370.76000000, 8224.56000000, NULL, 'facture/AC2012-0006/AC2012-0006.pdf', NULL, NULL),
(2154, 'FA2012-0036', 1, NULL, NULL, NULL, 0, NULL, 2197, '2021-01-04 16:32:53', '2020-12-31', NULL, '2021-01-04', '2021-01-22 09:11:00', '2021-01-22 08:11:00', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.83000000, 0.00000000, 0.00000000, 0.00000000, 114.13000000, 136.96000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-01-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 114.13000000, 22.83000000, 136.96000000, NULL, 'facture/FA2012-0036/FA2012-0036.pdf', NULL, NULL),
(2155, 'FA2101-0001', 1, NULL, NULL, NULL, 0, NULL, 13227, '2021-01-07 12:11:46', '2021-01-07', NULL, '2021-01-07', '2021-01-11 09:19:27', '2021-01-11 08:19:27', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 98.80000000, 0.00000000, 0.00000000, 0.00000000, 494.00000000, 592.80000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 9, 0, '2021-01-08', NULL, 'Kit pour l45-10A de 05/2010', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-08', 0, NULL, NULL, 0, 'EUR', 1.00000000, 494.00000000, 98.80000000, 592.80000000, NULL, 'facture/FA2101-0001/FA2101-0001.pdf', NULL, NULL),
(2156, 'FA2101-0002', 1, NULL, NULL, NULL, 0, NULL, 2197, '2021-01-19 10:21:38', '2021-01-19', NULL, '2021-01-19', '2021-01-22 09:21:49', '2021-01-22 08:21:49', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.83000000, 0.00000000, 0.00000000, 0.00000000, 114.13000000, 136.96000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 114.13000000, 22.83000000, 136.96000000, NULL, 'facture/FA2101-0002/FA2101-0002.pdf', NULL, NULL),
(2157, 'FA2101-0003', 1, NULL, NULL, NULL, 0, NULL, 2234, '2021-01-19 10:22:29', '2021-01-19', NULL, '2021-01-19', NULL, '2021-01-19 09:22:33', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA2101-0003/FA2101-0003.pdf', NULL, NULL),
(2158, 'AC2101-0001', 1, NULL, NULL, NULL, 3, NULL, 13091, '2021-01-19 10:23:10', '2021-01-19', NULL, '2021-01-19', '2021-02-09 08:57:11', '2021-02-09 07:57:11', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 207.64000000, 0.00000000, 0.00000000, 0.00000000, 1038.19000000, 1245.83000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 0, '2021-01-20', NULL, '3eme acompte', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-02', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1038.19000000, 207.64000000, 1245.83000000, NULL, 'facture/AC2101-0001/AC2101-0001.pdf', NULL, NULL),
(2159, 'FA2101-0004', 1, NULL, NULL, NULL, 0, NULL, 1940, '2021-01-20 09:46:48', '2021-01-20', NULL, '2021-01-20', NULL, '2021-01-20 08:47:07', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 248.47000000, 0.00000000, 0.00000000, 0.00000000, 1242.31000000, 1490.78000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintenance de votre compresseur L45RS N&deg; CD10023839001 &agrave; 29479 HRS<br />\r\nRemplacement cartouches filtres r&eacute;seaux&nbsp;<br />\r\nMaintenance s&eacute;parateur de condensats owamat14<br />\r\n<br />\r\nBL N&deg;30 du 28/12/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1242.31000000, 248.47000000, 1490.78000000, NULL, 'facture/FA2101-0004/FA2101-0004.pdf', NULL, NULL),
(2160, 'FA2101-0005', 1, NULL, NULL, NULL, 0, NULL, 1940, '2021-01-20 10:59:40', '2021-01-20', NULL, '2021-01-20', NULL, '2021-01-20 10:00:28', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 263.35000000, 0.00000000, 0.00000000, 0.00000000, 1316.73000000, 1580.08000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintenance compresseurs :&nbsp;<br />\r\nMAV290 &agrave; 27409 HRS<br />\r\nMAV400 &agrave; 58846 HRS<br />\r\n<br />\r\nBL N&deg;31 du 28/12/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1316.73000000, 263.35000000, 1580.08000000, NULL, 'facture/FA2101-0005/FA2101-0005.pdf', NULL, NULL),
(2161, 'FA2101-0006', 1, NULL, NULL, NULL, 0, NULL, 2021, '2021-01-21 11:35:34', '2021-01-21', NULL, '2021-01-21', NULL, '2021-01-21 10:35:42', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 219.64000000, 0.00000000, 0.00000000, 0.00000000, 1098.20000000, 1317.84000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Fournitures', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1098.20000000, 219.64000000, 1317.84000000, NULL, 'facture/FA2101-0006/FA2101-0006.pdf', NULL, NULL),
(2162, 'FA2101-0007', 1, NULL, NULL, NULL, 0, NULL, 13036, '2021-01-21 11:38:25', '2021-01-21', NULL, '2021-01-21', NULL, '2021-01-21 10:38:31', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 96.23000000, 0.00000000, 0.00000000, 0.00000000, 481.16000000, 577.39000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-02-28', NULL, 'Maintenance compresseur RLR25V<br />\r\n<br />\r\nBon de commande N&deg; CA210015', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 481.16000000, 96.23000000, 577.39000000, NULL, 'facture/FA2101-0007/FA2101-0007.pdf', NULL, NULL),
(2163, 'FA2101-0008', 1, NULL, NULL, NULL, 0, NULL, 2016, '2021-01-21 11:44:05', '2021-01-21', NULL, '2021-01-21', NULL, '2021-01-21 10:44:17', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 86.15000000, 0.00000000, 0.00000000, 0.00000000, 430.73000000, 516.88000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintenance compresseur L05 &agrave; 8210 HRS<br />\r\n<br />\r\nBL N&deg; 33 du 04/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 430.73000000, 86.15000000, 516.88000000, NULL, 'facture/FA2101-0008/FA2101-0008.pdf', NULL, NULL),
(2164, 'FA2101-0009', 1, NULL, NULL, NULL, 0, NULL, 12666, '2021-01-21 14:11:05', '2021-01-21', NULL, '2021-01-21', NULL, '2021-01-21 13:11:30', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 163.36000000, 0.00000000, 0.00000000, 0.00000000, 816.80000000, 980.16000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-02-28', NULL, 'Maintenance compreseur UP5-15-8.5 &agrave; 25498 HRS<br />\r\nBL N&deg; 38 du 11/01/2021<br />\r\n<br />\r\nSite :Route de Vermenas, Axe 7 ouest 26140 ALBON&nbsp;<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 816.80000000, 163.36000000, 980.16000000, NULL, 'facture/FA2101-0009/FA2101-0009.pdf', NULL, NULL),
(2165, 'FA2101-0010', 1, NULL, NULL, NULL, 0, NULL, 2073, '2021-01-21 15:01:53', '2021-01-21', NULL, '2021-01-21', NULL, '2021-01-21 14:03:24', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 180.88000000, 0.00000000, 0.00000000, 0.00000000, 904.40000000, 1085.28000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintenance HV07 &agrave; 13535 HRS<br />\r\n<br />\r\nBL N&deg; 42 du 18/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 904.40000000, 180.88000000, 1085.28000000, NULL, 'facture/FA2101-0010/FA2101-0010.pdf', NULL, NULL),
(2166, 'FA2101-0011', 1, NULL, NULL, NULL, 0, NULL, 2408, '2021-01-21 15:19:43', '2021-01-21', NULL, '2021-01-21', NULL, '2021-01-21 14:19:48', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 110.44000000, 0.00000000, 0.00000000, 0.00000000, 552.17000000, 662.61000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintenance compresseur L07 N&deg; CD1004668 &agrave; 26043 HRS<br />\r\n<br />\r\nBL N&deg;12 du 04/01/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 552.17000000, 110.44000000, 662.61000000, NULL, 'facture/FA2101-0011/FA2101-0011.pdf', NULL, NULL),
(2167, 'FA2101-0012', 1, NULL, NULL, NULL, 0, NULL, 2408, '2021-01-21 15:39:59', '2021-01-21', NULL, '2021-01-21', NULL, '2021-01-21 14:40:05', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 102.21000000, 0.00000000, 0.00000000, 0.00000000, 511.03000000, 613.24000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintenance compresseur L11 N&deg; CD10004678001 &agrave; 15367 HRS<br />\r\n<br />\r\nBL N&deg; 13 du 04/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 511.03000000, 102.21000000, 613.24000000, NULL, 'facture/FA2101-0012/FA2101-0012.pdf', NULL, NULL),
(2168, 'FA2101-0013', 1, NULL, NULL, NULL, 0, NULL, 2124, '2021-01-21 16:22:32', '2021-01-21', NULL, '2021-01-21', NULL, '2021-01-21 15:22:37', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 59.93000000, 0.00000000, 0.00000000, 0.00000000, 299.65000000, 359.58000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'poulie pour piston<br />\r\n<br />\r\nBL N&deg;14 du 15/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 299.65000000, 59.93000000, 359.58000000, NULL, 'facture/FA2101-0013/FA2101-0013.pdf', NULL, NULL),
(2170, 'FA2101-0014', 1, NULL, NULL, NULL, 0, NULL, 2124, '2021-01-22 14:44:54', '2021-01-22', NULL, '2021-01-22', NULL, '2021-01-22 13:45:59', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 589.75000000, 0.00000000, 0.00000000, 0.00000000, 2948.77000000, 3538.52000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Remplacement en lieu et place des 4 reservoirs .<br />\r\n<br />\r\nBL N)32 du 04/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2948.77000000, 589.75000000, 3538.52000000, NULL, 'facture/FA2101-0014/FA2101-0014.pdf', NULL, NULL),
(2171, 'FA2101-0015', 1, NULL, NULL, NULL, 0, NULL, 7066, '2021-01-22 15:21:47', '2021-01-22', NULL, '2021-01-22', NULL, '2021-01-22 14:21:52', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 27.25000000, 0.00000000, 0.00000000, 0.00000000, 136.26000000, 163.51000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-02-28', NULL, 'Commande N# 520228586', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 136.26000000, 27.25000000, 163.51000000, NULL, 'facture/FA2101-0015/FA2101-0015.pdf', NULL, NULL),
(2172, 'FA2101-0016', 1, NULL, NULL, NULL, 0, NULL, 2234, '2021-01-22 15:39:42', '2021-01-22', NULL, '2021-01-22', NULL, '2021-01-22 14:39:46', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 191.60000000, 0.00000000, 0.00000000, 0.00000000, 958.00000000, 1149.60000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'COmmande N&deg;4800307692', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 958.00000000, 191.60000000, 1149.60000000, NULL, 'facture/FA2101-0016/FA2101-0016.pdf', NULL, NULL),
(2173, 'FA2101-0017', 1, NULL, NULL, NULL, 0, NULL, 10189, '2021-01-22 15:43:40', '2021-01-22', NULL, '2021-01-22', NULL, '2021-01-22 14:43:46', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 79.92000000, 0.00000000, 0.00000000, 0.00000000, 399.60000000, 479.52000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-02-28', NULL, 'COMMANDE CF200134', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 399.60000000, 79.92000000, 479.52000000, NULL, 'facture/FA2101-0017/FA2101-0017.pdf', NULL, NULL),
(2174, 'FA2101-0018', 1, NULL, NULL, NULL, 0, NULL, 2358, '2021-01-22 16:27:05', '2021-01-22', NULL, '2021-01-22', NULL, '2021-01-22 15:27:10', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 210.00000000, 0.00000000, 0.00000000, 0.00000000, 1050.00000000, 1260.00000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'BL N&deg;24 du 12/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1050.00000000, 210.00000000, 1260.00000000, NULL, 'facture/FA2101-0018/FA2101-0018.pdf', NULL, NULL),
(2175, 'FA2101-0019', 1, NULL, NULL, NULL, 0, NULL, 2358, '2021-01-25 10:12:34', '2021-01-25', NULL, '2021-01-25', NULL, '2021-01-25 09:12:40', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 232.92000000, 0.00000000, 0.00000000, 0.00000000, 1164.60000000, 1397.52000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Pose cablette de terre depot Rhod Peinture', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1164.60000000, 232.92000000, 1397.52000000, NULL, 'facture/FA2101-0019/FA2101-0019.pdf', NULL, NULL),
(2176, 'FA2101-0020', 1, NULL, NULL, NULL, 0, NULL, 10144, '2021-01-25 14:13:01', '2021-01-25', NULL, '2021-01-25', NULL, '2021-01-25 13:13:14', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 154.30000000, 0.00000000, 0.00000000, 0.00000000, 771.52000000, 925.82000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-02-28', NULL, 'Maintenance&nbsp; rsf 22 10 bars n&deg;830076 &agrave; 6638HRS<br />\r\n<br />\r\nRemplacement kit separateur de condensats<br />\r\nRemplacement cartouches filtres BEA300RA &amp; BEA300RB<br />\r\n<br />\r\nBL N&deg;37 du 11/01/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 771.52000000, 154.30000000, 925.82000000, NULL, 'facture/FA2101-0020/FA2101-0020.pdf', NULL, NULL),
(2177, 'FA2101-0021', 1, NULL, NULL, NULL, 0, NULL, 2184, '2021-01-29 09:49:09', '2021-01-29', NULL, '2021-01-29', NULL, '2021-01-29 08:50:40', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 310.66000000, 0.00000000, 0.00000000, 0.00000000, 1553.34000000, 1864.00000000, 1, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintenance L45RS ( 2018 ) N° CD10034859001 en huile alimentaire à 20106 Hrs<br />\r\n<br />\r\nRemplacement cartouche filtre réseau <br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\nCommande N ° 7100338443<br />\r\n<br />\r\nBL N°35 du 12/10/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1553.34000000, 310.66000000, 1864.00000000, NULL, 'facture/FA2101-0021/FA2101-0021.pdf', NULL, NULL),
(2178, 'FA2101-0022', 1, NULL, NULL, NULL, 0, NULL, 1983, '2021-01-29 10:06:03', '2021-01-29', NULL, '2021-01-29', NULL, '2021-01-29 09:06:09', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 161.66000000, 0.00000000, 0.00000000, 0.00000000, 808.26000000, 969.92000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintenance compresseur L07RS &agrave; 18885 HRS<br />\r\n<br />\r\nBL N&deg;45 du 19/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 808.26000000, 161.66000000, 969.92000000, NULL, 'facture/FA2101-0022/FA2101-0022.pdf', NULL, NULL),
(2179, 'FA2101-0023', 1, NULL, NULL, NULL, 0, NULL, 2378, '2021-01-29 11:14:30', '2021-01-29', NULL, '2021-01-29', NULL, '2021-01-29 10:14:46', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 557.47000000, 0.00000000, 0.00000000, 0.00000000, 2787.37000000, 3344.84000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintenance L45RS<br />\r\nRemplacement cartouche filtre reseau', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2787.37000000, 557.47000000, 3344.84000000, NULL, 'facture/FA2101-0023/FA2101-0023.pdf', NULL, NULL),
(2180, 'FA2101-0024', 1, NULL, NULL, NULL, 0, NULL, 2055, '2021-01-29 11:20:39', '2021-01-29', NULL, '2021-01-29', NULL, '2021-01-29 10:21:24', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 178.20000000, 0.00000000, 0.00000000, 0.00000000, 891.00000000, 1069.20000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintenance Compresseur L18&nbsp; &agrave; 47200 HRS&nbsp;<br />\r\nRemplacement cartouche filtres reseaux<br />\r\n<br />\r\nBL N&deg; 44 du 19/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 891.00000000, 178.20000000, 1069.20000000, NULL, 'facture/FA2101-0024/FA2101-0024.pdf', NULL, NULL),
(2181, 'FA2101-0025', 1, NULL, NULL, NULL, 0, NULL, 2060, '2021-01-29 12:00:19', '2021-01-29', NULL, '2021-01-29', NULL, '2021-01-29 13:52:29', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 255.09000000, 0.00000000, 0.00000000, 0.00000000, 1275.49000000, 1530.58000000, 1, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintenance compresseur Sprint 051  N° 149802/37 à 38510 Heures et Sprint 041 à 23707 HRS<br />\r\n<br />\r\nBL N° 03 du 22/01/2020<br />\r\n<br />\r\nCommande N° 01HA017384', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1275.49000000, 255.09000000, 1530.58000000, NULL, 'facture/FA2101-0025/FA2101-0025.pdf', NULL, NULL),
(2182, 'FA2101-0026', 1, NULL, NULL, NULL, 0, NULL, 2008, '2021-01-29 14:12:55', '2021-01-29', NULL, '2021-01-29', NULL, '2021-01-29 13:13:00', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 119.22000000, 0.00000000, 0.00000000, 0.00000000, 596.16000000, 715.38000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintenance compresseur 6000 EL &agrave; 39834 HRS<br />\r\n<br />\r\nBL N&deg;47 du 20/01/2020', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 596.16000000, 119.22000000, 715.38000000, NULL, 'facture/FA2101-0026/FA2101-0026.pdf', NULL, NULL),
(2183, 'FA2101-0027', 1, NULL, NULL, NULL, 0, NULL, 2086, '2021-01-29 15:17:06', '2021-01-29', NULL, '2021-01-29', NULL, '2021-01-29 14:18:17', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 215.73000000, 0.00000000, 0.00000000, 0.00000000, 1078.69000000, 1294.42000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintennace compresseur l11RS &agrave; 25804 HRS<br />\r\nRMaintenance seprateur de condensats<br />\r\n<br />\r\nBL N&deg;50 du 21/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1078.69000000, 215.73000000, 1294.42000000, NULL, 'facture/FA2101-0027/FA2101-0027.pdf', NULL, NULL),
(2184, 'FA2101-0028', 1, NULL, NULL, NULL, 0, NULL, 2123, '2021-01-29 15:25:02', '2021-01-29', NULL, '2021-01-29', NULL, '2021-01-29 14:25:14', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 550.58000000, 0.00000000, 0.00000000, 0.00000000, 2752.92000000, 3303.50000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintenance L29RS N&deg;CD10032874001 &agrave; 16341 HRS<br />\r\nMaintenance separateur de condensats OWamat 12<br />\r\nRemplacement cartouches filtres reseaux BEA480RA &amp; RB<br />\r\n<br />\r\nBL N&deg; 32 du 04/01/2021<br />\r\n<br />\r\nCommande N&deg; 511360', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2752.92000000, 550.58000000, 3303.50000000, NULL, 'facture/FA2101-0028/FA2101-0028.pdf', NULL, NULL),
(2185, 'FA2101-0029', 1, NULL, NULL, NULL, 0, NULL, 2102, '2021-01-29 15:37:18', '2021-01-29', NULL, '2021-01-29', NULL, '2021-01-29 14:37:25', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 137.54000000, 0.00000000, 0.00000000, 0.00000000, 687.54000000, 825.08000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Realisation deux antennes Air comprim&eacute;<br />\r\n<br />\r\nBL N&deg;19 du 20/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 687.54000000, 137.54000000, 825.08000000, NULL, 'facture/FA2101-0029/FA2101-0029.pdf', NULL, NULL),
(2186, 'FA2101-0030', 1, NULL, NULL, NULL, 0, NULL, 2103, '2021-01-29 15:53:43', '2021-01-29', NULL, '2021-01-29', NULL, '2021-01-29 14:53:51', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 291.98000000, 0.00000000, 0.00000000, 0.00000000, 1459.88000000, 1751.86000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintennace compresseur L22 N&deg; CD10049725002 &agrave; 1600HRS suivant contrat liss&eacute;<br />\r\nRemplacement cartcouches filtres reseaux 700RB et RA<br />\r\nMaintenance separateur de condensats Owamat 14<br />\r\n<br />\r\nBL N&deg;01 du 22/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1459.88000000, 291.98000000, 1751.86000000, NULL, 'facture/FA2101-0030/FA2101-0030.pdf', NULL, NULL),
(2187, 'FA2101-0031', 1, NULL, NULL, NULL, 0, NULL, 2101, '2021-01-29 16:04:19', '2021-01-29', NULL, '2021-01-29', NULL, '2021-01-29 15:14:01', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 249.30000000, 0.00000000, 0.00000000, 0.00000000, 1246.55000000, 1495.85000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-02-28', NULL, 'Maintenance compresseur L18RS &agrave; 14452 HRS<br />\r\nMaintenance separateur de condensats Owamat 10<br />\r\n<br />\r\nBL N&deg; 25 du 19/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1246.55000000, 249.30000000, 1495.85000000, NULL, 'facture/FA2101-0031/FA2101-0031.pdf', NULL, NULL),
(2189, 'AV2101-0001', 1, NULL, NULL, NULL, 2, NULL, 2378, '2021-02-01 11:20:27', '2021-01-31', NULL, '2021-02-01', NULL, '2021-02-01 10:20:34', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, -557.47000000, 0.00000000, 0.00000000, 0.00000000, -2787.37000000, -3344.84000000, 1, 5, NULL, 5, NULL, 2179, NULL, NULL, NULL, 0, 2, '2021-01-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, -2787.37000000, -557.47000000, -3344.84000000, NULL, 'facture/AV2101-0001/AV2101-0001.pdf', NULL, NULL),
(2190, 'AC2102-0001', 1, NULL, NULL, NULL, 3, NULL, 13091, '2021-02-01 11:22:36', '2021-02-01', NULL, '2021-02-01', NULL, '2021-02-01 10:22:44', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 207.64000000, 0.00000000, 0.00000000, 0.00000000, 1038.19000000, 1245.83000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 1, 0, '2021-02-02', NULL, '3eme acompte', 'crabe', 0, '', NULL, NULL, 0, 0, '2020-12-02', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1038.19000000, 207.64000000, 1245.83000000, NULL, 'facture/AC2102-0001/AC2102-0001.pdf', NULL, NULL),
(2191, 'FA2102-0001', 1, NULL, NULL, NULL, 0, NULL, 2234, '2021-02-01 11:23:29', '2021-02-01', NULL, '2021-02-01', NULL, '2021-02-01 10:23:38', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 100.15000000, 0.00000000, 0.00000000, 0.00000000, 500.76000000, 600.91000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Contrat achat compresseur &agrave; vis lubrifi&eacute;e COMPAIR L45RS :', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 500.76000000, 100.15000000, 600.91000000, NULL, 'facture/FA2102-0001/FA2102-0001.pdf', NULL, NULL),
(2193, 'FA2101-0032', 1, NULL, NULL, NULL, 0, NULL, 2062, '2021-02-01 11:47:46', '2021-01-31', NULL, '2021-02-01', NULL, '2021-02-01 10:47:52', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 434.13000000, 0.00000000, 0.00000000, 0.00000000, 2170.61000000, 2604.74000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Maintenance L26RS BATIMENT 1 N&deg; CD10027118001 &agrave; 25814 HRS<br />\r\nMaintenance separateur de condensats OWMAT 12<br />\r\nRemplacement des cartouches des 3 filtres reseaux ( RB , RA et CA )&nbsp;<br />\r\n<br />\r\nBL N&deg; 08 du 29/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2170.61000000, 434.13000000, 2604.74000000, NULL, 'facture/FA2101-0032/FA2101-0032.pdf', NULL, NULL),
(2194, 'FA2101-0033', 1, NULL, NULL, NULL, 0, NULL, 2122, '2021-02-01 11:51:03', '2021-01-31', NULL, '2021-02-01', NULL, '2021-02-01 10:51:10', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 17.34000000, 0.00000000, 0.00000000, 0.00000000, 86.70000000, 104.04000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-03-31', NULL, 'Commande N&deg; 45280', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 86.70000000, 17.34000000, 104.04000000, NULL, 'facture/FA2101-0033/FA2101-0033.pdf', NULL, NULL),
(2195, 'FA2101-0034', 1, NULL, NULL, NULL, 0, NULL, 2203, '2021-02-01 12:03:45', '2021-01-31', NULL, '2021-02-01', NULL, '2021-02-01 11:03:51', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 431.93000000, 0.00000000, 0.00000000, 0.00000000, 2159.62000000, 2591.55000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Maintenance compresseur L45rs N&deg; CD10003657001 &agrave; 31612 Heures<br />\r\nBLOC VIS SOUS GARANTIE<br />\r\nRemplacement cartouche filtre r&eacute;seau<br />\r\n<br />\r\nBL N&deg;20 du 26/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2159.62000000, 431.93000000, 2591.55000000, NULL, 'facture/FA2101-0034/FA2101-0034.pdf', NULL, NULL),
(2196, 'FA2101-0035', 1, NULL, NULL, NULL, 0, NULL, 12920, '2021-02-01 14:41:23', '2021-01-29', NULL, '2021-02-01', NULL, '2021-02-01 13:41:51', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 85.76000000, 0.00000000, 0.00000000, 0.00000000, 428.83000000, 514.59000000, 1, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 9, 0, '2021-01-30', NULL, 'Maintenance compresseur Compair à 4255 HRS<br />\r\n<br />\r\nBL N° 31 du 29/01/2021<br />\r\nCommande N° LP 700/21', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 428.83000000, 85.76000000, 514.59000000, NULL, 'facture/FA2101-0035/FA2101-0035.pdf', NULL, NULL),
(2197, 'FA2101-0036', 1, NULL, NULL, NULL, 0, NULL, 6663, '2021-02-01 15:09:50', '2021-01-29', NULL, '2021-02-01', NULL, '2021-02-01 14:09:56', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 573.41000000, 0.00000000, 0.00000000, 0.00000000, 2867.07000000, 3440.48000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, '<table>\r\n	<tbody>\r\n		<tr>\r\n			<td>&nbsp;</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n<br />\r\nMaintenance L37RS N&deg; CD100248873001 &agrave;&nbsp;7211HRS<br />\r\nMaintenance seprateur de condensats Owamat 14<br />\r\nRemplacement cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg;5 du 28/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2867.07000000, 573.41000000, 3440.48000000, NULL, 'facture/FA2101-0036/FA2101-0036.pdf', NULL, NULL),
(2198, 'FA2101-0037', 1, NULL, NULL, NULL, 0, NULL, 6663, '2021-02-01 15:15:30', '2021-01-29', NULL, '2021-02-01', NULL, '2021-02-01 14:15:42', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 203.66000000, 0.00000000, 0.00000000, 0.00000000, 1018.31000000, 1221.97000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintennace compresseur L18 N0CD100014105/0154 &agrave; 17887<br />\r\n<br />\r\nBL N&deg;6 du 28/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1018.31000000, 203.66000000, 1221.97000000, NULL, 'facture/FA2101-0037/FA2101-0037.pdf', NULL, NULL),
(2199, 'FA2101-0038', 1, NULL, NULL, NULL, 0, NULL, 2289, '2021-02-01 15:32:33', '2021-01-29', NULL, '2021-02-01', '2021-02-05 09:02:21', '2021-02-05 08:02:21', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 231.18000000, 0.00000000, 0.00000000, 0.00000000, 1155.89000000, 1387.07000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Contrat liss&eacute; Compresseur L11RS N&deg; BA46470001 &agrave; 6889 HRS<br />\r\n<br />\r\nBL N&deg;48 du 21/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1155.89000000, 231.18000000, 1387.07000000, NULL, 'facture/FA2101-0038/FA2101-0038.pdf', NULL, NULL),
(2200, 'FA2101-0039', 1, NULL, NULL, NULL, 0, NULL, 2338, '2021-02-02 10:12:54', '2021-01-29', NULL, '2021-02-02', NULL, '2021-02-02 10:06:59', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 378.75000000, 0.00000000, 0.00000000, 0.00000000, 1893.77000000, 2272.52000000, 1, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintenance des deux compresseurs suivant contrats lissés :<br />\r\nMaintenance Rollair 1500AX à 41328 HRS BL N° 27 du 27/01/2021<br />\r\nMaintenance du compesseur L07RS N° BA33311001 à 18470 HRS BL N° 26 du 27/01/2021<br />\r\nRemplacement des cartouches des filtres réseaux<br />\r\nMaintenance separateur de condensats OWAMAT 11', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1893.77000000, 378.75000000, 2272.52000000, NULL, 'facture/FA2101-0039/FA2101-0039.pdf', NULL, NULL),
(2201, 'FA2101-0040', 1, NULL, NULL, NULL, 0, NULL, 2371, '2021-02-02 11:20:21', '2021-01-29', NULL, '2021-02-02', NULL, '2021-02-02 10:20:27', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 263.66000000, 0.00000000, 0.00000000, 0.00000000, 1318.36000000, 1582.02000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Maintenance compresseur L22 &agrave; 30972 HRS<br />\r\nMaintenance separateur de condensats owamat 10<br />\r\nRemplacement des cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg; 04 du 27/0/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1318.36000000, 263.66000000, 1582.02000000, NULL, 'facture/FA2101-0040/FA2101-0040.pdf', NULL, NULL),
(2203, 'AC2101-0002', 1, NULL, NULL, NULL, 3, NULL, 11251, '2021-02-02 11:50:46', '2021-01-29', NULL, '2021-02-02', '2021-02-03 12:09:43', '2021-02-03 11:09:43', 1, 0.00000000, NULL, NULL, 0, NULL, NULL, 978.00000000, 0.00000000, 0.00000000, 0.00000000, 4890.00000000, 5868.00000000, 2, 5, NULL, 5, 8, NULL, NULL, NULL, NULL, 1, 0, '2021-01-30', NULL, 'Dossier compresseur et reseaux inox: 2nd acompte avancement des travaux', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 4890.00000000, 978.00000000, 5868.00000000, NULL, 'facture/AC2101-0002/AC2101-0002.pdf', NULL, NULL),
(2204, 'FA2101-0041', 1, NULL, NULL, NULL, 0, NULL, 2407, '2021-02-02 14:21:11', '2021-01-29', NULL, '2021-02-02', NULL, '2021-02-02 13:21:42', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 59.80000000, 0.00000000, 0.00000000, 0.00000000, 299.00000000, 358.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'Commande N&deg;908665316', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 299.00000000, 59.80000000, 358.80000000, NULL, 'facture/FA2101-0041/FA2101-0041.pdf', NULL, NULL),
(2205, 'FA2101-0042', 1, NULL, NULL, NULL, 0, NULL, 2406, '2021-02-02 14:37:11', '2021-01-29', NULL, '2021-02-02', NULL, '2021-02-02 13:38:16', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 38.40000000, 0.00000000, 0.00000000, 0.00000000, 192.00000000, 230.40000000, 1, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-02-28', NULL, 'BL N°43 du 18/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 192.00000000, 38.40000000, 230.40000000, NULL, 'facture/FA2101-0042/FA2101-0042.pdf', NULL, NULL),
(2206, 'FA2101-0043', 1, NULL, NULL, NULL, 0, NULL, 5741, '2021-02-02 14:47:19', '2021-01-29', NULL, '2021-02-02', NULL, '2021-02-02 13:47:25', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 181.48000000, 0.00000000, 0.00000000, 0.00000000, 907.40000000, 1088.88000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-02-28', NULL, 'Commande N&deg;13537', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 907.40000000, 181.48000000, 1088.88000000, NULL, 'facture/FA2101-0043/FA2101-0043.pdf', NULL, NULL),
(2207, 'FA2101-0044', 1, NULL, NULL, NULL, 0, NULL, 12618, '2021-02-02 15:14:42', '2021-01-29', NULL, '2021-02-02', NULL, '2021-02-02 14:14:48', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 174.33000000, 0.00000000, 0.00000000, 0.00000000, 871.66000000, 1045.99000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 9, 0, '2021-01-30', NULL, 'Maintenance compresseur Cyclon 215 &agrave; 46883 HRS<br />\r\nainsi que le remplacement des cartouches des 2 filtres reseaux compair<br />\r\n<br />\r\nBL N&deg;36 du 08/01/2021 &amp; BL N&deg; 17 du 15/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-01-30', 0, NULL, NULL, 0, 'EUR', 1.00000000, 871.66000000, 174.33000000, 1045.99000000, NULL, 'facture/FA2101-0044/FA2101-0044.pdf', NULL, NULL),
(2208, 'FA2101-0045', 1, NULL, NULL, NULL, 0, NULL, 10293, '2021-02-02 15:25:30', '2021-01-29', NULL, '2021-02-02', NULL, '2021-02-02 14:25:38', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 244.17000000, 0.00000000, 0.00000000, 0.00000000, 1220.84000000, 1465.01000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 3, '2021-02-28', NULL, 'Maintenance compresseur Renner RSDK PRO 7.5 &agrave; 4094 HRS<br />\r\nRemplacement cartouche filtres reseaux<br />\r\nMaintenance compresseur Abac Gensesis&nbsp;', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1220.84000000, 244.17000000, 1465.01000000, NULL, 'facture/FA2101-0045/FA2101-0045.pdf', NULL, NULL),
(2209, 'FA2101-0046', 1, NULL, NULL, NULL, 0, NULL, 13036, '2021-02-02 15:49:14', '2021-01-29', NULL, '2021-02-02', NULL, '2021-02-02 14:49:23', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 215.00000000, 0.00000000, 0.00000000, 0.00000000, 1075.00000000, 1290.00000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-02-28', NULL, 'Depannage etuve&nbsp;<br />\r\n<br />\r\nBL N&deg;02 du 22/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-28', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1075.00000000, 215.00000000, 1290.00000000, NULL, 'facture/FA2101-0046/FA2101-0046.pdf', NULL, NULL),
(2211, 'AV2101-0002', 1, NULL, NULL, NULL, 2, NULL, 2203, '2021-02-02 16:06:32', '2021-01-29', NULL, '2021-02-02', NULL, '2021-02-02 15:09:52', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, -286.97000000, 0.00000000, 0.00000000, 0.00000000, -1434.83000000, -1721.80000000, 1, 5, NULL, 5, NULL, 2195, NULL, NULL, NULL, 0, 2, '2021-01-29', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, -1434.83000000, -286.97000000, -1721.80000000, NULL, 'facture/AV2101-0002/AV2101-0002.pdf', NULL, NULL);
INSERT INTO `llx_facture` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_pointoftax`, `date_valid`, `date_closing`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_closing`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `retained_warranty`, `retained_warranty_date_limit`, `retained_warranty_fk_cond_reglement`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `fk_fac_rec_source`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(2212, 'FA2102-0002', 1, NULL, NULL, NULL, 0, NULL, 12746, '2021-02-03 09:14:44', '2021-02-03', NULL, '2021-02-03', NULL, '2021-02-03 08:14:51', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 19.84000000, 0.00000000, 0.00000000, 0.00000000, 99.18000000, 119.02000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-03-31', NULL, 'Commande du 18/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 99.18000000, 19.84000000, 119.02000000, NULL, 'facture/FA2102-0002/FA2102-0002.pdf', NULL, NULL),
(2213, 'FA2102-0003', 1, NULL, NULL, NULL, 0, NULL, 2140, '2021-02-03 10:46:32', '2021-02-03', NULL, '2021-02-03', NULL, '2021-02-03 09:47:29', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 156.18000000, 0.00000000, 0.00000000, 0.00000000, 780.95000000, 937.13000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Maintenance compresseur l15RS suivant contrat liss&eacute; &agrave; 32000HRS<br />\r\n<br />\r\nBL N&deg;32 du 01/02/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 780.95000000, 156.18000000, 937.13000000, NULL, 'facture/FA2102-0003/FA2102-0003.pdf', NULL, NULL),
(2214, 'FA2102-0004', 1, NULL, NULL, NULL, 0, NULL, 13045, '2021-02-08 11:10:37', '2021-02-08', NULL, '2021-02-08', NULL, '2021-02-08 10:10:59', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 4877.41000000, 0.00000000, 0.00000000, 0.00000000, 24387.00000000, 29264.41000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 9, 0, '2021-02-09', NULL, 'Dossier RCR PRODUCTION :&nbsp;<br />\r\nLocal air comprim&eacute;&nbsp;&nbsp;<strong>compresseur &agrave; vis lubrifiee vitesse variable</strong>&nbsp;22 KW COMPAIR reference L23RS .&nbsp;<br />\r\n<br />\r\nLieu des travaux :&nbsp;<br />\r\nZA Les Monts du matin, 26730 LA BAUME D&#39;HOSTUN', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-02-09', 0, NULL, NULL, 0, 'EUR', 1.00000000, 24387.00000000, 4877.41000000, 29264.41000000, NULL, 'facture/FA2102-0004/FA2102-0004.pdf', NULL, NULL),
(2215, 'FA2102-0005', 1, NULL, NULL, NULL, 0, NULL, 11435, '2021-02-12 10:22:12', '2021-02-12', NULL, '2021-02-12', NULL, '2021-02-12 09:22:19', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 284.10000000, 0.00000000, 0.00000000, 0.00000000, 1420.49000000, 1704.59000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Maintenance compresseur L30RS N&deg; CD10013952002 &agrave; 34967 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance owamat 12 separateur de condensats<br />\r\n<br />\r\nBL N&deg;28 du 03/02/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1420.49000000, 284.10000000, 1704.59000000, NULL, 'facture/FA2102-0005/FA2102-0005.pdf', NULL, NULL),
(2216, 'FA2102-0006', 1, NULL, NULL, NULL, 0, NULL, 2011, '2021-02-12 10:27:53', '2021-02-12', NULL, '2021-02-12', NULL, '2021-02-12 09:27:58', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 332.80000000, 0.00000000, 0.00000000, 0.00000000, 1664.00000000, 1996.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Laveuse ICA CT5B', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1664.00000000, 332.80000000, 1996.80000000, NULL, 'facture/FA2102-0006/FA2102-0006.pdf', NULL, NULL),
(2217, 'FA2102-0007', 1, NULL, NULL, NULL, 0, NULL, 2218, '2021-02-12 11:14:50', '2021-02-12', NULL, '2021-02-12', NULL, '2021-02-12 10:15:01', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 152.89000000, 0.00000000, 0.00000000, 0.00000000, 764.44000000, 917.33000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Maintenance compresseur L07 &agrave; 15105 HRS<br />\r\nRemplacement cartouche filtre reseau BEA190RB<br />\r\nMaintenance seprateur de condensats OWAMAT 11<br />\r\n<br />\r\nBL N&deg;14 du 05/02/2021<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 764.44000000, 152.89000000, 917.33000000, NULL, 'facture/FA2102-0007/FA2102-0007.pdf', NULL, NULL),
(2218, 'FA2102-0008', 1, NULL, NULL, NULL, 0, NULL, 2215, '2021-02-12 14:17:34', '2021-02-12', NULL, '2021-02-12', NULL, '2021-02-12 13:18:00', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 227.37000000, 0.00000000, 0.00000000, 0.00000000, 1136.93000000, 1364.30000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Maintenance L11RS&nbsp; N&deg; CD10021552001 &agrave; 35076 HRS<br />\r\nRemplacement cartouche reseau BEA300RB<br />\r\nMaintenance Separateur de condensats OWAMAT10<br />\r\n<br />\r\nBL N&deg;12 du 04/02/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1136.93000000, 227.37000000, 1364.30000000, NULL, 'facture/FA2102-0008/FA2102-0008.pdf', NULL, NULL),
(2219, 'FA2102-0009', 1, NULL, NULL, NULL, 0, NULL, 2215, '2021-02-12 14:24:06', '2021-02-12', NULL, '2021-02-12', NULL, '2021-02-12 13:24:40', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 74.53000000, 0.00000000, 0.00000000, 0.00000000, 372.65000000, 447.18000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Maintenance compresseur ingersollrand &agrave; 42689 HRS<br />\r\n<br />\r\nBL N&deg;13 du 04/02/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 372.65000000, 74.53000000, 447.18000000, NULL, 'facture/FA2102-0009/FA2102-0009.pdf', NULL, NULL),
(2220, 'FA2102-0010', 1, NULL, NULL, NULL, 0, NULL, 2247, '2021-02-12 14:45:00', '2021-02-12', NULL, '2021-02-12', NULL, '2021-02-12 13:46:59', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 175.94000000, 0.00000000, 0.00000000, 0.00000000, 879.71000000, 1055.65000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'maintenance L18rs N&deg; CD100018442001 &agrave; 16266 HRS ( nouvelle carte )&nbsp; , filtres reseaux et separateur de condensats OWAMAT 11<br />\r\nSuivant contrat de 2015<br />\r\n<br />\r\nBL N&deg; 16 du 08/02/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 879.71000000, 175.94000000, 1055.65000000, NULL, 'facture/FA2102-0010/FA2102-0010.pdf', NULL, NULL),
(2221, 'FA2102-0011', 1, NULL, NULL, NULL, 0, NULL, 2276, '2021-02-12 15:20:01', '2021-02-12', NULL, '2021-02-12', NULL, '2021-02-12 14:20:09', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 497.93000000, 0.00000000, 0.00000000, 0.00000000, 2489.67000000, 2987.60000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Maintenance compresseur L29 N&deg; CD10048880001 &agrave; 5291 HRS Maintenance separateur de condensats OWAMAT 12 Remplacement cartouche filtre reseau BL N&deg; 10 &amp; 11 du 03 &amp; 04/02/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2489.67000000, 497.93000000, 2987.60000000, NULL, 'facture/FA2102-0011/FA2102-0011.pdf', NULL, NULL),
(2222, 'FA2102-0012', 1, NULL, NULL, NULL, 0, NULL, 12584, '2021-02-12 15:28:08', '2021-02-12', NULL, '2021-02-12', NULL, '2021-02-12 14:28:17', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 181.10000000, 0.00000000, 0.00000000, 0.00000000, 905.50000000, 1086.60000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-03-31', NULL, 'maintenance rsf11 &agrave; 7581 HRS<br />\r\nmaintenance separateur de condensats<br />\r\nremplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg; 15 du 05/02/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 905.50000000, 181.10000000, 1086.60000000, NULL, 'facture/FA2102-0012/FA2102-0012.pdf', NULL, NULL),
(2223, 'FA2102-0013', 1, NULL, NULL, NULL, 0, NULL, 2350, '2021-02-12 15:34:48', '2021-02-12', NULL, '2021-02-12', NULL, '2021-02-12 14:35:03', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 493.92000000, 0.00000000, 0.00000000, 0.00000000, 2469.61000000, 2963.53000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Commande N&deg; 2651451-325-G9J-BKP', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 2469.61000000, 493.92000000, 2963.53000000, NULL, 'facture/FA2102-0013/FA2102-0013.pdf', NULL, NULL),
(2224, 'FA2102-0014', 1, NULL, NULL, NULL, 0, NULL, 2358, '2021-02-12 15:52:21', '2021-02-12', NULL, '2021-02-12', NULL, '2021-02-12 14:52:26', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 268.35000000, 0.00000000, 0.00000000, 0.00000000, 1341.78000000, 1610.13000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Installation d&#39;une prise pour appareil metalisation<br />\r\n<br />\r\nBL N&deg;34 du 04/02/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1341.78000000, 268.35000000, 1610.13000000, NULL, 'facture/FA2102-0014/FA2102-0014.pdf', NULL, NULL),
(2225, 'FA2102-0015', 1, NULL, NULL, NULL, 0, NULL, 11251, '2021-02-15 10:57:28', '2021-02-15', NULL, '2021-02-15', NULL, '2021-02-15 10:04:03', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 3259.99000000, 0.00000000, 0.00000000, 0.00000000, 16300.00000000, 19559.99000000, 1, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-03-31', NULL, 'Solde - LOCAL AIR COMPRIME &amp; RESEAU<br />\r\n<strong>mise en place d’un système de variation électronique de vitesse 11 Kw RENNER modele : RSDKF-PRO 2 11 270L.</strong><br />\r\n<br />\r\nBL N°18 du 18/01/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 16300.00000000, 3259.99000000, 19559.99000000, NULL, 'facture/FA2102-0015/FA2102-0015.pdf', NULL, NULL),
(2226, 'FA2102-0016', 1, NULL, NULL, NULL, 0, NULL, 5741, '2021-02-15 14:19:24', '2021-02-15', NULL, '2021-02-15', NULL, '2021-02-15 13:19:34', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 59.40000000, 0.00000000, 0.00000000, 0.00000000, 297.00000000, 356.40000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-03-31', NULL, 'Commande N&deg; 13540', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 297.00000000, 59.40000000, 356.40000000, NULL, 'facture/FA2102-0016/FA2102-0016.pdf', NULL, NULL),
(2227, 'FA2102-0017', 1, NULL, NULL, NULL, 0, NULL, 2122, '2021-02-16 10:17:20', '2021-02-16', NULL, '2021-02-16', NULL, '2021-02-16 09:17:25', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 861.63000000, 0.00000000, 0.00000000, 0.00000000, 4308.14000000, 5169.77000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-03-31', NULL, 'Maintenance L75RS N&deg; 10018699001 &agrave; 29143HRS<br />\r\nMaintenance separateur de condensats SHUSP30<br />\r\nMaintenance separateur de condensats Owamat 15<br />\r\nRempalcement cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg; 22 du 27/01/2021<br />\r\n<br />\r\nCommande N&deg;45439', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 4308.14000000, 861.63000000, 5169.77000000, NULL, 'facture/FA2102-0017/FA2102-0017.pdf', NULL, NULL),
(2228, 'FA2102-0018', 1, NULL, NULL, NULL, 0, NULL, 2038, '2021-02-16 10:33:08', '2021-02-16', NULL, '2021-02-16', NULL, '2021-02-16 09:33:14', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 231.97000000, 0.00000000, 0.00000000, 0.00000000, 1159.84000000, 1391.81000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Maintenance compresseur L07RS &agrave; 20435 HRS<br />\r\nMaintenance separateur de condensats Owamat 10<br />\r\nRemplacement cartouche filtre reseau 180 RB<br />\r\n<br />\r\nBL N&deg; 18 du 08/02/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1159.84000000, 231.97000000, 1391.81000000, NULL, 'facture/FA2102-0018/FA2102-0018.pdf', NULL, NULL),
(2229, 'FA2102-0019', 1, NULL, NULL, NULL, 0, NULL, 2197, '2021-02-16 10:38:49', '2021-02-16', NULL, '2021-02-16', NULL, '2021-02-16 09:38:54', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 22.83000000, 0.00000000, 0.00000000, 0.00000000, 114.13000000, 136.96000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Loyer de mensualit&eacute; contrat LDD', 'crabe', 0, '', NULL, NULL, 0, 0, NULL, 0, NULL, NULL, 0, 'EUR', 1.00000000, 114.13000000, 22.83000000, 136.96000000, NULL, 'facture/FA2102-0019/FA2102-0019.pdf', NULL, NULL),
(2230, 'FA2102-0020', 1, NULL, NULL, NULL, 0, NULL, 2175, '2021-02-16 10:41:17', '2021-02-16', NULL, '2021-02-16', NULL, '2021-02-16 09:42:10', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 158.24000000, 0.00000000, 0.00000000, 0.00000000, 791.23000000, 949.47000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Maintenance compresseur GA115 &agrave; 35618 HRS<br />\r\n<br />\r\nBL N&deg; 36 du 11/02/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 791.23000000, 158.24000000, 949.47000000, NULL, 'facture/FA2102-0020/FA2102-0020.pdf', NULL, NULL),
(2231, 'FA2102-0021', 1, NULL, NULL, NULL, 0, NULL, 2175, '2021-02-16 10:47:19', '2021-02-16', NULL, '2021-02-16', NULL, '2021-02-16 09:47:57', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 96.52000000, 0.00000000, 0.00000000, 0.00000000, 482.56000000, 579.08000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Maintenance Sullair Trek 15HH &agrave; 13173 HRS<br />\r\n<br />\r\nBL N&deg;37 du 11/02/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 482.56000000, 96.52000000, 579.08000000, NULL, 'facture/FA2102-0021/FA2102-0021.pdf', NULL, NULL),
(2232, 'FA2102-0022', 1, NULL, NULL, NULL, 0, NULL, 11452, '2021-02-16 10:57:46', '2021-02-16', NULL, '2021-02-16', NULL, '2021-02-16 09:58:42', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 201.72000000, 0.00000000, 0.00000000, 0.00000000, 1008.65000000, 1210.37000000, 1, 5, 5, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-03-31', NULL, 'Modification des emplacements des enrouleurs.<br />\r\n<br />\r\nBL N°30 du 08/02/2021<br />\r\n<br />\r\nBC36345-MDO', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1008.65000000, 201.72000000, 1210.37000000, NULL, 'facture/FA2102-0022/FA2102-0022.pdf', NULL, NULL),
(2233, 'FA2102-0023', 1, NULL, NULL, NULL, 0, NULL, 2265, '2021-02-16 14:37:41', '2021-02-16', NULL, '2021-02-16', NULL, '2021-02-16 13:38:56', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 298.63000000, 0.00000000, 0.00000000, 0.00000000, 1493.21000000, 1791.84000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Maintenance compresseru L18RS N&deg; CD10016785001 &agrave; 11228 HRS<br />\r\nRemplacement cartouche filtres reseaux<br />\r\nMaintenance seprateur de condensats Owamat 11<br />\r\n<br />\r\nBL N&deg; 19 du 09/02/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1493.21000000, 298.63000000, 1791.84000000, NULL, 'facture/FA2102-0023/FA2102-0023.pdf', NULL, NULL),
(2234, 'FA2102-0024', 1, NULL, NULL, NULL, 0, NULL, 2311, '2021-02-16 15:14:06', '2021-02-16', NULL, '2021-02-16', NULL, '2021-02-16 14:14:10', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 7.61000000, 0.00000000, 0.00000000, 0.00000000, 38.02000000, 45.63000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, NULL, 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 38.02000000, 7.61000000, 45.63000000, NULL, 'facture/FA2102-0024/FA2102-0024.pdf', NULL, NULL),
(2235, 'FA2102-0025', 1, NULL, NULL, NULL, 0, NULL, 12618, '2021-02-17 09:22:57', '2021-02-17', NULL, '2021-02-17', NULL, '2021-02-17 08:23:09', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 73.00000000, 0.00000000, 0.00000000, 0.00000000, 365.00000000, 438.00000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-03-31', NULL, 'Remplacement joint du bloc vis sur cyclon 215 .<br />\r\n<br />\r\nBL N&deg;31 du 09/02/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 365.00000000, 73.00000000, 438.00000000, NULL, 'facture/FA2102-0025/FA2102-0025.pdf', NULL, NULL),
(2236, 'FA2102-0026', 1, NULL, NULL, NULL, 0, NULL, 2397, '2021-02-17 10:14:53', '2021-02-17', NULL, '2021-02-17', NULL, '2021-02-17 09:14:59', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 95.21000000, 0.00000000, 0.00000000, 0.00000000, 476.06000000, 571.27000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, 'Deplacement centrale de graissage<br />\r\n<br />\r\nBL N&deg; 21 du 12/02/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 476.06000000, 95.21000000, 571.27000000, NULL, 'facture/FA2102-0026/FA2102-0026.pdf', NULL, NULL),
(2237, 'FA2102-0027', 1, NULL, NULL, NULL, 0, NULL, 2350, '2021-02-19 11:24:58', '2021-02-19', NULL, '2021-02-19', NULL, '2021-02-19 10:25:14', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 358.73000000, 0.00000000, 0.00000000, 0.00000000, 1793.65000000, 2152.38000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 2, '2021-03-31', NULL, '<br />\r\nMaintenance Compresseurs L45RS&nbsp; &agrave;&nbsp; 36224HRS&nbsp;<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance separateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N&deg;26 du 02/02/2021<br />\r\n<br />\r\nCommande N&deg; 2655978-325-G9J-BKP<br />\r\n&nbsp;', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 1793.65000000, 358.73000000, 2152.38000000, NULL, 'facture/FA2102-0027/FA2102-0027.pdf', NULL, NULL),
(2238, 'FA2102-0028', 1, NULL, NULL, NULL, 0, NULL, 12613, '2021-02-23 11:20:40', '2021-02-23', NULL, '2021-02-23', NULL, '2021-02-23 10:20:47', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 79.35000000, 0.00000000, 0.00000000, 0.00000000, 396.69000000, 476.04000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-03-31', NULL, '+ value suivant BL N&deg;39 du 19/02/2021', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 396.69000000, 79.35000000, 476.04000000, NULL, 'facture/FA2102-0028/FA2102-0028.pdf', NULL, NULL),
(2239, 'FA2102-0029', 1, NULL, NULL, NULL, 0, NULL, 5315, '2021-02-23 11:28:09', '2021-02-23', NULL, '2021-02-23', NULL, '2021-02-23 10:28:14', 0, 0.00000000, NULL, NULL, 0, NULL, NULL, 18.60000000, 0.00000000, 0.00000000, 0.00000000, 93.00000000, 111.60000000, 1, 5, NULL, 5, NULL, NULL, NULL, NULL, NULL, 3, 0, '2021-03-31', NULL, 'Commande N&deg; CF002823', 'crabe', 0, '', NULL, NULL, 0, 0, '2021-03-31', 0, NULL, NULL, 0, 'EUR', 1.00000000, 93.00000000, 18.60000000, 111.60000000, NULL, 'facture/FA2102-0029/FA2102-0029.pdf', NULL, NULL);
