
-- --------------------------------------------------------

--
-- Structure de la table `llx_facturedet`
--

CREATE TABLE `llx_facturedet` (
  `rowid` int(11) NOT NULL,
  `fk_facture` int(11) NOT NULL,
  `fk_parent_line` int(11) DEFAULT NULL,
  `fk_product` int(11) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `description` text,
  `tva_tx` double(6,3) DEFAULT NULL,
  `vat_src_code` varchar(10) DEFAULT '',
  `localtax1_tx` double(6,3) DEFAULT '0.000',
  `localtax1_type` varchar(10) DEFAULT NULL,
  `localtax2_tx` double(6,3) DEFAULT '0.000',
  `localtax2_type` varchar(10) DEFAULT NULL,
  `qty` double DEFAULT NULL,
  `remise_percent` double DEFAULT '0',
  `remise` double DEFAULT '0',
  `fk_remise_except` int(11) DEFAULT NULL,
  `subprice` double(24,8) DEFAULT NULL,
  `price` double(24,8) DEFAULT NULL,
  `total_ht` double(24,8) DEFAULT NULL,
  `total_tva` double(24,8) DEFAULT NULL,
  `total_localtax1` double(24,8) DEFAULT '0.00000000',
  `total_localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT NULL,
  `product_type` int(11) DEFAULT '0',
  `date_start` datetime DEFAULT NULL,
  `date_end` datetime DEFAULT NULL,
  `info_bits` int(11) DEFAULT '0',
  `buy_price_ht` double(24,8) DEFAULT '0.00000000',
  `fk_product_fournisseur_price` int(11) DEFAULT NULL,
  `fk_code_ventilation` int(11) NOT NULL DEFAULT '0',
  `special_code` int(11) DEFAULT '0',
  `rang` int(11) DEFAULT '0',
  `fk_contract_line` int(11) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `situation_percent` double DEFAULT '100',
  `fk_prev_id` int(11) DEFAULT NULL,
  `fk_unit` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_multicurrency` int(11) DEFAULT NULL,
  `multicurrency_code` varchar(255) DEFAULT NULL,
  `multicurrency_subprice` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_ht` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_tva` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_ttc` double(24,8) DEFAULT '0.00000000'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Déchargement des données de la table `llx_facturedet`
--

INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(1, 1, NULL, 1080071, NULL, 'Tube \"air comprimé\" diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.21000000, NULL, 22.42000000, 4.48000000, 0.00000000, 0.00000000, 26.90000000, 0, NULL, NULL, 0, 7.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.21000000, 22.42000000, 4.48000000, 26.90000000),
(2, 1, NULL, 1079967, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 33.85000000, NULL, 67.70000000, 13.54000000, 0.00000000, 0.00000000, 81.24000000, 0, NULL, NULL, 0, 23.83000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.85000000, 67.70000000, 13.54000000, 81.24000000),
(3, 1, NULL, 1079936, NULL, 'Raccord mixte mâle diam. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.23000000, NULL, 54.69000000, 10.94000000, 0.00000000, 0.00000000, 65.63000000, 0, NULL, NULL, 0, 12.84000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.23000000, 54.69000000, 10.94000000, 65.63000000),
(4, 1, NULL, 1079789, NULL, 'Courbe à 90° diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 19.52000000, NULL, 78.08000000, 15.62000000, 0.00000000, 0.00000000, 93.70000000, 0, NULL, NULL, 0, 13.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.52000000, 78.08000000, 15.62000000, 93.70000000),
(5, 1, NULL, 1079995, NULL, 'Manchon diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.44000000, NULL, 6.44000000, 1.29000000, 0.00000000, 0.00000000, 7.73000000, 0, NULL, NULL, 0, 4.54000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.44000000, 6.44000000, 1.29000000, 7.73000000),
(6, 1, NULL, 1080072, NULL, 'Tube \"air comprimé\" diam. ext. 54', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 14.41000000, NULL, 172.92000000, 34.58000000, 0.00000000, 0.00000000, 207.50000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.41000000, 172.92000000, 34.58000000, 207.50000000),
(7, 1, NULL, 1079938, NULL, 'Raccord mixte mâle diam. ext. 54.2\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.48000000, NULL, 24.48000000, 4.90000000, 0.00000000, 0.00000000, 29.38000000, 0, NULL, NULL, 0, 17.24000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.48000000, 24.48000000, 4.90000000, 29.38000000),
(8, 1, NULL, 1079968, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 54.2\"', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 54.47000000, NULL, 272.35000000, 54.47000000, 0.00000000, 0.00000000, 326.82000000, 0, NULL, NULL, 0, 38.36000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 54.47000000, 272.35000000, 54.47000000, 326.82000000),
(9, 1, NULL, 1079790, NULL, 'Courbe à 90° diamètre extérieur 54', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 26.66000000, NULL, 239.94000000, 47.99000000, 0.00000000, 0.00000000, 287.93000000, 0, NULL, NULL, 0, 18.78000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.66000000, 239.94000000, 47.99000000, 287.93000000),
(10, 1, NULL, 1079820, NULL, 'Coude à 45° diam. ext. 54', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.75000000, NULL, 20.75000000, 4.15000000, 0.00000000, 0.00000000, 24.90000000, 0, NULL, NULL, 0, 14.61000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.75000000, 20.75000000, 4.15000000, 24.90000000),
(11, 1, NULL, 1079855, NULL, 'Té égal diam. ext. 54', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.30000000, NULL, 42.60000000, 8.52000000, 0.00000000, 0.00000000, 51.12000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.30000000, 42.60000000, 8.52000000, 51.12000000),
(12, 1, NULL, 1079876, NULL, 'Té réduit diam. ext. 54 . 22 . 54', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.96000000, NULL, 17.96000000, 3.59000000, 0.00000000, 0.00000000, 21.55000000, 0, NULL, NULL, 0, 12.65000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.96000000, 17.96000000, 3.59000000, 21.55000000),
(13, 1, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 4.98000000, NULL, 59.76000000, 11.95000000, 0.00000000, 0.00000000, 71.71000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 59.76000000, 11.95000000, 71.71000000),
(14, 1, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.42000000, NULL, 6.42000000, 1.28000000, 0.00000000, 0.00000000, 7.70000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 6.42000000, 1.28000000, 7.70000000),
(15, 1, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.34000000, NULL, 5.34000000, 1.07000000, 0.00000000, 0.00000000, 6.41000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 5.34000000, 1.07000000, 6.41000000),
(16, 1, NULL, 1080116, NULL, 'Collier protégé pour tube diam. 54 - M8', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 1.48000000, NULL, 4.44000000, 0.89000000, 0.00000000, 0.00000000, 5.33000000, 0, NULL, NULL, 0, 1.04000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.48000000, 4.44000000, 0.89000000, 5.33000000),
(17, 1, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 1.12000000, NULL, 4.48000000, 0.90000000, 0.00000000, 0.00000000, 5.38000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 4.48000000, 0.90000000, 5.38000000),
(18, 1, NULL, 966509, NULL, 'Vanne 1/4 Tour PN25 F/F 2\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 28.32000000, NULL, 84.96000000, 16.99000000, 0.00000000, 0.00000000, 101.95000000, 0, NULL, NULL, 0, 21.29000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.32000000, 84.96000000, 16.99000000, 101.95000000),
(19, 1, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.44000000, NULL, 3.44000000, 0.69000000, 0.00000000, 0.00000000, 4.13000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.44000000, 3.44000000, 0.69000000, 4.13000000),
(20, 1, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement<br>\nFofait chantier', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2142.63000000, NULL, 2142.63000000, 428.53000000, 0.00000000, 0.00000000, 2571.16000000, 0, NULL, NULL, 0, 1611.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2142.63000000, 2142.63000000, 428.53000000, 2571.16000000),
(21, 1, NULL, 1223317, NULL, 'MANCHON UNION GALV 340FF 50X60', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 37.53000000, NULL, 75.06000000, 15.01000000, 0.00000000, 0.00000000, 90.07000000, 0, NULL, NULL, 0, 26.81000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 37.53000000, 75.06000000, 15.01000000, 90.07000000),
(22, 1, NULL, 1223297, NULL, 'MAMELON GALVA N280 50X60', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.36000000, NULL, 22.72000000, 4.54000000, 0.00000000, 0.00000000, 27.26000000, 0, NULL, NULL, 0, 8.11000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.36000000, 22.72000000, 4.54000000, 27.26000000),
(23, 1, NULL, 1223365, NULL, 'MAMELON RED GALV N241 MF 50X40', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.12000000, NULL, 16.24000000, 3.25000000, 0.00000000, 0.00000000, 19.49000000, 0, NULL, NULL, 0, 5.80000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.12000000, 16.24000000, 3.25000000, 19.49000000),
(24, 1, NULL, 1223273, NULL, 'COUDE PR GALV N 92 MF 50X60', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.30000000, NULL, 17.30000000, 3.46000000, 0.00000000, 0.00000000, 20.76000000, 0, NULL, NULL, 0, 12.36000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.30000000, 17.30000000, 3.46000000, 20.76000000),
(25, 1, NULL, 1071273, NULL, 'BOITE DERIVATION 310X240', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 158.39000000, NULL, 158.39000000, 31.68000000, 0.00000000, 0.00000000, 190.07000000, 0, NULL, NULL, 0, 111.57000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 158.39000000, 158.39000000, 31.68000000, 190.07000000),
(26, 1, NULL, 1223497, NULL, 'cable ro2v4g35', 20.000, '', 0.000, '0', 0.000, '0', 25, 0, 0, NULL, 28.34000000, NULL, 708.50000000, 141.70000000, 0.00000000, 0.00000000, 850.20000000, 0, NULL, NULL, 0, 21.31000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.34000000, 708.50000000, 141.70000000, 850.20000000),
(27, 1, NULL, 1223498, NULL, 'cosse a sertir diam 35 trou de 8', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.29000000, NULL, 6.45000000, 1.29000000, 0.00000000, 0.00000000, 7.74000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.29000000, 6.45000000, 1.29000000, 7.74000000),
(28, 1, NULL, 1069843, NULL, '2P+T 2PH GRIS SAIL PLEXO CPT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 29.31000000, NULL, 29.31000000, 5.86000000, 0.00000000, 0.00000000, 35.17000000, 0, NULL, NULL, 0, 22.04000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.31000000, 29.31000000, 5.86000000, 35.17000000),
(29, 1, NULL, 1069811, NULL, '2P+T F/B GRIS SAILLIE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.35000000, NULL, 14.35000000, 2.87000000, 0.00000000, 0.00000000, 17.22000000, 0, NULL, NULL, 0, 10.79000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.35000000, 14.35000000, 2.87000000, 17.22000000),
(30, 2, NULL, NULL, NULL, 'BL N° 4 du 19/07/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(31, 2, NULL, 1190535, NULL, 'Mise en place compresseur de pr&ecirc;t', 20.000, '', 0.000, '0', 0.000, '0', 2, 100, 0, NULL, 63.84000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 0.00000000, 0.00000000, 0.00000000),
(32, 2, NULL, 1190535, NULL, 'Recherche de panne', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(33, 2, NULL, 1190535, NULL, 'deplacement seul', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(34, 2, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(35, 2, NULL, NULL, NULL, 'Pr&ecirc;t gratuit d&#39;un Rollair 50 - prix location &agrave; la semaine', 20.000, '', 0.000, '0', 0.000, '0', 5, 100, 0, NULL, 250.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 0.00000000, 0.00000000, 0.00000000),
(36, 2, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(37, 2, NULL, NULL, NULL, 'BL N° 23 du 17/08/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(38, 2, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(39, 2, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(40, 2, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(45, 4, NULL, 944325, NULL, 'compresseur rotatif à vis librifiees à vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26460.00000000, NULL, 26460.00000000, 5292.00000000, 0.00000000, 0.00000000, 31752.00000000, 0, NULL, NULL, 0, 21000.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26460.00000000, 26460.00000000, 5292.00000000, 31752.00000000),
(46, 4, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 529.20000000, NULL, 529.20000000, 105.84000000, 0.00000000, 0.00000000, 635.04000000, 0, NULL, NULL, 0, 420.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 529.20000000, 529.20000000, 105.84000000, 635.04000000),
(47, 4, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1510.80000000, NULL, 1510.80000000, 302.16000000, 0.00000000, 0.00000000, 1812.96000000, 0, NULL, NULL, 0, 1200.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1510.80000000, 1510.80000000, 302.16000000, 1812.96000000),
(48, 5, NULL, 944320, NULL, 'compresseur rotatif à vis librifiees à vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14622.30000000, NULL, 14622.30000000, 2924.46000000, 0.00000000, 0.00000000, 17546.76000000, 0, NULL, NULL, 0, 11605.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14622.30000000, 14622.30000000, 2924.46000000, 17546.76000000),
(49, 5, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 292.31000000, NULL, 292.31000000, 58.46000000, 0.00000000, 0.00000000, 350.77000000, 0, NULL, NULL, 0, 232.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 292.31000000, 292.31000000, 58.46000000, 350.77000000),
(50, 5, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 945.00000000, NULL, 945.00000000, 189.00000000, 0.00000000, 0.00000000, 1134.00000000, 0, NULL, NULL, 0, 750.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 945.00000000, 945.00000000, 189.00000000, 1134.00000000),
(51, 5, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 8.34000000, NULL, 33.36000000, 6.67000000, 0.00000000, 0.00000000, 40.03000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.34000000, 33.36000000, 6.67000000, 40.03000000),
(52, 5, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.40000000, NULL, 4.40000000, 0.88000000, 0.00000000, 0.00000000, 5.28000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.40000000, 4.40000000, 0.88000000, 5.28000000),
(53, 5, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 9.44000000, NULL, 37.76000000, 7.55000000, 0.00000000, 0.00000000, 45.31000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.44000000, 37.76000000, 7.55000000, 45.31000000),
(54, 5, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 24.37000000, NULL, 48.74000000, 9.75000000, 0.00000000, 0.00000000, 58.49000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.37000000, 48.74000000, 9.75000000, 58.49000000),
(55, 5, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 1.07000000, NULL, 3.21000000, 0.64000000, 0.00000000, 0.00000000, 3.85000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.07000000, 3.21000000, 0.64000000, 3.85000000),
(56, 5, NULL, 966507, NULL, 'Vanne 1/4 Tour PN30 F/F 1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.92000000, NULL, 12.92000000, 2.58000000, 0.00000000, 0.00000000, 15.50000000, 0, NULL, NULL, 0, 9.21000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.92000000, 12.92000000, 2.58000000, 15.50000000),
(57, 6, NULL, NULL, NULL, 'Maintenance Compresseur 3008WA N°90630032 à 25767 HRS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(58, 6, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(59, 6, NULL, 1221754, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.34000000, NULL, 48.34000000, 9.67000000, 0.00000000, 0.00000000, 58.01000000, 0, NULL, NULL, 0, 24.17000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.34000000, 48.34000000, 9.67000000, 58.01000000),
(60, 6, NULL, 1221721, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 148.44000000, NULL, 148.44000000, 29.69000000, 0.00000000, 0.00000000, 178.13000000, 0, NULL, NULL, 0, 74.22000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 148.44000000, 148.44000000, 29.69000000, 178.13000000),
(61, 6, NULL, 1221771, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.34000000, NULL, 48.34000000, 9.67000000, 0.00000000, 0.00000000, 58.01000000, 0, NULL, NULL, 0, 24.17000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.34000000, 48.34000000, 9.67000000, 58.01000000),
(62, 6, NULL, 1221800, NULL, 'carouche reseau HFD135', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.04000000, NULL, 113.04000000, 22.61000000, 0.00000000, 0.00000000, 135.65000000, 0, NULL, NULL, 0, 56.52000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.04000000, 113.04000000, 22.61000000, 135.65000000),
(63, 6, NULL, 1221799, NULL, 'cartouche reseau PFD135', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.04000000, NULL, 113.04000000, 22.61000000, 0.00000000, 0.00000000, 135.65000000, 0, NULL, NULL, 0, 56.52000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.04000000, 113.04000000, 22.61000000, 135.65000000),
(64, 6, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(100, 8, NULL, 944298, NULL, '10 bars 400Vtri', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5473.00000000, NULL, 5473.00000000, 1094.60000000, 0.00000000, 0.00000000, 6567.60000000, 0, NULL, NULL, 0, 4294.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5473.00000000, 5473.00000000, 1094.60000000, 6567.60000000),
(101, 8, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 62.00000000, NULL, 62.00000000, 12.40000000, 0.00000000, 0.00000000, 74.40000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 62.00000000, 62.00000000, 12.40000000, 74.40000000),
(102, 8, NULL, 1223540, NULL, 'Sécheur par réfrigeration pt de rosée à +3°C mono capacité 156 m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 991.90000000, NULL, 991.90000000, 198.38000000, 0.00000000, 0.00000000, 1190.28000000, 0, NULL, NULL, 0, 763.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 991.90000000, 991.90000000, 198.38000000, 1190.28000000),
(103, 8, NULL, 958250, NULL, 'ÖWAMAT 10 oil/water separator', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 186.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(104, 8, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.00000000, NULL, 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 102.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.00000000, 130.00000000, 26.00000000, 156.00000000),
(105, 8, NULL, 966221, NULL, 'Rouleau Teflon PTFE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.65000000, NULL, 0.65000000, 0.13000000, 0.00000000, 0.00000000, 0.78000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.65000000, 0.65000000, 0.13000000, 0.78000000),
(106, 8, NULL, 972770, NULL, 'Coude tournant M G1/4 6x8', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 2.76000000, NULL, 11.04000000, 2.21000000, 0.00000000, 0.00000000, 13.25000000, 0, NULL, NULL, 0, 1.34000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.76000000, 11.04000000, 2.21000000, 13.25000000),
(107, 8, NULL, 972631, NULL, 'Té égal D8 NE PLUS COMMANDER', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.29000000, NULL, 16.45000000, 3.29000000, 0.00000000, 0.00000000, 19.74000000, 0, NULL, NULL, 0, 1.60000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.29000000, 16.45000000, 3.29000000, 19.74000000),
(108, 8, NULL, 972586, NULL, 'Raccord mâle G1/4 D8', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.31000000, NULL, 6.55000000, 1.31000000, 0.00000000, 0.00000000, 7.86000000, 0, NULL, NULL, 0, 0.64000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.31000000, 6.55000000, 1.31000000, 7.86000000),
(109, 8, NULL, 972154, NULL, 'Tube Rilsan incolore 2.7x4 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.88000000, NULL, 11.88000000, 2.38000000, 0.00000000, 0.00000000, 14.26000000, 0, NULL, NULL, 0, 5.77000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.88000000, 11.88000000, 2.38000000, 14.26000000),
(110, 8, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.81000000, NULL, 7.62000000, 1.52000000, 0.00000000, 0.00000000, 9.14000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.81000000, 7.62000000, 1.52000000, 9.14000000),
(111, 8, NULL, 972586, NULL, 'Raccord mâle G1/4 D8', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.31000000, NULL, 6.55000000, 1.31000000, 0.00000000, 0.00000000, 7.86000000, 0, NULL, NULL, 0, 0.64000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.31000000, 6.55000000, 1.31000000, 7.86000000),
(112, 8, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 6.20000000, NULL, 74.40000000, 14.88000000, 0.00000000, 0.00000000, 89.28000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 74.40000000, 14.88000000, 89.28000000),
(113, 8, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.28000000, NULL, 17.12000000, 3.42000000, 0.00000000, 0.00000000, 20.54000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.28000000, 17.12000000, 3.42000000, 20.54000000),
(114, 8, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 6.77000000, NULL, 135.40000000, 27.08000000, 0.00000000, 0.00000000, 162.48000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 135.40000000, 27.08000000, 162.48000000),
(115, 8, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 9.59000000, NULL, 57.54000000, 11.51000000, 0.00000000, 0.00000000, 69.05000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.59000000, 57.54000000, 11.51000000, 69.05000000),
(116, 8, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 21.38000000, NULL, 213.80000000, 42.76000000, 0.00000000, 0.00000000, 256.56000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.38000000, 213.80000000, 42.76000000, 256.56000000),
(117, 8, NULL, 1079930, NULL, 'Raccord mixte mâle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 8.54000000, NULL, 85.40000000, 17.08000000, 0.00000000, 0.00000000, 102.48000000, 0, NULL, NULL, 0, 6.01000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.54000000, 85.40000000, 17.08000000, 102.48000000),
(118, 8, NULL, 1080013, NULL, 'Manchon d\'extrémité diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.00000000, NULL, 6.00000000, 1.20000000, 0.00000000, 0.00000000, 7.20000000, 0, NULL, NULL, 0, 4.22000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.00000000, 6.00000000, 1.20000000, 7.20000000),
(119, 8, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 1.14000000, NULL, 22.80000000, 4.56000000, 0.00000000, 0.00000000, 27.36000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 22.80000000, 4.56000000, 27.36000000),
(120, 8, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.33000000, NULL, 5.33000000, 1.07000000, 0.00000000, 0.00000000, 6.40000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.33000000, 5.33000000, 1.07000000, 6.40000000),
(121, 8, NULL, 966506, NULL, 'Vanne 1/4 Tour PN40 F/F 1\"', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 11.92000000, NULL, 95.36000000, 19.07000000, 0.00000000, 0.00000000, 114.43000000, 0, NULL, NULL, 0, 5.79000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.92000000, 95.36000000, 19.07000000, 114.43000000),
(122, 8, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.44000000, NULL, 1.44000000, 0.29000000, 0.00000000, 0.00000000, 1.73000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.44000000, 1.44000000, 0.29000000, 1.73000000),
(123, 8, NULL, 966705, NULL, 'Mamelon conique G1\"x1\"', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 5.50000000, NULL, 27.50000000, 5.50000000, 0.00000000, 0.00000000, 33.00000000, 0, NULL, NULL, 0, 2.67000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 27.50000000, 5.50000000, 33.00000000),
(124, 8, NULL, 967552, NULL, 'Ensemble soufflage2 m 1/4 FetT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 13.47000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(125, 8, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.97000000, NULL, 24.97000000, 4.99000000, 0.00000000, 0.00000000, 29.96000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.97000000, 24.97000000, 4.99000000, 29.96000000),
(126, 8, NULL, 1079914, NULL, 'Té mixte femelle diam. ext. 28.1\".28', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 13.00000000, NULL, 195.00000000, 39.00000000, 0.00000000, 0.00000000, 234.00000000, 0, NULL, NULL, 0, 9.15000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.00000000, 195.00000000, 39.00000000, 234.00000000),
(127, 8, NULL, 1079949, NULL, 'Raccord mixte femelle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 12.00000000, NULL, 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 8.45000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 72.00000000, 14.40000000, 86.40000000),
(128, 8, NULL, 966703, NULL, 'Mamelon conique G3/4x3/4', 20.000, '', 0.000, '0', 0.000, '0', 21, 0, 0, NULL, 2.51000000, NULL, 52.71000000, 10.54000000, 0.00000000, 0.00000000, 63.25000000, 0, NULL, NULL, 0, 1.22000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.51000000, 52.71000000, 10.54000000, 63.25000000),
(129, 8, NULL, 966351, NULL, 'Vanne à décompression G3/4', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 16.83000000, NULL, 117.81000000, 23.56000000, 0.00000000, 0.00000000, 141.37000000, 0, NULL, NULL, 0, 8.17000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.83000000, 117.81000000, 23.56000000, 141.37000000),
(130, 8, NULL, 972066, NULL, 'Tuyau SAE 100R6 19 x 27', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 8.00000000, NULL, 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 5.55000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.00000000, 96.00000000, 19.20000000, 115.20000000),
(131, 8, NULL, 967472, NULL, 'About collerette G3/4 tuy.19mm', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 11.68000000, NULL, 116.80000000, 23.36000000, 0.00000000, 0.00000000, 140.16000000, 0, NULL, NULL, 0, 5.67000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.68000000, 116.80000000, 23.36000000, 140.16000000),
(132, 8, NULL, 967202, NULL, 'Bouchon M cylindrique G3/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.89000000, NULL, 3.78000000, 0.76000000, 0.00000000, 0.00000000, 4.54000000, 0, NULL, NULL, 0, 0.92000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.89000000, 3.78000000, 0.76000000, 4.54000000),
(133, 8, NULL, 1061860, NULL, 'COFFRET METALLIQUE H600', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 530.40000000, NULL, 1591.20000000, 318.24000000, 0.00000000, 0.00000000, 1909.44000000, 0, NULL, NULL, 0, 285.94000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 530.40000000, 1591.20000000, 318.24000000, 1909.44000000),
(134, 8, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3000.00000000, NULL, 3000.00000000, 600.00000000, 0.00000000, 0.00000000, 3600.00000000, 0, NULL, NULL, 0, 2368.42000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3000.00000000, 3000.00000000, 600.00000000, 3600.00000000),
(135, 9, NULL, 1190364, NULL, 'Maintenance compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 386.63000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(136, 9, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(137, 9, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(138, 9, NULL, 1222096, NULL, 'filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.00000000, NULL, 23.00000000, 4.60000000, 0.00000000, 0.00000000, 27.60000000, 0, NULL, NULL, 0, 16.10000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.00000000, 23.00000000, 4.60000000, 27.60000000),
(139, 9, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(140, 9, NULL, 1222642, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(141, 10, NULL, 951736, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.30000000, NULL, 24.30000000, 4.86000000, 0.00000000, 0.00000000, 29.16000000, 0, NULL, NULL, 0, 11.80000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.30000000, 24.30000000, 4.86000000, 29.16000000),
(142, 10, NULL, 954045, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(143, 10, NULL, 954297, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.16000000, NULL, 68.16000000, 13.63000000, 0.00000000, 0.00000000, 81.79000000, 0, NULL, NULL, 0, 33.09000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.16000000, 68.16000000, 13.63000000, 81.79000000),
(144, 10, NULL, 952689, NULL, 'cartouche 610ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.36000000, NULL, 214.36000000, 42.87000000, 0.00000000, 0.00000000, 257.23000000, 0, NULL, NULL, 0, 104.06000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.36000000, 214.36000000, 42.87000000, 257.23000000),
(145, 10, NULL, 952690, NULL, 'cartouche media filtrant pne610rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 215.47000000, NULL, 215.47000000, 43.09000000, 0.00000000, 0.00000000, 258.56000000, 0, NULL, NULL, 0, 104.60000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 215.47000000, 215.47000000, 43.09000000, 258.56000000),
(146, 10, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(147, 10, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(148, 10, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(149, 11, NULL, NULL, NULL, 'Maintenance l45RS selon BL N° 32 du 29/06/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(150, 11, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(151, 11, NULL, 1179627, NULL, 'kit de service c l30-l50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 0, NULL, NULL, 0, 215.16000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(152, 11, NULL, 1179727, NULL, 'LOT SERVICE E  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 733.60000000, NULL, 733.60000000, 146.72000000, 0.00000000, 0.00000000, 880.32000000, 0, NULL, NULL, 0, 440.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 733.60000000, 733.60000000, 146.72000000, 880.32000000),
(153, 11, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(154, 11, NULL, 1222124, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 95.15000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(155, 11, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(156, 11, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(157, 11, NULL, NULL, NULL, 'Remplacement accouplement selon BL N°25 du 06/06/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(158, 11, NULL, 1176214, NULL, 'element d\'accouplement rotex 42', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 61.70000000, NULL, 185.10000000, 37.02000000, 0.00000000, 0.00000000, 222.12000000, 0, NULL, NULL, 0, 37.02000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.70000000, 185.10000000, 37.02000000, 222.12000000),
(159, 11, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(160, 11, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 72, 0, 0, NULL, 0.97000000, NULL, 69.84000000, 13.97000000, 0.00000000, 0.00000000, 83.81000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 69.84000000, 13.97000000, 83.81000000),
(161, 11, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(162, 12, NULL, 1223572, NULL, 'réparation carte DELCOS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 332.50000000, NULL, 332.50000000, 66.50000000, 0.00000000, 0.00000000, 399.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 332.50000000, 332.50000000, 66.50000000, 399.00000000),
(163, 13, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(164, 13, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(165, 13, NULL, 1180048, NULL, 'kit maintenance air/huile hv04/07 > 2006', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 169.40000000, NULL, 169.40000000, 33.88000000, 0.00000000, 0.00000000, 203.28000000, 0, NULL, NULL, 0, 101.64000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 169.40000000, 169.40000000, 33.88000000, 203.28000000),
(166, 13, NULL, 954013, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.93000000, NULL, 99.93000000, 19.99000000, 0.00000000, 0.00000000, 119.92000000, 0, NULL, NULL, 0, 48.51000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.93000000, 99.93000000, 19.99000000, 119.92000000),
(167, 13, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(168, 14, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(169, 14, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(170, 14, NULL, 1179624, NULL, 'kit de service c l15-l22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(171, 14, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 16.25000000, NULL, 48.75000000, 9.75000000, 0.00000000, 0.00000000, 58.50000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 48.75000000, 9.75000000, 58.50000000),
(172, 15, NULL, 1223574, NULL, 'cartouche de filtre', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 115.98000000, NULL, 231.96000000, 46.39000000, 0.00000000, 0.00000000, 278.35000000, 0, NULL, NULL, 0, 56.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 115.98000000, 231.96000000, 46.39000000, 278.35000000),
(173, 15, NULL, 1223576, NULL, 'filtre acoustique', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 469.95000000, NULL, 939.90000000, 187.98000000, 0.00000000, 0.00000000, 1127.88000000, 0, NULL, NULL, 0, 228.13000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 469.95000000, 939.90000000, 187.98000000, 1127.88000000),
(174, 15, NULL, 1223573, NULL, 'joint torique pour viseur d\'huile et bouchon', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 17.10000000, NULL, 136.80000000, 27.36000000, 0.00000000, 0.00000000, 164.16000000, 0, NULL, NULL, 0, 8.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.10000000, 136.80000000, 27.36000000, 164.16000000),
(175, 15, NULL, 1223575, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.60000000, NULL, 123.60000000, 24.72000000, 0.00000000, 0.00000000, 148.32000000, 0, NULL, NULL, 0, 60.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.60000000, 123.60000000, 24.72000000, 148.32000000),
(176, 15, NULL, 1222578, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 18.66000000, NULL, 74.64000000, 14.93000000, 0.00000000, 0.00000000, 89.57000000, 0, NULL, NULL, 0, 9.06000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.66000000, 74.64000000, 14.93000000, 89.57000000),
(177, 15, NULL, 1222188, NULL, 'Bidon 5L FLUIDm220\"\" - prix du bidon\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 55.92000000, NULL, 55.92000000, 11.18000000, 0.00000000, 0.00000000, 67.10000000, 0, NULL, NULL, 0, 27.15000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 55.92000000, 55.92000000, 11.18000000, 67.10000000),
(178, 15, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(179, 16, NULL, 1223578, NULL, 'FRAIS DE PORT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(180, 16, NULL, 1223577, NULL, 'RIDEAU 2000XH1200 + RIDEAU 500XH1200MM', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 366.69000000, NULL, 366.69000000, 73.34000000, 0.00000000, 0.00000000, 440.03000000, 0, NULL, NULL, 0, 251.16000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 366.69000000, 366.69000000, 73.34000000, 440.03000000),
(181, 17, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, NULL, NULL, 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(182, 18, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(183, 19, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 538.00000000, NULL, 538.00000000, 107.60000000, 0.00000000, 0.00000000, 645.60000000, 0, NULL, NULL, 0, 379.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 538.00000000, 538.00000000, 107.60000000, 645.60000000),
(184, 20, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(185, 20, NULL, 1190523, NULL, 'petites fournitures', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 103.00000000, NULL, 103.00000000, 20.60000000, 0.00000000, 0.00000000, 123.60000000, 0, NULL, NULL, 0, 37.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.00000000, 103.00000000, 20.60000000, 123.60000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(186, 20, NULL, 1190376, NULL, 'Forfait intervention ZONE B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.96000000, NULL, 394.96000000, 78.99000000, 0.00000000, 0.00000000, 473.95000000, 0, NULL, NULL, 0, 296.96000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.96000000, 394.96000000, 78.99000000, 473.95000000),
(187, 21, NULL, 1223585, NULL, 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, NULL, NULL, 0, 226.79000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(188, 22, NULL, 1221466, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.36000000, NULL, 214.36000000, 42.87000000, 0.00000000, 0.00000000, 257.23000000, 0, NULL, NULL, 0, 104.06000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.36000000, 214.36000000, 42.87000000, 257.23000000),
(189, 23, NULL, 1223585, NULL, 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.54000000, NULL, 18.54000000, 3.71000000, 0.00000000, 0.00000000, 22.25000000, 1, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.54000000, 18.54000000, 3.71000000, 22.25000000),
(190, 24, NULL, 1220936, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3400.00000000, NULL, 3400.00000000, 680.00000000, 0.00000000, 0.00000000, 4080.00000000, 0, NULL, NULL, 0, 2716.80000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3400.00000000, 3400.00000000, 680.00000000, 4080.00000000),
(191, 24, NULL, NULL, NULL, 'Commande [CO1708-0004] - Référence client : []', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(192, 24, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.00000000, NULL, 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(193, 24, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 750.00000000, NULL, 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 500.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(194, 24, NULL, NULL, NULL, 'Prix de l\'ensemble ramené à 4300€', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(195, 25, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2793.00000000, NULL, 2793.00000000, 558.60000000, 0.00000000, 0.00000000, 3351.60000000, 0, NULL, NULL, 0, 2100.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2793.00000000, 2793.00000000, 558.60000000, 3351.60000000),
(196, 25, NULL, 1190554, NULL, 'R2V CU 5G1,5 C100M', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.82000000, NULL, 9.10000000, 1.82000000, 0.00000000, 0.00000000, 10.92000000, 0, NULL, NULL, 0, 1.28000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.82000000, 9.10000000, 1.82000000, 10.92000000),
(197, 25, NULL, 1190650, NULL, 'R2V CU 3G1,5 C50M', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.09000000, NULL, 5.45000000, 1.09000000, 0.00000000, 0.00000000, 6.54000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.09000000, 5.45000000, 1.09000000, 6.54000000),
(198, 25, NULL, 1190696, NULL, 'boite derivation 100x100 plexo', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 10.30000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 7.61000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 61.80000000, 12.36000000, 74.16000000),
(199, 25, NULL, 1223593, NULL, 'cable ro2v 3g6', 20.000, '', 0.000, '0', 0.000, '0', 13, 0, 0, NULL, 5.49000000, NULL, 71.37000000, 14.27000000, 0.00000000, 0.00000000, 85.64000000, 0, NULL, NULL, 0, 5.49000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.49000000, 71.37000000, 14.27000000, 85.64000000),
(200, 25, NULL, 1223592, NULL, 'cable ro2v 4g25mm²', 20.000, '', 0.000, '0', 0.000, '0', 13, 0, 0, NULL, 24.43000000, NULL, 317.59000000, 63.52000000, 0.00000000, 0.00000000, 381.11000000, 0, NULL, NULL, 0, 18.37000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.43000000, 317.59000000, 63.52000000, 381.11000000),
(201, 25, NULL, 1223594, NULL, 'h07 rnf 4g2.5 tgl', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 3.65000000, NULL, 14.60000000, 2.92000000, 0.00000000, 0.00000000, 17.52000000, 0, NULL, NULL, 0, 2.74000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.65000000, 14.60000000, 2.92000000, 17.52000000),
(202, 25, NULL, 1223595, NULL, 'boite derivation 360x270', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 209.79000000, NULL, 209.79000000, 41.96000000, 0.00000000, 0.00000000, 251.75000000, 0, NULL, NULL, 0, 157.74000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 209.79000000, 209.79000000, 41.96000000, 251.75000000),
(203, 25, NULL, 1223596, NULL, 'cosse sertir xct25/8', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 0.95000000, NULL, 11.40000000, 2.28000000, 0.00000000, 0.00000000, 13.68000000, 0, NULL, NULL, 0, 0.71000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 11.40000000, 2.28000000, 13.68000000),
(204, 26, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(205, 26, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(206, 26, NULL, 1179624, NULL, 'kit de service c l15-l22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(207, 26, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(208, 26, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(209, 26, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(211, 28, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1217.22000000, NULL, 1217.22000000, 243.44000000, 0.00000000, 0.00000000, 1460.66000000, 0, NULL, NULL, 0, 915.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1217.22000000, 1217.22000000, 243.44000000, 1460.66000000),
(212, 28, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 5.80000000, NULL, 34.80000000, 6.96000000, 0.00000000, 0.00000000, 41.76000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.80000000, 34.80000000, 6.96000000, 41.76000000),
(213, 28, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.34000000, NULL, 25.36000000, 5.07000000, 0.00000000, 0.00000000, 30.43000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.34000000, 25.36000000, 5.07000000, 30.43000000),
(214, 28, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 7.24000000, NULL, 28.96000000, 5.79000000, 0.00000000, 0.00000000, 34.75000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.24000000, 28.96000000, 5.79000000, 34.75000000),
(215, 28, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 20.02000000, NULL, 40.04000000, 8.01000000, 0.00000000, 0.00000000, 48.05000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.02000000, 40.04000000, 8.01000000, 48.05000000),
(216, 28, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 1.06000000, NULL, 3.18000000, 0.64000000, 0.00000000, 0.00000000, 3.82000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.06000000, 3.18000000, 0.64000000, 3.82000000),
(217, 28, NULL, 972160, NULL, 'prix au ml', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 0.92000000, NULL, 8.28000000, 1.66000000, 0.00000000, 0.00000000, 9.94000000, 0, NULL, NULL, 0, 0.69000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.92000000, 8.28000000, 1.66000000, 9.94000000),
(218, 28, NULL, 1223284, NULL, 'COUDE PR GALV N 90 FF 26X34', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 3.63000000, NULL, 14.52000000, 2.90000000, 0.00000000, 0.00000000, 17.42000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.63000000, 14.52000000, 2.90000000, 17.42000000),
(219, 28, NULL, 1223453, NULL, 'COUDE UNION GALV N 96 FF 26X34', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.26000000, NULL, 19.26000000, 3.85000000, 0.00000000, 0.00000000, 23.11000000, 0, NULL, NULL, 0, 13.76000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.26000000, 19.26000000, 3.85000000, 23.11000000),
(220, 28, NULL, 1223365, NULL, 'MAMELON RED GALV N241 MF 50X40', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 8.12000000, NULL, 24.36000000, 4.87000000, 0.00000000, 0.00000000, 29.23000000, 0, NULL, NULL, 0, 5.80000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.12000000, 24.36000000, 4.87000000, 29.23000000),
(221, 29, NULL, 1221466, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.36000000, NULL, 214.36000000, 42.87000000, 0.00000000, 0.00000000, 257.23000000, 0, NULL, NULL, 0, 104.06000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.36000000, 214.36000000, 42.87000000, 257.23000000),
(222, 30, NULL, 971659, NULL, 'Raccord mâle G1/2 bouton', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.61000000, NULL, 33.61000000, 6.72000000, 0.00000000, 0.00000000, 40.33000000, 0, NULL, NULL, 0, 16.32000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.61000000, 33.61000000, 6.72000000, 40.33000000),
(223, 30, NULL, 967469, NULL, 'About collerette G1/2 tuy.16mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.73000000, NULL, 13.46000000, 2.69000000, 0.00000000, 0.00000000, 16.15000000, 0, NULL, NULL, 0, 3.27000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.73000000, 13.46000000, 2.69000000, 16.15000000),
(224, 30, NULL, 966814, NULL, 'Manchon égal F/F G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.64000000, NULL, 3.28000000, 0.66000000, 0.00000000, 0.00000000, 3.94000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.64000000, 3.28000000, 0.66000000, 3.94000000),
(225, 30, NULL, 971077, NULL, 'About mâle ISO B 8 G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.19000000, NULL, 5.19000000, 1.04000000, 0.00000000, 0.00000000, 6.23000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.19000000, 5.19000000, 1.04000000, 6.23000000),
(226, 30, NULL, 967451, NULL, 'Collier sécurité acier 22-24', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.58000000, NULL, 1.58000000, 0.32000000, 0.00000000, 0.00000000, 1.90000000, 0, NULL, NULL, 0, 0.77000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.58000000, 1.58000000, 0.32000000, 1.90000000),
(227, 30, NULL, 967452, NULL, 'Collier sécurité acier 25-27', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.54000000, NULL, 3.08000000, 0.62000000, 0.00000000, 0.00000000, 3.70000000, 0, NULL, NULL, 0, 0.75000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.54000000, 3.08000000, 0.62000000, 3.70000000),
(228, 30, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.97000000, NULL, 24.97000000, 4.99000000, 0.00000000, 0.00000000, 29.96000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.97000000, 24.97000000, 4.99000000, 29.96000000),
(229, 31, NULL, 1222163, NULL, 'pour compresseur &agrave; piston', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(230, 31, NULL, 1178067, NULL, 'jauge', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 58.90000000, NULL, 117.80000000, 23.56000000, 0.00000000, 0.00000000, 141.36000000, 0, NULL, NULL, 0, 35.34000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 58.90000000, 117.80000000, 23.56000000, 141.36000000),
(231, 31, NULL, 1178662, NULL, 'ANNEAU USIT 33,7X42X2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.20000000, NULL, 28.40000000, 5.68000000, 0.00000000, 0.00000000, 34.08000000, 0, NULL, NULL, 0, 8.52000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.20000000, 28.40000000, 5.68000000, 34.08000000),
(232, 31, NULL, 1177750, NULL, 'Elément de filtre séparateur air-huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 338.50000000, NULL, 338.50000000, 67.70000000, 0.00000000, 0.00000000, 406.20000000, 0, NULL, NULL, 0, 225.48000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 338.50000000, 338.50000000, 67.70000000, 406.20000000),
(233, 31, NULL, 1222634, NULL, 'courroies PIX-B74   17x1880LI', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 36.60000000, NULL, 146.40000000, 29.28000000, 0.00000000, 0.00000000, 175.68000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.60000000, 146.40000000, 29.28000000, 175.68000000),
(234, 32, NULL, 1176213, NULL, 'membrane de rechange', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 56.80000000, NULL, 56.80000000, 11.36000000, 0.00000000, 0.00000000, 68.16000000, 0, NULL, NULL, 0, 34.08000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.80000000, 56.80000000, 11.36000000, 68.16000000),
(235, 32, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4.5, 0, 0, NULL, 63.84000000, NULL, 287.28000000, 57.46000000, 0.00000000, 0.00000000, 344.74000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 287.28000000, 57.46000000, 344.74000000),
(236, 32, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 150, 0, 0, NULL, 0.97000000, NULL, 145.50000000, 29.10000000, 0.00000000, 0.00000000, 174.60000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 145.50000000, 29.10000000, 174.60000000),
(237, 33, NULL, NULL, NULL, 'Maintenance boge', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(238, 33, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(239, 33, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(240, 33, NULL, 1222619, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.92000000, NULL, 27.84000000, 5.57000000, 0.00000000, 0.00000000, 33.41000000, 0, NULL, NULL, 0, 6.76000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.92000000, 27.84000000, 5.57000000, 33.41000000),
(241, 33, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(242, 33, NULL, 954054, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.90000000, NULL, 35.90000000, 7.18000000, 0.00000000, 0.00000000, 43.08000000, 0, NULL, NULL, 0, 17.43000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.90000000, 35.90000000, 7.18000000, 43.08000000),
(243, 33, NULL, 951820, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.05000000, NULL, 12.05000000, 2.41000000, 0.00000000, 0.00000000, 14.46000000, 0, NULL, NULL, 0, 5.85000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.05000000, 12.05000000, 2.41000000, 14.46000000),
(244, 33, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(245, 33, NULL, NULL, NULL, 'Maintenance Hv05', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(246, 33, NULL, 954193, NULL, 'KIT SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 146.11000000, NULL, 146.11000000, 29.22000000, 0.00000000, 0.00000000, 175.33000000, 0, NULL, NULL, 0, 70.93000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 146.11000000, 146.11000000, 29.22000000, 175.33000000),
(247, 33, NULL, 954191, NULL, 'KIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 97.37000000, NULL, 97.37000000, 19.47000000, 0.00000000, 0.00000000, 116.84000000, 0, NULL, NULL, 0, 47.27000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 97.37000000, 97.37000000, 19.47000000, 116.84000000),
(248, 33, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(249, 33, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(250, 33, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(251, 33, NULL, NULL, NULL, 'remise exceptionelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, 1, -100.00000000, NULL, -100.00000000, -20.00000000, 0.00000000, 0.00000000, -120.00000000, 0, NULL, NULL, 2, 0.00000000, NULL, 0, 0, -1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, '', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(252, 34, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(253, 34, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 63, 0, 0, NULL, 0.97000000, NULL, 61.11000000, 12.22000000, 0.00000000, 0.00000000, 73.33000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 61.11000000, 12.22000000, 73.33000000),
(254, 35, NULL, 1222625, NULL, 'autoreel pro devidoir auto multi usage lg 20m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 225.00000000, NULL, 225.00000000, 45.00000000, 0.00000000, 0.00000000, 270.00000000, 0, NULL, NULL, 0, 164.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 225.00000000, 225.00000000, 45.00000000, 270.00000000),
(255, 36, NULL, 1223605, NULL, 'TAE EVO TECH 20 STD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5395.00000000, NULL, 5395.00000000, 1079.00000000, 0.00000000, 0.00000000, 6474.00000000, 0, NULL, NULL, 0, 3978.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5395.00000000, 5395.00000000, 1079.00000000, 6474.00000000),
(256, 37, NULL, NULL, 'Acompte', 'Acompte', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1650.00000000, NULL, 1650.00000000, 0.00000000, 0.00000000, 0.00000000, 1650.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1650.00000000, 1650.00000000, 0.00000000, 1650.00000000),
(269, 41, NULL, 1223618, NULL, 'comprtesseur à palette + secheur a membrane', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3739.50000000, NULL, 3739.50000000, 747.90000000, 0.00000000, 0.00000000, 4487.40000000, 0, NULL, NULL, 0, 2777.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3739.50000000, 3739.50000000, 747.90000000, 4487.40000000),
(270, 41, NULL, 1189197, NULL, 'Réservoir vertical 200 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 348.30000000, NULL, 348.30000000, 69.66000000, 0.00000000, 0.00000000, 417.96000000, 0, NULL, NULL, 0, 277.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 348.30000000, 348.30000000, 69.66000000, 417.96000000),
(271, 41, NULL, 1190354, NULL, 'Forfait Chantier', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 472.50000000, NULL, 472.50000000, 94.50000000, 0.00000000, 0.00000000, 567.00000000, 0, NULL, NULL, 0, 355.26000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 472.50000000, 472.50000000, 94.50000000, 567.00000000),
(273, 42, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1775.00000000, NULL, 1775.00000000, 355.00000000, 0.00000000, 0.00000000, 2130.00000000, 0, NULL, NULL, 0, 1000.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1775.00000000, 1775.00000000, 355.00000000, 2130.00000000),
(274, 42, NULL, 944300, NULL, '7.5 bars - 400 Vtri', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7595.00000000, NULL, 7595.00000000, 1519.00000000, 0.00000000, 0.00000000, 9114.00000000, 0, NULL, NULL, 0, 5300.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7595.00000000, 7595.00000000, 1519.00000000, 9114.00000000),
(275, 42, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.00000000, NULL, 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 106.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.00000000, 130.00000000, 26.00000000, 156.00000000),
(276, 43, NULL, 1222625, NULL, 'autoreel pro devidoir auto multi usage lg 20m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 225.00000000, NULL, 225.00000000, 45.00000000, 0.00000000, 0.00000000, 270.00000000, 0, NULL, NULL, 0, 164.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 225.00000000, 225.00000000, 45.00000000, 270.00000000),
(277, 44, NULL, 1222639, NULL, 'enrouleur wateurreel', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 174.00000000, NULL, 174.00000000, 34.80000000, 0.00000000, 0.00000000, 208.80000000, 0, NULL, NULL, 0, 119.96000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 174.00000000, 174.00000000, 34.80000000, 208.80000000),
(278, 44, NULL, 1222638, NULL, 'enrouleur mini reel', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 103.00000000, NULL, 103.00000000, 20.60000000, 0.00000000, 0.00000000, 123.60000000, 0, NULL, NULL, 0, 70.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.00000000, 103.00000000, 20.60000000, 123.60000000),
(279, 45, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 410.29000000, NULL, 410.29000000, 82.06000000, 0.00000000, 0.00000000, 492.35000000, 0, NULL, NULL, 0, 308.49000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 410.29000000, 410.29000000, 82.06000000, 492.35000000),
(280, 45, NULL, 1176204, NULL, 'OIL TEMPERATURE REGUL. 55°C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 452.70000000, NULL, 452.70000000, 90.54000000, 0.00000000, 0.00000000, 543.24000000, 0, NULL, NULL, 0, 271.62000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 452.70000000, 452.70000000, 90.54000000, 543.24000000),
(281, 45, NULL, 1222545, NULL, 'courroies_textrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 26.92000000, NULL, 53.84000000, 10.77000000, 0.00000000, 0.00000000, 64.61000000, 0, NULL, NULL, 0, 13.07000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.92000000, 53.84000000, 10.77000000, 64.61000000),
(282, 46, NULL, NULL, NULL, 'STar2008', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(283, 46, NULL, 954045, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(284, 46, NULL, 952140, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(285, 46, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(286, 46, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(287, 46, NULL, 1222593, NULL, 'courroies_optibelt', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 14.29000000, NULL, 42.87000000, 8.57000000, 0.00000000, 0.00000000, 51.44000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 42.87000000, 8.57000000, 51.44000000),
(288, 46, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(290, 46, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(291, 46, NULL, NULL, NULL, 'genesis', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(292, 46, NULL, 954045, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(293, 46, NULL, 1222521, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 9.88000000, NULL, 29.64000000, 5.93000000, 0.00000000, 0.00000000, 35.57000000, 0, NULL, NULL, 0, 4.80000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.88000000, 29.64000000, 5.93000000, 35.57000000),
(294, 46, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(295, 46, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(296, 46, NULL, 952140, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(297, 46, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(298, 47, NULL, 1078978, NULL, '<ul>\r\n	<li>vitesse de rotation : 12000 tr/min</li>\r\n	<li>taille plateau ou disque : 150 mm</li>\r\n	<li>fixation plateau : 5/16 f</li>\r\n	<li>excentration : 5 mm</li>\r\n	<li>longueur : 223 mm</li>\r\n	<li>hauteur : 106 mm</li>\r\n	<li>consommation d&#39;air : 481 l/min</li>\r\n	<li>niveau sonnore : 74 dba</li>\r\n	<li>niveau vibration : 3,1 m/s</li>\r\n	<li>poids : 0,79 Kg</li>\r\n	<li>embout d&#39;arriv&eacute; d&#39;air : 1/4</li>\r\n	<li>Tuyau d&#39;alimentation recommand&eacute; : 8 mm</li>\r\n	<li>pression de service : 6,3 bar</li>\r\n</ul>', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 207.00000000, NULL, 414.00000000, 82.80000000, 0.00000000, 0.00000000, 496.80000000, 0, NULL, NULL, 0, 144.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 207.00000000, 414.00000000, 82.80000000, 496.80000000),
(299, 47, NULL, 1077936, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 11.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(300, 48, NULL, NULL, NULL, 'filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(301, 48, NULL, 1222114, NULL, 'MICRO FILTRE 1 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.60000000, NULL, 102.60000000, 20.52000000, 0.00000000, 0.00000000, 123.12000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.60000000, 102.60000000, 20.52000000, 123.12000000),
(302, 48, NULL, 1222115, NULL, 'SUBMICROFILTRE 0,01 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.60000000, NULL, 102.60000000, 20.52000000, 0.00000000, 0.00000000, 123.12000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.60000000, 102.60000000, 20.52000000, 123.12000000),
(303, 48, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(304, 48, NULL, NULL, NULL, 'Maintenance SIlpack 10', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(305, 48, NULL, 1190374, NULL, 'Forfait intervention ZONE A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.50000000, NULL, 199.50000000, 39.90000000, 0.00000000, 0.00000000, 239.40000000, 0, NULL, NULL, 0, 199.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.50000000, 199.50000000, 39.90000000, 239.40000000),
(307, 48, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(309, 48, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(310, 48, NULL, NULL, NULL, 'Maintenance Sullair trek30HH', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(311, 48, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(312, 48, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(313, 48, NULL, 1221723, NULL, 'séparateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 89.90000000, NULL, 89.90000000, 17.98000000, 0.00000000, 0.00000000, 107.88000000, 0, NULL, NULL, 0, 43.64000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 89.90000000, 89.90000000, 17.98000000, 107.88000000),
(314, 48, NULL, 1223589, NULL, '02250087-420', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.64000000, NULL, 17.64000000, 3.53000000, 0.00000000, 0.00000000, 21.17000000, 0, NULL, NULL, 0, 8.82000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.64000000, 17.64000000, 3.53000000, 21.17000000),
(315, 48, NULL, 1221788, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.84000000, NULL, 24.84000000, 4.97000000, 0.00000000, 0.00000000, 29.81000000, 0, NULL, NULL, 0, 12.06000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.84000000, 24.84000000, 4.97000000, 29.81000000),
(316, 48, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(317, 48, NULL, 1223690, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.41000000, NULL, 33.41000000, 6.68000000, 0.00000000, 0.00000000, 40.09000000, 0, NULL, NULL, 0, 20.22000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.41000000, 33.41000000, 6.68000000, 40.09000000),
(318, 49, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 540.00000000, NULL, 540.00000000, 108.00000000, 0.00000000, 0.00000000, 648.00000000, 0, NULL, NULL, 0, 379.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 540.00000000, 540.00000000, 108.00000000, 648.00000000),
(319, 49, NULL, 1190523, NULL, 'petites fournitures', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 66.50000000, NULL, 66.50000000, 13.30000000, 0.00000000, 0.00000000, 79.80000000, 0, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 66.50000000, 66.50000000, 13.30000000, 79.80000000),
(320, 49, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement 1 technicien 1/2 journ&eacute;e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 409.37000000, NULL, 409.37000000, 81.87000000, 0.00000000, 0.00000000, 491.24000000, 0, NULL, NULL, 0, 307.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 409.37000000, 409.37000000, 81.87000000, 491.24000000),
(321, 49, NULL, 969249, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 62.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 62.00000000, 0.00000000, 0.00000000, 0.00000000),
(322, 50, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(323, 50, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.97000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 58.20000000, 11.64000000, 69.84000000),
(324, 51, NULL, NULL, NULL, 'Maintenance BEL AIR', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(325, 51, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(326, 51, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.99000000, NULL, 5.99000000, 1.20000000, 0.00000000, 0.00000000, 7.19000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.99000000, 5.99000000, 1.20000000, 7.19000000),
(327, 51, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 19.95000000, NULL, 39.90000000, 7.98000000, 0.00000000, 0.00000000, 47.88000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.95000000, 39.90000000, 7.98000000, 47.88000000),
(328, 51, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.80000000, NULL, 59.80000000, 11.96000000, 0.00000000, 0.00000000, 71.76000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.80000000, 59.80000000, 11.96000000, 71.76000000),
(329, 51, NULL, 952419, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.77000000, NULL, 7.77000000, 1.55000000, 0.00000000, 0.00000000, 9.32000000, 0, NULL, NULL, 0, 5.84000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.77000000, 7.77000000, 1.55000000, 9.32000000),
(330, 51, NULL, 954094, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.75000000, NULL, 9.75000000, 1.95000000, 0.00000000, 0.00000000, 11.70000000, 0, NULL, NULL, 0, 7.33000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.75000000, 9.75000000, 1.95000000, 11.70000000),
(331, 51, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(332, 51, NULL, NULL, NULL, 'Purge temporisée :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(333, 51, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(334, 51, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(335, 52, NULL, 1222638, NULL, 'enrouleur mini reel', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 103.00000000, NULL, 206.00000000, 41.20000000, 0.00000000, 0.00000000, 247.20000000, 0, NULL, NULL, 0, 70.50000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.00000000, 206.00000000, 41.20000000, 247.20000000),
(336, 53, NULL, 951716, NULL, 'natte filtrante', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 152.95000000, NULL, 152.95000000, 30.59000000, 0.00000000, 0.00000000, 183.54000000, 0, NULL, NULL, 0, 74.25000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 152.95000000, 152.95000000, 30.59000000, 183.54000000),
(337, 54, NULL, 1188137, NULL, 'comp à piston 100L avec nvlles tete', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 490.00000000, NULL, 490.00000000, 98.00000000, 0.00000000, 0.00000000, 588.00000000, 0, NULL, NULL, 0, 384.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 490.00000000, 490.00000000, 98.00000000, 588.00000000),
(338, 54, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(339, 55, NULL, 1223660, NULL, 'JOINT D,01,17,0003//16', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 5.57000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 3.71000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.57000000, 0.00000000, 0.00000000, 0.00000000),
(340, 55, NULL, 1223683, NULL, 'joint D01 17 003', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.04000000, NULL, 7.04000000, 1.41000000, 0.00000000, 0.00000000, 8.45000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.04000000, 7.04000000, 1.41000000, 8.45000000),
(341, 55, NULL, 1223681, NULL, 'ROULEMENT//16', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.10000000, NULL, 39.10000000, 7.82000000, 0.00000000, 0.00000000, 46.92000000, 0, NULL, NULL, 0, 34.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.10000000, 39.10000000, 7.82000000, 46.92000000),
(342, 55, NULL, 1223680, NULL, 'roulement D01 15 0005', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.16000000, NULL, 33.16000000, 6.63000000, 0.00000000, 0.00000000, 39.79000000, 0, NULL, NULL, 0, 16.58000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.16000000, 33.16000000, 6.63000000, 39.79000000),
(343, 55, NULL, 1223674, NULL, 'ROULEMENT D01-15,0004//15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.71000000, NULL, 12.71000000, 2.54000000, 0.00000000, 0.00000000, 15.25000000, 0, NULL, NULL, 0, 11.05000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.71000000, 12.71000000, 2.54000000, 15.25000000),
(344, 55, NULL, 1223671, NULL, 'axe d01 11 0001', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.08000000, NULL, 21.08000000, 4.22000000, 0.00000000, 0.00000000, 25.30000000, 0, NULL, NULL, 0, 10.54000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.08000000, 21.08000000, 4.22000000, 25.30000000),
(345, 55, NULL, 1223659, NULL, 'GALET//16', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 22.72000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 19.76000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.72000000, 0.00000000, 0.00000000, 0.00000000),
(346, 55, NULL, 1223675, NULL, 'RESSORT//16', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.65000000, NULL, 9.65000000, 1.93000000, 0.00000000, 0.00000000, 11.58000000, 0, NULL, NULL, 0, 8.39000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.65000000, 9.65000000, 1.93000000, 11.58000000),
(347, 55, NULL, 1223666, NULL, 'forfait dnr', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 93.26000000, NULL, 93.26000000, 18.65000000, 0.00000000, 0.00000000, 111.91000000, 0, NULL, NULL, 0, 73.59000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 93.26000000, 93.26000000, 18.65000000, 111.91000000),
(348, 55, NULL, 1223667, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.00000000, NULL, 22.00000000, 4.40000000, 0.00000000, 0.00000000, 26.40000000, 0, NULL, NULL, 0, 11.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.00000000, 22.00000000, 4.40000000, 26.40000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(349, 56, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(350, 56, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(351, 56, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(352, 56, NULL, 1179627, NULL, 'kit de service c l30-l50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 0, NULL, NULL, 0, 215.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(353, 57, NULL, 1223607, NULL, 'distributeur serie 4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 77.51000000, NULL, 155.02000000, 31.00000000, 0.00000000, 0.00000000, 186.02000000, 0, NULL, NULL, 0, 58.28000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.51000000, 155.02000000, 31.00000000, 186.02000000),
(354, 58, NULL, 955022, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 137.81000000, NULL, 137.81000000, 27.56000000, 0.00000000, 0.00000000, 165.37000000, 0, NULL, NULL, 0, 66.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 137.81000000, 137.81000000, 27.56000000, 165.37000000),
(355, 59, NULL, 1179624, NULL, 'kit de service c l15-l22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.18000000, NULL, 160.18000000, 32.04000000, 0.00000000, 0.00000000, 192.22000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.18000000, 160.18000000, 32.04000000, 192.22000000),
(356, 59, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 104.83000000, NULL, 104.83000000, 20.97000000, 0.00000000, 0.00000000, 125.80000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 104.83000000, 104.83000000, 20.97000000, 125.80000000),
(357, 59, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 511.94000000, NULL, 511.94000000, 102.39000000, 0.00000000, 0.00000000, 614.33000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 511.94000000, 511.94000000, 102.39000000, 614.33000000),
(358, 59, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.19000000, NULL, 10.19000000, 2.04000000, 0.00000000, 0.00000000, 12.23000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.19000000, 10.19000000, 2.04000000, 12.23000000),
(359, 60, NULL, 1190354, NULL, 'Forfait Chantier', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 375.00000000, NULL, 375.00000000, 75.00000000, 0.00000000, 0.00000000, 450.00000000, 0, NULL, NULL, 0, 288.46000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 375.00000000, 375.00000000, 75.00000000, 450.00000000),
(360, 60, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 492.70000000, NULL, 492.70000000, 98.54000000, 0.00000000, 0.00000000, 591.24000000, 0, NULL, NULL, 0, 379.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 492.70000000, 492.70000000, 98.54000000, 591.24000000),
(361, 61, NULL, 953164, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(362, 61, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.24000000, NULL, 12.24000000, 2.45000000, 0.00000000, 0.00000000, 14.69000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.24000000, 12.24000000, 2.45000000, 14.69000000),
(363, 61, NULL, 951971, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.91000000, NULL, 20.91000000, 4.18000000, 0.00000000, 0.00000000, 25.09000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.91000000, 20.91000000, 4.18000000, 25.09000000),
(364, 61, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.62000000, NULL, 92.62000000, 18.52000000, 0.00000000, 0.00000000, 111.14000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.62000000, 92.62000000, 18.52000000, 111.14000000),
(365, 61, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(366, 61, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.00000000, NULL, 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(367, 62, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(368, 63, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3325.00000000, NULL, 3325.00000000, 665.00000000, 0.00000000, 0.00000000, 3990.00000000, 0, NULL, NULL, 0, 2500.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3325.00000000, 3325.00000000, 665.00000000, 3990.00000000),
(369, 63, NULL, 1223702, NULL, 'tuyauterie supportage exterieur etc', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 598.50000000, NULL, 598.50000000, 119.70000000, 0.00000000, 0.00000000, 718.20000000, 0, NULL, NULL, 0, 450.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 598.50000000, 598.50000000, 119.70000000, 718.20000000),
(370, 63, NULL, 1223702, NULL, 'fourniture electriques cable intersectionneur etc', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 598.50000000, NULL, 598.50000000, 119.70000000, 0.00000000, 0.00000000, 718.20000000, 0, NULL, NULL, 0, 450.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 598.50000000, 598.50000000, 119.70000000, 718.20000000),
(371, 63, NULL, 1022552, NULL, 'Conduit flexible semi-rigide en aluminium pour VMC Gaz Ø 118/125 SRFGA', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 11.35000000, NULL, 45.40000000, 9.08000000, 0.00000000, 0.00000000, 54.48000000, 0, NULL, NULL, 0, 6.17120000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.35000000, 45.40000000, 9.08000000, 54.48000000),
(372, 63, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 278.10000000, NULL, 278.10000000, 55.62000000, 0.00000000, 0.00000000, 333.72000000, 0, NULL, NULL, 0, 209.10000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 278.10000000, 278.10000000, 55.62000000, 333.72000000),
(376, 64, NULL, 1177750, NULL, 'Elément de filtre séparateur air-huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -338.50000000, NULL, -338.50000000, -67.70000000, 0.00000000, 0.00000000, -406.20000000, 0, NULL, NULL, 0, 225.48000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 338.50000000, 338.50000000, 67.70000000, 406.20000000),
(377, 65, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(378, 65, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(379, 65, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(380, 65, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(381, 65, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(383, 66, NULL, 955041, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(384, 66, NULL, 1179719, NULL, 'kit de service e l15-l22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 169.40000000, NULL, 169.40000000, 33.88000000, 0.00000000, 0.00000000, 203.28000000, 0, NULL, NULL, 0, 101.64000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 169.40000000, 169.40000000, 33.88000000, 203.28000000),
(385, 66, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(386, 66, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(387, 66, NULL, 1222594, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 14.29000000, NULL, 42.87000000, 8.57000000, 0.00000000, 0.00000000, 51.44000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 42.87000000, 8.57000000, 51.44000000),
(388, 66, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 63.84000000, NULL, 510.72000000, 102.14000000, 0.00000000, 0.00000000, 612.86000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 510.72000000, 102.14000000, 612.86000000),
(389, 66, NULL, 1223699, NULL, 'Huile anderol FGC46 Alimentaire prix au litre', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 15.21000000, NULL, 121.68000000, 24.34000000, 0.00000000, 0.00000000, 146.02000000, 0, NULL, NULL, 0, 11.27000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.21000000, 121.68000000, 24.34000000, 146.02000000),
(390, 66, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 143, 0, 0, NULL, 0.97000000, NULL, 138.71000000, 27.74000000, 0.00000000, 0.00000000, 166.45000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 138.71000000, 27.74000000, 166.45000000),
(391, 67, NULL, 1222181, NULL, 'Huile anderol FGC46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 464.32000000, NULL, 464.32000000, 92.86000000, 0.00000000, 0.00000000, 557.18000000, 0, NULL, NULL, 0, 225.40000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 464.32000000, 464.32000000, 92.86000000, 557.18000000),
(392, 67, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(393, 67, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(394, 67, NULL, 1179627, NULL, 'kit de service c l30-l50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 0, NULL, NULL, 0, 215.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(395, 67, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(396, 67, NULL, 1213316, NULL, 'CARTOUCHE E100 1\"1/2 FILTRE S-AIR XAC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 199.82000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(397, 67, NULL, 1213315, NULL, 'CARTOUCHE E100 1\"1/2 FILTRE S-AIR XA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 199.82000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(398, 67, NULL, 952690, NULL, 'cartouche media filtrant pne610rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 215.47000000, NULL, 215.47000000, 43.09000000, 0.00000000, 0.00000000, 258.56000000, 0, NULL, NULL, 0, 104.60000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 215.47000000, 215.47000000, 43.09000000, 258.56000000),
(399, 68, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 88.68000000, NULL, 88.68000000, 17.74000000, 0.00000000, 0.00000000, 106.42000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.68000000, 88.68000000, 17.74000000, 106.42000000),
(400, 68, NULL, 957271, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 13.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(401, 69, NULL, NULL, NULL, 'remplacement des canalis puissance et lumiere', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(402, 69, NULL, 1115231, NULL, 'El. de dist. 100A 3P+N 3m 3dériv.', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 247.00000000, NULL, 3705.00000000, 741.00000000, 0.00000000, 0.00000000, 4446.00000000, 0, NULL, NULL, 0, 186.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 247.00000000, 3705.00000000, 741.00000000, 4446.00000000),
(403, 69, NULL, 1115225, NULL, 'Boite d\'alim. KN 100A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 168.00000000, NULL, 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 126.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 168.00000000, 168.00000000, 33.60000000, 201.60000000),
(404, 69, NULL, 1115256, NULL, 'Fixation universelle 40-160A', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 4.50000000, NULL, 90.00000000, 18.00000000, 0.00000000, 0.00000000, 108.00000000, 0, NULL, NULL, 0, 3.06000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 90.00000000, 18.00000000, 108.00000000),
(405, 69, NULL, 1115269, NULL, 'Con. de dér. 25A 3P+N prot.fus. NF', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 78.00000000, NULL, 390.00000000, 78.00000000, 0.00000000, 0.00000000, 468.00000000, 0, NULL, NULL, 0, 57.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.00000000, 390.00000000, 78.00000000, 468.00000000),
(406, 69, NULL, 1114954, NULL, 'Elem.distr.25A P+N 3m 3dériv.blanc', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 64.40000000, NULL, 966.00000000, 193.20000000, 0.00000000, 0.00000000, 1159.20000000, 0, NULL, NULL, 0, 45.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 64.40000000, 966.00000000, 193.20000000, 1159.20000000),
(407, 69, NULL, 1190798, NULL, 'alimentation( livrée avec embout de fermeture', 20.000, '', 0.000, '0', 0.000, '0', 14, 0, 0, NULL, 53.00000000, NULL, 742.00000000, 148.40000000, 0.00000000, 0.00000000, 890.40000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.00000000, 742.00000000, 148.40000000, 890.40000000),
(408, 69, NULL, 1114994, NULL, 'Etrier universel blanche', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 3.65000000, NULL, 73.00000000, 14.60000000, 0.00000000, 0.00000000, 87.60000000, 0, NULL, NULL, 0, 1.77000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.65000000, 73.00000000, 14.60000000, 87.60000000),
(409, 69, NULL, 1223604, NULL, '2 x 58w etanche oleveon', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 53.00000000, NULL, 106.00000000, 21.20000000, 0.00000000, 0.00000000, 127.20000000, 0, NULL, NULL, 0, 39.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.00000000, 106.00000000, 21.20000000, 127.20000000),
(410, 69, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 63.84000000, NULL, 1532.16000000, 306.43000000, 0.00000000, 0.00000000, 1838.59000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 1532.16000000, 306.43000000, 1838.59000000),
(411, 69, NULL, 1190776, NULL, 'nombre de kilometres', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.95000000, NULL, 47.50000000, 9.50000000, 0.00000000, 0.00000000, 57.00000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 47.50000000, 9.50000000, 57.00000000),
(412, 69, NULL, 1190724, NULL, 'CONNECTEUR 25A POUR FUS 10,3x38', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 65.00000000, NULL, 325.00000000, 65.00000000, 0.00000000, 0.00000000, 390.00000000, 0, NULL, NULL, 0, 45.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.00000000, 325.00000000, 65.00000000, 390.00000000),
(413, 69, NULL, 1223608, NULL, '4 paires Catégorie 6 U/FTP LSOH', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 1.05000000, NULL, 63.00000000, 12.60000000, 0.00000000, 0.00000000, 75.60000000, 0, NULL, NULL, 0, 0.76000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.05000000, 63.00000000, 12.60000000, 75.60000000),
(414, 69, NULL, 1223609, NULL, 'RJ45 MODULAR 8P8C 3 parties STP, blindé C6', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 1.57000000, NULL, 6.28000000, 1.26000000, 0.00000000, 0.00000000, 7.54000000, 0, NULL, NULL, 0, 1.20000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.57000000, 6.28000000, 1.26000000, 7.54000000),
(415, 69, NULL, 1223610, NULL, 'Mureva TubeGT 3321 - PVC - tulipé - D=40 mm - long 3 m - Gris', 20.000, '', 0.000, '0', 0.000, '0', 42, 0, 0, NULL, 4.10000000, NULL, 172.20000000, 34.44000000, 0.00000000, 0.00000000, 206.64000000, 0, NULL, NULL, 0, 3.04000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.10000000, 172.20000000, 34.44000000, 206.64000000),
(416, 69, NULL, 1190483, NULL, 'colliers pour tube iro', 20.000, '', 0.000, '0', 0.000, '0', 45, 0, 0, NULL, 0.49000000, NULL, 22.05000000, 4.41000000, 0.00000000, 0.00000000, 26.46000000, 0, NULL, NULL, 0, 0.24000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.49000000, 22.05000000, 4.41000000, 26.46000000),
(417, 69, NULL, NULL, NULL, 'Remplacement canalis puissance et lumiere', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(418, 69, NULL, NULL, NULL, 'partie A.C', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(419, 69, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.77000000, NULL, 27.08000000, 5.42000000, 0.00000000, 0.00000000, 32.50000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 27.08000000, 5.42000000, 32.50000000),
(420, 69, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 7.72000000, NULL, 30.88000000, 6.18000000, 0.00000000, 0.00000000, 37.06000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.72000000, 30.88000000, 6.18000000, 37.06000000),
(421, 69, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 1.14000000, NULL, 17.10000000, 3.42000000, 0.00000000, 0.00000000, 20.52000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 17.10000000, 3.42000000, 20.52000000),
(422, 69, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 4.28000000, NULL, 25.68000000, 5.14000000, 0.00000000, 0.00000000, 30.82000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.28000000, 25.68000000, 5.14000000, 30.82000000),
(423, 69, NULL, 1080013, NULL, 'Manchon d\'extrémité diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.00000000, NULL, 6.00000000, 1.20000000, 0.00000000, 0.00000000, 7.20000000, 0, NULL, NULL, 0, 4.22000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.00000000, 6.00000000, 1.20000000, 7.20000000),
(424, 69, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 45, 0, 0, NULL, 6.20000000, NULL, 279.00000000, 55.80000000, 0.00000000, 0.00000000, 334.80000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 279.00000000, 55.80000000, 334.80000000),
(425, 69, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.38000000, NULL, 42.76000000, 8.55000000, 0.00000000, 0.00000000, 51.31000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.38000000, 42.76000000, 8.55000000, 51.31000000),
(426, 69, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 9.07000000, NULL, 54.42000000, 10.88000000, 0.00000000, 0.00000000, 65.30000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.07000000, 54.42000000, 10.88000000, 65.30000000),
(427, 69, NULL, 1190653, NULL, 'SUPPORTAGE METALLIQUE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 206.00000000, NULL, 206.00000000, 41.20000000, 0.00000000, 0.00000000, 247.20000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 206.00000000, 206.00000000, 41.20000000, 247.20000000),
(428, 69, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 5.33000000, NULL, 31.98000000, 6.40000000, 0.00000000, 0.00000000, 38.38000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.33000000, 31.98000000, 6.40000000, 38.38000000),
(429, 69, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 6.42000000, NULL, 38.52000000, 7.70000000, 0.00000000, 0.00000000, 46.22000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 38.52000000, 7.70000000, 46.22000000),
(430, 69, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 63.84000000, NULL, 1276.80000000, 255.36000000, 0.00000000, 0.00000000, 1532.16000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 1276.80000000, 255.36000000, 1532.16000000),
(431, 69, NULL, NULL, NULL, 'Partie A.C', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(432, 70, NULL, NULL, NULL, 'Maintenance L07RS  EN FULL SERVICE', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(433, 70, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 100, 0, NULL, 16.25000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 0.00000000, 0.00000000, 0.00000000),
(434, 70, NULL, 1179622, NULL, 'kit de service c l07-l11', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 114.40000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 0.00000000, 0.00000000, 0.00000000),
(435, 70, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 73.10000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 0.00000000, 0.00000000, 0.00000000),
(436, 70, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 284.89000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 0.00000000, 0.00000000, 0.00000000),
(437, 70, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 4.50000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 0.00000000, 0.00000000, 0.00000000),
(438, 70, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(439, 70, NULL, NULL, NULL, 'Maintenance Rollair', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(440, 70, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(441, 70, NULL, 954116, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.62000000, NULL, 23.62000000, 4.72000000, 0.00000000, 0.00000000, 28.34000000, 0, NULL, NULL, 0, 11.47000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.62000000, 23.62000000, 4.72000000, 28.34000000),
(442, 70, NULL, 952382, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 38.89000000, NULL, 38.89000000, 7.78000000, 0.00000000, 0.00000000, 46.67000000, 0, NULL, NULL, 0, 18.88000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.89000000, 38.89000000, 7.78000000, 46.67000000),
(443, 70, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(444, 70, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(445, 70, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.58000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(446, 70, NULL, 955070, NULL, 'KIT SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.85000000, NULL, 109.85000000, 21.97000000, 0.00000000, 0.00000000, 131.82000000, 0, NULL, NULL, 0, 53.33000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.85000000, 109.85000000, 21.97000000, 131.82000000),
(447, 70, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(448, 70, NULL, NULL, NULL, 'Maintenance separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(449, 70, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(450, 70, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(451, 70, NULL, NULL, NULL, 'Maintenance filtres réseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(452, 70, NULL, 952657, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(453, 70, NULL, 952656, NULL, 'cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(454, 70, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(455, 71, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(456, 72, NULL, 1080238, NULL, 'Frais de Port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 39.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(457, 72, NULL, 1223601, NULL, 'etaux d\'etabli fixes', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 460.00000000, NULL, 414.00000000, 82.80000000, 0.00000000, 0.00000000, 496.80000000, 0, NULL, NULL, 0, 289.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 460.00000000, 414.00000000, 82.80000000, 496.80000000),
(458, 72, NULL, 1223602, NULL, 'bases tournantes', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 134.00000000, NULL, 120.60000000, 24.12000000, 0.00000000, 0.00000000, 144.72000000, 0, NULL, NULL, 0, 84.42000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 134.00000000, 120.60000000, 24.12000000, 144.72000000),
(459, 72, NULL, 1223603, NULL, 'station elevatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 450.00000000, NULL, 405.00000000, 81.00000000, 0.00000000, 0.00000000, 486.00000000, 0, NULL, NULL, 0, 283.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 450.00000000, 405.00000000, 81.00000000, 486.00000000),
(460, 73, NULL, 1221755, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 36.85000000, NULL, 36.85000000, 7.37000000, 0.00000000, 0.00000000, 44.22000000, 0, NULL, NULL, 0, 17.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.85000000, 36.85000000, 7.37000000, 44.22000000),
(461, 73, NULL, 1221772, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.12000000, NULL, 24.12000000, 4.82000000, 0.00000000, 0.00000000, 28.94000000, 0, NULL, NULL, 0, 11.25000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.12000000, 24.12000000, 4.82000000, 28.94000000),
(462, 73, NULL, 1221716, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 141.60000000, NULL, 141.60000000, 28.32000000, 0.00000000, 0.00000000, 169.92000000, 0, NULL, NULL, 0, 66.05000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 141.60000000, 141.60000000, 28.32000000, 169.92000000),
(463, 73, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.68000000, NULL, 118.68000000, 23.74000000, 0.00000000, 0.00000000, 142.42000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.68000000, 118.68000000, 23.74000000, 142.42000000),
(464, 73, NULL, 1223614, NULL, 'roulement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 272.07000000, NULL, 272.07000000, 54.41000000, 0.00000000, 0.00000000, 326.48000000, 0, NULL, NULL, 0, 190.84000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 272.07000000, 272.07000000, 54.41000000, 326.48000000),
(465, 73, NULL, 1223615, NULL, 'roulement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 74.60000000, NULL, 74.60000000, 14.92000000, 0.00000000, 0.00000000, 89.52000000, 0, NULL, NULL, 0, 52.33000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 74.60000000, 74.60000000, 14.92000000, 89.52000000),
(466, 73, NULL, 1223598, NULL, 'courroie megadyne', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 26.93000000, NULL, 161.58000000, 32.32000000, 0.00000000, 0.00000000, 193.90000000, 0, NULL, NULL, 0, 9.66000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.93000000, 161.58000000, 32.32000000, 193.90000000),
(467, 73, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 1.04000000, NULL, 62.40000000, 12.48000000, 0.00000000, 0.00000000, 74.88000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.04000000, 62.40000000, 12.48000000, 74.88000000),
(468, 73, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 68.43000000, NULL, 1642.32000000, 328.46000000, 0.00000000, 0.00000000, 1970.78000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.43000000, 1642.32000000, 328.46000000, 1970.78000000),
(469, 73, NULL, 1223702, NULL, 'graisse a roulement et natte filtrante', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.25000000, NULL, 33.25000000, 6.65000000, 0.00000000, 0.00000000, 39.90000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.25000000, 33.25000000, 6.65000000, 39.90000000),
(478, 74, NULL, 1190535, NULL, 'main d&#39;oeuvre &amp; tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -200.00000000, NULL, -200.00000000, -40.00000000, 0.00000000, 0.00000000, -240.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -200.00000000, -200.00000000, -40.00000000, -240.00000000),
(480, 75, NULL, 951973, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.71000000, NULL, 127.42000000, 25.48000000, 0.00000000, 0.00000000, 152.90000000, 0, NULL, NULL, 0, 30.93000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.71000000, 127.42000000, 25.48000000, 152.90000000),
(481, 75, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(482, 76, NULL, NULL, NULL, 'depannage du 18/09/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(483, 76, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4.5, 0, 0, NULL, 63.84000000, NULL, 287.28000000, 57.46000000, 0.00000000, 0.00000000, 344.74000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 287.28000000, 57.46000000, 344.74000000),
(484, 76, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 150, 0, 0, NULL, 0.97000000, NULL, 145.50000000, 29.10000000, 0.00000000, 0.00000000, 174.60000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 145.50000000, 29.10000000, 174.60000000),
(485, 76, NULL, 1176214, NULL, 'element d\'accouplement rotex 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 61.70000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 37.02000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.70000000, 0.00000000, 0.00000000, 0.00000000),
(486, 76, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(487, 76, NULL, NULL, NULL, 'transmis par camion', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(488, 76, NULL, 1176220, NULL, 'electro-vanne 3/2 voies', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 107.80000000, NULL, 107.80000000, 21.56000000, 0.00000000, 0.00000000, 129.36000000, 0, NULL, NULL, 0, 64.68000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 107.80000000, 107.80000000, 21.56000000, 129.36000000),
(489, 76, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(490, 77, NULL, NULL, NULL, 'maintenance l07', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(491, 77, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(492, 77, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 138.96000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(493, 77, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.13000000, NULL, 34.26000000, 6.85000000, 0.00000000, 0.00000000, 41.11000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 34.26000000, 6.85000000, 41.11000000),
(494, 77, NULL, 1179622, NULL, 'kit de service c l07-l11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(495, 77, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(496, 77, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(497, 77, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(498, 77, NULL, NULL, NULL, 'Maintenance L07RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(499, 77, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.13000000, NULL, 34.26000000, 6.85000000, 0.00000000, 0.00000000, 41.11000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 34.26000000, 6.85000000, 41.11000000),
(500, 77, NULL, 1179622, NULL, 'kit de service c l07-l11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(501, 77, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(502, 77, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(503, 77, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(504, 77, NULL, NULL, NULL, 'Maintenance filtres réseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(505, 77, NULL, 952662, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(506, 77, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(507, 78, NULL, NULL, NULL, 'Maintenance compresseur à vis', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(508, 78, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(509, 78, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(510, 78, NULL, 1221733, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.00000000, NULL, 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 0, NULL, NULL, 0, 29.93000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.00000000, 50.00000000, 10.00000000, 60.00000000),
(511, 78, NULL, 1221760, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.00000000, NULL, 17.00000000, 3.40000000, 0.00000000, 0.00000000, 20.40000000, 0, NULL, NULL, 0, 11.44000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.00000000, 17.00000000, 3.40000000, 20.40000000),
(512, 78, NULL, 1221778, NULL, 'fil a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.00000000, NULL, 17.00000000, 3.40000000, 0.00000000, 0.00000000, 20.40000000, 0, NULL, NULL, 0, 11.22000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.00000000, 17.00000000, 3.40000000, 20.40000000),
(513, 78, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(514, 78, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(515, 79, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(516, 79, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.58000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(517, 79, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(518, 79, NULL, 1179622, NULL, 'kit de service c l07-l11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(519, 79, NULL, 1179646, NULL, 'Kit de service D      L07-L11RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 270.00000000, NULL, 270.00000000, 54.00000000, 0.00000000, 0.00000000, 324.00000000, 0, NULL, NULL, 0, 162.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 270.00000000, 270.00000000, 54.00000000, 324.00000000),
(521, 79, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(522, 80, NULL, 1176132, NULL, 'element d\'accouplement rotex 55red 98sha', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.60000000, NULL, 90.60000000, 18.12000000, 0.00000000, 0.00000000, 108.72000000, 0, NULL, NULL, 0, 54.36000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.60000000, 90.60000000, 18.12000000, 108.72000000),
(523, 80, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(524, 80, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.97000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 58.20000000, 11.64000000, 69.84000000),
(525, 81, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(526, 81, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(527, 81, NULL, 1179624, NULL, 'kit de service c l15-l22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(528, 81, NULL, 1179649, NULL, 'Kit de service D           L15RS - L22RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 438.60000000, NULL, 438.60000000, 87.72000000, 0.00000000, 0.00000000, 526.32000000, 0, NULL, NULL, 0, 263.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 438.60000000, 438.60000000, 87.72000000, 526.32000000),
(530, 82, NULL, NULL, NULL, 'realisation d\'un reseau d\'air fixé au canalis en souple', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(531, 82, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.70000000, NULL, 20.70000000, 4.14000000, 0.00000000, 0.00000000, 24.84000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.70000000, 20.70000000, 4.14000000, 24.84000000),
(532, 82, NULL, 966719, NULL, 'Raccord Y femelle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 1.93000000, NULL, 30.88000000, 6.18000000, 0.00000000, 0.00000000, 37.06000000, 0, NULL, NULL, 0, 2.35000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.93000000, 30.88000000, 6.18000000, 37.06000000),
(533, 82, NULL, 966885, NULL, 'Barrette distribution 3/8x1/4', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 5.22000000, NULL, 41.76000000, 8.35000000, 0.00000000, 0.00000000, 50.11000000, 0, NULL, NULL, 0, 6.37000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.22000000, 41.76000000, 8.35000000, 50.11000000),
(534, 82, NULL, 971951, NULL, 'Tuyau PVC Polyflexair 16x24', 20.000, '', 0.000, '0', 0.000, '0', 100, 0, 0, NULL, 0.97000000, NULL, 97.00000000, 19.40000000, 0.00000000, 0.00000000, 116.40000000, 0, NULL, NULL, 0, 1.18000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 97.00000000, 19.40000000, 116.40000000),
(535, 82, NULL, 971943, NULL, 'Tuyau PVC Polyflexair 10x16', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.53000000, NULL, 26.50000000, 5.30000000, 0.00000000, 0.00000000, 31.80000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.53000000, 26.50000000, 5.30000000, 31.80000000),
(536, 82, NULL, 966965, NULL, 'Té égal FFF G3/8', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.04000000, NULL, 2.08000000, 0.42000000, 0.00000000, 0.00000000, 2.50000000, 0, NULL, NULL, 0, 1.27000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.04000000, 2.08000000, 0.42000000, 2.50000000),
(537, 82, NULL, 967121, NULL, 'Mamelon conique G3/8xG3/8', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 0.63000000, NULL, 1.26000000, 0.25000000, 0.00000000, 0.00000000, 1.51000000, 0, NULL, NULL, 0, 0.77000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.63000000, 1.26000000, 0.25000000, 1.51000000),
(538, 82, NULL, 967745, NULL, 'Colliers à oreilles 2225', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.94000000, NULL, 11.94000000, 2.39000000, 0.00000000, 0.00000000, 14.33000000, 0, NULL, NULL, 0, 14.57000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.94000000, 11.94000000, 2.39000000, 14.33000000),
(539, 82, NULL, 966891, NULL, 'Bouchon M. cylindrique G3/8', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 0.22000000, NULL, 0.88000000, 0.18000000, 0.00000000, 0.00000000, 1.06000000, 0, NULL, NULL, 0, 0.27000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.22000000, 0.88000000, 0.18000000, 1.06000000),
(540, 82, NULL, 966890, NULL, 'Bouchon M. cylindrique G1/4', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 0.18000000, NULL, 2.88000000, 0.58000000, 0.00000000, 0.00000000, 3.46000000, 0, NULL, NULL, 0, 0.22000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.18000000, 2.88000000, 0.58000000, 3.46000000),
(541, 82, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1252.74000000, NULL, 1252.74000000, 250.55000000, 0.00000000, 0.00000000, 1503.29000000, 0, NULL, NULL, 0, 915.60000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1252.74000000, 1252.74000000, 250.55000000, 1503.29000000),
(542, 82, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.12000000, NULL, 4.24000000, 0.85000000, 0.00000000, 0.00000000, 5.09000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.12000000, 4.24000000, 0.85000000, 5.09000000),
(543, 82, NULL, 967466, NULL, 'About collerette G3/8 tuy.16mm', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 2.34000000, NULL, 37.44000000, 7.49000000, 0.00000000, 0.00000000, 44.93000000, 0, NULL, NULL, 0, 2.85000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.34000000, 37.44000000, 7.49000000, 44.93000000),
(544, 82, NULL, 971581, NULL, 'Raccord sécurité bouton M G1/4', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 7.80000000, NULL, 124.80000000, 24.96000000, 0.00000000, 0.00000000, 149.76000000, 0, NULL, NULL, 0, 9.51000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.80000000, 124.80000000, 24.96000000, 149.76000000),
(545, 82, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(546, 82, NULL, NULL, NULL, 'installation d\'une rampe canalis pour machine', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(547, 82, NULL, 1190725, NULL, 'ELEMENT DROIT 40 A 02', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 167.06000000, NULL, 1336.48000000, 267.30000000, 0.00000000, 0.00000000, 1603.78000000, 0, NULL, NULL, 0, 186.25000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 167.06000000, 1336.48000000, 267.30000000, 1603.78000000),
(548, 82, NULL, 1190455, NULL, 'boite d alimentation 63', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 91.43000000, NULL, 365.72000000, 73.14000000, 0.00000000, 0.00000000, 438.86000000, 0, NULL, NULL, 0, 129.64000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.43000000, 365.72000000, 73.14000000, 438.86000000),
(549, 82, NULL, 1190452, NULL, 'fixations pour kn 40 a 1', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 4.29000000, NULL, 214.50000000, 42.90000000, 0.00000000, 0.00000000, 257.40000000, 0, NULL, NULL, 0, 4.95000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.29000000, 214.50000000, 42.90000000, 257.40000000),
(550, 82, NULL, 1190391, NULL, 'connecteur 16a l n pe', 20.000, '', 0.000, '0', 0.000, '0', 21, 0, 0, NULL, 77.01000000, NULL, 1617.21000000, 323.44000000, 0.00000000, 0.00000000, 1940.65000000, 0, NULL, NULL, 0, 116.99000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.01000000, 1617.21000000, 323.44000000, 1940.65000000),
(551, 82, NULL, 1190572, NULL, 'mettaliques suspencion', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 422.50000000, NULL, 422.50000000, 84.50000000, 0.00000000, 0.00000000, 507.00000000, 0, NULL, NULL, 0, 300.00000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 422.50000000, 422.50000000, 84.50000000, 507.00000000),
(552, 82, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 422.50000000, NULL, 422.50000000, 84.50000000, 0.00000000, 0.00000000, 507.00000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 422.50000000, 422.50000000, 84.50000000, 507.00000000),
(553, 82, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1950.00000000, NULL, 1950.00000000, 390.00000000, 0.00000000, 0.00000000, 2340.00000000, 0, NULL, NULL, 0, 1500.00000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1950.00000000, 1950.00000000, 390.00000000, 2340.00000000),
(554, 82, NULL, 1190597, NULL, 'H07 RNF 4G1,5 TGL', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 2.35000000, NULL, 117.50000000, 23.50000000, 0.00000000, 0.00000000, 141.00000000, 0, NULL, NULL, 0, 40.10000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.35000000, 117.50000000, 23.50000000, 141.00000000),
(555, 82, NULL, 1190598, NULL, 'H07 RNF 3G1,5 TGL', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 1.56000000, NULL, 78.00000000, 15.60000000, 0.00000000, 0.00000000, 93.60000000, 0, NULL, NULL, 0, 14.55000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.56000000, 78.00000000, 15.60000000, 93.60000000),
(556, 82, NULL, 1223594, NULL, 'h07 rnf 4g2.5 tgl', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 3.13000000, NULL, 62.60000000, 12.52000000, 0.00000000, 0.00000000, 75.12000000, 0, NULL, NULL, 0, 2.74000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.13000000, 62.60000000, 12.52000000, 75.12000000),
(557, 82, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(558, 82, NULL, NULL, NULL, 'alimentation electrqiue machine a decouper 32 Ampere cable 6m² et protection', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(559, 82, NULL, 1223702, NULL, '1 vigi<br />\r\n1 dt40 32 a courbe d<br />\r\n16 metres cable 5g6&sup2;<br />\r\n4 cosses 6&sup2; &agrave; sertir&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 519.18000000, NULL, 519.18000000, 103.84000000, 0.00000000, 0.00000000, 623.02000000, 0, NULL, NULL, 0, 390.36000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 519.18000000, 519.18000000, 103.84000000, 623.02000000),
(560, 82, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(561, 82, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(562, 83, NULL, NULL, NULL, 'Acompte', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2702.26000000, NULL, 2702.26000000, 540.45000000, 0.00000000, 0.00000000, 3242.71000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2702.26000000, 2702.26000000, 540.45000000, 3242.71000000),
(563, 84, NULL, 944323, NULL, 'compresseur rotatif à vis librifiees à vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19956.50000000, NULL, 19956.50000000, 3991.30000000, 0.00000000, 0.00000000, 23947.80000000, 0, NULL, NULL, 0, 14990.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19956.50000000, 19956.50000000, 3991.30000000, 23947.80000000),
(564, 84, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.00000000, NULL, 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.00000000, 130.00000000, 26.00000000, 156.00000000),
(565, 84, NULL, 1180608, NULL, 'RS485:3  MODULE - XL BLS MASTER', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 583.50000000, NULL, 583.50000000, 116.70000000, 0.00000000, 0.00000000, 700.20000000, 0, NULL, NULL, 0, 350.10000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 583.50000000, 583.50000000, 116.70000000, 700.20000000),
(566, 84, NULL, 1223620, NULL, 'Compresseur à Piston 8 Bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 180.00000000, NULL, 180.00000000, 36.00000000, 0.00000000, 0.00000000, 216.00000000, 0, NULL, NULL, 0, 140.98000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 180.00000000, 180.00000000, 36.00000000, 216.00000000),
(567, 84, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3150.00000000, NULL, 3150.00000000, 630.00000000, 0.00000000, 0.00000000, 3780.00000000, 0, NULL, NULL, 0, 1000.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3150.00000000, 3150.00000000, 630.00000000, 3780.00000000),
(568, 85, NULL, 1223622, NULL, 'ressort pour  RC5185', 20.000, '', 0.000, '0', 0.000, '0', 2, 100, 0, NULL, 4.20000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 2.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.20000000, 0.00000000, 0.00000000, 0.00000000),
(569, 85, NULL, 1223623, NULL, 'burin plats 210mm ss20', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 28.10000000, NULL, 56.20000000, 11.24000000, 0.00000000, 0.00000000, 67.44000000, 0, NULL, NULL, 0, 12.93000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.10000000, 56.20000000, 11.24000000, 67.44000000),
(570, 85, NULL, 1223624, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(571, 86, NULL, NULL, NULL, 'Maintenance L11RS :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(572, 86, NULL, 1179622, NULL, 'kit de service c l07-l11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(573, 86, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(574, 86, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.13000000, NULL, 34.26000000, 6.85000000, 0.00000000, 0.00000000, 41.11000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 34.26000000, 6.85000000, 41.11000000),
(575, 86, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(576, 86, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(577, 86, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(578, 86, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(579, 86, NULL, NULL, NULL, 'Maintenance Ingersollrand :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(580, 86, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(581, 86, NULL, 952144, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.40000000, NULL, 15.40000000, 3.08000000, 0.00000000, 0.00000000, 18.48000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.40000000, 15.40000000, 3.08000000, 18.48000000),
(582, 86, NULL, 955064, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.45000000, NULL, 90.45000000, 18.09000000, 0.00000000, 0.00000000, 108.54000000, 0, NULL, NULL, 0, 43.91000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.45000000, 90.45000000, 18.09000000, 108.54000000),
(583, 86, NULL, 954042, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.01000000, NULL, 17.01000000, 3.40000000, 0.00000000, 0.00000000, 20.41000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.01000000, 17.01000000, 3.40000000, 20.41000000),
(584, 86, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(586, 86, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(587, 86, NULL, 952672, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(588, 86, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(589, 86, NULL, NULL, NULL, 'Filtres reseaux', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(590, 86, NULL, NULL, NULL, 'Separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(591, 86, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(592, 86, NULL, 1186446, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 138.96000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(593, 87, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(594, 87, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(595, 88, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4.5, 0, 0, NULL, 63.84000000, NULL, 287.28000000, 57.46000000, 0.00000000, 0.00000000, 344.74000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 287.28000000, 57.46000000, 344.74000000),
(596, 88, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 88, 0, 0, NULL, 0.97000000, NULL, 85.36000000, 17.07000000, 0.00000000, 0.00000000, 102.43000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 85.36000000, 17.07000000, 102.43000000),
(598, 88, NULL, 1223802, NULL, 'Pretgratuit de compresseur sous reserve de nous confier la r&eacute;paration de votre machine d&eacute;fectueuse ou la commande d&#39;une machine neuve :&nbsp;<br />\r\nPour information prix location :<br />\r\nde 1 kw &agrave; 15 kw 150&euro; / semaine&nbsp;<br />\r\nde 16 KW &agrave; 37 kw 250 &euro; / semaine', 20.000, '', 0.000, '0', 0.000, '0', 3, 100, 0, NULL, 250.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 0.00000000, 0.00000000, 0.00000000),
(599, 89, NULL, NULL, NULL, 'Intervention du 22/09/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(600, 89, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(601, 89, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.97000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 58.20000000, 11.64000000, 69.84000000),
(602, 89, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(603, 89, NULL, NULL, NULL, 'Intervention du 25/09/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(604, 89, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(605, 89, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.97000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 58.20000000, 11.64000000, 69.84000000),
(606, 89, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(607, 90, NULL, NULL, NULL, 'Bl N° 43 à 21/09/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(608, 90, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4.5, 0, 0, NULL, 63.84000000, NULL, 287.28000000, 57.46000000, 0.00000000, 0.00000000, 344.74000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 287.28000000, 57.46000000, 344.74000000),
(609, 90, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 144, 0, 0, NULL, 0.97000000, NULL, 139.68000000, 27.94000000, 0.00000000, 0.00000000, 167.62000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 139.68000000, 27.94000000, 167.62000000),
(610, 90, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(611, 90, NULL, NULL, NULL, 'BL N°47 à 25/09/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(612, 90, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(613, 90, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 144, 0, 0, NULL, 0.97000000, NULL, 139.68000000, 27.94000000, 0.00000000, 0.00000000, 167.62000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 139.68000000, 27.94000000, 167.62000000),
(614, 90, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(615, 91, NULL, NULL, NULL, 'Maintenance GA 11C', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(616, 91, NULL, 952144, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.00000000, NULL, 10.00000000, 2.00000000, 0.00000000, 0.00000000, 12.00000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.00000000, 10.00000000, 2.00000000, 12.00000000),
(617, 91, NULL, 954034, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(618, 91, NULL, 955027, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.00000000, NULL, 59.00000000, 11.80000000, 0.00000000, 0.00000000, 70.80000000, 0, NULL, NULL, 0, 44.27000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.00000000, 59.00000000, 11.80000000, 70.80000000),
(619, 91, NULL, 1222590, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 10.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.00000000, 20.00000000, 4.00000000, 24.00000000),
(620, 91, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(621, 91, NULL, 1190364, NULL, 'Maintenance compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 350.00000000, NULL, 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 290.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(622, 91, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(623, 91, NULL, NULL, NULL, 'Maintenance KSA 11', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(624, 91, NULL, 952419, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.00000000, NULL, 8.00000000, 1.60000000, 0.00000000, 0.00000000, 9.60000000, 0, NULL, NULL, 0, 5.84000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.00000000, 8.00000000, 1.60000000, 9.60000000),
(625, 91, NULL, 954045, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(626, 91, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.00000000, NULL, 65.00000000, 13.00000000, 0.00000000, 0.00000000, 78.00000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.00000000, 65.00000000, 13.00000000, 78.00000000),
(627, 91, NULL, 1222505, NULL, 'cour_polyV_hutch_1200J12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.00000000, NULL, 35.00000000, 7.00000000, 0.00000000, 0.00000000, 42.00000000, 0, NULL, NULL, 0, 25.75000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.00000000, 35.00000000, 7.00000000, 42.00000000),
(628, 91, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(629, 91, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 350.00000000, NULL, 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(630, 91, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.00000000, NULL, 25.00000000, 5.00000000, 0.00000000, 0.00000000, 30.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.00000000, 25.00000000, 5.00000000, 30.00000000),
(631, 91, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(632, 92, NULL, 1223808, NULL, 'location aspirateur', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 50.00000000, NULL, 1200.00000000, 240.00000000, 0.00000000, 0.00000000, 1440.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.00000000, 1200.00000000, 240.00000000, 1440.00000000),
(633, 93, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 32, 0, 0, NULL, 0.97000000, NULL, 31.04000000, 6.21000000, 0.00000000, 0.00000000, 37.25000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 31.04000000, 6.21000000, 37.25000000),
(634, 93, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(635, 93, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 84.00000000, NULL, 84.00000000, 16.80000000, 0.00000000, 0.00000000, 100.80000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 84.00000000, 84.00000000, 16.80000000, 100.80000000),
(636, 94, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(637, 94, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(638, 94, NULL, 1179629, NULL, 'kit de service c  l55-l75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 397.00000000, NULL, 397.00000000, 79.40000000, 0.00000000, 0.00000000, 476.40000000, 0, NULL, NULL, 0, 238.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 397.00000000, 397.00000000, 79.40000000, 476.40000000),
(639, 94, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(640, 95, NULL, NULL, NULL, 'Acompte', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1172.83000000, NULL, 1172.83000000, 234.57000000, 0.00000000, 0.00000000, 1407.40000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1172.83000000, 1172.83000000, 234.57000000, 1407.40000000),
(641, 96, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(642, 96, NULL, 952140, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(643, 96, NULL, 954045, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(644, 96, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(646, 97, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(647, 97, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(648, 97, NULL, 1179622, NULL, 'kit de service c l07-l11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(655, 98, NULL, 1188146, NULL, 'comp a piston 31m2/h 5,5ch 200 litre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1000.00000000, NULL, 1000.00000000, 200.00000000, 0.00000000, 0.00000000, 1200.00000000, 0, NULL, NULL, 0, 723.24000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1000.00000000, 1000.00000000, 200.00000000, 1200.00000000),
(656, 98, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(657, 98, NULL, 1190376, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 331.44000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 249.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 331.44000000, 0.00000000, 0.00000000, 0.00000000),
(658, 99, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(659, 99, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(660, 99, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.13000000, NULL, 51.39000000, 10.28000000, 0.00000000, 0.00000000, 61.67000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 51.39000000, 10.28000000, 61.67000000),
(661, 99, NULL, 955042, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 124.98000000, NULL, 124.98000000, 25.00000000, 0.00000000, 0.00000000, 149.98000000, 0, NULL, NULL, 0, 60.67000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 124.98000000, 124.98000000, 25.00000000, 149.98000000),
(662, 99, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(663, 99, NULL, 954034, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.67000000, NULL, 24.67000000, 4.93000000, 0.00000000, 0.00000000, 29.60000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 24.67000000, 4.93000000, 29.60000000),
(664, 99, NULL, 953660, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 132.43000000, NULL, 132.43000000, 26.49000000, 0.00000000, 0.00000000, 158.92000000, 0, NULL, NULL, 0, 64.35000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 132.43000000, 132.43000000, 26.49000000, 158.92000000),
(665, 99, NULL, 953659, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 132.43000000, NULL, 132.43000000, 26.49000000, 0.00000000, 0.00000000, 158.92000000, 0, NULL, NULL, 0, 64.29000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 132.43000000, 132.43000000, 26.49000000, 158.92000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(666, 99, NULL, 955198, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 177.77000000, NULL, 177.77000000, 35.55000000, 0.00000000, 0.00000000, 213.32000000, 0, NULL, NULL, 0, 86.30000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 177.77000000, 177.77000000, 35.55000000, 213.32000000),
(667, 99, NULL, NULL, NULL, 'filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(668, 99, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(669, 99, NULL, NULL, NULL, 'Maintenance compresseur :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(670, 99, NULL, NULL, NULL, 'Separateur de condensats', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(671, 99, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(672, 99, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(674, 101, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(675, 102, NULL, 1223539, NULL, 'Sécheur par réfrigeration pt de rosée à +3°C mono capacité 108m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 848.90000000, NULL, 848.90000000, 169.78000000, 0.00000000, 0.00000000, 1018.68000000, 0, NULL, NULL, 0, 653.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 848.90000000, 848.90000000, 169.78000000, 1018.68000000),
(676, 102, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 13.06000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(677, 103, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(678, 103, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 126, 0, 0, NULL, 0.97000000, NULL, 122.22000000, 24.44000000, 0.00000000, 0.00000000, 146.66000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 122.22000000, 24.44000000, 146.66000000),
(679, 104, NULL, NULL, NULL, 'Modification Réseau Air Comprimé', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(680, 104, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 15, 0, NULL, 11.21000000, NULL, 38.11000000, 7.63000000, 0.00000000, 0.00000000, 45.74000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.21000000, 38.11000000, 7.63000000, 45.74000000),
(681, 104, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 3, 15, 0, NULL, 9.83000000, NULL, 25.07000000, 5.01000000, 0.00000000, 0.00000000, 30.08000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.83000000, 25.07000000, 5.01000000, 30.08000000),
(682, 104, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 8, 15, 0, NULL, 1.65000000, NULL, 11.22000000, 2.24000000, 0.00000000, 0.00000000, 13.46000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.65000000, 11.22000000, 2.24000000, 13.46000000),
(683, 104, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 15, 0, NULL, 6.20000000, NULL, 10.54000000, 2.11000000, 0.00000000, 0.00000000, 12.65000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 10.54000000, 2.11000000, 12.65000000),
(684, 104, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 15, 0, NULL, 31.00000000, NULL, 52.70000000, 10.54000000, 0.00000000, 0.00000000, 63.24000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 31.00000000, 52.70000000, 10.54000000, 63.24000000),
(685, 104, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 15, 15, 0, NULL, 7.60000000, NULL, 96.90000000, 19.38000000, 0.00000000, 0.00000000, 116.28000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.60000000, 96.90000000, 19.38000000, 116.28000000),
(686, 104, NULL, 1223700, NULL, 'Fourniture Plomberie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.27000000, NULL, 57.27000000, 11.45000000, 0.00000000, 0.00000000, 68.72000000, 0, NULL, NULL, 0, 42.29000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.27000000, 57.27000000, 11.45000000, 68.72000000),
(687, 104, NULL, 966506, NULL, 'Vanne 1/4 Tour PN40 F/F 1\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 10, 0, NULL, 9.90000000, NULL, 35.64000000, 7.13000000, 0.00000000, 0.00000000, 42.77000000, 0, NULL, NULL, 0, 5.79000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.90000000, 35.64000000, 7.13000000, 42.77000000),
(688, 104, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 5, 10, 0, NULL, 19.90000000, NULL, 89.55000000, 17.91000000, 0.00000000, 0.00000000, 107.46000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.90000000, 89.55000000, 17.91000000, 107.46000000),
(689, 104, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 390.00000000, NULL, 390.00000000, 78.00000000, 0.00000000, 0.00000000, 468.00000000, 0, NULL, NULL, 0, 280.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 390.00000000, 390.00000000, 78.00000000, 468.00000000),
(690, 104, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(691, 104, NULL, NULL, 'Compresseur à Piston 7.5 CV avec le Raccordement', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(692, 104, NULL, 1188156, NULL, 'compresseur apiston 43m3/h 7,5ch 10 bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1573.00000000, NULL, 1573.00000000, 314.60000000, 0.00000000, 0.00000000, 1887.60000000, 0, NULL, NULL, 0, 1185.60000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1573.00000000, 1573.00000000, 314.60000000, 1887.60000000),
(693, 104, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(694, 105, NULL, NULL, NULL, 'Maintenance L07RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(695, 105, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(696, 105, NULL, 1222593, NULL, 'courroies_optibelt', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(697, 105, NULL, 1179622, NULL, 'kit de service c l07-l11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(698, 105, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(699, 105, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(700, 105, NULL, NULL, NULL, 'Maintenance filtres réseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(701, 105, NULL, 952657, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(702, 105, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(703, 106, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(704, 106, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(705, 106, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 277.00000000, NULL, 554.00000000, 110.80000000, 0.00000000, 0.00000000, 664.80000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 554.00000000, 110.80000000, 664.80000000),
(706, 106, NULL, 1179629, NULL, 'kit de service c  l55-l75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 397.00000000, NULL, 397.00000000, 79.40000000, 0.00000000, 0.00000000, 476.40000000, 0, NULL, NULL, 0, 238.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 397.00000000, 397.00000000, 79.40000000, 476.40000000),
(707, 106, NULL, 953196, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 296.61000000, NULL, 296.61000000, 59.32000000, 0.00000000, 0.00000000, 355.93000000, 0, NULL, NULL, 0, 143.99000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 296.61000000, 296.61000000, 59.32000000, 355.93000000),
(708, 106, NULL, 1179663, NULL, 'LOT SERVICE D _ L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1282.40000000, NULL, 1282.40000000, 256.48000000, 0.00000000, 0.00000000, 1538.88000000, 0, NULL, NULL, 0, 769.44000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1282.40000000, 1282.40000000, 256.48000000, 1538.88000000),
(709, 107, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(710, 107, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(711, 107, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(712, 107, NULL, 1179627, NULL, 'kit de service c l30-l50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 0, NULL, NULL, 0, 215.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(713, 107, NULL, 1179654, NULL, 'kit de service d l30-l50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 545.90000000, NULL, 545.90000000, 109.18000000, 0.00000000, 0.00000000, 655.08000000, 0, NULL, NULL, 0, 327.54000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 545.90000000, 545.90000000, 109.18000000, 655.08000000),
(714, 107, NULL, 953421, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.28000000, NULL, 61.28000000, 12.26000000, 0.00000000, 0.00000000, 73.54000000, 0, NULL, NULL, 0, 29.75000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.28000000, 61.28000000, 12.26000000, 73.54000000),
(715, 107, NULL, 953512, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.28000000, NULL, 61.28000000, 12.26000000, 0.00000000, 0.00000000, 73.54000000, 0, NULL, NULL, 0, 29.75000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.28000000, 61.28000000, 12.26000000, 73.54000000),
(716, 108, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(717, 108, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(718, 108, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.97000000, NULL, 18.97000000, 3.79000000, 0.00000000, 0.00000000, 22.76000000, 0, NULL, NULL, 0, 9.21000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.97000000, 18.97000000, 3.79000000, 22.76000000),
(719, 108, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(720, 108, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(721, 108, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(722, 108, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(723, 108, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.97000000, NULL, 18.97000000, 3.79000000, 0.00000000, 0.00000000, 22.76000000, 0, NULL, NULL, 0, 9.21000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.97000000, 18.97000000, 3.79000000, 22.76000000),
(724, 109, NULL, NULL, NULL, 'Maintenance L26RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(725, 109, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(726, 109, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(727, 109, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(728, 109, NULL, 1179651, NULL, 'SERVICE KIT D => CK4122-2-RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 923.80000000, NULL, 923.80000000, 184.76000000, 0.00000000, 0.00000000, 1108.56000000, 0, NULL, NULL, 0, 554.28000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 923.80000000, 923.80000000, 184.76000000, 1108.56000000),
(729, 109, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(730, 109, NULL, NULL, NULL, 'Maintenance separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(731, 109, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(732, 109, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(733, 109, NULL, NULL, NULL, 'Maintenance filtres réseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(734, 109, NULL, 953625, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.68000000, NULL, 156.68000000, 31.34000000, 0.00000000, 0.00000000, 188.02000000, 0, NULL, NULL, 0, 76.06000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.68000000, 156.68000000, 31.34000000, 188.02000000),
(735, 109, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(736, 110, NULL, NULL, NULL, 'Maintenance L07RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(737, 110, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(738, 110, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(739, 110, NULL, 1179717, NULL, 'kit de service e    l07 - l11 - v2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 239.10000000, NULL, 239.10000000, 47.82000000, 0.00000000, 0.00000000, 286.92000000, 0, NULL, NULL, 0, 143.46000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 239.10000000, 239.10000000, 47.82000000, 286.92000000),
(740, 110, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.25000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 32.50000000, 6.50000000, 39.00000000),
(741, 110, NULL, 1179622, NULL, 'kit de service c l07-l11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(742, 110, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 138.96000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(743, 110, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(744, 110, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(745, 111, NULL, 1188137, NULL, 'comp à piston 100L avec nvlles tete', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 490.00000000, NULL, 490.00000000, 98.00000000, 0.00000000, 0.00000000, 588.00000000, 0, NULL, NULL, 0, 384.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 490.00000000, 490.00000000, 98.00000000, 588.00000000),
(746, 111, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(747, 112, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(748, 112, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(749, 112, NULL, 1180048, NULL, 'kit maintenance air/huile hv04/07 > 2006', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 169.40000000, NULL, 169.40000000, 33.88000000, 0.00000000, 0.00000000, 203.28000000, 0, NULL, NULL, 0, 101.64000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 169.40000000, 169.40000000, 33.88000000, 203.28000000),
(750, 112, NULL, 1189329, NULL, 'filtre  711/715 (39x39x2)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.65000000, NULL, 39.65000000, 7.93000000, 0.00000000, 0.00000000, 47.58000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.65000000, 39.65000000, 7.93000000, 47.58000000),
(751, 113, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(752, 113, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(753, 113, NULL, 1179624, NULL, 'kit de service c l15-l22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(754, 114, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(755, 114, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.97000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 58.20000000, 11.64000000, 69.84000000),
(756, 114, NULL, 1223612, NULL, 'reset button', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 37.44000000, NULL, 37.44000000, 7.49000000, 0.00000000, 0.00000000, 44.93000000, 0, NULL, NULL, 0, 28.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 37.44000000, 37.44000000, 7.49000000, 44.93000000),
(757, 114, NULL, 1223613, NULL, 'canopy filter trek 30', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.92000000, NULL, 32.92000000, 6.58000000, 0.00000000, 0.00000000, 39.50000000, 0, NULL, NULL, 0, 24.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.92000000, 32.92000000, 6.58000000, 39.50000000),
(758, 115, NULL, 952933, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.26000000, NULL, 65.26000000, 13.05000000, 0.00000000, 0.00000000, 78.31000000, 0, NULL, NULL, 0, 31.68000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.26000000, 65.26000000, 13.05000000, 78.31000000),
(759, 115, NULL, 952934, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.26000000, NULL, 65.26000000, 13.05000000, 0.00000000, 0.00000000, 78.31000000, 0, NULL, NULL, 0, 31.68000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.26000000, 65.26000000, 13.05000000, 78.31000000),
(760, 116, NULL, 1222639, NULL, 'enrouleur wateurreel', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 174.00000000, NULL, 174.00000000, 34.80000000, 0.00000000, 0.00000000, 208.80000000, 0, NULL, NULL, 0, 119.96000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 174.00000000, 174.00000000, 34.80000000, 208.80000000),
(761, 116, NULL, 1223578, NULL, 'FRAIS DE PORT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(764, 41, NULL, NULL, NULL, 'acompte', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, 3, -1375.00000000, NULL, -1375.00000000, -275.00000000, 0.00000000, 0.00000000, -1650.00000000, 0, NULL, NULL, 2, 0.00000000, NULL, 0, 0, -1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, '', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(765, 118, NULL, NULL, NULL, 'FILTRES RESEAUX', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(766, 118, NULL, 952656, NULL, 'cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(767, 118, NULL, 952657, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(768, 119, NULL, 1222181, NULL, 'Huile anderol FGC46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 464.32000000, NULL, 464.32000000, 92.86000000, 0.00000000, 0.00000000, 557.18000000, 0, NULL, NULL, 0, 225.40000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 464.32000000, 464.32000000, 92.86000000, 557.18000000),
(769, 119, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(770, 119, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(771, 119, NULL, 1221465, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(772, 119, NULL, 944539, NULL, 'Filtre rechange grade X', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.50000000, NULL, 154.50000000, 30.90000000, 0.00000000, 0.00000000, 185.40000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 154.50000000, 154.50000000, 30.90000000, 185.40000000),
(773, 119, NULL, 944540, NULL, 'Filtre rechange (GRADE Y)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.50000000, NULL, 154.50000000, 30.90000000, 0.00000000, 0.00000000, 185.40000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 154.50000000, 154.50000000, 30.90000000, 185.40000000),
(774, 119, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(775, 119, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(776, 119, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 69.53000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(777, 120, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.44000000, NULL, 2.88000000, 0.58000000, 0.00000000, 0.00000000, 3.46000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.44000000, 2.88000000, 0.58000000, 3.46000000),
(778, 120, NULL, 972930, NULL, 'Vanne femelle/femelle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.68000000, NULL, 11.36000000, 2.27000000, 0.00000000, 0.00000000, 13.63000000, 0, NULL, NULL, 0, 2.76000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.68000000, 11.36000000, 2.27000000, 13.63000000),
(779, 120, NULL, 966935, NULL, 'Coude F/F G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.92000000, NULL, 2.92000000, 0.58000000, 0.00000000, 0.00000000, 3.50000000, 0, NULL, NULL, 0, 1.42000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.92000000, 2.92000000, 0.58000000, 3.50000000),
(780, 120, NULL, 967469, NULL, 'About collerette G1/2 tuy.16mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.73000000, NULL, 13.46000000, 2.69000000, 0.00000000, 0.00000000, 16.15000000, 0, NULL, NULL, 0, 3.27000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.73000000, 13.46000000, 2.69000000, 16.15000000),
(781, 120, NULL, 971951, NULL, 'Tuyau PVC Polyflexair 16x24', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 2.43000000, NULL, 48.60000000, 9.72000000, 0.00000000, 0.00000000, 58.32000000, 0, NULL, NULL, 0, 1.18000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.43000000, 48.60000000, 9.72000000, 58.32000000),
(782, 120, NULL, 967451, NULL, 'Collier sécurité acier 22-24', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.58000000, NULL, 3.16000000, 0.63000000, 0.00000000, 0.00000000, 3.79000000, 0, NULL, NULL, 0, 0.77000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.58000000, 3.16000000, 0.63000000, 3.79000000),
(783, 120, NULL, 967054, NULL, 'About M conique G1/2 tuy 10mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.88000000, NULL, 2.88000000, 0.58000000, 0.00000000, 0.00000000, 3.46000000, 0, NULL, NULL, 0, 1.40000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.88000000, 2.88000000, 0.58000000, 3.46000000),
(784, 120, NULL, 967313, NULL, 'Mamelon conique inox G2\"xG2\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.92000000, NULL, 24.92000000, 4.98000000, 0.00000000, 0.00000000, 29.90000000, 0, NULL, NULL, 0, 12.10000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.92000000, 24.92000000, 4.98000000, 29.90000000),
(785, 120, NULL, 967336, NULL, 'Réduction M/F G2\"xG1\" inox', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.08000000, NULL, 22.08000000, 4.42000000, 0.00000000, 0.00000000, 26.50000000, 0, NULL, NULL, 0, 10.72000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.08000000, 22.08000000, 4.42000000, 26.50000000),
(786, 120, NULL, 967328, NULL, 'Réduction M/F G1\"xG1/2 inox', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.94000000, NULL, 6.94000000, 1.39000000, 0.00000000, 0.00000000, 8.33000000, 0, NULL, NULL, 0, 3.37000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.94000000, 6.94000000, 1.39000000, 8.33000000),
(787, 121, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2017-10-17 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(788, 122, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2017-10-17 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(789, 123, NULL, 1221466, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -214.36000000, NULL, -214.36000000, -42.87000000, 0.00000000, 0.00000000, -257.23000000, 0, NULL, NULL, 0, 104.06000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.36000000, 214.36000000, 42.87000000, 257.23000000),
(790, 124, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(791, 124, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(792, 124, NULL, 951971, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(793, 124, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(794, 124, NULL, 1222591, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(795, 124, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(796, 125, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(797, 125, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(798, 125, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(799, 125, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 425.60000000, NULL, 425.60000000, 85.12000000, 0.00000000, 0.00000000, 510.72000000, 0, NULL, NULL, 0, 384.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 425.60000000, 425.60000000, 85.12000000, 510.72000000),
(800, 125, NULL, 954385, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 177.81000000, NULL, 177.81000000, 35.56000000, 0.00000000, 0.00000000, 213.37000000, 0, NULL, NULL, 0, 86.32000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 177.81000000, 177.81000000, 35.56000000, 213.37000000),
(801, 125, NULL, 954060, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.14000000, NULL, 42.14000000, 8.43000000, 0.00000000, 0.00000000, 50.57000000, 0, NULL, NULL, 0, 20.46000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.14000000, 42.14000000, 8.43000000, 50.57000000),
(802, 125, NULL, 952165, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.20000000, NULL, 57.20000000, 11.44000000, 0.00000000, 0.00000000, 68.64000000, 0, NULL, NULL, 0, 27.77000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.20000000, 57.20000000, 11.44000000, 68.64000000),
(803, 125, NULL, 951703, NULL, 'purgeur auto trou lisse 3/8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.27000000, NULL, 34.27000000, 6.85000000, 0.00000000, 0.00000000, 41.12000000, 0, NULL, NULL, 0, 16.64000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.27000000, 34.27000000, 6.85000000, 41.12000000),
(804, 125, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 30.90000000, NULL, 92.70000000, 18.54000000, 0.00000000, 0.00000000, 111.24000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 92.70000000, 18.54000000, 111.24000000),
(805, 126, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 62, 0, 0, NULL, 0.97000000, NULL, 60.14000000, 12.03000000, 0.00000000, 0.00000000, 72.17000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 60.14000000, 12.03000000, 72.17000000),
(806, 126, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(807, 127, NULL, 1223824, NULL, 'boitier d\'aspiration', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 157.55000000, NULL, 126.04000000, 25.21000000, 0.00000000, 0.00000000, 151.25000000, 0, NULL, NULL, 0, 94.53000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 157.55000000, 126.04000000, 25.21000000, 151.25000000),
(808, 127, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.00000000, NULL, 10.00000000, 2.00000000, 0.00000000, 0.00000000, 12.00000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.00000000, 10.00000000, 2.00000000, 12.00000000),
(809, 128, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.00000000, NULL, 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 69.53000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(810, 128, NULL, 954042, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(812, 128, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 20.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 40.00000000, 8.00000000, 48.00000000),
(813, 128, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(815, 128, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.00000000, NULL, 386.00000000, 77.20000000, 0.00000000, 0.00000000, 463.20000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.00000000, 386.00000000, 77.20000000, 463.20000000),
(816, 128, NULL, 1222171, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.00000000, NULL, 92.00000000, 18.40000000, 0.00000000, 0.00000000, 110.40000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.00000000, 92.00000000, 18.40000000, 110.40000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(817, 129, NULL, NULL, 'Compresseur à Piston 1.5Cv Mono', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(818, 129, NULL, 1223620, NULL, 'Compresseur à Piston 8 Bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 180.00000000, NULL, 180.00000000, 36.00000000, 0.00000000, 0.00000000, 216.00000000, 0, NULL, NULL, 0, 140.98000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 180.00000000, 180.00000000, 36.00000000, 216.00000000),
(819, 129, NULL, 967624, NULL, 'Pistolet gonflage SUPER P G1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 49.90000000, NULL, 49.90000000, 9.98000000, 0.00000000, 0.00000000, 59.88000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 49.90000000, 49.90000000, 9.98000000, 59.88000000),
(820, 129, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(821, 129, NULL, 967638, NULL, 'Ensemble soufflage BP3.5 5x8 2', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 44.86000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 21.78000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 44.86000000, 0.00000000, 0.00000000, 0.00000000),
(822, 130, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 63.84000000, NULL, 446.88000000, 89.38000000, 0.00000000, 0.00000000, 536.26000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 446.88000000, 89.38000000, 536.26000000),
(823, 130, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 224, 0, 0, NULL, 0.97000000, NULL, 217.28000000, 43.46000000, 0.00000000, 0.00000000, 260.74000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 217.28000000, 43.46000000, 260.74000000),
(824, 130, NULL, 1223702, NULL, '1relai contacteur LC1D25FE7<br />\r\n1thermique LRD22<br />\r\n1bloc constant LADN40', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 195.00000000, NULL, 195.00000000, 39.00000000, 0.00000000, 0.00000000, 234.00000000, 0, NULL, NULL, 0, 130.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 195.00000000, 195.00000000, 39.00000000, 234.00000000),
(825, 131, NULL, 1217946, NULL, 'SOUPAPE 2800/D10 1/2\" 7.0bar', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 32.58000000, NULL, 65.16000000, 13.03000000, 0.00000000, 0.00000000, 78.19000000, 0, NULL, NULL, 0, 15.82000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.58000000, 65.16000000, 13.03000000, 78.19000000),
(826, 131, NULL, 1211823, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 15.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 30.00000000, 6.00000000, 36.00000000),
(827, 131, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 15.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 30.00000000, 6.00000000, 36.00000000),
(828, 132, NULL, 1223832, NULL, 'element seprateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 168.48000000, NULL, 168.48000000, 33.70000000, 0.00000000, 0.00000000, 202.18000000, 0, NULL, NULL, 0, 129.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 168.48000000, 168.48000000, 33.70000000, 202.18000000),
(829, 132, NULL, 1223833, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 44.46000000, NULL, 44.46000000, 8.89000000, 0.00000000, 0.00000000, 53.35000000, 0, NULL, NULL, 0, 34.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 44.46000000, 44.46000000, 8.89000000, 53.35000000),
(830, 132, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(831, 132, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(832, 132, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(834, 133, NULL, 1222557, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.23000000, NULL, 24.46000000, 4.89000000, 0.00000000, 0.00000000, 29.35000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 24.46000000, 4.89000000, 29.35000000),
(835, 133, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(836, 133, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(837, 133, NULL, 1179638, NULL, 'kit service 2000h l17-21vs', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 98.10000000, NULL, 98.10000000, 19.62000000, 0.00000000, 0.00000000, 117.72000000, 0, NULL, NULL, 0, 58.86000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 98.10000000, 98.10000000, 19.62000000, 117.72000000),
(838, 133, NULL, 955217, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.72000000, NULL, 112.72000000, 22.54000000, 0.00000000, 0.00000000, 135.26000000, 0, NULL, NULL, 0, 54.72000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.72000000, 112.72000000, 22.54000000, 135.26000000),
(839, 134, NULL, NULL, NULL, 'Maintenance L18RS :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(840, 134, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(841, 134, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(842, 134, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 73.10000000, NULL, 146.20000000, 29.24000000, 0.00000000, 0.00000000, 175.44000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 146.20000000, 29.24000000, 175.44000000),
(843, 134, NULL, 1179649, NULL, 'Kit de service D           L15RS - L22RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 438.60000000, NULL, 438.60000000, 87.72000000, 0.00000000, 0.00000000, 526.32000000, 0, NULL, NULL, 0, 263.16000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 438.60000000, 438.60000000, 87.72000000, 526.32000000),
(844, 134, NULL, 1179624, NULL, 'kit de service c l15-l22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(845, 134, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(846, 134, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(847, 134, NULL, NULL, NULL, 'filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(848, 134, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(849, 134, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(850, 134, NULL, NULL, NULL, 'Separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(851, 134, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(852, 134, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(853, 135, NULL, NULL, NULL, 'filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(854, 135, NULL, 952684, NULL, 'cartouche grade rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(855, 135, NULL, 952658, NULL, 'cartouche grade ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(856, 135, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(857, 135, NULL, NULL, NULL, 'Maintenance separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(858, 135, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(859, 135, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(860, 135, NULL, NULL, NULL, 'Maintenance L29RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(861, 135, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(862, 135, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(863, 135, NULL, 1179651, NULL, 'SERVICE KIT D => CK4122-2-RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 923.80000000, NULL, 923.80000000, 184.76000000, 0.00000000, 0.00000000, 1108.56000000, 0, NULL, NULL, 0, 554.28000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 923.80000000, 923.80000000, 184.76000000, 1108.56000000),
(864, 135, NULL, 1179723, NULL, 'LOT SERVICE  E  L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 444.90000000, NULL, 444.90000000, 88.98000000, 0.00000000, 0.00000000, 533.88000000, 0, NULL, NULL, 0, 266.94000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 444.90000000, 444.90000000, 88.98000000, 533.88000000),
(865, 135, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(866, 135, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(867, 135, NULL, NULL, NULL, 'Purge temporisée :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(868, 135, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(869, 135, NULL, NULL, NULL, 'Sous total :', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(870, 136, NULL, NULL, NULL, 'BL n° 22 du 29/09/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(871, 136, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.97000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 42.68000000, 8.54000000, 51.22000000),
(872, 136, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(873, 136, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 63.84000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 0.00000000, 0.00000000, 0.00000000),
(874, 136, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(875, 136, NULL, NULL, NULL, 'BL N°13 du 10/10/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(876, 136, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 100, 0, NULL, 63.84000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 0.00000000, 0.00000000, 0.00000000),
(877, 136, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 44, 100, 0, NULL, 0.97000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 0.00000000, 0.00000000, 0.00000000),
(878, 136, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(879, 137, NULL, 1221351, NULL, 'RIVETEUSE HYDRO-PNEUMATIQUE 3,2 - 6,4 MM 8951074003', 20.000, '', 0.000, '0', 0.000, '0', 1, 35, 0, NULL, 423.00000000, NULL, 274.95000000, 54.99000000, 0.00000000, 0.00000000, 329.94000000, 0, NULL, NULL, 0, 194.58000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 423.00000000, 274.95000000, 54.99000000, 329.94000000),
(880, 137, NULL, 1223624, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(881, 138, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(882, 138, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(883, 138, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(884, 138, NULL, 955030, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 187.25000000, NULL, 187.25000000, 37.45000000, 0.00000000, 0.00000000, 224.70000000, 0, NULL, NULL, 0, 90.90000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 187.25000000, 187.25000000, 37.45000000, 224.70000000),
(885, 138, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(886, 138, NULL, 954034, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.67000000, NULL, 24.67000000, 4.93000000, 0.00000000, 0.00000000, 29.60000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 24.67000000, 4.93000000, 29.60000000),
(887, 139, NULL, 1223813, NULL, '1500w 230v 255 m3/h&nbsp;<br />\r\ncuve inox 27 litres1 moteur<br />\r\n8 kg&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 166.40000000, NULL, 166.40000000, 33.28000000, 0.00000000, 0.00000000, 199.68000000, 0, NULL, NULL, 0, 148.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 166.40000000, 166.40000000, 33.28000000, 199.68000000),
(888, 140, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(889, 140, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(891, 140, NULL, 1179624, NULL, 'kit de service c l15-l22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(892, 140, NULL, 1177750, NULL, 'Elément de filtre séparateur air-huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 375.80000000, NULL, 375.80000000, 75.16000000, 0.00000000, 0.00000000, 450.96000000, 0, NULL, NULL, 0, 225.48000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 375.80000000, 375.80000000, 75.16000000, 450.96000000),
(894, 140, NULL, 1179719, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 169.40000000, NULL, 169.40000000, 33.88000000, 0.00000000, 0.00000000, 203.28000000, 0, NULL, NULL, 0, 101.64000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 169.40000000, 169.40000000, 33.88000000, 203.28000000),
(895, 140, NULL, 1222601, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.96000000, NULL, 53.88000000, 10.78000000, 0.00000000, 0.00000000, 64.66000000, 0, NULL, NULL, 0, 8.72000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.96000000, 53.88000000, 10.78000000, 64.66000000),
(896, 141, NULL, 952822, NULL, 'sécheur à réfrigération 260m3/h racc 1\'\' +3°C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1550.00000000, NULL, 1550.00000000, 310.00000000, 0.00000000, 0.00000000, 1860.00000000, 0, NULL, NULL, 0, 1227.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1550.00000000, 1550.00000000, 310.00000000, 1860.00000000),
(897, 141, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(898, 141, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.32000000, NULL, 22.32000000, 4.46000000, 0.00000000, 0.00000000, 26.78000000, 0, NULL, NULL, 0, 22.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.32000000, 22.32000000, 4.46000000, 26.78000000),
(899, 142, NULL, NULL, NULL, 'recherche panne et dépose moteur :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(900, 142, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(901, 142, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(902, 142, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(903, 142, NULL, NULL, NULL, 'Remplacement moteur', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(904, 142, NULL, 1230661, NULL, 'moteur four poudre 5.5 kw', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 709.80000000, NULL, 709.80000000, 141.96000000, 0.00000000, 0.00000000, 851.76000000, 0, NULL, NULL, 0, 546.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 709.80000000, 709.80000000, 141.96000000, 851.76000000),
(905, 142, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(906, 142, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(907, 142, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(908, 143, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(909, 143, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 66, 0, 0, NULL, 0.97000000, NULL, 64.02000000, 12.80000000, 0.00000000, 0.00000000, 76.82000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 64.02000000, 12.80000000, 76.82000000),
(910, 144, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(911, 144, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 66, 0, 0, NULL, 0.97000000, NULL, 64.02000000, 12.80000000, 0.00000000, 0.00000000, 76.82000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 64.02000000, 12.80000000, 76.82000000),
(912, 144, NULL, 1190527, NULL, 'R2V CU 5G6 TGL', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 11.53000000, NULL, 184.48000000, 36.90000000, 0.00000000, 0.00000000, 221.38000000, 0, NULL, NULL, 0, 7.13000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.53000000, 184.48000000, 36.90000000, 221.38000000),
(913, 145, NULL, 1222625, NULL, 'autoreel pro devidoir auto multi usage lg 20m', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 225.00000000, NULL, 900.00000000, 180.00000000, 0.00000000, 0.00000000, 1080.00000000, 0, NULL, NULL, 0, 154.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 225.00000000, 900.00000000, 180.00000000, 1080.00000000),
(914, 145, NULL, 944450, NULL, 'Frais de Port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.60000000, NULL, 20.60000000, 4.12000000, 0.00000000, 0.00000000, 24.72000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.60000000, 20.60000000, 4.12000000, 24.72000000),
(915, 146, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 5.86000000, NULL, 35.16000000, 7.03000000, 0.00000000, 0.00000000, 42.19000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.86000000, 35.16000000, 7.03000000, 42.19000000),
(916, 146, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.04000000, NULL, 16.16000000, 3.23000000, 0.00000000, 0.00000000, 19.39000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.04000000, 16.16000000, 3.23000000, 19.39000000),
(917, 146, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.40000000, NULL, 25.60000000, 5.12000000, 0.00000000, 0.00000000, 30.72000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.40000000, 25.60000000, 5.12000000, 30.72000000),
(918, 146, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 7.29000000, NULL, 29.16000000, 5.83000000, 0.00000000, 0.00000000, 34.99000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.29000000, 29.16000000, 5.83000000, 34.99000000),
(919, 146, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.06000000, NULL, 18.12000000, 3.62000000, 0.00000000, 0.00000000, 21.74000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.06000000, 18.12000000, 3.62000000, 21.74000000),
(920, 146, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.57000000, NULL, 17.14000000, 3.43000000, 0.00000000, 0.00000000, 20.57000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.57000000, 17.14000000, 3.43000000, 20.57000000),
(921, 146, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 20.20000000, NULL, 80.80000000, 16.16000000, 0.00000000, 0.00000000, 96.96000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.20000000, 80.80000000, 16.16000000, 96.96000000),
(922, 146, NULL, 1079930, NULL, 'Raccord mixte mâle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.07000000, NULL, 16.14000000, 3.23000000, 0.00000000, 0.00000000, 19.37000000, 0, NULL, NULL, 0, 6.01000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.07000000, 16.14000000, 3.23000000, 19.37000000),
(923, 146, NULL, 1080054, NULL, 'Crosse d\'évêque diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.66000000, NULL, 23.32000000, 4.66000000, 0.00000000, 0.00000000, 27.98000000, 0, NULL, NULL, 0, 8.69000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.66000000, 23.32000000, 4.66000000, 27.98000000),
(924, 146, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 4.70000000, NULL, 28.20000000, 5.64000000, 0.00000000, 0.00000000, 33.84000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.70000000, 28.20000000, 5.64000000, 33.84000000),
(925, 146, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 3.38000000, NULL, 13.52000000, 2.70000000, 0.00000000, 0.00000000, 16.22000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.38000000, 13.52000000, 2.70000000, 16.22000000),
(926, 146, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 5.04000000, NULL, 20.16000000, 4.03000000, 0.00000000, 0.00000000, 24.19000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.04000000, 20.16000000, 4.03000000, 24.19000000),
(927, 146, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.77000000, NULL, 27.54000000, 5.51000000, 0.00000000, 0.00000000, 33.05000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.77000000, 27.54000000, 5.51000000, 33.05000000),
(928, 146, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.06000000, NULL, 6.36000000, 1.27000000, 0.00000000, 0.00000000, 7.63000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.06000000, 6.36000000, 1.27000000, 7.63000000),
(929, 146, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.08000000, NULL, 10.80000000, 2.16000000, 0.00000000, 0.00000000, 12.96000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.08000000, 10.80000000, 2.16000000, 12.96000000),
(930, 146, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.04000000, NULL, 10.08000000, 2.02000000, 0.00000000, 0.00000000, 12.10000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.04000000, 10.08000000, 2.02000000, 12.10000000),
(931, 146, NULL, 966506, NULL, 'Vanne 1/4 Tour PN40 F/F 1\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 11.26000000, NULL, 33.78000000, 6.76000000, 0.00000000, 0.00000000, 40.54000000, 0, NULL, NULL, 0, 5.79000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.26000000, 33.78000000, 6.76000000, 40.54000000),
(932, 146, NULL, 972974, NULL, 'FRL2 mod Série F3 g1 FF', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 175.65000000, NULL, 351.30000000, 70.26000000, 0.00000000, 0.00000000, 421.56000000, 0, NULL, NULL, 0, 90.26000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 175.65000000, 351.30000000, 70.26000000, 421.56000000),
(933, 146, NULL, 969162, NULL, 'Bidon d\'huile 5L FRL', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.37000000, NULL, 13.37000000, 2.67000000, 0.00000000, 0.00000000, 16.04000000, 0, NULL, NULL, 0, 6.87000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.37000000, 13.37000000, 2.67000000, 16.04000000),
(934, 146, NULL, 969052, NULL, 'FRL 3 modules série F2 G1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 132.60000000, NULL, 132.60000000, 26.52000000, 0.00000000, 0.00000000, 159.12000000, 0, NULL, NULL, 0, 68.14000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 132.60000000, 132.60000000, 26.52000000, 159.12000000),
(935, 146, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.60000000, NULL, 3.60000000, 0.72000000, 0.00000000, 0.00000000, 4.32000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.60000000, 3.60000000, 0.72000000, 4.32000000),
(936, 146, NULL, 966957, NULL, 'Croix FFFF G1\" fonte galva', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.91000000, NULL, 8.91000000, 1.78000000, 0.00000000, 0.00000000, 10.69000000, 0, NULL, NULL, 0, 4.58000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.91000000, 8.91000000, 1.78000000, 10.69000000),
(937, 146, NULL, 966892, NULL, 'Bouchon M. cylindrique G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.81000000, NULL, 0.81000000, 0.16000000, 0.00000000, 0.00000000, 0.97000000, 0, NULL, NULL, 0, 0.42000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.81000000, 0.81000000, 0.16000000, 0.97000000),
(938, 146, NULL, 966894, NULL, 'Bouchon laiton hexag. G 1\"male', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.33000000, NULL, 2.33000000, 0.47000000, 0.00000000, 0.00000000, 2.80000000, 0, NULL, NULL, 0, 1.20000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 2.33000000, 0.47000000, 2.80000000),
(939, 146, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.36000000, NULL, 1.36000000, 0.27000000, 0.00000000, 0.00000000, 1.63000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.36000000, 1.36000000, 0.27000000, 1.63000000),
(940, 146, NULL, 966705, NULL, 'Mamelon conique G1\"x1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.20000000, NULL, 5.20000000, 1.04000000, 0.00000000, 0.00000000, 6.24000000, 0, NULL, NULL, 0, 2.67000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.20000000, 5.20000000, 1.04000000, 6.24000000),
(941, 146, NULL, 968511, NULL, 'Enrouleur ouvert 16x23 - 15m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 556.60000000, NULL, 556.60000000, 111.32000000, 0.00000000, 0.00000000, 667.92000000, 0, NULL, NULL, 0, 286.00000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 556.60000000, 556.60000000, 111.32000000, 667.92000000),
(942, 146, NULL, 971662, NULL, 'Raccord sécurité F G1/2 ISOB 8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.83000000, NULL, 30.83000000, 6.17000000, 0.00000000, 0.00000000, 37.00000000, 0, NULL, NULL, 0, 15.84000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.83000000, 30.83000000, 6.17000000, 37.00000000),
(943, 146, NULL, 966537, NULL, 'About M conique G1/2 tuy.19mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.69000000, NULL, 1.69000000, 0.34000000, 0.00000000, 0.00000000, 2.03000000, 0, NULL, NULL, 0, 0.87000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.69000000, 1.69000000, 0.34000000, 2.03000000),
(944, 146, NULL, 1222625, NULL, 'autoreel pro devidoir auto multi usage lg 20m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.90000000, NULL, 282.90000000, 56.58000000, 0.00000000, 0.00000000, 339.48000000, 0, NULL, NULL, 0, 154.60000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.90000000, 282.90000000, 56.58000000, 339.48000000),
(945, 146, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.59000000, NULL, 23.59000000, 4.72000000, 0.00000000, 0.00000000, 28.31000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.59000000, 23.59000000, 4.72000000, 28.31000000),
(946, 146, NULL, 971001, NULL, 'About mâle ISO B 6 G1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.10000000, NULL, 2.10000000, 0.42000000, 0.00000000, 0.00000000, 2.52000000, 0, NULL, NULL, 0, 1.08000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.10000000, 2.10000000, 0.42000000, 2.52000000),
(947, 146, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 755.77000000, NULL, 755.77000000, 151.15000000, 0.00000000, 0.00000000, 906.92000000, 0, NULL, NULL, 0, 650.00000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 755.77000000, 755.77000000, 151.15000000, 906.92000000),
(948, 147, NULL, 1177312, NULL, 'membrane', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 108.10000000, NULL, 86.48000000, 17.30000000, 0.00000000, 0.00000000, 103.78000000, 0, NULL, NULL, 0, 54.05000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 108.10000000, 86.48000000, 17.30000000, 103.78000000),
(949, 147, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 13.75000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(950, 148, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(951, 148, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 84, 0, 0, NULL, 0.97000000, NULL, 81.48000000, 16.30000000, 0.00000000, 0.00000000, 97.78000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 81.48000000, 16.30000000, 97.78000000),
(952, 149, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 492.10000000, NULL, 492.10000000, 98.42000000, 0.00000000, 0.00000000, 590.52000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 492.10000000, 492.10000000, 98.42000000, 590.52000000),
(953, 149, NULL, 1179629, NULL, 'kit de service c  l55-l75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 397.00000000, NULL, 397.00000000, 79.40000000, 0.00000000, 0.00000000, 476.40000000, 0, NULL, NULL, 0, 238.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 397.00000000, 397.00000000, 79.40000000, 476.40000000),
(954, 149, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(955, 149, NULL, 1179664, NULL, 'kit de service d      l75rs', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1325.20000000, NULL, 1325.20000000, 265.04000000, 0.00000000, 0.00000000, 1590.24000000, 0, NULL, NULL, 0, 795.12000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1325.20000000, 1325.20000000, 265.04000000, 1590.24000000),
(956, 149, NULL, 959172, NULL, 'Filter Set for ÖWAMAT 15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 373.76000000, NULL, 373.76000000, 74.75000000, 0.00000000, 0.00000000, 448.51000000, 0, NULL, NULL, 0, 194.06000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 373.76000000, 373.76000000, 74.75000000, 448.51000000),
(957, 149, NULL, 954020, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 295.03000000, NULL, 295.03000000, 59.01000000, 0.00000000, 0.00000000, 354.04000000, 0, NULL, NULL, 0, 143.22000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 295.03000000, 295.03000000, 59.01000000, 354.04000000),
(958, 150, NULL, 952631, NULL, 'filtre reseau 1µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(959, 150, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(960, 150, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.97000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(961, 150, NULL, 967471, NULL, 'About collerette G3/4 tuy.16mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.68000000, NULL, 23.36000000, 4.67000000, 0.00000000, 0.00000000, 28.03000000, 0, NULL, NULL, 0, 5.67000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.68000000, 23.36000000, 4.67000000, 28.03000000),
(962, 150, NULL, 967160, NULL, 'Manchon égal F/F G3/4xG3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.13000000, NULL, 3.13000000, 0.63000000, 0.00000000, 0.00000000, 3.76000000, 0, NULL, NULL, 0, 1.52000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.13000000, 3.13000000, 0.63000000, 3.76000000),
(963, 150, NULL, 966713, NULL, 'Mamelon tournant G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.15000000, NULL, 5.15000000, 1.03000000, 0.00000000, 0.00000000, 6.18000000, 0, NULL, NULL, 0, 2.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.15000000, 5.15000000, 1.03000000, 6.18000000),
(964, 150, NULL, 966946, NULL, 'Coude M/F G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.88000000, NULL, 2.88000000, 0.58000000, 0.00000000, 0.00000000, 3.46000000, 0, NULL, NULL, 0, 1.40000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.88000000, 2.88000000, 0.58000000, 3.46000000),
(965, 150, NULL, 967121, NULL, 'Mamelon conique G3/8xG3/8', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.58000000, NULL, 3.16000000, 0.63000000, 0.00000000, 0.00000000, 3.79000000, 0, NULL, NULL, 0, 0.77000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.58000000, 3.16000000, 0.63000000, 3.79000000),
(966, 151, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(967, 151, NULL, 1222568, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(968, 151, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(969, 151, NULL, 1179622, NULL, 'kit de service c l07-l11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(970, 151, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 138.96000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(971, 152, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(972, 152, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(973, 152, NULL, 1222568, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(974, 152, NULL, 1175966, NULL, 'filtre d\'enceinte', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.60000000, NULL, 32.60000000, 6.52000000, 0.00000000, 0.00000000, 39.12000000, 0, NULL, NULL, 0, 19.56000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.60000000, 32.60000000, 6.52000000, 39.12000000),
(975, 152, NULL, 1179622, NULL, 'kit de service c l07-l11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(986, 155, NULL, NULL, NULL, 'fourniture et adaptateur gaz echappement', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(987, 155, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(988, 155, NULL, 1223791, NULL, 'tuyau gaz echappement essence ou diesel (Ø40x50)', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 37.50000000, NULL, 112.50000000, 22.50000000, 0.00000000, 0.00000000, 135.00000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 37.50000000, 112.50000000, 22.50000000, 135.00000000),
(989, 155, NULL, 1223792, NULL, 'frais de port et de preparation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(990, 155, NULL, NULL, NULL, 'fourniture et adaptateur gaz echappement', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(991, 155, NULL, NULL, NULL, 'Prix special vu avec F.R ste NUAIR', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(992, 155, NULL, 1223790, NULL, 'Essence bienergie (Air comprimé + generatrice 380v-6kva)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4500.00000000, NULL, 4500.00000000, 900.00000000, 0.00000000, 0.00000000, 5400.00000000, 0, NULL, NULL, 0, 3500.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4500.00000000, 4500.00000000, 900.00000000, 5400.00000000),
(993, 155, NULL, NULL, NULL, 'Prix special vu avec F.R ste NUAIR', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(996, 156, NULL, 1223810, NULL, 'perceuse avec mandrin auto 13mm', 20.000, '', 0.000, '0', 0.000, '0', 3, 30, 0, NULL, 335.00000000, NULL, 703.50000000, 140.70000000, 0.00000000, 0.00000000, 844.20000000, 0, NULL, NULL, 0, 164.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 335.00000000, 703.50000000, 140.70000000, 844.20000000),
(997, 156, NULL, 1223624, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(998, 157, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD<br />\r\nMois de septembre 2017', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.54000000, NULL, 18.54000000, 3.71000000, 0.00000000, 0.00000000, 22.25000000, 1, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.54000000, 18.54000000, 3.71000000, 22.25000000),
(999, 158, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD<br />\r\nMois de octobre 2017', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.54000000, NULL, 18.54000000, 3.71000000, 0.00000000, 0.00000000, 22.25000000, 1, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.54000000, 18.54000000, 3.71000000, 22.25000000),
(1000, 159, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD<br />\r\nMois de novembre 2017', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.54000000, NULL, 18.54000000, 3.71000000, 0.00000000, 0.00000000, 22.25000000, 1, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.54000000, 18.54000000, 3.71000000, 22.25000000),
(1001, 160, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(1002, 161, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(1003, 161, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 242.00000000, NULL, 242.00000000, 48.40000000, 0.00000000, 0.00000000, 290.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 242.00000000, 242.00000000, 48.40000000, 290.40000000),
(1004, 161, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1005, 161, NULL, 1179627, NULL, 'kit de service c l30-l50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 295.00000000, NULL, 295.00000000, 59.00000000, 0.00000000, 0.00000000, 354.00000000, 0, NULL, NULL, 0, 215.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 295.00000000, 295.00000000, 59.00000000, 354.00000000),
(1006, 161, NULL, 1179655, NULL, 'kit de service d l37-l45 rs', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 480.00000000, NULL, 480.00000000, 96.00000000, 0.00000000, 0.00000000, 576.00000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 480.00000000, 480.00000000, 96.00000000, 576.00000000),
(1009, 161, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 492.10000000, NULL, 492.10000000, 98.42000000, 0.00000000, 0.00000000, 590.52000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 492.10000000, 492.10000000, 98.42000000, 590.52000000),
(1010, 161, NULL, 1179727, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 733.60000000, NULL, 733.60000000, 146.72000000, 0.00000000, 0.00000000, 880.32000000, 0, NULL, NULL, 0, 288.21000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 733.60000000, 733.60000000, 146.72000000, 880.32000000),
(1011, 162, NULL, NULL, NULL, 'BL N°39 du 03/11/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1012, 162, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(1013, 162, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(1014, 162, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1015, 162, NULL, NULL, NULL, 'BL N°40 du 06/11/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1016, 162, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(1017, 162, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(1018, 162, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1019, 163, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 116, 0, 0, NULL, 0.97000000, NULL, 112.52000000, 22.50000000, 0.00000000, 0.00000000, 135.02000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 112.52000000, 22.50000000, 135.02000000),
(1020, 163, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(1023, 166, NULL, NULL, NULL, 'installation compresseur L15', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1024, 166, NULL, 1190747, NULL, 'fournitures electriques(cosses,embouts,fils, ecrous,passe fil etc)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 80.00000000, NULL, 80.00000000, 16.00000000, 0.00000000, 0.00000000, 96.00000000, 0, NULL, NULL, 0, 60.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 80.00000000, 80.00000000, 16.00000000, 96.00000000),
(1025, 166, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(1026, 166, NULL, NULL, NULL, 'installation compresseur L15', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1027, 166, NULL, NULL, 'Pose d\'une conduite d\'aspiration en Ø 100', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1028, 166, NULL, 1223830, NULL, 'accessoires de gaine (te, cde,manchons) etc', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 140.00000000, NULL, 140.00000000, 28.00000000, 0.00000000, 0.00000000, 168.00000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 140.00000000, 140.00000000, 28.00000000, 168.00000000),
(1029, 166, NULL, 1230658, NULL, 'gaine circulaire spiralée', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 30.60000000, NULL, 550.80000000, 110.16000000, 0.00000000, 0.00000000, 660.96000000, 0, NULL, NULL, 0, 31.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.60000000, 550.80000000, 110.16000000, 660.96000000),
(1030, 166, NULL, 1223831, NULL, 'registre à debit constant', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 75.00000000, NULL, 75.00000000, 15.00000000, 0.00000000, 0.00000000, 90.00000000, 0, NULL, NULL, 0, 60.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 75.00000000, 75.00000000, 15.00000000, 90.00000000),
(1031, 166, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 63.84000000, NULL, 766.08000000, 153.22000000, 0.00000000, 0.00000000, 919.30000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 766.08000000, 153.22000000, 919.30000000),
(1032, 166, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.00000000, NULL, 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 80.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.00000000, 110.00000000, 22.00000000, 132.00000000),
(1033, 166, NULL, NULL, 'Pose d\'une conduite d\'aspiration en Ø 100', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1034, 166, NULL, NULL, 'gaine souple pour nouvelle machine en Ø 100 resistance vapeurs chimique PRIX au Metre', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1035, 166, NULL, NULL, NULL, '<p>Long indivisible 3, 6, 10m</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1036, 166, NULL, 1230660, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.00000000, NULL, 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 0, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.00000000, 50.00000000, 10.00000000, 60.00000000),
(1037, 166, NULL, 1230659, NULL, 'gaine souple polyester enduit vuiton -Temp° maxi -40°+175°', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.00000000, NULL, 65.00000000, 13.00000000, 0.00000000, 0.00000000, 78.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.00000000, 65.00000000, 13.00000000, 78.00000000),
(1038, 166, NULL, NULL, 'Sous-total gaine souple pour nouvelle machine en Ø 100 resistance vapeurs chimique PRIX au Metre', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1039, 166, NULL, NULL, 'partie extension reseau d\'air comprimé', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1040, 166, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 7.72000000, NULL, 30.88000000, 6.18000000, 0.00000000, 0.00000000, 37.06000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.72000000, 30.88000000, 6.18000000, 37.06000000),
(1041, 166, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 6.77000000, NULL, 40.62000000, 8.12000000, 0.00000000, 0.00000000, 48.74000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 40.62000000, 8.12000000, 48.74000000),
(1042, 166, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.14000000, NULL, 11.40000000, 2.28000000, 0.00000000, 0.00000000, 13.68000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 11.40000000, 2.28000000, 13.68000000),
(1043, 166, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 4.28000000, NULL, 21.40000000, 4.28000000, 0.00000000, 0.00000000, 25.68000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.28000000, 21.40000000, 4.28000000, 25.68000000),
(1044, 166, NULL, 1080013, NULL, 'Manchon d\'extrémité diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.00000000, NULL, 6.00000000, 1.20000000, 0.00000000, 0.00000000, 7.20000000, 0, NULL, NULL, 0, 4.22000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.00000000, 6.00000000, 1.20000000, 7.20000000),
(1045, 166, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 6.20000000, NULL, 148.80000000, 29.76000000, 0.00000000, 0.00000000, 178.56000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 148.80000000, 29.76000000, 178.56000000),
(1046, 166, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.59000000, NULL, 9.59000000, 1.92000000, 0.00000000, 0.00000000, 11.51000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.59000000, 9.59000000, 1.92000000, 11.51000000),
(1047, 166, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.07000000, NULL, 18.14000000, 3.63000000, 0.00000000, 0.00000000, 21.77000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.07000000, 18.14000000, 3.63000000, 21.77000000),
(1048, 166, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.98000000, NULL, 9.96000000, 1.99000000, 0.00000000, 0.00000000, 11.95000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 9.96000000, 1.99000000, 11.95000000),
(1049, 166, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.58000000, NULL, 29.16000000, 5.83000000, 0.00000000, 0.00000000, 34.99000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.58000000, 29.16000000, 5.83000000, 34.99000000),
(1050, 166, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.34000000, NULL, 10.68000000, 2.14000000, 0.00000000, 0.00000000, 12.82000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 10.68000000, 2.14000000, 12.82000000),
(1051, 166, NULL, 966506, NULL, 'Vanne 1/4 Tour PN40 F/F 1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.92000000, NULL, 11.92000000, 2.38000000, 0.00000000, 0.00000000, 14.30000000, 0, NULL, NULL, 0, 5.79000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.92000000, 11.92000000, 2.38000000, 14.30000000),
(1052, 166, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.33000000, NULL, 5.33000000, 1.07000000, 0.00000000, 0.00000000, 6.40000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.33000000, 5.33000000, 1.07000000, 6.40000000),
(1053, 166, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 63.84000000, NULL, 510.72000000, 102.14000000, 0.00000000, 0.00000000, 612.86000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 510.72000000, 102.14000000, 612.86000000),
(1054, 166, NULL, NULL, 'partie extension reseau d\'air comprimé', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1055, 167, NULL, 1223702, NULL, '0.5l huile 80-90W', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(1056, 167, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(1057, 168, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1058, 168, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1059, 168, NULL, 1222536, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.64000000, NULL, 55.92000000, 11.18000000, 0.00000000, 0.00000000, 67.10000000, 0, NULL, NULL, 0, 9.05000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.64000000, 55.92000000, 11.18000000, 67.10000000),
(1060, 168, NULL, 954307, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 88.31000000, NULL, 88.31000000, 17.66000000, 0.00000000, 0.00000000, 105.97000000, 0, NULL, NULL, 0, 42.87000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.31000000, 88.31000000, 17.66000000, 105.97000000),
(1061, 168, NULL, 954049, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.32000000, NULL, 13.32000000, 2.66000000, 0.00000000, 0.00000000, 15.98000000, 0, NULL, NULL, 0, 6.47000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.32000000, 13.32000000, 2.66000000, 15.98000000),
(1062, 168, NULL, 951770, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.16000000, NULL, 11.16000000, 2.23000000, 0.00000000, 0.00000000, 13.39000000, 0, NULL, NULL, 0, 5.42000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.16000000, 11.16000000, 2.23000000, 13.39000000),
(1063, 168, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(1064, 169, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1065, 169, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.13000000, NULL, 51.39000000, 10.28000000, 0.00000000, 0.00000000, 61.67000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 51.39000000, 10.28000000, 61.67000000),
(1066, 169, NULL, 1221767, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.06000000, NULL, 35.06000000, 7.01000000, 0.00000000, 0.00000000, 42.07000000, 0, NULL, NULL, 0, 17.53000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.06000000, 35.06000000, 7.01000000, 42.07000000),
(1067, 169, NULL, 1221715, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.80000000, NULL, 112.80000000, 22.56000000, 0.00000000, 0.00000000, 135.36000000, 0, NULL, NULL, 0, 75.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.80000000, 112.80000000, 22.56000000, 135.36000000),
(1068, 169, NULL, 959341, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.77000000, NULL, 27.77000000, 5.55000000, 0.00000000, 0.00000000, 33.32000000, 0, NULL, NULL, 0, 13.48058252, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.77000000, 27.77000000, 5.55000000, 33.32000000),
(1069, 169, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1070, 169, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(1071, 170, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 238, 0, 0, NULL, 0.97000000, NULL, 230.86000000, 46.17000000, 0.00000000, 0.00000000, 277.03000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 230.86000000, 46.17000000, 277.03000000),
(1072, 170, NULL, 1190535, NULL, 'main d&#39;oeuvre &amp; tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 63.84000000, NULL, 383.04000000, 76.61000000, 0.00000000, 0.00000000, 459.65000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 383.04000000, 76.61000000, 459.65000000),
(1073, 171, NULL, NULL, NULL, 'Frais déplacement du 25/10/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1074, 171, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 63.84000000, NULL, 319.20000000, 63.84000000, 0.00000000, 0.00000000, 383.04000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 319.20000000, 63.84000000, 383.04000000),
(1075, 171, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 316, 0, 0, NULL, 0.97000000, NULL, 306.52000000, 61.30000000, 0.00000000, 0.00000000, 367.82000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 306.52000000, 61.30000000, 367.82000000),
(1076, 171, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1077, 171, NULL, NULL, NULL, 'BL N° 23 du 25/10/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1078, 171, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(1079, 171, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1080, 171, NULL, NULL, NULL, 'BL N° 24 du 25/10/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1081, 171, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(1082, 171, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1083, 171, NULL, NULL, NULL, 'Intervention du 20/10/2017 BL N°21', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1084, 171, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 63.84000000, NULL, 446.88000000, 89.38000000, 0.00000000, 0.00000000, 536.26000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 446.88000000, 89.38000000, 536.26000000),
(1085, 171, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 316, 0, 0, NULL, 0.97000000, NULL, 306.52000000, 61.30000000, 0.00000000, 0.00000000, 367.82000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 306.52000000, 61.30000000, 367.82000000),
(1086, 171, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1087, 172, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(1088, 172, NULL, 1179639, NULL, 'SERVICE KIT FILTRI FRAME 0', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.50000000, NULL, 144.50000000, 28.90000000, 0.00000000, 0.00000000, 173.40000000, 0, NULL, NULL, 0, 86.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.50000000, 144.50000000, 28.90000000, 173.40000000),
(1090, 172, NULL, 1222618, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.43000000, NULL, 13.43000000, 2.69000000, 0.00000000, 0.00000000, 16.12000000, 0, NULL, NULL, 0, 6.52000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.43000000, 13.43000000, 2.69000000, 16.12000000),
(1091, 173, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 25.05000000, NULL, 75.15000000, 15.03000000, 0.00000000, 0.00000000, 90.18000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.05000000, 75.15000000, 15.03000000, 90.18000000),
(1092, 173, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.88000000, NULL, 12.88000000, 2.58000000, 0.00000000, 0.00000000, 15.46000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.88000000, 12.88000000, 2.58000000, 15.46000000),
(1093, 173, NULL, 1079867, NULL, 'Té réduit diam. ext. 35 . 22 . 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.90000000, NULL, 10.90000000, 2.18000000, 0.00000000, 0.00000000, 13.08000000, 0, NULL, NULL, 0, 7.67000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.90000000, 10.90000000, 2.18000000, 13.08000000),
(1094, 173, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.42000000, NULL, 6.42000000, 1.28000000, 0.00000000, 0.00000000, 7.70000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 6.42000000, 1.28000000, 7.70000000),
(1095, 173, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.96000000, NULL, 4.96000000, 0.99000000, 0.00000000, 0.00000000, 5.95000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.96000000, 4.96000000, 0.99000000, 5.95000000),
(1096, 173, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 10.64000000, NULL, 31.92000000, 6.38000000, 0.00000000, 0.00000000, 38.30000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.64000000, 31.92000000, 6.38000000, 38.30000000),
(1097, 173, NULL, 966505, NULL, 'Vanne 1/4 Tour PN40 F/F 3/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.90000000, NULL, 9.80000000, 1.96000000, 0.00000000, 0.00000000, 11.76000000, 0, NULL, NULL, 0, 3.77000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.90000000, 9.80000000, 1.96000000, 11.76000000),
(1098, 173, NULL, 966507, NULL, 'Vanne 1/4 Tour PN30 F/F 1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.97000000, NULL, 23.94000000, 4.79000000, 0.00000000, 0.00000000, 28.73000000, 0, NULL, NULL, 0, 9.21000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.97000000, 23.94000000, 4.79000000, 28.73000000),
(1099, 173, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.51000000, NULL, 12.51000000, 2.50000000, 0.00000000, 0.00000000, 15.01000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.51000000, 12.51000000, 2.50000000, 15.01000000),
(1100, 173, NULL, 967303, NULL, 'Mamelon inox G1\"1/4xG3/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 10.08000000, NULL, 20.16000000, 4.03000000, 0.00000000, 0.00000000, 24.19000000, 0, NULL, NULL, 0, 7.75000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.08000000, 20.16000000, 4.03000000, 24.19000000),
(1101, 173, NULL, 967298, NULL, 'Mamelon conique G3/4x3/4 inox', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.10000000, NULL, 8.20000000, 1.64000000, 0.00000000, 0.00000000, 9.84000000, 0, NULL, NULL, 0, 3.15000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.10000000, 8.20000000, 1.64000000, 9.84000000),
(1102, 173, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 270, 0, 0, NULL, 0.97000000, NULL, 261.90000000, 52.38000000, 0.00000000, 0.00000000, 314.28000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 261.90000000, 52.38000000, 314.28000000),
(1103, 173, NULL, 1190535, NULL, 'main d&#39;oeuvre &amp; tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 63.84000000, NULL, 574.56000000, 114.91000000, 0.00000000, 0.00000000, 689.47000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 574.56000000, 114.91000000, 689.47000000),
(1104, 173, NULL, 1190341, NULL, 'frais d\'autoroute', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.30000000, NULL, 8.30000000, 1.66000000, 0.00000000, 0.00000000, 9.96000000, 0, NULL, NULL, 0, 6.40000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.30000000, 8.30000000, 1.66000000, 9.96000000),
(1105, 174, NULL, 955150, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 186.59000000, NULL, 186.59000000, 37.32000000, 0.00000000, 0.00000000, 223.91000000, 0, NULL, NULL, 0, 90.58000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 186.59000000, 186.59000000, 37.32000000, 223.91000000),
(1106, 175, NULL, 1176275, NULL, 'ELEMENT THERMOSTATIQUE 55° C  EK140', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 500.10000000, NULL, 400.08000000, 80.02000000, 0.00000000, 0.00000000, 480.10000000, 0, NULL, NULL, 0, 300.06000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.10000000, 400.08000000, 80.02000000, 480.10000000),
(1107, 175, NULL, 1179627, NULL, 'kit de service c l30-l50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 0, NULL, NULL, 0, 215.16000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(1108, 175, NULL, 1179654, NULL, 'kit de service d l30-l50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 545.90000000, NULL, 545.90000000, 109.18000000, 0.00000000, 0.00000000, 655.08000000, 0, NULL, NULL, 0, 327.54000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 545.90000000, 545.90000000, 109.18000000, 655.08000000),
(1109, 175, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(1110, 175, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1111, 175, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1112, 176, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(1113, 176, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.97000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 58.20000000, 11.64000000, 69.84000000),
(1114, 177, NULL, 954118, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.67000000, NULL, 15.67000000, 3.13000000, 0.00000000, 0.00000000, 18.80000000, 0, NULL, NULL, 0, 7.61000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.67000000, 15.67000000, 3.13000000, 18.80000000),
(1115, 177, NULL, 952419, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.03000000, NULL, 12.03000000, 2.41000000, 0.00000000, 0.00000000, 14.44000000, 0, NULL, NULL, 0, 5.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.03000000, 12.03000000, 2.41000000, 14.44000000),
(1116, 177, NULL, 955044, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.39000000, NULL, 86.39000000, 17.28000000, 0.00000000, 0.00000000, 103.67000000, 0, NULL, NULL, 0, 41.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.39000000, 86.39000000, 17.28000000, 103.67000000),
(1117, 177, NULL, 953167, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(1118, 177, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1119, 177, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1120, 177, NULL, 1222616, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.06000000, NULL, 26.12000000, 5.22000000, 0.00000000, 0.00000000, 31.34000000, 0, NULL, NULL, 0, 6.34000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.06000000, 26.12000000, 5.22000000, 31.34000000),
(1121, 178, NULL, NULL, NULL, 'BL N° 20 du 14/11/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1122, 178, NULL, 1168567, NULL, 'dilatoflex vulcanise nbr avec renfort interne en nylon 1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.81000000, NULL, 27.81000000, 5.56000000, 0.00000000, 0.00000000, 33.37000000, 0, NULL, NULL, 0, 13.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.81000000, 27.81000000, 5.56000000, 33.37000000),
(1123, 178, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(1124, 178, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(1125, 178, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1126, 178, NULL, NULL, NULL, 'BL N° 47 du 17/11/2017', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1127, 178, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 100, 0, NULL, 63.84000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 0.00000000, 0.00000000, 0.00000000),
(1128, 178, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 100, 0, NULL, 0.97000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 0.00000000, 0.00000000, 0.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(1129, 178, NULL, 1190716, NULL, 'monture à niveau compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 82.40000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.40000000, 0.00000000, 0.00000000, 0.00000000),
(1130, 178, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1131, 155, NULL, NULL, NULL, '(DEPOSIT)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, 8, -1172.83000000, NULL, -1172.83000000, -234.57000000, 0.00000000, 0.00000000, -1407.40000000, 0, NULL, NULL, 2, 0.00000000, NULL, 0, 0, -1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, '', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1132, 179, NULL, 1179627, NULL, 'kit de service c l30-l50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 0, NULL, NULL, 0, 215.16000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(1133, 179, NULL, 1179655, NULL, 'kit de service d l37-l45 rs', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 582.60000000, NULL, 582.60000000, 116.52000000, 0.00000000, 0.00000000, 699.12000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 582.60000000, 582.60000000, 116.52000000, 699.12000000),
(1134, 179, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(1135, 179, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1136, 179, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1137, 180, NULL, 1179624, NULL, 'kit de service c l15-l22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(1138, 180, NULL, 1190359, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(1139, 181, NULL, 953303, NULL, 'filtre reseau cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.21000000, NULL, 114.21000000, 22.84000000, 0.00000000, 0.00000000, 137.05000000, 0, NULL, NULL, 0, 55.44000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.21000000, 114.21000000, 22.84000000, 137.05000000),
(1140, 181, NULL, 953302, NULL, 'filtre reseau cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.21000000, NULL, 114.21000000, 22.84000000, 0.00000000, 0.00000000, 137.05000000, 0, NULL, NULL, 0, 55.44000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.21000000, 114.21000000, 22.84000000, 137.05000000),
(1141, 181, NULL, 953304, NULL, 'filtre reseau cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.21000000, NULL, 114.21000000, 22.84000000, 0.00000000, 0.00000000, 137.05000000, 0, NULL, NULL, 0, 55.44000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.21000000, 114.21000000, 22.84000000, 137.05000000),
(1142, 181, NULL, 1230662, NULL, 'COUR POLY-V HUTCH 1422 L 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 194.71000000, NULL, 194.71000000, 38.94000000, 0.00000000, 0.00000000, 233.65000000, 0, NULL, NULL, 0, 94.98000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 194.71000000, 194.71000000, 38.94000000, 233.65000000),
(1143, 181, NULL, 954632, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 185.72000000, NULL, 185.72000000, 37.14000000, 0.00000000, 0.00000000, 222.86000000, 0, NULL, NULL, 0, 90.16000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 185.72000000, 185.72000000, 37.14000000, 222.86000000),
(1144, 181, NULL, 951743, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 36.00000000, NULL, 36.00000000, 7.20000000, 0.00000000, 0.00000000, 43.20000000, 0, NULL, NULL, 0, 17.48000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.00000000, 36.00000000, 7.20000000, 43.20000000),
(1145, 181, NULL, 954045, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(1146, 181, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1147, 181, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1148, 182, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2020-02-20 00:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(1149, 183, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(1150, 183, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.97000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 58.20000000, 11.64000000, 69.84000000),
(1151, 184, NULL, 954012, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 83.38000000, NULL, 83.38000000, 16.68000000, 0.00000000, 0.00000000, 100.06000000, 0, NULL, NULL, 0, 40.48000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 83.38000000, 83.38000000, 16.68000000, 100.06000000),
(1152, 184, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(1153, 184, NULL, 1179624, NULL, 'kit de service c l15-l22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(1155, 184, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1156, 184, NULL, 955222, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.73000000, NULL, 78.73000000, 15.75000000, 0.00000000, 0.00000000, 94.48000000, 0, NULL, NULL, 0, 38.23000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.73000000, 78.73000000, 15.75000000, 94.48000000),
(1158, 185, NULL, 953191, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 228.41000000, NULL, 228.41000000, 45.68000000, 0.00000000, 0.00000000, 274.09000000, 0, NULL, NULL, 0, 110.88000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 228.41000000, 228.41000000, 45.68000000, 274.09000000),
(1159, 185, NULL, 1179627, NULL, 'kit de service c l30-l50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(1160, 185, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1162, 185, NULL, 1222640, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(1163, 186, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(1165, 186, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1166, 186, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(1167, 186, NULL, 1179622, NULL, 'kit de service c l07-l11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(1168, 186, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(1170, 186, NULL, 1190716, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.40000000, NULL, 82.40000000, 16.48000000, 0.00000000, 0.00000000, 98.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.40000000, 82.40000000, 16.48000000, 98.88000000),
(1171, 186, NULL, 1222599, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.58000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(1172, 187, NULL, 1230687, NULL, 'remplacement electrovanne de purge sur s&eacute;cheur&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 159.60000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 1, NULL, NULL, 0, 120.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 159.60000000, 159.60000000, 31.92000000, 191.52000000),
(1173, 188, NULL, 1230682, NULL, 'Tissu polyester enduit PVC double face.<br />\r\n&Eacute;paisseur : 0,6 mm.<br />\r\nClass&eacute; au feu M2.<br />\r\nSpire acier cuivr&eacute;.<br />\r\nAntistatique.<br />\r\nNon alt&eacute;rable aux UV.<br />\r\nVentilation industrielle&nbsp;<br />\r\nambiances explosives<br />\r\nIndustrie :&nbsp;machines textiles<br />\r\nChantiers Navals :&nbsp;Ventilation des cales de navires.<br />\r\nT.P. :&nbsp;mines, souterrains et tunnels.<br />\r\nChimie :&nbsp;vapeurs de solvants et d&#39;hydrocarbures<br />\r\n<strong>RAYON DE COURBURE :</strong>1fois &frac12; &nbsp;&Oslash;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br />\r\n<strong>COLORIS :</strong>Noir&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br />\r\n<strong>LONGUEUR STANDARD :</strong>10 ou 20 m<br />\r\n<strong>&Oslash; INT&Eacute;RIEURS :</strong>30 &agrave; 450 mm<br />\r\n<strong>TEMP&Eacute;RATURE MAXI&nbsp;</strong>:-10&deg;C &agrave; +70&deg;C', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 34.80000000, NULL, 348.00000000, 69.60000000, 0.00000000, 0.00000000, 417.60000000, 0, NULL, NULL, 0, 19.14000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.80000000, 348.00000000, 69.60000000, 417.60000000),
(1174, 188, NULL, 1230683, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.00000000, NULL, 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 0, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.00000000, 50.00000000, 10.00000000, 60.00000000),
(1227, 190, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.33000000, NULL, 5.33000000, 1.07000000, 0.00000000, 0.00000000, 6.40000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.33000000, 5.33000000, 1.07000000, 6.40000000),
(1228, 190, NULL, 966892, NULL, 'Bouchon M. cylindrique G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 0.86000000, NULL, 1.72000000, 0.34000000, 0.00000000, 0.00000000, 2.06000000, 0, NULL, NULL, 0, 0.42000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.86000000, 1.72000000, 0.34000000, 2.06000000),
(1229, 190, NULL, 966690, NULL, 'Mamelon conique G1/8x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.33000000, NULL, 1.33000000, 0.27000000, 0.00000000, 0.00000000, 1.60000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.33000000, 1.33000000, 0.27000000, 1.60000000),
(1230, 190, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10982.70000000, NULL, 10982.70000000, 2196.54000000, 0.00000000, 0.00000000, 13179.24000000, 0, NULL, NULL, 0, 8257.67000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10982.70000000, 10982.70000000, 2196.54000000, 13179.24000000),
(1231, 190, NULL, 1223789, NULL, 'compresseur  277m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13000.00000000, NULL, 13000.00000000, 2600.00000000, 0.00000000, 0.00000000, 15600.00000000, 0, NULL, NULL, 0, 11467.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13000.00000000, 13000.00000000, 2600.00000000, 15600.00000000),
(1232, 190, NULL, 1222113, NULL, 'sécheur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1436.40000000, NULL, 1436.40000000, 287.28000000, 0.00000000, 0.00000000, 1723.68000000, 0, NULL, NULL, 0, 1080.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1436.40000000, 1436.40000000, 287.28000000, 1723.68000000),
(1233, 190, NULL, 1222111, NULL, 'filtre 1µ', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 198.54000000, NULL, 397.08000000, 79.42000000, 0.00000000, 0.00000000, 476.50000000, 0, NULL, NULL, 0, 149.28000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 198.54000000, 397.08000000, 79.42000000, 476.50000000),
(1234, 190, NULL, 1219921, NULL, 'RES. AIR COMPRIME GALVA 1000L-10,67b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1600.62000000, NULL, 1600.62000000, 320.12000000, 0.00000000, 0.00000000, 1920.74000000, 0, NULL, NULL, 0, 776.97000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1600.62000000, 1600.62000000, 320.12000000, 1920.74000000),
(1235, 190, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.94000000, NULL, 100.94000000, 20.19000000, 0.00000000, 0.00000000, 121.13000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.94000000, 100.94000000, 20.19000000, 121.13000000),
(1236, 190, NULL, 958253, NULL, 'ÖWAMAT 12 oil/water separatot without pre-separation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 931.94000000, NULL, 931.94000000, 186.39000000, 0.00000000, 0.00000000, 1118.33000000, 0, NULL, NULL, 0, 479.26000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 931.94000000, 931.94000000, 186.39000000, 1118.33000000),
(1237, 190, NULL, 972631, NULL, 'Té égal D8', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.29000000, NULL, 16.45000000, 3.29000000, 0.00000000, 0.00000000, 19.74000000, 0, NULL, NULL, 0, 1.60000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.29000000, 16.45000000, 3.29000000, 19.74000000),
(1238, 190, NULL, 972586, NULL, 'Raccord mâle G1/4 D8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.31000000, NULL, 13.10000000, 2.62000000, 0.00000000, 0.00000000, 15.72000000, 0, NULL, NULL, 0, 0.64000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.31000000, 13.10000000, 2.62000000, 15.72000000),
(1239, 190, NULL, 972160, NULL, 'Tube Rilsan incolore 6x8 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.01000000, NULL, 30.01000000, 6.00000000, 0.00000000, 0.00000000, 36.01000000, 0, NULL, NULL, 0, 17.23000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.01000000, 30.01000000, 6.00000000, 36.01000000),
(1240, 190, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.81000000, NULL, 7.62000000, 1.52000000, 0.00000000, 0.00000000, 9.14000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.81000000, 7.62000000, 1.52000000, 9.14000000),
(1241, 190, NULL, 966729, NULL, 'Réduction conique M/F G1/2x1/4', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 0.96000000, NULL, 3.84000000, 0.77000000, 0.00000000, 0.00000000, 4.61000000, 0, NULL, NULL, 0, 0.47000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.96000000, 3.84000000, 0.77000000, 4.61000000),
(1242, 190, NULL, 966729, NULL, 'Réduction conique M/F G1/2x1/4', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 0.96000000, NULL, 3.84000000, 0.77000000, 0.00000000, 0.00000000, 4.61000000, 0, NULL, NULL, 0, 0.47000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.96000000, 3.84000000, 0.77000000, 4.61000000),
(1243, 190, NULL, 972770, NULL, 'Coude tournant M G1/4 6x8', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 2.76000000, NULL, 11.04000000, 2.21000000, 0.00000000, 0.00000000, 13.25000000, 0, NULL, NULL, 0, 1.34000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.76000000, 11.04000000, 2.21000000, 13.25000000),
(1244, 190, NULL, 1080071, NULL, 'Tube \"air comprimé\" diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 11.21000000, NULL, 134.52000000, 26.90000000, 0.00000000, 0.00000000, 161.42000000, 0, NULL, NULL, 0, 7.90000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.21000000, 134.52000000, 26.90000000, 161.42000000),
(1245, 190, NULL, 1079995, NULL, 'Manchon diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 6.44000000, NULL, 19.32000000, 3.86000000, 0.00000000, 0.00000000, 23.18000000, 0, NULL, NULL, 0, 4.54000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.44000000, 19.32000000, 3.86000000, 23.18000000),
(1246, 190, NULL, 1079789, NULL, 'Courbe à 90° diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 19.52000000, NULL, 312.32000000, 62.46000000, 0.00000000, 0.00000000, 374.78000000, 0, NULL, NULL, 0, 13.75000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.52000000, 312.32000000, 62.46000000, 374.78000000),
(1247, 190, NULL, 1079854, NULL, 'Té égal diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 18.00000000, NULL, 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 12.67000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 144.00000000, 28.80000000, 172.80000000),
(1248, 190, NULL, 1079967, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 33.85000000, NULL, 338.50000000, 67.70000000, 0.00000000, 0.00000000, 406.20000000, 0, NULL, NULL, 0, 23.83000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.85000000, 338.50000000, 67.70000000, 406.20000000),
(1249, 190, NULL, 1079936, NULL, 'Raccord mixte mâle diam. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 18.23000000, NULL, 182.30000000, 36.46000000, 0.00000000, 0.00000000, 218.76000000, 0, NULL, NULL, 0, 12.84000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.23000000, 182.30000000, 36.46000000, 218.76000000),
(1250, 190, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 48, 0, 0, NULL, 6.20000000, NULL, 297.60000000, 59.52000000, 0.00000000, 0.00000000, 357.12000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 297.60000000, 59.52000000, 357.12000000),
(1251, 190, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 4.28000000, NULL, 34.24000000, 6.85000000, 0.00000000, 0.00000000, 41.09000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.28000000, 34.24000000, 6.85000000, 41.09000000),
(1252, 190, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 6.77000000, NULL, 108.32000000, 21.66000000, 0.00000000, 0.00000000, 129.98000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 108.32000000, 21.66000000, 129.98000000),
(1253, 190, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 7.72000000, NULL, 61.76000000, 12.35000000, 0.00000000, 0.00000000, 74.11000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.72000000, 61.76000000, 12.35000000, 74.11000000),
(1254, 190, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.59000000, NULL, 19.18000000, 3.84000000, 0.00000000, 0.00000000, 23.02000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.59000000, 19.18000000, 3.84000000, 23.02000000),
(1255, 190, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 9.07000000, NULL, 27.21000000, 5.44000000, 0.00000000, 0.00000000, 32.65000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.07000000, 27.21000000, 5.44000000, 32.65000000),
(1256, 190, NULL, 1080033, NULL, 'Raccord de réduction diam. ext. 42.28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.39000000, NULL, 11.39000000, 2.28000000, 0.00000000, 0.00000000, 13.67000000, 0, NULL, NULL, 0, 8.02000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.39000000, 11.39000000, 2.28000000, 13.67000000),
(1257, 190, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 21.38000000, NULL, 64.14000000, 12.83000000, 0.00000000, 0.00000000, 76.97000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.38000000, 64.14000000, 12.83000000, 76.97000000),
(1258, 190, NULL, 1080013, NULL, 'Manchon d\'extrémité diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 6.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 4.22000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.00000000, 18.00000000, 3.60000000, 21.60000000),
(1259, 190, NULL, 966506, NULL, 'Vanne 1/4 Tour PN40 F/F 1\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 11.92000000, NULL, 35.76000000, 7.15000000, 0.00000000, 0.00000000, 42.91000000, 0, NULL, NULL, 0, 5.79000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.92000000, 35.76000000, 7.15000000, 42.91000000),
(1260, 190, NULL, 966957, NULL, 'Croix FFFF G1\" fonte galva', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.43000000, NULL, 18.86000000, 3.77000000, 0.00000000, 0.00000000, 22.63000000, 0, NULL, NULL, 0, 4.58000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.43000000, 18.86000000, 3.77000000, 22.63000000),
(1261, 190, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 4.98000000, NULL, 89.64000000, 17.93000000, 0.00000000, 0.00000000, 107.57000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 89.64000000, 17.93000000, 107.57000000),
(1262, 190, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 3.58000000, NULL, 10.74000000, 2.15000000, 0.00000000, 0.00000000, 12.89000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.58000000, 10.74000000, 2.15000000, 12.89000000),
(1263, 190, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 5.34000000, NULL, 53.40000000, 10.68000000, 0.00000000, 0.00000000, 64.08000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 37, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 53.40000000, 10.68000000, 64.08000000),
(1264, 190, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 6.62000000, NULL, 39.72000000, 7.94000000, 0.00000000, 0.00000000, 47.66000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 38, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.62000000, 39.72000000, 7.94000000, 47.66000000),
(1265, 190, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 8.18000000, NULL, 24.54000000, 4.91000000, 0.00000000, 0.00000000, 29.45000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 39, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.18000000, 24.54000000, 4.91000000, 29.45000000),
(1266, 190, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 14.58000000, NULL, 43.74000000, 8.75000000, 0.00000000, 0.00000000, 52.49000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 40, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.58000000, 43.74000000, 8.75000000, 52.49000000),
(1267, 190, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 1.12000000, NULL, 10.08000000, 2.02000000, 0.00000000, 0.00000000, 12.10000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 41, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 10.08000000, 2.02000000, 12.10000000),
(1268, 190, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 1.14000000, NULL, 34.20000000, 6.84000000, 0.00000000, 0.00000000, 41.04000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 42, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 34.20000000, 6.84000000, 41.04000000),
(1269, 190, NULL, 1080115, NULL, 'Collier protégé pour tube diam. 42 - M8', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 1.33000000, NULL, 15.96000000, 3.19000000, 0.00000000, 0.00000000, 19.15000000, 0, NULL, NULL, 0, 0.94000000, NULL, 0, 0, 43, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.33000000, 15.96000000, 3.19000000, 19.15000000),
(1270, 190, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 5.33000000, NULL, 26.65000000, 5.33000000, 0.00000000, 0.00000000, 31.98000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 44, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.33000000, 26.65000000, 5.33000000, 31.98000000),
(1271, 190, NULL, 966508, NULL, 'Vanne 1/4 Tour PN30 F/F 1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 28.24000000, NULL, 254.16000000, 50.83000000, 0.00000000, 0.00000000, 304.99000000, 0, NULL, NULL, 0, 13.71000000, NULL, 0, 0, 45, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.24000000, 254.16000000, 50.83000000, 304.99000000),
(1272, 190, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 3.81000000, NULL, 11.43000000, 2.29000000, 0.00000000, 0.00000000, 13.72000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 46, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.81000000, 11.43000000, 2.29000000, 13.72000000),
(1273, 190, NULL, 966892, NULL, 'Bouchon M. cylindrique G1/2', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 0.86000000, NULL, 4.30000000, 0.86000000, 0.00000000, 0.00000000, 5.16000000, 0, NULL, NULL, 0, 0.42000000, NULL, 0, 0, 47, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.86000000, 4.30000000, 0.86000000, 5.16000000),
(1274, 190, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.44000000, NULL, 8.64000000, 1.73000000, 0.00000000, 0.00000000, 10.37000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 48, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.44000000, 8.64000000, 1.73000000, 10.37000000),
(1275, 190, NULL, 967552, NULL, 'Ensemble soufflage2 m 1/4 FetT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.74000000, NULL, 27.74000000, 5.55000000, 0.00000000, 0.00000000, 33.29000000, 0, NULL, NULL, 0, 13.47000000, NULL, 0, 0, 49, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.74000000, 27.74000000, 5.55000000, 33.29000000),
(1276, 190, NULL, 1222625, NULL, 'autoreel pro devidoir auto multi usage lg 20m', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 299.45000000, NULL, 598.90000000, 119.78000000, 0.00000000, 0.00000000, 718.68000000, 0, NULL, NULL, 0, 164.70000000, NULL, 0, 0, 50, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.45000000, 598.90000000, 119.78000000, 718.68000000),
(1277, 190, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 24.97000000, NULL, 149.82000000, 29.96000000, 0.00000000, 0.00000000, 179.78000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 51, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.97000000, 149.82000000, 29.96000000, 179.78000000),
(1278, 190, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 444.96000000, NULL, 444.96000000, 88.99000000, 0.00000000, 0.00000000, 533.95000000, 0, NULL, NULL, 0, 444.96000000, NULL, 0, 0, 52, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 444.96000000, 444.96000000, 88.99000000, 533.95000000),
(1279, 191, NULL, NULL, NULL, 'Acompte', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4448.67000000, NULL, 4448.67000000, 889.73000000, 0.00000000, 0.00000000, 5338.40000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4448.67000000, 4448.67000000, 889.73000000, 5338.40000000),
(1280, 192, NULL, 955266, NULL, 'tarage 7 bars&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.62000000, NULL, 67.62000000, 13.52000000, 0.00000000, 0.00000000, 81.14000000, 0, NULL, NULL, 0, 32.83000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.62000000, 67.62000000, 13.52000000, 81.14000000),
(1281, 192, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(1282, 193, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(1283, 193, NULL, 1179622, NULL, 'kit de service c l07-l11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(1284, 193, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1285, 193, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.25000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 32.50000000, 6.50000000, 39.00000000),
(1286, 194, NULL, 1179624, NULL, 'kit de service c l15-l22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(1287, 194, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(1288, 194, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(1289, 194, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1290, 194, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(1291, 194, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(1292, 194, NULL, 952936, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.07000000, NULL, 102.07000000, 20.41000000, 0.00000000, 0.00000000, 122.48000000, 0, NULL, NULL, 0, 49.55000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.07000000, 102.07000000, 20.41000000, 122.48000000),
(1293, 194, NULL, 952937, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.07000000, NULL, 102.07000000, 20.41000000, 0.00000000, 0.00000000, 122.48000000, 0, NULL, NULL, 0, 49.55000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.07000000, 102.07000000, 20.41000000, 122.48000000),
(1294, 195, NULL, 966425, NULL, 'Clapet anti-retour F/F G1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.83000000, NULL, 13.66000000, 2.73000000, 0.00000000, 0.00000000, 16.39000000, 0, NULL, NULL, 0, 3.32000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.83000000, 13.66000000, 2.73000000, 16.39000000),
(1295, 196, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 286.25000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 0.00000000, 0.00000000, 0.00000000),
(1296, 196, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 5.5, 0, 0, NULL, 63.84000000, NULL, 351.12000000, 70.22000000, 0.00000000, 0.00000000, 421.34000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 351.12000000, 70.22000000, 421.34000000),
(1297, 196, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 144, 0, 0, NULL, 0.97000000, NULL, 139.68000000, 27.94000000, 0.00000000, 0.00000000, 167.62000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 139.68000000, 27.94000000, 167.62000000),
(1298, 197, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1299, 197, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1300, 197, NULL, 1179622, NULL, 'kit de service c l07-l11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(1301, 197, NULL, 1222588, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(1302, 197, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(1303, 197, NULL, 969229, NULL, 'Cartouche 3 microns pour F603', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.93000000, NULL, 53.93000000, 10.79000000, 0.00000000, 0.00000000, 64.72000000, 0, NULL, NULL, 0, 26.18000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.93000000, 53.93000000, 10.79000000, 64.72000000),
(1304, 197, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(1305, 197, NULL, 1190716, NULL, 'monture à niveau compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.40000000, NULL, 82.40000000, 16.48000000, 0.00000000, 0.00000000, 98.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.40000000, 82.40000000, 16.48000000, 98.88000000),
(1306, 198, NULL, 969050, NULL, 'FRL 2 modules série F2 G1/2', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 99.80000000, NULL, 399.20000000, 79.84000000, 0.00000000, 0.00000000, 479.04000000, 0, NULL, NULL, 0, 62.94000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.80000000, 399.20000000, 79.84000000, 479.04000000),
(1307, 199, NULL, 972999, NULL, 'raccord a bouton remplacement s202 01 103', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 16.49000000, NULL, 131.92000000, 26.38000000, 0.00000000, 0.00000000, 158.30000000, 0, NULL, NULL, 0, 8.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.49000000, 131.92000000, 26.38000000, 158.30000000),
(1308, 199, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 5.34000000, NULL, 21.36000000, 4.27000000, 0.00000000, 0.00000000, 25.63000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 21.36000000, 4.27000000, 25.63000000),
(1309, 199, NULL, 966506, NULL, 'Vanne 1/4 Tour PN40 F/F 1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.93000000, NULL, 23.86000000, 4.77000000, 0.00000000, 0.00000000, 28.63000000, 0, NULL, NULL, 0, 5.79000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.93000000, 23.86000000, 4.77000000, 28.63000000),
(1310, 199, NULL, 966723, NULL, 'Raccord Y mâle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.85000000, NULL, 19.40000000, 3.88000000, 0.00000000, 0.00000000, 23.28000000, 0, NULL, NULL, 0, 2.35000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.85000000, 19.40000000, 3.88000000, 23.28000000),
(1311, 199, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 4.99000000, NULL, 89.82000000, 17.96000000, 0.00000000, 0.00000000, 107.78000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.99000000, 89.82000000, 17.96000000, 107.78000000),
(1312, 199, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 6.42000000, NULL, 19.26000000, 3.85000000, 0.00000000, 0.00000000, 23.11000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 19.26000000, 3.85000000, 23.11000000),
(1313, 199, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 9.08000000, NULL, 36.32000000, 7.26000000, 0.00000000, 0.00000000, 43.58000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.08000000, 36.32000000, 7.26000000, 43.58000000),
(1314, 199, NULL, 1080013, NULL, 'Manchon d\'extrémité diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 4.22000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.00000000, 12.00000000, 2.40000000, 14.40000000),
(1315, 199, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 1.12000000, NULL, 10.08000000, 2.02000000, 0.00000000, 0.00000000, 12.10000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 10.08000000, 2.02000000, 12.10000000),
(1316, 199, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 1.14000000, NULL, 34.20000000, 6.84000000, 0.00000000, 0.00000000, 41.04000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 34.20000000, 6.84000000, 41.04000000),
(1317, 199, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 21.40000000, NULL, 128.40000000, 25.68000000, 0.00000000, 0.00000000, 154.08000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.40000000, 128.40000000, 25.68000000, 154.08000000),
(1318, 199, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.28000000, NULL, 42.80000000, 8.56000000, 0.00000000, 0.00000000, 51.36000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.28000000, 42.80000000, 8.56000000, 51.36000000),
(1319, 199, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 7.72000000, NULL, 77.20000000, 15.44000000, 0.00000000, 0.00000000, 92.64000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.72000000, 77.20000000, 15.44000000, 92.64000000),
(1320, 199, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 6.77000000, NULL, 101.55000000, 20.31000000, 0.00000000, 0.00000000, 121.86000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 101.55000000, 20.31000000, 121.86000000),
(1321, 199, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 65, 0, 0, NULL, 6.20000000, NULL, 403.00000000, 80.60000000, 0.00000000, 0.00000000, 483.60000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 403.00000000, 80.60000000, 483.60000000),
(1322, 199, NULL, 1222625, NULL, 'autoreel pro devidoir auto multi usage lg 20m', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 224.43000000, NULL, 448.86000000, 89.77000000, 0.00000000, 0.00000000, 538.63000000, 0, NULL, NULL, 0, 154.60000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 224.43000000, 448.86000000, 89.77000000, 538.63000000),
(1323, 199, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 445.30000000, NULL, 445.30000000, 89.06000000, 0.00000000, 0.00000000, 534.36000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 445.30000000, 445.30000000, 89.06000000, 534.36000000),
(1324, 199, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2154.67000000, NULL, 2154.67000000, 430.93000000, 0.00000000, 0.00000000, 2585.60000000, 0, NULL, NULL, 0, 1440.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2154.67000000, 2154.67000000, 430.93000000, 2585.60000000),
(1325, 200, NULL, 1230675, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 2, 20, 0, NULL, 29.75000000, NULL, 47.60000000, 9.52000000, 0.00000000, 0.00000000, 57.12000000, 0, NULL, NULL, 0, 19.04000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.75000000, 47.60000000, 9.52000000, 57.12000000),
(1326, 200, NULL, 1230676, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 18.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(1327, 201, NULL, 944550, NULL, 'filtre rechange reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 249.26000000, NULL, 249.26000000, 49.85000000, 0.00000000, 0.00000000, 299.11000000, 0, NULL, NULL, 0, 121.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 249.26000000, 249.26000000, 49.85000000, 299.11000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(1328, 201, NULL, 1179629, NULL, 'kit de service c  l55-l75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 397.00000000, NULL, 397.00000000, 79.40000000, 0.00000000, 0.00000000, 476.40000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 397.00000000, 397.00000000, 79.40000000, 476.40000000),
(1329, 201, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(1330, 201, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1331, 202, NULL, 955221, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 281.89000000, NULL, 563.78000000, 112.76000000, 0.00000000, 0.00000000, 676.54000000, 0, NULL, NULL, 0, 136.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 281.89000000, 563.78000000, 112.76000000, 676.54000000),
(1332, 202, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(1386, 204, NULL, NULL, '1 Reseau inox diametre 28 avec 16 descentes  diametre 22', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1387, 204, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1301.02000000, NULL, 1301.02000000, 260.20000000, 0.00000000, 0.00000000, 1561.22000000, 0, NULL, NULL, 0, 750.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1301.02000000, 1301.02000000, 260.20000000, 1561.22000000),
(1388, 204, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8467.50000000, NULL, 8467.50000000, 1693.50000000, 0.00000000, 0.00000000, 10161.00000000, 0, NULL, NULL, 0, 7161.26000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8467.50000000, 8467.50000000, 1693.50000000, 10161.00000000),
(1389, 204, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 238, 0, 0, NULL, 5.28000000, NULL, 1256.64000000, 251.33000000, 0.00000000, 0.00000000, 1507.97000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.28000000, 1256.64000000, 251.33000000, 1507.97000000),
(1390, 204, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 7.73000000, NULL, 139.14000000, 27.83000000, 0.00000000, 0.00000000, 166.97000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.73000000, 139.14000000, 27.83000000, 166.97000000),
(1391, 204, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 45, 0, 0, NULL, 3.64000000, NULL, 163.80000000, 32.76000000, 0.00000000, 0.00000000, 196.56000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.64000000, 163.80000000, 32.76000000, 196.56000000),
(1392, 204, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 54, 0, 0, NULL, 5.76000000, NULL, 311.04000000, 62.21000000, 0.00000000, 0.00000000, 373.25000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.76000000, 311.04000000, 62.21000000, 373.25000000),
(1393, 204, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 100, 0, 0, NULL, 0.97000000, NULL, 97.00000000, 19.40000000, 0.00000000, 0.00000000, 116.40000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 97.00000000, 19.40000000, 116.40000000),
(1394, 204, NULL, 1080013, NULL, 'Manchon d\'extrémité diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.10000000, NULL, 10.20000000, 2.04000000, 0.00000000, 0.00000000, 12.24000000, 0, NULL, NULL, 0, 4.22000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.10000000, 10.20000000, 2.04000000, 12.24000000),
(1395, 204, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 8.18000000, NULL, 49.08000000, 9.82000000, 0.00000000, 0.00000000, 58.90000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.18000000, 49.08000000, 9.82000000, 58.90000000),
(1396, 204, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 3.13000000, NULL, 56.34000000, 11.27000000, 0.00000000, 0.00000000, 67.61000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.13000000, 56.34000000, 11.27000000, 67.61000000),
(1397, 204, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 36, 0, 0, NULL, 5.63000000, NULL, 202.68000000, 40.54000000, 0.00000000, 0.00000000, 243.22000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.63000000, 202.68000000, 40.54000000, 243.22000000),
(1398, 204, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 4.44000000, NULL, 53.28000000, 10.66000000, 0.00000000, 0.00000000, 63.94000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.44000000, 53.28000000, 10.66000000, 63.94000000),
(1399, 204, NULL, 1223702, NULL, 'supportage console', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 348.99000000, NULL, 348.99000000, 69.80000000, 0.00000000, 0.00000000, 418.79000000, 0, NULL, NULL, 0, 209.10000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 348.99000000, 348.99000000, 69.80000000, 418.79000000),
(1400, 204, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 5.46000000, NULL, 98.28000000, 19.66000000, 0.00000000, 0.00000000, 117.94000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.46000000, 98.28000000, 19.66000000, 117.94000000),
(1401, 204, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 54, 0, 0, NULL, 0.96000000, NULL, 51.84000000, 10.37000000, 0.00000000, 0.00000000, 62.21000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.96000000, 51.84000000, 10.37000000, 62.21000000),
(1402, 204, NULL, 966425, NULL, 'Clapet anti-retour F/F G1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.52000000, NULL, 6.52000000, 1.30000000, 0.00000000, 0.00000000, 7.82000000, 0, NULL, NULL, 0, 3.32000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.52000000, 6.52000000, 1.30000000, 7.82000000),
(1403, 204, NULL, 1223801, NULL, 'detendeur 681M bronze 1\" 5-15bars +mano', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.41000000, NULL, 120.41000000, 24.08000000, 0.00000000, 0.00000000, 144.49000000, 0, NULL, NULL, 0, 81.90000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.41000000, 120.41000000, 24.08000000, 144.49000000),
(1404, 204, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 18.20000000, NULL, 109.20000000, 21.84000000, 0.00000000, 0.00000000, 131.04000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.20000000, 109.20000000, 21.84000000, 131.04000000),
(1405, 204, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 114, 0, 0, NULL, 4.26000000, NULL, 485.64000000, 97.13000000, 0.00000000, 0.00000000, 582.77000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.26000000, 485.64000000, 97.13000000, 582.77000000),
(1406, 204, NULL, 966705, NULL, 'Mamelon conique G1\"x1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.26000000, NULL, 5.26000000, 1.05000000, 0.00000000, 0.00000000, 6.31000000, 0, NULL, NULL, 0, 2.67000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.26000000, 5.26000000, 1.05000000, 6.31000000),
(1407, 204, NULL, 966370, NULL, 'Vanne cadenassable F/F G1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.61000000, NULL, 61.22000000, 12.24000000, 0.00000000, 0.00000000, 73.46000000, 0, NULL, NULL, 0, 25.30000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.61000000, 61.22000000, 12.24000000, 73.46000000),
(1408, 204, NULL, NULL, 'Sous-total Reseau inox diametre 28 avec 18 descentes  diametre 22', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1409, 204, NULL, NULL, '2 Compresseur à vis RENNER', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1410, 204, NULL, 1223800, NULL, '<u>Type</u>&nbsp;: RSDK PRO 7.5 &ndash; 15 bar &ndash; 500\r\n<ul>\r\n	<li><u>Puissance</u>&nbsp;: 7.5 Kw</li>\r\n	<li><u>Pression max</u>&nbsp;: 15 bar</li>\r\n	<li><u>D&eacute;bit</u>&nbsp;: 47.4 m3/h</li>\r\n	<li><u>R&eacute;servoir</u>&nbsp;: Horizontal galvanis&eacute; de 500 litres</li>\r\n	<li><u>Niveau sonore</u>&nbsp;: 63 dB(A)</li>\r\n	<li><u>S&eacute;cheur frigorifique</u></li>\r\n	<li><u>Dimension</u>&nbsp;: Longueur 1810 mm / Profondeur 610 mm / Hauteur 1694 mm</li>\r\n	<li><u>Poids&nbsp;</u>: 389 Kg</li>\r\n	<li><u>Sortie Air&nbsp;</u>: &frac12; G</li>\r\n	<li><u>Equipement&nbsp;</u>: Silent bloc sous r&eacute;servoir / Natte filtrante</li>\r\n</ul>', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5404.34000000, NULL, 5404.34000000, 1080.87000000, 0.00000000, 0.00000000, 6485.21000000, 0, NULL, NULL, 0, 4625.38000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5404.34000000, 5404.34000000, 1080.87000000, 6485.21000000),
(1411, 204, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.54000000, NULL, 81.54000000, 16.31000000, 0.00000000, 0.00000000, 97.85000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.54000000, 81.54000000, 16.31000000, 97.85000000),
(1412, 204, NULL, 1189386, NULL, 'module redemarrage auto apres coupure rennerogic', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.94000000, NULL, 52.94000000, 10.59000000, 0.00000000, 0.00000000, 63.53000000, 0, NULL, NULL, 0, 28.80000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.94000000, 52.94000000, 10.59000000, 63.53000000),
(1413, 204, NULL, 952650, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.02000000, NULL, 130.02000000, 26.00000000, 0.00000000, 0.00000000, 156.02000000, 0, NULL, NULL, 0, 95.00000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.02000000, 130.02000000, 26.00000000, 156.02000000),
(1414, 204, NULL, 952651, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.02000000, NULL, 130.02000000, 26.00000000, 0.00000000, 0.00000000, 156.02000000, 0, NULL, NULL, 0, 95.00000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.02000000, 130.02000000, 26.00000000, 156.02000000),
(1415, 204, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1416, 204, NULL, NULL, '3 7 Descentes 15 Bars', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1417, 204, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 14, 0, 0, NULL, 2.25000000, NULL, 31.50000000, 6.30000000, 0.00000000, 0.00000000, 37.80000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.25000000, 31.50000000, 6.30000000, 37.80000000),
(1418, 204, NULL, 971762, NULL, 'Raccord M sec ISO C 8 G1/2', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 20.12000000, NULL, 140.84000000, 28.17000000, 0.00000000, 0.00000000, 169.01000000, 0, NULL, NULL, 0, 16.56000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.12000000, 140.84000000, 28.17000000, 169.01000000),
(1419, 204, NULL, 971659, NULL, 'Raccord mâle G1/2 bouton', 20.000, '', 0.000, '0', 0.000, '0', 14, 0, 0, NULL, 19.83000000, NULL, 277.62000000, 55.52000000, 0.00000000, 0.00000000, 333.14000000, 0, NULL, NULL, 0, 16.32000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.83000000, 277.62000000, 55.52000000, 333.14000000),
(1420, 204, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 35, 0, 0, NULL, 0.86000000, NULL, 30.10000000, 6.02000000, 0.00000000, 0.00000000, 36.12000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.86000000, 30.10000000, 6.02000000, 36.12000000),
(1421, 204, NULL, 969133, NULL, 'FRL 2 modules entretoise F33/4', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 115.30000000, NULL, 807.10000000, 161.42000000, 0.00000000, 0.00000000, 968.52000000, 0, NULL, NULL, 0, 93.55000000, NULL, 0, 0, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 115.30000000, 807.10000000, 161.42000000, 968.52000000),
(1422, 204, NULL, 969153, NULL, 'Membrane pour F3', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 2.64000000, NULL, 18.48000000, 3.70000000, 0.00000000, 0.00000000, 22.18000000, 0, NULL, NULL, 0, 2.09000000, NULL, 0, 0, 37, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.64000000, 18.48000000, 3.70000000, 22.18000000),
(1423, 204, NULL, 969027, NULL, 'Régulateur série F2 G1/2 0-8 B', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 34.01000000, NULL, 238.07000000, 47.61000000, 0.00000000, 0.00000000, 285.68000000, 0, NULL, NULL, 0, 25.35000000, NULL, 0, 0, 38, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.01000000, 238.07000000, 47.61000000, 285.68000000),
(1424, 204, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 39, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1425, 204, NULL, NULL, '4 5 Descentes 10 Bars', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 40, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1426, 204, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.25000000, NULL, 22.50000000, 4.50000000, 0.00000000, 0.00000000, 27.00000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 41, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.25000000, 22.50000000, 4.50000000, 27.00000000),
(1427, 204, NULL, 971762, NULL, 'Raccord M sec ISO C 8 G1/2', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 19.47000000, NULL, 97.35000000, 19.47000000, 0.00000000, 0.00000000, 116.82000000, 0, NULL, NULL, 0, 16.56000000, NULL, 0, 0, 42, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.47000000, 97.35000000, 19.47000000, 116.82000000),
(1428, 204, NULL, 971659, NULL, 'Raccord mâle G1/2 bouton', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 23.80000000, NULL, 238.00000000, 47.60000000, 0.00000000, 0.00000000, 285.60000000, 0, NULL, NULL, 0, 16.32000000, NULL, 0, 0, 43, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.80000000, 238.00000000, 47.60000000, 285.60000000),
(1429, 204, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 25, 0, 0, NULL, 0.86000000, NULL, 21.50000000, 4.30000000, 0.00000000, 0.00000000, 25.80000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 44, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.86000000, 21.50000000, 4.30000000, 25.80000000),
(1430, 204, NULL, 969133, NULL, 'FRL 2 modules entretoise F33/4', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 111.30000000, NULL, 556.50000000, 111.30000000, 0.00000000, 0.00000000, 667.80000000, 0, NULL, NULL, 0, 93.55000000, NULL, 0, 0, 45, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.30000000, 556.50000000, 111.30000000, 667.80000000),
(1431, 204, NULL, 969027, NULL, 'Régulateur série F2 G1/2 0-8 B', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 30.80000000, NULL, 154.00000000, 30.80000000, 0.00000000, 0.00000000, 184.80000000, 0, NULL, NULL, 0, 25.35000000, NULL, 0, 0, 46, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.80000000, 154.00000000, 30.80000000, 184.80000000),
(1432, 204, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 47, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1433, 204, NULL, NULL, '5 2 Descentes 10 Bars avec Coupleur Régulateur', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 48, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1434, 204, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 5.42000000, NULL, 21.68000000, 4.34000000, 0.00000000, 0.00000000, 26.02000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 49, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.42000000, 21.68000000, 4.34000000, 26.02000000),
(1435, 204, NULL, 966956, NULL, 'Croix égale FFFF F1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.95000000, NULL, 9.90000000, 1.98000000, 0.00000000, 0.00000000, 11.88000000, 0, NULL, NULL, 0, 4.07000000, NULL, 0, 0, 50, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.95000000, 9.90000000, 1.98000000, 11.88000000),
(1436, 204, NULL, 969027, NULL, 'Régulateur série F2 G1/2 0-8 B', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.80000000, NULL, 61.60000000, 12.32000000, 0.00000000, 0.00000000, 73.92000000, 0, NULL, NULL, 0, 25.35000000, NULL, 0, 0, 51, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.80000000, 61.60000000, 12.32000000, 73.92000000),
(1437, 204, NULL, 971659, NULL, 'Raccord mâle G1/2 bouton', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 19.83000000, NULL, 79.32000000, 15.86000000, 0.00000000, 0.00000000, 95.18000000, 0, NULL, NULL, 0, 16.32000000, NULL, 0, 0, 52, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.83000000, 79.32000000, 15.86000000, 95.18000000),
(1439, 205, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1440, 205, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(1441, 205, NULL, 1179637, NULL, 'minor service kit l11vs', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.40000000, NULL, 63.40000000, 12.68000000, 0.00000000, 0.00000000, 76.08000000, 0, NULL, NULL, 0, 24.25000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.40000000, 63.40000000, 12.68000000, 76.08000000),
(1442, 205, NULL, 1190523, NULL, 't&eacute; rilsan<br />\r\nraccord rilsan<br />\r\njoint bouchon 1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.97000000, NULL, 18.97000000, 3.79000000, 0.00000000, 0.00000000, 22.76000000, 0, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.97000000, 18.97000000, 3.79000000, 22.76000000),
(1443, 206, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD<br />\r\nMois de novembre 2017', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.54000000, NULL, 20.54000000, 4.11000000, 0.00000000, 0.00000000, 24.65000000, 1, NULL, NULL, 0, 11.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.54000000, 20.54000000, 4.11000000, 24.65000000),
(1444, 207, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(1445, 208, NULL, 955133, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.11000000, NULL, 81.11000000, 16.22000000, 0.00000000, 0.00000000, 97.33000000, 0, NULL, NULL, 0, 62.39000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.11000000, 81.11000000, 16.22000000, 97.33000000),
(1446, 208, NULL, 954104, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 51.70000000, NULL, 51.70000000, 10.34000000, 0.00000000, 0.00000000, 62.04000000, 0, NULL, NULL, 0, 39.07000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 51.70000000, 51.70000000, 10.34000000, 62.04000000),
(1447, 208, NULL, 952447, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 34.18000000, NULL, 68.36000000, 13.67000000, 0.00000000, 0.00000000, 82.03000000, 0, NULL, NULL, 0, 26.29000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.18000000, 68.36000000, 13.67000000, 82.03000000),
(1448, 208, NULL, 951716, NULL, 'natte filtrante', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 15.29000000, NULL, 61.16000000, 12.23000000, 0.00000000, 0.00000000, 73.39000000, 0, NULL, NULL, 0, 7.45000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.29000000, 61.16000000, 12.23000000, 73.39000000),
(1449, 209, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1450, 209, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1451, 209, NULL, 1179624, NULL, 'kit de service c l15-l22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(1452, 209, NULL, 1178286, NULL, 'Elément de filtre séparateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 295.00000000, NULL, 295.00000000, 59.00000000, 0.00000000, 0.00000000, 354.00000000, 0, NULL, NULL, 0, 177.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 295.00000000, 295.00000000, 59.00000000, 354.00000000),
(1453, 209, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.97000000, NULL, 56.91000000, 11.38000000, 0.00000000, 0.00000000, 68.29000000, 0, NULL, NULL, 0, 9.21000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.97000000, 56.91000000, 11.38000000, 68.29000000),
(1454, 210, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(1455, 210, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 64, 0, 0, NULL, 0.97000000, NULL, 62.08000000, 12.42000000, 0.00000000, 0.00000000, 74.50000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 62.08000000, 12.42000000, 74.50000000),
(1456, 211, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1457, 211, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1458, 211, NULL, 1223611, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.48000000, NULL, 17.48000000, 3.50000000, 0.00000000, 0.00000000, 20.98000000, 0, NULL, NULL, 0, 8.74000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.48000000, 17.48000000, 3.50000000, 20.98000000),
(1459, 211, NULL, 1230694, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 3.40000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(1460, 211, NULL, 1223837, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.64000000, NULL, 27.64000000, 5.53000000, 0.00000000, 0.00000000, 33.17000000, 0, NULL, NULL, 0, 13.82000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.64000000, 27.64000000, 5.53000000, 33.17000000),
(1461, 211, NULL, 955044, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.39000000, NULL, 86.39000000, 17.28000000, 0.00000000, 0.00000000, 103.67000000, 0, NULL, NULL, 0, 41.94000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.39000000, 86.39000000, 17.28000000, 103.67000000),
(1462, 212, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1463, 212, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 425.60000000, NULL, 425.60000000, 85.12000000, 0.00000000, 0.00000000, 510.72000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 425.60000000, 425.60000000, 85.12000000, 510.72000000),
(1464, 212, NULL, 1179651, NULL, 'SERVICE KIT D => CK4122-2-RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 696.56000000, NULL, 696.56000000, 139.31000000, 0.00000000, 0.00000000, 835.87000000, 0, NULL, NULL, 0, 554.28000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 696.56000000, 696.56000000, 139.31000000, 835.87000000),
(1465, 212, NULL, NULL, NULL, 'contrat assure SFACS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, 9, -246.94000000, NULL, -246.94000000, -49.39000000, 0.00000000, 0.00000000, -296.33000000, 0, NULL, NULL, 2, 0.00000000, NULL, 0, 0, -1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, '', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1466, 213, NULL, 1221333, NULL, 'DEROUILLEUR AIGUILLES 29x2MM ET 19x3MM 8951076004', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 277.33000000, NULL, 208.00000000, 41.60000000, 0.00000000, 0.00000000, 249.60000000, 0, NULL, NULL, 0, 153.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.33000000, 208.00000000, 41.60000000, 249.60000000),
(1467, 213, NULL, 1223624, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(1468, 214, NULL, 958251, NULL, 'ÖWAMAT 11 oil/water separator', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 404.59000000, NULL, 404.59000000, 80.92000000, 0.00000000, 0.00000000, 485.51000000, 0, NULL, NULL, 0, 304.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 404.59000000, 404.59000000, 80.92000000, 485.51000000),
(1469, 214, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(1470, 214, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 84, 0, 0, NULL, 0.97000000, NULL, 81.48000000, 16.30000000, 0.00000000, 0.00000000, 97.78000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 81.48000000, 16.30000000, 97.78000000),
(1471, 215, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(1472, 215, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(1473, 215, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(1474, 216, NULL, 1188207, NULL, 'bouchon de remplissage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.67000000, NULL, 61.67000000, 12.33000000, 0.00000000, 0.00000000, 74.00000000, 0, NULL, NULL, 0, 30.45000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.67000000, 61.67000000, 12.33000000, 74.00000000),
(1475, 216, NULL, 1230665, NULL, 'joint', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.30000000, NULL, 4.30000000, 0.86000000, 0.00000000, 0.00000000, 5.16000000, 0, NULL, NULL, 0, 2.15000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.30000000, 4.30000000, 0.86000000, 5.16000000),
(1476, 216, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 13.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(1477, 217, NULL, 952663, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 264.81000000, NULL, 264.81000000, 52.96000000, 0.00000000, 0.00000000, 317.77000000, 0, NULL, NULL, 0, 128.55000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 264.81000000, 264.81000000, 52.96000000, 317.77000000),
(1478, 217, NULL, 952664, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 264.81000000, NULL, 264.81000000, 52.96000000, 0.00000000, 0.00000000, 317.77000000, 0, NULL, NULL, 0, 128.55000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 264.81000000, 264.81000000, 52.96000000, 317.77000000),
(1479, 217, NULL, 951704, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(1480, 218, NULL, 1176275, NULL, 'CONTROL SET            55 °C  EK140', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 513.70000000, NULL, 410.96000000, 82.19000000, 0.00000000, 0.00000000, 493.15000000, 0, NULL, NULL, 0, 99.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 513.70000000, 410.96000000, 82.19000000, 493.15000000),
(1481, 218, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(1482, 219, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1483, 219, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1484, 219, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(1485, 219, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(1486, 219, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(1487, 219, NULL, 1179717, NULL, 'MAJOR KIT E               L07 - L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 239.10000000, NULL, 239.10000000, 47.82000000, 0.00000000, 0.00000000, 286.92000000, 0, NULL, NULL, 0, 93.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 239.10000000, 239.10000000, 47.82000000, 286.92000000),
(1488, 220, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1489, 220, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(1490, 220, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1491, 220, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(1492, 220, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(1493, 220, NULL, 1179649, NULL, 'SEPARATOR KIT D             L15RS -L22RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 438.60000000, NULL, 438.60000000, 87.72000000, 0.00000000, 0.00000000, 526.32000000, 0, NULL, NULL, 0, 263.16000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 438.60000000, 438.60000000, 87.72000000, 526.32000000),
(1494, 220, NULL, 1179720, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 252.30000000, NULL, 252.30000000, 50.46000000, 0.00000000, 0.00000000, 302.76000000, 0, NULL, NULL, 0, 151.38000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 252.30000000, 252.30000000, 50.46000000, 302.76000000),
(1495, 220, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(1496, 221, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 362.86000000, NULL, 362.86000000, 72.57000000, 0.00000000, 0.00000000, 435.43000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 362.86000000, 362.86000000, 72.57000000, 435.43000000),
(1497, 221, NULL, 955042, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.30000000, NULL, 117.30000000, 23.46000000, 0.00000000, 0.00000000, 140.76000000, 0, NULL, NULL, 0, 60.67000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.30000000, 117.30000000, 23.46000000, 140.76000000),
(1498, 221, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.46000000, NULL, 18.46000000, 3.69000000, 0.00000000, 0.00000000, 22.15000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.46000000, 18.46000000, 3.69000000, 22.15000000),
(1499, 221, NULL, 954034, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.15000000, NULL, 23.15000000, 4.63000000, 0.00000000, 0.00000000, 27.78000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.15000000, 23.15000000, 4.63000000, 27.78000000),
(1500, 221, NULL, 952859, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.86000000, NULL, 86.86000000, 17.37000000, 0.00000000, 0.00000000, 104.23000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.86000000, 86.86000000, 17.37000000, 104.23000000),
(1501, 221, NULL, 952860, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.86000000, NULL, 86.86000000, 17.37000000, 0.00000000, 0.00000000, 104.23000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.86000000, 86.86000000, 17.37000000, 104.23000000),
(1502, 221, NULL, 952861, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.86000000, NULL, 86.86000000, 17.37000000, 0.00000000, 0.00000000, 104.23000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.86000000, 86.86000000, 17.37000000, 104.23000000),
(1503, 221, NULL, 952862, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.86000000, NULL, 86.86000000, 17.37000000, 0.00000000, 0.00000000, 104.23000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.86000000, 86.86000000, 17.37000000, 104.23000000),
(1504, 221, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 29.00000000, NULL, 58.00000000, 11.60000000, 0.00000000, 0.00000000, 69.60000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.00000000, 58.00000000, 11.60000000, 69.60000000),
(1505, 222, NULL, 1188207, NULL, 'bouchon de remplissage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -61.67000000, NULL, -61.67000000, -12.33000000, 0.00000000, 0.00000000, -74.00000000, 0, NULL, NULL, 0, 30.45000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -61.67000000, -61.67000000, -12.33000000, -74.00000000),
(1506, 222, NULL, 1230665, NULL, 'joint', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -4.30000000, NULL, -4.30000000, -0.86000000, 0.00000000, 0.00000000, -5.16000000, 0, NULL, NULL, 0, 2.15000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -4.30000000, -4.30000000, -0.86000000, -5.16000000),
(1507, 222, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -15.00000000, NULL, -15.00000000, -3.00000000, 0.00000000, 0.00000000, -18.00000000, 0, NULL, NULL, 0, 13.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -15.00000000, -15.00000000, -3.00000000, -18.00000000),
(1508, 223, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1509, 223, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(1510, 223, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(1511, 223, NULL, 1179716, NULL, 'SERVICE PACKAGE  E      L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 235.60000000, NULL, 235.60000000, 47.12000000, 0.00000000, 0.00000000, 282.72000000, 0, NULL, NULL, 0, 141.36000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 235.60000000, 235.60000000, 47.12000000, 282.72000000),
(1512, 223, NULL, 1222588, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(1513, 223, NULL, 953167, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(1514, 223, NULL, 953164, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(1518, 225, NULL, 1231565, NULL, 'N&deg; s/n17/00954<br>\ns/n17/00954<br />\r\n&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 650.00000000, NULL, 650.00000000, 130.00000000, 0.00000000, 0.00000000, 780.00000000, 0, NULL, NULL, 0, 486.75000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 650.00000000, 650.00000000, 130.00000000, 780.00000000),
(1519, 226, NULL, 1230697, NULL, '<p><span style=\"font-size:8.0pt\"><span style=\"font-family:&quot;Courier New&quot;\">IVETEUSE POP PROSET 2500 MCS </span></span></p>\r\n\r\n<p><span style=\"font-size:8.0pt\"><span style=\"font-family:&quot;Courier New&quot;\">- alim. pneumatique 150l/min minimum air sec</span></span></p>\r\n\r\n<p><span style=\"font-size:8.0pt\"><span style=\"font-family:&quot;Courier New&quot;\">- pression de service 5,0 - 6,2 bars</span></span></p>\r\n\r\n<p><span style=\"font-size:8.0pt\"><span style=\"font-family:&quot;Courier New&quot;\">- pour rivets de 3,0 &agrave; 4,8 mm</span></span></p>\r\n\r\n<p><span style=\"font-size:8.0pt\"><span style=\"font-family:&quot;Courier New&quot;\">- poids 1,31 kg avec aspiration des clous</span></span></p>\r\n\r\n<p><span style=\"font-size:8.0pt\"><span style=\"font-family:&quot;Courier New&quot;\">- longueur 304 mm</span></span></p>\r\n\r\n<p><span style=\"font-size:8.0pt\"><span style=\"font-family:&quot;Courier New&quot;\">- course 18 mm</span></span></p>\r\n\r\n<p><span style=\"font-size:8.0pt\"><span style=\"font-family:&quot;Courier New&quot;\">- kit maintenance code 1505521 en option</span></span></p>\r\n\r\n<p><span style=\"font-size:8.0pt\"><span style=\"font-family:&quot;Courier New&quot;\">Livr&eacute;e avec :</span></span></p>\r\n\r\n<p><span style=\"font-size:8.0pt\"><span style=\"font-family:&quot;Courier New&quot;\">- embouchure pour rivet 3,0/3,2 mm</span></span></p>\r\n\r\n<p><span style=\"font-size:8.0pt\"><span style=\"font-family:&quot;Courier New&quot;\">- embouchure pour rivet 4,0 mm</span></span></p>\r\n\r\n<p><span style=\"font-size:8.0pt\"><span style=\"font-family:&quot;Courier New&quot;\">- embouchure pour rivet 4,8 mm (install&eacute;)</span></span></p>\r\n\r\n<p><span style=\"font-size:8.0pt\"><span style=\"font-family:&quot;Courier New&quot;\">- pousse-macho&icirc;re pour rivet 3,0/3,2/4,0 mm</span></span></p>\r\n\r\n<p><span style=\"font-size:8.0pt\"><span style=\"font-family:&quot;Courier New&quot;\">- flexible pour raccordement pneumatique</span></span></p>', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 532.00000000, NULL, 532.00000000, 106.40000000, 0.00000000, 0.00000000, 638.40000000, 0, NULL, NULL, 0, 432.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 532.00000000, 532.00000000, 106.40000000, 638.40000000),
(1520, 227, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1521, 227, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(1522, 227, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(1523, 227, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(1524, 228, NULL, NULL, '1 Maintenance du Compresseur L18', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1525, 228, NULL, 955041, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(1526, 228, NULL, 1179719, NULL, 'MAJOR KIT E                     L 15- 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 169.40000000, NULL, 169.40000000, 33.88000000, 0.00000000, 0.00000000, 203.28000000, 0, NULL, NULL, 0, 101.64000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 169.40000000, 169.40000000, 33.88000000, 203.28000000),
(1527, 228, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(1528, 228, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(1529, 228, NULL, 1222577, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.54000000, NULL, 55.62000000, 11.12000000, 0.00000000, 0.00000000, 66.74000000, 0, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.54000000, 55.62000000, 11.12000000, 66.74000000),
(1530, 228, NULL, 1223699, NULL, 'Huile anderol FGC46 Alimentaire prix au litre', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 23.22000000, NULL, 185.76000000, 37.15000000, 0.00000000, 0.00000000, 222.91000000, 0, NULL, NULL, 0, 11.27000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.22000000, 185.76000000, 37.15000000, 222.91000000),
(1531, 228, NULL, 1178268, NULL, 'PISTON ROD without NRV', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.30000000, NULL, 81.30000000, 16.26000000, 0.00000000, 0.00000000, 97.56000000, 0, NULL, NULL, 0, 48.78000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.30000000, 81.30000000, 16.26000000, 97.56000000),
(1532, 228, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1533, 228, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1534, 228, NULL, 1177631, NULL, 'NONRETURN VALVE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.20000000, NULL, 53.20000000, 10.64000000, 0.00000000, 0.00000000, 63.84000000, 0, NULL, NULL, 0, 31.92000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.20000000, 53.20000000, 10.64000000, 63.84000000),
(1535, 228, NULL, 1178614, NULL, 'DURLOK SCREW M  6 X 20', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.30000000, NULL, 4.30000000, 0.86000000, 0.00000000, 0.00000000, 5.16000000, 0, NULL, NULL, 0, 2.58000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.30000000, 4.30000000, 0.86000000, 5.16000000),
(1536, 229, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 112, 0, 0, NULL, 0.97000000, NULL, 108.64000000, 21.73000000, 0.00000000, 0.00000000, 130.37000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 108.64000000, 21.73000000, 130.37000000),
(1537, 229, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 63.84000000, NULL, 319.20000000, 63.84000000, 0.00000000, 0.00000000, 383.04000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 319.20000000, 63.84000000, 383.04000000),
(1538, 230, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 277.00000000, NULL, 554.00000000, 110.80000000, 0.00000000, 0.00000000, 664.80000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 554.00000000, 110.80000000, 664.80000000),
(1539, 230, NULL, 1179631, NULL, 'MINOR KIT C  L90-L132', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 411.90000000, NULL, 411.90000000, 82.38000000, 0.00000000, 0.00000000, 494.28000000, 0, NULL, NULL, 0, 161.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 411.90000000, 411.90000000, 82.38000000, 494.28000000),
(1540, 230, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1541, 230, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 399.25000000, NULL, 399.25000000, 79.85000000, 0.00000000, 0.00000000, 479.10000000, 0, NULL, NULL, 0, 314.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 399.25000000, 399.25000000, 79.85000000, 479.10000000),
(1542, 231, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(1543, 231, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(1544, 232, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1545, 232, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(1546, 232, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(1547, 232, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(1548, 232, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(1549, 232, NULL, NULL, NULL, '00716 - courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.00000000, NULL, 10.00000000, 2.00000000, 0.00000000, 0.00000000, 12.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.00000000, 10.00000000, 2.00000000, 12.00000000),
(1550, 233, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(1551, 233, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(1552, 234, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2020-02-20 00:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(1553, 235, NULL, 1230695, NULL, 'AVEC GONFLAGE P0 A 60 BARS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 530.00000000, NULL, 530.00000000, 106.00000000, 0.00000000, 0.00000000, 636.00000000, 0, NULL, NULL, 0, 265.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 530.00000000, 530.00000000, 106.00000000, 636.00000000),
(1554, 235, NULL, 1230696, NULL, 'FRAIS DE PORT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.00000000, 40.00000000, 8.00000000, 48.00000000),
(1555, 236, NULL, 1230667, NULL, '-ACCU EHV 2,5 L 690 bar, const. *04925 -According to : PED 2014/68/EU -Fluid group 2 limitation acc. to PED 20 -14/68/EU -Shell details : Carbon Steel, Kanigen I -nter./Exter. coating -Shell design temp. : -40&deg;C + 80&deg;C -Bladder details : Standard Nitrile, Mix - 25 -Bladder working temp. : -20 / + 100&deg;C -Nitrogen side details : Carbon Steel, -DIA STD, Valve 7/8&#39;&#39; -Fluid Port details : Stainless Steel, S -TD Flow, G 1&#39;&#39; (&Oslash; 61) -nous ne pouvons garantir l&#39;interchangeabilit&eacute; &agrave; 100%, v&eacute;rifier en fonCTION -du plan.<br />\r\n<br />\r\nD&eacute;lai : 40 Jours<br />\r\n&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1871.76000000, NULL, 1871.76000000, 374.35000000, 0.00000000, 0.00000000, 2246.11000000, 0, NULL, NULL, 0, 1418.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1871.76000000, 1871.76000000, 374.35000000, 2246.11000000),
(1556, 236, NULL, 1230668, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 45.00000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 34.90000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.00000000, 45.00000000, 9.00000000, 54.00000000),
(1557, 237, NULL, NULL, NULL, 'Maintenance L05 N° BA33465001', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1558, 237, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(1559, 237, NULL, 1222536, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.64000000, NULL, 18.64000000, 3.73000000, 0.00000000, 0.00000000, 22.37000000, 0, NULL, NULL, 0, 9.05000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.64000000, 18.64000000, 3.73000000, 22.37000000),
(1560, 237, NULL, 1230694, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 3.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(1561, 237, NULL, 1223837, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.64000000, NULL, 27.64000000, 5.53000000, 0.00000000, 0.00000000, 33.17000000, 0, NULL, NULL, 0, 13.82000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.64000000, 27.64000000, 5.53000000, 33.17000000),
(1562, 237, NULL, 1221733, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.66000000, NULL, 61.66000000, 12.33000000, 0.00000000, 0.00000000, 73.99000000, 0, NULL, NULL, 0, 29.93000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.66000000, 61.66000000, 12.33000000, 73.99000000),
(1563, 237, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1564, 237, NULL, NULL, NULL, 'Remplacement purge auto secheur et nettoyage purge cuve', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1565, 237, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(1566, 237, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(1567, 237, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1568, 238, NULL, 952650, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.02000000, NULL, 130.02000000, 26.00000000, 0.00000000, 0.00000000, 156.02000000, 0, NULL, NULL, 0, 95.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.02000000, 130.02000000, 26.00000000, 156.02000000),
(1569, 238, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 209.10000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1570, 238, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 63.84000000, NULL, 383.04000000, 76.61000000, 0.00000000, 0.00000000, 459.65000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 383.04000000, 76.61000000, 459.65000000),
(1571, 239, NULL, NULL, '1 hv02', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1572, 239, NULL, 1180029, NULL, 'MAINTENANCE KIT HYDROVANE 501/502', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 106.80000000, NULL, 106.80000000, 21.36000000, 0.00000000, 0.00000000, 128.16000000, 0, NULL, NULL, 0, 64.08000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 106.80000000, 106.80000000, 21.36000000, 128.16000000),
(1573, 239, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1574, 239, NULL, NULL, '3 Maintenance  maco :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1575, 239, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1576, 239, NULL, 954060, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.14000000, NULL, 42.14000000, 8.43000000, 0.00000000, 0.00000000, 50.57000000, 0, NULL, NULL, 0, 20.46000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.14000000, 42.14000000, 8.43000000, 50.57000000),
(1577, 239, NULL, 952164, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.06000000, NULL, 11.06000000, 2.21000000, 0.00000000, 0.00000000, 13.27000000, 0, NULL, NULL, 0, 5.37000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.06000000, 11.06000000, 2.21000000, 13.27000000),
(1578, 239, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(1579, 239, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.00000000, NULL, 286.00000000, 57.20000000, 0.00000000, 0.00000000, 343.20000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.00000000, 286.00000000, 57.20000000, 343.20000000),
(1580, 239, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1581, 240, NULL, NULL, '1 hv02', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1583, 240, NULL, 1180029, NULL, 'MAINTENANCE KIT HYDROVANE 501/502', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 106.80000000, NULL, 106.80000000, 21.36000000, 0.00000000, 0.00000000, 128.16000000, 0, NULL, NULL, 0, 64.08000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 106.80000000, 106.80000000, 21.36000000, 128.16000000),
(1588, 240, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1589, 240, NULL, NULL, '3 Maintenance  maco :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1590, 240, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.00000000, NULL, 286.00000000, 57.20000000, 0.00000000, 0.00000000, 343.20000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.00000000, 286.00000000, 57.20000000, 343.20000000),
(1591, 240, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1592, 240, NULL, 954060, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.14000000, NULL, 42.14000000, 8.43000000, 0.00000000, 0.00000000, 50.57000000, 0, NULL, NULL, 0, 20.46000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.14000000, 42.14000000, 8.43000000, 50.57000000),
(1593, 240, NULL, 952164, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.06000000, NULL, 11.06000000, 2.21000000, 0.00000000, 0.00000000, 13.27000000, 0, NULL, NULL, 0, 5.37000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.06000000, 11.06000000, 2.21000000, 13.27000000),
(1594, 240, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(1596, 240, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1597, 241, NULL, 1222638, NULL, 'enrouleur mini reel', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 103.00000000, NULL, 309.00000000, 61.80000000, 0.00000000, 0.00000000, 370.80000000, 0, NULL, NULL, 0, 70.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.00000000, 309.00000000, 61.80000000, 370.80000000),
(1598, 241, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 4.98000000, NULL, 29.88000000, 5.98000000, 0.00000000, 0.00000000, 35.86000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 29.88000000, 5.98000000, 35.86000000),
(1599, 241, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.62000000, NULL, 6.62000000, 1.32000000, 0.00000000, 0.00000000, 7.94000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.62000000, 6.62000000, 1.32000000, 7.94000000),
(1600, 241, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 5.34000000, NULL, 16.02000000, 3.20000000, 0.00000000, 0.00000000, 19.22000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 16.02000000, 3.20000000, 19.22000000),
(1601, 241, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 1.12000000, NULL, 3.36000000, 0.67000000, 0.00000000, 0.00000000, 4.03000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 3.36000000, 0.67000000, 4.03000000),
(1602, 241, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.18000000, NULL, 8.18000000, 1.64000000, 0.00000000, 0.00000000, 9.82000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.18000000, 8.18000000, 1.64000000, 9.82000000),
(1603, 241, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(1604, 241, NULL, 1222643, NULL, 'Main d&#39;oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 270.00000000, NULL, 270.00000000, 54.00000000, 0.00000000, 0.00000000, 324.00000000, 0, NULL, NULL, 0, 207.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 270.00000000, 270.00000000, 54.00000000, 324.00000000),
(1605, 242, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.75, 0, 0, NULL, 63.84000000, NULL, 175.56000000, 35.11000000, 0.00000000, 0.00000000, 210.67000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 175.56000000, 35.11000000, 210.67000000),
(1606, 242, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 86, 0, 0, NULL, 0.97000000, NULL, 83.42000000, 16.68000000, 0.00000000, 0.00000000, 100.10000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 83.42000000, 16.68000000, 100.10000000),
(1607, 242, NULL, NULL, NULL, 'flexible refoulement air&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 146.96000000, NULL, 146.96000000, 29.39000000, 0.00000000, 0.00000000, 176.35000000, 0, NULL, NULL, 0, 110.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 146.96000000, 146.96000000, 29.39000000, 176.35000000),
(1608, 243, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(1609, 243, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(1610, 243, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(1611, 243, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 0.5, 100, 0, NULL, 63.84000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 0.00000000, 0.00000000, 0.00000000),
(1612, 244, NULL, NULL, NULL, 'FRESHLINE ALIMENTAIRE B50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 145.43000000, NULL, 145.43000000, 29.09000000, 0.00000000, 0.00000000, 174.52000000, 0, NULL, NULL, 0, 103.88000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 145.43000000, 145.43000000, 29.09000000, 174.52000000),
(1613, 244, NULL, NULL, NULL, 'ADR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.84000000, NULL, 14.84000000, 2.97000000, 0.00000000, 0.00000000, 17.81000000, 1, NULL, NULL, 0, 10.60000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.84000000, 14.84000000, 2.97000000, 17.81000000),
(1614, 244, NULL, NULL, NULL, 'TRANSPORT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 107.10000000, NULL, 107.10000000, 21.42000000, 0.00000000, 0.00000000, 128.52000000, 1, NULL, NULL, 0, 76.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 107.10000000, 107.10000000, 21.42000000, 128.52000000),
(1615, 245, NULL, 966425, NULL, 'Clapet anti-retour F/F G1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.83000000, NULL, 6.83000000, 1.37000000, 0.00000000, 0.00000000, 8.20000000, 0, NULL, NULL, 0, 3.32000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.83000000, 6.83000000, 1.37000000, 8.20000000),
(1616, 245, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 63.84000000, NULL, 510.72000000, 102.14000000, 0.00000000, 0.00000000, 612.86000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 510.72000000, 102.14000000, 612.86000000),
(1617, 245, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 264, 0, 0, NULL, 0.97000000, NULL, 256.08000000, 51.22000000, 0.00000000, 0.00000000, 307.30000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 256.08000000, 51.22000000, 307.30000000),
(1618, 246, NULL, 969930, NULL, 'Union 3 pièces DN=63 G2\" M/F', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 180.02000000, NULL, 360.04000000, 72.01000000, 0.00000000, 0.00000000, 432.05000000, 0, NULL, NULL, 0, 87.39000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 180.02000000, 360.04000000, 72.01000000, 432.05000000),
(1619, 247, NULL, NULL, NULL, 'Acompte', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8897.32000000, NULL, 8897.32000000, 1779.46000000, 0.00000000, 0.00000000, 10676.78000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8897.32000000, 8897.32000000, 1779.46000000, 10676.78000000),
(1620, 248, NULL, 1223694, NULL, 'Gaine galva 10/10 agraph&eacute; et rigidifi&eacute; longeur totale 6000 mm environ avec coude, sortie en sifflet grillag&eacute;e et adaptateur compresseur 800x830', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2400.00000000, NULL, 2400.00000000, 480.00000000, 0.00000000, 0.00000000, 2880.00000000, 0, NULL, NULL, 0, 2400.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2400.00000000, 2400.00000000, 480.00000000, 2880.00000000),
(1621, 248, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1785.00000000, NULL, 1785.00000000, 357.00000000, 0.00000000, 0.00000000, 2142.00000000, 0, NULL, NULL, 0, 1352.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1785.00000000, 1785.00000000, 357.00000000, 2142.00000000),
(1622, 248, NULL, 1190387, NULL, '(&agrave; deduire si pas necessaire)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 300.00000000, NULL, 300.00000000, 60.00000000, 0.00000000, 0.00000000, 360.00000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 300.00000000, 300.00000000, 60.00000000, 360.00000000),
(1623, 248, NULL, 1223817, NULL, 'VSM-E 0970 X 0660 ALU FINITION ALU NATUREL', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 180.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1624, 249, NULL, 969787, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 3.33000000, NULL, 13.32000000, 2.66000000, 0.00000000, 0.00000000, 15.98000000, 0, NULL, NULL, 0, 1.62000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.33000000, 13.32000000, 2.66000000, 15.98000000),
(1625, 249, NULL, 969803, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.79000000, NULL, 1.79000000, 0.36000000, 0.00000000, 0.00000000, 2.15000000, 0, NULL, NULL, 0, 0.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.79000000, 1.79000000, 0.36000000, 2.15000000),
(1626, 249, NULL, 969795, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.73000000, NULL, 1.73000000, 0.35000000, 0.00000000, 0.00000000, 2.08000000, 0, NULL, NULL, 0, 0.84000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.73000000, 1.73000000, 0.35000000, 2.08000000),
(1627, 249, NULL, 969885, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.19000000, NULL, 5.19000000, 1.04000000, 0.00000000, 0.00000000, 6.23000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.19000000, 5.19000000, 1.04000000, 6.23000000),
(1628, 249, NULL, 969822, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.84000000, NULL, 2.84000000, 0.57000000, 0.00000000, 0.00000000, 3.41000000, 0, NULL, NULL, 0, 1.38000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.84000000, 2.84000000, 0.57000000, 3.41000000),
(1629, 249, NULL, 969997, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.22000000, NULL, 11.10000000, 2.22000000, 0.00000000, 0.00000000, 13.32000000, 0, NULL, NULL, 0, 1.08000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.22000000, 11.10000000, 2.22000000, 13.32000000),
(1630, 249, NULL, 969869, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.09000000, NULL, 3.09000000, 0.62000000, 0.00000000, 0.00000000, 3.71000000, 0, NULL, NULL, 0, 1.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.09000000, 3.09000000, 0.62000000, 3.71000000),
(1631, 249, NULL, 971583, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 24.97000000, NULL, 49.94000000, 9.99000000, 0.00000000, 0.00000000, 59.93000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.97000000, 49.94000000, 9.99000000, 59.93000000),
(1632, 250, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(1633, 250, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.97000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 42.68000000, 8.54000000, 51.22000000),
(1634, 250, NULL, 1223702, NULL, 'relai 25A Bobine 220v&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 89.71000000, NULL, 89.71000000, 17.94000000, 0.00000000, 0.00000000, 107.65000000, 0, NULL, NULL, 0, 76.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 89.71000000, 89.71000000, 17.94000000, 107.65000000),
(1635, 251, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 63.84000000, NULL, 446.88000000, 89.38000000, 0.00000000, 0.00000000, 536.26000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 446.88000000, 89.38000000, 536.26000000),
(1636, 251, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(1637, 251, NULL, NULL, NULL, 'regulateur Gefran', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 343.00000000, NULL, 686.00000000, 137.20000000, 0.00000000, 0.00000000, 823.20000000, 0, NULL, NULL, 0, 286.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 343.00000000, 686.00000000, 137.20000000, 823.20000000),
(1638, 252, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 425.60000000, NULL, 425.60000000, 85.12000000, 0.00000000, 0.00000000, 510.72000000, 0, NULL, NULL, 0, 350.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 425.60000000, 425.60000000, 85.12000000, 510.72000000),
(1639, 252, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(1640, 252, NULL, 952144, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.40000000, NULL, 15.40000000, 3.08000000, 0.00000000, 0.00000000, 18.48000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.40000000, 15.40000000, 3.08000000, 18.48000000),
(1641, 252, NULL, 954039, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.57000000, NULL, 11.57000000, 2.31000000, 0.00000000, 0.00000000, 13.88000000, 0, NULL, NULL, 0, 5.62000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.57000000, 11.57000000, 2.31000000, 13.88000000),
(1642, 252, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(1643, 253, NULL, 1231554, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 60.24000000, NULL, 60.24000000, 12.05000000, 0.00000000, 0.00000000, 72.29000000, 0, NULL, NULL, 0, 22.12000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 60.24000000, 60.24000000, 12.05000000, 72.29000000),
(1644, 254, NULL, NULL, '1 hv02', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1645, 254, NULL, 1180029, NULL, 'MAINTENANCE KIT HYDROVANE 501/502', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -106.80000000, NULL, -106.80000000, -21.36000000, 0.00000000, 0.00000000, -128.16000000, 0, NULL, NULL, 0, 64.08000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -106.80000000, -106.80000000, -21.36000000, -128.16000000),
(1646, 254, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1647, 254, NULL, NULL, '3 Maintenance  maco :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1648, 254, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -4.50000000, NULL, -4.50000000, -0.90000000, 0.00000000, 0.00000000, -5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -4.50000000, -4.50000000, -0.90000000, -5.40000000),
(1649, 254, NULL, 954060, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -42.14000000, NULL, -42.14000000, -8.43000000, 0.00000000, 0.00000000, -50.57000000, 0, NULL, NULL, 0, 20.46000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -42.14000000, -42.14000000, -8.43000000, -50.57000000),
(1650, 254, NULL, 952164, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -11.06000000, NULL, -11.06000000, -2.21000000, 0.00000000, 0.00000000, -13.27000000, 0, NULL, NULL, 0, 5.37000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -11.06000000, -11.06000000, -2.21000000, -13.27000000),
(1651, 254, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -92.61000000, NULL, -92.61000000, -18.52000000, 0.00000000, 0.00000000, -111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -92.61000000, -92.61000000, -18.52000000, -111.13000000),
(1652, 254, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -286.00000000, NULL, -286.00000000, -57.20000000, 0.00000000, 0.00000000, -343.20000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -286.00000000, -286.00000000, -57.20000000, -343.20000000),
(1653, 254, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1654, 255, NULL, NULL, NULL, 'commission', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1791.00000000, NULL, 1791.00000000, 358.20000000, 0.00000000, 0.00000000, 2149.20000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1791.00000000, 1791.00000000, 358.20000000, 2149.20000000),
(1655, 256, NULL, 1231551, NULL, 'KIT ENTRETIEN BOITIER D ASPIRATION', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.34000000, NULL, 200.34000000, 40.07000000, 0.00000000, 0.00000000, 240.41000000, 0, NULL, NULL, 0, 105.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.34000000, 200.34000000, 40.07000000, 240.41000000),
(1656, 256, NULL, 1231552, NULL, 'kit vpm cre6231933500', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.34000000, NULL, 118.34000000, 23.67000000, 0.00000000, 0.00000000, 142.01000000, 0, NULL, NULL, 0, 63.62000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.34000000, 118.34000000, 23.67000000, 142.01000000),
(1657, 256, NULL, 1231553, NULL, 'electrovanne', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.89000000, NULL, 102.89000000, 20.58000000, 0.00000000, 0.00000000, 123.47000000, 0, NULL, NULL, 0, 56.24000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.89000000, 102.89000000, 20.58000000, 123.47000000),
(1658, 256, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(1659, 256, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(1660, 257, NULL, 1231563, NULL, 'meuleuse', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 401.70000000, NULL, 401.70000000, 80.34000000, 0.00000000, 0.00000000, 482.04000000, 0, NULL, NULL, 0, 309.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 401.70000000, 401.70000000, 80.34000000, 482.04000000),
(1661, 257, NULL, 1223624, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(1662, 258, NULL, NULL, NULL, 'Réseau inox diamètre 18 avec 4 descentes :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1663, 258, NULL, 1080067, NULL, 'Tube \"air comprimé\" diam. ext. 18', 20.000, '', 0.000, '0', 0.000, '0', 66, 0, 0, NULL, 4.00000000, NULL, 264.00000000, 52.80000000, 0.00000000, 0.00000000, 316.80000000, 0, NULL, NULL, 0, 2.81000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.00000000, 264.00000000, 52.80000000, 316.80000000),
(1664, 258, NULL, 1079785, NULL, 'Courbe à 90° diamètre extérieur 18', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 4.66000000, NULL, 74.56000000, 14.91000000, 0.00000000, 0.00000000, 89.47000000, 0, NULL, NULL, 0, 3.28000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.66000000, 74.56000000, 14.91000000, 89.47000000),
(1665, 258, NULL, 1079815, NULL, 'Coude à 45° diam. ext. 18', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 5.69000000, NULL, 45.52000000, 9.10000000, 0.00000000, 0.00000000, 54.62000000, 0, NULL, NULL, 0, 4.01000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.69000000, 45.52000000, 9.10000000, 54.62000000),
(1666, 258, NULL, 1079991, NULL, 'Manchon diamètre extérieur 18', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 2.95000000, NULL, 44.25000000, 8.85000000, 0.00000000, 0.00000000, 53.10000000, 0, NULL, NULL, 0, 2.08000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.95000000, 44.25000000, 8.85000000, 53.10000000),
(1667, 258, NULL, 1080011, NULL, 'Manchon d\'extrémité diam. ext. 18', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 4.16000000, NULL, 12.48000000, 2.50000000, 0.00000000, 0.00000000, 14.98000000, 0, NULL, NULL, 0, 2.93000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.16000000, 12.48000000, 2.50000000, 14.98000000),
(1668, 258, NULL, 1079850, NULL, 'Té égal diam. ext. 18', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 7.14000000, NULL, 57.12000000, 11.42000000, 0.00000000, 0.00000000, 68.54000000, 0, NULL, NULL, 0, 5.03000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.14000000, 57.12000000, 11.42000000, 68.54000000),
(1669, 258, NULL, 1079960, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 18.½\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 11.94000000, NULL, 47.76000000, 9.55000000, 0.00000000, 0.00000000, 57.31000000, 0, NULL, NULL, 0, 8.41000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.94000000, 47.76000000, 9.55000000, 57.31000000),
(1670, 258, NULL, 1080111, NULL, 'Collier protégé pour tube diam. 18 - M8', 20.000, '', 0.000, '0', 0.000, '0', 27, 0, 0, NULL, 1.01000000, NULL, 27.27000000, 5.45000000, 0.00000000, 0.00000000, 32.72000000, 0, NULL, NULL, 0, 0.71000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.01000000, 27.27000000, 5.45000000, 32.72000000),
(1671, 258, NULL, 1079924, NULL, 'Raccord mixte mâle diam. ext. 18.½\"', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 5.96000000, NULL, 29.80000000, 5.96000000, 0.00000000, 0.00000000, 35.76000000, 0, NULL, NULL, 0, 4.19000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.96000000, 29.80000000, 5.96000000, 35.76000000),
(1672, 258, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 3.50000000, NULL, 14.00000000, 2.80000000, 0.00000000, 0.00000000, 16.80000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.50000000, 14.00000000, 2.80000000, 16.80000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(1673, 258, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 3.60000000, NULL, 14.40000000, 2.88000000, 0.00000000, 0.00000000, 17.28000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.60000000, 14.40000000, 2.88000000, 17.28000000),
(1674, 258, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 1.36000000, NULL, 10.88000000, 2.18000000, 0.00000000, 0.00000000, 13.06000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.36000000, 10.88000000, 2.18000000, 13.06000000),
(1675, 258, NULL, 966221, NULL, 'Rouleau Teflon PTFE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.43000000, NULL, 0.43000000, 0.09000000, 0.00000000, 0.00000000, 0.52000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.43000000, 0.43000000, 0.09000000, 0.52000000),
(1676, 258, NULL, 972999, NULL, 'raccord a bouton remplacement s202 01 103', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 11.20000000, NULL, 89.60000000, 17.92000000, 0.00000000, 0.00000000, 107.52000000, 0, NULL, NULL, 0, 8.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.20000000, 89.60000000, 17.92000000, 107.52000000),
(1677, 258, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement 3 jours &agrave; 2 techniciens avec frais deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2840.80000000, NULL, 2840.80000000, 568.16000000, 0.00000000, 0.00000000, 3408.96000000, 0, NULL, NULL, 0, 534.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2840.80000000, 2840.80000000, 568.16000000, 3408.96000000),
(1678, 258, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 240.00000000, NULL, 240.00000000, 48.00000000, 0.00000000, 0.00000000, 288.00000000, 0, NULL, NULL, 0, 209.10000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 240.00000000, 240.00000000, 48.00000000, 288.00000000),
(1679, 258, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1680, 258, NULL, NULL, NULL, 'NETTOYEUR HP eau chaude :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1681, 258, NULL, 1223795, NULL, 'Nettoyeur HP Eau Chaude', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2364.75000000, NULL, 2364.75000000, 472.95000000, 0.00000000, 0.00000000, 2837.70000000, 0, NULL, NULL, 0, 1891.80000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2364.75000000, 2364.75000000, 472.95000000, 2837.70000000),
(1682, 258, NULL, 1223797, NULL, 'Buse pour Lance HP', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.32000000, NULL, 6.32000000, 1.26000000, 0.00000000, 0.00000000, 7.58000000, 0, NULL, NULL, 0, 3.95000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.32000000, 6.32000000, 1.26000000, 7.58000000),
(1683, 258, NULL, 999922, NULL, 'LANCE TELESCOPIQUE 18\'', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 201.69000000, NULL, 201.69000000, 40.34000000, 0.00000000, 0.00000000, 242.03000000, 0, NULL, NULL, 0, 322.69000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 201.69000000, 201.69000000, 40.34000000, 242.03000000),
(1684, 258, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1685, 258, NULL, NULL, NULL, 'Compresseur à piston et owamat', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1686, 258, NULL, 1223798, NULL, 'Compresseur Piston sur Cuve Verticale', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2031.19000000, NULL, 2031.19000000, 406.24000000, 0.00000000, 0.00000000, 2437.43000000, 0, NULL, NULL, 0, 1952.99000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2031.19000000, 2031.19000000, 406.24000000, 2437.43000000),
(1687, 258, NULL, 1222068, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 300.00000000, NULL, 300.00000000, 60.00000000, 0.00000000, 0.00000000, 360.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 300.00000000, 300.00000000, 60.00000000, 360.00000000),
(1688, 258, NULL, 1223799, NULL, 'Silent Bloc', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.70000000, NULL, 40.70000000, 8.14000000, 0.00000000, 0.00000000, 48.84000000, 0, NULL, NULL, 0, 25.44000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.70000000, 40.70000000, 8.14000000, 48.84000000),
(1689, 258, NULL, 958250, NULL, 'ÖWAMAT 10 oil/water separator', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 186.60000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1690, 258, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1691, 258, NULL, NULL, NULL, 'ACOMPTE AC17/09-0001', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, 13, -2251.88000000, NULL, -2251.88000000, -450.38000000, 0.00000000, 0.00000000, -2702.26000000, 0, NULL, NULL, 2, 0.00000000, NULL, 0, 0, -1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, '', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1692, 259, NULL, NULL, '1 partie A.C', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1693, 259, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 25, 0, 0, NULL, 63.84000000, NULL, 1596.00000000, 319.20000000, 0.00000000, 0.00000000, 1915.20000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 1596.00000000, 319.20000000, 1915.20000000),
(1694, 259, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 350.00000000, NULL, 700.00000000, 140.00000000, 0.00000000, 0.00000000, 840.00000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 700.00000000, 140.00000000, 840.00000000),
(1695, 259, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.00000000, NULL, 100.00000000, 20.00000000, 0.00000000, 0.00000000, 120.00000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.00000000, 100.00000000, 20.00000000, 120.00000000),
(1696, 259, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 9.59000000, NULL, 28.77000000, 5.75000000, 0.00000000, 0.00000000, 34.52000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.59000000, 28.77000000, 5.75000000, 34.52000000),
(1697, 259, NULL, 966506, NULL, 'Vanne 1/4 Tour PN40 F/F 1\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 11.92000000, NULL, 35.76000000, 7.15000000, 0.00000000, 0.00000000, 42.91000000, 0, NULL, NULL, 0, 5.79000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.92000000, 35.76000000, 7.15000000, 42.91000000),
(1698, 259, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 18.00000000, NULL, 540.00000000, 108.00000000, 0.00000000, 0.00000000, 648.00000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 540.00000000, 108.00000000, 648.00000000),
(1699, 259, NULL, 966719, NULL, 'Raccord Y femelle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 4.84000000, NULL, 72.60000000, 14.52000000, 0.00000000, 0.00000000, 87.12000000, 0, NULL, NULL, 0, 2.35000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.84000000, 72.60000000, 14.52000000, 87.12000000),
(1700, 259, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 6.20000000, NULL, 372.00000000, 74.40000000, 0.00000000, 0.00000000, 446.40000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 372.00000000, 74.40000000, 446.40000000),
(1701, 259, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 4.98000000, NULL, 89.64000000, 17.93000000, 0.00000000, 0.00000000, 107.57000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 89.64000000, 17.93000000, 107.57000000),
(1702, 259, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 9.07000000, NULL, 136.05000000, 27.21000000, 0.00000000, 0.00000000, 163.26000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.07000000, 136.05000000, 27.21000000, 163.26000000),
(1703, 259, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 6.42000000, NULL, 96.30000000, 19.26000000, 0.00000000, 0.00000000, 115.56000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 96.30000000, 19.26000000, 115.56000000),
(1704, 259, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 21.38000000, NULL, 128.28000000, 25.66000000, 0.00000000, 0.00000000, 153.94000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.38000000, 128.28000000, 25.66000000, 153.94000000),
(1705, 259, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 1.12000000, NULL, 16.80000000, 3.36000000, 0.00000000, 0.00000000, 20.16000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 16.80000000, 3.36000000, 20.16000000),
(1706, 259, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 6.77000000, NULL, 67.70000000, 13.54000000, 0.00000000, 0.00000000, 81.24000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 67.70000000, 13.54000000, 81.24000000),
(1707, 259, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 1.14000000, NULL, 34.20000000, 6.84000000, 0.00000000, 0.00000000, 41.04000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 34.20000000, 6.84000000, 41.04000000),
(1708, 259, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 7.72000000, NULL, 61.76000000, 12.35000000, 0.00000000, 0.00000000, 74.11000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.72000000, 61.76000000, 12.35000000, 74.11000000),
(1709, 259, NULL, NULL, NULL, 'Partie AC', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1710, 259, NULL, NULL, '2 partie elec + neon led', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1711, 259, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 55, 0, 0, NULL, 63.84000000, NULL, 3511.20000000, 702.24000000, 0.00000000, 0.00000000, 4213.44000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 3511.20000000, 702.24000000, 4213.44000000),
(1712, 259, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 350.00000000, NULL, 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(1713, 259, NULL, 1222633, NULL, 'Vigi TG60 bloc différentiel 4P 40A 300mA instantané type AC 230-415V', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 158.00000000, NULL, 474.00000000, 94.80000000, 0.00000000, 0.00000000, 568.80000000, 0, NULL, NULL, 0, 121.00000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 158.00000000, 474.00000000, 94.80000000, 568.80000000),
(1714, 259, NULL, 1222632, NULL, 'Prodis, DT60N disjoncteur 4P 40A 10kAcourbe C', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 119.00000000, NULL, 357.00000000, 71.40000000, 0.00000000, 0.00000000, 428.40000000, 0, NULL, NULL, 0, 95.00000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 119.00000000, 357.00000000, 71.40000000, 428.40000000),
(1715, 259, NULL, 1190724, NULL, 'CONNECTEUR 25A POUR FUS 10,3x38', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 70.00000000, NULL, 700.00000000, 140.00000000, 0.00000000, 0.00000000, 840.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 70.00000000, 700.00000000, 140.00000000, 840.00000000),
(1716, 259, NULL, 1190725, NULL, 'ELEMENT DROIT 40 A 02', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 180.00000000, NULL, 1800.00000000, 360.00000000, 0.00000000, 0.00000000, 2160.00000000, 0, NULL, NULL, 0, 135.00000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 180.00000000, 1800.00000000, 360.00000000, 2160.00000000),
(1717, 259, NULL, 1190577, NULL, 'chainette', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 4.50000000, NULL, 135.00000000, 27.00000000, 0.00000000, 0.00000000, 162.00000000, 0, NULL, NULL, 0, 3.48000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 135.00000000, 27.00000000, 162.00000000),
(1718, 259, NULL, 1152302, NULL, 'PRAGMA 3R 24 SAILLIE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 184.00000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1719, 259, NULL, 1152295, NULL, 'PRAGMA INTERFACE 18 3 R', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 41.47000000, NULL, 41.47000000, 8.29000000, 0.00000000, 0.00000000, 49.76000000, 0, NULL, NULL, 0, 20.13000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.47000000, 41.47000000, 8.29000000, 49.76000000),
(1720, 259, NULL, 1190722, NULL, 'r2v cu 5g10 tgl', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 12.48000000, NULL, 374.40000000, 74.88000000, 0.00000000, 0.00000000, 449.28000000, 0, NULL, NULL, 0, 9.38000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.48000000, 374.40000000, 74.88000000, 449.28000000),
(1721, 259, NULL, 1190455, NULL, 'boite d alimentation 63', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 93.00000000, NULL, 279.00000000, 55.80000000, 0.00000000, 0.00000000, 334.80000000, 0, NULL, NULL, 0, 70.98000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 93.00000000, 279.00000000, 55.80000000, 334.80000000),
(1722, 259, NULL, 1222635, NULL, 'mas led tube hf 1500mm ho 20w865 t8', 20.000, '', 0.000, '0', 0.000, '0', 38, 0, 0, NULL, 56.88000000, NULL, 2161.44000000, 432.29000000, 0.00000000, 0.00000000, 2593.73000000, 0, NULL, NULL, 0, 43.75000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.88000000, 2161.44000000, 432.29000000, 2593.73000000),
(1723, 259, NULL, 1071251, NULL, 'BOITE DERIVATION 80X80 PLEXO', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 6.50000000, NULL, 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 4.62000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.50000000, 130.00000000, 26.00000000, 156.00000000),
(1724, 259, NULL, 1190578, NULL, 'kna10za1 fixation universelle', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 8.20000000, NULL, 328.00000000, 65.60000000, 0.00000000, 0.00000000, 393.60000000, 0, NULL, NULL, 0, 6.05000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.20000000, 328.00000000, 65.60000000, 393.60000000),
(1725, 259, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.50000000, NULL, 154.50000000, 30.90000000, 0.00000000, 0.00000000, 185.40000000, 0, NULL, NULL, 0, 120.00000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 154.50000000, 154.50000000, 30.90000000, 185.40000000),
(1726, 259, NULL, NULL, NULL, 'Partie elec + neon LED', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1727, 260, NULL, 951971, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(1728, 260, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(1729, 260, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(1730, 260, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1731, 260, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(1732, 260, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1733, 260, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(1734, 261, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1735, 261, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(1736, 261, NULL, 1179655, NULL, 'SEPARATOR KIT D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 582.60000000, NULL, 582.60000000, 116.52000000, 0.00000000, 0.00000000, 699.12000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 582.60000000, 582.60000000, 116.52000000, 699.12000000),
(1737, 261, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(1738, 261, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(1739, 261, NULL, 952680, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(1740, 261, NULL, 952681, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(1741, 262, NULL, 1222180, NULL, 'bidon vrs46 5l', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.39000000, NULL, 30.39000000, 6.08000000, 0.00000000, 0.00000000, 36.47000000, 0, NULL, NULL, 0, 14.75000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.39000000, 30.39000000, 6.08000000, 36.47000000),
(1742, 262, NULL, 1223809, NULL, 'flexible ingersollrand', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 181.91000000, NULL, 181.91000000, 36.38000000, 0.00000000, 0.00000000, 218.29000000, 0, NULL, NULL, 0, 114.75000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 181.91000000, 181.91000000, 36.38000000, 218.29000000),
(1743, 262, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 349.34000000, NULL, 349.34000000, 69.87000000, 0.00000000, 0.00000000, 419.21000000, 0, NULL, NULL, 0, 262.66000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 349.34000000, 349.34000000, 69.87000000, 419.21000000),
(1744, 263, NULL, NULL, NULL, 'maintenance compresseur L37RS :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1745, 263, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1746, 263, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 0, NULL, NULL, 0, 215.16000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(1747, 263, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1748, 263, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(1749, 263, NULL, 1179655, NULL, 'SEPARATOR KIT D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 582.60000000, NULL, 582.60000000, 116.52000000, 0.00000000, 0.00000000, 699.12000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 582.60000000, 582.60000000, 116.52000000, 699.12000000),
(1750, 263, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1751, 263, NULL, NULL, NULL, 'Maintenance filtres réseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1752, 263, NULL, 953180, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.55000000, NULL, 155.55000000, 31.11000000, 0.00000000, 0.00000000, 186.66000000, 0, NULL, NULL, 0, 75.51000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.55000000, 155.55000000, 31.11000000, 186.66000000),
(1753, 263, NULL, 952676, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.45000000, NULL, 156.45000000, 31.29000000, 0.00000000, 0.00000000, 187.74000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.45000000, 156.45000000, 31.29000000, 187.74000000),
(1755, 263, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1756, 264, NULL, 1186879, NULL, 'goujon film8x35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 1.97000000, NULL, 7.88000000, 1.58000000, 0.00000000, 0.00000000, 9.46000000, 0, NULL, NULL, 0, 0.96000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.97000000, 7.88000000, 1.58000000, 9.46000000),
(1757, 264, NULL, 1186893, NULL, 'rondelle', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 0.74000000, NULL, 2.96000000, 0.59000000, 0.00000000, 0.00000000, 3.55000000, 0, NULL, NULL, 0, 0.36000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.74000000, 2.96000000, 0.59000000, 3.55000000),
(1758, 264, NULL, 1230702, NULL, 'boit a dist', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 11.18000000, NULL, 44.72000000, 8.94000000, 0.00000000, 0.00000000, 53.66000000, 0, NULL, NULL, 0, 6.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.18000000, 44.72000000, 8.94000000, 53.66000000),
(1759, 264, NULL, 1175970, NULL, 'BUFFER  32/3.5 92 Shore', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 9.40000000, NULL, 75.20000000, 15.04000000, 0.00000000, 0.00000000, 90.24000000, 0, NULL, NULL, 0, 5.64000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.40000000, 75.20000000, 15.04000000, 90.24000000),
(1760, 264, NULL, 1230703, NULL, 'ecrou 6 pans m8', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 0.40000000, NULL, 1.60000000, 0.32000000, 0.00000000, 0.00000000, 1.92000000, 0, NULL, NULL, 0, 0.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.40000000, 1.60000000, 0.32000000, 1.92000000),
(1761, 264, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 63.84000000, NULL, 383.04000000, 76.61000000, 0.00000000, 0.00000000, 459.65000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 383.04000000, 76.61000000, 459.65000000),
(1762, 264, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 172, 0, 0, NULL, 0.97000000, NULL, 166.84000000, 33.37000000, 0.00000000, 0.00000000, 200.21000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 166.84000000, 33.37000000, 200.21000000),
(1763, 265, NULL, 1230678, NULL, 'relai', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 147.50000000, NULL, 147.50000000, 29.50000000, 0.00000000, 0.00000000, 177.00000000, 0, NULL, NULL, 0, 88.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 147.50000000, 147.50000000, 29.50000000, 177.00000000),
(1764, 265, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(1765, 266, NULL, NULL, NULL, 'maintenance l07', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1766, 266, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1767, 266, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(1768, 266, NULL, 1189341, NULL, 'filter pad ip54 pf22,000+', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.24000000, NULL, 22.24000000, 4.45000000, 0.00000000, 0.00000000, 26.69000000, 0, NULL, NULL, 0, 10.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.24000000, 22.24000000, 4.45000000, 26.69000000),
(1769, 266, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(1770, 266, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1771, 266, NULL, NULL, NULL, 'Maintenance filtres réseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1772, 266, NULL, 944542, NULL, 'cartouche reseaux', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 170.98000000, NULL, 170.98000000, 34.20000000, 0.00000000, 0.00000000, 205.18000000, 0, NULL, NULL, 0, 83.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 170.98000000, 170.98000000, 34.20000000, 205.18000000),
(1773, 266, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1774, 267, NULL, 1231563, NULL, 'meuleuse', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -401.70000000, NULL, -401.70000000, -80.34000000, 0.00000000, 0.00000000, -482.04000000, 0, NULL, NULL, 0, 309.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -401.70000000, -401.70000000, -80.34000000, -482.04000000),
(1775, 267, NULL, 1223624, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -30.00000000, NULL, -30.00000000, -6.00000000, 0.00000000, 0.00000000, -36.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -30.00000000, -30.00000000, -6.00000000, -36.00000000),
(1776, 268, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -68.00000000, NULL, -68.00000000, -13.60000000, 0.00000000, 0.00000000, -81.60000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -68.00000000, -68.00000000, -13.60000000, -81.60000000),
(1780, 269, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD<br />\r\nMois de novembre 2017', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.54000000, NULL, 20.54000000, 4.11000000, 0.00000000, 0.00000000, 24.65000000, 1, NULL, NULL, 0, 11.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.54000000, 20.54000000, 4.11000000, 24.65000000),
(1781, 270, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(1782, 271, NULL, 1231575, NULL, 'MEULEUSES D\'ANGLE 400W 23000 TR/MIN Ø6MM', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 256.00000000, NULL, 512.00000000, 102.40000000, 0.00000000, 0.00000000, 614.40000000, 0, NULL, NULL, 0, 117.76000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 256.00000000, 512.00000000, 102.40000000, 614.40000000),
(1783, 272, NULL, 966688, NULL, 'Mamelon conique G1/8x1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.56000000, NULL, 5.60000000, 1.12000000, 0.00000000, 0.00000000, 6.72000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.56000000, 5.60000000, 1.12000000, 6.72000000),
(1784, 272, NULL, 966701, NULL, 'Mamelon conique G1/2x3/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.87000000, NULL, 18.70000000, 3.74000000, 0.00000000, 0.00000000, 22.44000000, 0, NULL, NULL, 0, 1.05000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.87000000, 18.70000000, 3.74000000, 22.44000000),
(1785, 272, NULL, 966727, NULL, 'Réduction conique M/F G3/8x1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.48000000, NULL, 4.80000000, 0.96000000, 0.00000000, 0.00000000, 5.76000000, 0, NULL, NULL, 0, 0.27000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.48000000, 4.80000000, 0.96000000, 5.76000000),
(1786, 272, NULL, 966777, NULL, 'Prolongateur M/F G3/8x1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.19000000, NULL, 11.90000000, 2.38000000, 0.00000000, 0.00000000, 14.28000000, 0, NULL, NULL, 0, 0.67000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.19000000, 11.90000000, 2.38000000, 14.28000000),
(1787, 272, NULL, 966831, NULL, 'Manchon réducteur F/F G1/2x3/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 3.86000000, NULL, 38.60000000, 7.72000000, 0.00000000, 0.00000000, 46.32000000, 0, NULL, NULL, 0, 2.17000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.86000000, 38.60000000, 7.72000000, 46.32000000),
(1788, 272, NULL, 966778, NULL, 'Prolongateur M/F G3/8x3/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.22000000, NULL, 22.20000000, 4.44000000, 0.00000000, 0.00000000, 26.64000000, 0, NULL, NULL, 0, 1.25000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.22000000, 22.20000000, 4.44000000, 26.64000000),
(1789, 272, NULL, 966811, NULL, 'Manchon égal F/F G1/4x1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.56000000, NULL, 5.60000000, 1.12000000, 0.00000000, 0.00000000, 6.72000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.56000000, 5.60000000, 1.12000000, 6.72000000),
(1790, 272, NULL, 966814, NULL, 'Manchon égal F/F G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.42000000, NULL, 14.20000000, 2.84000000, 0.00000000, 0.00000000, 17.04000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.42000000, 14.20000000, 2.84000000, 17.04000000),
(1791, 272, NULL, 966815, NULL, 'Manchon égal F/F G3/4x3/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 3.65000000, NULL, 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 2.05000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.65000000, 36.50000000, 7.30000000, 43.80000000),
(1792, 272, NULL, 966946, NULL, 'Coude M/F G1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.49000000, NULL, 24.90000000, 4.98000000, 0.00000000, 0.00000000, 29.88000000, 0, NULL, NULL, 0, 1.40000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.49000000, 24.90000000, 4.98000000, 29.88000000),
(1793, 272, NULL, 966944, NULL, 'Coude M/F G1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.33000000, NULL, 13.30000000, 2.66000000, 0.00000000, 0.00000000, 15.96000000, 0, NULL, NULL, 0, 0.75000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.33000000, 13.30000000, 2.66000000, 15.96000000),
(1794, 272, NULL, 972577, NULL, 'Raccord droit M5 D4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.08000000, NULL, 10.80000000, 2.16000000, 0.00000000, 0.00000000, 12.96000000, 0, NULL, NULL, 0, 0.61000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.08000000, 10.80000000, 2.16000000, 12.96000000),
(1795, 272, NULL, 972586, NULL, 'Raccord mâle G1/4 D8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.13000000, NULL, 11.30000000, 2.26000000, 0.00000000, 0.00000000, 13.56000000, 0, NULL, NULL, 0, 0.64000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.13000000, 11.30000000, 2.26000000, 13.56000000),
(1796, 272, NULL, 972581, NULL, 'Raccord mâle G1/4 D6', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.10000000, NULL, 11.00000000, 2.20000000, 0.00000000, 0.00000000, 13.20000000, 0, NULL, NULL, 0, 0.62000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.10000000, 11.00000000, 2.20000000, 13.20000000),
(1797, 272, NULL, 972582, NULL, 'Raccord mâle G1/8 D6', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.96000000, NULL, 9.60000000, 1.92000000, 0.00000000, 0.00000000, 11.52000000, 0, NULL, NULL, 0, 0.54000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.96000000, 9.60000000, 1.92000000, 11.52000000),
(1798, 272, NULL, 972587, NULL, 'Raccord mâle G1/8 D8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.11000000, NULL, 11.10000000, 2.22000000, 0.00000000, 0.00000000, 13.32000000, 0, NULL, NULL, 0, 0.63000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.11000000, 11.10000000, 2.22000000, 13.32000000),
(1799, 273, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(1800, 273, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(1801, 273, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1802, 273, NULL, 1179662, NULL, 'SEPARATOR KIT D            L55-L75+L75SR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 912.90000000, NULL, 912.90000000, 182.58000000, 0.00000000, 0.00000000, 1095.48000000, 0, NULL, NULL, 0, 365.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 912.90000000, 912.90000000, 182.58000000, 1095.48000000),
(1803, 273, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1804, 274, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(1805, 274, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 0.97000000, NULL, 38.80000000, 7.76000000, 0.00000000, 0.00000000, 46.56000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 38.80000000, 7.76000000, 46.56000000),
(1806, 275, NULL, 953892, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.93000000, NULL, 42.93000000, 8.59000000, 0.00000000, 0.00000000, 51.52000000, 0, NULL, NULL, 0, 20.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.93000000, 42.93000000, 8.59000000, 51.52000000),
(1807, 275, NULL, 953906, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 44.74000000, NULL, 44.74000000, 8.95000000, 0.00000000, 0.00000000, 53.69000000, 0, NULL, NULL, 0, 21.72000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 44.74000000, 44.74000000, 8.95000000, 53.69000000),
(1808, 275, NULL, 953878, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 44.74000000, NULL, 44.74000000, 8.95000000, 0.00000000, 0.00000000, 53.69000000, 0, NULL, NULL, 0, 21.72000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 44.74000000, 44.74000000, 8.95000000, 53.69000000),
(1809, 276, NULL, NULL, NULL, 'remplacement carte delcos Pro', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1810, 276, NULL, 1176431, NULL, 'SPARE-ELEKTRONIK DELCOS Pro L-Serie', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 1465.90000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1465.90000000, 0.00000000, 0.00000000, 0.00000000),
(1811, 276, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 42, 0, 0, NULL, 0.97000000, NULL, 40.74000000, 8.15000000, 0.00000000, 0.00000000, 48.89000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 40.74000000, 8.15000000, 48.89000000),
(1812, 276, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(1813, 276, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1814, 276, NULL, NULL, 'Recherche de panne : ', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1815, 276, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(1816, 276, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 42, 0, 0, NULL, 0.97000000, NULL, 40.74000000, 8.15000000, 0.00000000, 0.00000000, 48.89000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 40.74000000, 8.15000000, 48.89000000),
(1817, 276, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1818, 277, NULL, 968949, NULL, 'Régulateur série F1 G1/4 0-12B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.34000000, NULL, 35.34000000, 7.07000000, 0.00000000, 0.00000000, 42.41000000, 0, NULL, NULL, 0, 17.16000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.34000000, 35.34000000, 7.07000000, 42.41000000),
(1819, 277, NULL, 968841, NULL, 'Manomètre axial G1/8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.26000000, NULL, 8.26000000, 1.65000000, 0.00000000, 0.00000000, 9.91000000, 0, NULL, NULL, 0, 4.01000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.26000000, 8.26000000, 1.65000000, 9.91000000),
(1825, 279, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(1826, 279, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1827, 279, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(1828, 279, NULL, 1179654, NULL, 'MINOR KIT D  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 574.70000000, NULL, 574.70000000, 114.94000000, 0.00000000, 0.00000000, 689.64000000, 0, NULL, NULL, 0, 214.47000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 574.70000000, 574.70000000, 114.94000000, 689.64000000),
(1829, 279, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(1830, 280, NULL, NULL, NULL, 'Maintenance L45RS :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1831, 280, NULL, 1231581, NULL, 'kit adaptable ck2140-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.81000000, NULL, 156.81000000, 31.36000000, 0.00000000, 0.00000000, 188.17000000, 0, NULL, NULL, 0, 73.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.81000000, 156.81000000, 31.36000000, 188.17000000),
(1832, 280, NULL, 1231582, NULL, 'separateur ck4140-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 119.67000000, NULL, 119.67000000, 23.93000000, 0.00000000, 0.00000000, 143.60000000, 0, NULL, NULL, 0, 55.71000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 119.67000000, 119.67000000, 23.93000000, 143.60000000),
(1833, 280, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.61000000, NULL, 109.61000000, 21.92000000, 0.00000000, 0.00000000, 131.53000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.61000000, 109.61000000, 21.92000000, 131.53000000),
(1834, 280, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 407.88000000, NULL, 407.88000000, 81.58000000, 0.00000000, 0.00000000, 489.46000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.88000000, 407.88000000, 81.58000000, 489.46000000),
(1835, 280, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1836, 280, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1837, 280, NULL, NULL, NULL, 'Maintenance separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1838, 280, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 197.66000000, NULL, 197.66000000, 39.53000000, 0.00000000, 0.00000000, 237.19000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 197.66000000, 197.66000000, 39.53000000, 237.19000000),
(1839, 280, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1840, 281, NULL, 969861, NULL, 'Courbe 90° DN=63', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 31.00000000, NULL, 155.00000000, 31.00000000, 0.00000000, 0.00000000, 186.00000000, 0, NULL, NULL, 0, 15.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 31.00000000, 155.00000000, 31.00000000, 186.00000000),
(1841, 282, NULL, 951703, NULL, 'purgeur auto trou lisse 3/8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.27000000, NULL, 34.27000000, 6.85000000, 0.00000000, 0.00000000, 41.12000000, 0, NULL, NULL, 0, 16.64000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.27000000, 34.27000000, 6.85000000, 41.12000000),
(1842, 282, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(1843, 282, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(1844, 283, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(1845, 283, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 65, 0, 0, NULL, 0.97000000, NULL, 63.05000000, 12.61000000, 0.00000000, 0.00000000, 75.66000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 63.05000000, 12.61000000, 75.66000000),
(1846, 284, NULL, 1190357, NULL, 'Forfait Dépannage 1/2 journée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 332.50000000, NULL, 332.50000000, 66.50000000, 0.00000000, 0.00000000, 399.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 332.50000000, 332.50000000, 66.50000000, 399.00000000),
(1847, 284, NULL, 1221733, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.66000000, NULL, 61.66000000, 12.33000000, 0.00000000, 0.00000000, 73.99000000, 0, NULL, NULL, 0, 29.93000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.66000000, 61.66000000, 12.33000000, 73.99000000),
(1848, 285, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(1849, 285, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.97000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 42.68000000, 8.54000000, 51.22000000),
(1850, 285, NULL, 1190523, NULL, 'petites fournitures', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1851, 286, NULL, 1231564, NULL, 'DISTRIBUTEUR SERIE  4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 52.17000000, NULL, 521.70000000, 104.34000000, 0.00000000, 0.00000000, 626.04000000, 0, NULL, NULL, 0, 38.65000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.17000000, 521.70000000, 104.34000000, 626.04000000),
(1852, 286, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.00000000, NULL, 21.00000000, 4.20000000, 0.00000000, 0.00000000, 25.20000000, 0, NULL, NULL, 0, 21.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.00000000, 21.00000000, 4.20000000, 25.20000000),
(1853, 287, NULL, NULL, NULL, 'bons cadeaux', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 495.83000000, NULL, 495.83000000, 99.17000000, 0.00000000, 0.00000000, 595.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 495.83000000, 495.83000000, 99.17000000, 595.00000000),
(1854, 288, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, -63.84000000, NULL, -159.60000000, -31.92000000, 0.00000000, 0.00000000, -191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -63.84000000, -159.60000000, -31.92000000, -191.52000000),
(1855, 288, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 64, 0, 0, NULL, -0.97000000, NULL, -62.08000000, -12.42000000, 0.00000000, 0.00000000, -74.50000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -0.97000000, -62.08000000, -12.42000000, -74.50000000),
(1856, 289, NULL, NULL, NULL, 'Avoir sur le reste &agrave; payer', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -540.45000000, NULL, -540.45000000, 0.00000000, 0.00000000, 0.00000000, -540.45000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -540.45000000, -540.45000000, 0.00000000, -540.45000000),
(1857, 291, NULL, NULL, NULL, 'FRESHLINE ALIMENTAIRE B50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 145.43000000, NULL, 145.43000000, 29.09000000, 0.00000000, 0.00000000, 174.52000000, 0, NULL, NULL, 0, 103.88000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 145.43000000, 145.43000000, 29.09000000, 174.52000000),
(1858, 291, NULL, NULL, NULL, 'ADR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.84000000, NULL, 14.84000000, 2.97000000, 0.00000000, 0.00000000, 17.81000000, 1, NULL, NULL, 0, 10.60000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.84000000, 14.84000000, 2.97000000, 17.81000000),
(1859, 291, NULL, NULL, NULL, 'TRANSPORT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.30000000, NULL, 111.30000000, 22.26000000, 0.00000000, 0.00000000, 133.56000000, 1, NULL, NULL, 0, 79.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.30000000, 111.30000000, 22.26000000, 133.56000000),
(1860, 292, NULL, 1230688, NULL, 'Variateur de fréquence Siemens SINAMICS V20 4kw tri', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 630.00000000, NULL, 630.00000000, 126.00000000, 0.00000000, 0.00000000, 756.00000000, 0, NULL, NULL, 0, 500.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 630.00000000, 630.00000000, 126.00000000, 756.00000000),
(1861, 292, NULL, 1190580, NULL, 'armoire 600 x 400', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 162.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1862, 292, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 380.00000000, NULL, 380.00000000, 76.00000000, 0.00000000, 0.00000000, 456.00000000, 0, NULL, NULL, 0, 270.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 380.00000000, 380.00000000, 76.00000000, 456.00000000),
(1863, 292, NULL, 1156211, NULL, 'Bouton-poussoir, noir, métall., 1NO', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.87000000, NULL, 22.87000000, 4.57000000, 0.00000000, 0.00000000, 27.44000000, 0, NULL, NULL, 0, 11.10000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.87000000, 22.87000000, 4.57000000, 27.44000000),
(1864, 292, NULL, 1156217, NULL, 'BOUTON POUSSOIR RG 1O', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.87000000, NULL, 22.87000000, 4.57000000, 0.00000000, 0.00000000, 27.44000000, 0, NULL, NULL, 0, 11.10000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.87000000, 22.87000000, 4.57000000, 27.44000000),
(1865, 292, NULL, 1154431, NULL, 'VARIO 32A RO/JA 1 VERT CADEN', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 54.10000000, NULL, 54.10000000, 10.82000000, 0.00000000, 0.00000000, 64.92000000, 0, NULL, NULL, 0, 26.26000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 54.10000000, 54.10000000, 10.82000000, 64.92000000),
(1866, 292, NULL, 1071747, NULL, 'PRESSE ETOUPE ISO 20', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.31000000, NULL, 17.24000000, 3.45000000, 0.00000000, 0.00000000, 20.69000000, 0, NULL, NULL, 0, 2.09000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.31000000, 17.24000000, 3.45000000, 20.69000000),
(1867, 292, NULL, 1116295, NULL, 'CONT 12A 1NO+1NC 400V BIF RES', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 80.10000000, NULL, 80.10000000, 16.02000000, 0.00000000, 0.00000000, 96.12000000, 0, NULL, NULL, 0, 38.88000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 80.10000000, 80.10000000, 16.02000000, 96.12000000),
(1868, 293, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.75, 0, 0, NULL, 63.84000000, NULL, 239.40000000, 47.88000000, 0.00000000, 0.00000000, 287.28000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 239.40000000, 47.88000000, 287.28000000),
(1869, 293, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 88, 0, 0, NULL, 0.97000000, NULL, 85.36000000, 17.07000000, 0.00000000, 0.00000000, 102.43000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 85.36000000, 17.07000000, 102.43000000),
(1870, 293, NULL, 1223702, NULL, 'transfo 230v', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 80.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(1871, 294, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(1872, 294, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(1873, 295, NULL, NULL, NULL, 'Maintenance L37RS N° CD10024873001 à 1736 HRS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1874, 295, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(1875, 295, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(1876, 295, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1877, 295, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(1878, 295, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1879, 295, NULL, NULL, NULL, 'Maintenance separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1880, 295, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 247.77000000, NULL, 247.77000000, 49.55000000, 0.00000000, 0.00000000, 297.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 247.77000000, 247.77000000, 49.55000000, 297.32000000),
(1881, 295, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1882, 295, NULL, NULL, NULL, 'Maintenance L18 N° 100014105/0154 à 16343 HRS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1883, 295, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(1884, 295, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(1885, 295, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1886, 296, NULL, NULL, '1 installation reseau cellule 2 (version 2)', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1887, 296, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 7.62000000, NULL, 76.20000000, 15.24000000, 0.00000000, 0.00000000, 91.44000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.62000000, 76.20000000, 15.24000000, 91.44000000),
(1888, 296, NULL, 1079815, NULL, 'Coude à 45° diam. ext. 18', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 5.61000000, NULL, 112.20000000, 22.44000000, 0.00000000, 0.00000000, 134.64000000, 0, NULL, NULL, 0, 4.01000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.61000000, 112.20000000, 22.44000000, 134.64000000),
(1889, 296, NULL, 1079785, NULL, 'Courbe à 90° diamètre extérieur 18', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 4.59000000, NULL, 110.16000000, 22.03000000, 0.00000000, 0.00000000, 132.19000000, 0, NULL, NULL, 0, 3.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.59000000, 110.16000000, 22.03000000, 132.19000000),
(1890, 296, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 6.77000000, NULL, 67.70000000, 13.54000000, 0.00000000, 0.00000000, 81.24000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 67.70000000, 13.54000000, 81.24000000),
(1891, 296, NULL, 1080067, NULL, 'Tube \"air comprimé\" diam. ext. 18', 20.000, '', 0.000, '0', 0.000, '0', 72, 0, 0, NULL, 4.21000000, NULL, 303.12000000, 60.62000000, 0.00000000, 0.00000000, 363.74000000, 0, NULL, NULL, 0, 2.81000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.21000000, 303.12000000, 60.62000000, 363.74000000),
(1892, 296, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 151, 0, 0, NULL, 6.20000000, NULL, 936.20000000, 187.24000000, 0.00000000, 0.00000000, 1123.44000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 936.20000000, 187.24000000, 1123.44000000),
(1893, 296, NULL, 1079991, NULL, 'Manchon diamètre extérieur 18', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.91000000, NULL, 29.10000000, 5.82000000, 0.00000000, 0.00000000, 34.92000000, 0, NULL, NULL, 0, 2.08000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.91000000, 29.10000000, 5.82000000, 34.92000000),
(1894, 296, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 22, 0, 0, NULL, 4.21000000, NULL, 92.62000000, 18.52000000, 0.00000000, 0.00000000, 111.14000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.21000000, 92.62000000, 18.52000000, 111.14000000),
(1895, 296, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 9.45000000, NULL, 37.80000000, 7.56000000, 0.00000000, 0.00000000, 45.36000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.45000000, 37.80000000, 7.56000000, 45.36000000),
(1896, 296, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 55, 0, 0, NULL, 1.14000000, NULL, 62.70000000, 12.54000000, 0.00000000, 0.00000000, 75.24000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 62.70000000, 12.54000000, 75.24000000),
(1897, 296, NULL, 1080111, NULL, 'Collier protégé pour tube diam. 18 - M8', 20.000, '', 0.000, '0', 0.000, '0', 22, 0, 0, NULL, 1.01000000, NULL, 22.22000000, 4.44000000, 0.00000000, 0.00000000, 26.66000000, 0, NULL, NULL, 0, 0.71000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.01000000, 22.22000000, 4.44000000, 26.66000000),
(1898, 296, NULL, 1079960, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 18.½\"', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 12.03000000, NULL, 108.27000000, 21.65000000, 0.00000000, 0.00000000, 129.92000000, 0, NULL, NULL, 0, 8.41000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.03000000, 108.27000000, 21.65000000, 129.92000000),
(1899, 296, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 21.07000000, NULL, 126.42000000, 25.28000000, 0.00000000, 0.00000000, 151.70000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.07000000, 126.42000000, 25.28000000, 151.70000000),
(1900, 296, NULL, 1079930, NULL, 'Raccord mixte mâle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 8.54000000, NULL, 25.62000000, 5.12000000, 0.00000000, 0.00000000, 30.74000000, 0, NULL, NULL, 0, 6.01000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.54000000, 25.62000000, 5.12000000, 30.74000000),
(1901, 296, NULL, 1223619, NULL, 'enrouleur automatique à cliquet 13 x 19-/20b long 15m', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 391.00000000, NULL, 3519.00000000, 703.80000000, 0.00000000, 0.00000000, 4222.80000000, 0, NULL, NULL, 0, 290.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 391.00000000, 3519.00000000, 703.80000000, 4222.80000000),
(1902, 296, NULL, 966954, NULL, 'Croix égale FFFF G1/4', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 3.23000000, NULL, 29.07000000, 5.81000000, 0.00000000, 0.00000000, 34.88000000, 0, NULL, NULL, 0, 1.57000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.23000000, 29.07000000, 5.81000000, 34.88000000),
(1903, 296, NULL, 966946, NULL, 'Coude M/F G1/2', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 2.88000000, NULL, 25.92000000, 5.18000000, 0.00000000, 0.00000000, 31.10000000, 0, NULL, NULL, 0, 1.40000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.88000000, 25.92000000, 5.18000000, 31.10000000),
(1904, 296, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 3.63000000, NULL, 32.67000000, 6.53000000, 0.00000000, 0.00000000, 39.20000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.63000000, 32.67000000, 6.53000000, 39.20000000),
(1905, 296, NULL, 966506, NULL, 'Vanne 1/4 Tour PN40 F/F 1\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 8.11000000, NULL, 32.44000000, 6.49000000, 0.00000000, 0.00000000, 38.93000000, 0, NULL, NULL, 0, 5.79000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.11000000, 32.44000000, 6.49000000, 38.93000000),
(1906, 296, NULL, 968571, NULL, 'support pivotant pour enrouleurs séries E430/E4430', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 38.76000000, NULL, 348.84000000, 69.77000000, 0.00000000, 0.00000000, 418.61000000, 0, NULL, NULL, 0, 22.19000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.76000000, 348.84000000, 69.77000000, 418.61000000),
(1907, 296, NULL, 971709, NULL, 'Raccord sécurité M G1/2 ISO C 5.5mm', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 20.76000000, NULL, 186.84000000, 37.37000000, 0.00000000, 0.00000000, 224.21000000, 0, NULL, NULL, 0, 10.08000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.76000000, 186.84000000, 37.37000000, 224.21000000),
(1908, 296, NULL, 971766, NULL, 'Raccord sécurité F G1/2 ISOC8', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 30.74000000, NULL, 276.66000000, 55.33000000, 0.00000000, 0.00000000, 331.99000000, 0, NULL, NULL, 0, 15.90000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.74000000, 276.66000000, 55.33000000, 331.99000000),
(1909, 296, NULL, 966892, NULL, 'Bouchon M. cylindrique G1/2', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 0.86000000, NULL, 7.74000000, 1.55000000, 0.00000000, 0.00000000, 9.29000000, 0, NULL, NULL, 0, 0.42000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.86000000, 7.74000000, 1.55000000, 9.29000000),
(1910, 296, NULL, 1190653, NULL, 'SUPPORTAGE METALLIQUE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 225.00000000, NULL, 225.00000000, 45.00000000, 0.00000000, 0.00000000, 270.00000000, 0, NULL, NULL, 0, 165.00000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 225.00000000, 225.00000000, 45.00000000, 270.00000000),
(1911, 296, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 1.44000000, NULL, 12.96000000, 2.59000000, 0.00000000, 0.00000000, 15.55000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.44000000, 12.96000000, 2.59000000, 15.55000000),
(1912, 296, NULL, 1079863, NULL, 'Té réduit diam. ext. 28 . 18 . 28', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 8.48000000, NULL, 84.80000000, 16.96000000, 0.00000000, 0.00000000, 101.76000000, 0, NULL, NULL, 0, 6.06000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.48000000, 84.80000000, 16.96000000, 101.76000000),
(1913, 296, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5319.00000000, NULL, 5319.00000000, 1063.80000000, 0.00000000, 0.00000000, 6382.80000000, 0, NULL, NULL, 0, 3940.00000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5319.00000000, 5319.00000000, 1063.80000000, 6382.80000000),
(1914, 296, NULL, NULL, 'Sous-total installation reseau cellule 2 (version 2)', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1915, 296, NULL, NULL, '2 option 1 bouclage reseau Ø28 entre B-C au niveau de desc N°4', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1916, 296, NULL, NULL, NULL, '<p>Permet une pression constante &agrave; tous points du reseau sur les lignes B-C</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1917, 296, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 6.20000000, NULL, 148.80000000, 29.76000000, 0.00000000, 0.00000000, 178.56000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 148.80000000, 29.76000000, 178.56000000),
(1918, 296, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.77000000, NULL, 6.77000000, 1.35000000, 0.00000000, 0.00000000, 8.12000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 6.77000000, 1.35000000, 8.12000000),
(1919, 296, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.59000000, NULL, 9.59000000, 1.92000000, 0.00000000, 0.00000000, 11.51000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.59000000, 9.59000000, 1.92000000, 11.51000000),
(1920, 296, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.14000000, NULL, 11.40000000, 2.28000000, 0.00000000, 0.00000000, 13.68000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 11.40000000, 2.28000000, 13.68000000),
(1921, 296, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.28000000, NULL, 17.12000000, 3.42000000, 0.00000000, 0.00000000, 20.54000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.28000000, 17.12000000, 3.42000000, 20.54000000),
(1922, 296, NULL, 1190653, NULL, 'SUPPORTAGE METALLIQUE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 80.00000000, NULL, 80.00000000, 16.00000000, 0.00000000, 0.00000000, 96.00000000, 0, NULL, NULL, 0, 60.00000000, NULL, 0, 0, 37, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 80.00000000, 80.00000000, 16.00000000, 96.00000000),
(1923, 296, NULL, 966506, NULL, 'Vanne 1/4 Tour PN40 F/F 1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.11000000, NULL, 8.11000000, 1.62000000, 0.00000000, 0.00000000, 9.73000000, 0, NULL, NULL, 0, 5.79000000, NULL, 0, 0, 38, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.11000000, 8.11000000, 1.62000000, 9.73000000),
(1924, 296, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.07000000, NULL, 42.14000000, 8.43000000, 0.00000000, 0.00000000, 50.57000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 39, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.07000000, 42.14000000, 8.43000000, 50.57000000),
(1925, 296, NULL, 1190354, NULL, 'Forfait Chantier', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 540.00000000, NULL, 540.00000000, 108.00000000, 0.00000000, 0.00000000, 648.00000000, 0, NULL, NULL, 0, 400.00000000, NULL, 0, 0, 40, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 540.00000000, 540.00000000, 108.00000000, 648.00000000),
(1926, 296, NULL, NULL, 'Sous-total OPTION 1 bouclage reseau Ø28 entre B-C au niveau de desc N°4', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 41, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1927, 296, NULL, NULL, '3 OPtion 2 : vanne d\'isolement bas de descente :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 42, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1928, 296, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 3.63000000, NULL, 32.67000000, 6.53000000, 0.00000000, 0.00000000, 39.20000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 43, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.63000000, 32.67000000, 6.53000000, 39.20000000),
(1929, 296, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 44, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(1930, 296, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 1.44000000, NULL, 12.96000000, 2.59000000, 0.00000000, 0.00000000, 15.55000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 45, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.44000000, 12.96000000, 2.59000000, 15.55000000),
(1931, 296, NULL, NULL, 'Sous-total OPtion 2 : vanne d\'isolement bas de descente :', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 46, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1932, 296, NULL, 1223619, NULL, 'enrouleur automatique à cliquet 13 x 19-/20b long 15m', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 391.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 290.00000000, NULL, 0, 0, 47, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 391.00000000, 0.00000000, 0.00000000, 0.00000000),
(1933, 296, NULL, 967624, NULL, 'Pistolet gonflage SUPER P G1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 72.10000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 48, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 72.10000000, 0.00000000, 0.00000000, 0.00000000),
(1934, 297, NULL, 969787, NULL, 'Tube rigide DN=16', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 3.33000000, NULL, 13.32000000, 2.66000000, 0.00000000, 0.00000000, 15.98000000, 0, NULL, NULL, 0, 1.62000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.33000000, 13.32000000, 2.66000000, 15.98000000),
(1935, 297, NULL, 969991, NULL, 'Colle polymère 0.250 litre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.85000000, NULL, 23.85000000, 4.77000000, 0.00000000, 0.00000000, 28.62000000, 0, NULL, NULL, 0, 11.58000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.85000000, 23.85000000, 4.77000000, 28.62000000),
(1936, 298, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 399.00000000, NULL, 399.00000000, 79.80000000, 0.00000000, 0.00000000, 478.80000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 399.00000000, 399.00000000, 79.80000000, 478.80000000),
(1937, 298, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(1938, 298, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(1939, 298, NULL, 1230901, NULL, 'SEPARATOR ST005 0-0101/SP015-022', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 216.10000000, NULL, 216.10000000, 43.22000000, 0.00000000, 0.00000000, 259.32000000, 0, NULL, NULL, 0, 129.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 216.10000000, 216.10000000, 43.22000000, 259.32000000),
(1940, 298, NULL, 1179717, NULL, 'MAJOR KIT E               L07 - L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 251.70000000, NULL, 251.70000000, 50.34000000, 0.00000000, 0.00000000, 302.04000000, 0, NULL, NULL, 0, 93.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 251.70000000, 251.70000000, 50.34000000, 302.04000000),
(1941, 298, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1942, 299, NULL, 952686, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 39.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(1943, 299, NULL, 952687, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 39.60000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(1945, 299, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(1946, 299, NULL, 1231577, NULL, 'element filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.92000000, NULL, 25.84000000, 5.17000000, 0.00000000, 0.00000000, 31.01000000, 0, NULL, NULL, 0, 7.58000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.92000000, 25.84000000, 5.17000000, 31.01000000),
(1947, 300, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(1948, 300, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1949, 300, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(1950, 301, NULL, NULL, 'travaux des bureaux: mise en place de pavés led saillie', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1951, 301, NULL, 1230701, NULL, 'KIT saillie pour LED PANEL', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 53.28000000, NULL, 266.40000000, 53.28000000, 0.00000000, 0.00000000, 319.68000000, 0, NULL, NULL, 0, 45.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.28000000, 266.40000000, 53.28000000, 319.68000000),
(1952, 301, NULL, 1230700, NULL, 'encastré 600x600 LED Panel 3400 lumens', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 79.92000000, NULL, 399.60000000, 79.92000000, 0.00000000, 0.00000000, 479.52000000, 0, NULL, NULL, 0, 66.25000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.92000000, 399.60000000, 79.92000000, 479.52000000),
(1953, 301, NULL, 1190663, NULL, 'R2V CU 3G2,5 C100M', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.50000000, NULL, 25.00000000, 5.00000000, 0.00000000, 0.00000000, 30.00000000, 0, NULL, NULL, 0, 1.23000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.50000000, 25.00000000, 5.00000000, 30.00000000),
(1954, 301, NULL, 1070179, NULL, 'PRMOSAIC 2X2P+T F/B 45', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 20.09000000, NULL, 60.27000000, 12.05000000, 0.00000000, 0.00000000, 72.32000000, 0, NULL, NULL, 0, 15.38000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.09000000, 60.27000000, 12.05000000, 72.32000000),
(1955, 301, NULL, 1070030, NULL, 'RJ45 C6 STP MOSAIC 2 M', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 20.72000000, NULL, 41.44000000, 8.29000000, 0.00000000, 0.00000000, 49.73000000, 0, NULL, NULL, 0, 17.16000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.72000000, 41.44000000, 8.29000000, 49.73000000),
(1956, 301, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.96000000, NULL, 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.96000000, 48.00000000, 9.60000000, 57.60000000),
(1957, 301, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 6.5, 0, 0, NULL, 62.99000000, NULL, 409.44000000, 81.88000000, 0.00000000, 0.00000000, 491.32000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 62.99000000, 409.44000000, 81.88000000, 491.32000000),
(1958, 301, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(1959, 302, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(1960, 303, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 14, 0, 0, NULL, 63.84000000, NULL, 893.76000000, 178.75000000, 0.00000000, 0.00000000, 1072.51000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 893.76000000, 178.75000000, 1072.51000000),
(1961, 303, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(1962, 303, NULL, NULL, NULL, 'r&eacute;paration variateur&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 592.80000000, NULL, 592.80000000, 118.56000000, 0.00000000, 0.00000000, 711.36000000, 1, NULL, NULL, 0, 456.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 592.80000000, 592.80000000, 118.56000000, 711.36000000),
(1963, 304, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(1964, 304, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 72, 0, 0, NULL, 0.97000000, NULL, 69.84000000, 13.97000000, 0.00000000, 0.00000000, 83.81000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 69.84000000, 13.97000000, 83.81000000),
(1965, 304, NULL, 969133, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.30000000, NULL, 111.30000000, 22.26000000, 0.00000000, 0.00000000, 133.56000000, 0, NULL, NULL, 0, 93.55000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.30000000, 111.30000000, 22.26000000, 133.56000000),
(1966, 305, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.75, 0, 0, NULL, 63.84000000, NULL, 175.56000000, 35.11000000, 0.00000000, 0.00000000, 210.67000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 175.56000000, 35.11000000, 210.67000000),
(1967, 305, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(1968, 306, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(1969, 306, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 70, 0, 0, NULL, 0.97000000, NULL, 67.90000000, 13.58000000, 0.00000000, 0.00000000, 81.48000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 67.90000000, 13.58000000, 81.48000000),
(1970, 306, NULL, 1175688, NULL, 'THERMAL BYPASS VALVE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 98.60000000, NULL, 98.60000000, 19.72000000, 0.00000000, 0.00000000, 118.32000000, 0, NULL, NULL, 0, 59.16000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 98.60000000, 98.60000000, 19.72000000, 118.32000000),
(1971, 307, NULL, 1230698, NULL, 'sécheur par adsorption 170m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3031.15000000, NULL, 3031.15000000, 606.23000000, 0.00000000, 0.00000000, 3637.38000000, 0, NULL, NULL, 0, 2650.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3031.15000000, 3031.15000000, 606.23000000, 3637.38000000),
(1972, 307, NULL, 1222643, NULL, 'Fourniture raccordement compris', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 542.57000000, NULL, 542.57000000, 108.51000000, 0.00000000, 0.00000000, 651.08000000, 0, NULL, NULL, 0, 450.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 542.57000000, 542.57000000, 108.51000000, 651.08000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(1973, 307, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.45000000, NULL, 4.45000000, 0.89000000, 0.00000000, 0.00000000, 5.34000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.45000000, 4.45000000, 0.89000000, 5.34000000),
(1974, 307, NULL, 1222180, NULL, 'bidon vrs46 5l', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.59000000, NULL, 28.59000000, 5.72000000, 0.00000000, 0.00000000, 34.31000000, 0, NULL, NULL, 0, 14.75000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.59000000, 28.59000000, 5.72000000, 34.31000000),
(1975, 307, NULL, 1221761, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.63000000, NULL, 16.63000000, 3.33000000, 0.00000000, 0.00000000, 19.96000000, 0, NULL, NULL, 0, 8.16000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.63000000, 16.63000000, 3.33000000, 19.96000000),
(1976, 307, NULL, 954037, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.89000000, NULL, 34.89000000, 6.98000000, 0.00000000, 0.00000000, 41.87000000, 0, NULL, NULL, 0, 17.12000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.89000000, 34.89000000, 6.98000000, 41.87000000),
(1977, 307, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 141.72000000, NULL, 141.72000000, 28.34000000, 0.00000000, 0.00000000, 170.06000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 141.72000000, 141.72000000, 28.34000000, 170.06000000),
(1978, 308, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(1979, 308, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 77.00000000, NULL, 154.00000000, 30.80000000, 0.00000000, 0.00000000, 184.80000000, 0, NULL, NULL, 0, 46.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.00000000, 154.00000000, 30.80000000, 184.80000000),
(1980, 308, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1981, 308, NULL, 1230901, NULL, 'SEPARATOR ST005 0-0101/SP015-022', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 216.10000000, NULL, 216.10000000, 43.22000000, 0.00000000, 0.00000000, 259.32000000, 0, NULL, NULL, 0, 129.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 216.10000000, 216.10000000, 43.22000000, 259.32000000),
(1982, 308, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(1983, 309, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(1984, 309, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 72, 0, 0, NULL, 0.97000000, NULL, 69.84000000, 13.97000000, 0.00000000, 0.00000000, 83.81000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 69.84000000, 13.97000000, 83.81000000),
(1985, 309, NULL, 1231574, NULL, 'électrovanne de régulation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 371.28000000, NULL, 371.28000000, 74.26000000, 0.00000000, 0.00000000, 445.54000000, 0, NULL, NULL, 0, 252.03000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 371.28000000, 371.28000000, 74.26000000, 445.54000000),
(1986, 310, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(1987, 310, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(1988, 310, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(1989, 310, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(1990, 310, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.13000000, NULL, 34.26000000, 6.85000000, 0.00000000, 0.00000000, 41.11000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 34.26000000, 6.85000000, 41.11000000),
(1991, 310, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(1992, 311, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(1993, 311, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(1994, 311, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(1995, 311, NULL, 953896, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 71.25000000, NULL, 71.25000000, 14.25000000, 0.00000000, 0.00000000, 85.50000000, 0, NULL, NULL, 0, 34.59000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 71.25000000, 71.25000000, 14.25000000, 85.50000000),
(1996, 311, NULL, 953882, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.19000000, NULL, 73.19000000, 14.64000000, 0.00000000, 0.00000000, 87.83000000, 0, NULL, NULL, 0, 35.53000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.19000000, 73.19000000, 14.64000000, 87.83000000),
(1997, 312, NULL, 1230003, NULL, 'CHAUFFAGE AIR PULSE MOBILE SUR ROUES ELECTRIQUE -  ALIMENTATION 380 VPUISSANCE REGLABLE 5 - 10  - 15  KW', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 543.00000000, NULL, 543.00000000, 108.60000000, 0.00000000, 0.00000000, 651.60000000, 0, NULL, NULL, 0, 441.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 543.00000000, 543.00000000, 108.60000000, 651.60000000),
(1998, 313, NULL, 1071473, NULL, 'BOITE DERIVATION 80X80 PLEXO', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 7.67000000, NULL, 38.35000000, 7.67000000, 0.00000000, 0.00000000, 46.02000000, 0, NULL, NULL, 0, 3.72000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.67000000, 38.35000000, 7.67000000, 46.02000000),
(1999, 313, NULL, 1223604, NULL, '2 x 58w etanche oleveon', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 57.00000000, NULL, 114.00000000, 22.80000000, 0.00000000, 0.00000000, 136.80000000, 0, NULL, NULL, 0, 45.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.00000000, 114.00000000, 22.80000000, 136.80000000),
(2000, 313, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 19, 0, 0, NULL, 63.84000000, NULL, 1212.96000000, 242.59000000, 0.00000000, 0.00000000, 1455.55000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 1212.96000000, 242.59000000, 1455.55000000),
(2001, 313, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 128, 0, 0, NULL, 0.97000000, NULL, 124.16000000, 24.83000000, 0.00000000, 0.00000000, 148.99000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 124.16000000, 24.83000000, 148.99000000),
(2002, 313, NULL, 1071273, NULL, 'BOITE DERIVATION 310X240', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 139.10000000, NULL, 139.10000000, 27.82000000, 0.00000000, 0.00000000, 166.92000000, 0, NULL, NULL, 0, 107.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 139.10000000, 139.10000000, 27.82000000, 166.92000000),
(2003, 313, NULL, 1190446, NULL, 'tube neon 58w/865', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 7.21000000, NULL, 28.84000000, 5.77000000, 0.00000000, 0.00000000, 34.61000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.21000000, 28.84000000, 5.77000000, 34.61000000),
(2004, 314, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2020-02-20 00:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(2005, 315, NULL, 952623, NULL, 'silencieux 1/2\"G sans bypass', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 61.16000000, NULL, 122.32000000, 24.46000000, 0.00000000, 0.00000000, 146.78000000, 0, NULL, NULL, 0, 29.69000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.16000000, 122.32000000, 24.46000000, 146.78000000),
(2006, 315, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(2007, 315, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(2008, 315, NULL, 1231618, NULL, 'electrovanne 1/2\" 2/2 normalement fermé', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.46000000, NULL, 50.46000000, 10.09000000, 0.00000000, 0.00000000, 60.55000000, 0, NULL, NULL, 0, 40.37000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.46000000, 50.46000000, 10.09000000, 60.55000000),
(2009, 316, NULL, NULL, NULL, 'Maintenance L18 N° CD10009710001 à 14526 HRS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2010, 316, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 399.00000000, NULL, 399.00000000, 79.80000000, 0.00000000, 0.00000000, 478.80000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 399.00000000, 399.00000000, 79.80000000, 478.80000000),
(2011, 316, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2012, 316, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 147.65000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(2013, 316, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(2014, 316, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(2015, 316, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2016, 316, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2017, 316, NULL, NULL, NULL, 'Filtres réseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2018, 316, NULL, 952992, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 88.70000000, NULL, 88.70000000, 17.74000000, 0.00000000, 0.00000000, 106.44000000, 0, NULL, NULL, 0, 43.06000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.70000000, 88.70000000, 17.74000000, 106.44000000),
(2019, 316, NULL, 952994, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 88.70000000, NULL, 88.70000000, 17.74000000, 0.00000000, 0.00000000, 106.44000000, 0, NULL, NULL, 0, 43.06000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.70000000, 88.70000000, 17.74000000, 106.44000000),
(2020, 316, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2021, 317, NULL, 944321, NULL, 'compresseur rotatif à vis librifiees à vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15183.00000000, NULL, 15183.00000000, 3036.60000000, 0.00000000, 0.00000000, 18219.60000000, 0, NULL, NULL, 0, 12400.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15183.00000000, 15183.00000000, 3036.60000000, 18219.60000000),
(2022, 317, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.03000000, NULL, 120.03000000, 24.01000000, 0.00000000, 0.00000000, 144.04000000, 0, NULL, NULL, 0, 248.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.03000000, 120.03000000, 24.01000000, 144.04000000),
(2023, 317, NULL, 1219921, NULL, 'RES. AIR COMPRIME GALVA 1000L-10,67b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1477.80000000, NULL, 1477.80000000, 295.56000000, 0.00000000, 0.00000000, 1773.36000000, 0, NULL, NULL, 0, 776.97000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1477.80000000, 1477.80000000, 295.56000000, 1773.36000000),
(2024, 317, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 93.20000000, NULL, 93.20000000, 18.64000000, 0.00000000, 0.00000000, 111.84000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 93.20000000, 93.20000000, 18.64000000, 111.84000000),
(2025, 317, NULL, 952648, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 336.63000000, NULL, 336.63000000, 67.33000000, 0.00000000, 0.00000000, 403.96000000, 0, NULL, NULL, 0, 177.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 336.63000000, 336.63000000, 67.33000000, 403.96000000),
(2026, 317, NULL, 952647, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 336.63000000, NULL, 336.63000000, 67.33000000, 0.00000000, 0.00000000, 403.96000000, 0, NULL, NULL, 0, 177.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 336.63000000, 336.63000000, 67.33000000, 403.96000000),
(2027, 317, NULL, 966221, NULL, 'Rouleau Teflon PTFE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.61000000, NULL, 0.61000000, 0.12000000, 0.00000000, 0.00000000, 0.73000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.61000000, 0.61000000, 0.12000000, 0.73000000),
(2028, 317, NULL, 958253, NULL, 'ÖWAMAT 12 oil/water separatot without pre-separation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 860.42000000, NULL, 860.42000000, 172.08000000, 0.00000000, 0.00000000, 1032.50000000, 0, NULL, NULL, 0, 479.26000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 860.42000000, 860.42000000, 172.08000000, 1032.50000000),
(2029, 317, NULL, 972631, NULL, 'Té égal D8', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.03000000, NULL, 15.15000000, 3.03000000, 0.00000000, 0.00000000, 18.18000000, 0, NULL, NULL, 0, 1.60000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.03000000, 15.15000000, 3.03000000, 18.18000000),
(2030, 317, NULL, 972586, NULL, 'Raccord mâle G1/4 D8', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.20000000, NULL, 6.00000000, 1.20000000, 0.00000000, 0.00000000, 7.20000000, 0, NULL, NULL, 0, 0.64000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.20000000, 6.00000000, 1.20000000, 7.20000000),
(2031, 317, NULL, 972160, NULL, 'Tube Rilsan incolore 6x8 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.71000000, NULL, 27.71000000, 5.54000000, 0.00000000, 0.00000000, 33.25000000, 0, NULL, NULL, 0, 17.23000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.71000000, 27.71000000, 5.54000000, 33.25000000),
(2032, 317, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.52000000, NULL, 7.04000000, 1.41000000, 0.00000000, 0.00000000, 8.45000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.52000000, 7.04000000, 1.41000000, 8.45000000),
(2033, 317, NULL, 966729, NULL, 'Réduction conique M/F G1/2x1/4', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 0.89000000, NULL, 3.56000000, 0.71000000, 0.00000000, 0.00000000, 4.27000000, 0, NULL, NULL, 0, 0.47000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.89000000, 3.56000000, 0.71000000, 4.27000000),
(2034, 317, NULL, 972770, NULL, 'Coude tournant M G1/4 6x8', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 2.55000000, NULL, 10.20000000, 2.04000000, 0.00000000, 0.00000000, 12.24000000, 0, NULL, NULL, 0, 1.34000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.55000000, 10.20000000, 2.04000000, 12.24000000),
(2035, 317, NULL, 1080071, NULL, 'Tube \"air comprimé\" diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 36, 0, 0, NULL, 10.36000000, NULL, 372.96000000, 74.59000000, 0.00000000, 0.00000000, 447.55000000, 0, NULL, NULL, 0, 7.90000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.36000000, 372.96000000, 74.59000000, 447.55000000),
(2036, 317, NULL, 1079995, NULL, 'Manchon diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 5.95000000, NULL, 35.70000000, 7.14000000, 0.00000000, 0.00000000, 42.84000000, 0, NULL, NULL, 0, 4.54000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.95000000, 35.70000000, 7.14000000, 42.84000000),
(2037, 317, NULL, 1079789, NULL, 'Courbe à 90° diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 18.03000000, NULL, 540.90000000, 108.18000000, 0.00000000, 0.00000000, 649.08000000, 0, NULL, NULL, 0, 13.75000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.03000000, 540.90000000, 108.18000000, 649.08000000),
(2038, 317, NULL, 1079819, NULL, 'Coude à 45° diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 14.75000000, NULL, 147.50000000, 29.50000000, 0.00000000, 0.00000000, 177.00000000, 0, NULL, NULL, 0, 11.25000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.75000000, 147.50000000, 29.50000000, 177.00000000),
(2039, 317, NULL, 1079854, NULL, 'Té égal diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 16.63000000, NULL, 166.30000000, 33.26000000, 0.00000000, 0.00000000, 199.56000000, 0, NULL, NULL, 0, 12.67000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.63000000, 166.30000000, 33.26000000, 199.56000000),
(2040, 317, NULL, 1079967, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 31.25000000, NULL, 312.50000000, 62.50000000, 0.00000000, 0.00000000, 375.00000000, 0, NULL, NULL, 0, 23.83000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 31.25000000, 312.50000000, 62.50000000, 375.00000000),
(2041, 317, NULL, 1230646, NULL, 'Raccord Mixte mâle diam ext 42.1\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 16.00000000, NULL, 160.00000000, 32.00000000, 0.00000000, 0.00000000, 192.00000000, 0, NULL, NULL, 0, 12.84000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 160.00000000, 32.00000000, 192.00000000),
(2042, 317, NULL, 1080015, NULL, 'Manchon d\'extrémité diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.70000000, NULL, 8.70000000, 1.74000000, 0.00000000, 0.00000000, 10.44000000, 0, NULL, NULL, 0, 6.63000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.70000000, 8.70000000, 1.74000000, 10.44000000),
(2043, 317, NULL, 1080115, NULL, 'Collier protégé pour tube diam. 42 - M8', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 1.22000000, NULL, 24.40000000, 4.88000000, 0.00000000, 0.00000000, 29.28000000, 0, NULL, NULL, 0, 0.94000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.22000000, 24.40000000, 4.88000000, 29.28000000),
(2044, 317, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.92000000, NULL, 4.92000000, 0.98000000, 0.00000000, 0.00000000, 5.90000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.92000000, 4.92000000, 0.98000000, 5.90000000),
(2045, 317, NULL, 966508, NULL, 'Vanne 1/4 Tour PN30 F/F 1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 26.08000000, NULL, 260.80000000, 52.16000000, 0.00000000, 0.00000000, 312.96000000, 0, NULL, NULL, 0, 13.71000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.08000000, 260.80000000, 52.16000000, 312.96000000),
(2046, 317, NULL, 966894, NULL, 'Bouchon laiton hexag. G 1\"male', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.29000000, NULL, 4.58000000, 0.92000000, 0.00000000, 0.00000000, 5.50000000, 0, NULL, NULL, 0, 1.20000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.29000000, 4.58000000, 0.92000000, 5.50000000),
(2047, 317, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.32000000, NULL, 2.64000000, 0.53000000, 0.00000000, 0.00000000, 3.17000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.32000000, 2.64000000, 0.53000000, 3.17000000),
(2048, 317, NULL, 966705, NULL, 'Mamelon conique G1\"x1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.09000000, NULL, 10.18000000, 2.04000000, 0.00000000, 0.00000000, 12.22000000, 0, NULL, NULL, 0, 2.67000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.09000000, 10.18000000, 2.04000000, 12.22000000),
(2049, 317, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.06000000, NULL, 23.06000000, 4.61000000, 0.00000000, 0.00000000, 27.67000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.06000000, 23.06000000, 4.61000000, 27.67000000),
(2050, 317, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement<br>\nhors sectionneur et lignes EDF avec L22 en secours dans le meme local<br />\r\nD&eacute;montage &amp; repose<br />\r\nGainage et by pass ete hiver&nbsp; avec joint silicone et sans manchon toile&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2908.26000000, NULL, 2908.26000000, 581.65000000, 0.00000000, 0.00000000, 3489.91000000, 0, NULL, NULL, 0, 2750.00000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2908.26000000, 2908.26000000, 581.65000000, 3489.91000000),
(2051, 317, NULL, 1230685, NULL, 'lot acier galva avec coude sortie 19777', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1846.52000000, NULL, 1846.52000000, 369.30000000, 0.00000000, 0.00000000, 2215.82000000, 0, NULL, NULL, 0, 1047.00000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1846.52000000, 1846.52000000, 369.30000000, 2215.82000000),
(2052, 317, NULL, 1230686, NULL, 'hebergement etancheité', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1384.86000000, NULL, 1384.86000000, 276.97000000, 0.00000000, 0.00000000, 1661.83000000, 0, NULL, NULL, 0, 1007.00000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1384.86000000, 1384.86000000, 276.97000000, 1661.83000000),
(2053, 317, NULL, NULL, NULL, 'reprise du compresseur&nbsp; GA11', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 300.84000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 300.00000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 300.84000000, 0.00000000, 0.00000000, 0.00000000),
(2057, 318, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(2058, 319, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.97000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 58.20000000, 11.64000000, 69.84000000),
(2059, 319, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(2060, 320, NULL, 1223585, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.54000000, NULL, 20.54000000, 4.11000000, 0.00000000, 0.00000000, 24.65000000, 1, NULL, NULL, 0, 11.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.54000000, 20.54000000, 4.11000000, 24.65000000),
(2061, 321, NULL, NULL, '1 Compresseur BDS15H', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2062, 321, NULL, 1221764, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.58000000, NULL, 16.58000000, 3.32000000, 0.00000000, 0.00000000, 19.90000000, 0, NULL, NULL, 0, 8.05000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.58000000, 16.58000000, 3.32000000, 19.90000000),
(2063, 321, NULL, 1221788, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.84000000, NULL, 24.84000000, 4.97000000, 0.00000000, 0.00000000, 29.81000000, 0, NULL, NULL, 0, 12.06000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.84000000, 24.84000000, 4.97000000, 29.81000000),
(2064, 321, NULL, 1221717, NULL, 'separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 94.62000000, NULL, 94.62000000, 18.92000000, 0.00000000, 0.00000000, 113.54000000, 0, NULL, NULL, 0, 45.93000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 94.62000000, 94.62000000, 18.92000000, 113.54000000),
(2065, 321, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2066, 321, NULL, NULL, '2 Compresseur GA15SP :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2067, 321, NULL, 954898, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 157.54000000, NULL, 157.54000000, 31.51000000, 0.00000000, 0.00000000, 189.05000000, 0, NULL, NULL, 0, 76.48000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 157.54000000, 157.54000000, 31.51000000, 189.05000000),
(2068, 321, NULL, 955247, NULL, 'KIT POUR SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.48000000, NULL, 10.48000000, 2.10000000, 0.00000000, 0.00000000, 12.58000000, 0, NULL, NULL, 0, 5.09000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.48000000, 10.48000000, 2.10000000, 12.58000000),
(2069, 321, NULL, 951752, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.82000000, NULL, 13.82000000, 2.76000000, 0.00000000, 0.00000000, 16.58000000, 0, NULL, NULL, 0, 6.71000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.82000000, 13.82000000, 2.76000000, 16.58000000),
(2070, 321, NULL, 954034, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.67000000, NULL, 24.67000000, 4.93000000, 0.00000000, 0.00000000, 29.60000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 24.67000000, 4.93000000, 29.60000000),
(2071, 321, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2072, 321, NULL, NULL, '3 Compresseur L15 Compair', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2073, 321, NULL, 1221761, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.81000000, NULL, 16.81000000, 3.36000000, 0.00000000, 0.00000000, 20.17000000, 0, NULL, NULL, 0, 8.16000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.81000000, 16.81000000, 3.36000000, 20.17000000),
(2074, 321, NULL, 1221779, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.12000000, NULL, 20.12000000, 4.02000000, 0.00000000, 0.00000000, 24.14000000, 0, NULL, NULL, 0, 10.06000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.12000000, 20.12000000, 4.02000000, 24.14000000),
(2075, 321, NULL, 1175968, NULL, 'V-BELT     SET = 3', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.19000000, NULL, 57.19000000, 11.44000000, 0.00000000, 0.00000000, 68.63000000, 0, NULL, NULL, 0, 43.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.19000000, 57.19000000, 11.44000000, 68.63000000),
(2076, 321, NULL, 1221739, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.98000000, NULL, 78.98000000, 15.80000000, 0.00000000, 0.00000000, 94.78000000, 0, NULL, NULL, 0, 48.40000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.98000000, 78.98000000, 15.80000000, 94.78000000),
(2077, 321, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2078, 321, NULL, NULL, '4 filtre a air sortie cuve', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2079, 321, NULL, 1180664, NULL, 'FILTER ELEMENT CE0036G B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 178.20000000, NULL, 178.20000000, 35.64000000, 0.00000000, 0.00000000, 213.84000000, 0, NULL, NULL, 0, 132.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 178.20000000, 178.20000000, 35.64000000, 213.84000000),
(2080, 321, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2081, 321, NULL, 1231603, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.62000000, NULL, 57.62000000, 11.52000000, 0.00000000, 0.00000000, 69.14000000, 0, NULL, NULL, 0, 44.33000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.62000000, 57.62000000, 11.52000000, 69.14000000),
(2082, 321, NULL, 1231604, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.24000000, NULL, 52.24000000, 10.45000000, 0.00000000, 0.00000000, 62.69000000, 0, NULL, NULL, 0, 40.19000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.24000000, 52.24000000, 10.45000000, 62.69000000),
(2083, 321, NULL, 1231603, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.62000000, NULL, 57.62000000, 11.52000000, 0.00000000, 0.00000000, 69.14000000, 0, NULL, NULL, 0, 44.33000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.62000000, 57.62000000, 11.52000000, 69.14000000),
(2084, 321, NULL, 1231605, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.62000000, NULL, 57.62000000, 11.52000000, 0.00000000, 0.00000000, 69.14000000, 0, NULL, NULL, 0, 44.33000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.62000000, 57.62000000, 11.52000000, 69.14000000),
(2085, 321, NULL, 1231606, NULL, 'kit separateur de condensats beko 4011999', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.33000000, NULL, 105.33000000, 21.07000000, 0.00000000, 0.00000000, 126.40000000, 0, NULL, NULL, 0, 81.03000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.33000000, 105.33000000, 21.07000000, 126.40000000),
(2086, 321, NULL, 1231607, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 26.89000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.00000000, 40.00000000, 8.00000000, 48.00000000),
(2087, 322, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 63.84000000, NULL, 319.20000000, 63.84000000, 0.00000000, 0.00000000, 383.04000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 319.20000000, 63.84000000, 383.04000000),
(2088, 322, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 72, 0, 0, NULL, 0.97000000, NULL, 69.84000000, 13.97000000, 0.00000000, 0.00000000, 83.81000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 69.84000000, 13.97000000, 83.81000000),
(2089, 323, NULL, 952827, NULL, 'secheur 72m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 935.07000000, NULL, 935.07000000, 187.01000000, 0.00000000, 0.00000000, 1122.08000000, 0, NULL, NULL, 0, 659.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 935.07000000, 935.07000000, 187.01000000, 1122.08000000),
(2090, 323, NULL, 967469, NULL, 'About collerette G1/2 tuy.16mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.78000000, NULL, 9.56000000, 1.91000000, 0.00000000, 0.00000000, 11.47000000, 0, NULL, NULL, 0, 3.27000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.78000000, 9.56000000, 1.91000000, 11.47000000),
(2091, 323, NULL, 967740, NULL, 'Colliers à oreilles 1417', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.38000000, NULL, 26.76000000, 5.35000000, 0.00000000, 0.00000000, 32.11000000, 0, NULL, NULL, 0, 9.15000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.38000000, 26.76000000, 5.35000000, 32.11000000),
(2092, 323, NULL, NULL, NULL, 'flexible 1 metres diametre 16&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 35.52000000, NULL, 71.04000000, 14.21000000, 0.00000000, 0.00000000, 85.25000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.52000000, 71.04000000, 14.21000000, 85.25000000),
(2093, 324, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(2094, 324, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.97000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 42.68000000, 8.54000000, 51.22000000),
(2095, 324, NULL, 1190522, NULL, 'kit hors gel', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 392.06000000, NULL, 392.06000000, 78.41000000, 0.00000000, 0.00000000, 470.47000000, 0, NULL, NULL, 0, 290.41000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 392.06000000, 392.06000000, 78.41000000, 470.47000000),
(2096, 325, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2097, 325, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2098, 325, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(2099, 325, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 147.65000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(2100, 325, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(2101, 326, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(2102, 326, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2103, 326, NULL, 1179639, NULL, 'FILTER SERVICE KIT FRAME 0', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 152.20000000, NULL, 152.20000000, 30.44000000, 0.00000000, 0.00000000, 182.64000000, 0, NULL, NULL, 0, 86.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 152.20000000, 152.20000000, 30.44000000, 182.64000000),
(2104, 327, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(2105, 327, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2106, 327, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(2107, 327, NULL, 954831, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.74000000, NULL, 85.74000000, 17.15000000, 0.00000000, 0.00000000, 102.89000000, 0, NULL, NULL, 0, 57.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.74000000, 85.74000000, 17.15000000, 102.89000000),
(2108, 327, NULL, 955240, NULL, 'KIT POUR SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.75000000, NULL, 27.75000000, 5.55000000, 0.00000000, 0.00000000, 33.30000000, 0, NULL, NULL, 0, 18.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.75000000, 27.75000000, 5.55000000, 33.30000000),
(2109, 327, NULL, 951752, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.07000000, NULL, 10.07000000, 2.01000000, 0.00000000, 0.00000000, 12.08000000, 0, NULL, NULL, 0, 6.71000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.07000000, 10.07000000, 2.01000000, 12.08000000),
(2110, 327, NULL, 954034, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.97000000, NULL, 17.97000000, 3.59000000, 0.00000000, 0.00000000, 21.56000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.97000000, 17.97000000, 3.59000000, 21.56000000),
(2111, 327, NULL, 951706, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 87.80000000, NULL, 175.60000000, 35.12000000, 0.00000000, 0.00000000, 210.72000000, 0, NULL, NULL, 0, 58.53000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 87.80000000, 175.60000000, 35.12000000, 210.72000000),
(2112, 328, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.63000000, NULL, 286.63000000, 57.33000000, 0.00000000, 0.00000000, 343.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.63000000, 286.63000000, 57.33000000, 343.96000000),
(2113, 328, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2114, 328, NULL, 955029, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 124.98000000, NULL, 124.98000000, 25.00000000, 0.00000000, 0.00000000, 149.98000000, 0, NULL, NULL, 0, 60.67000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 124.98000000, 124.98000000, 25.00000000, 149.98000000),
(2115, 328, NULL, 952166, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.97000000, NULL, 20.97000000, 4.19000000, 0.00000000, 0.00000000, 25.16000000, 0, NULL, NULL, 0, 10.18000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.97000000, 20.97000000, 4.19000000, 25.16000000),
(2116, 328, NULL, 954060, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.14000000, NULL, 42.14000000, 8.43000000, 0.00000000, 0.00000000, 50.57000000, 0, NULL, NULL, 0, 20.46000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.14000000, 42.14000000, 8.43000000, 50.57000000),
(2117, 328, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(2118, 329, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(2119, 329, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.25000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 32.50000000, 6.50000000, 39.00000000),
(2121, 329, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(2122, 329, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2123, 329, NULL, 1223597, NULL, 'kit adaptable ck2076-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 41.76000000, NULL, 41.76000000, 8.35000000, 0.00000000, 0.00000000, 50.11000000, 0, NULL, NULL, 0, 20.88000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.76000000, 41.76000000, 8.35000000, 50.11000000),
(2124, 329, NULL, 1221736, NULL, 'FILTRE SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.80000000, NULL, 59.80000000, 11.96000000, 0.00000000, 0.00000000, 71.76000000, 0, NULL, NULL, 0, 29.03000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.80000000, 59.80000000, 11.96000000, 71.76000000),
(2125, 330, NULL, 1218069, NULL, 'SOUPAPE 2800/F18 1\" 10.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.00000000, NULL, 99.00000000, 19.80000000, 0.00000000, 0.00000000, 118.80000000, 0, NULL, NULL, 0, 99.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.00000000, 99.00000000, 19.80000000, 118.80000000),
(2126, 299, NULL, 952662, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(2127, 331, NULL, NULL, NULL, 'Separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2128, 331, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(2129, 331, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2130, 331, NULL, NULL, NULL, 'Maintenance L45RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2131, 331, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(2132, 331, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2133, 331, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(2134, 331, NULL, 1179655, NULL, 'SEPARATOR KIT D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 613.40000000, NULL, 613.40000000, 122.68000000, 0.00000000, 0.00000000, 736.08000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 613.40000000, 613.40000000, 122.68000000, 736.08000000),
(2135, 331, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2136, 331, NULL, NULL, NULL, 'filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2137, 331, NULL, 1222124, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 95.15000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(2138, 331, NULL, 1222125, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 95.15000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(2139, 331, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2140, 332, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2141, 332, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(2142, 332, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 23.25000000, NULL, 93.00000000, 18.60000000, 0.00000000, 0.00000000, 111.60000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 93.00000000, 18.60000000, 111.60000000),
(2143, 332, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(2144, 332, NULL, 1221804, NULL, 'filtre 8973015221', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.82000000, NULL, 42.82000000, 8.56000000, 0.00000000, 0.00000000, 51.38000000, 0, NULL, NULL, 0, 21.41000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.82000000, 42.82000000, 8.56000000, 51.38000000),
(2145, 332, NULL, 1221803, NULL, 'filtre 8973015191', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.86000000, NULL, 42.86000000, 8.57000000, 0.00000000, 0.00000000, 51.43000000, 0, NULL, NULL, 0, 21.43000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.86000000, 42.86000000, 8.57000000, 51.43000000),
(2146, 332, NULL, 1221752, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.60000000, NULL, 22.60000000, 4.52000000, 0.00000000, 0.00000000, 27.12000000, 0, NULL, NULL, 0, 11.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.60000000, 22.60000000, 4.52000000, 27.12000000),
(2147, 332, NULL, 1221738, NULL, 'SEPARATEUR AIR/HUILE 6221372450', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.36000000, NULL, 79.36000000, 15.87000000, 0.00000000, 0.00000000, 95.23000000, 0, NULL, NULL, 0, 39.68000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.36000000, 79.36000000, 15.87000000, 95.23000000),
(2148, 332, NULL, 1221770, NULL, 'filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.28000000, NULL, 14.28000000, 2.86000000, 0.00000000, 0.00000000, 17.14000000, 0, NULL, NULL, 0, 7.14000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.28000000, 14.28000000, 2.86000000, 17.14000000),
(2149, 333, NULL, NULL, NULL, 'Maintenance compresseur GE10 :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2150, 333, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(2151, 333, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2152, 333, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(2153, 333, NULL, 955044, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.39000000, NULL, 86.39000000, 17.28000000, 0.00000000, 0.00000000, 103.67000000, 0, NULL, NULL, 0, 41.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.39000000, 86.39000000, 17.28000000, 103.67000000),
(2154, 333, NULL, 954039, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.57000000, NULL, 11.57000000, 2.31000000, 0.00000000, 0.00000000, 13.88000000, 0, NULL, NULL, 0, 5.62000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.57000000, 11.57000000, 2.31000000, 13.88000000),
(2155, 333, NULL, 952140, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(2156, 333, NULL, 1222588, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 14.29000000, NULL, 42.87000000, 8.57000000, 0.00000000, 0.00000000, 51.44000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 42.87000000, 8.57000000, 51.44000000),
(2158, 334, NULL, NULL, '1 Installation et raccordement sécheur par réfrigeration :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2159, 334, NULL, 952816, NULL, 'secheur à réfrigération 108m3/h rac 3/4\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 807.03000000, NULL, 807.03000000, 161.41000000, 0.00000000, 0.00000000, 968.44000000, 0, NULL, NULL, 0, 706.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 807.03000000, 807.03000000, 161.41000000, 968.44000000),
(2160, 334, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 87.72000000, NULL, 87.72000000, 17.54000000, 0.00000000, 0.00000000, 105.26000000, 0, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 87.72000000, 87.72000000, 17.54000000, 105.26000000),
(2161, 334, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 342.10000000, NULL, 342.10000000, 68.42000000, 0.00000000, 0.00000000, 410.52000000, 0, NULL, NULL, 0, 245.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 342.10000000, 342.10000000, 68.42000000, 410.52000000),
(2162, 334, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2163, 334, NULL, NULL, '2 Maintenance compresseur :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2166, 334, NULL, 954053, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.56000000, NULL, 35.56000000, 7.11000000, 0.00000000, 0.00000000, 42.67000000, 0, NULL, NULL, 0, 19.54000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.56000000, 35.56000000, 7.11000000, 42.67000000),
(2167, 334, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2168, 334, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.30000000, NULL, 27.30000000, 5.46000000, 0.00000000, 0.00000000, 32.76000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.30000000, 27.30000000, 5.46000000, 32.76000000),
(2169, 334, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2170, 334, NULL, 952661, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(2171, 334, NULL, 1221757, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.12000000, NULL, 21.12000000, 4.22000000, 0.00000000, 0.00000000, 25.34000000, 0, NULL, NULL, 0, 10.25000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.12000000, 21.12000000, 4.22000000, 25.34000000),
(2172, 334, NULL, 1221734, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.43000000, NULL, 68.43000000, 13.69000000, 0.00000000, 0.00000000, 82.12000000, 0, NULL, NULL, 0, 33.22000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.43000000, 68.43000000, 13.69000000, 82.12000000),
(2173, 335, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 201.51000000, NULL, 403.02000000, 80.60000000, 0.00000000, 0.00000000, 483.62000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 201.51000000, 403.02000000, 80.60000000, 483.62000000),
(2174, 335, NULL, 1178071, NULL, 'AIR FILTER', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 75.87000000, NULL, 75.87000000, 15.17000000, 0.00000000, 0.00000000, 91.04000000, 0, NULL, NULL, 0, 62.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 75.87000000, 75.87000000, 15.17000000, 91.04000000),
(2175, 335, NULL, 1178073, NULL, 'OIL (EXCHANGE) FILTER', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.41000000, NULL, 117.41000000, 23.48000000, 0.00000000, 0.00000000, 140.89000000, 0, NULL, NULL, 0, 96.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.41000000, 117.41000000, 23.48000000, 140.89000000),
(2176, 335, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 287.86000000, NULL, 287.86000000, 57.57000000, 0.00000000, 0.00000000, 345.43000000, 0, NULL, NULL, 0, 147.65000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 287.86000000, 287.86000000, 57.57000000, 345.43000000),
(2177, 335, NULL, 952872, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 138.47000000, NULL, 138.47000000, 27.69000000, 0.00000000, 0.00000000, 166.16000000, 0, NULL, NULL, 0, 92.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 138.47000000, 138.47000000, 27.69000000, 166.16000000),
(2178, 336, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(2179, 336, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(2180, 336, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(2181, 336, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 147.65000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(2182, 336, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(2183, 336, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.13000000, NULL, 51.39000000, 10.28000000, 0.00000000, 0.00000000, 61.67000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 51.39000000, 10.28000000, 61.67000000),
(2184, 337, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 63.84000000, NULL, 319.20000000, 63.84000000, 0.00000000, 0.00000000, 383.04000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 319.20000000, 63.84000000, 383.04000000),
(2185, 337, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(2186, 338, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(2187, 338, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(2188, 338, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(2189, 338, NULL, 1179662, NULL, 'SEPARATOR KIT D            L55-L75+L75SR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 912.90000000, NULL, 912.90000000, 182.58000000, 0.00000000, 0.00000000, 1095.48000000, 0, NULL, NULL, 0, 547.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 912.90000000, 912.90000000, 182.58000000, 1095.48000000),
(2190, 338, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2191, 339, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2192, 339, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2193, 339, NULL, 954009, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 49.04000000, NULL, 49.04000000, 9.81000000, 0.00000000, 0.00000000, 58.85000000, 0, NULL, NULL, 0, 23.81000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 49.04000000, 49.04000000, 9.81000000, 58.85000000),
(2194, 339, NULL, 953880, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.72000000, NULL, 53.72000000, 10.74000000, 0.00000000, 0.00000000, 64.46000000, 0, NULL, NULL, 0, 25.68000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.72000000, 53.72000000, 10.74000000, 64.46000000),
(2195, 339, NULL, 953908, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.90000000, NULL, 52.90000000, 10.58000000, 0.00000000, 0.00000000, 63.48000000, 0, NULL, NULL, 0, 25.68000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.90000000, 52.90000000, 10.58000000, 63.48000000),
(2196, 339, NULL, 954185, NULL, 'KIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.37000000, NULL, 73.37000000, 14.67000000, 0.00000000, 0.00000000, 88.04000000, 0, NULL, NULL, 0, 35.62000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.37000000, 73.37000000, 14.67000000, 88.04000000),
(2197, 339, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(2198, 340, NULL, 1222594, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.29000000, NULL, 14.29000000, 2.86000000, 0.00000000, 0.00000000, 17.15000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 14.29000000, 2.86000000, 17.15000000),
(2199, 340, NULL, 1221472, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.74000000, NULL, 59.74000000, 11.95000000, 0.00000000, 0.00000000, 71.69000000, 0, NULL, NULL, 0, 29.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.74000000, 59.74000000, 11.95000000, 71.69000000),
(2200, 340, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(2201, 340, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(2202, 340, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2203, 340, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2204, 340, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(2205, 340, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(2206, 340, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(2207, 341, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 148, 0, 0, NULL, 0.97000000, NULL, 143.56000000, 28.71000000, 0.00000000, 0.00000000, 172.27000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 143.56000000, 28.71000000, 172.27000000),
(2208, 341, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(2209, 341, NULL, 1176213, NULL, 'SPARE MEMBRANE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 59.90000000, NULL, 119.80000000, 23.96000000, 0.00000000, 0.00000000, 143.76000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.90000000, 119.80000000, 23.96000000, 143.76000000),
(2210, 342, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2211, 342, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2212, 342, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(2213, 342, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(2214, 342, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(2215, 342, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(2216, 343, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2217, 343, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2218, 343, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 70.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(2219, 343, NULL, 1179646, NULL, 'SEPARATOR KIT D            L07-L11RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.20000000, NULL, 284.20000000, 56.84000000, 0.00000000, 0.00000000, 341.04000000, 0, NULL, NULL, 0, 170.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.20000000, 284.20000000, 56.84000000, 341.04000000),
(2220, 343, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.13000000, NULL, 34.26000000, 6.85000000, 0.00000000, 0.00000000, 41.11000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 34.26000000, 6.85000000, 41.11000000),
(2221, 343, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 291.60000000, NULL, 291.60000000, 58.32000000, 0.00000000, 0.00000000, 349.92000000, 0, NULL, NULL, 0, 174.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 291.60000000, 291.60000000, 58.32000000, 349.92000000),
(2222, 344, NULL, 952822, NULL, 'sécheur à réfrigération 260m3/h racc 1\'\' +3°C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1595.75000000, NULL, 1595.75000000, 319.15000000, 0.00000000, 0.00000000, 1914.90000000, 0, NULL, NULL, 0, 1227.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1595.75000000, 1595.75000000, 319.15000000, 1914.90000000),
(2223, 344, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 384.25000000, NULL, 384.25000000, 76.85000000, 0.00000000, 0.00000000, 461.10000000, 0, NULL, NULL, 0, 288.90000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 384.25000000, 384.25000000, 76.85000000, 461.10000000),
(2224, 345, NULL, 971707, NULL, 'Raccord séc M ISO C G1/4', 20.000, '', 0.000, '0', 0.000, '0', 112, 0, 0, NULL, 12.17000000, NULL, 1363.04000000, 272.61000000, 0.00000000, 0.00000000, 1635.65000000, 0, NULL, NULL, 0, 9.95000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.17000000, 1363.04000000, 272.61000000, 1635.65000000),
(2225, 345, NULL, 966691, NULL, 'Mamelon conique G1/4x1/4', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.45000000, NULL, 22.50000000, 4.50000000, 0.00000000, 0.00000000, 27.00000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.45000000, 22.50000000, 4.50000000, 27.00000000),
(2226, 345, NULL, 966954, NULL, 'Croix égale FFFF G1/4', 20.000, '', 0.000, '0', 0.000, '0', 28, 0, 0, NULL, 2.04000000, NULL, 57.12000000, 11.42000000, 0.00000000, 0.00000000, 68.54000000, 0, NULL, NULL, 0, 1.55000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.04000000, 57.12000000, 11.42000000, 68.54000000),
(2227, 345, NULL, 966964, NULL, 'Té égal FFF G1/4', 20.000, '', 0.000, '0', 0.000, '0', 56, 0, 0, NULL, 1.17000000, NULL, 65.52000000, 13.10000000, 0.00000000, 0.00000000, 78.62000000, 0, NULL, NULL, 0, 0.90000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.17000000, 65.52000000, 13.10000000, 78.62000000),
(2228, 345, NULL, 971943, NULL, 'Tuyau PVC Polyflexair 10x16', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.84000000, NULL, 42.00000000, 8.40000000, 0.00000000, 0.00000000, 50.40000000, 0, NULL, NULL, 0, 0.62000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.84000000, 42.00000000, 8.40000000, 50.40000000),
(2229, 345, NULL, 967777, NULL, 'Colliers bande ajourée 12-22mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 66.20000000, NULL, 66.20000000, 13.24000000, 0.00000000, 0.00000000, 79.44000000, 0, NULL, NULL, 0, 50.90000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 66.20000000, 66.20000000, 13.24000000, 79.44000000),
(2230, 346, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2231, 346, NULL, 955041, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(2232, 346, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(2233, 346, NULL, 952001, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.37000000, NULL, 33.37000000, 6.67000000, 0.00000000, 0.00000000, 40.04000000, 0, NULL, NULL, 0, 16.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.37000000, 33.37000000, 6.67000000, 40.04000000),
(2234, 346, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2235, 346, NULL, 1222606, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.35000000, NULL, 55.05000000, 11.01000000, 0.00000000, 0.00000000, 66.06000000, 0, NULL, NULL, 0, 8.91000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.35000000, 55.05000000, 11.01000000, 66.06000000),
(2236, 346, NULL, 954013, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.93000000, NULL, 99.93000000, 19.99000000, 0.00000000, 0.00000000, 119.92000000, 0, NULL, NULL, 0, 48.51000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.93000000, 99.93000000, 19.99000000, 119.92000000),
(2237, 346, NULL, 955222, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.73000000, NULL, 78.73000000, 15.75000000, 0.00000000, 0.00000000, 94.48000000, 0, NULL, NULL, 0, 38.23000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.73000000, 78.73000000, 15.75000000, 94.48000000),
(2238, 347, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(2239, 347, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2240, 347, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(2241, 347, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 147.65000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(2242, 347, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(2243, 347, NULL, 944542, NULL, 'cartouche reseaux', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 170.98000000, NULL, 170.98000000, 34.20000000, 0.00000000, 0.00000000, 205.18000000, 0, NULL, NULL, 0, 83.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 170.98000000, 170.98000000, 34.20000000, 205.18000000),
(2244, 347, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 291.60000000, NULL, 291.60000000, 58.32000000, 0.00000000, 0.00000000, 349.92000000, 0, NULL, NULL, 0, 174.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 291.60000000, 291.60000000, 58.32000000, 349.92000000),
(2245, 348, NULL, 951971, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(2246, 348, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(2247, 348, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(2248, 348, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2249, 348, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2250, 349, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(2251, 349, NULL, 1179655, NULL, 'SEPARATOR KIT D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 613.40000000, NULL, 613.40000000, 122.68000000, 0.00000000, 0.00000000, 736.08000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 613.40000000, 613.40000000, 122.68000000, 736.08000000),
(2252, 349, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(2253, 349, NULL, 1222181, NULL, 'Huile anderol FGC46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 464.32000000, NULL, 464.32000000, 92.86000000, 0.00000000, 0.00000000, 557.18000000, 0, NULL, NULL, 0, 225.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 464.32000000, 464.32000000, 92.86000000, 557.18000000),
(2254, 349, NULL, 1213316, NULL, 'CARTOUCHE E100 1\"1/2 FILTRE S-AIR XAC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(2255, 349, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2256, 350, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2257, 350, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(2258, 350, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2259, 351, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(2260, 351, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2261, 351, NULL, 1221465, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(2262, 351, NULL, 944539, NULL, 'Filtre rechange grade X', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.50000000, NULL, 154.50000000, 30.90000000, 0.00000000, 0.00000000, 185.40000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 154.50000000, 154.50000000, 30.90000000, 185.40000000),
(2263, 351, NULL, 944540, NULL, 'Filtre rechange (GRADE Y)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.50000000, NULL, 154.50000000, 30.90000000, 0.00000000, 0.00000000, 185.40000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 154.50000000, 154.50000000, 30.90000000, 185.40000000),
(2264, 351, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(2265, 351, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(2266, 351, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 69.53000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(2267, 351, NULL, 1222577, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.54000000, NULL, 55.62000000, 11.12000000, 0.00000000, 0.00000000, 66.74000000, 0, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.54000000, 55.62000000, 11.12000000, 66.74000000),
(2276, 353, NULL, 944315, NULL, 'compresseur rotatif à vis librifiees à vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6752.52000000, NULL, 6752.52000000, 1350.50000000, 0.00000000, 0.00000000, 8103.02000000, 0, NULL, NULL, 0, 6190.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6752.52000000, 6752.52000000, 1350.50000000, 8103.02000000),
(2277, 353, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.11000000, NULL, 130.11000000, 26.02000000, 0.00000000, 0.00000000, 156.13000000, 0, NULL, NULL, 0, 123.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.11000000, 130.11000000, 26.02000000, 156.13000000),
(2278, 353, NULL, 966505, NULL, 'Vanne 1/4 Tour PN40 F/F 3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.77000000, NULL, 7.77000000, 1.55000000, 0.00000000, 0.00000000, 9.32000000, 0, NULL, NULL, 0, 3.77000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.77000000, 7.77000000, 1.55000000, 9.32000000),
(2279, 353, NULL, 966506, NULL, 'Vanne 1/4 Tour PN40 F/F 1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.93000000, NULL, 11.93000000, 2.39000000, 0.00000000, 0.00000000, 14.32000000, 0, NULL, NULL, 0, 5.79000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.93000000, 11.93000000, 2.39000000, 14.32000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(2280, 353, NULL, 966703, NULL, 'Mamelon conique G3/4x3/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.51000000, NULL, 5.02000000, 1.00000000, 0.00000000, 0.00000000, 6.02000000, 0, NULL, NULL, 0, 1.22000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.51000000, 5.02000000, 1.00000000, 6.02000000),
(2281, 353, NULL, 966705, NULL, 'Mamelon conique G1\"x1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.50000000, NULL, 11.00000000, 2.20000000, 0.00000000, 0.00000000, 13.20000000, 0, NULL, NULL, 0, 2.67000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 11.00000000, 2.20000000, 13.20000000),
(2282, 353, NULL, 1223702, NULL, 'ensemble raccords et flexible de raccordement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 599.07000000, NULL, 599.07000000, 119.81000000, 0.00000000, 0.00000000, 718.88000000, 0, NULL, NULL, 0, 300.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 599.07000000, 599.07000000, 119.81000000, 718.88000000),
(2283, 353, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement<br>\navec inverseur &eacute;lectrique et modification', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3152.57000000, NULL, 3152.57000000, 630.51000000, 0.00000000, 0.00000000, 3783.08000000, 0, NULL, NULL, 0, 1150.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3152.57000000, 3152.57000000, 630.51000000, 3783.08000000),
(2284, 354, NULL, 1188156, NULL, 'compresseur apiston 43m3/h 7,5ch 10 bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1573.00000000, NULL, 1573.00000000, 314.60000000, 0.00000000, 0.00000000, 1887.60000000, 0, NULL, NULL, 0, 1185.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1573.00000000, 1573.00000000, 314.60000000, 1887.60000000),
(2285, 355, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2286, 355, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(2287, 355, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(2288, 355, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(2289, 355, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(2290, 355, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2291, 356, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 52, 0, 0, NULL, 0.97000000, NULL, 50.44000000, 10.09000000, 0.00000000, 0.00000000, 60.53000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 50.44000000, 10.09000000, 60.53000000),
(2292, 356, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(2293, 356, NULL, 1230923, NULL, 'OIL SEPARATOR ESE3-7 BTT. lis&auml;t.', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 152.20000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 152.20000000, 0.00000000, 0.00000000, 0.00000000),
(2294, 357, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2295, 357, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2296, 357, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.00000000, NULL, 35.00000000, 7.00000000, 0.00000000, 0.00000000, 42.00000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.00000000, 35.00000000, 7.00000000, 42.00000000),
(2297, 357, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(2298, 357, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(2299, 357, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.00000000, NULL, 92.00000000, 18.40000000, 0.00000000, 0.00000000, 110.40000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.00000000, 92.00000000, 18.40000000, 110.40000000),
(2300, 358, NULL, NULL, NULL, 'Maintenance L30RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2301, 358, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2302, 358, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 378.25000000, NULL, 340.43000000, 68.08000000, 0.00000000, 0.00000000, 408.51000000, 0, NULL, NULL, 0, 226.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 378.25000000, 340.43000000, 68.08000000, 408.51000000),
(2303, 358, NULL, 1179655, NULL, 'SEPARATOR KIT D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 583.76000000, NULL, 525.38000000, 105.08000000, 0.00000000, 0.00000000, 630.46000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 583.76000000, 525.38000000, 105.08000000, 630.46000000),
(2304, 358, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 290.58000000, NULL, 261.52000000, 52.31000000, 0.00000000, 0.00000000, 313.83000000, 0, NULL, NULL, 0, 174.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 290.58000000, 261.52000000, 52.31000000, 313.83000000),
(2305, 358, NULL, 1179728, NULL, 'MAJOR KIT E   L30 with intake valve R90E', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 793.25000000, NULL, 713.93000000, 142.78000000, 0.00000000, 0.00000000, 856.71000000, 0, NULL, NULL, 0, 475.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 793.25000000, 713.93000000, 142.78000000, 856.71000000),
(2306, 358, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2307, 358, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2308, 358, NULL, NULL, NULL, 'Filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2309, 358, NULL, 952690, NULL, 'cartouche media filtrant pne610rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 215.47000000, NULL, 215.47000000, 43.09000000, 0.00000000, 0.00000000, 258.56000000, 0, NULL, NULL, 0, 104.60000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 215.47000000, 215.47000000, 43.09000000, 258.56000000),
(2310, 358, NULL, 1221466, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.36000000, NULL, 214.36000000, 42.87000000, 0.00000000, 0.00000000, 257.23000000, 0, NULL, NULL, 0, 104.06000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.36000000, 214.36000000, 42.87000000, 257.23000000),
(2311, 358, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2312, 358, NULL, NULL, NULL, 'Separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2313, 358, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(2314, 358, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2315, 359, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2316, 359, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(2317, 359, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(2318, 359, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2319, 360, NULL, NULL, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -59.07000000, NULL, -59.07000000, -11.81000000, 0.00000000, 0.00000000, -70.88000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.07000000, 59.07000000, 11.81000000, 70.88000000),
(2320, 361, NULL, 1230647, NULL, 'equilibreuse', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1118.58000000, NULL, 1118.58000000, 223.72000000, 0.00000000, 0.00000000, 1342.30000000, 0, NULL, NULL, 0, 790.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1118.58000000, 1118.58000000, 223.72000000, 1342.30000000),
(2321, 361, NULL, 1230648, NULL, 'démonte pneus', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1274.33000000, NULL, 1274.33000000, 254.87000000, 0.00000000, 0.00000000, 1529.20000000, 0, NULL, NULL, 0, 900.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1274.33000000, 1274.33000000, 254.87000000, 1529.20000000),
(2322, 361, NULL, 1230649, NULL, 'pont 2 colonne 3.2 T', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2831.85000000, NULL, 2831.85000000, 566.37000000, 0.00000000, 0.00000000, 3398.22000000, 0, NULL, NULL, 0, 2000.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2831.85000000, 2831.85000000, 566.37000000, 3398.22000000),
(2323, 361, NULL, 1230650, NULL, 'PONT ELEVATEUR 2 COLONNES 5 T PREMIUM', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2092.42000000, NULL, 2092.42000000, 418.48000000, 0.00000000, 0.00000000, 2510.90000000, 0, NULL, NULL, 0, 1477.78000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2092.42000000, 2092.42000000, 418.48000000, 2510.90000000),
(2324, 361, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3303.82000000, NULL, 3303.82000000, 660.76000000, 0.00000000, 0.00000000, 3964.58000000, 0, NULL, NULL, 0, 1534.61000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3303.82000000, 3303.82000000, 660.76000000, 3964.58000000),
(2325, 362, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2326, 362, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(2327, 362, NULL, 955099, NULL, 'KIT SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.20000000, NULL, 123.20000000, 24.64000000, 0.00000000, 0.00000000, 147.84000000, 0, NULL, NULL, 0, 59.81000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.20000000, 123.20000000, 24.64000000, 147.84000000),
(2328, 362, NULL, 954128, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.35000000, NULL, 14.35000000, 2.87000000, 0.00000000, 0.00000000, 17.22000000, 0, NULL, NULL, 0, 6.97000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.35000000, 14.35000000, 2.87000000, 17.22000000),
(2329, 362, NULL, 952450, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 29.93000000, NULL, 29.93000000, 5.99000000, 0.00000000, 0.00000000, 35.92000000, 0, NULL, NULL, 0, 14.53000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.93000000, 29.93000000, 5.99000000, 35.92000000),
(2330, 363, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(2331, 363, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 62, 0, 0, NULL, 0.97000000, NULL, 60.14000000, 12.03000000, 0.00000000, 0.00000000, 72.17000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 60.14000000, 12.03000000, 72.17000000),
(2332, 364, NULL, 1231685, NULL, 'clapet anti retour 1/2M 1/2F', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.41000000, NULL, 48.41000000, 9.68000000, 0.00000000, 0.00000000, 58.09000000, 0, NULL, NULL, 0, 38.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.41000000, 48.41000000, 9.68000000, 58.09000000),
(2333, 364, NULL, 1223578, NULL, 'FRAIS DE PORT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 18.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 18.00000000, 3.60000000, 21.60000000),
(2334, 365, NULL, NULL, '1 reparation', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2335, 365, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(2336, 365, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(2337, 365, NULL, 1177595, NULL, 'PISTON RING COMPL.', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 198.00000000, NULL, 198.00000000, 39.60000000, 0.00000000, 0.00000000, 237.60000000, 0, NULL, NULL, 0, 118.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 198.00000000, 198.00000000, 39.60000000, 237.60000000),
(2338, 365, NULL, 1176219, NULL, '3/2 - WAY SOLENOID', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 142.30000000, NULL, 142.30000000, 28.46000000, 0.00000000, 0.00000000, 170.76000000, 0, NULL, NULL, 0, 85.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 142.30000000, 142.30000000, 28.46000000, 170.76000000),
(2339, 365, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2340, 365, NULL, NULL, '2 Maintenance SP51 :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2341, 365, NULL, 1222548, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 28.40000000, NULL, 85.20000000, 17.04000000, 0.00000000, 0.00000000, 102.24000000, 0, NULL, NULL, 0, 13.79000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.40000000, 85.20000000, 17.04000000, 102.24000000),
(2342, 365, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(2343, 365, NULL, 951754, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.37000000, NULL, 33.37000000, 6.67000000, 0.00000000, 0.00000000, 40.04000000, 0, NULL, NULL, 0, 16.20000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.37000000, 33.37000000, 6.67000000, 40.04000000),
(2344, 365, NULL, 954037, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.26000000, NULL, 35.26000000, 7.05000000, 0.00000000, 0.00000000, 42.31000000, 0, NULL, NULL, 0, 17.12000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.26000000, 35.26000000, 7.05000000, 42.31000000),
(2345, 365, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2346, 365, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2347, 365, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2348, 366, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2349, 366, NULL, 1222591, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(2350, 366, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(2351, 366, NULL, 951820, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.05000000, NULL, 12.05000000, 2.41000000, 0.00000000, 0.00000000, 14.46000000, 0, NULL, NULL, 0, 5.85000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.05000000, 12.05000000, 2.41000000, 14.46000000),
(2352, 366, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(2353, 366, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2354, 366, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 110.72000000, NULL, 221.44000000, 44.29000000, 0.00000000, 0.00000000, 265.73000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 221.44000000, 44.29000000, 265.73000000),
(2355, 366, NULL, 955219, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 166.20000000, NULL, 166.20000000, 33.24000000, 0.00000000, 0.00000000, 199.44000000, 0, NULL, NULL, 0, 80.68000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 166.20000000, 166.20000000, 33.24000000, 199.44000000),
(2356, 368, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 112, 0, 0, NULL, 0.97000000, NULL, 108.64000000, 21.73000000, 0.00000000, 0.00000000, 130.37000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 108.64000000, 21.73000000, 130.37000000),
(2357, 368, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(2358, 369, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 560.50000000, NULL, 560.50000000, 112.10000000, 0.00000000, 0.00000000, 672.60000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 560.50000000, 560.50000000, 112.10000000, 672.60000000),
(2359, 369, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 220.46000000, NULL, 220.46000000, 44.09000000, 0.00000000, 0.00000000, 264.55000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 220.46000000, 220.46000000, 44.09000000, 264.55000000),
(2360, 370, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2361, 370, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2362, 370, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(2363, 370, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 147.65000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(2365, 370, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(2366, 371, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2367, 371, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2368, 371, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(2369, 371, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(2370, 371, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(2371, 372, NULL, 1078942, NULL, 'Lustreuse Ø 150-178', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 176.00000000, NULL, 176.00000000, 35.20000000, 0.00000000, 0.00000000, 211.20000000, 0, NULL, NULL, 0, 123.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 176.00000000, 176.00000000, 35.20000000, 211.20000000),
(2372, 372, NULL, 1077936, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 11.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(2373, 373, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2374, 373, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2375, 373, NULL, 951971, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(2376, 373, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(2377, 373, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(2378, 373, NULL, 959162, NULL, 'OEKOSORB filter set for ÖWAMAT 1 & 2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.93000000, NULL, 99.93000000, 19.99000000, 0.00000000, 0.00000000, 119.92000000, 0, NULL, NULL, 0, 51.46000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.93000000, 99.93000000, 19.99000000, 119.92000000),
(2379, 373, NULL, 952919, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 47.13000000, NULL, 47.13000000, 9.43000000, 0.00000000, 0.00000000, 56.56000000, 0, NULL, NULL, 0, 22.88000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 47.13000000, 47.13000000, 9.43000000, 56.56000000),
(2380, 373, NULL, 952931, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.32000000, NULL, 57.32000000, 11.46000000, 0.00000000, 0.00000000, 68.78000000, 0, NULL, NULL, 0, 27.83000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.32000000, 57.32000000, 11.46000000, 68.78000000),
(2381, 373, NULL, 1222521, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.88000000, NULL, 9.88000000, 1.98000000, 0.00000000, 0.00000000, 11.86000000, 0, NULL, NULL, 0, 4.80000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.88000000, 9.88000000, 1.98000000, 11.86000000),
(2382, 373, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(2383, 374, NULL, 1190522, NULL, 'kit hors gel', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 342.38000000, NULL, 342.38000000, 68.48000000, 0.00000000, 0.00000000, 410.86000000, 0, NULL, NULL, 0, 290.41000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 342.38000000, 342.38000000, 68.48000000, 410.86000000),
(2384, 374, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 270.46000000, NULL, 270.46000000, 54.09000000, 0.00000000, 0.00000000, 324.55000000, 0, NULL, NULL, 0, 242.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 270.46000000, 270.46000000, 54.09000000, 324.55000000),
(2385, 375, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2386, 375, NULL, 1221800, NULL, 'carouche reseau HFD135', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.04000000, NULL, 113.04000000, 22.61000000, 0.00000000, 0.00000000, 135.65000000, 0, NULL, NULL, 0, 56.52000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.04000000, 113.04000000, 22.61000000, 135.65000000),
(2387, 375, NULL, 1221799, NULL, 'cartouche reseau PFD135', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.04000000, NULL, 113.04000000, 22.61000000, 0.00000000, 0.00000000, 135.65000000, 0, NULL, NULL, 0, 56.52000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.04000000, 113.04000000, 22.61000000, 135.65000000),
(2388, 375, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(2389, 375, NULL, 1221771, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.34000000, NULL, 48.34000000, 9.67000000, 0.00000000, 0.00000000, 58.01000000, 0, NULL, NULL, 0, 24.17000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.34000000, 48.34000000, 9.67000000, 58.01000000),
(2390, 375, NULL, 1221721, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 148.44000000, NULL, 148.44000000, 29.69000000, 0.00000000, 0.00000000, 178.13000000, 0, NULL, NULL, 0, 74.22000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 148.44000000, 148.44000000, 29.69000000, 178.13000000),
(2391, 375, NULL, 1221754, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.34000000, NULL, 48.34000000, 9.67000000, 0.00000000, 0.00000000, 58.01000000, 0, NULL, NULL, 0, 24.17000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.34000000, 48.34000000, 9.67000000, 58.01000000),
(2392, 375, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2393, 376, NULL, NULL, NULL, 'raccord isiflo diam 20 1/2 M', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.89000000, NULL, 25.89000000, 5.18000000, 0.00000000, 0.00000000, 31.07000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.89000000, 25.89000000, 5.18000000, 31.07000000),
(2394, 376, NULL, NULL, NULL, 'raccord isiflo diam 25 1/2 F', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.89000000, NULL, 25.89000000, 5.18000000, 0.00000000, 0.00000000, 31.07000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.89000000, 25.89000000, 5.18000000, 31.07000000),
(2395, 376, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.62000000, NULL, 13.24000000, 2.65000000, 0.00000000, 0.00000000, 15.89000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.62000000, 13.24000000, 2.65000000, 15.89000000),
(2396, 376, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.34000000, NULL, 5.34000000, 1.07000000, 0.00000000, 0.00000000, 6.41000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 5.34000000, 1.07000000, 6.41000000),
(2397, 376, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.42000000, NULL, 6.42000000, 1.28000000, 0.00000000, 0.00000000, 7.70000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 6.42000000, 1.28000000, 7.70000000),
(2398, 376, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.58000000, NULL, 14.58000000, 2.92000000, 0.00000000, 0.00000000, 17.50000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.58000000, 14.58000000, 2.92000000, 17.50000000),
(2399, 376, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 4.98000000, NULL, 7.47000000, 1.49000000, 0.00000000, 0.00000000, 8.96000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 7.47000000, 1.49000000, 8.96000000),
(2400, 376, NULL, 966701, NULL, 'Mamelon conique G1/2x3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.16000000, NULL, 2.16000000, 0.43000000, 0.00000000, 0.00000000, 2.59000000, 0, NULL, NULL, 0, 1.05000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.16000000, 2.16000000, 0.43000000, 2.59000000),
(2401, 376, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.25, 0, 0, NULL, 63.84000000, NULL, 79.80000000, 15.96000000, 0.00000000, 0.00000000, 95.76000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 79.80000000, 15.96000000, 95.76000000),
(2402, 377, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(2403, 377, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 86, 0, 0, NULL, 0.97000000, NULL, 83.42000000, 16.68000000, 0.00000000, 0.00000000, 100.10000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 83.42000000, 16.68000000, 100.10000000),
(2404, 378, NULL, 1231671, NULL, '18 m3/h&nbsp;<br />\r\n20 Litres<br />\r\n10 bars', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 517.72000000, NULL, 1553.16000000, 310.63000000, 0.00000000, 0.00000000, 1863.79000000, 0, NULL, NULL, 0, 414.17000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 517.72000000, 1553.16000000, 310.63000000, 1863.79000000),
(2405, 378, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(2406, 379, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2000.10000000, NULL, 2000.10000000, 400.02000000, 0.00000000, 0.00000000, 2400.12000000, 0, NULL, NULL, 0, 1641.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2000.10000000, 2000.10000000, 400.02000000, 2400.12000000),
(2407, 379, NULL, 1231638, NULL, 'detendeur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 364.13000000, NULL, 364.13000000, 72.83000000, 0.00000000, 0.00000000, 436.96000000, 0, NULL, NULL, 0, 151.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 364.13000000, 364.13000000, 72.83000000, 436.96000000),
(2408, 379, NULL, 966423, NULL, 'Clapet anti-retour F/F G12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.51000000, NULL, 5.51000000, 1.10000000, 0.00000000, 0.00000000, 6.61000000, 0, NULL, NULL, 0, 2.92000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.51000000, 5.51000000, 1.10000000, 6.61000000),
(2409, 379, NULL, 966505, NULL, 'Vanne 1/4 Tour PN40 F/F 3/4', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 7.11000000, NULL, 21.33000000, 4.27000000, 0.00000000, 0.00000000, 25.60000000, 0, NULL, NULL, 0, 3.77000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.11000000, 21.33000000, 4.27000000, 25.60000000),
(2410, 379, NULL, 967021, NULL, 'Coude union 3 pièces MF 1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.13000000, NULL, 7.13000000, 1.43000000, 0.00000000, 0.00000000, 8.56000000, 0, NULL, NULL, 0, 3.78000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.13000000, 7.13000000, 1.43000000, 8.56000000),
(2411, 379, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 4.88000000, NULL, 43.92000000, 8.78000000, 0.00000000, 0.00000000, 52.70000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.88000000, 43.92000000, 8.78000000, 52.70000000),
(2412, 379, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 24.97000000, NULL, 249.70000000, 49.94000000, 0.00000000, 0.00000000, 299.64000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.97000000, 249.70000000, 49.94000000, 299.64000000),
(2413, 379, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.46000000, NULL, 22.92000000, 4.58000000, 0.00000000, 0.00000000, 27.50000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.46000000, 22.92000000, 4.58000000, 27.50000000),
(2414, 379, NULL, 1079867, NULL, 'Té réduit diam. ext. 35 . 22 . 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.99000000, NULL, 9.99000000, 2.00000000, 0.00000000, 0.00000000, 11.99000000, 0, NULL, NULL, 0, 7.67000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.99000000, 9.99000000, 2.00000000, 11.99000000),
(2415, 379, NULL, 966507, NULL, 'Vanne 1/4 Tour PN30 F/F 1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.38000000, NULL, 52.14000000, 10.43000000, 0.00000000, 0.00000000, 62.57000000, 0, NULL, NULL, 0, 9.21000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.38000000, 52.14000000, 10.43000000, 62.57000000),
(2416, 379, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 13.36000000, NULL, 106.88000000, 21.38000000, 0.00000000, 0.00000000, 128.26000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.36000000, 106.88000000, 21.38000000, 128.26000000),
(2417, 379, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.88000000, NULL, 11.76000000, 2.35000000, 0.00000000, 0.00000000, 14.11000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.88000000, 11.76000000, 2.35000000, 14.11000000),
(2418, 379, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 11.80000000, NULL, 47.20000000, 9.44000000, 0.00000000, 0.00000000, 56.64000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.80000000, 47.20000000, 9.44000000, 56.64000000),
(2419, 379, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 7.50000000, NULL, 22.50000000, 4.50000000, 0.00000000, 0.00000000, 27.00000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.50000000, 22.50000000, 4.50000000, 27.00000000),
(2420, 379, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 9.75000000, NULL, 78.00000000, 15.60000000, 0.00000000, 0.00000000, 93.60000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.75000000, 78.00000000, 15.60000000, 93.60000000),
(2421, 379, NULL, 1079818, NULL, 'Coude à 45° diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 9.10000000, NULL, 36.40000000, 7.28000000, 0.00000000, 0.00000000, 43.68000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.10000000, 36.40000000, 7.28000000, 43.68000000),
(2422, 379, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.89000000, NULL, 48.90000000, 9.78000000, 0.00000000, 0.00000000, 58.68000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.89000000, 48.90000000, 9.78000000, 58.68000000),
(2423, 379, NULL, 1080060, NULL, 'Tube \"sanitaire\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 13.33000000, NULL, 39.99000000, 8.00000000, 0.00000000, 0.00000000, 47.99000000, 0, NULL, NULL, 0, 10.25000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.33000000, 39.99000000, 8.00000000, 47.99000000),
(2424, 379, NULL, 1080058, NULL, 'Tube \"sanitaire\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 7.09000000, NULL, 141.80000000, 28.36000000, 0.00000000, 0.00000000, 170.16000000, 0, NULL, NULL, 0, 5.45000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.09000000, 141.80000000, 28.36000000, 170.16000000),
(2425, 379, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 1.03000000, NULL, 8.24000000, 1.65000000, 0.00000000, 0.00000000, 9.89000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.03000000, 8.24000000, 1.65000000, 9.89000000),
(2426, 380, NULL, 1231652, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.28000000, NULL, 7.28000000, 1.46000000, 0.00000000, 0.00000000, 8.74000000, 0, NULL, NULL, 0, 3.64000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.28000000, 7.28000000, 1.46000000, 8.74000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(2427, 380, NULL, 1222180, NULL, 'bidon vrs46 5l', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.39000000, NULL, 60.78000000, 12.16000000, 0.00000000, 0.00000000, 72.94000000, 0, NULL, NULL, 0, 14.75000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.39000000, 60.78000000, 12.16000000, 72.94000000),
(2428, 381, NULL, 971001, NULL, 'About mâle ISO B 6 G1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 3.02000000, NULL, 30.20000000, 6.04000000, 0.00000000, 0.00000000, 36.24000000, 0, NULL, NULL, 0, 1.08000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.02000000, 30.20000000, 6.04000000, 36.24000000),
(2429, 382, NULL, 1231633, NULL, 'VÉRIN ISO VDMA MAGNÉTIQUE FLASQUES ALU DN. 80 COURSE 320', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 316.60000000, NULL, 633.20000000, 126.64000000, 0.00000000, 0.00000000, 759.84000000, 0, NULL, NULL, 0, 204.26000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 316.60000000, 633.20000000, 126.64000000, 759.84000000),
(2430, 382, NULL, 1231634, NULL, 'ELECTRODISTRIBUTEUR ISO 5599/1 TAILLE 2 5/2 RAPPEL RESSORT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 106.79000000, NULL, 213.58000000, 42.72000000, 0.00000000, 0.00000000, 256.30000000, 0, NULL, NULL, 0, 68.90000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 106.79000000, 213.58000000, 42.72000000, 256.30000000),
(2431, 382, NULL, 1231635, NULL, 'SOLÉNOÏDE 30x30 24VDC', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 24.49000000, NULL, 48.98000000, 9.80000000, 0.00000000, 0.00000000, 58.78000000, 0, NULL, NULL, 0, 15.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.49000000, 48.98000000, 9.80000000, 58.78000000),
(2432, 382, NULL, 1231636, NULL, 'CONNECTEUR FORME A STANDARD', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.82000000, NULL, 3.64000000, 0.73000000, 0.00000000, 0.00000000, 4.37000000, 0, NULL, NULL, 0, 1.18000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.82000000, 3.64000000, 0.73000000, 4.37000000),
(2433, 382, NULL, NULL, NULL, 'port en sus', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2434, 383, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 56.19000000, NULL, 112.38000000, 22.48000000, 0.00000000, 0.00000000, 134.86000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.19000000, 112.38000000, 22.48000000, 134.86000000),
(2435, 383, NULL, 952629, NULL, 'filtre réseau charbon actif', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 170.74000000, NULL, 170.74000000, 34.15000000, 0.00000000, 0.00000000, 204.89000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 170.74000000, 170.74000000, 34.15000000, 204.89000000),
(2436, 383, NULL, 952631, NULL, 'filtre reseau 1µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 175.86000000, NULL, 175.86000000, 35.17000000, 0.00000000, 0.00000000, 211.03000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 175.86000000, 175.86000000, 35.17000000, 211.03000000),
(2437, 383, NULL, 952630, NULL, 'filtre BEA105ra 1/2\'\'', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 175.86000000, NULL, 175.86000000, 35.17000000, 0.00000000, 0.00000000, 211.03000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 175.86000000, 175.86000000, 35.17000000, 211.03000000),
(2438, 383, NULL, NULL, NULL, 'platine', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.81000000, NULL, 52.81000000, 10.56000000, 0.00000000, 0.00000000, 63.37000000, 0, NULL, NULL, 0, 45.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.81000000, 52.81000000, 10.56000000, 63.37000000),
(2439, 383, NULL, 967539, NULL, 'Soufflette Bluestar standard', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.26000000, NULL, 9.26000000, 1.85000000, 0.00000000, 0.00000000, 11.11000000, 0, NULL, NULL, 0, 5.11000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.26000000, 9.26000000, 1.85000000, 11.11000000),
(2440, 383, NULL, 1222181, NULL, 'Huile anderol FGC46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 297.56000000, NULL, 297.56000000, 59.51000000, 0.00000000, 0.00000000, 357.07000000, 0, NULL, NULL, 0, 225.40000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 297.56000000, 297.56000000, 59.51000000, 357.07000000),
(2441, 383, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2442, 383, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 347.08000000, NULL, 347.08000000, 69.42000000, 0.00000000, 0.00000000, 416.50000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 347.08000000, 347.08000000, 69.42000000, 416.50000000),
(2443, 383, NULL, 1221736, NULL, 'FILTRE SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.63000000, NULL, 52.63000000, 10.53000000, 0.00000000, 0.00000000, 63.16000000, 0, NULL, NULL, 0, 29.03000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.63000000, 52.63000000, 10.53000000, 63.16000000),
(2444, 383, NULL, 1231609, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.65000000, NULL, 20.65000000, 4.13000000, 0.00000000, 0.00000000, 24.78000000, 0, NULL, NULL, 0, 11.73000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.65000000, 20.65000000, 4.13000000, 24.78000000),
(2445, 383, NULL, 1231610, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.69000000, NULL, 22.69000000, 4.54000000, 0.00000000, 0.00000000, 27.23000000, 0, NULL, NULL, 0, 12.89000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.69000000, 22.69000000, 4.54000000, 27.23000000),
(2446, 383, NULL, 971943, NULL, 'Tuyau PVC Polyflexair 10x16', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 1.17000000, NULL, 58.50000000, 11.70000000, 0.00000000, 0.00000000, 70.20000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.17000000, 58.50000000, 11.70000000, 70.20000000),
(2447, 384, NULL, 1175982, NULL, '3/2-SOLENOID VALVE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.00000000, NULL, 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 78.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.00000000, 130.00000000, 26.00000000, 156.00000000),
(2448, 384, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(2449, 384, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 80, 0, 0, NULL, 0.97000000, NULL, 77.60000000, 15.52000000, 0.00000000, 0.00000000, 93.12000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 77.60000000, 15.52000000, 93.12000000),
(2450, 385, NULL, 1222524, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 20.10000000, NULL, 40.20000000, 8.04000000, 0.00000000, 0.00000000, 48.24000000, 0, NULL, NULL, 0, 9.76000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.10000000, 40.20000000, 8.04000000, 48.24000000),
(2451, 385, NULL, 955157, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.30000000, NULL, 96.30000000, 19.26000000, 0.00000000, 0.00000000, 115.56000000, 0, NULL, NULL, 0, 46.75000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.30000000, 96.30000000, 19.26000000, 115.56000000),
(2452, 385, NULL, 955159, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.30000000, NULL, 10.30000000, 2.06000000, 0.00000000, 0.00000000, 12.36000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 10.30000000, 2.06000000, 12.36000000),
(2453, 385, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2454, 385, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2455, 385, NULL, 952213, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.07000000, NULL, 10.07000000, 2.01000000, 0.00000000, 0.00000000, 12.08000000, 0, NULL, NULL, 0, 4.89000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.07000000, 10.07000000, 2.01000000, 12.08000000),
(2456, 385, NULL, 1221778, NULL, 'fil a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.89000000, NULL, 22.89000000, 4.58000000, 0.00000000, 0.00000000, 27.47000000, 0, NULL, NULL, 0, 11.22000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.89000000, 22.89000000, 4.58000000, 27.47000000),
(2457, 385, NULL, 1221734, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.43000000, NULL, 68.43000000, 13.69000000, 0.00000000, 0.00000000, 82.12000000, 0, NULL, NULL, 0, 33.22000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.43000000, 68.43000000, 13.69000000, 82.12000000),
(2458, 386, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2459, 386, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(2460, 386, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(2461, 386, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(2462, 386, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(2463, 386, NULL, NULL, NULL, 'courroie 00716', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.70000000, NULL, 24.70000000, 4.94000000, 0.00000000, 0.00000000, 29.64000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.70000000, 24.70000000, 4.94000000, 29.64000000),
(2464, 387, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2465, 387, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2466, 387, NULL, 953466, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.75000000, NULL, 67.75000000, 13.55000000, 0.00000000, 0.00000000, 81.30000000, 0, NULL, NULL, 0, 32.89000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.75000000, 67.75000000, 13.55000000, 81.30000000),
(2467, 387, NULL, 953465, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.75000000, NULL, 67.75000000, 13.55000000, 0.00000000, 0.00000000, 81.30000000, 0, NULL, NULL, 0, 32.89000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.75000000, 67.75000000, 13.55000000, 81.30000000),
(2468, 387, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(2469, 387, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.13000000, NULL, 51.39000000, 10.28000000, 0.00000000, 0.00000000, 61.67000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 51.39000000, 10.28000000, 61.67000000),
(2470, 387, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(2471, 387, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(2472, 387, NULL, 1179649, NULL, 'SEPARATOR KIT D             L15RS -L22RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 461.80000000, NULL, 461.80000000, 92.36000000, 0.00000000, 0.00000000, 554.16000000, 0, NULL, NULL, 0, 277.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 461.80000000, 461.80000000, 92.36000000, 554.16000000),
(2473, 387, NULL, 1179720, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 265.70000000, NULL, 265.70000000, 53.14000000, 0.00000000, 0.00000000, 318.84000000, 0, NULL, NULL, 0, 159.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 265.70000000, 265.70000000, 53.14000000, 318.84000000),
(2474, 388, NULL, 1223611, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.48000000, NULL, 17.48000000, 3.50000000, 0.00000000, 0.00000000, 20.98000000, 0, NULL, NULL, 0, 8.74000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.48000000, 17.48000000, 3.50000000, 20.98000000),
(2475, 388, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2476, 388, NULL, 1230694, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 3.40000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(2477, 388, NULL, 1221769, NULL, 'filtre réseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.47000000, NULL, 28.47000000, 5.69000000, 0.00000000, 0.00000000, 34.16000000, 0, NULL, NULL, 0, 13.82000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.47000000, 28.47000000, 5.69000000, 34.16000000),
(2478, 388, NULL, 1221733, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.66000000, NULL, 61.66000000, 12.33000000, 0.00000000, 0.00000000, 73.99000000, 0, NULL, NULL, 0, 29.93000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.66000000, 61.66000000, 12.33000000, 73.99000000),
(2479, 388, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2480, 389, NULL, NULL, NULL, 'L26RS N° CD10027118001 de 2016', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2481, 389, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 857.69000000, NULL, 857.69000000, 171.54000000, 0.00000000, 0.00000000, 1029.23000000, 0, NULL, NULL, 0, 595.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 857.69000000, 857.69000000, 171.54000000, 1029.23000000),
(2482, 389, NULL, 1179723, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 404.39000000, NULL, 404.39000000, 80.88000000, 0.00000000, 0.00000000, 485.27000000, 0, NULL, NULL, 0, 174.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 404.39000000, 404.39000000, 80.88000000, 485.27000000),
(2483, 389, NULL, 952658, NULL, 'cartouche grade ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(2484, 389, NULL, 952684, NULL, 'cartouche grade rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(2485, 389, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 442.79000000, NULL, 442.79000000, 88.56000000, 0.00000000, 0.00000000, 531.35000000, 0, NULL, NULL, 0, 340.60000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 442.79000000, 442.79000000, 88.56000000, 531.35000000),
(2486, 389, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2487, 389, NULL, NULL, NULL, 'L26RS N° CD10021087002 de 2015', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2488, 389, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 451.64000000, NULL, 451.64000000, 90.33000000, 0.00000000, 0.00000000, 541.97000000, 0, NULL, NULL, 0, 339.57000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 451.64000000, 451.64000000, 90.33000000, 541.97000000),
(2489, 389, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 826.25000000, NULL, 826.25000000, 165.25000000, 0.00000000, 0.00000000, 991.50000000, 0, NULL, NULL, 0, 595.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 826.25000000, 826.25000000, 165.25000000, 991.50000000),
(2490, 389, NULL, 1179723, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 389.56000000, NULL, 389.56000000, 77.91000000, 0.00000000, 0.00000000, 467.47000000, 0, NULL, NULL, 0, 174.80000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 389.56000000, 389.56000000, 77.91000000, 467.47000000),
(2491, 389, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 243.03000000, NULL, 243.03000000, 48.61000000, 0.00000000, 0.00000000, 291.64000000, 0, NULL, NULL, 0, 174.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 243.03000000, 243.03000000, 48.61000000, 291.64000000),
(2492, 389, NULL, 952680, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 206.39000000, NULL, 206.39000000, 41.28000000, 0.00000000, 0.00000000, 247.67000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 206.39000000, 206.39000000, 41.28000000, 247.67000000),
(2493, 389, NULL, 952681, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 206.39000000, NULL, 206.39000000, 41.28000000, 0.00000000, 0.00000000, 247.67000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 206.39000000, 206.39000000, 41.28000000, 247.67000000),
(2494, 389, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2495, 389, NULL, NULL, NULL, 'Compresseur L26RS N°CD10015212001 de 2014', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2496, 389, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 451.64000000, NULL, 451.64000000, 90.33000000, 0.00000000, 0.00000000, 541.97000000, 0, NULL, NULL, 0, 347.41000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 451.64000000, 451.64000000, 90.33000000, 541.97000000),
(2497, 389, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 729.52000000, NULL, 729.52000000, 145.90000000, 0.00000000, 0.00000000, 875.42000000, 0, NULL, NULL, 0, 595.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 729.52000000, 729.52000000, 145.90000000, 875.42000000),
(2498, 389, NULL, 1179723, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 363.06000000, NULL, 363.06000000, 72.61000000, 0.00000000, 0.00000000, 435.67000000, 0, NULL, NULL, 0, 174.80000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 363.06000000, 363.06000000, 72.61000000, 435.67000000),
(2499, 389, NULL, 952658, NULL, 'cartouche grade ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.89000000, NULL, 155.89000000, 31.18000000, 0.00000000, 0.00000000, 187.07000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.89000000, 155.89000000, 31.18000000, 187.07000000),
(2500, 389, NULL, 952684, NULL, 'cartouche grade rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.89000000, NULL, 155.89000000, 31.18000000, 0.00000000, 0.00000000, 187.07000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.89000000, 155.89000000, 31.18000000, 187.07000000),
(2501, 389, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2502, 390, NULL, NULL, NULL, 'Maintenance compresseur GE10 :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2509, 390, NULL, 1222588, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -14.29000000, NULL, -14.29000000, -2.86000000, 0.00000000, 0.00000000, -17.15000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -14.29000000, -14.29000000, -2.86000000, -17.15000000),
(2510, 391, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2020-02-20 00:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(2511, 392, NULL, NULL, NULL, 'bons cadeaux', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -495.83000000, NULL, -495.83000000, -99.17000000, 0.00000000, 0.00000000, -595.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -495.83000000, -495.83000000, -99.17000000, -595.00000000),
(2512, 393, NULL, 1223816, NULL, '2400w 230v 420m3/h<br />\r\n62litres 17.5kg<br />\r\ncuve inox', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 432.90000000, NULL, 865.80000000, 173.16000000, 0.00000000, 0.00000000, 1038.96000000, 0, NULL, NULL, 0, 274.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 432.90000000, 865.80000000, 173.16000000, 1038.96000000),
(2513, 394, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(2514, 394, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 80, 0, 0, NULL, 0.97000000, NULL, 77.60000000, 15.52000000, 0.00000000, 0.00000000, 93.12000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 77.60000000, 15.52000000, 93.12000000),
(2515, 395, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 5.66000000, NULL, 101.88000000, 20.38000000, 0.00000000, 0.00000000, 122.26000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.66000000, 101.88000000, 20.38000000, 122.26000000),
(2516, 395, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.90000000, NULL, 19.50000000, 3.90000000, 0.00000000, 0.00000000, 23.40000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.90000000, 19.50000000, 3.90000000, 23.40000000),
(2517, 395, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.18000000, NULL, 24.72000000, 4.94000000, 0.00000000, 0.00000000, 29.66000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.18000000, 24.72000000, 4.94000000, 29.66000000),
(2518, 395, NULL, 1079823, NULL, 'Courbe à 45° diamètre extérieur 108', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 90.75000000, NULL, 363.00000000, 72.60000000, 0.00000000, 0.00000000, 435.60000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.75000000, 363.00000000, 72.60000000, 435.60000000),
(2519, 395, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.75000000, NULL, 8.75000000, 1.75000000, 0.00000000, 0.00000000, 10.50000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.75000000, 8.75000000, 1.75000000, 10.50000000),
(2520, 395, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.27000000, NULL, 16.54000000, 3.31000000, 0.00000000, 0.00000000, 19.85000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.27000000, 16.54000000, 3.31000000, 19.85000000),
(2521, 395, NULL, 1080013, NULL, 'Manchon d\'extrémité diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.47000000, NULL, 5.47000000, 1.09000000, 0.00000000, 0.00000000, 6.56000000, 0, NULL, NULL, 0, 4.22000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.47000000, 5.47000000, 1.09000000, 6.56000000),
(2522, 395, NULL, 1080054, NULL, 'Crosse d\'évêque diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.26000000, NULL, 22.52000000, 4.50000000, 0.00000000, 0.00000000, 27.02000000, 0, NULL, NULL, 0, 8.69000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.26000000, 22.52000000, 4.50000000, 27.02000000),
(2523, 395, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 4.54000000, NULL, 27.24000000, 5.45000000, 0.00000000, 0.00000000, 32.69000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.54000000, 27.24000000, 5.45000000, 32.69000000),
(2524, 395, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.27000000, NULL, 6.54000000, 1.31000000, 0.00000000, 0.00000000, 7.85000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.27000000, 6.54000000, 1.31000000, 7.85000000),
(2525, 395, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.04000000, NULL, 24.16000000, 4.83000000, 0.00000000, 0.00000000, 28.99000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.04000000, 24.16000000, 4.83000000, 28.99000000),
(2526, 395, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.30000000, NULL, 26.60000000, 5.32000000, 0.00000000, 0.00000000, 31.92000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.30000000, 26.60000000, 5.32000000, 31.92000000),
(2527, 395, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.02000000, NULL, 6.12000000, 1.22000000, 0.00000000, 0.00000000, 7.34000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.02000000, 6.12000000, 1.22000000, 7.34000000),
(2528, 395, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 1.04000000, NULL, 12.48000000, 2.50000000, 0.00000000, 0.00000000, 14.98000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.04000000, 12.48000000, 2.50000000, 14.98000000),
(2529, 395, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.86000000, NULL, 9.72000000, 1.94000000, 0.00000000, 0.00000000, 11.66000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.86000000, 9.72000000, 1.94000000, 11.66000000),
(2530, 395, NULL, 969052, NULL, 'FRL 3 modules série F2 G1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 128.05000000, NULL, 128.05000000, 25.61000000, 0.00000000, 0.00000000, 153.66000000, 0, NULL, NULL, 0, 68.14000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 128.05000000, 128.05000000, 25.61000000, 153.66000000),
(2531, 395, NULL, 966956, NULL, 'Croix égale FFFF F1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.64000000, NULL, 15.28000000, 3.06000000, 0.00000000, 0.00000000, 18.34000000, 0, NULL, NULL, 0, 4.07000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.64000000, 15.28000000, 3.06000000, 18.34000000),
(2532, 395, NULL, 966892, NULL, 'Bouchon M. cylindrique G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 0.78000000, NULL, 1.56000000, 0.31000000, 0.00000000, 0.00000000, 1.87000000, 0, NULL, NULL, 0, 0.42000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.78000000, 1.56000000, 0.31000000, 1.87000000),
(2533, 395, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 1.31000000, NULL, 3.93000000, 0.79000000, 0.00000000, 0.00000000, 4.72000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.31000000, 3.93000000, 0.79000000, 4.72000000),
(2534, 395, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 22.78000000, NULL, 91.12000000, 18.22000000, 0.00000000, 0.00000000, 109.34000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.78000000, 91.12000000, 18.22000000, 109.34000000),
(2535, 395, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 729.83000000, NULL, 729.83000000, 145.97000000, 0.00000000, 0.00000000, 875.80000000, 0, NULL, NULL, 0, 747.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 729.83000000, 729.83000000, 145.97000000, 875.80000000),
(2536, 396, NULL, 1222530, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 36.95000000, NULL, 110.85000000, 22.17000000, 0.00000000, 0.00000000, 133.02000000, 0, NULL, NULL, 0, 17.94000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.95000000, 110.85000000, 22.17000000, 133.02000000),
(2537, 396, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2538, 396, NULL, 955041, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(2539, 396, NULL, 954034, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.67000000, NULL, 24.67000000, 4.93000000, 0.00000000, 0.00000000, 29.60000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 24.67000000, 4.93000000, 29.60000000),
(2540, 396, NULL, 951949, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.53000000, NULL, 24.53000000, 4.91000000, 0.00000000, 0.00000000, 29.44000000, 0, NULL, NULL, 0, 11.91000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.53000000, 24.53000000, 4.91000000, 29.44000000),
(2541, 396, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2542, 396, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(2543, 397, NULL, 1080060, NULL, 'Tube \"sanitaire\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 13.83000000, NULL, 165.96000000, 33.19000000, 0.00000000, 0.00000000, 199.15000000, 0, NULL, NULL, 0, 10.25000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.83000000, 165.96000000, 33.19000000, 199.15000000),
(2544, 397, NULL, 1080059, NULL, 'Tube \"sanitaire\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 28, 0, 0, NULL, 8.98000000, NULL, 251.44000000, 50.29000000, 0.00000000, 0.00000000, 301.73000000, 0, NULL, NULL, 0, 6.66000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.98000000, 251.44000000, 50.29000000, 301.73000000),
(2545, 397, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 25.89000000, NULL, 233.01000000, 46.60000000, 0.00000000, 0.00000000, 279.61000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.89000000, 233.01000000, 46.60000000, 279.61000000),
(2546, 397, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 13.85000000, NULL, 69.25000000, 13.85000000, 0.00000000, 0.00000000, 83.10000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.85000000, 69.25000000, 13.85000000, 83.10000000),
(2547, 397, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 11.89000000, NULL, 59.45000000, 11.89000000, 0.00000000, 0.00000000, 71.34000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.89000000, 59.45000000, 11.89000000, 71.34000000),
(2548, 397, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 6.10000000, NULL, 30.50000000, 6.10000000, 0.00000000, 0.00000000, 36.60000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.10000000, 30.50000000, 6.10000000, 36.60000000),
(2549, 397, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 11, 0, 0, NULL, 10.11000000, NULL, 111.21000000, 22.24000000, 0.00000000, 0.00000000, 133.45000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.11000000, 111.21000000, 22.24000000, 133.45000000),
(2550, 397, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 5.07000000, NULL, 40.56000000, 8.11000000, 0.00000000, 0.00000000, 48.67000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.07000000, 40.56000000, 8.11000000, 48.67000000),
(2551, 397, NULL, 1079818, NULL, 'Coude à 45° diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 9.44000000, NULL, 28.32000000, 5.66000000, 0.00000000, 0.00000000, 33.98000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.44000000, 28.32000000, 5.66000000, 33.98000000),
(2552, 397, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 6.29000000, NULL, 31.45000000, 6.29000000, 0.00000000, 0.00000000, 37.74000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.29000000, 31.45000000, 6.29000000, 37.74000000),
(2553, 397, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 11, 0, 0, NULL, 12.24000000, NULL, 134.64000000, 26.93000000, 0.00000000, 0.00000000, 161.57000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.24000000, 134.64000000, 26.93000000, 161.57000000),
(2554, 397, NULL, 1079867, NULL, 'Té réduit diam. ext. 35 . 22 . 35', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 10.36000000, NULL, 20.72000000, 4.14000000, 0.00000000, 0.00000000, 24.86000000, 0, NULL, NULL, 0, 7.67000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.36000000, 20.72000000, 4.14000000, 24.86000000),
(2555, 397, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.77000000, NULL, 15.54000000, 3.11000000, 0.00000000, 0.00000000, 18.65000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.77000000, 15.54000000, 3.11000000, 18.65000000),
(2556, 397, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.71000000, NULL, 4.71000000, 0.94000000, 0.00000000, 0.00000000, 5.65000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.71000000, 4.71000000, 0.94000000, 5.65000000),
(2557, 397, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.40000000, NULL, 6.80000000, 1.36000000, 0.00000000, 0.00000000, 8.16000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.40000000, 6.80000000, 1.36000000, 8.16000000),
(2558, 397, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 1.14000000, NULL, 22.80000000, 4.56000000, 0.00000000, 0.00000000, 27.36000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 22.80000000, 4.56000000, 27.36000000),
(2559, 397, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 13, 0, 0, NULL, 1.06000000, NULL, 13.78000000, 2.76000000, 0.00000000, 0.00000000, 16.54000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.06000000, 13.78000000, 2.76000000, 16.54000000),
(2560, 397, NULL, 1080116, NULL, 'Collier protégé pour tube diam. 54 - M8', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.41000000, NULL, 2.82000000, 0.56000000, 0.00000000, 0.00000000, 3.38000000, 0, NULL, NULL, 0, 1.04000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.41000000, 2.82000000, 0.56000000, 3.38000000),
(2561, 397, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5464.44000000, NULL, 5464.44000000, 1092.89000000, 0.00000000, 0.00000000, 6557.33000000, 0, NULL, NULL, 0, 4423.44000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5464.44000000, 5464.44000000, 1092.89000000, 6557.33000000),
(2562, 397, NULL, 1168570, NULL, 'vanne 1 1/4', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 148.37000000, NULL, 1186.96000000, 237.39000000, 0.00000000, 0.00000000, 1424.35000000, 0, NULL, NULL, 0, 75.80000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 148.37000000, 1186.96000000, 237.39000000, 1424.35000000),
(2563, 397, NULL, 1231731, NULL, 'vanne RTS3 Pieces inox FF 1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.45000000, NULL, 77.45000000, 15.49000000, 0.00000000, 0.00000000, 92.94000000, 0, NULL, NULL, 0, 65.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.45000000, 77.45000000, 15.49000000, 92.94000000),
(2564, 397, NULL, 966507, NULL, 'Vanne 1/4 Tour PN30 F/F 1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.03000000, NULL, 18.03000000, 3.61000000, 0.00000000, 0.00000000, 21.64000000, 0, NULL, NULL, 0, 9.21000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.03000000, 18.03000000, 3.61000000, 21.64000000),
(2565, 397, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.06000000, NULL, 5.06000000, 1.01000000, 0.00000000, 0.00000000, 6.07000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.06000000, 5.06000000, 1.01000000, 6.07000000),
(2566, 397, NULL, 1231736, NULL, 'reduction mf inox 316l 1 1/2x1 1/4 usiné', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 19.01000000, NULL, 95.05000000, 19.01000000, 0.00000000, 0.00000000, 114.06000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.01000000, 95.05000000, 19.01000000, 114.06000000),
(2567, 397, NULL, 1231734, NULL, 'ecrou sms38 304', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.50000000, NULL, 9.50000000, 1.90000000, 0.00000000, 0.00000000, 11.40000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.50000000, 9.50000000, 1.90000000, 11.40000000),
(2568, 397, NULL, 1231737, NULL, 'joint en l epdm sms38', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.95000000, NULL, 0.95000000, 0.19000000, 0.00000000, 0.00000000, 1.14000000, 0, NULL, NULL, 0, 0.50000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 0.95000000, 0.19000000, 1.14000000),
(2569, 397, NULL, 1231738, NULL, 'mamelon hexagonal inox316 1 1/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.17000000, NULL, 16.34000000, 3.27000000, 0.00000000, 0.00000000, 19.61000000, 0, NULL, NULL, 0, 4.30000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.17000000, 16.34000000, 3.27000000, 19.61000000),
(2570, 397, NULL, 1231732, NULL, 'clapet anti retour inox FF 1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 92.65000000, NULL, 185.30000000, 37.06000000, 0.00000000, 0.00000000, 222.36000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.65000000, 185.30000000, 37.06000000, 222.36000000),
(2571, 398, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 9.66000000, NULL, 67.62000000, 13.52000000, 0.00000000, 0.00000000, 81.14000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.66000000, 67.62000000, 13.52000000, 81.14000000),
(2572, 398, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 11, 0, 0, NULL, 3.54000000, NULL, 38.94000000, 7.79000000, 0.00000000, 0.00000000, 46.73000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.54000000, 38.94000000, 7.79000000, 46.73000000),
(2573, 398, NULL, 1080058, NULL, 'Tube \"sanitaire\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 22, 0, 0, NULL, 5.13000000, NULL, 112.86000000, 22.57000000, 0.00000000, 0.00000000, 135.43000000, 0, NULL, NULL, 0, 5.45000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.13000000, 112.86000000, 22.57000000, 135.43000000),
(2574, 398, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 4.38000000, NULL, 13.14000000, 2.63000000, 0.00000000, 0.00000000, 15.77000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.38000000, 13.14000000, 2.63000000, 15.77000000),
(2575, 398, NULL, 1080072, NULL, 'Tube \"air comprimé\" diam. ext. 54', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 9.54000000, NULL, 57.24000000, 11.45000000, 0.00000000, 0.00000000, 68.69000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.54000000, 57.24000000, 11.45000000, 68.69000000),
(2576, 398, NULL, 1080012, NULL, 'Manchon d\'extrémité diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.00000000, NULL, 6.00000000, 1.20000000, 0.00000000, 0.00000000, 7.20000000, 0, NULL, NULL, 0, 3.19000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.00000000, 6.00000000, 1.20000000, 7.20000000),
(2577, 398, NULL, 1079790, NULL, 'Courbe à 90° diamètre extérieur 54', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.66000000, NULL, 35.32000000, 7.06000000, 0.00000000, 0.00000000, 42.38000000, 0, NULL, NULL, 0, 18.78000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.66000000, 35.32000000, 7.06000000, 42.38000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(2578, 398, NULL, 1079968, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 54.2\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 36.08000000, NULL, 36.08000000, 7.22000000, 0.00000000, 0.00000000, 43.30000000, 0, NULL, NULL, 0, 38.36000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.08000000, 36.08000000, 7.22000000, 43.30000000),
(2579, 398, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 0.74000000, NULL, 4.44000000, 0.89000000, 0.00000000, 0.00000000, 5.33000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.74000000, 4.44000000, 0.89000000, 5.33000000),
(2580, 398, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 0.79000000, NULL, 4.74000000, 0.95000000, 0.00000000, 0.00000000, 5.69000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.79000000, 4.74000000, 0.95000000, 5.69000000),
(2581, 398, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.66000000, NULL, 19.32000000, 3.86000000, 0.00000000, 0.00000000, 23.18000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.66000000, 19.32000000, 3.86000000, 23.18000000),
(2582, 398, NULL, 1231732, NULL, 'clapet anti retour inox FF 1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 64.58000000, NULL, 129.16000000, 25.83000000, 0.00000000, 0.00000000, 154.99000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 64.58000000, 129.16000000, 25.83000000, 154.99000000),
(2583, 398, NULL, 1168571, NULL, 'vanne 1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 37.24000000, NULL, 74.48000000, 14.90000000, 0.00000000, 0.00000000, 89.38000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 37.24000000, 74.48000000, 14.90000000, 89.38000000),
(2584, 398, NULL, 967416, NULL, 'Té égal FFF G1/2 inox', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 4.39000000, NULL, 13.17000000, 2.63000000, 0.00000000, 0.00000000, 15.80000000, 0, NULL, NULL, 0, 3.22000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.39000000, 13.17000000, 2.63000000, 15.80000000),
(2585, 398, NULL, 967296, NULL, 'Mamelon conique G1/2x3/4 inox', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.87000000, NULL, 4.87000000, 0.97000000, 0.00000000, 0.00000000, 5.84000000, 0, NULL, NULL, 0, 3.57000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.87000000, 4.87000000, 0.97000000, 5.84000000),
(2586, 398, NULL, 967295, NULL, 'mamelon conique inox G1/2xG1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.54000000, NULL, 7.08000000, 1.42000000, 0.00000000, 0.00000000, 8.50000000, 0, NULL, NULL, 0, 2.60000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.54000000, 7.08000000, 1.42000000, 8.50000000),
(2587, 398, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2086.40000000, NULL, 2086.40000000, 417.28000000, 0.00000000, 0.00000000, 2503.68000000, 0, NULL, NULL, 0, 1394.48000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2086.40000000, 2086.40000000, 417.28000000, 2503.68000000),
(2591, 400, NULL, 1179631, NULL, 'MINOR KIT C  L90-L132', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 433.70000000, NULL, 433.70000000, 86.74000000, 0.00000000, 0.00000000, 520.44000000, 0, NULL, NULL, 0, 161.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 433.70000000, 433.70000000, 86.74000000, 520.44000000),
(2592, 400, NULL, 1179676, NULL, 'MINOR KIT D  L90 + L132 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1404.00000000, NULL, 1404.00000000, 280.80000000, 0.00000000, 0.00000000, 1684.80000000, 0, NULL, NULL, 0, 842.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1404.00000000, 1404.00000000, 280.80000000, 1684.80000000),
(2593, 400, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 277.00000000, NULL, 831.00000000, 166.20000000, 0.00000000, 0.00000000, 997.20000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 831.00000000, 166.20000000, 997.20000000),
(2594, 401, NULL, 1231722, NULL, 'kit de rechange pour ecotron 90', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 360.00000000, NULL, 360.00000000, 72.00000000, 0.00000000, 0.00000000, 432.00000000, 0, NULL, NULL, 0, 253.66000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 360.00000000, 360.00000000, 72.00000000, 432.00000000),
(2595, 401, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(2596, 402, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2020-02-20 00:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(2597, 403, NULL, 1180619, NULL, 'Hose Line NW16 L=789', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 190.70000000, NULL, 190.70000000, 38.14000000, 0.00000000, 0.00000000, 228.84000000, 0, NULL, NULL, 0, 114.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 190.70000000, 190.70000000, 38.14000000, 228.84000000),
(2598, 403, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(2599, 403, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 80, 0, 0, NULL, 0.97000000, NULL, 77.60000000, 15.52000000, 0.00000000, 0.00000000, 93.12000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 77.60000000, 15.52000000, 93.12000000),
(2600, 404, NULL, 1231717, NULL, 'hvb32-25L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.50000000, NULL, 85.50000000, 17.10000000, 0.00000000, 0.00000000, 102.60000000, 0, NULL, NULL, 0, 57.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.50000000, 85.50000000, 17.10000000, 102.60000000),
(2601, 405, NULL, 955041, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 119.67000000, NULL, 119.67000000, 23.93000000, 0.00000000, 0.00000000, 143.60000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 119.67000000, 119.67000000, 23.93000000, 143.60000000),
(2602, 405, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.88000000, NULL, 11.88000000, 2.38000000, 0.00000000, 0.00000000, 14.26000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.88000000, 11.88000000, 2.38000000, 14.26000000),
(2603, 405, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 19.10000000, NULL, 38.20000000, 7.64000000, 0.00000000, 0.00000000, 45.84000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.10000000, 38.20000000, 7.64000000, 45.84000000),
(2604, 406, NULL, 1231716, NULL, 'distributeur 1/8 3/2 levier a galet metal', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 54.02000000, NULL, 216.08000000, 43.22000000, 0.00000000, 0.00000000, 259.30000000, 0, NULL, NULL, 0, 41.56000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 54.02000000, 216.08000000, 43.22000000, 259.30000000),
(2605, 406, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.00000000, NULL, 13.00000000, 2.60000000, 0.00000000, 0.00000000, 15.60000000, 1, NULL, NULL, 0, 13.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.00000000, 13.00000000, 2.60000000, 15.60000000),
(2606, 407, NULL, 968862, NULL, 'Manomètre axial G1/8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.71000000, NULL, 8.71000000, 1.74000000, 0.00000000, 0.00000000, 10.45000000, 0, NULL, NULL, 0, 4.23000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.71000000, 8.71000000, 1.74000000, 10.45000000),
(2607, 407, NULL, 969024, NULL, 'Régulateur série F2 G3/8 0-12B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 47.46000000, NULL, 47.46000000, 9.49000000, 0.00000000, 0.00000000, 56.95000000, 0, NULL, NULL, 0, 23.04000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 47.46000000, 47.46000000, 9.49000000, 56.95000000),
(2608, 407, NULL, 969019, NULL, 'Filtre série F2 G3/8 20 micron', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.37000000, NULL, 42.37000000, 8.47000000, 0.00000000, 0.00000000, 50.84000000, 0, NULL, NULL, 0, 20.57000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.37000000, 42.37000000, 8.47000000, 50.84000000),
(2609, 407, NULL, 969091, NULL, 'Jeu douilles flasques F2 G3/8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.40000000, NULL, 15.40000000, 3.08000000, 0.00000000, 0.00000000, 18.48000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.40000000, 15.40000000, 3.08000000, 18.48000000),
(2610, 407, NULL, 969074, NULL, 'Equerres de fixation FRL2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.33000000, NULL, 3.33000000, 0.67000000, 0.00000000, 0.00000000, 4.00000000, 0, NULL, NULL, 0, 1.62000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.33000000, 3.33000000, 0.67000000, 4.00000000),
(2611, 407, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(2612, 407, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.97000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 42.68000000, 8.54000000, 51.22000000),
(2613, 408, NULL, NULL, '1 Partie Air comprimé', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2614, 408, NULL, 1080058, NULL, 'Tube \"sanitaire\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 6.11000000, NULL, 146.64000000, 29.33000000, 0.00000000, 0.00000000, 175.97000000, 0, NULL, NULL, 0, 5.45000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.11000000, 146.64000000, 29.33000000, 175.97000000),
(2615, 408, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.21000000, NULL, 42.10000000, 8.42000000, 0.00000000, 0.00000000, 50.52000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.21000000, 42.10000000, 8.42000000, 50.52000000),
(2616, 408, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 5.22000000, NULL, 15.66000000, 3.13000000, 0.00000000, 0.00000000, 18.79000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.22000000, 15.66000000, 3.13000000, 18.79000000),
(2617, 408, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 2.83000000, NULL, 8.49000000, 1.70000000, 0.00000000, 0.00000000, 10.19000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.83000000, 8.49000000, 1.70000000, 10.19000000),
(2618, 408, NULL, 1190653, NULL, 'SUPPORTAGE METALLIQUE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 177.58000000, NULL, 177.58000000, 35.52000000, 0.00000000, 0.00000000, 213.10000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 177.58000000, 177.58000000, 35.52000000, 213.10000000),
(2619, 408, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 5.06000000, NULL, 20.24000000, 4.05000000, 0.00000000, 0.00000000, 24.29000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.06000000, 20.24000000, 4.05000000, 24.29000000),
(2620, 408, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.20000000, NULL, 8.40000000, 1.68000000, 0.00000000, 0.00000000, 10.08000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.20000000, 8.40000000, 1.68000000, 10.08000000),
(2621, 408, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.89000000, NULL, 8.90000000, 1.78000000, 0.00000000, 0.00000000, 10.68000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.89000000, 8.90000000, 1.78000000, 10.68000000),
(2622, 408, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 351.21000000, NULL, 351.21000000, 70.24000000, 0.00000000, 0.00000000, 421.45000000, 0, NULL, NULL, 0, 321.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 351.21000000, 351.21000000, 70.24000000, 421.45000000),
(2623, 408, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 528.04000000, NULL, 528.04000000, 105.61000000, 0.00000000, 0.00000000, 633.65000000, 0, NULL, NULL, 0, 514.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 528.04000000, 528.04000000, 105.61000000, 633.65000000),
(2625, 409, NULL, 1223785, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 291.60000000, NULL, 291.60000000, 58.32000000, 0.00000000, 0.00000000, 349.92000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 291.60000000, 291.60000000, 58.32000000, 349.92000000),
(2626, 410, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(2627, 410, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 72, 0, 0, NULL, 0.97000000, NULL, 69.84000000, 13.97000000, 0.00000000, 0.00000000, 83.81000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 69.84000000, 13.97000000, 83.81000000),
(2628, 410, NULL, 1231619, NULL, 'kit clapet d\'aspiration', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 897.14000000, NULL, 897.14000000, 179.43000000, 0.00000000, 0.00000000, 1076.57000000, 0, NULL, NULL, 0, 690.11000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 897.14000000, 897.14000000, 179.43000000, 1076.57000000),
(2629, 411, NULL, 1231681, NULL, 'bloc aspi encaps', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 292.22000000, NULL, 292.22000000, 58.44000000, 0.00000000, 0.00000000, 350.66000000, 0, NULL, NULL, 0, 224.79000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 292.22000000, 292.22000000, 58.44000000, 350.66000000),
(2630, 411, NULL, 1231682, NULL, 'guarn vavola aspi ba 51/i', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.03000000, NULL, 18.03000000, 3.61000000, 0.00000000, 0.00000000, 21.64000000, 0, NULL, NULL, 0, 13.10000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.03000000, 18.03000000, 3.61000000, 21.64000000),
(2631, 411, NULL, 1231683, NULL, 'corpo+bobina ev valva asp v230', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 174.64000000, NULL, 174.64000000, 34.93000000, 0.00000000, 0.00000000, 209.57000000, 0, NULL, NULL, 0, 134.34000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 174.64000000, 174.64000000, 34.93000000, 209.57000000),
(2632, 411, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 88, 0, 0, NULL, 0.97000000, NULL, 85.36000000, 17.07000000, 0.00000000, 0.00000000, 102.43000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 85.36000000, 17.07000000, 102.43000000),
(2633, 411, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4.5, 0, 0, NULL, 63.84000000, NULL, 287.28000000, 57.46000000, 0.00000000, 0.00000000, 344.74000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 287.28000000, 57.46000000, 344.74000000),
(2634, 412, NULL, NULL, NULL, 'Maintenance suivant contrat lis&eacute;e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2257.68000000, NULL, 2257.68000000, 451.54000000, 0.00000000, 0.00000000, 2709.22000000, 0, NULL, NULL, 0, 1747.51000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2257.68000000, 2257.68000000, 451.54000000, 2709.22000000),
(2635, 413, NULL, NULL, '1 Local Compresseur', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2636, 413, NULL, 1221003, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5273.75000000, NULL, 5273.75000000, 1054.75000000, 0.00000000, 0.00000000, 6328.50000000, 0, NULL, NULL, 0, 4022.60000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5273.75000000, 5273.75000000, 1054.75000000, 6328.50000000),
(2637, 413, NULL, 1222071, NULL, 'reservoir 500Litres ECN', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 283.22000000, NULL, 283.22000000, 56.64000000, 0.00000000, 0.00000000, 339.86000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 283.22000000, 283.22000000, 56.64000000, 339.86000000),
(2638, 413, NULL, 1222106, NULL, 'kit de silencblocs pour reservoir', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.02000000, NULL, 39.02000000, 7.80000000, 0.00000000, 0.00000000, 46.82000000, 0, NULL, NULL, 0, 29.76000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.02000000, 39.02000000, 7.80000000, 46.82000000),
(2639, 413, NULL, 1222108, NULL, 'natte filtrante', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 59.79000000, NULL, 119.58000000, 23.92000000, 0.00000000, 0.00000000, 143.50000000, 0, NULL, NULL, 0, 27.36000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.79000000, 119.58000000, 23.92000000, 143.50000000),
(2640, 413, NULL, 972020, NULL, 'Tuyau OUTILAIR 10x17 mm 40 m', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.02000000, NULL, 10.10000000, 2.02000000, 0.00000000, 0.00000000, 12.12000000, 0, NULL, NULL, 0, 1.56000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.02000000, 10.10000000, 2.02000000, 12.12000000),
(2641, 413, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.55000000, NULL, 67.55000000, 13.51000000, 0.00000000, 0.00000000, 81.06000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.55000000, 67.55000000, 13.51000000, 81.06000000),
(2642, 413, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 385.78000000, NULL, 385.78000000, 77.16000000, 0.00000000, 0.00000000, 462.94000000, 0, NULL, NULL, 0, 298.73000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 385.78000000, 385.78000000, 77.16000000, 462.94000000),
(2643, 413, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2644, 413, NULL, NULL, '2 Réseau d\'Air Comprimé', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2645, 413, NULL, 966505, NULL, 'Vanne 1/4 Tour PN40 F/F 3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.87000000, NULL, 4.87000000, 0.97000000, 0.00000000, 0.00000000, 5.84000000, 0, NULL, NULL, 0, 3.77000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.87000000, 4.87000000, 0.97000000, 5.84000000),
(2646, 413, NULL, 1190523, NULL, 'petites fournitures', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 322.84000000, NULL, 322.84000000, 64.57000000, 0.00000000, 0.00000000, 387.41000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 322.84000000, 322.84000000, 64.57000000, 387.41000000),
(2647, 413, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 388.98000000, NULL, 388.98000000, 77.80000000, 0.00000000, 0.00000000, 466.78000000, 0, NULL, NULL, 0, 300.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 388.98000000, 388.98000000, 77.80000000, 466.78000000),
(2648, 413, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1395.96000000, NULL, 1395.96000000, 279.19000000, 0.00000000, 0.00000000, 1675.15000000, 0, NULL, NULL, 0, 1081.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1395.96000000, 1395.96000000, 279.19000000, 1675.15000000),
(2649, 413, NULL, 966719, NULL, 'Raccord Y femelle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 3.04000000, NULL, 9.12000000, 1.82000000, 0.00000000, 0.00000000, 10.94000000, 0, NULL, NULL, 0, 2.35000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.04000000, 9.12000000, 1.82000000, 10.94000000),
(2650, 413, NULL, 966886, NULL, 'Barette de disribution 1/2x3/8', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 11.49000000, NULL, 34.47000000, 6.89000000, 0.00000000, 0.00000000, 41.36000000, 0, NULL, NULL, 0, 8.90000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.49000000, 34.47000000, 6.89000000, 41.36000000),
(2651, 413, NULL, 966891, NULL, 'Bouchon M. cylindrique G3/8', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 0.35000000, NULL, 4.20000000, 0.84000000, 0.00000000, 0.00000000, 5.04000000, 0, NULL, NULL, 0, 0.27000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.35000000, 4.20000000, 0.84000000, 5.04000000),
(2652, 413, NULL, 972020, NULL, 'Tuyau OUTILAIR 10x17 mm 40 m', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 2.02000000, NULL, 80.80000000, 16.16000000, 0.00000000, 0.00000000, 96.96000000, 0, NULL, NULL, 0, 1.56000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.02000000, 80.80000000, 16.16000000, 96.96000000),
(2653, 413, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 7.44000000, NULL, 37.20000000, 7.44000000, 0.00000000, 0.00000000, 44.64000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.44000000, 37.20000000, 7.44000000, 44.64000000),
(2654, 413, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.26000000, NULL, 16.30000000, 3.26000000, 0.00000000, 0.00000000, 19.56000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.26000000, 16.30000000, 3.26000000, 19.56000000),
(2655, 413, NULL, 1080012, NULL, 'Manchon d\'extrémité diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 4.12000000, NULL, 20.60000000, 4.12000000, 0.00000000, 0.00000000, 24.72000000, 0, NULL, NULL, 0, 3.19000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.12000000, 20.60000000, 4.12000000, 24.72000000),
(2656, 413, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.86000000, NULL, 48.60000000, 9.72000000, 0.00000000, 0.00000000, 58.32000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.86000000, 48.60000000, 9.72000000, 58.32000000),
(2657, 413, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 6.02000000, NULL, 30.10000000, 6.02000000, 0.00000000, 0.00000000, 36.12000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.02000000, 30.10000000, 6.02000000, 36.12000000),
(2658, 413, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 1.11000000, NULL, 22.20000000, 4.44000000, 0.00000000, 0.00000000, 26.64000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.11000000, 22.20000000, 4.44000000, 26.64000000),
(2659, 413, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 42, 0, 0, NULL, 4.52000000, NULL, 189.84000000, 37.97000000, 0.00000000, 0.00000000, 227.81000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.52000000, 189.84000000, 37.97000000, 227.81000000),
(2660, 413, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 11.66000000, NULL, 58.30000000, 11.66000000, 0.00000000, 0.00000000, 69.96000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.66000000, 58.30000000, 11.66000000, 69.96000000),
(2661, 413, NULL, 967467, NULL, 'About collerette G1/2 tuyau 10', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.16000000, NULL, 16.64000000, 3.33000000, 0.00000000, 0.00000000, 19.97000000, 0, NULL, NULL, 0, 3.22000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.16000000, 16.64000000, 3.33000000, 19.97000000),
(2662, 413, NULL, 967449, NULL, 'Collier sécurité acier 16-18', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.93000000, NULL, 9.30000000, 1.86000000, 0.00000000, 0.00000000, 11.16000000, 0, NULL, NULL, 0, 0.72000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.93000000, 9.30000000, 1.86000000, 11.16000000),
(2663, 413, NULL, 1222638, NULL, 'enrouleur mini reel', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.32000000, NULL, 102.32000000, 20.46000000, 0.00000000, 0.00000000, 122.78000000, 0, NULL, NULL, 0, 70.50000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.32000000, 102.32000000, 20.46000000, 122.78000000),
(2664, 413, NULL, 1222625, NULL, 'autoreel pro devidoir auto multi usage lg 20m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 228.47000000, NULL, 228.47000000, 45.69000000, 0.00000000, 0.00000000, 274.16000000, 0, NULL, NULL, 0, 154.60000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 228.47000000, 228.47000000, 45.69000000, 274.16000000),
(2665, 413, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2666, 414, NULL, 953515, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.09000000, NULL, 100.09000000, 20.02000000, 0.00000000, 0.00000000, 120.11000000, 0, NULL, NULL, 0, 58.96000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.09000000, 100.09000000, 20.02000000, 120.11000000),
(2667, 414, NULL, 953424, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.09000000, NULL, 100.09000000, 20.02000000, 0.00000000, 0.00000000, 120.11000000, 0, NULL, NULL, 0, 58.96000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.09000000, 100.09000000, 20.02000000, 120.11000000),
(2668, 414, NULL, 955062, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 133.93000000, NULL, 133.93000000, 26.79000000, 0.00000000, 0.00000000, 160.72000000, 0, NULL, NULL, 0, 78.89000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 133.93000000, 133.93000000, 26.79000000, 160.72000000),
(2669, 414, NULL, 952194, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.16000000, NULL, 30.16000000, 6.03000000, 0.00000000, 0.00000000, 36.19000000, 0, NULL, NULL, 0, 17.77000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.16000000, 30.16000000, 6.03000000, 36.19000000),
(2670, 414, NULL, 954042, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.02000000, NULL, 14.02000000, 2.80000000, 0.00000000, 0.00000000, 16.82000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.02000000, 14.02000000, 2.80000000, 16.82000000),
(2671, 414, NULL, 954042, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.02000000, NULL, 14.02000000, 2.80000000, 0.00000000, 0.00000000, 16.82000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.02000000, 14.02000000, 2.80000000, 16.82000000),
(2672, 414, NULL, 952194, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.16000000, NULL, 30.16000000, 6.03000000, 0.00000000, 0.00000000, 36.19000000, 0, NULL, NULL, 0, 17.77000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.16000000, 30.16000000, 6.03000000, 36.19000000),
(2673, 414, NULL, 955060, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 106.14000000, NULL, 106.14000000, 21.23000000, 0.00000000, 0.00000000, 127.37000000, 0, NULL, NULL, 0, 62.52000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 106.14000000, 106.14000000, 21.23000000, 127.37000000),
(2674, 414, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.25000000, NULL, 91.25000000, 18.25000000, 0.00000000, 0.00000000, 109.50000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.25000000, 91.25000000, 18.25000000, 109.50000000),
(2675, 414, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(2682, 416, NULL, 944324, NULL, 'compresseur rotatif à vis librifiees à vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22205.76000000, NULL, 22205.76000000, 4441.15000000, 0.00000000, 0.00000000, 26646.91000000, 0, NULL, NULL, 0, 17345.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22205.76000000, 22205.76000000, 4441.15000000, 26646.91000000),
(2683, 416, NULL, 1223558, NULL, 'avec pr&eacute; filtration CF0096G1&quot;1/2B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3100.39000000, NULL, 3100.39000000, 620.08000000, 0.00000000, 0.00000000, 3720.47000000, 0, NULL, NULL, 0, 2438.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3100.39000000, 3100.39000000, 620.08000000, 3720.47000000),
(2684, 416, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1800.00000000, NULL, 1800.00000000, 360.00000000, 0.00000000, 0.00000000, 2160.00000000, 0, NULL, NULL, 0, 1353.38000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1800.00000000, 1800.00000000, 360.00000000, 2160.00000000),
(2685, 416, NULL, NULL, NULL, 'Fourniture de raccordement Inox Serti Diam 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1236.45000000, NULL, 1236.45000000, 247.29000000, 0.00000000, 0.00000000, 1483.74000000, 1, NULL, NULL, 0, 929.32000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1236.45000000, 1236.45000000, 247.29000000, 1483.74000000),
(2686, 416, NULL, NULL, NULL, 'reprise compresseur rollair et secheur&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -1738.75000000, NULL, -1738.75000000, -347.75000000, 0.00000000, 0.00000000, -2086.50000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -1738.75000000, -1738.75000000, -347.75000000, -2086.50000000),
(2687, 417, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(2688, 418, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 577.68000000, NULL, 577.68000000, 115.54000000, 0.00000000, 0.00000000, 693.22000000, 0, NULL, NULL, 0, 499.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 577.68000000, 577.68000000, 115.54000000, 693.22000000),
(2689, 418, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.19000000, NULL, 59.19000000, 11.84000000, 0.00000000, 0.00000000, 71.03000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.19000000, 59.19000000, 11.84000000, 71.03000000),
(2690, 418, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 5.39000000, NULL, 64.68000000, 12.94000000, 0.00000000, 0.00000000, 77.62000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.39000000, 64.68000000, 12.94000000, 77.62000000),
(2691, 418, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 3.73000000, NULL, 14.92000000, 2.98000000, 0.00000000, 0.00000000, 17.90000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.73000000, 14.92000000, 2.98000000, 17.90000000),
(2692, 418, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 5.90000000, NULL, 118.00000000, 23.60000000, 0.00000000, 0.00000000, 141.60000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.90000000, 118.00000000, 23.60000000, 141.60000000),
(2693, 418, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.35000000, NULL, 16.70000000, 3.34000000, 0.00000000, 0.00000000, 20.04000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.35000000, 16.70000000, 3.34000000, 20.04000000),
(2694, 418, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 18.61000000, NULL, 111.66000000, 22.33000000, 0.00000000, 0.00000000, 133.99000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.61000000, 111.66000000, 22.33000000, 133.99000000),
(2695, 418, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.00000000, NULL, 6.00000000, 1.20000000, 0.00000000, 0.00000000, 7.20000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.00000000, 6.00000000, 1.20000000, 7.20000000),
(2696, 418, NULL, 966504, NULL, 'Vanne 1/4 Tour PN50 F/F 1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.64000000, NULL, 4.64000000, 0.93000000, 0.00000000, 0.00000000, 5.57000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.64000000, 4.64000000, 0.93000000, 5.57000000),
(2697, 418, NULL, 966506, NULL, 'Vanne 1/4 Tour PN40 F/F 1\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 10.38000000, NULL, 41.52000000, 8.30000000, 0.00000000, 0.00000000, 49.82000000, 0, NULL, NULL, 0, 5.79000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.38000000, 41.52000000, 8.30000000, 49.82000000),
(2698, 418, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.26000000, NULL, 1.26000000, 0.25000000, 0.00000000, 0.00000000, 1.51000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.26000000, 1.26000000, 0.25000000, 1.51000000),
(2699, 418, NULL, 966705, NULL, 'Mamelon conique G1\"x1\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 4.74000000, NULL, 14.22000000, 2.84000000, 0.00000000, 0.00000000, 17.06000000, 0, NULL, NULL, 0, 2.67000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.74000000, 14.22000000, 2.84000000, 17.06000000),
(2700, 419, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 3, 0, NULL, 948.00000000, NULL, 919.56000000, 183.91000000, 0.00000000, 0.00000000, 1103.47000000, 0, NULL, NULL, 0, 698.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 948.00000000, 919.56000000, 183.91000000, 1103.47000000),
(2701, 420, NULL, 1231713, NULL, 'Epreuve de Charge pour 2 ponts 5 Tonnes et 3.2 Tonnes', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1600.00000000, NULL, 1600.00000000, 320.00000000, 0.00000000, 0.00000000, 1920.00000000, 0, NULL, NULL, 0, 1197.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1600.00000000, 1600.00000000, 320.00000000, 1920.00000000),
(2702, 421, NULL, 1231561, NULL, 'bloc commande complet r40e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 206.25000000, NULL, 206.25000000, 41.25000000, 0.00000000, 0.00000000, 247.50000000, 0, NULL, NULL, 0, 137.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 206.25000000, 206.25000000, 41.25000000, 247.50000000),
(2703, 421, NULL, 1231560, NULL, 'electrovanne nf 230VAC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 84.15000000, NULL, 84.15000000, 16.83000000, 0.00000000, 0.00000000, 100.98000000, 0, NULL, NULL, 0, 56.10000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 84.15000000, 84.15000000, 16.83000000, 100.98000000),
(2704, 421, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(2705, 421, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 0.97000000, NULL, 38.80000000, 7.76000000, 0.00000000, 0.00000000, 46.56000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 38.80000000, 7.76000000, 46.56000000),
(2706, 421, NULL, 1231594, NULL, 'kit corps R40e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 165.00000000, NULL, 165.00000000, 33.00000000, 0.00000000, 0.00000000, 198.00000000, 0, NULL, NULL, 0, 110.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 165.00000000, 165.00000000, 33.00000000, 198.00000000),
(2707, 421, NULL, 1231595, NULL, 'kit piston r40e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.62000000, NULL, 53.62000000, 10.72000000, 0.00000000, 0.00000000, 64.34000000, 0, NULL, NULL, 0, 35.75000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.62000000, 53.62000000, 10.72000000, 64.34000000),
(2708, 421, NULL, 1231596, NULL, 'kit bloc commande r40e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.75000000, NULL, 57.75000000, 11.55000000, 0.00000000, 0.00000000, 69.30000000, 0, NULL, NULL, 0, 38.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.75000000, 57.75000000, 11.55000000, 69.30000000),
(2709, 422, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 57, 0, 0, NULL, 0.97000000, NULL, 55.29000000, 11.06000000, 0.00000000, 0.00000000, 66.35000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 55.29000000, 11.06000000, 66.35000000),
(2710, 422, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(2711, 423, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(2712, 423, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 114, 0, 0, NULL, 0.97000000, NULL, 110.58000000, 22.12000000, 0.00000000, 0.00000000, 132.70000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 110.58000000, 22.12000000, 132.70000000),
(2713, 424, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(2714, 424, NULL, 953191, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 228.41000000, NULL, 228.41000000, 45.68000000, 0.00000000, 0.00000000, 274.09000000, 0, NULL, NULL, 0, 110.88000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 228.41000000, 228.41000000, 45.68000000, 274.09000000),
(2715, 424, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(2716, 424, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2717, 424, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(2718, 424, NULL, 1179654, NULL, 'MINOR KIT D  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 574.70000000, NULL, 574.70000000, 114.94000000, 0.00000000, 0.00000000, 689.64000000, 0, NULL, NULL, 0, 214.47000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 574.70000000, 574.70000000, 114.94000000, 689.64000000),
(2719, 424, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2720, 424, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(2721, 425, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 960.00000000, NULL, 960.00000000, 192.00000000, 0.00000000, 0.00000000, 1152.00000000, 0, NULL, NULL, 0, 698.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 960.00000000, 960.00000000, 192.00000000, 1152.00000000),
(2722, 425, NULL, 1190535, NULL, 'hors deplacement inclus dans la maintenance du compresseur', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(2723, 426, NULL, 954013, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.93000000, NULL, 99.93000000, 19.99000000, 0.00000000, 0.00000000, 119.92000000, 0, NULL, NULL, 0, 48.51000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.93000000, 99.93000000, 19.99000000, 119.92000000),
(2724, 426, NULL, 954014, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.08000000, NULL, 102.08000000, 20.42000000, 0.00000000, 0.00000000, 122.50000000, 0, NULL, NULL, 0, 51.04000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.08000000, 102.08000000, 20.42000000, 122.50000000),
(2725, 426, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(2726, 426, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2727, 426, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(2728, 426, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(2729, 427, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 947.01000000, NULL, 947.01000000, 189.40000000, 0.00000000, 0.00000000, 1136.41000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 947.01000000, 947.01000000, 189.40000000, 1136.41000000),
(2730, 427, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 175.51000000, NULL, 175.51000000, 35.10000000, 0.00000000, 0.00000000, 210.61000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 175.51000000, 175.51000000, 35.10000000, 210.61000000),
(2731, 427, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.81000000, NULL, 10.81000000, 2.16000000, 0.00000000, 0.00000000, 12.97000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.81000000, 10.81000000, 2.16000000, 12.97000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(2732, 427, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 296.24000000, NULL, 296.24000000, 59.25000000, 0.00000000, 0.00000000, 355.49000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 296.24000000, 296.24000000, 59.25000000, 355.49000000),
(2733, 427, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 296.97000000, NULL, 296.97000000, 59.39000000, 0.00000000, 0.00000000, 356.36000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 296.97000000, 296.97000000, 59.39000000, 356.36000000),
(2734, 427, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.11000000, NULL, 12.11000000, 2.42000000, 0.00000000, 0.00000000, 14.53000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.11000000, 12.11000000, 2.42000000, 14.53000000),
(2735, 427, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 16.09000000, NULL, 48.27000000, 9.65000000, 0.00000000, 0.00000000, 57.92000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.09000000, 48.27000000, 9.65000000, 57.92000000),
(2736, 427, NULL, 955041, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 121.98000000, NULL, 121.98000000, 24.40000000, 0.00000000, 0.00000000, 146.38000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 121.98000000, 121.98000000, 24.40000000, 146.38000000),
(2737, 427, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.59000000, NULL, 30.59000000, 6.12000000, 0.00000000, 0.00000000, 36.71000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.59000000, 30.59000000, 6.12000000, 36.71000000),
(2738, 427, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.47000000, NULL, 19.47000000, 3.89000000, 0.00000000, 0.00000000, 23.36000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.47000000, 19.47000000, 3.89000000, 23.36000000),
(2739, 427, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.45000000, NULL, 4.45000000, 0.89000000, 0.00000000, 0.00000000, 5.34000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.45000000, 4.45000000, 0.89000000, 5.34000000),
(2740, 427, NULL, 1231706, NULL, 'recyclage alumine au kg', 20.000, '', 0.000, '0', 0.000, '0', 26, 0, 0, NULL, 0.64000000, NULL, 16.64000000, 3.33000000, 0.00000000, 0.00000000, 19.97000000, 0, NULL, NULL, 0, 0.45000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.64000000, 16.64000000, 3.33000000, 19.97000000),
(2741, 427, NULL, 952487, NULL, 'alumine 4,5 à 5,5 mm poids au kg', 20.000, '', 0.000, '0', 0.000, '0', 26, 0, 0, NULL, 5.68000000, NULL, 147.68000000, 29.54000000, 0.00000000, 0.00000000, 177.22000000, 0, NULL, NULL, 0, 2.79000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.68000000, 147.68000000, 29.54000000, 177.22000000),
(2742, 427, NULL, 1221468, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 167.21000000, NULL, 167.21000000, 33.44000000, 0.00000000, 0.00000000, 200.65000000, 0, NULL, NULL, 0, 82.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 167.21000000, 167.21000000, 33.44000000, 200.65000000),
(2743, 427, NULL, 953418, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.00000000, NULL, 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 23.54000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(2744, 427, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 390.38000000, NULL, 390.38000000, 78.08000000, 0.00000000, 0.00000000, 468.46000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 390.38000000, 390.38000000, 78.08000000, 468.46000000),
(2745, 427, NULL, 954018, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 183.03000000, NULL, 183.03000000, 36.61000000, 0.00000000, 0.00000000, 219.64000000, 0, NULL, NULL, 0, 89.76000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 183.03000000, 183.03000000, 36.61000000, 219.64000000),
(2746, 427, NULL, 953524, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.00000000, NULL, 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 23.54000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(2747, 427, NULL, 1221471, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.14000000, NULL, 59.14000000, 11.83000000, 0.00000000, 0.00000000, 70.97000000, 0, NULL, NULL, 0, 29.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.14000000, 59.14000000, 11.83000000, 70.97000000),
(2748, 428, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2749, 428, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2750, 428, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(2751, 428, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(2752, 428, NULL, 953158, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.80000000, NULL, 81.80000000, 16.36000000, 0.00000000, 0.00000000, 98.16000000, 0, NULL, NULL, 0, 39.71000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.80000000, 81.80000000, 16.36000000, 98.16000000),
(2753, 428, NULL, 953161, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.80000000, NULL, 81.80000000, 16.36000000, 0.00000000, 0.00000000, 98.16000000, 0, NULL, NULL, 0, 39.71000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.80000000, 81.80000000, 16.36000000, 98.16000000),
(2754, 428, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.25000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 32.50000000, 6.50000000, 39.00000000),
(2755, 429, NULL, 971582, NULL, 'Raccord sécurité M G3/8 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 22.90000000, NULL, 114.50000000, 22.90000000, 0.00000000, 0.00000000, 137.40000000, 0, NULL, NULL, 0, 9.51000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.90000000, 114.50000000, 22.90000000, 137.40000000),
(2756, 429, NULL, 971589, NULL, 'Raccord sécurité bouton 10mm', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 20.76000000, NULL, 207.60000000, 41.52000000, 0.00000000, 0.00000000, 249.12000000, 0, NULL, NULL, 0, 10.08000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.76000000, 207.60000000, 41.52000000, 249.12000000),
(2757, 430, NULL, 1179624, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(2758, 430, NULL, 1177750, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 147.65000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(2759, 431, NULL, 1231720, NULL, 'CONNECTEUR FORME C STANDAR', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 3.36000000, NULL, 23.52000000, 4.70000000, 0.00000000, 0.00000000, 28.22000000, 0, NULL, NULL, 0, 1.68000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.36000000, 23.52000000, 4.70000000, 28.22000000),
(2760, 431, NULL, NULL, NULL, 'Frais port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 1, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(2761, 432, NULL, 1231641, NULL, '24VDC ou 48VAC &eacute;quivalent&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 139.53000000, NULL, 976.71000000, 195.34000000, 0.00000000, 0.00000000, 1172.05000000, 0, NULL, NULL, 0, 98.18000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 139.53000000, 976.71000000, 195.34000000, 1172.05000000),
(2762, 432, NULL, 1231643, NULL, 'SILENCIEUX FIL INOX CORPS LAITON 1/8\" - SFE18', 20.000, '', 0.000, '0', 0.000, '0', 14, 0, 0, NULL, 2.70000000, NULL, 37.80000000, 7.56000000, 0.00000000, 0.00000000, 45.36000000, 0, NULL, NULL, 0, 1.90000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.70000000, 37.80000000, 7.56000000, 45.36000000),
(2763, 432, NULL, 972771, NULL, 'Coude tournant M G1/8 6x8', 20.000, '', 0.000, '0', 0.000, '0', 14, 0, 0, NULL, 1.75000000, NULL, 24.50000000, 4.90000000, 0.00000000, 0.00000000, 29.40000000, 0, NULL, NULL, 0, 1.26000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.75000000, 24.50000000, 4.90000000, 29.40000000),
(2764, 432, NULL, 972631, NULL, 'Té égal D8', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 3.29000000, NULL, 23.03000000, 4.61000000, 0.00000000, 0.00000000, 27.64000000, 0, NULL, NULL, 0, 1.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.29000000, 23.03000000, 4.61000000, 27.64000000),
(2765, 432, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(2766, 432, NULL, 1231645, NULL, 'COUDE MALE ORIENTABLE', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.82000000, NULL, 18.20000000, 3.64000000, 0.00000000, 0.00000000, 21.84000000, 0, NULL, NULL, 0, 1.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.82000000, 18.20000000, 3.64000000, 21.84000000),
(2767, 432, NULL, 972587, NULL, 'Raccord mâle G1/8 D8', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 1.29000000, NULL, 9.03000000, 1.81000000, 0.00000000, 0.00000000, 10.84000000, 0, NULL, NULL, 0, 0.63000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.29000000, 9.03000000, 1.81000000, 10.84000000),
(2768, 432, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.00000000, NULL, 21.00000000, 4.20000000, 0.00000000, 0.00000000, 25.20000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.00000000, 21.00000000, 4.20000000, 25.20000000),
(2769, 433, NULL, 972162, NULL, 'Tube Rilsan incolore 8x10 25m', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 37.43000000, NULL, 74.86000000, 14.97000000, 0.00000000, 0.00000000, 89.83000000, 0, NULL, NULL, 0, 18.17000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 37.43000000, 74.86000000, 14.97000000, 89.83000000),
(2770, 434, NULL, 1178067, NULL, 'DIP STICK', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 62.00000000, NULL, 62.00000000, 12.40000000, 0.00000000, 0.00000000, 74.40000000, 0, NULL, NULL, 0, 35.34000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 62.00000000, 62.00000000, 12.40000000, 74.40000000),
(2771, 434, NULL, 1178073, NULL, 'OIL (EXCHANGE) FILTER', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 161.40000000, NULL, 161.40000000, 32.28000000, 0.00000000, 0.00000000, 193.68000000, 0, NULL, NULL, 0, 96.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 161.40000000, 161.40000000, 32.28000000, 193.68000000),
(2772, 434, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 12.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(2773, 435, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(2774, 435, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.97000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 58.20000000, 11.64000000, 69.84000000),
(2775, 436, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2776, 436, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2777, 436, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(2778, 436, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 16.25000000, NULL, 48.75000000, 9.75000000, 0.00000000, 0.00000000, 58.50000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 48.75000000, 9.75000000, 58.50000000),
(2779, 436, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(2780, 436, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(2781, 436, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(2782, 436, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(2783, 437, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2784, 437, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2785, 437, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(2786, 437, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(2787, 437, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(2788, 437, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(2789, 438, NULL, 1231749, NULL, 'prix au KG', 20.000, '', 0.000, '0', 0.000, '0', 25, 0, 0, NULL, 4.28000000, NULL, 107.00000000, 21.40000000, 0.00000000, 0.00000000, 128.40000000, 0, NULL, NULL, 0, 2.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.28000000, 107.00000000, 21.40000000, 128.40000000),
(2790, 438, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.00000000, NULL, 23.00000000, 4.60000000, 0.00000000, 0.00000000, 27.60000000, 0, NULL, NULL, 0, 23.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.00000000, 23.00000000, 4.60000000, 27.60000000),
(2791, 439, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2020-02-20 00:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(2792, 440, NULL, 1222641, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 492.10000000, NULL, 492.10000000, 98.42000000, 0.00000000, 0.00000000, 590.52000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 492.10000000, 492.10000000, 98.42000000, 590.52000000),
(2793, 440, NULL, 1222642, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2794, 440, NULL, 1179629, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(2795, 440, NULL, 1179664, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1395.00000000, NULL, 1395.00000000, 279.00000000, 0.00000000, 0.00000000, 1674.00000000, 0, NULL, NULL, 0, 837.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1395.00000000, 1395.00000000, 279.00000000, 1674.00000000),
(2796, 440, NULL, 1189210, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(2797, 441, NULL, 1177750, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 147.65000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(2798, 441, NULL, 1222607, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(2799, 442, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 397.00000000, NULL, 397.00000000, 79.40000000, 0.00000000, 0.00000000, 476.40000000, 0, NULL, NULL, 0, 238.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 397.00000000, 397.00000000, 79.40000000, 476.40000000),
(2800, 442, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 277.00000000, NULL, 554.00000000, 110.80000000, 0.00000000, 0.00000000, 664.80000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 554.00000000, 110.80000000, 664.80000000),
(2801, 442, NULL, 959172, NULL, 'Filter Set for ÖWAMAT 15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 373.76000000, NULL, 373.76000000, 74.75000000, 0.00000000, 0.00000000, 448.51000000, 0, NULL, NULL, 0, 194.06000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 373.76000000, 373.76000000, 74.75000000, 448.51000000),
(2802, 442, NULL, 954020, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 295.03000000, NULL, 295.03000000, 59.01000000, 0.00000000, 0.00000000, 354.04000000, 0, NULL, NULL, 0, 143.22000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 295.03000000, 295.03000000, 59.01000000, 354.04000000),
(2803, 442, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2804, 443, NULL, 1222625, NULL, 'autoreel pro devidoir auto multi usage lg 20m', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 230.00000000, NULL, 920.00000000, 184.00000000, 0.00000000, 0.00000000, 1104.00000000, 0, NULL, NULL, 0, 154.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 230.00000000, 920.00000000, 184.00000000, 1104.00000000),
(2805, 443, NULL, 1230168, NULL, 'CHAUFFAGE INFRAROUGE HALOGENE QUARTZ ELECTRIQUE MOBILE SUR ROUES -PUISSANCE REGLABLE 1.5 OU 3 KW -', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 455.00000000, NULL, 455.00000000, 91.00000000, 0.00000000, 0.00000000, 546.00000000, 0, NULL, NULL, 0, 366.60000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 455.00000000, 455.00000000, 91.00000000, 546.00000000),
(2806, 444, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(2807, 445, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2808, 445, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2809, 445, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(2810, 445, NULL, 1222587, NULL, 'courroies_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 14.29000000, NULL, 42.87000000, 8.57000000, 0.00000000, 0.00000000, 51.44000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 42.87000000, 8.57000000, 51.44000000),
(2811, 445, NULL, 952140, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(2812, 445, NULL, 954045, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(2813, 445, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(2814, 446, NULL, 1218019, NULL, 'SOUPAPE 2800/D14 3/4\" 10.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 56.40000000, NULL, 56.40000000, 11.28000000, 0.00000000, 0.00000000, 67.68000000, 0, NULL, NULL, 0, 30.71000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.40000000, 56.40000000, 11.28000000, 67.68000000),
(2815, 446, NULL, 1220420, NULL, 'CERTIF. CONFORMITE ET TARAGE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(2816, 446, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(2817, 447, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2818, 447, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2819, 447, NULL, 954185, NULL, 'KIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.37000000, NULL, 73.37000000, 14.67000000, 0.00000000, 0.00000000, 88.04000000, 0, NULL, NULL, 0, 35.62000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.37000000, 73.37000000, 14.67000000, 88.04000000),
(2820, 447, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2821, 447, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2822, 447, NULL, 954185, NULL, 'KIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.37000000, NULL, 73.37000000, 14.67000000, 0.00000000, 0.00000000, 88.04000000, 0, NULL, NULL, 0, 35.62000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.37000000, 73.37000000, 14.67000000, 88.04000000),
(2823, 448, NULL, NULL, NULL, 'Separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2824, 448, NULL, 955157, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.30000000, NULL, 96.30000000, 19.26000000, 0.00000000, 0.00000000, 115.56000000, 0, NULL, NULL, 0, 46.75000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.30000000, 96.30000000, 19.26000000, 115.56000000),
(2825, 448, NULL, 955160, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.25000000, NULL, 25.25000000, 5.05000000, 0.00000000, 0.00000000, 30.30000000, 0, NULL, NULL, 0, 12.26000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.25000000, 25.25000000, 5.05000000, 30.30000000),
(2826, 448, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(2827, 448, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2828, 448, NULL, NULL, NULL, 'Maintenance L55 N° CD10008941001 à 19144 HRS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2829, 448, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(2830, 448, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(2831, 448, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2832, 448, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2833, 449, NULL, 968819, NULL, 'Equilibreur à câble 1 à 2 KG', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 66.40000000, NULL, 132.80000000, 26.56000000, 0.00000000, 0.00000000, 159.36000000, 0, NULL, NULL, 0, 36.57000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 66.40000000, 132.80000000, 26.56000000, 159.36000000),
(2834, 449, NULL, 972929, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(2835, 450, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(2836, 450, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(2837, 451, NULL, NULL, NULL, 'Compresseur :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2838, 451, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2839, 451, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2840, 451, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.25000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 32.50000000, 6.50000000, 39.00000000),
(2841, 451, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(2842, 451, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 286.25000000, NULL, 257.63000000, 51.52000000, 0.00000000, 0.00000000, 309.15000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 257.63000000, 51.52000000, 309.15000000),
(2843, 451, NULL, 951971, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(2844, 451, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(2845, 451, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2846, 451, NULL, NULL, NULL, 'filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2847, 451, NULL, 1221477, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 75.50000000, NULL, 75.50000000, 15.10000000, 0.00000000, 0.00000000, 90.60000000, 0, NULL, NULL, 0, 36.65000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 75.50000000, 75.50000000, 15.10000000, 90.60000000),
(2848, 451, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2849, 452, NULL, NULL, NULL, 'Filtres réseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2850, 452, NULL, 953622, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.68000000, NULL, 156.68000000, 31.34000000, 0.00000000, 0.00000000, 188.02000000, 0, NULL, NULL, 0, 76.06000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.68000000, 156.68000000, 31.34000000, 188.02000000),
(2851, 452, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2852, 452, NULL, NULL, NULL, 'Separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2853, 452, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(2854, 452, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2855, 452, NULL, NULL, NULL, 'Compresseur :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2856, 452, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 993.20000000, NULL, 993.20000000, 198.64000000, 0.00000000, 0.00000000, 1191.84000000, 0, NULL, NULL, 0, 595.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 993.20000000, 993.20000000, 198.64000000, 1191.84000000),
(2857, 452, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(2858, 452, NULL, 1179723, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 468.40000000, NULL, 468.40000000, 93.68000000, 0.00000000, 0.00000000, 562.08000000, 0, NULL, NULL, 0, 174.80000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 468.40000000, 468.40000000, 93.68000000, 562.08000000),
(2859, 452, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.00000000, NULL, 77.00000000, 15.40000000, 0.00000000, 0.00000000, 92.40000000, 0, NULL, NULL, 0, 46.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.00000000, 77.00000000, 15.40000000, 92.40000000),
(2860, 452, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2861, 453, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(2862, 453, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2863, 453, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2864, 453, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(2865, 453, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.97000000, NULL, 56.91000000, 11.38000000, 0.00000000, 0.00000000, 68.29000000, 0, NULL, NULL, 0, 9.21000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.97000000, 56.91000000, 11.38000000, 68.29000000),
(2866, 453, NULL, 955217, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.72000000, NULL, 112.72000000, 22.54000000, 0.00000000, 0.00000000, 135.26000000, 0, NULL, NULL, 0, 54.72000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.72000000, 112.72000000, 22.54000000, 135.26000000),
(2867, 454, NULL, 1231716, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, -54.02000000, NULL, -216.08000000, -43.22000000, 0.00000000, 0.00000000, -259.30000000, 0, NULL, NULL, 0, 41.56000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 54.02000000, 216.08000000, 43.22000000, 259.30000000),
(2868, 455, NULL, 1231766, NULL, 'distributeur 1/8 5/2 levrier à galet metal', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 58.87000000, NULL, 235.48000000, 47.10000000, 0.00000000, 0.00000000, 282.58000000, 0, NULL, NULL, 0, 45.29000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 58.87000000, 235.48000000, 47.10000000, 282.58000000),
(2869, 455, NULL, 944450, NULL, 'Frais de Port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.00000000, NULL, 13.00000000, 2.60000000, 0.00000000, 0.00000000, 15.60000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.00000000, 13.00000000, 2.60000000, 15.60000000),
(2870, 456, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 183.62000000, NULL, 183.62000000, 36.72000000, 0.00000000, 0.00000000, 220.34000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 183.62000000, 183.62000000, 36.72000000, 220.34000000),
(2871, 456, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 466.86000000, NULL, 466.86000000, 93.37000000, 0.00000000, 0.00000000, 560.23000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 466.86000000, 466.86000000, 93.37000000, 560.23000000),
(2872, 456, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.02000000, NULL, 7.02000000, 1.40000000, 0.00000000, 0.00000000, 8.42000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.02000000, 7.02000000, 1.40000000, 8.42000000),
(2873, 456, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.13000000, NULL, 120.13000000, 24.03000000, 0.00000000, 0.00000000, 144.16000000, 0, NULL, NULL, 0, 46.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.13000000, 120.13000000, 24.03000000, 144.16000000),
(2874, 456, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 225.15000000, NULL, 225.15000000, 45.03000000, 0.00000000, 0.00000000, 270.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 225.15000000, 225.15000000, 45.03000000, 270.18000000),
(2875, 456, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 164.86000000, NULL, 164.86000000, 32.97000000, 0.00000000, 0.00000000, 197.83000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 164.86000000, 164.86000000, 32.97000000, 197.83000000),
(2876, 456, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 164.86000000, NULL, 164.86000000, 32.97000000, 0.00000000, 0.00000000, 197.83000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 164.86000000, 164.86000000, 32.97000000, 197.83000000),
(2877, 456, NULL, 1231755, NULL, '<ol>\r\n	<li>&nbsp;</li>\r\n</ol>', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 164.85000000, NULL, 164.85000000, 32.97000000, 0.00000000, 0.00000000, 197.82000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 164.85000000, 164.85000000, 32.97000000, 197.82000000),
(2878, 457, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(2879, 457, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 212, 0, 0, NULL, 0.97000000, NULL, 205.64000000, 41.13000000, 0.00000000, 0.00000000, 246.77000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 205.64000000, 41.13000000, 246.77000000),
(2880, 457, NULL, 1231715, NULL, 'set thermostat 65°C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 180.80000000, NULL, 180.80000000, 36.16000000, 0.00000000, 0.00000000, 216.96000000, 0, NULL, NULL, 0, 90.96000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 180.80000000, 180.80000000, 36.16000000, 216.96000000),
(2881, 458, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2882, 458, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2883, 458, NULL, 1231740, NULL, 'filre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 1.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(2884, 458, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(2885, 458, NULL, 952661, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(2886, 458, NULL, 952662, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(2887, 459, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2888, 459, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(2889, 459, NULL, 1231653, NULL, 'SEPRATEUR AIR/HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 41.82000000, NULL, 41.82000000, 8.36000000, 0.00000000, 0.00000000, 50.18000000, 0, NULL, NULL, 0, 19.41000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.82000000, 41.82000000, 8.36000000, 50.18000000),
(2890, 459, NULL, 1231765, NULL, 'FILTRE HYDRAULIQUE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.00000000, NULL, 11.00000000, 2.20000000, 0.00000000, 0.00000000, 13.20000000, 0, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.00000000, 11.00000000, 2.20000000, 13.20000000),
(2891, 459, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2892, 460, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2893, 460, NULL, 952140, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(2894, 460, NULL, 954045, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(2895, 460, NULL, 1221736, NULL, 'FILTRE SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.80000000, NULL, 59.80000000, 11.96000000, 0.00000000, 0.00000000, 71.76000000, 0, NULL, NULL, 0, 29.03000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.80000000, 59.80000000, 11.96000000, 71.76000000),
(2896, 460, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2897, 460, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(2898, 461, NULL, 955217, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.72000000, NULL, 112.72000000, 22.54000000, 0.00000000, 0.00000000, 135.26000000, 0, NULL, NULL, 0, 54.72000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.72000000, 112.72000000, 22.54000000, 135.26000000),
(2899, 461, NULL, NULL, NULL, 'Main d&#39;oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.82000000, NULL, 95.73000000, 19.15000000, 0.00000000, 0.00000000, 114.88000000, 1, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.82000000, 95.73000000, 19.15000000, 114.88000000),
(2900, 462, NULL, 953158, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 81.80000000, NULL, 163.60000000, 32.72000000, 0.00000000, 0.00000000, 196.32000000, 0, NULL, NULL, 0, 39.71000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.80000000, 163.60000000, 32.72000000, 196.32000000),
(2901, 462, NULL, 953161, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 81.80000000, NULL, 163.60000000, 32.72000000, 0.00000000, 0.00000000, 196.32000000, 0, NULL, NULL, 0, 39.71000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.80000000, 163.60000000, 32.72000000, 196.32000000),
(2902, 462, NULL, 953160, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 90.64000000, NULL, 362.56000000, 72.51000000, 0.00000000, 0.00000000, 435.07000000, 0, NULL, NULL, 0, 44.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.64000000, 362.56000000, 72.51000000, 435.07000000),
(2903, 463, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1053.49000000, NULL, 1053.49000000, 210.70000000, 0.00000000, 0.00000000, 1264.19000000, 0, NULL, NULL, 0, 792.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1053.49000000, 1053.49000000, 210.70000000, 1264.19000000),
(2904, 463, NULL, 1231734, NULL, 'ecrou sms38 304', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.00000000, NULL, 10.00000000, 2.00000000, 0.00000000, 0.00000000, 12.00000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.00000000, 10.00000000, 2.00000000, 12.00000000),
(2905, 463, NULL, 1231735, NULL, 'douille a souder sms38 316L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.00000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 2.25000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 5.00000000, 1.00000000, 6.00000000),
(2906, 463, NULL, 1231733, NULL, 'embout mâle a souder 316L 1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.50000000, NULL, 12.50000000, 2.50000000, 0.00000000, 0.00000000, 15.00000000, 0, NULL, NULL, 0, 1.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.50000000, 12.50000000, 2.50000000, 15.00000000),
(2907, 463, NULL, 1231737, NULL, 'joint en l epdm sms38', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.00000000, NULL, 1.00000000, 0.20000000, 0.00000000, 0.00000000, 1.20000000, 0, NULL, NULL, 0, 0.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.00000000, 1.00000000, 0.20000000, 1.20000000),
(2908, 463, NULL, 1231757, NULL, 'coude a souder 3d 21.3x2 316L', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 5.10000000, NULL, 51.00000000, 10.20000000, 0.00000000, 0.00000000, 61.20000000, 0, NULL, NULL, 0, 2.55000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.10000000, 51.00000000, 10.20000000, 61.20000000),
(2909, 463, NULL, 1231758, NULL, 'te a souder 21.3x2 316L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.00000000, NULL, 10.00000000, 2.00000000, 0.00000000, 0.00000000, 12.00000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.00000000, 10.00000000, 2.00000000, 12.00000000),
(2910, 463, NULL, NULL, NULL, 'Fournitures soudure gaz inertage m&eacute;tal d&#39;apport 316L etc ...', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.50000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.50000000, 32.50000000, 6.50000000, 39.00000000),
(2911, 463, NULL, 1168570, NULL, 'vanne 1 1/4', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 156.14000000, NULL, 468.42000000, 93.68000000, 0.00000000, 0.00000000, 562.10000000, 0, NULL, NULL, 0, 75.80000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.14000000, 468.42000000, 93.68000000, 562.10000000),
(2912, 463, NULL, 1231731, NULL, 'vanne RTS3 Pieces inox FF 1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.50000000, NULL, 81.50000000, 16.30000000, 0.00000000, 0.00000000, 97.80000000, 0, NULL, NULL, 0, 65.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.50000000, 81.50000000, 16.30000000, 97.80000000),
(2913, 463, NULL, 1231732, NULL, 'clapet anti retour inox FF 1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 97.50000000, NULL, 97.50000000, 19.50000000, 0.00000000, 0.00000000, 117.00000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 97.50000000, 97.50000000, 19.50000000, 117.00000000),
(2914, 463, NULL, 1231736, NULL, 'reduction mf inox 316l 1 1/2x1 1/4 usiné', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(2915, 463, NULL, 1231738, NULL, 'mamelon hexagonal inox316 1 1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.60000000, NULL, 8.60000000, 1.72000000, 0.00000000, 0.00000000, 10.32000000, 0, NULL, NULL, 0, 4.30000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.60000000, 8.60000000, 1.72000000, 10.32000000),
(2916, 464, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(2917, 464, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(2918, 464, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2919, 464, NULL, 1222124, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 95.15000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(2920, 464, NULL, 1222125, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 95.15000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(2921, 464, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2922, 465, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 525.54000000, NULL, 525.54000000, 105.11000000, 0.00000000, 0.00000000, 630.65000000, 0, NULL, NULL, 0, 379.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 525.54000000, 525.54000000, 105.11000000, 630.65000000),
(2923, 465, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 80.10000000, NULL, 80.10000000, 16.02000000, 0.00000000, 0.00000000, 96.12000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 80.10000000, 80.10000000, 16.02000000, 96.12000000),
(2924, 465, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 628.82000000, NULL, 628.82000000, 125.76000000, 0.00000000, 0.00000000, 754.58000000, 0, NULL, NULL, 0, 484.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 628.82000000, 628.82000000, 125.76000000, 754.58000000),
(2925, 465, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 265.54000000, NULL, 265.54000000, 53.11000000, 0.00000000, 0.00000000, 318.65000000, 0, NULL, NULL, 0, 209.10000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 265.54000000, 265.54000000, 53.11000000, 318.65000000),
(2926, 466, NULL, 972260, NULL, 'Tube PU naturel 7x10 - 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 66.04000000, NULL, 66.04000000, 13.21000000, 0.00000000, 0.00000000, 79.25000000, 0, NULL, NULL, 0, 32.06000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 66.04000000, 66.04000000, 13.21000000, 79.25000000),
(2927, 466, NULL, 972929, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 17.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(2928, 467, NULL, NULL, '1 Maintenance RSDK PRO ECN 5.5 7.5 Bars', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2929, 467, NULL, 1231698, NULL, 'bidons huiles 10L minéral 68', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.00000000, NULL, 57.00000000, 11.40000000, 0.00000000, 0.00000000, 68.40000000, 0, NULL, NULL, 0, 39.90000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.00000000, 57.00000000, 11.40000000, 68.40000000),
(2930, 467, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(2931, 467, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(2932, 467, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(2933, 467, NULL, 1231770, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(2934, 467, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 742.14000000, NULL, 742.14000000, 148.43000000, 0.00000000, 0.00000000, 890.57000000, 0, NULL, NULL, 0, 558.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 742.14000000, 742.14000000, 148.43000000, 890.57000000),
(2935, 467, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2936, 467, NULL, NULL, '2 Maintenance separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2937, 467, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(2938, 467, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(2939, 468, NULL, NULL, NULL, 'remise accord Mr BALAZARD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -159.47000000, NULL, -159.47000000, -31.89000000, 0.00000000, 0.00000000, -191.36000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -159.47000000, -159.47000000, -31.89000000, -191.36000000),
(2940, 469, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(2941, 469, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(2942, 470, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(2943, 471, NULL, 1176401, NULL, 'FAN KIT ( BLADE + MOTOR )', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 80.00000000, NULL, 160.00000000, 32.00000000, 0.00000000, 0.00000000, 192.00000000, 0, NULL, NULL, 0, 59.04000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 80.00000000, 160.00000000, 32.00000000, 192.00000000),
(2944, 471, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 258.00000000, NULL, 258.00000000, 51.60000000, 0.00000000, 0.00000000, 309.60000000, 0, NULL, NULL, 0, 194.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 258.00000000, 258.00000000, 51.60000000, 309.60000000),
(2945, 472, NULL, 951971, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 20.98000000, NULL, 62.94000000, 12.59000000, 0.00000000, 0.00000000, 75.53000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.98000000, 62.94000000, 12.59000000, 75.53000000),
(2946, 472, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.24000000, NULL, 24.48000000, 4.90000000, 0.00000000, 0.00000000, 29.38000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.24000000, 24.48000000, 4.90000000, 29.38000000),
(2947, 472, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 92.65000000, NULL, 185.30000000, 37.06000000, 0.00000000, 0.00000000, 222.36000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.65000000, 185.30000000, 37.06000000, 222.36000000),
(2948, 472, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 17.42000000, NULL, 69.68000000, 13.94000000, 0.00000000, 0.00000000, 83.62000000, 0, NULL, NULL, 0, 8.58000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 69.68000000, 13.94000000, 83.62000000),
(2949, 472, NULL, NULL, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.00000000, NULL, 25.00000000, 5.00000000, 0.00000000, 0.00000000, 30.00000000, 1, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.00000000, 25.00000000, 5.00000000, 30.00000000),
(2965, 474, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(2966, 474, NULL, 953186, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 191.25000000, NULL, 191.25000000, 38.25000000, 0.00000000, 0.00000000, 229.50000000, 0, NULL, NULL, 0, 92.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 191.25000000, 191.25000000, 38.25000000, 229.50000000),
(2967, 474, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2968, 474, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2969, 474, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(2970, 475, NULL, 1080071, NULL, 'Tube \"air comprimé\" diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 11.21000000, NULL, 67.26000000, 13.45000000, 0.00000000, 0.00000000, 80.71000000, 0, NULL, NULL, 0, 7.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.21000000, 67.26000000, 13.45000000, 80.71000000),
(2971, 475, NULL, 1080115, NULL, 'Collier protégé pour tube diam. 42 - M8', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.33000000, NULL, 2.66000000, 0.53000000, 0.00000000, 0.00000000, 3.19000000, 0, NULL, NULL, 0, 0.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.33000000, 2.66000000, 0.53000000, 3.19000000),
(2972, 475, NULL, 1079789, NULL, 'Courbe à 90° diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 19.52000000, NULL, 39.04000000, 7.81000000, 0.00000000, 0.00000000, 46.85000000, 0, NULL, NULL, 0, 13.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.52000000, 39.04000000, 7.81000000, 46.85000000),
(2973, 475, NULL, 1079967, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.85000000, NULL, 33.85000000, 6.77000000, 0.00000000, 0.00000000, 40.62000000, 0, NULL, NULL, 0, 23.83000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.85000000, 33.85000000, 6.77000000, 40.62000000),
(2974, 475, NULL, 1079854, NULL, 'Té égal diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.00000000, NULL, 36.00000000, 7.20000000, 0.00000000, 0.00000000, 43.20000000, 0, NULL, NULL, 0, 12.67000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 36.00000000, 7.20000000, 43.20000000),
(2975, 475, NULL, 1079995, NULL, 'Manchon diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.44000000, NULL, 6.44000000, 1.29000000, 0.00000000, 0.00000000, 7.73000000, 0, NULL, NULL, 0, 4.54000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.44000000, 6.44000000, 1.29000000, 7.73000000),
(2976, 475, NULL, 1223700, NULL, 'Fourniture Plomberie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 56.25000000, NULL, 56.25000000, 11.25000000, 0.00000000, 0.00000000, 67.50000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.25000000, 56.25000000, 11.25000000, 67.50000000),
(2977, 475, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 350.00000000, NULL, 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 263.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(2978, 476, NULL, 952487, NULL, 'alumine 4,5 à 5,5 mm poids au kg', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 5.74000000, NULL, 20.09000000, 4.02000000, 0.00000000, 0.00000000, 24.11000000, 0, NULL, NULL, 0, 2.79000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.74000000, 20.09000000, 4.02000000, 24.11000000),
(2979, 476, NULL, 1231706, NULL, 'recyclage alumine au kg', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 0.65000000, NULL, 2.28000000, 0.45000000, 0.00000000, 0.00000000, 2.73000000, 0, NULL, NULL, 0, 0.45000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.65000000, 2.28000000, 0.45000000, 2.73000000),
(2980, 476, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(2981, 476, NULL, 1231630, NULL, 'kit joints v04', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.38000000, NULL, 78.38000000, 15.68000000, 0.00000000, 0.00000000, 94.06000000, 0, NULL, NULL, 0, 43.10000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.38000000, 78.38000000, 15.68000000, 94.06000000),
(2982, 476, NULL, 952624, NULL, 'silencieux en 3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 70.60000000, NULL, 70.60000000, 14.12000000, 0.00000000, 0.00000000, 84.72000000, 0, NULL, NULL, 0, 38.83000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 70.60000000, 70.60000000, 14.12000000, 84.72000000),
(2983, 476, NULL, 954141, NULL, 'PF005', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 47.00000000, NULL, 47.00000000, 9.40000000, 0.00000000, 0.00000000, 56.40000000, 0, NULL, NULL, 0, 23.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 47.00000000, 47.00000000, 9.40000000, 56.40000000),
(2984, 476, NULL, 954292, NULL, 'PF0010', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 47.00000000, NULL, 47.00000000, 9.40000000, 0.00000000, 0.00000000, 56.40000000, 0, NULL, NULL, 0, 23.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 47.00000000, 47.00000000, 9.40000000, 56.40000000),
(2989, 478, NULL, 1188168, NULL, 'compresseur à piston sur reservoir', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 320.00000000, NULL, 320.00000000, 64.00000000, 0.00000000, 0.00000000, 384.00000000, 0, NULL, NULL, 0, 191.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 320.00000000, 320.00000000, 64.00000000, 384.00000000),
(2990, 479, NULL, 1231772, NULL, 'Électrodistributeur 3 voies avec clapet à commande directe Corps: T (Montage en ligne )', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 56.11000000, NULL, 561.10000000, 112.22000000, 0.00000000, 0.00000000, 673.32000000, 0, NULL, NULL, 0, 42.76000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.11000000, 561.10000000, 112.22000000, 673.32000000),
(2991, 479, NULL, NULL, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(2992, 480, NULL, 1222181, NULL, 'Huile anderol FGC46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 464.32000000, NULL, 464.32000000, 92.86000000, 0.00000000, 0.00000000, 557.18000000, 0, NULL, NULL, 0, 225.40000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 464.32000000, 464.32000000, 92.86000000, 557.18000000),
(2993, 480, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 494.36000000, NULL, 494.36000000, 98.87000000, 0.00000000, 0.00000000, 593.23000000, 0, NULL, NULL, 0, 390.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 494.36000000, 494.36000000, 98.87000000, 593.23000000),
(2994, 480, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(2995, 480, NULL, 1221799, NULL, 'cartouche reseau PFD135', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.04000000, NULL, 113.04000000, 22.61000000, 0.00000000, 0.00000000, 135.65000000, 0, NULL, NULL, 0, 56.52000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.04000000, 113.04000000, 22.61000000, 135.65000000),
(2996, 480, NULL, 1231719, NULL, 'FILTRE FIN 1 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.66000000, NULL, 111.66000000, 22.33000000, 0.00000000, 0.00000000, 133.99000000, 0, NULL, NULL, 0, 55.83000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.66000000, 111.66000000, 22.33000000, 133.99000000),
(2997, 480, NULL, 952359, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 47.09000000, NULL, 47.09000000, 9.42000000, 0.00000000, 0.00000000, 56.51000000, 0, NULL, NULL, 0, 22.86000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 47.09000000, 47.09000000, 9.42000000, 56.51000000),
(2998, 480, NULL, 954040, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.33000000, NULL, 79.33000000, 15.87000000, 0.00000000, 0.00000000, 95.20000000, 0, NULL, NULL, 0, 38.51000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.33000000, 79.33000000, 15.87000000, 95.20000000),
(2999, 480, NULL, 954826, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 152.85000000, NULL, 152.85000000, 30.57000000, 0.00000000, 0.00000000, 183.42000000, 0, NULL, NULL, 0, 74.20000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 152.85000000, 152.85000000, 30.57000000, 183.42000000),
(3000, 480, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.45000000, NULL, 52.45000000, 10.49000000, 0.00000000, 0.00000000, 62.94000000, 0, NULL, NULL, 0, 52.45000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.45000000, 52.45000000, 10.49000000, 62.94000000),
(3001, 481, NULL, 952824, NULL, 'sécheur d\'air par réfrigération 480 m3/h racc 1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2822.06000000, NULL, 2822.06000000, 564.41000000, 0.00000000, 0.00000000, 3386.47000000, 0, NULL, NULL, 0, 2057.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2822.06000000, 2822.06000000, 564.41000000, 3386.47000000),
(3002, 481, NULL, 1223700, NULL, 'Fourniture Plomberie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 56.25000000, NULL, 56.25000000, 11.25000000, 0.00000000, 0.00000000, 67.50000000, 0, NULL, NULL, 0, 42.29000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.25000000, 56.25000000, 11.25000000, 67.50000000),
(3003, 481, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 80, 0, 0, NULL, 0.97000000, NULL, 77.60000000, 15.52000000, 0.00000000, 0.00000000, 93.12000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 77.60000000, 15.52000000, 93.12000000),
(3004, 481, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(3005, 482, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 80, 0, 0, NULL, 0.97000000, NULL, 77.60000000, 15.52000000, 0.00000000, 0.00000000, 93.12000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 77.60000000, 15.52000000, 93.12000000),
(3006, 482, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(3007, 482, NULL, NULL, NULL, 'dépannage du 19/04/2018', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3008, 482, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3009, 482, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 80, 100, 0, NULL, 0.97000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 0.00000000, 0.00000000, 0.00000000),
(3010, 482, NULL, NULL, 'Mise en place d\'un sécheur de prêt  20/04/2018 :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 0, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3011, 482, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 100, 0, NULL, 63.84000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 0.00000000, 0.00000000, 0.00000000),
(3012, 482, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3013, 483, NULL, 1231641, NULL, '24VDC ou 48VAC &eacute;quivalent&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, -139.53000000, NULL, -976.71000000, -195.34000000, 0.00000000, 0.00000000, -1172.05000000, 0, NULL, NULL, 0, 98.18000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -139.53000000, -976.71000000, -195.34000000, -1172.05000000),
(3021, 484, NULL, 1231777, NULL, 'distribu elec 5/2 mono 1/8', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 105.16000000, NULL, 736.12000000, 147.22000000, 0.00000000, 0.00000000, 883.34000000, 0, NULL, NULL, 0, 33.58000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.16000000, 736.12000000, 147.22000000, 883.34000000),
(3022, 484, NULL, 1231778, NULL, 'bobine 48vac ul', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 28.84000000, NULL, 201.88000000, 40.38000000, 0.00000000, 0.00000000, 242.26000000, 0, NULL, NULL, 0, 7.42000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.84000000, 201.88000000, 40.38000000, 242.26000000),
(3023, 484, NULL, 1231779, NULL, 'connecteur 0/220v a cabler', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 1.80000000, NULL, 12.60000000, 2.52000000, 0.00000000, 0.00000000, 15.12000000, 0, NULL, NULL, 0, 0.90000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.80000000, 12.60000000, 2.52000000, 15.12000000),
(3024, 485, NULL, NULL, NULL, 'Acompte 20% du montant de la commande', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50200.00000000, NULL, 50200.00000000, 10040.00000000, 0.00000000, 0.00000000, 60240.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50200.00000000, 50200.00000000, 10040.00000000, 60240.00000000),
(3025, 486, NULL, 1190535, NULL, '', 0.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 40.00000000, NULL, 120.00000000, 0.00000000, 0.00000000, 0.00000000, 120.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.00000000, 120.00000000, 0.00000000, 120.00000000),
(3026, 486, NULL, 1190334, NULL, '', 0.000, '', 0.000, '0', 0.000, '0', 178, 0, 0, NULL, 0.60000000, NULL, 106.80000000, 0.00000000, 0.00000000, 0.00000000, 106.80000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.60000000, 106.80000000, 0.00000000, 106.80000000),
(3027, 487, NULL, NULL, NULL, 'Acompte', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2125.08000000, NULL, 2125.08000000, 425.01000000, 0.00000000, 0.00000000, 2550.09000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2125.08000000, 2125.08000000, 425.01000000, 2550.09000000),
(3030, 488, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -100.00000000, NULL, -100.00000000, -20.00000000, 0.00000000, 0.00000000, -120.00000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -100.00000000, -100.00000000, -20.00000000, -120.00000000),
(3035, 489, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(3036, 490, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(3037, 490, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(3038, 490, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3039, 490, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(3040, 490, NULL, 1213335, NULL, 'CARTOUCHE E75 1\"1/2 FILTRE S-AIR XA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.68000000, NULL, 160.68000000, 32.14000000, 0.00000000, 0.00000000, 192.82000000, 0, NULL, NULL, 0, 78.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.68000000, 160.68000000, 32.14000000, 192.82000000),
(3041, 490, NULL, 1213333, NULL, 'CARTOUCHE E75 1\"1/2 FILTRE S-AIR X1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.68000000, NULL, 160.68000000, 32.14000000, 0.00000000, 0.00000000, 192.82000000, 0, NULL, NULL, 0, 78.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.68000000, 160.68000000, 32.14000000, 192.82000000),
(3042, 491, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(3043, 491, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3044, 491, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(3045, 491, NULL, 1222588, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(3046, 491, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(3047, 492, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(3048, 492, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3049, 492, NULL, 1180048, NULL, 'KIT OIL CHANGE  VERTICAL CONCEPT MK2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 178.40000000, NULL, 178.40000000, 35.68000000, 0.00000000, 0.00000000, 214.08000000, 0, NULL, NULL, 0, 101.64000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 178.40000000, 178.40000000, 35.68000000, 214.08000000),
(3050, 492, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(3051, 492, NULL, 954012, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 83.38000000, NULL, 83.38000000, 16.68000000, 0.00000000, 0.00000000, 100.06000000, 0, NULL, NULL, 0, 40.48000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 83.38000000, 83.38000000, 16.68000000, 100.06000000),
(3052, 493, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 100, 0, NULL, 63.84000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 0.00000000, 0.00000000, 0.00000000),
(3053, 493, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 112, 100, 0, NULL, 0.97000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 0.00000000, 0.00000000, 0.00000000),
(3054, 493, NULL, 969249, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(3055, 494, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 672.00000000, NULL, 672.00000000, 134.40000000, 0.00000000, 0.00000000, 806.40000000, 0, NULL, NULL, 0, 505.58000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 672.00000000, 672.00000000, 134.40000000, 806.40000000),
(3056, 495, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(3057, 495, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3058, 495, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(3059, 495, NULL, 952261, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.22000000, NULL, 28.22000000, 5.64000000, 0.00000000, 0.00000000, 33.86000000, 0, NULL, NULL, 0, 13.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.22000000, 28.22000000, 5.64000000, 33.86000000),
(3060, 495, NULL, 954039, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.57000000, NULL, 11.57000000, 2.31000000, 0.00000000, 0.00000000, 13.88000000, 0, NULL, NULL, 0, 5.62000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.57000000, 11.57000000, 2.31000000, 13.88000000),
(3061, 495, NULL, 1222521, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 9.88000000, NULL, 29.64000000, 5.93000000, 0.00000000, 0.00000000, 35.57000000, 0, NULL, NULL, 0, 4.80000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.88000000, 29.64000000, 5.93000000, 35.57000000),
(3062, 496, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3063, 496, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3064, 496, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(3065, 496, NULL, 952658, NULL, 'cartouche grade ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(3066, 496, NULL, 952684, NULL, 'cartouche grade rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(3067, 496, NULL, 1179651, NULL, 'SERVICE KIT D L23RS-L29RS replaced', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 972.50000000, NULL, 972.50000000, 194.50000000, 0.00000000, 0.00000000, 1167.00000000, 0, NULL, NULL, 0, 554.28000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 972.50000000, 972.50000000, 194.50000000, 1167.00000000),
(3068, 496, NULL, 1189337, NULL, 'filter ip 54/pfa40 000', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 148.40000000, NULL, 148.40000000, 29.68000000, 0.00000000, 0.00000000, 178.08000000, 0, NULL, NULL, 0, 89.04000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 148.40000000, 148.40000000, 29.68000000, 178.08000000),
(3070, 497, NULL, 1222604, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.10000000, NULL, 32.20000000, 6.44000000, 0.00000000, 0.00000000, 38.64000000, 0, NULL, NULL, 0, 7.82000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.10000000, 32.20000000, 6.44000000, 38.64000000),
(3071, 497, NULL, 952683, NULL, 'cartouche 180RB', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.69000000, NULL, 105.69000000, 21.14000000, 0.00000000, 0.00000000, 126.83000000, 0, NULL, NULL, 0, 51.31000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.69000000, 105.69000000, 21.14000000, 126.83000000),
(3072, 497, NULL, 952696, NULL, 'MANOMETRE DIAM 50 / 0-16 BAR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.28000000, NULL, 8.28000000, 1.66000000, 0.00000000, 0.00000000, 9.94000000, 0, NULL, NULL, 0, 4.02000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.28000000, 8.28000000, 1.66000000, 9.94000000),
(3073, 497, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(3074, 497, NULL, 1179646, NULL, 'SEPARATOR KIT D            L07-L11RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.20000000, NULL, 284.20000000, 56.84000000, 0.00000000, 0.00000000, 341.04000000, 0, NULL, NULL, 0, 170.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.20000000, 284.20000000, 56.84000000, 341.04000000),
(3075, 497, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3076, 497, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3077, 498, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(3078, 499, NULL, 1231797, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 170.00000000, NULL, 170.00000000, 34.00000000, 0.00000000, 0.00000000, 204.00000000, 0, NULL, NULL, 0, 127.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 170.00000000, 170.00000000, 34.00000000, 204.00000000),
(3079, 499, NULL, 1231796, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 170.00000000, NULL, 170.00000000, 34.00000000, 0.00000000, 0.00000000, 204.00000000, 0, NULL, NULL, 0, 127.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 170.00000000, 170.00000000, 34.00000000, 204.00000000),
(3080, 499, NULL, 1231795, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 170.00000000, NULL, 170.00000000, 34.00000000, 0.00000000, 0.00000000, 204.00000000, 0, NULL, NULL, 0, 127.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 170.00000000, 170.00000000, 34.00000000, 204.00000000),
(3081, 499, NULL, 1231798, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.00000000, NULL, 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 112.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(3082, 499, NULL, 1231799, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.00000000, NULL, 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 112.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(3083, 499, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 216, 0, 0, NULL, 0.97000000, NULL, 209.52000000, 41.90000000, 0.00000000, 0.00000000, 251.42000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 209.52000000, 41.90000000, 251.42000000),
(3084, 499, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 63.84000000, NULL, 510.72000000, 102.14000000, 0.00000000, 0.00000000, 612.86000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 510.72000000, 102.14000000, 612.86000000),
(3085, 500, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(3086, 500, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 0.97000000, NULL, 14.55000000, 2.91000000, 0.00000000, 0.00000000, 17.46000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 14.55000000, 2.91000000, 17.46000000),
(3087, 501, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3088, 501, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3089, 501, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(3090, 501, NULL, 1222568, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 14.29000000, NULL, 42.87000000, 8.57000000, 0.00000000, 0.00000000, 51.44000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 42.87000000, 8.57000000, 51.44000000),
(3091, 501, NULL, 955041, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(3092, 501, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(3093, 501, NULL, 952001, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.37000000, NULL, 33.37000000, 6.67000000, 0.00000000, 0.00000000, 40.04000000, 0, NULL, NULL, 0, 16.20000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.37000000, 33.37000000, 6.67000000, 40.04000000),
(3094, 501, NULL, 954013, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.93000000, NULL, 99.93000000, 19.99000000, 0.00000000, 0.00000000, 119.92000000, 0, NULL, NULL, 0, 48.51000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.93000000, 99.93000000, 19.99000000, 119.92000000),
(3095, 501, NULL, NULL, NULL, 'coffret + sectionneur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.50000000, NULL, 123.50000000, 24.70000000, 0.00000000, 0.00000000, 148.20000000, 0, NULL, NULL, 0, 95.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.50000000, 123.50000000, 24.70000000, 148.20000000),
(3096, 502, NULL, 1220999, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5898.36000000, NULL, 5898.36000000, 1179.67000000, 0.00000000, 0.00000000, 7078.03000000, 0, NULL, NULL, 0, 4651.34000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5898.36000000, 5898.36000000, 1179.67000000, 7078.03000000),
(3097, 502, NULL, 1189385, NULL, 'reservoir 500Litres option', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 263.11000000, NULL, 263.11000000, 52.62000000, 0.00000000, 0.00000000, 315.73000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 263.11000000, 263.11000000, 52.62000000, 315.73000000),
(3098, 502, NULL, 1222086, NULL, 'natte filtrante', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 32.82000000, NULL, 65.64000000, 13.13000000, 0.00000000, 0.00000000, 78.77000000, 0, NULL, NULL, 0, 27.36000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.82000000, 65.64000000, 13.13000000, 78.77000000),
(3099, 502, NULL, 952631, NULL, 'filtre reseau 1µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 142.75000000, NULL, 142.75000000, 28.55000000, 0.00000000, 0.00000000, 171.30000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 142.75000000, 142.75000000, 28.55000000, 171.30000000),
(3100, 502, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 66.61000000, NULL, 66.61000000, 13.32000000, 0.00000000, 0.00000000, 79.93000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 66.61000000, 66.61000000, 13.32000000, 79.93000000),
(3101, 502, NULL, 1189386, NULL, 'module redemarrage auto apres coupure rennerogic', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 28.80000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3102, 502, NULL, NULL, NULL, '<p>raccordement / mise en service + depart garantie 2 ans</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3103, 502, NULL, NULL, NULL, '<p>Option: traitements des condensats</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3104, 502, NULL, 958250, NULL, 'ÖWAMAT 10 oil/water separator', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 304.52000000, NULL, 304.52000000, 60.90000000, 0.00000000, 0.00000000, 365.42000000, 0, NULL, NULL, 0, 200.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 304.52000000, 304.52000000, 60.90000000, 365.42000000),
(3105, 502, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 342.59000000, NULL, 342.59000000, 68.52000000, 0.00000000, 0.00000000, 411.11000000, 0, NULL, NULL, 0, 288.35000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 342.59000000, 342.59000000, 68.52000000, 411.11000000),
(3106, 502, NULL, NULL, NULL, '(DEPOSIT)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, 19, -2125.08000000, NULL, -2125.08000000, -425.01000000, 0.00000000, 0.00000000, -2550.09000000, 0, NULL, NULL, 2, 0.00000000, NULL, 0, 0, -1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, '', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3107, 503, NULL, NULL, NULL, 'location mensuel', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3108, 503, NULL, 1231856, NULL, '<p><span style=\"color:black\">&agrave; condensation par air certifi&eacute; EUROVENT avec<br />\r\nEvaporateur batterie immerg&eacute; dans le ballon tampon de 60l.<br />\r\n1 Pompe de circulation P3 (~ 2,5 &agrave; 3 bars)<br />\r\n1 Circuit frigorifique - R410A; 1 Compresseur scroll<br />\r\n1 Ventilateur axial et armoire &eacute;lectrique compl&egrave;te avec r&eacute;gulation DIXELL&nbsp; IC208</span></p>\r\n\r\n<p><span style=\"color:black\">Alimentation &eacute;lectrique <strong>400/3/50Hz</strong></span></p>\r\n<br />\r\nPrix par mois de location', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 832.00000000, NULL, 832.00000000, 166.40000000, 0.00000000, 0.00000000, 998.40000000, 0, NULL, NULL, 0, 616.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 832.00000000, 832.00000000, 166.40000000, 998.40000000),
(3109, 503, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3110, 503, NULL, 1231857, NULL, 'mise en service garantie 2 ans pieces et MO', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1254.00000000, NULL, 1254.00000000, 250.80000000, 0.00000000, 0.00000000, 1504.80000000, 0, NULL, NULL, 0, 950.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1254.00000000, 1254.00000000, 250.80000000, 1504.80000000),
(3111, 503, NULL, 1231859, NULL, 'kit de reglage et de protection 400microns', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.00000000, NULL, 113.00000000, 22.60000000, 0.00000000, 0.00000000, 135.60000000, 0, NULL, NULL, 0, 85.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.00000000, 113.00000000, 22.60000000, 135.60000000),
(3112, 503, NULL, NULL, NULL, 'Port express suite &agrave; votre demande', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.00000000, NULL, 200.00000000, 40.00000000, 0.00000000, 0.00000000, 240.00000000, 0, NULL, NULL, 0, 200.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.00000000, 200.00000000, 40.00000000, 240.00000000),
(3113, 504, NULL, 955221, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 281.89000000, NULL, 563.78000000, 112.76000000, 0.00000000, 0.00000000, 676.54000000, 0, NULL, NULL, 0, 136.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 281.89000000, 563.78000000, 112.76000000, 676.54000000),
(3114, 504, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(3121, 507, NULL, 1219895, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 530.00000000, NULL, 1590.00000000, 318.00000000, 0.00000000, 0.00000000, 1908.00000000, 0, NULL, NULL, 0, 379.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 530.00000000, 1590.00000000, 318.00000000, 1908.00000000),
(3122, 508, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(3123, 508, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3124, 508, NULL, 953155, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.57000000, NULL, 52.57000000, 10.51000000, 0.00000000, 0.00000000, 63.08000000, 0, NULL, NULL, 0, 25.52000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.57000000, 52.57000000, 10.51000000, 63.08000000),
(3125, 508, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(3126, 508, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(3127, 508, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(3128, 508, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(3129, 508, NULL, 1231774, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(3130, 509, NULL, NULL, NULL, '<p>Maintenance Compresseur (Huile alimentaire) + Filtres reseau + separateur de condensats</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3131, 509, NULL, NULL, '1 maintenance COMPAIR L18RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3132, 509, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.00000000, NULL, 114.00000000, 22.80000000, 0.00000000, 0.00000000, 136.80000000, 0, NULL, NULL, 0, 70.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.00000000, 114.00000000, 22.80000000, 136.80000000),
(3133, 509, NULL, 1222598, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 13.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 8.48000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.00000000, 39.00000000, 7.80000000, 46.80000000),
(3134, 509, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 237.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(3135, 509, NULL, 953173, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.00000000, NULL, 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(3136, 509, NULL, 953170, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.00000000, NULL, 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(3137, 509, NULL, 1231755, NULL, 'cartouche filtre reseau 300 charbon actif', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(3138, 509, NULL, 1190364, NULL, 'Maintenance compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 325.00000000, NULL, 325.00000000, 65.00000000, 0.00000000, 0.00000000, 390.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 325.00000000, 325.00000000, 65.00000000, 390.00000000),
(3139, 509, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 103.00000000, NULL, 103.00000000, 20.60000000, 0.00000000, 0.00000000, 123.60000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.00000000, 103.00000000, 20.60000000, 123.60000000),
(3140, 509, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3141, 509, NULL, 1223699, NULL, 'Huile anderol FGC46 Alimentaire prix au litre', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 15.77000000, NULL, 126.16000000, 25.23000000, 0.00000000, 0.00000000, 151.39000000, 0, NULL, NULL, 0, 11.27000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.77000000, 126.16000000, 25.23000000, 151.39000000),
(3142, 509, NULL, NULL, 'Sous-total maintenance COMPAIR L18RS', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3143, 509, NULL, NULL, '2 Maintenance KAESER', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3144, 509, NULL, NULL, NULL, '<p>Maintenance Compresseur KAESER en Huile alimentaire</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3145, 509, NULL, 1221777, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 45.55000000, NULL, 45.55000000, 9.11000000, 0.00000000, 0.00000000, 54.66000000, 0, NULL, NULL, 0, 22.11000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.55000000, 45.55000000, 9.11000000, 54.66000000),
(3146, 509, NULL, 1221724, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.33000000, NULL, 81.33000000, 16.27000000, 0.00000000, 0.00000000, 97.60000000, 0, NULL, NULL, 0, 39.48000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.33000000, 81.33000000, 16.27000000, 97.60000000),
(3147, 509, NULL, 1221709, NULL, 'filtre a air (natte)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.00000000, NULL, 35.00000000, 7.00000000, 0.00000000, 0.00000000, 42.00000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.00000000, 35.00000000, 7.00000000, 42.00000000),
(3148, 509, NULL, 1231873, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.47000000, NULL, 19.47000000, 3.89000000, 0.00000000, 0.00000000, 23.36000000, 0, NULL, NULL, 0, 13.55000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.47000000, 19.47000000, 3.89000000, 23.36000000),
(3149, 509, NULL, 1223699, NULL, 'Huile anderol FGC46 Alimentaire prix au litre', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 15.77000000, NULL, 126.16000000, 25.23000000, 0.00000000, 0.00000000, 151.39000000, 0, NULL, NULL, 0, 11.27000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.77000000, 126.16000000, 25.23000000, 151.39000000),
(3150, 509, NULL, 1190364, NULL, 'Maintenance compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 325.00000000, NULL, 325.00000000, 65.00000000, 0.00000000, 0.00000000, 390.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 325.00000000, 325.00000000, 65.00000000, 390.00000000),
(3151, 509, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3152, 509, NULL, NULL, 'Sous-total Maintenance KAESER', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3153, 509, NULL, NULL, '3 Filtration reseau secheur IRP 110 + filtres decentralisés trieur optique', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3154, 509, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3155, 509, NULL, 1190506, NULL, 'Forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 108.00000000, NULL, 108.00000000, 21.60000000, 0.00000000, 0.00000000, 129.60000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 108.00000000, 108.00000000, 21.60000000, 129.60000000),
(3156, 509, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(3157, 509, NULL, 1231755, NULL, 'cartouche filtre reseau 300 charbon actif', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(3158, 509, NULL, NULL, 'Sous-total Filtration reseau secheur IRP 110 + filtres decentralisés trieur optique', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3159, 510, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.75, 0, 0, NULL, 63.84000000, NULL, 175.56000000, 35.11000000, 0.00000000, 0.00000000, 210.67000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 175.56000000, 35.11000000, 210.67000000),
(3160, 510, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 114, 0, 0, NULL, 0.97000000, NULL, 110.58000000, 22.12000000, 0.00000000, 0.00000000, 132.70000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 110.58000000, 22.12000000, 132.70000000),
(3161, 511, NULL, 1221270, NULL, 'CLE A CHOCS COMPOSITE CARRE 1/2    8951000025', 20.000, '', 0.000, '0', 0.000, '0', 1, 35, 0, NULL, 300.00000000, NULL, 195.00000000, 39.00000000, 0.00000000, 0.00000000, 234.00000000, 0, NULL, NULL, 0, 138.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 300.00000000, 195.00000000, 39.00000000, 234.00000000),
(3162, 511, NULL, 1223624, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(3163, 512, NULL, NULL, NULL, '<p>Coupure d&#39;air necessaire environ 1h</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3164, 512, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 6.20000000, NULL, 93.00000000, 18.60000000, 0.00000000, 0.00000000, 111.60000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 93.00000000, 18.60000000, 111.60000000),
(3165, 512, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 4.28000000, NULL, 12.84000000, 2.57000000, 0.00000000, 0.00000000, 15.41000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.28000000, 12.84000000, 2.57000000, 15.41000000),
(3166, 512, NULL, 1079975, NULL, 'Raccord mixte 3 pièces femelle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 18.47000000, NULL, 73.88000000, 14.78000000, 0.00000000, 0.00000000, 88.66000000, 0, NULL, NULL, 0, 13.01000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.47000000, 73.88000000, 14.78000000, 88.66000000),
(3167, 512, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.77000000, NULL, 27.08000000, 5.42000000, 0.00000000, 0.00000000, 32.50000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 27.08000000, 5.42000000, 32.50000000),
(3168, 512, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.59000000, NULL, 19.18000000, 3.84000000, 0.00000000, 0.00000000, 23.02000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.59000000, 19.18000000, 3.84000000, 23.02000000),
(3169, 512, NULL, 966506, NULL, 'Vanne 1/4 Tour PN40 F/F 1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.80000000, NULL, 17.60000000, 3.52000000, 0.00000000, 0.00000000, 21.12000000, 0, NULL, NULL, 0, 5.79000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.80000000, 17.60000000, 3.52000000, 21.12000000),
(3170, 512, NULL, 1079930, NULL, 'Raccord mixte mâle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.54000000, NULL, 17.08000000, 3.42000000, 0.00000000, 0.00000000, 20.50000000, 0, NULL, NULL, 0, 6.01000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.54000000, 17.08000000, 3.42000000, 20.50000000),
(3171, 512, NULL, 1190648, NULL, 'raccord ISIFLO diam 32 1\" F', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 16.80000000, NULL, 50.40000000, 10.08000000, 0.00000000, 0.00000000, 60.48000000, 0, NULL, NULL, 0, 12.50000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.80000000, 50.40000000, 10.08000000, 60.48000000),
(3172, 512, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.14000000, NULL, 6.84000000, 1.37000000, 0.00000000, 0.00000000, 8.21000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 6.84000000, 1.37000000, 8.21000000),
(3173, 512, NULL, NULL, NULL, '<p><u><strong>Travaux execut&eacute;s &agrave; l&#39;echelle</strong></u></p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3174, 512, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 635.00000000, NULL, 635.00000000, 127.00000000, 0.00000000, 0.00000000, 762.00000000, 0, NULL, NULL, 0, 480.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 635.00000000, 635.00000000, 127.00000000, 762.00000000),
(3175, 513, NULL, 1190772, NULL, 'bouton tournant à ressort', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.00000000, NULL, 32.00000000, 6.40000000, 0.00000000, 0.00000000, 38.40000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.00000000, 32.00000000, 6.40000000, 38.40000000),
(3176, 513, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 126, 0, 0, NULL, 0.97000000, NULL, 122.22000000, 24.44000000, 0.00000000, 0.00000000, 146.66000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 122.22000000, 24.44000000, 146.66000000),
(3177, 513, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 6.5, 0, 0, NULL, 63.84000000, NULL, 414.96000000, 82.99000000, 0.00000000, 0.00000000, 497.95000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 414.96000000, 82.99000000, 497.95000000),
(3178, 514, NULL, 1220936, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3650.00000000, NULL, 3650.00000000, 730.00000000, 0.00000000, 0.00000000, 4380.00000000, 0, NULL, NULL, 0, 2798.40000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3650.00000000, 3650.00000000, 730.00000000, 4380.00000000),
(3179, 514, NULL, NULL, NULL, '<p>Compresseur RENNER RS_PRO-7,5Kw-10bar</p>\n\n<p>Debit 66m3/h</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3180, 514, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 300.00000000, NULL, 300.00000000, 60.00000000, 0.00000000, 0.00000000, 360.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 300.00000000, 300.00000000, 60.00000000, 360.00000000),
(3181, 514, NULL, 1190340, NULL, 'Fournitures plomberies', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.00000000, 40.00000000, 8.00000000, 48.00000000),
(3182, 514, NULL, 1231901, NULL, 'Coffret d\'isolation phonique renforcé', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 700.00000000, NULL, 700.00000000, 140.00000000, 0.00000000, 0.00000000, 840.00000000, 0, NULL, NULL, 0, 336.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 700.00000000, 700.00000000, 140.00000000, 840.00000000),
(3183, 514, NULL, 1222068, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.00000000, NULL, 25.00000000, 5.00000000, 0.00000000, 0.00000000, 30.00000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.00000000, 25.00000000, 5.00000000, 30.00000000),
(3184, 515, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(3185, 516, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2020-02-20 00:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(3186, 517, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2020-02-20 00:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(3187, 518, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3188, 518, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(3189, 518, NULL, 1179647, NULL, 'SERVICE-KIT D55-275 A+W  24V/50+60Hz', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 401.40000000, NULL, 401.40000000, 80.28000000, 0.00000000, 0.00000000, 481.68000000, 0, NULL, NULL, 0, 240.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 401.40000000, 401.40000000, 80.28000000, 481.68000000),
(3190, 518, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3191, 518, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(3192, 518, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(3193, 518, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(3194, 518, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(3195, 519, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 266.79000000, NULL, 266.79000000, 53.36000000, 0.00000000, 0.00000000, 320.15000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 266.79000000, 266.79000000, 53.36000000, 320.15000000),
(3196, 519, NULL, 1189329, NULL, 'filtre  711/715 (39x39x2)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.35000000, NULL, 35.35000000, 7.07000000, 0.00000000, 0.00000000, 42.42000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.35000000, 35.35000000, 7.07000000, 42.42000000),
(3197, 519, NULL, 1180048, NULL, 'KIT OIL CHANGE  VERTICAL CONCEPT MK2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 159.05000000, NULL, 159.05000000, 31.81000000, 0.00000000, 0.00000000, 190.86000000, 0, NULL, NULL, 0, 101.64000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 159.05000000, 159.05000000, 31.81000000, 190.86000000),
(3198, 519, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.00000000, NULL, 4.00000000, 0.80000000, 0.00000000, 0.00000000, 4.80000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.00000000, 4.00000000, 0.80000000, 4.80000000),
(3199, 520, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 106, 0, 0, NULL, 0.97000000, NULL, 102.82000000, 20.56000000, 0.00000000, 0.00000000, 123.38000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 102.82000000, 20.56000000, 123.38000000),
(3201, 520, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(3202, 521, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3203, 521, NULL, 1179719, NULL, 'MAJOR KIT E                     L 15- 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 178.40000000, NULL, 178.40000000, 35.68000000, 0.00000000, 0.00000000, 214.08000000, 0, NULL, NULL, 0, 107.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 178.40000000, 178.40000000, 35.68000000, 214.08000000),
(3204, 521, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(3205, 521, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3206, 521, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(3207, 521, NULL, 1178286, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 310.60000000, NULL, 310.60000000, 62.12000000, 0.00000000, 0.00000000, 372.72000000, 0, NULL, NULL, 0, 186.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 310.60000000, 310.60000000, 62.12000000, 372.72000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(3208, 521, NULL, 1222522, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 11.76000000, NULL, 35.28000000, 7.06000000, 0.00000000, 0.00000000, 42.34000000, 0, NULL, NULL, 0, 5.71000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.76000000, 35.28000000, 7.06000000, 42.34000000),
(3209, 522, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(3210, 522, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3211, 522, NULL, 1222578, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.66000000, NULL, 37.32000000, 7.46000000, 0.00000000, 0.00000000, 44.78000000, 0, NULL, NULL, 0, 9.06000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.66000000, 37.32000000, 7.46000000, 44.78000000),
(3212, 522, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(3213, 522, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(3214, 522, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(3215, 523, NULL, 1231860, NULL, 'coude FF 1\" 1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.59000000, NULL, 78.59000000, 15.72000000, 0.00000000, 0.00000000, 94.31000000, 0, NULL, NULL, 0, 60.45000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.59000000, 78.59000000, 15.72000000, 94.31000000),
(3216, 523, NULL, 1231861, NULL, 'union double bsp 1\"1/4 1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.22000000, NULL, 16.22000000, 3.24000000, 0.00000000, 0.00000000, 19.46000000, 0, NULL, NULL, 0, 12.47000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.22000000, 16.22000000, 3.24000000, 19.46000000),
(3217, 523, NULL, 1231862, NULL, 'Bague bs 1\"1/4 avec centrage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.45000000, NULL, 5.45000000, 1.09000000, 0.00000000, 0.00000000, 6.54000000, 0, NULL, NULL, 0, 4.19000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.45000000, 5.45000000, 1.09000000, 6.54000000),
(3218, 523, NULL, 1231863, NULL, 'Bague bs 1\"avec centrage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.29000000, NULL, 3.29000000, 0.66000000, 0.00000000, 0.00000000, 3.95000000, 0, NULL, NULL, 0, 2.53000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.29000000, 3.29000000, 0.66000000, 3.95000000),
(3219, 523, NULL, 1231864, NULL, 'um GAZ 1\" 1\" Fil gaz conique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 36.00000000, NULL, 36.00000000, 7.20000000, 0.00000000, 0.00000000, 43.20000000, 0, NULL, NULL, 0, 28.32000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.00000000, 36.00000000, 7.20000000, 43.20000000),
(3220, 523, NULL, 1231866, NULL, 'red MF 1\" 3/4 GCO', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.30000000, NULL, 12.30000000, 2.46000000, 0.00000000, 0.00000000, 14.76000000, 0, NULL, NULL, 0, 9.46000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.30000000, 12.30000000, 2.46000000, 14.76000000),
(3221, 523, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 677.37000000, NULL, 677.37000000, 135.47000000, 0.00000000, 0.00000000, 812.84000000, 0, NULL, NULL, 0, 521.06000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 677.37000000, 677.37000000, 135.47000000, 812.84000000),
(3222, 524, NULL, NULL, NULL, 'acompte', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50000.00000000, NULL, 50000.00000000, 10000.00000000, 0.00000000, 0.00000000, 60000.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50000.00000000, 50000.00000000, 10000.00000000, 60000.00000000),
(3223, 525, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3224, 525, NULL, 1221750, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.00000000, NULL, 13.00000000, 2.60000000, 0.00000000, 0.00000000, 15.60000000, 0, NULL, NULL, 0, 6.31000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.00000000, 13.00000000, 2.60000000, 15.60000000),
(3225, 525, NULL, 1180146, NULL, 'FILTRE EN Y', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 222.10000000, NULL, 222.10000000, 44.42000000, 0.00000000, 0.00000000, 266.52000000, 0, NULL, NULL, 0, 133.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 222.10000000, 222.10000000, 44.42000000, 266.52000000),
(3226, 525, NULL, 1231653, NULL, 'SEPRATEUR AIR/HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 41.82000000, NULL, 41.82000000, 8.36000000, 0.00000000, 0.00000000, 50.18000000, 0, NULL, NULL, 0, 19.41000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.82000000, 41.82000000, 8.36000000, 50.18000000),
(3227, 525, NULL, 1180318, NULL, 'JOINT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.00000000, NULL, 42.00000000, 8.40000000, 0.00000000, 0.00000000, 50.40000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.00000000, 42.00000000, 8.40000000, 50.40000000),
(3228, 525, NULL, 1180304, NULL, 'JOINT TORIQUE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.00000000, NULL, 21.00000000, 4.20000000, 0.00000000, 0.00000000, 25.20000000, 0, NULL, NULL, 0, 12.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.00000000, 21.00000000, 4.20000000, 25.20000000),
(3229, 525, NULL, 1180310, NULL, 'JOINT TORIQUE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.70000000, NULL, 7.70000000, 1.54000000, 0.00000000, 0.00000000, 9.24000000, 0, NULL, NULL, 0, 4.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.70000000, 7.70000000, 1.54000000, 9.24000000),
(3230, 525, NULL, 1180306, NULL, 'KIT MAINTENANCE TETE SEPARATEUR SH100', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.90000000, NULL, 402.90000000, 80.58000000, 0.00000000, 0.00000000, 483.48000000, 0, NULL, NULL, 0, 241.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.90000000, 402.90000000, 80.58000000, 483.48000000),
(3231, 525, NULL, 1188829, NULL, 'clapet svt plan l13654 indice e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 129.98000000, NULL, 129.98000000, 26.00000000, 0.00000000, 0.00000000, 155.98000000, 0, NULL, NULL, 0, 63.10000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 129.98000000, 129.98000000, 26.00000000, 155.98000000),
(3232, 525, NULL, 1188868, NULL, 'ressort de14 lg45 d 0.5 pas 7', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.65000000, NULL, 30.65000000, 6.13000000, 0.00000000, 0.00000000, 36.78000000, 0, NULL, NULL, 0, 14.88000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.65000000, 30.65000000, 6.13000000, 36.78000000),
(3233, 525, NULL, 1188847, NULL, 'entretoise de guidage usinee svt plan', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 290.74000000, NULL, 290.74000000, 58.15000000, 0.00000000, 0.00000000, 348.89000000, 0, NULL, NULL, 0, 141.14000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 290.74000000, 290.74000000, 58.15000000, 348.89000000),
(3234, 526, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement<br />\r\nr&eacute;alisation en meme temps que la maintenance du HV04 et remise en etat du compresseur 4010 ELK09BES', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 289.83000000, NULL, 289.83000000, 57.97000000, 0.00000000, 0.00000000, 347.80000000, 0, NULL, NULL, 0, 288.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 289.83000000, 289.83000000, 57.97000000, 347.80000000),
(3235, 526, NULL, 1223702, NULL, 'raccordement en souple', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 163.80000000, NULL, 163.80000000, 32.76000000, 0.00000000, 0.00000000, 196.56000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 163.80000000, 163.80000000, 32.76000000, 196.56000000),
(3236, 526, NULL, 952631, NULL, 'filtre reseau R1/2 grade 1µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 148.77000000, NULL, 148.77000000, 29.75000000, 0.00000000, 0.00000000, 178.52000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 148.77000000, 148.77000000, 29.75000000, 178.52000000),
(3237, 526, NULL, 952636, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 178.69000000, NULL, 178.69000000, 35.74000000, 0.00000000, 0.00000000, 214.43000000, 0, NULL, NULL, 0, 116.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 178.69000000, 178.69000000, 35.74000000, 214.43000000),
(3238, 527, NULL, 1189329, NULL, 'filtre  711/715 (39x39x2)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.65000000, NULL, 39.65000000, 7.93000000, 0.00000000, 0.00000000, 47.58000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.65000000, 39.65000000, 7.93000000, 47.58000000),
(3239, 527, NULL, 954051, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.68000000, NULL, 18.68000000, 3.74000000, 0.00000000, 0.00000000, 22.42000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.68000000, 18.68000000, 3.74000000, 22.42000000),
(3240, 527, NULL, 955044, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.39000000, NULL, 86.39000000, 17.28000000, 0.00000000, 0.00000000, 103.67000000, 0, NULL, NULL, 0, 41.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.39000000, 86.39000000, 17.28000000, 103.67000000),
(3241, 527, NULL, 952144, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.40000000, NULL, 15.40000000, 3.08000000, 0.00000000, 0.00000000, 18.48000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.40000000, 15.40000000, 3.08000000, 18.48000000),
(3242, 527, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3243, 527, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3244, 527, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(3245, 528, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(3246, 528, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 62, 0, 0, NULL, 0.97000000, NULL, 60.14000000, 12.03000000, 0.00000000, 0.00000000, 72.17000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 60.14000000, 12.03000000, 72.17000000),
(3247, 529, NULL, 1190357, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 361.76000000, NULL, 361.76000000, 72.35000000, 0.00000000, 0.00000000, 434.11000000, 0, NULL, NULL, 0, 272.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 361.76000000, 361.76000000, 72.35000000, 434.11000000),
(3248, 530, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 0, NULL, NULL, 0, 226.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(3249, 530, NULL, 1179655, NULL, 'SEPARATOR KIT D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 582.50000000, NULL, 582.50000000, 116.50000000, 0.00000000, 0.00000000, 699.00000000, 0, NULL, NULL, 0, 368.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 582.50000000, 582.50000000, 116.50000000, 699.00000000),
(3250, 530, NULL, 1179727, NULL, 'SERVICE PACKAGE  E   L30-L50+L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 772.30000000, NULL, 772.30000000, 154.46000000, 0.00000000, 0.00000000, 926.76000000, 0, NULL, NULL, 0, 288.21000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 772.30000000, 772.30000000, 154.46000000, 926.76000000),
(3251, 530, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 174.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(3252, 530, NULL, 1190506, NULL, 'Forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 425.60000000, NULL, 425.60000000, 85.12000000, 0.00000000, 0.00000000, 510.72000000, 0, NULL, NULL, 0, 290.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 425.60000000, 425.60000000, 85.12000000, 510.72000000),
(3253, 530, NULL, 953180, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.55000000, NULL, 155.55000000, 31.11000000, 0.00000000, 0.00000000, 186.66000000, 0, NULL, NULL, 0, 75.51000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.55000000, 155.55000000, 31.11000000, 186.66000000),
(3254, 530, NULL, 952676, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.45000000, NULL, 156.45000000, 31.29000000, 0.00000000, 0.00000000, 187.74000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.45000000, 156.45000000, 31.29000000, 187.74000000),
(3255, 530, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3256, 531, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(3257, 531, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(3258, 532, NULL, 1190357, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 332.50000000, NULL, 332.50000000, 66.50000000, 0.00000000, 0.00000000, 399.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 332.50000000, 332.50000000, 66.50000000, 399.00000000),
(3259, 533, NULL, 1223810, NULL, 'perceuse avec mandrin auto 13mm', 20.000, '', 0.000, '0', 0.000, '0', 3, 30, 0, NULL, 335.00000000, NULL, 703.50000000, 140.70000000, 0.00000000, 0.00000000, 844.20000000, 0, NULL, NULL, 0, 164.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 335.00000000, 703.50000000, 140.70000000, 844.20000000),
(3260, 533, NULL, 1223624, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(3261, 534, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(3262, 535, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3263, 535, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3264, 535, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(3265, 535, NULL, 1223699, NULL, 'Huile anderol FGC46 Alimentaire prix au litre', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 23.22000000, NULL, 232.20000000, 46.44000000, 0.00000000, 0.00000000, 278.64000000, 0, NULL, NULL, 0, 11.27000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.22000000, 232.20000000, 46.44000000, 278.64000000),
(3266, 536, NULL, NULL, '1 Maintenance du Rollair 850', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3267, 536, NULL, 1221778, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.89000000, NULL, 22.89000000, 4.58000000, 0.00000000, 0.00000000, 27.47000000, 0, NULL, NULL, 0, 11.22000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.89000000, 22.89000000, 4.58000000, 27.47000000),
(3268, 536, NULL, 1221734, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.43000000, NULL, 68.43000000, 13.69000000, 0.00000000, 0.00000000, 82.12000000, 0, NULL, NULL, 0, 33.22000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.43000000, 68.43000000, 13.69000000, 82.12000000),
(3269, 536, NULL, 1221757, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.12000000, NULL, 21.12000000, 4.22000000, 0.00000000, 0.00000000, 25.34000000, 0, NULL, NULL, 0, 10.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.12000000, 21.12000000, 4.22000000, 25.34000000),
(3271, 536, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(3272, 536, NULL, NULL, 'Sous-total Maintenance du Rollair 850', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3274, 538, NULL, NULL, NULL, 'location mensuel', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3276, 538, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3277, 538, NULL, 1231857, NULL, 'mise en service garantie 2 ans pieces et MO', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -1254.00000000, NULL, -1254.00000000, -250.80000000, 0.00000000, 0.00000000, -1504.80000000, 0, NULL, NULL, 0, 950.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -1254.00000000, -1254.00000000, -250.80000000, -1504.80000000),
(3280, 539, NULL, 1231045, NULL, '2000HR 5 L VANE OIL', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 113.30000000, NULL, 90.64000000, 18.13000000, 0.00000000, 0.00000000, 108.77000000, 0, NULL, NULL, 0, 67.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.30000000, 90.64000000, 18.13000000, 108.77000000),
(3281, 540, NULL, 1238428, NULL, 'plateau velcros', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 25.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 19.32000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.00000000, 250.00000000, 50.00000000, 300.00000000),
(3282, 540, NULL, 1223624, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(3283, 541, NULL, 1221761, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.81000000, NULL, 16.81000000, 3.36000000, 0.00000000, 0.00000000, 20.17000000, 0, NULL, NULL, 0, 8.24000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.81000000, 16.81000000, 3.36000000, 20.17000000),
(3286, 541, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(3287, 541, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(3288, 541, NULL, 1231903, NULL, 'Clé à Sangle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.70000000, NULL, 34.70000000, 6.94000000, 0.00000000, 0.00000000, 41.64000000, 0, NULL, NULL, 0, 30.79000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.70000000, 34.70000000, 6.94000000, 41.64000000),
(3289, 542, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(3290, 542, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(3291, 542, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3292, 542, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.00000000, NULL, 77.00000000, 15.40000000, 0.00000000, 0.00000000, 92.40000000, 0, NULL, NULL, 0, 31.64700000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.00000000, 77.00000000, 15.40000000, 92.40000000),
(3293, 542, NULL, 953512, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.28000000, NULL, 61.28000000, 12.26000000, 0.00000000, 0.00000000, 73.54000000, 0, NULL, NULL, 0, 29.75000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.28000000, 61.28000000, 12.26000000, 73.54000000),
(3294, 542, NULL, 953421, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.28000000, NULL, 61.28000000, 12.26000000, 0.00000000, 0.00000000, 73.54000000, 0, NULL, NULL, 0, 29.75000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.28000000, 61.28000000, 12.26000000, 73.54000000),
(3295, 543, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3296, 543, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3297, 543, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 418.00000000, NULL, 376.20000000, 75.24000000, 0.00000000, 0.00000000, 451.44000000, 0, NULL, NULL, 0, 202.99000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 376.20000000, 75.24000000, 451.44000000),
(3298, 543, NULL, 1179663, NULL, 'SEPARATOR KIT D  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 1350.00000000, NULL, 1215.00000000, 243.00000000, 0.00000000, 0.00000000, 1458.00000000, 0, NULL, NULL, 0, 503.79000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1350.00000000, 1215.00000000, 243.00000000, 1458.00000000),
(3299, 543, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 10, 0, NULL, 291.60000000, NULL, 524.88000000, 104.98000000, 0.00000000, 0.00000000, 629.86000000, 0, NULL, NULL, 0, 119.84760000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 291.60000000, 524.88000000, 104.98000000, 629.86000000),
(3300, 543, NULL, 953196, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 296.61000000, NULL, 296.61000000, 59.32000000, 0.00000000, 0.00000000, 355.93000000, 0, NULL, NULL, 0, 143.99000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 296.61000000, 296.61000000, 59.32000000, 355.93000000),
(3301, 543, NULL, 1238456, NULL, 'micro filtre 0.1 mic', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 172.72000000, NULL, 172.72000000, 34.54000000, 0.00000000, 0.00000000, 207.26000000, 0, NULL, NULL, 0, 86.36000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 172.72000000, 172.72000000, 34.54000000, 207.26000000),
(3302, 543, NULL, 1238457, NULL, 'SUBMICROFILTRE 0,01 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 127.72000000, NULL, 127.72000000, 25.54000000, 0.00000000, 0.00000000, 153.26000000, 0, NULL, NULL, 0, 63.86000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 127.72000000, 127.72000000, 25.54000000, 153.26000000),
(3303, 544, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3304, 544, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3305, 544, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.97000000, NULL, 56.91000000, 11.38000000, 0.00000000, 0.00000000, 68.29000000, 0, NULL, NULL, 0, 9.21000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.97000000, 56.91000000, 11.38000000, 68.29000000),
(3306, 544, NULL, 952001, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.37000000, NULL, 33.37000000, 6.67000000, 0.00000000, 0.00000000, 40.04000000, 0, NULL, NULL, 0, 16.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.37000000, 33.37000000, 6.67000000, 40.04000000),
(3307, 544, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(3308, 544, NULL, 955041, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(3309, 544, NULL, 954013, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.93000000, NULL, 99.93000000, 19.99000000, 0.00000000, 0.00000000, 119.92000000, 0, NULL, NULL, 0, 48.51000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.93000000, 99.93000000, 19.99000000, 119.92000000),
(3310, 544, NULL, 953898, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.29000000, NULL, 102.29000000, 20.46000000, 0.00000000, 0.00000000, 122.75000000, 0, NULL, NULL, 0, 49.66000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.29000000, 102.29000000, 20.46000000, 122.75000000),
(3311, 544, NULL, 955222, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.73000000, NULL, 78.73000000, 15.75000000, 0.00000000, 0.00000000, 94.48000000, 0, NULL, NULL, 0, 38.23000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.73000000, 78.73000000, 15.75000000, 94.48000000),
(3312, 544, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(3313, 545, NULL, 1231810, NULL, 'Main d\'oeuvre Industriel', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.52000000, NULL, 77.52000000, 15.50000000, 0.00000000, 0.00000000, 93.02000000, 0, NULL, NULL, 0, 57.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.52000000, 77.52000000, 15.50000000, 93.02000000),
(3314, 545, NULL, 1231811, NULL, 'deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.36000000, NULL, 100.36000000, 20.07000000, 0.00000000, 0.00000000, 120.43000000, 0, NULL, NULL, 0, 73.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.36000000, 100.36000000, 20.07000000, 120.43000000),
(3315, 545, NULL, 1231812, NULL, 'cartouche 20/5µ pour filtre garde', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.05000000, NULL, 19.05000000, 3.81000000, 0.00000000, 0.00000000, 22.86000000, 0, NULL, NULL, 0, 14.01000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.05000000, 19.05000000, 3.81000000, 22.86000000),
(3316, 545, NULL, 1231813, NULL, 'net.des résines réactif appro', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.93000000, NULL, 85.93000000, 17.19000000, 0.00000000, 0.00000000, 103.12000000, 0, NULL, NULL, 0, 63.19000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.93000000, 85.93000000, 17.19000000, 103.12000000),
(3317, 545, NULL, 1231814, NULL, 'sel regenerant en sac de 25kg', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 10.67000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 7.85000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.67000000, 42.68000000, 8.54000000, 51.22000000),
(3321, 547, NULL, 1238426, NULL, '5.5kw 500Litres 51 m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2416.53000000, NULL, 2416.53000000, 483.31000000, 0.00000000, 0.00000000, 2899.84000000, 0, NULL, NULL, 0, 1791.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2416.53000000, 2416.53000000, 483.31000000, 2899.84000000),
(3322, 547, NULL, 1238427, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.89000000, NULL, 18.89000000, 3.78000000, 0.00000000, 0.00000000, 22.67000000, 0, NULL, NULL, 0, 21.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.89000000, 18.89000000, 3.78000000, 22.67000000),
(3323, 547, NULL, 952827, NULL, 'secheur 72m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 764.58000000, NULL, 764.58000000, 152.92000000, 0.00000000, 0.00000000, 917.50000000, 0, NULL, NULL, 0, 659.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 764.58000000, 764.58000000, 152.92000000, 917.50000000),
(3324, 548, NULL, NULL, NULL, 'Compresseur BOGE S31-3', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3325, 548, NULL, 1222524, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 97.27000000, NULL, 291.81000000, 58.36000000, 0.00000000, 0.00000000, 350.17000000, 0, NULL, NULL, 0, 9.76000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 97.27000000, 291.81000000, 58.36000000, 350.17000000),
(3326, 548, NULL, 951715, NULL, 'kit cairpac 3000', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 291.82000000, NULL, 291.82000000, 58.36000000, 0.00000000, 0.00000000, 350.18000000, 0, NULL, NULL, 0, 642.67000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 291.82000000, 291.82000000, 58.36000000, 350.18000000),
(3327, 548, NULL, 951714, NULL, 'nattes de prefiltration boge', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 291.82000000, NULL, 291.82000000, 58.36000000, 0.00000000, 0.00000000, 350.18000000, 0, NULL, NULL, 0, 17.58000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 291.82000000, 291.82000000, 58.36000000, 350.18000000),
(3328, 548, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3329, 548, NULL, NULL, NULL, 'Separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3330, 548, NULL, 1231790, NULL, 'element blanc cc4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 261.86000000, NULL, 261.86000000, 52.37000000, 0.00000000, 0.00000000, 314.23000000, 0, NULL, NULL, 0, 80.20000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 261.86000000, 261.86000000, 52.37000000, 314.23000000),
(3331, 548, NULL, 1231791, NULL, 'element noir CC4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 261.86000000, NULL, 261.86000000, 52.37000000, 0.00000000, 0.00000000, 314.23000000, 0, NULL, NULL, 0, 95.63000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 261.86000000, 261.86000000, 52.37000000, 314.23000000),
(3332, 548, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3333, 548, NULL, NULL, NULL, 'main d\'oeuvre et deplacement', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3334, 548, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3335, 548, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3336, 549, NULL, 1222538, NULL, 'courroies_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 20.33000000, NULL, 60.99000000, 12.20000000, 0.00000000, 0.00000000, 73.19000000, 0, NULL, NULL, 0, 9.24000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.33000000, 60.99000000, 12.20000000, 73.19000000),
(3337, 549, NULL, 1221739, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 103.41000000, NULL, 103.41000000, 20.68000000, 0.00000000, 0.00000000, 124.09000000, 0, NULL, NULL, 0, 48.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.41000000, 103.41000000, 20.68000000, 124.09000000),
(3338, 549, NULL, 1221779, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.49000000, NULL, 21.49000000, 4.30000000, 0.00000000, 0.00000000, 25.79000000, 0, NULL, NULL, 0, 10.06000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.49000000, 21.49000000, 4.30000000, 25.79000000),
(3339, 549, NULL, 1221744, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.11000000, NULL, 21.11000000, 4.22000000, 0.00000000, 0.00000000, 25.33000000, 0, NULL, NULL, 0, 9.88000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.11000000, 21.11000000, 4.22000000, 25.33000000),
(3340, 549, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.28000000, NULL, 118.28000000, 23.66000000, 0.00000000, 0.00000000, 141.94000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.28000000, 118.28000000, 23.66000000, 141.94000000),
(3341, 549, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.81000000, NULL, 4.81000000, 0.96000000, 0.00000000, 0.00000000, 5.77000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.81000000, 4.81000000, 0.96000000, 5.77000000),
(3342, 549, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 421.31000000, NULL, 421.31000000, 84.26000000, 0.00000000, 0.00000000, 505.57000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 421.31000000, 421.31000000, 84.26000000, 505.57000000),
(3343, 550, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(3344, 550, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(3345, 550, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3346, 550, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3347, 550, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.13000000, NULL, 34.26000000, 6.85000000, 0.00000000, 0.00000000, 41.11000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 34.26000000, 6.85000000, 41.11000000),
(3349, 550, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(3350, 550, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(3351, 550, NULL, 1179717, NULL, 'MAJOR KIT E               L07 - L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 251.70000000, NULL, 251.70000000, 50.34000000, 0.00000000, 0.00000000, 302.04000000, 0, NULL, NULL, 0, 93.94000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 251.70000000, 251.70000000, 50.34000000, 302.04000000),
(3352, 551, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 104, 0, 0, NULL, 0.97000000, NULL, 100.88000000, 20.18000000, 0.00000000, 0.00000000, 121.06000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 100.88000000, 20.18000000, 121.06000000),
(3353, 551, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(3354, 552, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3355, 552, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3356, 552, NULL, 954099, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.90000000, NULL, 13.90000000, 2.78000000, 0.00000000, 0.00000000, 16.68000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.90000000, 13.90000000, 2.78000000, 16.68000000),
(3357, 552, NULL, 952144, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.40000000, NULL, 15.40000000, 3.08000000, 0.00000000, 0.00000000, 18.48000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.40000000, 15.40000000, 3.08000000, 18.48000000),
(3358, 552, NULL, 954493, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.73000000, NULL, 52.73000000, 10.55000000, 0.00000000, 0.00000000, 63.28000000, 0, NULL, NULL, 0, 25.60000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.73000000, 52.73000000, 10.55000000, 63.28000000),
(3359, 552, NULL, 951714, NULL, 'nattes de prefiltration boge', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.85000000, NULL, 22.85000000, 4.57000000, 0.00000000, 0.00000000, 27.42000000, 0, NULL, NULL, 0, 17.58000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.85000000, 22.85000000, 4.57000000, 27.42000000),
(3360, 552, NULL, 953304, NULL, 'filtre reseau cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.21000000, NULL, 114.21000000, 22.84000000, 0.00000000, 0.00000000, 137.05000000, 0, NULL, NULL, 0, 55.44000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.21000000, 114.21000000, 22.84000000, 137.05000000),
(3361, 552, NULL, 953303, NULL, 'filtre reseau cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.21000000, NULL, 114.21000000, 22.84000000, 0.00000000, 0.00000000, 137.05000000, 0, NULL, NULL, 0, 55.44000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.21000000, 114.21000000, 22.84000000, 137.05000000),
(3362, 541, NULL, NULL, NULL, 'ov6023 - filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 124.09000000, NULL, 124.09000000, 24.82000000, 0.00000000, 0.00000000, 148.91000000, 0, NULL, NULL, 0, 57.55000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 124.09000000, 124.09000000, 24.82000000, 148.91000000),
(3363, 541, NULL, NULL, NULL, 'SH 62420 filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.14000000, NULL, 19.14000000, 3.83000000, 0.00000000, 0.00000000, 22.97000000, 0, NULL, NULL, 0, 37.55000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.14000000, 19.14000000, 3.83000000, 22.97000000),
(3364, 553, NULL, 954279, NULL, 'MDR3-11*ou*+3x*11barTri7,5', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 89.98000000, NULL, 89.98000000, 18.00000000, 0.00000000, 0.00000000, 107.98000000, 0, NULL, NULL, 0, 64.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 89.98000000, 89.98000000, 18.00000000, 107.98000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(3365, 553, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 112, 0, 0, NULL, 0.97000000, NULL, 108.64000000, 21.73000000, 0.00000000, 0.00000000, 130.37000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 108.64000000, 21.73000000, 130.37000000),
(3366, 553, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(3367, 554, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3368, 554, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3369, 554, NULL, 952668, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 98.88000000, NULL, 98.88000000, 19.78000000, 0.00000000, 0.00000000, 118.66000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 98.88000000, 98.88000000, 19.78000000, 118.66000000),
(3370, 554, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(3371, 554, NULL, 1222601, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.96000000, NULL, 53.88000000, 10.78000000, 0.00000000, 0.00000000, 64.66000000, 0, NULL, NULL, 0, 8.72000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.96000000, 53.88000000, 10.78000000, 64.66000000),
(3372, 554, NULL, 1179649, NULL, 'SEPARATOR KIT D             L15RS -L22RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 461.80000000, NULL, 461.80000000, 92.36000000, 0.00000000, 0.00000000, 554.16000000, 0, NULL, NULL, 0, 277.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 461.80000000, 461.80000000, 92.36000000, 554.16000000),
(3373, 554, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(3374, 554, NULL, 1190716, NULL, 'monture à niveau compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.40000000, NULL, 82.40000000, 16.48000000, 0.00000000, 0.00000000, 98.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.40000000, 82.40000000, 16.48000000, 98.88000000),
(3375, 555, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3376, 555, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.23000000, NULL, 91.23000000, 18.25000000, 0.00000000, 0.00000000, 109.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.23000000, 91.23000000, 18.25000000, 109.48000000),
(3377, 555, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.48000000, NULL, 150.48000000, 30.10000000, 0.00000000, 0.00000000, 180.58000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.48000000, 150.48000000, 30.10000000, 180.58000000),
(3378, 555, NULL, 1179716, NULL, 'SERVICE PACKAGE  E      L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 248.10000000, NULL, 248.10000000, 49.62000000, 0.00000000, 0.00000000, 297.72000000, 0, NULL, NULL, 0, 148.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 248.10000000, 248.10000000, 49.62000000, 297.72000000),
(3379, 555, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 298.81000000, NULL, 298.81000000, 59.76000000, 0.00000000, 0.00000000, 358.57000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 298.81000000, 298.81000000, 59.76000000, 358.57000000),
(3380, 556, NULL, 1218000, NULL, 'SOUPAPE 2800/D14 3/4\" 0.5bar', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 56.40000000, NULL, 169.20000000, 33.84000000, 0.00000000, 0.00000000, 203.04000000, 0, NULL, NULL, 0, 27.38000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.40000000, 169.20000000, 33.84000000, 203.04000000),
(3381, 556, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 15.00000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 45.00000000, 9.00000000, 54.00000000),
(3382, 556, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 1, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(3387, 559, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(3388, 559, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 182, 0, 0, NULL, 0.97000000, NULL, 176.54000000, 35.31000000, 0.00000000, 0.00000000, 211.85000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 176.54000000, 35.31000000, 211.85000000),
(3389, 560, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(3390, 560, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3391, 560, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 69.02000000, NULL, 69.02000000, 13.80000000, 0.00000000, 0.00000000, 82.82000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 69.02000000, 69.02000000, 13.80000000, 82.82000000),
(3392, 560, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.03000000, NULL, 53.03000000, 10.61000000, 0.00000000, 0.00000000, 63.64000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.03000000, 53.03000000, 10.61000000, 63.64000000),
(3393, 560, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 37.03000000, NULL, 37.03000000, 7.41000000, 0.00000000, 0.00000000, 44.44000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 37.03000000, 37.03000000, 7.41000000, 44.44000000),
(3394, 560, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.03000000, NULL, 82.03000000, 16.41000000, 0.00000000, 0.00000000, 98.44000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.03000000, 82.03000000, 16.41000000, 98.44000000),
(3395, 560, NULL, 1231775, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(3396, 561, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(3397, 561, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.97000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 58.20000000, 11.64000000, 69.84000000),
(3398, 562, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3399, 562, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(3400, 562, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(3401, 562, NULL, 1223597, NULL, 'kit adaptable ck2076-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 41.76000000, NULL, 41.76000000, 8.35000000, 0.00000000, 0.00000000, 50.11000000, 0, NULL, NULL, 0, 20.88000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.76000000, 41.76000000, 8.35000000, 50.11000000),
(3402, 562, NULL, 1221736, NULL, 'FILTRE SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.80000000, NULL, 59.80000000, 11.96000000, 0.00000000, 0.00000000, 71.76000000, 0, NULL, NULL, 0, 29.03000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.80000000, 59.80000000, 11.96000000, 71.76000000),
(3403, 562, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(3404, 563, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(3405, 563, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3406, 563, NULL, 1223597, NULL, 'kit adaptable ck2076-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 41.76000000, NULL, 41.76000000, 8.35000000, 0.00000000, 0.00000000, 50.11000000, 0, NULL, NULL, 0, 20.88000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.76000000, 41.76000000, 8.35000000, 50.11000000),
(3407, 563, NULL, 1221736, NULL, 'FILTRE SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.80000000, NULL, 59.80000000, 11.96000000, 0.00000000, 0.00000000, 71.76000000, 0, NULL, NULL, 0, 29.03000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.80000000, 59.80000000, 11.96000000, 71.76000000),
(3408, 563, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(3409, 563, NULL, 969249, NULL, 'Purge temporisée Promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(3410, 564, NULL, 1190357, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 502.72000000, NULL, 502.72000000, 100.54000000, 0.00000000, 0.00000000, 603.26000000, 0, NULL, NULL, 0, 386.68000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 502.72000000, 502.72000000, 100.54000000, 603.26000000),
(3412, 565, NULL, NULL, NULL, 'Maintenance suivant contrat lis&eacute;e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2257.68000000, NULL, 2257.68000000, 451.54000000, 0.00000000, 0.00000000, 2709.22000000, 0, NULL, NULL, 0, 1747.51000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2257.68000000, 2257.68000000, 451.54000000, 2709.22000000),
(3413, 566, NULL, NULL, '1 Groupe froid', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3414, 566, NULL, 1231597, NULL, 'Refroidisseur de liquide &agrave; condensation par air certifi&eacute; EUROVENT avec&nbsp;<br />\r\nEvaporateur immerg&eacute; dans un r&eacute;servoir plastique de 22l ( fonctionnant &agrave; pression atmosph&eacute;rique)&nbsp;<br />\r\n1 Pompe de circulation P3 (2.5 &agrave; 3 bars )&nbsp;<br />\r\n1 Circuit Frigorifique R410 A 1 Compresseur Rotatif&nbsp;<br />\r\n1 Ventilateur axial et armoire &eacute;l&eacute;ctrique compl&egrave;te avec r&eacute;gulateur DIXELL XR60C<br />\r\nVase d&#39;expansion ouvert 1.5L avec visualisation directe niveau d&#39;eau&nbsp;<br />\r\nAlimentation &eacute;lectrique 230/1/50Hz', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3200.00000000, NULL, 3200.00000000, 640.00000000, 0.00000000, 0.00000000, 3840.00000000, 0, NULL, NULL, 0, 2585.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3200.00000000, 3200.00000000, 640.00000000, 3840.00000000),
(3415, 566, NULL, 1231599, NULL, '400 MICRONS TAE MINI', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.00000000, NULL, 114.00000000, 22.80000000, 0.00000000, 0.00000000, 136.80000000, 0, NULL, NULL, 0, 85.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.00000000, 114.00000000, 22.80000000, 136.80000000),
(3416, 566, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3417, 567, NULL, 1231797, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -170.00000000, NULL, -170.00000000, -34.00000000, 0.00000000, 0.00000000, -204.00000000, 0, NULL, NULL, 0, 127.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -170.00000000, -170.00000000, -34.00000000, -204.00000000),
(3418, 567, NULL, 1231796, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -170.00000000, NULL, -170.00000000, -34.00000000, 0.00000000, 0.00000000, -204.00000000, 0, NULL, NULL, 0, 127.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -170.00000000, -170.00000000, -34.00000000, -204.00000000),
(3419, 567, NULL, 1231795, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -170.00000000, NULL, -170.00000000, -34.00000000, 0.00000000, 0.00000000, -204.00000000, 0, NULL, NULL, 0, 127.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -170.00000000, -170.00000000, -34.00000000, -204.00000000),
(3420, 567, NULL, 1231798, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -150.00000000, NULL, -150.00000000, -30.00000000, 0.00000000, 0.00000000, -180.00000000, 0, NULL, NULL, 0, 112.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -150.00000000, -150.00000000, -30.00000000, -180.00000000),
(3421, 567, NULL, 1231799, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -150.00000000, NULL, -150.00000000, -30.00000000, 0.00000000, 0.00000000, -180.00000000, 0, NULL, NULL, 0, 112.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -150.00000000, -150.00000000, -30.00000000, -180.00000000),
(3422, 567, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 216, 0, 0, NULL, -0.97000000, NULL, -209.52000000, -41.90000000, 0.00000000, 0.00000000, -251.42000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -0.97000000, -209.52000000, -41.90000000, -251.42000000),
(3423, 567, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, -63.84000000, NULL, -510.72000000, -102.14000000, 0.00000000, 0.00000000, -612.86000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -63.84000000, -510.72000000, -102.14000000, -612.86000000),
(3424, 568, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12914.21000000, NULL, 12914.21000000, 2582.84000000, 0.00000000, 0.00000000, 15497.05000000, 0, NULL, NULL, 0, 9934.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12914.21000000, 12914.21000000, 2582.84000000, 15497.05000000),
(3425, 568, NULL, 1231721, NULL, 'CRYOGENIC SHUT OFF VALVE 1/2 F NPT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 158.00000000, NULL, 316.00000000, 63.20000000, 0.00000000, 0.00000000, 379.20000000, 0, NULL, NULL, 0, 68.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 158.00000000, 316.00000000, 63.20000000, 379.20000000),
(3426, 568, NULL, 1243896, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 80.00000000, NULL, 160.00000000, 32.00000000, 0.00000000, 0.00000000, 192.00000000, 1, NULL, NULL, 0, 75.65000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 80.00000000, 160.00000000, 32.00000000, 192.00000000),
(3427, 568, NULL, 1080060, NULL, 'Tube \"sanitaire\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 13.83000000, NULL, 829.80000000, 165.96000000, 0.00000000, 0.00000000, 995.76000000, 0, NULL, NULL, 0, 10.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.83000000, 829.80000000, 165.96000000, 995.76000000),
(3428, 568, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 10.11000000, NULL, 303.30000000, 60.66000000, 0.00000000, 0.00000000, 363.96000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.11000000, 303.30000000, 60.66000000, 363.96000000),
(3429, 568, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 25.89000000, NULL, 258.90000000, 51.78000000, 0.00000000, 0.00000000, 310.68000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.89000000, 258.90000000, 51.78000000, 310.68000000),
(3430, 568, NULL, 1245802, NULL, 'bride plate taraudee 304L DN32', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 38.00000000, NULL, 38.00000000, 7.60000000, 0.00000000, 0.00000000, 45.60000000, 0, NULL, NULL, 0, 32.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.00000000, 38.00000000, 7.60000000, 45.60000000),
(3431, 568, NULL, 1245803, NULL, 'robinet a soupape FF 1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 36.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.00000000, 40.00000000, 8.00000000, 48.00000000),
(3432, 568, NULL, 1168570, NULL, 'vanne 1 1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.14000000, NULL, 96.14000000, 19.23000000, 0.00000000, 0.00000000, 115.37000000, 0, NULL, NULL, 0, 75.80000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.14000000, 96.14000000, 19.23000000, 115.37000000),
(3433, 568, NULL, 1245804, NULL, 'mamelon tube l200 316l 1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 15.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 30.00000000, 6.00000000, 36.00000000),
(3434, 568, NULL, 1245805, NULL, 'embout male a souder 316L 1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.50000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 1.80000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.50000000, 5.00000000, 1.00000000, 6.00000000),
(3435, 568, NULL, 1231733, NULL, 'embout mâle a souder 316L 1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.50000000, NULL, 2.50000000, 0.50000000, 0.00000000, 0.00000000, 3.00000000, 0, NULL, NULL, 0, 1.50000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.50000000, 2.50000000, 0.50000000, 3.00000000),
(3436, 568, NULL, 1245806, NULL, 'embout male a souder 316L 2\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 3.80000000, NULL, 15.20000000, 3.04000000, 0.00000000, 0.00000000, 18.24000000, 0, NULL, NULL, 0, 2.80000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.80000000, 15.20000000, 3.04000000, 18.24000000),
(3437, 568, NULL, 1245807, NULL, 'manchon inox 316L 1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.00000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 3.95000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 5.00000000, 1.00000000, 6.00000000),
(3438, 568, NULL, 1245808, NULL, 'manchon inox 316L 1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 4.75000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.00000000, 12.00000000, 2.40000000, 14.40000000),
(3439, 568, NULL, 1245809, NULL, 'manchon inox 316L 2\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.90000000, NULL, 15.80000000, 3.16000000, 0.00000000, 0.00000000, 18.96000000, 0, NULL, NULL, 0, 6.80000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.90000000, 15.80000000, 3.16000000, 18.96000000),
(3440, 568, NULL, 1231736, NULL, 'reduction mf inox 316l 1 1/2x1 1/4 usiné', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 20.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 40.00000000, 8.00000000, 48.00000000),
(3441, 568, NULL, 1245810, NULL, 'reduction MF inox 316L 2\"x1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 28.00000000, NULL, 56.00000000, 11.20000000, 0.00000000, 0.00000000, 67.20000000, 0, NULL, NULL, 0, 16.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 56.00000000, 11.20000000, 67.20000000),
(3442, 568, NULL, 1245811, NULL, 'bride point bleue 304L DN50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.00000000, NULL, 10.00000000, 2.00000000, 0.00000000, 0.00000000, 12.00000000, 0, NULL, NULL, 0, 5.60000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.00000000, 10.00000000, 2.00000000, 12.00000000),
(3443, 568, NULL, 1245812, NULL, 'collet 304L 60.3x2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.00000000, NULL, 3.00000000, 0.60000000, 0.00000000, 0.00000000, 3.60000000, 0, NULL, NULL, 0, 1.50000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.00000000, 3.00000000, 0.60000000, 3.60000000),
(3444, 568, NULL, 1245813, NULL, 'bride point bleue 304L DN32', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.00000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 3.55000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 5.00000000, 1.00000000, 6.00000000),
(3445, 568, NULL, 1245814, NULL, 'collet 304L 42.4x2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.00000000, NULL, 2.00000000, 0.40000000, 0.00000000, 0.00000000, 2.40000000, 0, NULL, NULL, 0, 1.10000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.00000000, 2.00000000, 0.40000000, 2.40000000),
(3446, 568, NULL, 1245815, NULL, 'joint pour bride DN50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.00000000, NULL, 2.00000000, 0.40000000, 0.00000000, 0.00000000, 2.40000000, 0, NULL, NULL, 0, 1.10000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.00000000, 2.00000000, 0.40000000, 2.40000000),
(3447, 568, NULL, 1245816, NULL, 'joint pour bride DN32', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.50000000, NULL, 1.50000000, 0.30000000, 0.00000000, 0.00000000, 1.80000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.50000000, 1.50000000, 0.30000000, 1.80000000),
(3448, 568, NULL, 1245817, NULL, 'reduction concentrique 316L din 85x52', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.00000000, NULL, 60.00000000, 12.00000000, 0.00000000, 0.00000000, 72.00000000, 0, NULL, NULL, 0, 21.00000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 60.00000000, 12.00000000, 72.00000000),
(3449, 568, NULL, 1245818, NULL, 'reduction concentrique 316L din 70x52', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 28.00000000, NULL, 56.00000000, 11.20000000, 0.00000000, 0.00000000, 67.20000000, 0, NULL, NULL, 0, 16.00000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 56.00000000, 11.20000000, 67.20000000),
(3450, 568, NULL, NULL, NULL, 'bouchon plastique femelle 40', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 0, NULL, NULL, 0, 2.50000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3451, 568, NULL, 1245809, NULL, 'manchon inox 316L 2\"', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 7.90000000, NULL, 39.50000000, 7.90000000, 0.00000000, 0.00000000, 47.40000000, 0, NULL, NULL, 0, 6.80000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.90000000, 39.50000000, 7.90000000, 47.40000000),
(3452, 568, NULL, 1245810, NULL, 'reduction MF inox 316L 2\"x1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 16.00000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(3453, 568, NULL, 1231736, NULL, 'reduction mf inox 316l 1 1/2x1 1/4 usiné', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 15.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 30.00000000, 6.00000000, 36.00000000),
(3454, 568, NULL, 1245819, NULL, 'mamelon hexagonal inox 316 1\" 1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.00000000, 18.00000000, 3.60000000, 21.60000000),
(3455, 568, NULL, 1245820, NULL, 'reduction mm inox 316L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.00000000, NULL, 36.00000000, 7.20000000, 0.00000000, 0.00000000, 43.20000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 36.00000000, 7.20000000, 43.20000000),
(3456, 568, NULL, 1245821, NULL, 'robinet a opercule ff 1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.00000000, NULL, 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 36.00000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(3457, 568, NULL, 1245822, NULL, 'rts 2 pieces inox ff 2\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 58.00000000, NULL, 116.00000000, 23.20000000, 0.00000000, 0.00000000, 139.20000000, 0, NULL, NULL, 0, 46.50000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 58.00000000, 116.00000000, 23.20000000, 139.20000000),
(3458, 568, NULL, 1245823, NULL, 'rts 2 pieces inox ff 1/2\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 15.00000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 8.60000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 45.00000000, 9.00000000, 54.00000000),
(3459, 568, NULL, 1245824, NULL, 'reduction mm inox 316L 2\"x1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 42.50000000, NULL, 170.00000000, 34.00000000, 0.00000000, 0.00000000, 204.00000000, 0, NULL, NULL, 0, 24.50000000, NULL, 0, 0, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.50000000, 170.00000000, 34.00000000, 204.00000000),
(3460, 568, NULL, 1231736, NULL, 'reduction mf inox 316l 1 1/2x1 1/4 usiné', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 20.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 37, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 40.00000000, 8.00000000, 48.00000000),
(3461, 568, NULL, 1245825, NULL, 'mamelon hexagonal inox 316 1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.80000000, NULL, 2.80000000, 0.56000000, 0.00000000, 0.00000000, 3.36000000, 0, NULL, NULL, 0, 1.15000000, NULL, 0, 0, 38, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.80000000, 2.80000000, 0.56000000, 3.36000000),
(3462, 568, NULL, 1245826, NULL, 'mamelon hexagonal inox 316 2\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.80000000, NULL, 27.60000000, 5.52000000, 0.00000000, 0.00000000, 33.12000000, 0, NULL, NULL, 0, 7.70000000, NULL, 0, 0, 39, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.80000000, 27.60000000, 5.52000000, 33.12000000),
(3463, 568, NULL, 1231738, NULL, 'mamelon hexagonal inox316 1 1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.60000000, NULL, 8.60000000, 1.72000000, 0.00000000, 0.00000000, 10.32000000, 0, NULL, NULL, 0, 4.30000000, NULL, 0, 0, 40, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.60000000, 8.60000000, 1.72000000, 10.32000000),
(3464, 568, NULL, 1245827, NULL, 'te fff inox 316 1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 18.75000000, NULL, 112.50000000, 22.50000000, 0.00000000, 0.00000000, 135.00000000, 0, NULL, NULL, 0, 10.75000000, NULL, 0, 0, 41, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.75000000, 112.50000000, 22.50000000, 135.00000000),
(3465, 568, NULL, 1245820, NULL, 'reduction mm inox 316L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.00000000, NULL, 36.00000000, 7.20000000, 0.00000000, 0.00000000, 43.20000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 42, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 36.00000000, 7.20000000, 43.20000000),
(3466, 568, NULL, 1245819, NULL, 'mamelon hexagonal inox 316 1\" 1/2', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 9.00000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 43, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.00000000, 45.00000000, 9.00000000, 54.00000000),
(3467, 568, NULL, 1245828, NULL, 'coude mf inox 316 2\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.50000000, NULL, 18.50000000, 3.70000000, 0.00000000, 0.00000000, 22.20000000, 0, NULL, NULL, 0, 10.50000000, NULL, 0, 0, 44, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.50000000, 18.50000000, 3.70000000, 22.20000000),
(3468, 568, NULL, 1245829, NULL, 'coude MF INOX 316 1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 10.70000000, NULL, 32.10000000, 6.42000000, 0.00000000, 0.00000000, 38.52000000, 0, NULL, NULL, 0, 6.45000000, NULL, 0, 0, 45, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.70000000, 32.10000000, 6.42000000, 38.52000000),
(3469, 568, NULL, 1245830, NULL, 'coude mf inox 316 1/2\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 2.75000000, NULL, 8.25000000, 1.65000000, 0.00000000, 0.00000000, 9.90000000, 0, NULL, NULL, 0, 1.75000000, NULL, 0, 0, 46, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.75000000, 8.25000000, 1.65000000, 9.90000000),
(3470, 568, NULL, 1168570, NULL, 'vanne 1 1/4', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 156.14000000, NULL, 780.70000000, 156.14000000, 0.00000000, 0.00000000, 936.84000000, 0, NULL, NULL, 0, 75.80000000, NULL, 0, 0, 47, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.14000000, 780.70000000, 156.14000000, 936.84000000),
(3471, 568, NULL, 1245831, NULL, 'nez a souder 316 DIN 40', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.30000000, NULL, 24.60000000, 4.92000000, 0.00000000, 0.00000000, 29.52000000, 0, NULL, NULL, 0, 7.15000000, NULL, 0, 0, 48, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.30000000, 24.60000000, 4.92000000, 29.52000000),
(3472, 568, NULL, 1245832, NULL, 'thermo droit pl63 -30/50°C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.76000000, NULL, 30.76000000, 6.15000000, 0.00000000, 0.00000000, 36.91000000, 0, NULL, NULL, 0, 16.50000000, NULL, 0, 0, 49, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.76000000, 30.76000000, 6.15000000, 36.91000000),
(3473, 568, NULL, 1245833, NULL, 'reduction mm inox 316L 2\"x3/4\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.00000000, NULL, 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 50, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(3474, 568, NULL, 1245834, NULL, 'reduction fm inox 316L 3/4x1/2\" usiné', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.80000000, NULL, 9.80000000, 1.96000000, 0.00000000, 0.00000000, 11.76000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 51, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.80000000, 9.80000000, 1.96000000, 11.76000000),
(3475, 568, NULL, 1245820, NULL, 'reduction mm inox 316L', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.00000000, NULL, 54.00000000, 10.80000000, 0.00000000, 0.00000000, 64.80000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 52, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 54.00000000, 10.80000000, 64.80000000),
(3476, 568, NULL, 1245835, NULL, 'réduction fm inox 316L 1\"1/2x1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 52.00000000, NULL, 104.00000000, 20.80000000, 0.00000000, 0.00000000, 124.80000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 53, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.00000000, 104.00000000, 20.80000000, 124.80000000),
(3477, 568, NULL, 1245819, NULL, 'mamelon hexagonal inox 316 1\" 1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 54, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.00000000, 18.00000000, 3.60000000, 21.60000000),
(3478, 568, NULL, 1245836, NULL, 'te fff inox 316 1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.00000000, NULL, 13.00000000, 2.60000000, 0.00000000, 0.00000000, 15.60000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 55, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.00000000, 13.00000000, 2.60000000, 15.60000000),
(3479, 568, NULL, 1231733, NULL, 'embout mâle a souder 316L 1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.50000000, NULL, 2.50000000, 0.50000000, 0.00000000, 0.00000000, 3.00000000, 0, NULL, NULL, 0, 1.50000000, NULL, 0, 0, 56, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.50000000, 2.50000000, 0.50000000, 3.00000000),
(3480, 568, NULL, 1245831, NULL, 'nez a souder 316 DIN 40', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.30000000, NULL, 12.30000000, 2.46000000, 0.00000000, 0.00000000, 14.76000000, 0, NULL, NULL, 0, 7.15000000, NULL, 0, 0, 57, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.30000000, 12.30000000, 2.46000000, 14.76000000),
(3481, 568, NULL, 1245802, NULL, 'bride plate taraudee 304L DN32', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 38.00000000, NULL, 38.00000000, 7.60000000, 0.00000000, 0.00000000, 45.60000000, 0, NULL, NULL, 0, 32.50000000, NULL, 0, 0, 58, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.00000000, 38.00000000, 7.60000000, 45.60000000),
(3482, 568, NULL, 1168570, NULL, 'vanne 1 1/4', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 96.14000000, NULL, 769.12000000, 153.82000000, 0.00000000, 0.00000000, 922.94000000, 0, NULL, NULL, 0, 75.80000000, NULL, 0, 0, 59, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.14000000, 769.12000000, 153.82000000, 922.94000000),
(3483, 568, NULL, 1231731, NULL, 'vanne RTS3 Pieces inox FF 1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 81.50000000, NULL, 326.00000000, 65.20000000, 0.00000000, 0.00000000, 391.20000000, 0, NULL, NULL, 0, 65.00000000, NULL, 0, 0, 60, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.50000000, 326.00000000, 65.20000000, 391.20000000),
(3484, 568, NULL, 1245837, NULL, 'douille a souder 316 din65', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.30000000, NULL, 22.60000000, 4.52000000, 0.00000000, 0.00000000, 27.12000000, 0, NULL, NULL, 0, 6.50000000, NULL, 0, 0, 61, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.30000000, 22.60000000, 4.52000000, 27.12000000),
(3485, 568, NULL, 1245832, NULL, 'thermo droit pl63 -30/50°C', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 30.76000000, NULL, 123.04000000, 24.61000000, 0.00000000, 0.00000000, 147.65000000, 0, NULL, NULL, 0, 16.50000000, NULL, 0, 0, 62, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.76000000, 123.04000000, 24.61000000, 147.65000000),
(3486, 568, NULL, 1245838, NULL, 'douille a souder sms63 316L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.45000000, NULL, 7.45000000, 1.49000000, 0.00000000, 0.00000000, 8.94000000, 0, NULL, NULL, 0, 4.00000000, NULL, 0, 0, 63, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.45000000, 7.45000000, 1.49000000, 8.94000000),
(3487, 568, NULL, 1245839, NULL, 'ecrou sms63 304', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.77000000, NULL, 10.77000000, 2.15000000, 0.00000000, 0.00000000, 12.92000000, 0, NULL, NULL, 0, 6.60000000, NULL, 0, 0, 64, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.77000000, 10.77000000, 2.15000000, 12.92000000),
(3488, 568, NULL, 1245840, NULL, 'joint perbunant din80', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.00000000, NULL, 4.00000000, 0.80000000, 0.00000000, 0.00000000, 4.80000000, 0, NULL, NULL, 0, 1.10000000, NULL, 0, 0, 65, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.00000000, 4.00000000, 0.80000000, 4.80000000),
(3489, 568, NULL, 1245841, NULL, 'joint perbunant din65', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.60000000, NULL, 3.20000000, 0.64000000, 0.00000000, 0.00000000, 3.84000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 66, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.60000000, 3.20000000, 0.64000000, 3.84000000),
(3490, 568, NULL, 1245805, NULL, 'embout male a souder 316L 1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.50000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 1.80000000, NULL, 0, 0, 67, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.50000000, 5.00000000, 1.00000000, 6.00000000),
(3491, 568, NULL, 1245844, NULL, 'douille a souder 316 din80', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 19.75000000, NULL, 39.50000000, 7.90000000, 0.00000000, 0.00000000, 47.40000000, 0, NULL, NULL, 0, 10.75000000, NULL, 0, 0, 68, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.75000000, 39.50000000, 7.90000000, 47.40000000),
(3492, 568, NULL, 1245843, NULL, 'ecrou 304 din80', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.80000000, NULL, 37.60000000, 7.52000000, 0.00000000, 0.00000000, 45.12000000, 0, NULL, NULL, 0, 12.50000000, NULL, 0, 0, 69, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.80000000, 37.60000000, 7.52000000, 45.12000000),
(3493, 568, NULL, 1245842, NULL, 'ecrou 304 din65', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.80000000, NULL, 17.60000000, 3.52000000, 0.00000000, 0.00000000, 21.12000000, 0, NULL, NULL, 0, 6.35000000, NULL, 0, 0, 70, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.80000000, 17.60000000, 3.52000000, 21.12000000),
(3494, 569, NULL, 1245845, NULL, 'aspirateur 3 moteurs eau / poussiere', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 431.20000000, NULL, 431.20000000, 86.24000000, 0.00000000, 0.00000000, 517.44000000, 0, NULL, NULL, 0, 289.99000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 431.20000000, 431.20000000, 86.24000000, 517.44000000),
(3495, 570, NULL, 1231563, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 309.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(3496, 571, NULL, NULL, '1 Sécheur pour Compresseur L18', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3497, 571, NULL, 1223542, NULL, 'Sécheur par réfrigeration pt de rosée à +3°C mono capacité 240 m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1214.78000000, NULL, 1214.78000000, 242.96000000, 0.00000000, 0.00000000, 1457.74000000, 0, NULL, NULL, 0, 1001.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1214.78000000, 1214.78000000, 242.96000000, 1457.74000000),
(3498, 571, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.93000000, NULL, 19.93000000, 3.99000000, 0.00000000, 0.00000000, 23.92000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.93000000, 19.93000000, 3.99000000, 23.92000000),
(3499, 571, NULL, 952641, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 159.32000000, NULL, 159.32000000, 31.86000000, 0.00000000, 0.00000000, 191.18000000, 0, NULL, NULL, 0, 130.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 159.32000000, 159.32000000, 31.86000000, 191.18000000),
(3500, 571, NULL, 952642, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 159.32000000, NULL, 159.32000000, 31.86000000, 0.00000000, 0.00000000, 191.18000000, 0, NULL, NULL, 0, 130.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 159.32000000, 159.32000000, 31.86000000, 191.18000000),
(3501, 571, NULL, 952640, NULL, 'filtre reseau charbon actif 300M²/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 159.32000000, NULL, 159.32000000, 31.86000000, 0.00000000, 0.00000000, 191.18000000, 0, NULL, NULL, 0, 130.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 159.32000000, 159.32000000, 31.86000000, 191.18000000),
(3502, 571, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 367.42000000, NULL, 367.42000000, 73.48000000, 0.00000000, 0.00000000, 440.90000000, 0, NULL, NULL, 0, 274.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 367.42000000, 367.42000000, 73.48000000, 440.90000000),
(3503, 572, NULL, 1176006, NULL, 'PRESSURE SENSOR REPLACED BY ZS1050642', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 129.60000000, NULL, 129.60000000, 25.92000000, 0.00000000, 0.00000000, 155.52000000, 0, NULL, NULL, 0, 77.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 129.60000000, 129.60000000, 25.92000000, 155.52000000),
(3504, 572, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(3505, 573, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(3506, 573, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 150, 0, 0, NULL, 0.97000000, NULL, 145.50000000, 29.10000000, 0.00000000, 0.00000000, 174.60000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 145.50000000, 29.10000000, 174.60000000),
(3507, 574, NULL, 1220936, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3640.57000000, NULL, 3640.57000000, 728.11000000, 0.00000000, 0.00000000, 4368.68000000, 0, NULL, NULL, 0, 2714.45000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3640.57000000, 3640.57000000, 728.11000000, 4368.68000000),
(3508, 574, NULL, 1231591, NULL, 'Caisson d’isolation phonique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 193.57000000, NULL, 193.57000000, 38.71000000, 0.00000000, 0.00000000, 232.28000000, 0, NULL, NULL, 0, 148.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 193.57000000, 193.57000000, 38.71000000, 232.28000000),
(3509, 574, NULL, 1231744, NULL, 'carte RENNER TRONIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 330.97000000, NULL, 330.97000000, 66.19000000, 0.00000000, 0.00000000, 397.16000000, 0, NULL, NULL, 0, 254.40000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 330.97000000, 330.97000000, 66.19000000, 397.16000000),
(3510, 574, NULL, 1222086, NULL, 'natte filtrante', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 34.51000000, NULL, 69.02000000, 13.80000000, 0.00000000, 0.00000000, 82.82000000, 0, NULL, NULL, 0, 26.53000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.51000000, 69.02000000, 13.80000000, 82.82000000),
(3511, 574, NULL, 1231745, NULL, 'secheur par refrigeration', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 917.96000000, NULL, 917.96000000, 183.59000000, 0.00000000, 0.00000000, 1101.55000000, 0, NULL, NULL, 0, 705.60000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 917.96000000, 917.96000000, 183.59000000, 1101.55000000),
(3512, 574, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 915.48000000, NULL, 915.48000000, 183.10000000, 0.00000000, 0.00000000, 1098.58000000, 0, NULL, NULL, 0, 698.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 915.48000000, 915.48000000, 183.10000000, 1098.58000000),
(3513, 574, NULL, 1223700, NULL, 'girair&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 761.07000000, NULL, 761.07000000, 152.21000000, 0.00000000, 0.00000000, 913.28000000, 0, NULL, NULL, 0, 607.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 761.07000000, 761.07000000, 152.21000000, 913.28000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(3514, 574, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1207.67000000, NULL, 1207.67000000, 241.53000000, 0.00000000, 0.00000000, 1449.20000000, 0, NULL, NULL, 0, 964.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1207.67000000, 1207.67000000, 241.53000000, 1449.20000000),
(3515, 574, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3516, 574, NULL, NULL, '1 Boitier Déporté', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3517, 574, NULL, 1231752, NULL, 'Zelio Logic relais intelligent compact pack d&eacute;couverte 12E/S 100 .. 240V ca', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 290.06000000, NULL, 290.06000000, 58.01000000, 0.00000000, 0.00000000, 348.07000000, 0, NULL, NULL, 0, 215.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 290.06000000, 290.06000000, 58.01000000, 348.07000000),
(3518, 574, NULL, 1231751, NULL, 'Mini Coffret pour appareillage modulaire 159*200mm 6 modules', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 46.16000000, NULL, 46.16000000, 9.23000000, 0.00000000, 0.00000000, 55.39000000, 0, NULL, NULL, 0, 34.22000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 46.16000000, 46.16000000, 9.23000000, 55.39000000),
(3519, 574, NULL, 1231753, NULL, 'Harmony XB4 bouton tournant 2 positions fixes 1F+1O-noir- diam&egrave;tre 22&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.41000000, NULL, 34.82000000, 6.96000000, 0.00000000, 0.00000000, 41.78000000, 0, NULL, NULL, 0, 12.90000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.41000000, 34.82000000, 6.96000000, 41.78000000),
(3520, 574, NULL, 1231754, NULL, 'Harmony porte &eacute;tiquette 30x40 + &eacute;tiquette AUTO-O-MAIN 8X27 blanc/noir', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.06000000, NULL, 2.12000000, 0.42000000, 0.00000000, 0.00000000, 2.54000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.06000000, 2.12000000, 0.42000000, 2.54000000),
(3521, 574, NULL, 1190683, NULL, 'presse etoupe', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.78000000, NULL, 3.56000000, 0.71000000, 0.00000000, 0.00000000, 4.27000000, 0, NULL, NULL, 0, 0.90000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.78000000, 3.56000000, 0.71000000, 4.27000000),
(3522, 574, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 56.86000000, NULL, 56.86000000, 11.37000000, 0.00000000, 0.00000000, 68.23000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.86000000, 56.86000000, 11.37000000, 68.23000000),
(3523, 574, NULL, 1222643, NULL, 'Main d&#39;oeuvre&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.09000000, NULL, 130.09000000, 26.02000000, 0.00000000, 0.00000000, 156.11000000, 0, NULL, NULL, 0, 90.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.09000000, 130.09000000, 26.02000000, 156.11000000),
(3524, 574, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3525, 575, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(3527, 575, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3528, 575, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 122.22000000, NULL, 122.22000000, 24.44000000, 0.00000000, 0.00000000, 146.66000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 122.22000000, 122.22000000, 24.44000000, 146.66000000),
(3529, 575, NULL, 1222181, NULL, 'Huile anderol ANDEROL FGXL 46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 464.32000000, NULL, 464.32000000, 92.86000000, 0.00000000, 0.00000000, 557.18000000, 0, NULL, NULL, 0, 225.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 464.32000000, 464.32000000, 92.86000000, 557.18000000),
(3530, 575, NULL, 1230990, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(3531, 576, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3532, 576, NULL, 1231900, NULL, 'Bulbe thermostatique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.00000000, NULL, 53.00000000, 10.60000000, 0.00000000, 0.00000000, 63.60000000, 0, NULL, NULL, 0, 29.15000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.00000000, 53.00000000, 10.60000000, 63.60000000),
(3533, 576, NULL, 1230694, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 3.40000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(3534, 576, NULL, 1223837, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.64000000, NULL, 27.64000000, 5.53000000, 0.00000000, 0.00000000, 33.17000000, 0, NULL, NULL, 0, 13.82000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.64000000, 27.64000000, 5.53000000, 33.17000000),
(3535, 576, NULL, 1221733, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.66000000, NULL, 61.66000000, 12.33000000, 0.00000000, 0.00000000, 73.99000000, 0, NULL, NULL, 0, 29.93000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.66000000, 61.66000000, 12.33000000, 73.99000000),
(3536, 576, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(3537, 577, NULL, 969028, NULL, 'Régulateur série F2 G1/2 0-8 BAR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 47.46000000, NULL, 47.46000000, 9.49000000, 0.00000000, 0.00000000, 56.95000000, 1, NULL, NULL, 0, 23.04000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 47.46000000, 47.46000000, 9.49000000, 56.95000000),
(3538, 577, NULL, 969075, NULL, 'Equerres de fixation FRL2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.33000000, NULL, 3.33000000, 0.67000000, 0.00000000, 0.00000000, 4.00000000, 1, NULL, NULL, 0, 1.62000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.33000000, 3.33000000, 0.67000000, 4.00000000),
(3539, 577, NULL, 952631, NULL, 'filtre reseau R1/2 grade 1µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(3540, 577, NULL, 952630, NULL, 'filtre BEA105ra 1/2\'\' grade 0.01µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(3541, 577, NULL, 955262, NULL, 'controleur de perte de charge', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 80.44000000, NULL, 160.88000000, 32.18000000, 0.00000000, 0.00000000, 193.06000000, 0, NULL, NULL, 0, 39.05000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 80.44000000, 160.88000000, 32.18000000, 193.06000000),
(3542, 578, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.38000000, NULL, 17.52000000, 3.50000000, 0.00000000, 0.00000000, 21.02000000, 1, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.38000000, 17.52000000, 3.50000000, 21.02000000),
(3543, 578, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 11.95000000, NULL, 47.80000000, 9.56000000, 0.00000000, 0.00000000, 57.36000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.95000000, 47.80000000, 9.56000000, 57.36000000),
(3544, 578, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.27000000, NULL, 10.54000000, 2.11000000, 0.00000000, 0.00000000, 12.65000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.27000000, 10.54000000, 2.11000000, 12.65000000),
(3545, 578, NULL, 966989, NULL, 'Té égal MMM G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.15000000, NULL, 6.30000000, 1.26000000, 0.00000000, 0.00000000, 7.56000000, 1, NULL, NULL, 0, 1.87000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.15000000, 6.30000000, 1.26000000, 7.56000000),
(3546, 578, NULL, 966892, NULL, 'Bouchon M. cylindrique G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 0.71000000, NULL, 1.42000000, 0.28000000, 0.00000000, 0.00000000, 1.70000000, 1, NULL, NULL, 0, 0.42000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.71000000, 1.42000000, 0.28000000, 1.70000000),
(3547, 578, NULL, 971586, NULL, 'Raccord sécurité F G1/2 ISOB 6', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.03000000, NULL, 34.06000000, 6.81000000, 0.00000000, 0.00000000, 40.87000000, 0, NULL, NULL, 0, 10.08000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.03000000, 34.06000000, 6.81000000, 40.87000000),
(3548, 578, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 4.38000000, NULL, 21.90000000, 4.38000000, 0.00000000, 0.00000000, 26.28000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.38000000, 21.90000000, 4.38000000, 26.28000000),
(3549, 578, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 22, 0, 0, NULL, 4.09000000, NULL, 89.98000000, 18.00000000, 0.00000000, 0.00000000, 107.98000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.09000000, 89.98000000, 18.00000000, 107.98000000),
(3550, 578, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.94000000, NULL, 14.70000000, 2.94000000, 0.00000000, 0.00000000, 17.64000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.94000000, 14.70000000, 2.94000000, 17.64000000),
(3551, 578, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.70000000, NULL, 13.40000000, 2.68000000, 0.00000000, 0.00000000, 16.08000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.70000000, 13.40000000, 2.68000000, 16.08000000),
(3552, 578, NULL, 1080012, NULL, 'Manchon d\'extrémité diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.72000000, NULL, 3.72000000, 0.74000000, 0.00000000, 0.00000000, 4.46000000, 0, NULL, NULL, 0, 3.19000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.72000000, 3.72000000, 0.74000000, 4.46000000),
(3553, 578, NULL, 1080054, NULL, 'Crosse d\'évêque diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 10.12000000, NULL, 20.24000000, 4.05000000, 0.00000000, 0.00000000, 24.29000000, 0, NULL, NULL, 0, 8.69000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.12000000, 20.24000000, 4.05000000, 24.29000000),
(3554, 578, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 14, 0, 0, NULL, 0.92000000, NULL, 12.88000000, 2.58000000, 0.00000000, 0.00000000, 15.46000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.92000000, 12.88000000, 2.58000000, 15.46000000),
(3555, 578, NULL, 1190523, NULL, 'petites fournitures', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 84.26000000, NULL, 84.26000000, 16.85000000, 0.00000000, 0.00000000, 101.11000000, 0, NULL, NULL, 0, 43.75000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 84.26000000, 84.26000000, 16.85000000, 101.11000000),
(3556, 578, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 867.16000000, NULL, 867.16000000, 173.43000000, 0.00000000, 0.00000000, 1040.59000000, 0, NULL, NULL, 0, 652.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 867.16000000, 867.16000000, 173.43000000, 1040.59000000),
(3557, 579, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 290.70000000, NULL, 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(3558, 579, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(3559, 579, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3560, 579, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(3561, 580, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 62, 0, 0, NULL, 0.97000000, NULL, 60.14000000, 12.03000000, 0.00000000, 0.00000000, 72.17000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 60.14000000, 12.03000000, 72.17000000),
(3562, 580, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(3563, 581, NULL, NULL, '1 Remplacement réservoir 900Litres :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3564, 581, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 879.21000000, NULL, 879.21000000, 175.84000000, 0.00000000, 0.00000000, 1055.05000000, 0, NULL, NULL, 0, 698.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 879.21000000, 879.21000000, 175.84000000, 1055.05000000),
(3565, 581, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3566, 581, NULL, NULL, '2 Mise en place d\'un filtre charbon actif :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3567, 581, NULL, 952653, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 269.62000000, NULL, 269.62000000, 53.92000000, 0.00000000, 0.00000000, 323.54000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 269.62000000, 269.62000000, 53.92000000, 323.54000000),
(3568, 581, NULL, 952654, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 269.62000000, NULL, 269.62000000, 53.92000000, 0.00000000, 0.00000000, 323.54000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 269.62000000, 269.62000000, 53.92000000, 323.54000000),
(3569, 581, NULL, 952652, NULL, 'filtre reseau charbon actif', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 269.62000000, NULL, 269.62000000, 53.92000000, 0.00000000, 0.00000000, 323.54000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 269.62000000, 269.62000000, 53.92000000, 323.54000000),
(3570, 581, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3571, 581, NULL, NULL, '3 Maintenance :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3572, 581, NULL, 1190506, NULL, 'Forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 455.83000000, NULL, 455.83000000, 91.17000000, 0.00000000, 0.00000000, 547.00000000, 0, NULL, NULL, 0, 234.58000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 455.83000000, 455.83000000, 91.17000000, 547.00000000),
(3573, 581, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3574, 581, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 255.59000000, NULL, 255.59000000, 51.12000000, 0.00000000, 0.00000000, 306.71000000, 0, NULL, NULL, 0, 202.99000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 255.59000000, 255.59000000, 51.12000000, 306.71000000),
(3575, 581, NULL, 1179664, NULL, 'SEPARATOR KIT D            L75RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 853.00000000, NULL, 853.00000000, 170.60000000, 0.00000000, 0.00000000, 1023.60000000, 0, NULL, NULL, 0, 573.34500000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 853.00000000, 853.00000000, 170.60000000, 1023.60000000),
(3576, 581, NULL, 1179733, NULL, 'SERVICE PACKAGE  E          L55-L75 (A)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 519.32000000, NULL, 519.32000000, 103.86000000, 0.00000000, 0.00000000, 623.18000000, 0, NULL, NULL, 0, 349.06230000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 519.32000000, 519.32000000, 103.86000000, 623.18000000),
(3577, 581, NULL, 1222181, NULL, 'Huile anderol ANDEROL FGXL 46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 283.91000000, NULL, 1135.64000000, 227.13000000, 0.00000000, 0.00000000, 1362.77000000, 0, NULL, NULL, 0, 225.40000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 283.91000000, 1135.64000000, 227.13000000, 1362.77000000),
(3578, 581, NULL, NULL, 'Sous-total Maintenance :', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3579, 581, NULL, NULL, '4 Mise en place d\'un séparateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3580, 581, NULL, 958254, NULL, 'ÖWAMAT 14 oil/water separatot with pre-separation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 938.58000000, NULL, 938.58000000, 187.72000000, 0.00000000, 0.00000000, 1126.30000000, 0, NULL, NULL, 0, 741.52000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 938.58000000, 938.58000000, 187.72000000, 1126.30000000),
(3581, 581, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3582, 581, NULL, NULL, '5 Purgeur à sondes capacitives pour filtres réseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3583, 581, NULL, 1238465, NULL, 'purgeur capacitif', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 164.13000000, NULL, 492.39000000, 98.48000000, 0.00000000, 0.00000000, 590.87000000, 0, NULL, NULL, 0, 125.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 164.13000000, 492.39000000, 98.48000000, 590.87000000),
(3584, 581, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3585, 581, NULL, NULL, '6 main d\'oeuvre et deplacement^pour l\'ensemble :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3586, 581, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3430.65000000, NULL, 3430.65000000, 686.13000000, 0.00000000, 0.00000000, 4116.78000000, 0, NULL, NULL, 0, 2694.00000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3430.65000000, 3430.65000000, 686.13000000, 4116.78000000),
(3587, 581, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3588, 581, NULL, NULL, '7 Raccordement et reseau inox dans local air comprimé :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3589, 581, NULL, 1190653, NULL, 'SUPPORTAGE METALLIQUE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 288.65000000, NULL, 288.65000000, 57.73000000, 0.00000000, 0.00000000, 346.38000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 288.65000000, 288.65000000, 57.73000000, 346.38000000),
(3590, 581, NULL, 1080062, NULL, 'Tube \"sanitaire\" diam. ext. 54', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 20.35000000, NULL, 366.30000000, 73.26000000, 0.00000000, 0.00000000, 439.56000000, 0, NULL, NULL, 0, 15.19000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.35000000, 366.30000000, 73.26000000, 439.56000000),
(3591, 581, NULL, 966509, NULL, 'Vanne F/F G2\" PN25 DN50', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 31.93000000, NULL, 191.58000000, 38.32000000, 0.00000000, 0.00000000, 229.90000000, 1, NULL, NULL, 0, 21.29000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 31.93000000, 191.58000000, 38.32000000, 229.90000000),
(3592, 581, NULL, 1079968, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 54.2\"', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 51.38000000, NULL, 770.70000000, 154.14000000, 0.00000000, 0.00000000, 924.84000000, 0, NULL, NULL, 0, 38.36000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 51.38000000, 770.70000000, 154.14000000, 924.84000000),
(3593, 581, NULL, 1079790, NULL, 'Courbe à 90° diamètre extérieur 54', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 25.15000000, NULL, 201.20000000, 40.24000000, 0.00000000, 0.00000000, 241.44000000, 0, NULL, NULL, 0, 18.78000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.15000000, 201.20000000, 40.24000000, 241.44000000),
(3594, 581, NULL, 1079820, NULL, 'Coude à 45° diam. ext. 54', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 19.57000000, NULL, 156.56000000, 31.31000000, 0.00000000, 0.00000000, 187.87000000, 0, NULL, NULL, 0, 14.61000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.57000000, 156.56000000, 31.31000000, 187.87000000),
(3595, 581, NULL, 1080116, NULL, 'Collier protégé pour tube diam. 54 - M8', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 1.40000000, NULL, 11.20000000, 2.24000000, 0.00000000, 0.00000000, 13.44000000, 0, NULL, NULL, 0, 1.04000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.40000000, 11.20000000, 2.24000000, 13.44000000),
(3596, 581, NULL, 1079996, NULL, 'Manchon diamètre extérieur 54', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 7.66000000, NULL, 114.90000000, 22.98000000, 0.00000000, 0.00000000, 137.88000000, 0, NULL, NULL, 0, 5.72000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.66000000, 114.90000000, 22.98000000, 137.88000000),
(3597, 581, NULL, 1079855, NULL, 'Té égal diam. ext. 54', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 20.09000000, NULL, 160.72000000, 32.14000000, 0.00000000, 0.00000000, 192.86000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.09000000, 160.72000000, 32.14000000, 192.86000000),
(3598, 581, NULL, 1079938, NULL, 'Raccord mixte mâle diam. ext. 54.2\"', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 23.09000000, NULL, 184.72000000, 36.94000000, 0.00000000, 0.00000000, 221.66000000, 0, NULL, NULL, 0, 17.24000000, NULL, 0, 0, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.09000000, 184.72000000, 36.94000000, 221.66000000),
(3599, 581, NULL, 1238454, NULL, 'bride taraudee acier galva dn80 pn 16', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 51.88000000, NULL, 103.76000000, 20.75000000, 0.00000000, 0.00000000, 124.51000000, 0, NULL, NULL, 0, 33.50000000, NULL, 0, 0, 37, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 51.88000000, 103.76000000, 20.75000000, 124.51000000),
(3600, 581, NULL, 1238455, NULL, 'reduction galva MF 3\'x2\'', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.55000000, NULL, 15.10000000, 3.02000000, 0.00000000, 0.00000000, 18.12000000, 0, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 38, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.55000000, 15.10000000, 3.02000000, 18.12000000),
(3601, 581, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 39, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3602, 581, NULL, NULL, '8 Gainage sortie compresseur ( hors étanchéité ) :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 40, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3603, 581, NULL, 1230685, NULL, 'lot acier galva avec coude sortie 19777', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1885.23000000, NULL, 1885.23000000, 377.05000000, 0.00000000, 0.00000000, 2262.28000000, 0, NULL, NULL, 0, 1300.00000000, NULL, 0, 0, 41, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1885.23000000, 1885.23000000, 377.05000000, 2262.28000000),
(3604, 581, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 42, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3605, 582, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(3606, 582, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(3607, 583, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3608, 583, NULL, 1222597, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.18000000, NULL, 34.36000000, 6.87000000, 0.00000000, 0.00000000, 41.23000000, 0, NULL, NULL, 0, 8.34000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.18000000, 34.36000000, 6.87000000, 41.23000000),
(3609, 583, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(3610, 583, NULL, 952683, NULL, 'cartouche 180RB', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.69000000, NULL, 105.69000000, 21.14000000, 0.00000000, 0.00000000, 126.83000000, 0, NULL, NULL, 0, 51.31000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.69000000, 105.69000000, 21.14000000, 126.83000000),
(3611, 583, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(3612, 583, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(3613, 583, NULL, 1179716, NULL, 'SERVICE PACKAGE  E      L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 248.10000000, NULL, 248.10000000, 49.62000000, 0.00000000, 0.00000000, 297.72000000, 0, NULL, NULL, 0, 148.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 248.10000000, 248.10000000, 49.62000000, 297.72000000),
(3614, 584, NULL, NULL, NULL, 'Déplacement recherche de panne :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3615, 584, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(3616, 584, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 164, 0, 0, NULL, 0.97000000, NULL, 159.08000000, 31.82000000, 0.00000000, 0.00000000, 190.90000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 159.08000000, 31.82000000, 190.90000000),
(3617, 584, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3618, 584, NULL, NULL, NULL, 'Remplacement ventilateur sur secheur - pièce en garantie', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3619, 584, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(3620, 584, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 164, 0, 0, NULL, 0.97000000, NULL, 159.08000000, 31.82000000, 0.00000000, 0.00000000, 190.90000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 159.08000000, 31.82000000, 190.90000000),
(3621, 584, NULL, 1180766, NULL, 'FAN KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 674.70000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 674.70000000, 0.00000000, 0.00000000, 0.00000000),
(3622, 584, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3623, 585, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(3624, 586, NULL, 1080062, NULL, 'Tube \"sanitaire\" diam. ext. 54', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 11.94000000, NULL, 143.28000000, 28.66000000, 0.00000000, 0.00000000, 171.94000000, 0, NULL, NULL, 0, 15.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.94000000, 143.28000000, 28.66000000, 171.94000000),
(3625, 586, NULL, 1079968, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 54.2\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 30.15000000, NULL, 120.60000000, 24.12000000, 0.00000000, 0.00000000, 144.72000000, 0, NULL, NULL, 0, 38.36000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.15000000, 120.60000000, 24.12000000, 144.72000000),
(3626, 586, NULL, 1079790, NULL, 'Courbe à 90° diamètre extérieur 54', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 14.76000000, NULL, 59.04000000, 11.81000000, 0.00000000, 0.00000000, 70.85000000, 0, NULL, NULL, 0, 18.78000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.76000000, 59.04000000, 11.81000000, 70.85000000),
(3627, 586, NULL, 1079820, NULL, 'Coude à 45° diam. ext. 54', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.49000000, NULL, 11.49000000, 2.30000000, 0.00000000, 0.00000000, 13.79000000, 0, NULL, NULL, 0, 14.61000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.49000000, 11.49000000, 2.30000000, 13.79000000),
(3628, 586, NULL, 1079996, NULL, 'Manchon diamètre extérieur 54', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.49000000, NULL, 4.49000000, 0.90000000, 0.00000000, 0.00000000, 5.39000000, 0, NULL, NULL, 0, 5.72000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.49000000, 4.49000000, 0.90000000, 5.39000000),
(3629, 586, NULL, 1080116, NULL, 'Collier protégé pour tube diam. 54 - M8', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 0.82000000, NULL, 3.28000000, 0.66000000, 0.00000000, 0.00000000, 3.94000000, 0, NULL, NULL, 0, 1.04000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.82000000, 3.28000000, 0.66000000, 3.94000000),
(3630, 586, NULL, 966509, NULL, 'Vanne F/F G2\" PN25 DN50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.21000000, NULL, 33.21000000, 6.64000000, 0.00000000, 0.00000000, 39.85000000, 1, NULL, NULL, 0, 21.29000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.21000000, 33.21000000, 6.64000000, 39.85000000),
(3631, 586, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1743.60000000, NULL, 1743.60000000, 348.72000000, 0.00000000, 0.00000000, 2092.32000000, 0, NULL, NULL, 0, 1133.92000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1743.60000000, 1743.60000000, 348.72000000, 2092.32000000),
(3632, 586, NULL, 1245861, NULL, 'reduction mm inox 316L 1*1/2x1*', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.72000000, NULL, 17.72000000, 3.54000000, 0.00000000, 0.00000000, 21.26000000, 0, NULL, NULL, 0, 16.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.72000000, 17.72000000, 3.54000000, 21.26000000),
(3634, 588, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 48.00000000, NULL, 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(3635, 588, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.73000000, NULL, 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(3636, 589, NULL, 1245865, NULL, 'Lce = 2990 Hce = 826 ALU ANODISE<br />\r\n1-O27280 ouverture/fermeture par treuil &agrave; chaine', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1236.35000000, NULL, 7418.10000000, 1483.62000000, 0.00000000, 0.00000000, 8901.72000000, 0, NULL, NULL, 0, 679.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1236.35000000, 7418.10000000, 1483.62000000, 8901.72000000),
(3637, 589, NULL, 1245866, NULL, 'Lce = 3000 Qts Mnt = 1 ALU ANODISE', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 90.06000000, NULL, 540.36000000, 108.07000000, 0.00000000, 0.00000000, 648.43000000, 0, NULL, NULL, 0, 44.10000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.06000000, 540.36000000, 108.07000000, 648.43000000),
(3638, 589, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4425.54000000, NULL, 4425.54000000, 885.11000000, 0.00000000, 0.00000000, 5310.65000000, 0, NULL, NULL, 0, 3951.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4425.54000000, 4425.54000000, 885.11000000, 5310.65000000),
(3639, 590, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(3644, 592, NULL, 944324, NULL, 'compresseur rotatif à vis librifiees à vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16951.22000000, NULL, 16951.22000000, 3390.24000000, 0.00000000, 0.00000000, 20341.46000000, 0, NULL, NULL, 0, 17951.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16951.22000000, 16951.22000000, 3390.24000000, 20341.46000000),
(3645, 592, NULL, 1189344, NULL, 'echangeur à plaques', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1341.20000000, NULL, 1341.20000000, 268.24000000, 0.00000000, 0.00000000, 1609.44000000, 0, NULL, NULL, 0, 1416.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1341.20000000, 1341.20000000, 268.24000000, 1609.44000000),
(3646, 592, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 335.30000000, NULL, 335.30000000, 67.06000000, 0.00000000, 0.00000000, 402.36000000, 0, NULL, NULL, 0, 387.34000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 335.30000000, 335.30000000, 67.06000000, 402.36000000),
(3647, 592, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement<br />\r\nFourniture electrique&nbsp;<br />\r\nFourniture inox', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1937.28000000, NULL, 1937.28000000, 387.46000000, 0.00000000, 0.00000000, 2324.74000000, 0, NULL, NULL, 0, 1868.42000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1937.28000000, 1937.28000000, 387.46000000, 2324.74000000),
(3652, 594, NULL, NULL, '1 Modification reseau suivant schéma de principe ci joint :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3653, 594, NULL, 1079791, NULL, 'Courbe à 90° diamètre extérieur 76', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.99000000, NULL, 63.99000000, 12.80000000, 0.00000000, 0.00000000, 76.79000000, 0, NULL, NULL, 0, 45.07000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.99000000, 63.99000000, 12.80000000, 76.79000000),
(3654, 594, NULL, 1079790, NULL, 'Courbe à 90° diamètre extérieur 54', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 26.66000000, NULL, 133.30000000, 26.66000000, 0.00000000, 0.00000000, 159.96000000, 0, NULL, NULL, 0, 18.78000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.66000000, 133.30000000, 26.66000000, 159.96000000),
(3655, 594, NULL, 1079855, NULL, 'Té égal diam. ext. 54', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.30000000, NULL, 42.60000000, 8.52000000, 0.00000000, 0.00000000, 51.12000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.30000000, 42.60000000, 8.52000000, 51.12000000),
(3656, 594, NULL, 1080072, NULL, 'Tube \"air comprimé\" diam. ext. 54', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.41000000, NULL, 28.82000000, 5.76000000, 0.00000000, 0.00000000, 34.58000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.41000000, 28.82000000, 5.76000000, 34.58000000),
(3657, 594, NULL, 1079997, NULL, 'Manchon diamètre extérieur 76', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 41.35000000, NULL, 82.70000000, 16.54000000, 0.00000000, 0.00000000, 99.24000000, 0, NULL, NULL, 0, 29.12000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.35000000, 82.70000000, 16.54000000, 99.24000000),
(3658, 594, NULL, 1079996, NULL, 'Manchon diamètre extérieur 54', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.12000000, NULL, 16.24000000, 3.25000000, 0.00000000, 0.00000000, 19.49000000, 0, NULL, NULL, 0, 5.72000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.12000000, 16.24000000, 3.25000000, 19.49000000),
(3659, 594, NULL, 966509, NULL, 'Vanne F/F G2\" PN25 DN50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.00000000, NULL, 32.00000000, 6.40000000, 0.00000000, 0.00000000, 38.40000000, 1, NULL, NULL, 0, 21.29000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.00000000, 32.00000000, 6.40000000, 38.40000000),
(3660, 594, NULL, 1079968, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 54.2\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 54.47000000, NULL, 108.94000000, 21.79000000, 0.00000000, 0.00000000, 130.73000000, 0, NULL, NULL, 0, 38.36000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 54.47000000, 108.94000000, 21.79000000, 130.73000000),
(3661, 594, NULL, 1079938, NULL, 'Raccord mixte mâle diam. ext. 54.2\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 24.48000000, NULL, 48.96000000, 9.79000000, 0.00000000, 0.00000000, 58.75000000, 0, NULL, NULL, 0, 17.24000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.48000000, 48.96000000, 9.79000000, 58.75000000),
(3662, 594, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(3663, 594, NULL, 1080037, NULL, 'Raccord de réduction diam. ext. 54.22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.93000000, NULL, 17.93000000, 3.59000000, 0.00000000, 0.00000000, 21.52000000, 0, NULL, NULL, 0, 12.62000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.93000000, 17.93000000, 3.59000000, 21.52000000),
(3664, 594, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.42000000, NULL, 6.42000000, 1.28000000, 0.00000000, 0.00000000, 7.70000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 6.42000000, 1.28000000, 7.70000000),
(3665, 594, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.33000000, NULL, 5.33000000, 1.07000000, 0.00000000, 0.00000000, 6.40000000, 1, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.33000000, 5.33000000, 1.07000000, 6.40000000),
(3666, 594, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(3667, 594, NULL, NULL, '2 Maintenance compresseur L37 N° CD10004203001 et remplacement de la vanne 3 voies :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3668, 594, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3669, 594, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3670, 594, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(3671, 594, NULL, 1230684, NULL, 'bulbes thermostatique 55°C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 180.00000000, NULL, 180.00000000, 36.00000000, 0.00000000, 0.00000000, 216.00000000, 0, NULL, NULL, 0, 99.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 180.00000000, 180.00000000, 36.00000000, 216.00000000),
(3672, 594, NULL, 954040, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.33000000, NULL, 79.33000000, 15.87000000, 0.00000000, 0.00000000, 95.20000000, 0, NULL, NULL, 0, 38.51000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.33000000, 79.33000000, 15.87000000, 95.20000000),
(3673, 594, NULL, 954826, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 152.85000000, NULL, 152.85000000, 30.57000000, 0.00000000, 0.00000000, 183.42000000, 0, NULL, NULL, 0, 74.20000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 152.85000000, 152.85000000, 30.57000000, 183.42000000),
(3674, 594, NULL, 951802, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.16000000, NULL, 7.16000000, 1.43000000, 0.00000000, 0.00000000, 8.59000000, 0, NULL, NULL, 0, 3.48000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.16000000, 7.16000000, 1.43000000, 8.59000000),
(3675, 594, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3676, 595, NULL, 1243832, NULL, 'MEULEUSE D ANGLE DIAMETRE 178MM', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 362.00000000, NULL, 362.00000000, 72.40000000, 0.00000000, 0.00000000, 434.40000000, 0, NULL, NULL, 0, 275.38000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 362.00000000, 362.00000000, 72.40000000, 434.40000000),
(3677, 595, NULL, 1243834, NULL, 'plateau supports 170 x 5/8*   716-2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 14.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(3678, 595, NULL, 1221305, NULL, 'PERCEUSE 10 MM NON REVERSIBLE MAS 8951073000', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 103.00000000, NULL, 206.00000000, 41.20000000, 0.00000000, 0.00000000, 247.20000000, 0, NULL, NULL, 0, 73.14000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.00000000, 206.00000000, 41.20000000, 247.20000000),
(3679, 595, NULL, 1243837, NULL, 'mandrin 13 mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 29.00000000, NULL, 29.00000000, 5.80000000, 0.00000000, 0.00000000, 34.80000000, 0, NULL, NULL, 0, 20.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.00000000, 29.00000000, 5.80000000, 34.80000000),
(3680, 596, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(3681, 596, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 63, 0, 0, NULL, 0.97000000, NULL, 61.11000000, 12.22000000, 0.00000000, 0.00000000, 73.33000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 61.11000000, 12.22000000, 73.33000000),
(3682, 597, NULL, 1190382, NULL, 'moteur de ventilateur pour sécheur d\'air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.00000000, NULL, 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 65.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(3683, 597, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(3684, 597, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 0.97000000, NULL, 38.80000000, 7.76000000, 0.00000000, 0.00000000, 46.56000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 38.80000000, 7.76000000, 46.56000000),
(3685, 598, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 63.84000000, NULL, 383.04000000, 76.61000000, 0.00000000, 0.00000000, 459.65000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 383.04000000, 76.61000000, 459.65000000),
(3686, 598, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 174, 0, 0, NULL, 0.97000000, NULL, 168.78000000, 33.76000000, 0.00000000, 0.00000000, 202.54000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 168.78000000, 33.76000000, 202.54000000),
(3687, 599, NULL, 944320, NULL, 'compresseur rotatif à vis librifiees à vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15079.45000000, NULL, 15079.45000000, 3015.89000000, 0.00000000, 0.00000000, 18095.34000000, 0, NULL, NULL, 0, 12240.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15079.45000000, 15079.45000000, 3015.89000000, 18095.34000000),
(3688, 599, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 125.66000000, NULL, 125.66000000, 25.13000000, 0.00000000, 0.00000000, 150.79000000, 0, NULL, NULL, 0, 223.92000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 125.66000000, 125.66000000, 25.13000000, 150.79000000),
(3689, 599, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3044.89000000, NULL, 3044.89000000, 608.98000000, 0.00000000, 0.00000000, 3653.87000000, 0, NULL, NULL, 0, 1500.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3044.89000000, 3044.89000000, 608.98000000, 3653.87000000),
(3690, 600, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.12000000, NULL, 113.12000000, 22.62000000, 0.00000000, 0.00000000, 135.74000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.12000000, 113.12000000, 22.62000000, 135.74000000),
(3691, 600, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 249.24000000, NULL, 249.24000000, 49.85000000, 0.00000000, 0.00000000, 299.09000000, 0, NULL, NULL, 0, 147.65000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 249.24000000, 249.24000000, 49.85000000, 299.09000000),
(3692, 600, NULL, 1179720, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 167.36000000, NULL, 167.36000000, 33.47000000, 0.00000000, 0.00000000, 200.83000000, 0, NULL, NULL, 0, 159.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 167.36000000, 167.36000000, 33.47000000, 200.83000000),
(3693, 600, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.83000000, NULL, 2.83000000, 0.57000000, 0.00000000, 0.00000000, 3.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.83000000, 2.83000000, 0.57000000, 3.40000000),
(3694, 600, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 248.41000000, NULL, 248.41000000, 49.68000000, 0.00000000, 0.00000000, 298.09000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 248.41000000, 248.41000000, 49.68000000, 298.09000000),
(3695, 601, NULL, 1222641, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3696, 601, NULL, 1222642, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3697, 601, NULL, 1179624, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(3698, 601, NULL, 1177750, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 147.65000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(3699, 601, NULL, 944539, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.50000000, NULL, 154.50000000, 30.90000000, 0.00000000, 0.00000000, 185.40000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 154.50000000, 154.50000000, 30.90000000, 185.40000000),
(3700, 601, NULL, 1189212, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 73.10000000, NULL, 146.20000000, 29.24000000, 0.00000000, 0.00000000, 175.44000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 146.20000000, 29.24000000, 175.44000000),
(3701, 601, NULL, 1222577, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.54000000, NULL, 55.62000000, 11.12000000, 0.00000000, 0.00000000, 66.74000000, 0, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.54000000, 55.62000000, 11.12000000, 66.74000000),
(3702, 602, NULL, 1231810, NULL, 'Main d\'oeuvre Industriel', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.52000000, NULL, 77.52000000, 15.50000000, 0.00000000, 0.00000000, 93.02000000, 0, NULL, NULL, 0, 57.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.52000000, 77.52000000, 15.50000000, 93.02000000),
(3703, 602, NULL, 1231811, NULL, 'deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.36000000, NULL, 100.36000000, 20.07000000, 0.00000000, 0.00000000, 120.43000000, 0, NULL, NULL, 0, 73.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.36000000, 100.36000000, 20.07000000, 120.43000000),
(3704, 602, NULL, 1231812, NULL, 'cartouche 20/5µ pour filtre garde', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.05000000, NULL, 19.05000000, 3.81000000, 0.00000000, 0.00000000, 22.86000000, 0, NULL, NULL, 0, 14.01000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.05000000, 19.05000000, 3.81000000, 22.86000000),
(3705, 602, NULL, 1231813, NULL, 'net.des résines réactif appro', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.93000000, NULL, 85.93000000, 17.19000000, 0.00000000, 0.00000000, 103.12000000, 0, NULL, NULL, 0, 63.19000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.93000000, 85.93000000, 17.19000000, 103.12000000),
(3706, 603, NULL, 955222, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.73000000, NULL, 78.73000000, 15.75000000, 0.00000000, 0.00000000, 94.48000000, 0, NULL, NULL, 0, 38.23000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.73000000, 78.73000000, 15.75000000, 94.48000000),
(3707, 603, NULL, 954013, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.93000000, NULL, 99.93000000, 19.99000000, 0.00000000, 0.00000000, 119.92000000, 0, NULL, NULL, 0, 48.51000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.93000000, 99.93000000, 19.99000000, 119.92000000),
(3708, 603, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(3709, 603, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(3710, 603, NULL, 951965, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.95000000, NULL, 14.95000000, 2.99000000, 0.00000000, 0.00000000, 17.94000000, 0, NULL, NULL, 0, 7.26000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.95000000, 14.95000000, 2.99000000, 17.94000000),
(3711, 603, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3712, 604, NULL, NULL, NULL, 'Maintenance rollair 15 :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3713, 604, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3714, 604, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3715, 604, NULL, 955042, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 124.98000000, NULL, 124.98000000, 25.00000000, 0.00000000, 0.00000000, 149.98000000, 0, NULL, NULL, 0, 60.67000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 124.98000000, 124.98000000, 25.00000000, 149.98000000),
(3716, 604, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(3717, 604, NULL, 954034, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.67000000, NULL, 24.67000000, 4.93000000, 0.00000000, 0.00000000, 29.60000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 24.67000000, 4.93000000, 29.60000000),
(3718, 604, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3719, 604, NULL, NULL, NULL, 'Maintenance filtres reseaux', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3720, 604, NULL, 952860, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.55000000, NULL, 92.55000000, 18.51000000, 0.00000000, 0.00000000, 111.06000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.55000000, 92.55000000, 18.51000000, 111.06000000),
(3721, 604, NULL, 952859, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.55000000, NULL, 92.55000000, 18.51000000, 0.00000000, 0.00000000, 111.06000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.55000000, 92.55000000, 18.51000000, 111.06000000),
(3722, 604, NULL, 952861, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.55000000, NULL, 92.55000000, 18.51000000, 0.00000000, 0.00000000, 111.06000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.55000000, 92.55000000, 18.51000000, 111.06000000),
(3723, 604, NULL, 952862, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.55000000, NULL, 92.55000000, 18.51000000, 0.00000000, 0.00000000, 111.06000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.55000000, 92.55000000, 18.51000000, 111.06000000),
(3724, 604, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3725, 605, NULL, 1179749, NULL, 'MAJOR SERVICE KIT L17-21VS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 907.40000000, NULL, 907.40000000, 181.48000000, 0.00000000, 0.00000000, 1088.88000000, 0, NULL, NULL, 0, 544.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 907.40000000, 907.40000000, 181.48000000, 1088.88000000),
(3726, 605, NULL, 955217, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.72000000, NULL, 112.72000000, 22.54000000, 0.00000000, 0.00000000, 135.26000000, 0, NULL, NULL, 0, 54.72000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.72000000, 112.72000000, 22.54000000, 135.26000000),
(3727, 605, NULL, 953898, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.29000000, NULL, 102.29000000, 20.46000000, 0.00000000, 0.00000000, 122.75000000, 0, NULL, NULL, 0, 49.66000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.29000000, 102.29000000, 20.46000000, 122.75000000),
(3728, 605, NULL, 1222557, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.23000000, NULL, 24.46000000, 4.89000000, 0.00000000, 0.00000000, 29.35000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 24.46000000, 4.89000000, 29.35000000),
(3729, 605, NULL, 1179638, NULL, 'MINOR SERVICE KIT L17-21VS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 103.30000000, NULL, 103.30000000, 20.66000000, 0.00000000, 0.00000000, 123.96000000, 0, NULL, NULL, 0, 61.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.30000000, 103.30000000, 20.66000000, 123.96000000),
(3730, 605, NULL, 1179688, NULL, 'INTERIM SERVICE KIT L17-21VS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 533.20000000, NULL, 533.20000000, 106.64000000, 0.00000000, 0.00000000, 639.84000000, 0, NULL, NULL, 0, 259.01000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 533.20000000, 533.20000000, 106.64000000, 639.84000000),
(3731, 605, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 73.10000000, NULL, 146.20000000, 29.24000000, 0.00000000, 0.00000000, 175.44000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 146.20000000, 29.24000000, 175.44000000),
(3732, 605, NULL, 954013, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.93000000, NULL, 99.93000000, 19.99000000, 0.00000000, 0.00000000, 119.92000000, 0, NULL, NULL, 0, 48.51000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.93000000, 99.93000000, 19.99000000, 119.92000000),
(3733, 605, NULL, 1222641, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3734, 605, NULL, 1222642, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3735, 606, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 0.5, 0, 0, NULL, 63.84000000, NULL, 31.92000000, 6.38000000, 0.00000000, 0.00000000, 38.30000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 31.92000000, 6.38000000, 38.30000000),
(3736, 606, NULL, 969249, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 1, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(3737, 607, NULL, 1222124, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 95.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(3738, 607, NULL, 1222125, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 95.15000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(3739, 607, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(3740, 607, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3741, 607, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3742, 607, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(3743, 607, NULL, 1179655, NULL, 'SEPARATOR KIT D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 613.40000000, NULL, 613.40000000, 122.68000000, 0.00000000, 0.00000000, 736.08000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 613.40000000, 613.40000000, 122.68000000, 736.08000000),
(3744, 607, NULL, 1179727, NULL, 'SERVICE PACKAGE  E   L30-L50+L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 772.30000000, NULL, 772.30000000, 154.46000000, 0.00000000, 0.00000000, 926.76000000, 0, NULL, NULL, 0, 288.21000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 772.30000000, 772.30000000, 154.46000000, 926.76000000),
(3745, 607, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 277.00000000, NULL, 554.00000000, 110.80000000, 0.00000000, 0.00000000, 664.80000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 554.00000000, 110.80000000, 664.80000000),
(3746, 608, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3747, 608, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3748, 608, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(3749, 608, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(3750, 608, NULL, 1222181, NULL, 'Huile anderol ANDEROL FGXL 46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 464.32000000, NULL, 464.32000000, 92.86000000, 0.00000000, 0.00000000, 557.18000000, 0, NULL, NULL, 0, 225.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 464.32000000, 464.32000000, 92.86000000, 557.18000000),
(3751, 608, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 59.69000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(3752, 609, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3753, 609, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3754, 609, NULL, 1222548, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 28.40000000, NULL, 85.20000000, 17.04000000, 0.00000000, 0.00000000, 102.24000000, 0, NULL, NULL, 0, 13.79000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.40000000, 85.20000000, 17.04000000, 102.24000000),
(3755, 609, NULL, 1221739, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.80000000, NULL, 96.80000000, 19.36000000, 0.00000000, 0.00000000, 116.16000000, 0, NULL, NULL, 0, 48.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.80000000, 96.80000000, 19.36000000, 116.16000000),
(3756, 609, NULL, 1230691, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.32000000, NULL, 34.32000000, 6.86000000, 0.00000000, 0.00000000, 41.18000000, 0, NULL, NULL, 0, 17.16000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.32000000, 34.32000000, 6.86000000, 41.18000000),
(3757, 609, NULL, 1221815, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 58.56000000, NULL, 58.56000000, 11.71000000, 0.00000000, 0.00000000, 70.27000000, 0, NULL, NULL, 0, 29.28000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 58.56000000, 58.56000000, 11.71000000, 70.27000000),
(3758, 609, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(3759, 610, NULL, 969798, NULL, 'Manchon égal Ø32mm', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 3.00000000, NULL, 24.00000000, 4.80000000, 0.00000000, 0.00000000, 28.80000000, 1, NULL, NULL, 0, 2.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.00000000, 24.00000000, 4.80000000, 28.80000000),
(3760, 610, NULL, 969796, NULL, 'Manchon égal Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 2.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 1, NULL, NULL, 0, 1.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.00000000, 16.00000000, 3.20000000, 19.20000000),
(3761, 610, NULL, 969812, NULL, 'Coude égal 45° Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 2.00000000, NULL, 8.00000000, 1.60000000, 0.00000000, 0.00000000, 9.60000000, 1, NULL, NULL, 0, 1.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.00000000, 8.00000000, 1.60000000, 9.60000000),
(3762, 610, NULL, 969797, NULL, 'Manchon égal Ø25mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 2.00000000, NULL, 8.00000000, 1.60000000, 0.00000000, 0.00000000, 9.60000000, 1, NULL, NULL, 0, 1.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.00000000, 8.00000000, 1.60000000, 9.60000000),
(3763, 610, NULL, 969857, NULL, 'Col de cygne Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.00000000, NULL, 42.00000000, 8.40000000, 0.00000000, 0.00000000, 50.40000000, 1, NULL, NULL, 0, 12.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.00000000, 42.00000000, 8.40000000, 50.40000000),
(3764, 610, NULL, 969992, NULL, 'Colle polymère de soudure 1 litre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 46.00000000, NULL, 46.00000000, 9.20000000, 0.00000000, 0.00000000, 55.20000000, 1, NULL, NULL, 0, 26.61000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 46.00000000, 46.00000000, 9.20000000, 55.20000000),
(3765, 610, NULL, 969879, NULL, 'Manchon taraudé Ø20mm G1/2\'\'', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.00000000, NULL, 10.00000000, 2.00000000, 0.00000000, 0.00000000, 12.00000000, 1, NULL, NULL, 0, 6.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.00000000, 10.00000000, 2.00000000, 12.00000000),
(3766, 610, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.00000000, NULL, 1.00000000, 0.20000000, 0.00000000, 0.00000000, 1.20000000, 1, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.00000000, 1.00000000, 0.20000000, 1.20000000),
(3767, 610, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.00000000, NULL, 3.00000000, 0.60000000, 0.00000000, 0.00000000, 3.60000000, 1, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.00000000, 3.00000000, 0.60000000, 3.60000000),
(3768, 610, NULL, 966892, NULL, 'Bouchon M. cylindrique G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.84000000, NULL, 0.84000000, 0.17000000, 0.00000000, 0.00000000, 1.01000000, 1, NULL, NULL, 0, 0.42000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.84000000, 0.84000000, 0.17000000, 1.01000000),
(3769, 610, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.97000000, NULL, 24.97000000, 4.99000000, 0.00000000, 0.00000000, 29.96000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.97000000, 24.97000000, 4.99000000, 29.96000000),
(3770, 610, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.12000000, NULL, 2.24000000, 0.45000000, 0.00000000, 0.00000000, 2.69000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 2.24000000, 0.45000000, 2.69000000),
(3771, 610, NULL, 969788, NULL, 'Tube rigide Ø20mm ? barre de 4m', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 1, NULL, NULL, 0, 2.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.00000000, 16.00000000, 3.20000000, 19.20000000),
(3772, 610, NULL, 969789, NULL, 'Tube rigide Ø25mm ? barre de 4m', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.00000000, NULL, 24.00000000, 4.80000000, 0.00000000, 0.00000000, 28.80000000, 1, NULL, NULL, 0, 4.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.00000000, 24.00000000, 4.80000000, 28.80000000),
(3773, 610, NULL, 969790, NULL, 'Tube rigide Ø32mm ? barre de 4m', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 9.00000000, NULL, 36.00000000, 7.20000000, 0.00000000, 0.00000000, 43.20000000, 1, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.00000000, 36.00000000, 7.20000000, 43.20000000),
(3774, 610, NULL, 1223702, NULL, 'grille climatisation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(3775, 611, NULL, 1164147, NULL, 'SOCLE DE FIXATION NOIR POUR COLONNE XVU', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 41.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 27.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.00000000, 82.00000000, 16.40000000, 98.40000000),
(3776, 611, NULL, 1164126, NULL, 'ETAGE VERT A DEL POUR COLONNE XVU 24V AC', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 55.00000000, NULL, 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 55.00000000, 110.00000000, 22.00000000, 132.00000000),
(3777, 611, NULL, 1243830, NULL, 'LIYCY DIN47100 7X1 BLINDE', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 4.25000000, NULL, 255.00000000, 51.00000000, 0.00000000, 0.00000000, 306.00000000, 0, NULL, NULL, 0, 3.27000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.25000000, 255.00000000, 51.00000000, 306.00000000),
(3778, 611, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 325.00000000, NULL, 325.00000000, 65.00000000, 0.00000000, 0.00000000, 390.00000000, 0, NULL, NULL, 0, 260.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 325.00000000, 325.00000000, 65.00000000, 390.00000000),
(3779, 611, NULL, 1155943, NULL, 'BOITE 1 BOUTON TOURNANT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 52.43000000, NULL, 104.86000000, 20.97000000, 0.00000000, 0.00000000, 125.83000000, 0, NULL, NULL, 0, 25.45000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.43000000, 104.86000000, 20.97000000, 125.83000000),
(3780, 611, NULL, 1071755, NULL, 'PRESSE ETOUPE PG 11', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 3.05000000, NULL, 12.20000000, 2.44000000, 0.00000000, 0.00000000, 14.64000000, 0, NULL, NULL, 0, 1.48000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.05000000, 12.20000000, 2.44000000, 14.64000000),
(3781, 611, NULL, 1190484, NULL, 'tube iro diam 20', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.09000000, NULL, 10.90000000, 2.18000000, 0.00000000, 0.00000000, 13.08000000, 0, NULL, NULL, 0, 0.53000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.09000000, 10.90000000, 2.18000000, 13.08000000),
(3782, 612, NULL, 1243836, NULL, 'sécheur masse thermique 540 m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3050.00000000, NULL, 3050.00000000, 610.00000000, 0.00000000, 0.00000000, 3660.00000000, 0, NULL, NULL, 0, 2418.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3050.00000000, 3050.00000000, 610.00000000, 3660.00000000),
(3783, 612, NULL, 1190651, NULL, 'forfait chantier', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.02000000, NULL, 358.02000000, 71.60000000, 0.00000000, 0.00000000, 429.62000000, 0, NULL, NULL, 0, 275.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.02000000, 358.02000000, 71.60000000, 429.62000000),
(3784, 613, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3785, 613, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3786, 613, NULL, 1222070, NULL, 'avec courroie 8 bars 06316', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 168.50000000, NULL, 168.50000000, 33.70000000, 0.00000000, 0.00000000, 202.20000000, 0, NULL, NULL, 0, 117.95000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 168.50000000, 168.50000000, 33.70000000, 202.20000000),
(3787, 613, NULL, 1221462, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(3788, 613, NULL, 952662, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(3789, 613, NULL, 952661, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(3790, 613, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(3791, 613, NULL, 954273, NULL, 'purgeur filtre BEA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(3792, 614, NULL, NULL, '2 filtres reseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3793, 614, NULL, 953002, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 101.06000000, NULL, 101.06000000, 20.21000000, 0.00000000, 0.00000000, 121.27000000, 0, NULL, NULL, 0, 49.06000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 101.06000000, 101.06000000, 20.21000000, 121.27000000),
(3794, 614, NULL, 953004, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 101.06000000, NULL, 101.06000000, 20.21000000, 0.00000000, 0.00000000, 121.27000000, 0, NULL, NULL, 0, 49.06000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 101.06000000, 101.06000000, 20.21000000, 121.27000000),
(3795, 614, NULL, 1245853, NULL, 'SUBMICROFILTRE 0,01 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.30000000, NULL, 100.30000000, 20.06000000, 0.00000000, 0.00000000, 120.36000000, 0, NULL, NULL, 0, 58.11000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.30000000, 100.30000000, 20.06000000, 120.36000000),
(3796, 614, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3797, 614, NULL, NULL, '4 Maintenance L30 :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3798, 614, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(3799, 614, NULL, 1222548, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 28.40000000, NULL, 85.20000000, 17.04000000, 0.00000000, 0.00000000, 102.24000000, 0, NULL, NULL, 0, 13.79000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.40000000, 85.20000000, 17.04000000, 102.24000000),
(3800, 614, NULL, 952024, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 47.40000000, NULL, 47.40000000, 9.48000000, 0.00000000, 0.00000000, 56.88000000, 0, NULL, NULL, 0, 23.01000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 47.40000000, 47.40000000, 9.48000000, 56.88000000),
(3801, 614, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 59.69000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(3802, 614, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3803, 614, NULL, 954040, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.33000000, NULL, 79.33000000, 15.87000000, 0.00000000, 0.00000000, 95.20000000, 0, NULL, NULL, 0, 38.51000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.33000000, 79.33000000, 15.87000000, 95.20000000),
(3804, 614, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 110.72000000, NULL, 221.44000000, 44.29000000, 0.00000000, 0.00000000, 265.73000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 221.44000000, 44.29000000, 265.73000000),
(3805, 614, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3806, 615, NULL, NULL, NULL, 'Maintenance compresseur L11 :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3807, 615, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3808, 615, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(3809, 615, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3810, 615, NULL, 1179716, NULL, 'SERVICE PACKAGE  E      L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 248.10000000, NULL, 248.10000000, 49.62000000, 0.00000000, 0.00000000, 297.72000000, 0, NULL, NULL, 0, 148.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 248.10000000, 248.10000000, 49.62000000, 297.72000000),
(3811, 615, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(3812, 615, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.58000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(3813, 615, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(3814, 615, NULL, NULL, NULL, 'Maintenance filtres réseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3815, 615, NULL, 953167, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(3816, 615, NULL, 953164, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(3817, 615, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3818, 615, NULL, NULL, NULL, 'Maintenance separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3819, 615, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(3820, 615, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3821, 616, NULL, 1222641, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3822, 616, NULL, 1222642, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3823, 616, NULL, 1179622, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(3824, 616, NULL, 1186446, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(3825, 616, NULL, 959168, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(3826, 616, NULL, 1222599, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.58000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(3827, 617, NULL, 944325, NULL, 'compresseur rotatif à vis librifiees à vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -26460.00000000, NULL, -26460.00000000, -5292.00000000, 0.00000000, 0.00000000, -31752.00000000, 0, NULL, NULL, 0, 21000.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -26460.00000000, -26460.00000000, -5292.00000000, -31752.00000000),
(3830, 618, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(3831, 618, NULL, 952863, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.28000000, NULL, 118.28000000, 23.66000000, 0.00000000, 0.00000000, 141.94000000, 0, NULL, NULL, 0, 57.42000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.28000000, 118.28000000, 23.66000000, 141.94000000),
(3832, 618, NULL, 952864, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.28000000, NULL, 118.28000000, 23.66000000, 0.00000000, 0.00000000, 141.94000000, 0, NULL, NULL, 0, 57.42000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.28000000, 118.28000000, 23.66000000, 141.94000000),
(3833, 618, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(3834, 618, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3835, 618, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(3836, 618, NULL, 1221466, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.36000000, NULL, 214.36000000, 42.87000000, 0.00000000, 0.00000000, 257.23000000, 0, NULL, NULL, 0, 104.06000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.36000000, 214.36000000, 42.87000000, 257.23000000),
(3837, 618, NULL, 952690, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 215.47000000, NULL, 215.47000000, 43.09000000, 0.00000000, 0.00000000, 258.56000000, 0, NULL, NULL, 0, 104.60000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 215.47000000, 215.47000000, 43.09000000, 258.56000000),
(3838, 618, NULL, NULL, NULL, 'Maintenance compresseur :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3839, 618, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3840, 618, NULL, NULL, NULL, 'Maintenance separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3841, 618, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3842, 618, NULL, NULL, NULL, 'Maintenance filtres réseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3845, 618, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3846, 619, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3847, 619, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3848, 619, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 277.00000000, NULL, 554.00000000, 110.80000000, 0.00000000, 0.00000000, 664.80000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 554.00000000, 110.80000000, 664.80000000),
(3849, 619, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(3850, 619, NULL, 1179663, NULL, 'SEPARATOR KIT D  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 912.90000000, NULL, 912.90000000, 182.58000000, 0.00000000, 0.00000000, 1095.48000000, 0, NULL, NULL, 0, 503.79000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 912.90000000, 912.90000000, 182.58000000, 1095.48000000),
(3851, 619, NULL, 1179733, NULL, 'SERVICE PACKAGE  E          L55-L75 (A)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 849.30000000, NULL, 849.30000000, 169.86000000, 0.00000000, 0.00000000, 1019.16000000, 0, NULL, NULL, 0, 349.06000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 849.30000000, 849.30000000, 169.86000000, 1019.16000000),
(3852, 620, NULL, NULL, '1 Remplacement séparateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3853, 620, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(3854, 620, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 63, 0, 0, NULL, 0.97000000, NULL, 61.11000000, 12.22000000, 0.00000000, 0.00000000, 73.33000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 61.11000000, 12.22000000, 73.33000000),
(3855, 620, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 62.00000000, NULL, 62.00000000, 12.40000000, 0.00000000, 0.00000000, 74.40000000, 1, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 62.00000000, 62.00000000, 12.40000000, 74.40000000),
(3856, 620, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3857, 620, NULL, NULL, '2 Sous garantie pour compresseur SK22 :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3858, 620, NULL, 1221724, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 81.33000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 39.48000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.33000000, 0.00000000, 0.00000000, 0.00000000),
(3859, 620, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3860, 621, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(3861, 621, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3862, 621, NULL, 1222603, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 15.64000000, NULL, 31.28000000, 6.26000000, 0.00000000, 0.00000000, 37.54000000, 0, NULL, NULL, 0, 7.82000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.64000000, 31.28000000, 6.26000000, 37.54000000),
(3863, 621, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(3864, 622, NULL, 971008, NULL, 'About femelle standard ISO B 6 G1/4', 20.000, '', 0.000, '0', 0.000, '0', 200, 0, 0, NULL, 1.59000000, NULL, 318.00000000, 63.60000000, 0.00000000, 0.00000000, 381.60000000, 1, NULL, NULL, 0, 0.99000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.59000000, 318.00000000, 63.60000000, 381.60000000),
(3865, 622, NULL, 972590, NULL, 'Raccord droit mâle G1/4 Ø10mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 200, 0, 0, NULL, 1.41000000, NULL, 282.00000000, 56.40000000, 0.00000000, 0.00000000, 338.40000000, 1, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.41000000, 282.00000000, 56.40000000, 338.40000000),
(3866, 622, NULL, 972162, NULL, 'Tube polyamide Rilsan incolore 8x10 25m', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 49.30000000, NULL, 98.60000000, 19.72000000, 0.00000000, 0.00000000, 118.32000000, 1, NULL, NULL, 0, 34.19000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 49.30000000, 98.60000000, 19.72000000, 118.32000000),
(3867, 623, NULL, 1222163, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(3868, 623, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(3869, 623, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 87, 0, 0, NULL, 0.97000000, NULL, 84.39000000, 16.88000000, 0.00000000, 0.00000000, 101.27000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 84.39000000, 16.88000000, 101.27000000),
(3870, 624, NULL, NULL, '1 Remplacement des cartouches réseaux et séparateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3871, 624, NULL, 1221463, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.45000000, NULL, 156.45000000, 31.29000000, 0.00000000, 0.00000000, 187.74000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.45000000, 156.45000000, 31.29000000, 187.74000000),
(3872, 624, NULL, 952658, NULL, 'cartouche grade ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(3873, 624, NULL, 952684, NULL, 'cartouche grade rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(3874, 624, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 275.00000000, NULL, 275.00000000, 55.00000000, 0.00000000, 0.00000000, 330.00000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 275.00000000, 275.00000000, 55.00000000, 330.00000000),
(3875, 624, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3876, 624, NULL, NULL, '2 Au Choix sur votre cuve : purgeur capacitif BEKO ou purgeur electropiloté HDA :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3877, 624, NULL, 1243897, NULL, 'BEKOMAT 33U', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.00000000, NULL, 286.00000000, 57.20000000, 0.00000000, 0.00000000, 343.20000000, 0, NULL, NULL, 0, 214.52000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.00000000, 286.00000000, 57.20000000, 343.20000000),
(3878, 625, NULL, NULL, '1 Maintenance L07RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3879, 625, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3880, 625, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3881, 625, NULL, 1179717, NULL, 'MAJOR KIT E               L07 - L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 251.70000000, NULL, 251.70000000, 50.34000000, 0.00000000, 0.00000000, 302.04000000, 0, NULL, NULL, 0, 131.98000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 251.70000000, 251.70000000, 50.34000000, 302.04000000),
(3882, 625, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(3883, 625, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(3884, 625, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.00000000, NULL, 77.00000000, 15.40000000, 0.00000000, 0.00000000, 92.40000000, 0, NULL, NULL, 0, 47.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.00000000, 77.00000000, 15.40000000, 92.40000000),
(3885, 625, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.13000000, NULL, 34.26000000, 6.85000000, 0.00000000, 0.00000000, 41.11000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 34.26000000, 6.85000000, 41.11000000),
(3886, 625, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3887, 625, NULL, NULL, '3 filtres reseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3888, 625, NULL, 952662, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(3889, 625, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3890, 626, NULL, 952140, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(3891, 626, NULL, 954045, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(3892, 626, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(3893, 626, NULL, 1222593, NULL, 'courroies_optibelt', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 14.29000000, NULL, 42.87000000, 8.57000000, 0.00000000, 0.00000000, 51.44000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 42.87000000, 8.57000000, 51.44000000),
(3894, 626, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3895, 626, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3896, 626, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(3897, 627, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3898, 627, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3899, 627, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(3900, 627, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(3901, 627, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(3902, 627, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(3903, 627, NULL, 1231773, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 20.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 40.00000000, 8.00000000, 48.00000000),
(3904, 627, NULL, 952661, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(3905, 628, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(3906, 628, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(3907, 628, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(3908, 628, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.00000000, NULL, 22.00000000, 4.40000000, 0.00000000, 0.00000000, 26.40000000, 1, NULL, NULL, 0, 22.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.00000000, 22.00000000, 4.40000000, 26.40000000),
(3909, 629, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 846.85000000, NULL, 846.85000000, 169.37000000, 0.00000000, 0.00000000, 1016.22000000, 0, NULL, NULL, 0, 648.97000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 846.85000000, 846.85000000, 169.37000000, 1016.22000000),
(3910, 629, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement<br />\r\n1/2 journ&eacute;e &agrave; deux techniciens', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 744.59000000, NULL, 744.59000000, 148.92000000, 0.00000000, 0.00000000, 893.51000000, 0, NULL, NULL, 0, 534.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 744.59000000, 744.59000000, 148.92000000, 893.51000000),
(3911, 629, NULL, 1223702, NULL, 'raccordement en souple&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 198.56000000, NULL, 198.56000000, 39.71000000, 0.00000000, 0.00000000, 238.27000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 198.56000000, 198.56000000, 39.71000000, 238.27000000),
(3912, 630, NULL, 951716, NULL, '710x575', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 15.29000000, NULL, 30.58000000, 6.12000000, 0.00000000, 0.00000000, 36.70000000, 0, NULL, NULL, 0, 7.45000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.29000000, 30.58000000, 6.12000000, 36.70000000),
(3913, 630, NULL, 955074, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 129.96000000, NULL, 129.96000000, 25.99000000, 0.00000000, 0.00000000, 155.95000000, 0, NULL, NULL, 0, 63.09000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 129.96000000, 129.96000000, 25.99000000, 155.95000000),
(3914, 630, NULL, 951885, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.90000000, NULL, 27.80000000, 5.56000000, 0.00000000, 0.00000000, 33.36000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.90000000, 27.80000000, 5.56000000, 33.36000000),
(3915, 630, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(3916, 631, NULL, 952405, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 133.83000000, NULL, 133.83000000, 26.77000000, 0.00000000, 0.00000000, 160.60000000, 0, NULL, NULL, 0, 64.97000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 133.83000000, 133.83000000, 26.77000000, 160.60000000),
(3917, 631, NULL, 955091, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 259.64000000, NULL, 259.64000000, 51.93000000, 0.00000000, 0.00000000, 311.57000000, 0, NULL, NULL, 0, 126.04000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 259.64000000, 259.64000000, 51.93000000, 311.57000000),
(3918, 631, NULL, 954112, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 171.78000000, NULL, 171.78000000, 34.36000000, 0.00000000, 0.00000000, 206.14000000, 0, NULL, NULL, 0, 83.39000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 171.78000000, 171.78000000, 34.36000000, 206.14000000),
(3919, 631, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3920, 631, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3921, 631, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 110.72000000, NULL, 221.44000000, 44.29000000, 0.00000000, 0.00000000, 265.73000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 221.44000000, 44.29000000, 265.73000000),
(3926, 632, NULL, NULL, NULL, 'Maintenance L45RS :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3927, 632, NULL, 1231581, NULL, 'kit adaptable ck2140-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.81000000, NULL, 156.81000000, 31.36000000, 0.00000000, 0.00000000, 188.17000000, 0, NULL, NULL, 0, 73.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.81000000, 156.81000000, 31.36000000, 188.17000000),
(3928, 632, NULL, 1231582, NULL, 'separateur ck4140-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 119.67000000, NULL, 119.67000000, 23.93000000, 0.00000000, 0.00000000, 143.60000000, 0, NULL, NULL, 0, 55.71000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 119.67000000, 119.67000000, 23.93000000, 143.60000000),
(3929, 632, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.61000000, NULL, 109.61000000, 21.92000000, 0.00000000, 0.00000000, 131.53000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.61000000, 109.61000000, 21.92000000, 131.53000000),
(3930, 632, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 407.88000000, NULL, 407.88000000, 81.58000000, 0.00000000, 0.00000000, 489.46000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.88000000, 407.88000000, 81.58000000, 489.46000000),
(3931, 632, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3932, 632, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3933, 632, NULL, NULL, NULL, 'Maintenance separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3934, 632, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 197.66000000, NULL, 197.66000000, 39.53000000, 0.00000000, 0.00000000, 237.19000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 197.66000000, 197.66000000, 39.53000000, 237.19000000),
(3935, 632, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3936, 633, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 450.67000000, NULL, 450.67000000, 90.13000000, 0.00000000, 0.00000000, 540.80000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 450.67000000, 450.67000000, 90.13000000, 540.80000000),
(3937, 633, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 486.88000000, NULL, 486.88000000, 97.38000000, 0.00000000, 0.00000000, 584.26000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 486.88000000, 486.88000000, 97.38000000, 584.26000000),
(3938, 633, NULL, 1230990, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 453.97000000, NULL, 453.97000000, 90.79000000, 0.00000000, 0.00000000, 544.76000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 453.97000000, 453.97000000, 90.79000000, 544.76000000),
(3939, 634, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 538.00000000, NULL, 538.00000000, 107.60000000, 0.00000000, 0.00000000, 645.60000000, 0, NULL, NULL, 0, 379.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 538.00000000, 538.00000000, 107.60000000, 645.60000000),
(3940, 635, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(3941, 635, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(3942, 635, NULL, 1168567, NULL, 'dilatoflex vulcanise nbr avec renfort interne en nylon 1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.81000000, NULL, 27.81000000, 5.56000000, 0.00000000, 0.00000000, 33.37000000, 0, NULL, NULL, 0, 13.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.81000000, 27.81000000, 5.56000000, 33.37000000),
(3943, 636, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(3944, 636, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 38, 0, 0, NULL, 0.97000000, NULL, 36.86000000, 7.37000000, 0.00000000, 0.00000000, 44.23000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 36.86000000, 7.37000000, 44.23000000),
(3945, 636, NULL, 1176433, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.80000000, NULL, 65.80000000, 13.16000000, 0.00000000, 0.00000000, 78.96000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.80000000, 65.80000000, 13.16000000, 78.96000000),
(3946, 637, NULL, NULL, NULL, 'filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3947, 637, NULL, 1222114, NULL, 'MICRO FILTRE 1 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.60000000, NULL, 102.60000000, 20.52000000, 0.00000000, 0.00000000, 123.12000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.60000000, 102.60000000, 20.52000000, 123.12000000),
(3948, 637, NULL, 1222115, NULL, 'SUBMICROFILTRE 0,01 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.60000000, NULL, 102.60000000, 20.52000000, 0.00000000, 0.00000000, 123.12000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.60000000, 102.60000000, 20.52000000, 123.12000000),
(3949, 637, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3950, 637, NULL, NULL, NULL, 'Maintenance SIlpack 10', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3951, 637, NULL, 1190374, NULL, 'Forfait intervention ZONE A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.50000000, NULL, 199.50000000, 39.90000000, 0.00000000, 0.00000000, 239.40000000, 0, NULL, NULL, 0, 199.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.50000000, 199.50000000, 39.90000000, 239.40000000),
(3952, 637, NULL, 1223587, NULL, 'SA16056<br />\r\nSA19332<br />\r\nSA19333', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.41000000, NULL, 33.41000000, 6.68000000, 0.00000000, 0.00000000, 40.09000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.41000000, 33.41000000, 6.68000000, 40.09000000),
(3953, 637, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(3954, 637, NULL, 1223588, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 38.08000000, NULL, 76.16000000, 15.23000000, 0.00000000, 0.00000000, 91.39000000, 0, NULL, NULL, 0, 19.04000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.08000000, 76.16000000, 15.23000000, 91.39000000),
(3955, 637, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3956, 637, NULL, NULL, NULL, 'Maintenance Sullair trek30HH', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3957, 637, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(3958, 637, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(3959, 637, NULL, 1221723, NULL, 'séparateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 89.90000000, NULL, 89.90000000, 17.98000000, 0.00000000, 0.00000000, 107.88000000, 0, NULL, NULL, 0, 43.64000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 89.90000000, 89.90000000, 17.98000000, 107.88000000),
(3960, 637, NULL, 1223589, NULL, '02250087-420', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.64000000, NULL, 17.64000000, 3.53000000, 0.00000000, 0.00000000, 21.17000000, 0, NULL, NULL, 0, 8.82000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.64000000, 17.64000000, 3.53000000, 21.17000000),
(3961, 637, NULL, 1221788, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.84000000, NULL, 24.84000000, 4.97000000, 0.00000000, 0.00000000, 29.81000000, 0, NULL, NULL, 0, 12.06000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.84000000, 24.84000000, 4.97000000, 29.81000000),
(3962, 637, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3963, 638, NULL, 1190357, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 515.00000000, NULL, 515.00000000, 103.00000000, 0.00000000, 0.00000000, 618.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 515.00000000, 515.00000000, 103.00000000, 618.00000000),
(3964, 639, NULL, 1245875, NULL, 'DIST.CDE PNEU. 1/8\" 3/2 NF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.50000000, NULL, 67.50000000, 13.50000000, 0.00000000, 0.00000000, 81.00000000, 0, NULL, NULL, 0, 30.37000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.50000000, 67.50000000, 13.50000000, 81.00000000),
(3965, 639, NULL, 1230660, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(3966, 640, NULL, NULL, NULL, 'VALORISATION D&#39;un Volume CEE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1874.25000000, NULL, 1874.25000000, 374.85000000, 0.00000000, 0.00000000, 2249.10000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1874.25000000, 1874.25000000, 374.85000000, 2249.10000000),
(3967, 641, NULL, 969789, NULL, 'Tube rigide Ø25mm ? barre de 4m', 20.000, '', 0.000, '0', 0.000, '0', 36, 0, 0, NULL, 5.81000000, NULL, 209.16000000, 41.83000000, 0.00000000, 0.00000000, 250.99000000, 0, NULL, NULL, 0, 4.00800000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.81000000, 209.16000000, 41.83000000, 250.99000000),
(3968, 641, NULL, 969857, NULL, 'Col de cygne Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.63000000, NULL, 55.89000000, 11.18000000, 0.00000000, 0.00000000, 67.07000000, 0, NULL, NULL, 0, 12.84600000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.63000000, 55.89000000, 11.18000000, 67.07000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(3969, 641, NULL, 969832, NULL, 'Té réduit au centre Ø25mm ? Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.61000000, NULL, 18.44000000, 3.69000000, 0.00000000, 0.00000000, 22.13000000, 0, NULL, NULL, 0, 3.18000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.61000000, 18.44000000, 3.69000000, 22.13000000),
(3970, 641, NULL, 969880, NULL, 'Manchon taraudé Ø25mm G3/4\'\'', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.88000000, NULL, 10.88000000, 2.18000000, 0.00000000, 0.00000000, 13.06000000, 0, NULL, NULL, 0, 7.50600000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.88000000, 10.88000000, 2.18000000, 13.06000000),
(3971, 641, NULL, 969824, NULL, 'Té égal Ø25mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.05000000, NULL, 4.05000000, 0.81000000, 0.00000000, 0.00000000, 4.86000000, 0, NULL, NULL, 0, 2.79600000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.05000000, 4.05000000, 0.81000000, 4.86000000),
(3972, 641, NULL, 969797, NULL, 'Manchon égal Ø25mm', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.31000000, NULL, 23.10000000, 4.62000000, 0.00000000, 0.00000000, 27.72000000, 0, NULL, NULL, 0, 1.59000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.31000000, 23.10000000, 4.62000000, 27.72000000),
(3973, 641, NULL, 969805, NULL, 'Coude égal 90° Ø25mm', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.86000000, NULL, 28.60000000, 5.72000000, 0.00000000, 0.00000000, 34.32000000, 0, NULL, NULL, 0, 1.97400000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.86000000, 28.60000000, 5.72000000, 34.32000000),
(3974, 641, NULL, 969813, NULL, 'Coude égal 45° Ø25mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 2.86000000, NULL, 11.44000000, 2.29000000, 0.00000000, 0.00000000, 13.73000000, 0, NULL, NULL, 0, 1.97400000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.86000000, 11.44000000, 2.29000000, 13.73000000),
(3975, 641, NULL, 970003, NULL, 'Collier coulissant fermeture automatique Ø25 insert M6', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 1.91000000, NULL, 76.40000000, 15.28000000, 0.00000000, 0.00000000, 91.68000000, 0, NULL, NULL, 0, 1.32000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.91000000, 76.40000000, 15.28000000, 91.68000000),
(3976, 641, NULL, 969991, NULL, 'Colle polymère de soudure 0.250 litre', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.57000000, NULL, 35.14000000, 7.03000000, 0.00000000, 0.00000000, 42.17000000, 0, NULL, NULL, 0, 12.11400000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.57000000, 35.14000000, 7.03000000, 42.17000000),
(3977, 641, NULL, 969879, NULL, 'Manchon taraudé Ø20mm G1/2\'\'', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 9.32000000, NULL, 37.28000000, 7.46000000, 0.00000000, 0.00000000, 44.74000000, 0, NULL, NULL, 0, 6.42600000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.32000000, 37.28000000, 7.46000000, 44.74000000),
(3978, 641, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 1.22000000, NULL, 14.64000000, 2.93000000, 0.00000000, 0.00000000, 17.57000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.22000000, 14.64000000, 2.93000000, 17.57000000),
(3979, 641, NULL, 966719, NULL, 'Raccord Y femelle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.09000000, NULL, 16.36000000, 3.27000000, 0.00000000, 0.00000000, 19.63000000, 0, NULL, NULL, 0, 2.35000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.09000000, 16.36000000, 3.27000000, 19.63000000),
(3980, 641, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.35000000, NULL, 17.40000000, 3.48000000, 0.00000000, 0.00000000, 20.88000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.35000000, 17.40000000, 3.48000000, 20.88000000),
(3981, 641, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 15.66000000, NULL, 125.28000000, 25.06000000, 0.00000000, 0.00000000, 150.34000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.66000000, 125.28000000, 25.06000000, 150.34000000),
(3982, 641, NULL, 969788, NULL, 'Tube rigide Ø20mm ? barre de 4m', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 3.78000000, NULL, 45.36000000, 9.07000000, 0.00000000, 0.00000000, 54.43000000, 0, NULL, NULL, 0, 2.61000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.78000000, 45.36000000, 9.07000000, 54.43000000),
(3983, 641, NULL, 969796, NULL, 'Manchon égal Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.03000000, NULL, 10.15000000, 2.03000000, 0.00000000, 0.00000000, 12.18000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.03000000, 10.15000000, 2.03000000, 12.18000000),
(3984, 641, NULL, 969804, NULL, 'Coude égal 90° Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 2.03000000, NULL, 16.24000000, 3.25000000, 0.00000000, 0.00000000, 19.49000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.03000000, 16.24000000, 3.25000000, 19.49000000),
(3985, 641, NULL, 969812, NULL, 'Coude égal 45° Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 2.03000000, NULL, 16.24000000, 3.25000000, 0.00000000, 0.00000000, 19.49000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.03000000, 16.24000000, 3.25000000, 19.49000000),
(3986, 641, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 0.97000000, NULL, 7.76000000, 1.55000000, 0.00000000, 0.00000000, 9.31000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 7.76000000, 1.55000000, 9.31000000),
(3987, 641, NULL, NULL, NULL, '<p><u><strong>Fourniture pour reseau air comprim&eacute; en GIRAIR</strong></u></p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3988, 642, NULL, NULL, '1 Maintenance L15 :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3989, 642, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(3990, 642, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(3991, 642, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 16.25000000, NULL, 48.75000000, 9.75000000, 0.00000000, 0.00000000, 58.50000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 48.75000000, 9.75000000, 58.50000000),
(3992, 642, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(3993, 642, NULL, 1178286, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 310.60000000, NULL, 310.60000000, 62.12000000, 0.00000000, 0.00000000, 372.72000000, 0, NULL, NULL, 0, 191.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 310.60000000, 310.60000000, 62.12000000, 372.72000000),
(3994, 642, NULL, 1179719, NULL, 'MAJOR KIT E                     L 15- 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 178.40000000, NULL, 178.40000000, 35.68000000, 0.00000000, 0.00000000, 214.08000000, 0, NULL, NULL, 0, 107.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 178.40000000, 178.40000000, 35.68000000, 214.08000000),
(3995, 642, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3996, 642, NULL, NULL, '2 filtres reseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3997, 642, NULL, 954013, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.93000000, NULL, 99.93000000, 19.99000000, 0.00000000, 0.00000000, 119.92000000, 0, NULL, NULL, 0, 48.51000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.93000000, 99.93000000, 19.99000000, 119.92000000),
(3998, 642, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(3999, 642, NULL, NULL, '3 Separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4000, 642, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(4001, 642, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4002, 642, NULL, NULL, '4 Maintenance secheur alumine HL200 :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4003, 642, NULL, 952487, NULL, 'alumine 4,5 à 5,5 mm poids au kg', 20.000, '', 0.000, '0', 0.000, '0', 80, 0, 0, NULL, 5.74000000, NULL, 459.20000000, 91.84000000, 0.00000000, 0.00000000, 551.04000000, 0, NULL, NULL, 0, 2.79000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.74000000, 459.20000000, 91.84000000, 551.04000000),
(4004, 642, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4005, 642, NULL, 1231706, NULL, 'recyclage alumine au kg', 20.000, '', 0.000, '0', 0.000, '0', 80, 0, 0, NULL, 0.65000000, NULL, 52.00000000, 10.40000000, 0.00000000, 0.00000000, 62.40000000, 0, NULL, NULL, 0, 0.45000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.65000000, 52.00000000, 10.40000000, 62.40000000),
(4006, 642, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4007, 642, NULL, NULL, '5 maintenance hv04 :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4008, 642, NULL, 1180048, NULL, 'KIT OIL CHANGE  VERTICAL CONCEPT MK2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 178.40000000, NULL, 178.40000000, 35.68000000, 0.00000000, 0.00000000, 214.08000000, 0, NULL, NULL, 0, 101.64000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 178.40000000, 178.40000000, 35.68000000, 214.08000000),
(4009, 642, NULL, 1180449, NULL, 'HUILE  HYDROVANE  COMP PALETTE BD 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 107.50000000, NULL, 107.50000000, 21.50000000, 0.00000000, 0.00000000, 129.00000000, 0, NULL, NULL, 0, 64.50000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 107.50000000, 107.50000000, 21.50000000, 129.00000000),
(4010, 642, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(4011, 642, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4012, 642, NULL, NULL, '6 Maintenance des surpresseurs PEDRO GIL :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4013, 642, NULL, 1223574, NULL, 'cartouche de filtre', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 115.98000000, NULL, 231.96000000, 46.39000000, 0.00000000, 0.00000000, 278.35000000, 0, NULL, NULL, 0, 65.91000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 115.98000000, 231.96000000, 46.39000000, 278.35000000),
(4014, 642, NULL, 1223576, NULL, 'filtre acoustique', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 469.95000000, NULL, 939.90000000, 187.98000000, 0.00000000, 0.00000000, 1127.88000000, 0, NULL, NULL, 0, 266.98000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 469.95000000, 939.90000000, 187.98000000, 1127.88000000),
(4015, 642, NULL, 1223573, NULL, 'joint torique pour viseur d\'huile et bouchon', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 17.10000000, NULL, 273.60000000, 54.72000000, 0.00000000, 0.00000000, 328.32000000, 0, NULL, NULL, 0, 9.15000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.10000000, 273.60000000, 54.72000000, 328.32000000),
(4016, 642, NULL, 1222188, NULL, 'Bidon 5L FLUIDm220\"\" - prix du bidon\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 55.92000000, NULL, 55.92000000, 11.18000000, 0.00000000, 0.00000000, 67.10000000, 0, NULL, NULL, 0, 27.15000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 55.92000000, 55.92000000, 11.18000000, 67.10000000),
(4017, 642, NULL, 1222578, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 18.66000000, NULL, 74.64000000, 14.93000000, 0.00000000, 0.00000000, 89.57000000, 0, NULL, NULL, 0, 9.06000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.66000000, 74.64000000, 14.93000000, 89.57000000),
(4018, 642, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4019, 642, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4020, 643, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4021, 643, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4022, 643, NULL, 955044, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.39000000, NULL, 86.39000000, 17.28000000, 0.00000000, 0.00000000, 103.67000000, 0, NULL, NULL, 0, 41.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.39000000, 86.39000000, 17.28000000, 103.67000000),
(4023, 643, NULL, 1222594, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(4024, 643, NULL, 954039, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.57000000, NULL, 11.57000000, 2.31000000, 0.00000000, 0.00000000, 13.88000000, 0, NULL, NULL, 0, 5.62000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.57000000, 11.57000000, 2.31000000, 13.88000000),
(4025, 643, NULL, 952140, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(4026, 643, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(4027, 644, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4028, 644, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4029, 644, NULL, 1222593, NULL, 'courroies_optibelt', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(4030, 644, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(4031, 644, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(4032, 644, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(4033, 644, NULL, 1179716, NULL, 'SERVICE PACKAGE  E      L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 248.10000000, NULL, 248.10000000, 49.62000000, 0.00000000, 0.00000000, 297.72000000, 0, NULL, NULL, 0, 148.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 248.10000000, 248.10000000, 49.62000000, 297.72000000),
(4034, 645, NULL, NULL, NULL, 'Acompte', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50000.00000000, NULL, 50000.00000000, 10000.00000000, 0.00000000, 0.00000000, 60000.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50000.00000000, 50000.00000000, 10000.00000000, 60000.00000000),
(4035, 646, NULL, 971737, NULL, 'About rectifié DN5.5 Profil ISO 6150C Acier INOX 13% de chrome mâle G1/4\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 2.50800000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.00000000, 40.00000000, 8.00000000, 48.00000000),
(4036, 646, NULL, 971741, NULL, 'About rectifié DN5.5 Profil ISO 6150C Acier INOX 13% de chrome Femelle G1/4\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 2.72400000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.00000000, 40.00000000, 8.00000000, 48.00000000),
(4037, 646, NULL, 971747, NULL, 'About rectifié DN5.5 Profil ISO 6150C Acier INOX 13% de chrome pour tuyaux Ø10mm int.', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 2.44200000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.00000000, 40.00000000, 8.00000000, 48.00000000),
(4038, 647, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(4039, 648, NULL, 1185556, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.00000000, NULL, 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 71.34000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.00000000, 96.00000000, 19.20000000, 115.20000000),
(4040, 648, NULL, 1190357, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 230.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(4041, 649, NULL, 951736, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.30000000, NULL, 24.30000000, 4.86000000, 0.00000000, 0.00000000, 29.16000000, 0, NULL, NULL, 0, 11.80000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.30000000, 24.30000000, 4.86000000, 29.16000000),
(4042, 649, NULL, 954045, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(4043, 649, NULL, 954297, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.16000000, NULL, 68.16000000, 13.63000000, 0.00000000, 0.00000000, 81.79000000, 0, NULL, NULL, 0, 33.09000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.16000000, 68.16000000, 13.63000000, 81.79000000),
(4044, 649, NULL, 952689, NULL, 'cartouche 610ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.36000000, NULL, 214.36000000, 42.87000000, 0.00000000, 0.00000000, 257.23000000, 0, NULL, NULL, 0, 104.06000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.36000000, 214.36000000, 42.87000000, 257.23000000),
(4045, 649, NULL, 952690, NULL, 'cartouche media filtrant pne610rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 215.47000000, NULL, 215.47000000, 43.09000000, 0.00000000, 0.00000000, 258.56000000, 0, NULL, NULL, 0, 104.60000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 215.47000000, 215.47000000, 43.09000000, 258.56000000),
(4046, 649, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4047, 649, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(4048, 649, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(4049, 650, NULL, 953252, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.59000000, NULL, 65.59000000, 13.12000000, 0.00000000, 0.00000000, 78.71000000, 0, NULL, NULL, 0, 31.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.59000000, 65.59000000, 13.12000000, 78.71000000),
(4050, 650, NULL, 953240, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.59000000, NULL, 65.59000000, 13.12000000, 0.00000000, 0.00000000, 78.71000000, 0, NULL, NULL, 0, 31.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.59000000, 65.59000000, 13.12000000, 78.71000000),
(4051, 650, NULL, 953228, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.59000000, NULL, 65.59000000, 13.12000000, 0.00000000, 0.00000000, 78.71000000, 0, NULL, NULL, 0, 31.84000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.59000000, 65.59000000, 13.12000000, 78.71000000),
(4052, 650, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(4053, 651, NULL, NULL, '1 Rollair 5000', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4054, 651, NULL, 951790, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 101.15000000, NULL, 101.15000000, 20.23000000, 0.00000000, 0.00000000, 121.38000000, 0, NULL, NULL, 0, 63.62000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 101.15000000, 101.15000000, 20.23000000, 121.38000000),
(4055, 651, NULL, 954138, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 29.95000000, NULL, 29.95000000, 5.99000000, 0.00000000, 0.00000000, 35.94000000, 0, NULL, NULL, 0, 18.84000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.95000000, 29.95000000, 5.99000000, 35.94000000),
(4056, 651, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.46000000, NULL, 85.46000000, 17.09000000, 0.00000000, 0.00000000, 102.55000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.46000000, 85.46000000, 17.09000000, 102.55000000),
(4057, 651, NULL, 955110, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 142.17000000, NULL, 142.17000000, 28.43000000, 0.00000000, 0.00000000, 170.60000000, 0, NULL, NULL, 0, 89.42000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 142.17000000, 142.17000000, 28.43000000, 170.60000000),
(4059, 651, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4060, 652, NULL, 1243835, NULL, 'Vanne thermostique pour L15/L18/L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 102.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 56.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.00000000, 0.00000000, 0.00000000, 0.00000000),
(4061, 653, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2020-02-20 00:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(4062, 654, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2020-02-20 00:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(4063, 655, NULL, 1190535, NULL, 'main d&#39;oeuvre &amp; tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, -63.84000000, NULL, -127.68000000, -25.54000000, 0.00000000, 0.00000000, -153.22000000, 0, NULL, NULL, 0, 63.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -63.84000000, -127.68000000, -25.54000000, -153.22000000),
(4065, 656, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 384.76000000, NULL, 384.76000000, 76.95000000, 0.00000000, 0.00000000, 461.71000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 384.76000000, 384.76000000, 76.95000000, 461.71000000),
(4066, 656, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.39000000, NULL, 4.39000000, 0.88000000, 0.00000000, 0.00000000, 5.27000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.39000000, 4.39000000, 0.88000000, 5.27000000),
(4067, 656, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 38.05000000, NULL, 38.05000000, 7.61000000, 0.00000000, 0.00000000, 45.66000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.05000000, 38.05000000, 7.61000000, 45.66000000),
(4068, 656, NULL, 951970, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.89000000, NULL, 13.89000000, 2.78000000, 0.00000000, 0.00000000, 16.67000000, 0, NULL, NULL, 0, 4.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.89000000, 13.89000000, 2.78000000, 16.67000000),
(4069, 656, NULL, 954054, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.03000000, NULL, 35.03000000, 7.01000000, 0.00000000, 0.00000000, 42.04000000, 0, NULL, NULL, 0, 17.43000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.03000000, 35.03000000, 7.01000000, 42.04000000),
(4070, 656, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 80.01000000, NULL, 80.01000000, 16.00000000, 0.00000000, 0.00000000, 96.01000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 80.01000000, 80.01000000, 16.00000000, 96.01000000),
(4071, 657, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(4072, 657, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4073, 657, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(4074, 657, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.25000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 32.50000000, 6.50000000, 39.00000000),
(4075, 658, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(4076, 658, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(4077, 658, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(4078, 659, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(4079, 659, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(4080, 659, NULL, 953527, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.28000000, NULL, 61.28000000, 12.26000000, 0.00000000, 0.00000000, 73.54000000, 0, NULL, NULL, 0, 29.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.28000000, 61.28000000, 12.26000000, 73.54000000),
(4081, 659, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4082, 659, NULL, 1176579, NULL, '2/2-SOLENOID VALVE NO 230V/50/60Hz ; 8W', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 190.00000000, NULL, 190.00000000, 38.00000000, 0.00000000, 0.00000000, 228.00000000, 0, NULL, NULL, 0, 128.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 190.00000000, 190.00000000, 38.00000000, 228.00000000),
(4083, 659, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 680.00000000, NULL, 680.00000000, 136.00000000, 0.00000000, 0.00000000, 816.00000000, 0, NULL, NULL, 0, 540.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 680.00000000, 680.00000000, 136.00000000, 816.00000000),
(4084, 660, NULL, NULL, '1 maintenance BOGE', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4085, 660, NULL, 951820, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.05000000, NULL, 12.05000000, 2.41000000, 0.00000000, 0.00000000, 14.46000000, 0, NULL, NULL, 0, 5.85000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.05000000, 12.05000000, 2.41000000, 14.46000000),
(4086, 660, NULL, 954054, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.90000000, NULL, 35.90000000, 7.18000000, 0.00000000, 0.00000000, 43.08000000, 0, NULL, NULL, 0, 17.43000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.90000000, 35.90000000, 7.18000000, 43.08000000),
(4087, 660, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(4088, 660, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4089, 660, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 360.00000000, NULL, 360.00000000, 72.00000000, 0.00000000, 0.00000000, 432.00000000, 0, NULL, NULL, 0, 260.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 360.00000000, 360.00000000, 72.00000000, 432.00000000),
(4090, 660, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(4091, 661, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(4092, 661, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 45, 0, 0, NULL, 0.97000000, NULL, 43.65000000, 8.73000000, 0.00000000, 0.00000000, 52.38000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 43.65000000, 8.73000000, 52.38000000),
(4093, 662, NULL, NULL, '1 BL N°3 du 11/04/2018', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4094, 662, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(4095, 662, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 42, 0, 0, NULL, 0.97000000, NULL, 40.74000000, 8.15000000, 0.00000000, 0.00000000, 48.89000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 40.74000000, 8.15000000, 48.89000000),
(4096, 662, NULL, NULL, NULL, 'reparation 2nd carte delcos pro', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 110.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(4097, 662, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4098, 662, NULL, NULL, '2 BL N°37 du 08/03/2018', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4099, 662, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(4100, 662, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 42, 0, 0, NULL, 0.97000000, NULL, 40.74000000, 8.15000000, 0.00000000, 0.00000000, 48.89000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 40.74000000, 8.15000000, 48.89000000),
(4101, 662, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4102, 662, NULL, NULL, '3 BL N°33 du 14/02/2018', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4103, 662, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(4104, 662, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 42, 0, 0, NULL, 0.97000000, NULL, 40.74000000, 8.15000000, 0.00000000, 0.00000000, 48.89000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 40.74000000, 8.15000000, 48.89000000),
(4105, 662, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4106, 662, NULL, NULL, '4 BL N°41 du 29/03/2018', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4107, 662, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 100, 0, NULL, 63.84000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 0.00000000, 0.00000000, 0.00000000),
(4108, 662, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 42, 100, 0, NULL, 0.97000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 0.00000000, 0.00000000, 0.00000000),
(4109, 662, NULL, 1176431, NULL, 'SPARE-ELEKTRONIK DELCOS Pro L-Serie', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 1465.90000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 903.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1465.90000000, 0.00000000, 0.00000000, 0.00000000),
(4110, 662, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4111, 663, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(4112, 663, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 92, 0, 0, NULL, 0.97000000, NULL, 89.24000000, 17.85000000, 0.00000000, 0.00000000, 107.09000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 89.24000000, 17.85000000, 107.09000000),
(4113, 663, NULL, 1177957, NULL, 'CONTROL SET            55 °C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 480.10000000, NULL, 480.10000000, 96.02000000, 0.00000000, 0.00000000, 576.12000000, 0, NULL, NULL, 0, 295.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 480.10000000, 480.10000000, 96.02000000, 576.12000000),
(4114, 664, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4115, 664, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4116, 664, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(4117, 664, NULL, 1222597, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.18000000, NULL, 34.36000000, 6.87000000, 0.00000000, 0.00000000, 41.23000000, 0, NULL, NULL, 0, 8.34000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.18000000, 34.36000000, 6.87000000, 41.23000000),
(4118, 664, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(4119, 664, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.00000000, NULL, 77.00000000, 15.40000000, 0.00000000, 0.00000000, 92.40000000, 0, NULL, NULL, 0, 47.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.00000000, 77.00000000, 15.40000000, 92.40000000),
(4120, 665, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 492.10000000, NULL, 492.10000000, 98.42000000, 0.00000000, 0.00000000, 590.52000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 492.10000000, 492.10000000, 98.42000000, 590.52000000),
(4121, 665, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4122, 665, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(4123, 665, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 397.00000000, NULL, 397.00000000, 79.40000000, 0.00000000, 0.00000000, 476.40000000, 0, NULL, NULL, 0, 202.99000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 397.00000000, 397.00000000, 79.40000000, 476.40000000),
(4124, 665, NULL, 1179664, NULL, 'SEPARATOR KIT D            L75RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1325.20000000, NULL, 1325.20000000, 265.04000000, 0.00000000, 0.00000000, 1590.24000000, 0, NULL, NULL, 0, 573.35000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1325.20000000, 1325.20000000, 265.04000000, 1590.24000000),
(4125, 665, NULL, 1179733, NULL, 'SERVICE PACKAGE  E          L55-L75 (A)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 849.30000000, NULL, 849.30000000, 169.86000000, 0.00000000, 0.00000000, 1019.16000000, 0, NULL, NULL, 0, 349.06000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 849.30000000, 849.30000000, 169.86000000, 1019.16000000),
(4126, 665, NULL, 954020, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 295.03000000, NULL, 295.03000000, 59.01000000, 0.00000000, 0.00000000, 354.04000000, 0, NULL, NULL, 0, 143.22000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 295.03000000, 295.03000000, 59.01000000, 354.04000000),
(4127, 665, NULL, 959172, NULL, 'Filter Set for ÖWAMAT 15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 373.76000000, NULL, 373.76000000, 74.75000000, 0.00000000, 0.00000000, 448.51000000, 0, NULL, NULL, 0, 194.06000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 373.76000000, 373.76000000, 74.75000000, 448.51000000),
(4128, 666, NULL, 952642, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 260.00000000, NULL, 260.00000000, 52.00000000, 0.00000000, 0.00000000, 312.00000000, 0, NULL, NULL, 0, 130.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 260.00000000, 260.00000000, 52.00000000, 312.00000000),
(4129, 666, NULL, 952641, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 260.00000000, NULL, 260.00000000, 52.00000000, 0.00000000, 0.00000000, 312.00000000, 0, NULL, NULL, 0, 130.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 260.00000000, 260.00000000, 52.00000000, 312.00000000),
(4130, 666, NULL, 958251, NULL, 'ÖWAMAT 11 oil/water separator', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 400.00000000, NULL, 400.00000000, 80.00000000, 0.00000000, 0.00000000, 480.00000000, 0, NULL, NULL, 0, 304.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 400.00000000, 400.00000000, 80.00000000, 480.00000000),
(4131, 667, NULL, NULL, '1 Partie EAU :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4132, 667, NULL, 972959, NULL, 'Enrouleur automatique &agrave; cliquet Tambour ouvert Carter acier peinture &eacute;poxy &eacute;quip&eacute; de 25 m&egrave;tres de tuyau PU polyur&eacute;thane tress&eacute; AIR/EAU &Oslash; 10x14 -20 bar maxi +50&deg;C &nbsp;-Raccordements: Entr&eacute;e: M&acirc;le G 3/8 - Sortie tuyau: M&acirc;le G 3/8 -Support fixe + flexible alimentation de 1.5m -D&eacute;bit AIR = 630 L/MN - D&eacute;bit EAU = 22 L/MN - Norme ATEX 94/9 : EX II 3 GD c X<br />\r\n&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 377.78000000, NULL, 3022.24000000, 604.45000000, 0.00000000, 0.00000000, 3626.69000000, 0, NULL, NULL, 0, 280.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.78000000, 3022.24000000, 604.45000000, 3626.69000000),
(4133, 667, NULL, 968571, NULL, 'support pivotant pour enrouleurs séries E430/E4430', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 32.43000000, NULL, 259.44000000, 51.89000000, 0.00000000, 0.00000000, 311.33000000, 0, NULL, NULL, 0, 27.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.43000000, 259.44000000, 51.89000000, 311.33000000),
(4134, 667, NULL, 1231854, NULL, 'raccord auto gardena 1/2F', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 16.10000000, NULL, 128.80000000, 25.76000000, 0.00000000, 0.00000000, 154.56000000, 0, NULL, NULL, 0, 11.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.10000000, 128.80000000, 25.76000000, 154.56000000),
(4135, 667, NULL, 966777, NULL, 'Prolongateur M/F G3/8x1/2', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 0.97000000, NULL, 7.76000000, 1.55000000, 0.00000000, 0.00000000, 9.31000000, 0, NULL, NULL, 0, 0.67000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 7.76000000, 1.55000000, 9.31000000),
(4136, 667, NULL, 972981, NULL, 'about dn9 passage libre G1/2', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 8.62000000, NULL, 68.96000000, 13.79000000, 0.00000000, 0.00000000, 82.75000000, 0, NULL, NULL, 0, 5.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.62000000, 68.96000000, 13.79000000, 82.75000000),
(4137, 667, NULL, 967720, NULL, 'Pistolet lavage gainé EPDM 1/2', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 63.09000000, NULL, 504.72000000, 100.94000000, 0.00000000, 0.00000000, 605.66000000, 0, NULL, NULL, 0, 38.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.09000000, 504.72000000, 100.94000000, 605.66000000),
(4138, 667, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4139, 667, NULL, NULL, '2 PARTIE AIR COMPRIME :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4140, 667, NULL, 1231855, NULL, 'de tuyau PU tress&eacute; AIR/ EAU &Oslash; 8x12- 20 bar +50&deg;C - Raccord tournant laiton + joints VITON- Raccordements : Entr&eacute;e M&acirc;le MG 3/8&quot; - Sortie tuyau M&acirc;le MG 1/4&quot; -Livr&eacute; avec flexible d&#39;alimentation de 1.5m -Support fixe -D&eacute;bit AIR = 320 L/MN -D&eacute;bit eau = 18 L/MN -Norme ATEX 94/9: EXII 3 GD c X<br />\r\n&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 275.27000000, NULL, 275.27000000, 55.05000000, 0.00000000, 0.00000000, 330.32000000, 0, NULL, NULL, 0, 192.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 275.27000000, 275.27000000, 55.05000000, 330.32000000),
(4141, 667, NULL, 968408, NULL, '&nbsp;Enrouleur automatique &agrave; cliquet Tambour ouvert Carter acier &eacute;quip&eacute; de 20 m&egrave;tres de tuyau PU polyur&eacute;thane tress&eacute; AIR/EAU &Oslash; 8x12 - 20 bar +50&deg;C - Raccord tournant laiton + joints VITON- Raccordements sertis en laiton nickel&eacute; : Entr&eacute;e M&acirc;le MG 3/8&quot; - Sortie tuyau M&acirc;le MG 1/4&quot; - Support fixe -Livr&eacute; avec flexible d&#39;alimentation de 1.5 m -D&eacute;bit AIR = 280 L/MN -D&eacute;bit EAU = 13 L/MN -Norme ATEX 94/9: EXII 3 GD c X', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 319.74000000, NULL, 3197.40000000, 639.48000000, 0.00000000, 0.00000000, 3836.88000000, 0, NULL, NULL, 0, 223.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 319.74000000, 3197.40000000, 639.48000000, 3836.88000000),
(4142, 667, NULL, 968571, NULL, 'support pivotant pour enrouleurs séries E430/E4430', 20.000, '', 0.000, '0', 0.000, '0', 11, 0, 0, NULL, 32.43000000, NULL, 356.73000000, 71.35000000, 0.00000000, 0.00000000, 428.08000000, 0, NULL, NULL, 0, 27.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.43000000, 356.73000000, 71.35000000, 428.08000000),
(4143, 667, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4144, 667, NULL, NULL, '3 Pour enrouleurs mobiles :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4145, 667, NULL, 968571, NULL, 'support pivotant pour enrouleurs séries E430/E4430', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 32.43000000, NULL, 129.72000000, 25.94000000, 0.00000000, 0.00000000, 155.66000000, 0, NULL, NULL, 0, 27.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.43000000, 129.72000000, 25.94000000, 155.66000000),
(4146, 667, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4147, 668, NULL, 952419, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.03000000, NULL, 12.03000000, 2.41000000, 0.00000000, 0.00000000, 14.44000000, 0, NULL, NULL, 0, 5.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.03000000, 12.03000000, 2.41000000, 14.44000000),
(4148, 668, NULL, 954118, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.67000000, NULL, 15.67000000, 3.13000000, 0.00000000, 0.00000000, 18.80000000, 0, NULL, NULL, 0, 7.61000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.67000000, 15.67000000, 3.13000000, 18.80000000),
(4149, 668, NULL, 955044, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.39000000, NULL, 86.39000000, 17.28000000, 0.00000000, 0.00000000, 103.67000000, 0, NULL, NULL, 0, 41.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.39000000, 86.39000000, 17.28000000, 103.67000000),
(4150, 668, NULL, 953167, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(4151, 668, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4152, 668, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4153, 669, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(4154, 669, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 42, 0, 0, NULL, 0.97000000, NULL, 40.74000000, 8.15000000, 0.00000000, 0.00000000, 48.89000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 40.74000000, 8.15000000, 48.89000000),
(4155, 670, NULL, NULL, '1 Filtres reseaux complets avec kit de connection :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4156, 670, NULL, 1245879, NULL, 'CF006A filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 106.00000000, NULL, 106.00000000, 21.20000000, 0.00000000, 0.00000000, 127.20000000, 0, NULL, NULL, 0, 79.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 106.00000000, 106.00000000, 21.20000000, 127.20000000),
(4157, 670, NULL, 1245880, NULL, 'CF006M filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 106.00000000, NULL, 106.00000000, 21.20000000, 0.00000000, 0.00000000, 127.20000000, 0, NULL, NULL, 0, 79.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 106.00000000, 106.00000000, 21.20000000, 127.20000000),
(4158, 670, NULL, 1245881, NULL, 'CF006S filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 106.00000000, NULL, 106.00000000, 21.20000000, 0.00000000, 0.00000000, 127.20000000, 0, NULL, NULL, 0, 79.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 106.00000000, 106.00000000, 21.20000000, 127.20000000),
(4159, 670, NULL, 1245882, NULL, 'kit deconnection CF006-012 ( joint +2xentoises et vis )', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.00000000, NULL, 60.00000000, 12.00000000, 0.00000000, 0.00000000, 72.00000000, 0, NULL, NULL, 0, 25.35000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 60.00000000, 12.00000000, 72.00000000),
(4160, 670, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4161, 670, NULL, NULL, '2 Cartouches pour filtres CTA NF004', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4162, 670, NULL, 1245876, NULL, 'cartouche 05050m pour filtre NF004M', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 45.00000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 29.25000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.00000000, 45.00000000, 9.00000000, 54.00000000),
(4163, 670, NULL, 1245877, NULL, 'cartouche 05050S pour filtre NF004S', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 45.00000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 29.25000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.00000000, 45.00000000, 9.00000000, 54.00000000),
(4164, 670, NULL, 1245878, NULL, 'cartouche 05050A pour filtre NF004A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 45.00000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 29.25000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.00000000, 45.00000000, 9.00000000, 54.00000000),
(4165, 670, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4166, 670, NULL, 1245883, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 17.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(4167, 671, NULL, 1190535, NULL, 'main d&#39;oeuvre &amp; tp de deplacement', 0.000, '', 0.000, '0', 0.000, '0', 6.5, 0, 0, NULL, 40.00000000, NULL, 260.00000000, 0.00000000, 0.00000000, 0.00000000, 260.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.00000000, 260.00000000, 0.00000000, 260.00000000),
(4168, 671, NULL, 1190334, NULL, 'frais km', 0.000, '', 0.000, '0', 0.000, '0', 356, 0, 0, NULL, 0.60000000, NULL, 213.60000000, 0.00000000, 0.00000000, 0.00000000, 213.60000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.60000000, 213.60000000, 0.00000000, 213.60000000),
(4169, 672, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4170, 672, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4171, 672, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(4172, 672, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(4173, 672, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.00000000, NULL, 113.00000000, 22.60000000, 0.00000000, 0.00000000, 135.60000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.00000000, 113.00000000, 22.60000000, 135.60000000),
(4174, 672, NULL, 1231786, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.00000000, NULL, 60.00000000, 12.00000000, 0.00000000, 0.00000000, 72.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 60.00000000, 12.00000000, 72.00000000),
(4175, 672, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(4176, 673, NULL, NULL, NULL, 'Maintenance GA90', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4177, 673, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4178, 673, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4179, 673, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(4180, 673, NULL, 954034, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 24.67000000, NULL, 49.34000000, 9.87000000, 0.00000000, 0.00000000, 59.21000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 49.34000000, 9.87000000, 59.21000000),
(4181, 673, NULL, 952269, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 137.42000000, NULL, 137.42000000, 27.48000000, 0.00000000, 0.00000000, 164.90000000, 0, NULL, NULL, 0, 66.71000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 137.42000000, 137.42000000, 27.48000000, 164.90000000),
(4182, 673, NULL, 954983, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 252.74000000, NULL, 252.74000000, 50.55000000, 0.00000000, 0.00000000, 303.29000000, 0, NULL, NULL, 0, 122.69000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 252.74000000, 252.74000000, 50.55000000, 303.29000000),
(4183, 673, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4184, 673, NULL, NULL, NULL, 'Filtre reseau :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4185, 673, NULL, 1243825, NULL, 'cartouche  filtre F280', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 248.00000000, NULL, 248.00000000, 49.60000000, 0.00000000, 0.00000000, 297.60000000, 0, NULL, NULL, 0, 130.35000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 248.00000000, 248.00000000, 49.60000000, 297.60000000),
(4186, 673, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4187, 673, NULL, NULL, NULL, 'Maintenance GA30 :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4188, 673, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4189, 673, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(4190, 673, NULL, 954034, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.67000000, NULL, 24.67000000, 4.93000000, 0.00000000, 0.00000000, 29.60000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 24.67000000, 4.93000000, 29.60000000),
(4191, 673, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4192, 674, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4193, 674, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4194, 674, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 77.00000000, NULL, 154.00000000, 30.80000000, 0.00000000, 0.00000000, 184.80000000, 0, NULL, NULL, 0, 47.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.00000000, 154.00000000, 30.80000000, 184.80000000),
(4195, 674, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(4196, 674, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(4197, 674, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(4198, 674, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(4199, 674, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 147.65000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(4200, 675, NULL, 1245849, NULL, 'Colle cyanoacrylate 32 LOXEAL', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 10.70000000, NULL, 107.00000000, 21.40000000, 0.00000000, 0.00000000, 128.40000000, 0, NULL, NULL, 0, 7.38000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.70000000, 107.00000000, 21.40000000, 128.40000000),
(4201, 676, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4202, 676, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4203, 676, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(4204, 676, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(4205, 676, NULL, 1222096, NULL, 'filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.00000000, NULL, 23.00000000, 4.60000000, 0.00000000, 0.00000000, 27.60000000, 0, NULL, NULL, 0, 16.10000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.00000000, 23.00000000, 4.60000000, 27.60000000),
(4206, 676, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(4207, 676, NULL, 1245873, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.98000000, NULL, 43.96000000, 8.79000000, 0.00000000, 0.00000000, 52.75000000, 0, NULL, NULL, 0, 10.99000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.98000000, 43.96000000, 8.79000000, 52.75000000),
(4208, 678, NULL, 1243832, NULL, 'MEULEUSE D ANGLE DIAMETRE 178MM', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -362.00000000, NULL, -362.00000000, -72.40000000, 0.00000000, 0.00000000, -434.40000000, 0, NULL, NULL, 0, 275.38000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -362.00000000, -362.00000000, -72.40000000, -434.40000000),
(4209, 678, NULL, 1243834, NULL, 'plateau supports 170 x 5/8*   716-2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -30.00000000, NULL, -30.00000000, -6.00000000, 0.00000000, 0.00000000, -36.00000000, 0, NULL, NULL, 0, 14.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -30.00000000, -30.00000000, -6.00000000, -36.00000000),
(4212, 679, NULL, 1078921, NULL, 'Disqueuse Ø 180  promo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 180.00000000, NULL, 180.00000000, 36.00000000, 0.00000000, 0.00000000, 216.00000000, 0, NULL, NULL, 0, 119.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 180.00000000, 180.00000000, 36.00000000, 216.00000000),
(4213, 679, NULL, 1077936, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 25.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.00000000, 0.00000000, 0.00000000, 0.00000000),
(4214, 680, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4215, 680, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4216, 680, NULL, 1180449, NULL, 'HUILE  HYDROVANE  COMP PALETTE BD 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 107.50000000, NULL, 107.50000000, 21.50000000, 0.00000000, 0.00000000, 129.00000000, 0, NULL, NULL, 0, 64.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 107.50000000, 107.50000000, 21.50000000, 129.00000000),
(4217, 680, NULL, 1180029, NULL, 'MAINTENANCE KIT HYDROVANE 501/502', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.40000000, NULL, 112.40000000, 22.48000000, 0.00000000, 0.00000000, 134.88000000, 0, NULL, NULL, 0, 69.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.40000000, 112.40000000, 22.48000000, 134.88000000),
(4218, 680, NULL, 1245900, NULL, 'cartouche filtre submicrofiltre 0.01µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.05000000, NULL, 22.05000000, 4.41000000, 0.00000000, 0.00000000, 26.46000000, 0, NULL, NULL, 0, 10.95000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.05000000, 22.05000000, 4.41000000, 26.46000000),
(4219, 681, NULL, 944298, NULL, '10 bars - huile alimentaire', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4275.08000000, NULL, 4275.08000000, 855.02000000, 0.00000000, 0.00000000, 5130.10000000, 0, NULL, NULL, 0, 4269.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4275.08000000, 4275.08000000, 855.02000000, 5130.10000000),
(4220, 681, NULL, 1223564, NULL, 'et filtration deshuileur CF0036G3/4c', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1180.98000000, NULL, 1180.98000000, 236.20000000, 0.00000000, 0.00000000, 1417.18000000, 0, NULL, NULL, 0, 1053.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1180.98000000, 1180.98000000, 236.20000000, 1417.18000000),
(4221, 681, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 101.55000000, NULL, 101.55000000, 20.31000000, 0.00000000, 0.00000000, 121.86000000, 0, NULL, NULL, 0, 106.44000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 101.55000000, 101.55000000, 20.31000000, 121.86000000),
(4222, 681, NULL, 1219887, NULL, 'RESERV. AIR COMPRIME  GALVA 200L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 415.15000000, NULL, 415.15000000, 83.03000000, 0.00000000, 0.00000000, 498.18000000, 0, NULL, NULL, 0, 258.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 415.15000000, 415.15000000, 83.03000000, 498.18000000),
(4223, 681, NULL, 952652, NULL, 'filtre reseau charbon actif', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 223.92000000, NULL, 223.92000000, 44.78000000, 0.00000000, 0.00000000, 268.70000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 223.92000000, 223.92000000, 44.78000000, 268.70000000),
(4224, 681, NULL, 1245857, NULL, 'Séparateur de Condensat 300m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 583.65000000, NULL, 583.65000000, 116.73000000, 0.00000000, 0.00000000, 700.38000000, 0, NULL, NULL, 0, 373.60000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 583.65000000, 583.65000000, 116.73000000, 700.38000000),
(4225, 681, NULL, 972631, NULL, 'Té égal Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.56000000, NULL, 7.80000000, 1.56000000, 0.00000000, 0.00000000, 9.36000000, 0, NULL, NULL, 0, 1.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.56000000, 7.80000000, 1.56000000, 9.36000000),
(4226, 681, NULL, 972586, NULL, 'Raccord droit mâle G1/4 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 0.78000000, NULL, 3.90000000, 0.78000000, 0.00000000, 0.00000000, 4.68000000, 0, NULL, NULL, 0, 0.64000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.78000000, 3.90000000, 0.78000000, 4.68000000),
(4227, 681, NULL, 972160, NULL, 'Tube polyamide Rilsan incolore 6x8 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 36.71000000, NULL, 36.71000000, 7.34000000, 0.00000000, 0.00000000, 44.05000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.71000000, 36.71000000, 7.34000000, 44.05000000),
(4228, 681, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.34000000, NULL, 4.68000000, 0.94000000, 0.00000000, 0.00000000, 5.62000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.34000000, 4.68000000, 0.94000000, 5.62000000),
(4229, 681, NULL, 966729, NULL, 'Réduction conique M/F G1/2x1/4', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4230, 681, NULL, 972770, NULL, 'Coude tournant mâle G1/4 Ø8mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 1.56000000, NULL, 6.24000000, 1.25000000, 0.00000000, 0.00000000, 7.49000000, 0, NULL, NULL, 0, 1.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.56000000, 6.24000000, 1.25000000, 7.49000000),
(4231, 681, NULL, 1080059, NULL, 'Tube \"sanitaire\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 7.38000000, NULL, 88.56000000, 17.71000000, 0.00000000, 0.00000000, 106.27000000, 0, NULL, NULL, 0, 6.66000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.38000000, 88.56000000, 17.71000000, 106.27000000),
(4232, 681, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 3.34000000, NULL, 20.04000000, 4.01000000, 0.00000000, 0.00000000, 24.05000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.34000000, 20.04000000, 4.01000000, 24.05000000),
(4233, 681, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 5.29000000, NULL, 105.80000000, 21.16000000, 0.00000000, 0.00000000, 126.96000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.29000000, 105.80000000, 21.16000000, 126.96000000),
(4234, 681, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.03000000, NULL, 24.12000000, 4.82000000, 0.00000000, 0.00000000, 28.94000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.03000000, 24.12000000, 4.82000000, 28.94000000),
(4235, 681, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 7.49000000, NULL, 44.94000000, 8.99000000, 0.00000000, 0.00000000, 53.93000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.49000000, 44.94000000, 8.99000000, 53.93000000),
(4236, 681, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 16.70000000, NULL, 100.20000000, 20.04000000, 0.00000000, 0.00000000, 120.24000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.70000000, 100.20000000, 20.04000000, 120.24000000),
(4237, 681, NULL, 1079930, NULL, 'Raccord mixte mâle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 6.67000000, NULL, 40.02000000, 8.00000000, 0.00000000, 0.00000000, 48.02000000, 0, NULL, NULL, 0, 6.01000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.67000000, 40.02000000, 8.00000000, 48.02000000),
(4238, 681, NULL, 1080013, NULL, 'Manchon d\'extrémité diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.69000000, NULL, 4.69000000, 0.94000000, 0.00000000, 0.00000000, 5.63000000, 0, NULL, NULL, 0, 4.22000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.69000000, 4.69000000, 0.94000000, 5.63000000),
(4239, 681, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.89000000, NULL, 8.90000000, 1.78000000, 0.00000000, 0.00000000, 10.68000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.89000000, 8.90000000, 1.78000000, 10.68000000),
(4240, 681, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 12.50000000, NULL, 62.50000000, 12.50000000, 0.00000000, 0.00000000, 75.00000000, 0, NULL, NULL, 0, 5.79000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.50000000, 62.50000000, 12.50000000, 75.00000000),
(4241, 681, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2460.53000000, NULL, 2460.53000000, 492.11000000, 0.00000000, 0.00000000, 2952.64000000, 0, NULL, NULL, 0, 1000.00000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2460.53000000, 2460.53000000, 492.11000000, 2952.64000000),
(4242, 682, NULL, 1230685, NULL, 'Fabrication d&#39;une pi&egrave;ce en acier galvanis&eacute; agraph&eacute;e&nbsp;<br />\r\nEpaiseur 10/10&egrave;me suivant plan&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1030.40000000, NULL, 1030.40000000, 206.08000000, 0.00000000, 0.00000000, 1236.48000000, 0, NULL, NULL, 0, 736.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1030.40000000, 1030.40000000, 206.08000000, 1236.48000000),
(4243, 682, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.00000000, NULL, 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 90.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.00000000, 130.00000000, 26.00000000, 156.00000000),
(4244, 682, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1300.00000000, NULL, 1300.00000000, 260.00000000, 0.00000000, 0.00000000, 1560.00000000, 0, NULL, NULL, 0, 920.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1300.00000000, 1300.00000000, 260.00000000, 1560.00000000),
(4245, 683, NULL, NULL, NULL, '<a href=\"https://www.google.fr/shopping/product/3335903829986486771?q=soul%C3%A9+pm20&amp;biw=1920&amp;bih=943&amp;prds=paur:ClkAsKraX2nryf6eLv8VAkhSVFyJEiSmrPcjZU9PJTJTsgXgibt6NIGs5mltu3uoFb0qKQHpVILHAsdQIkIxcloEBDjZNSFdXjn_ZjVDsStzDY6LhoPOhIrQBxIZAFPVH72Ci6-QjYuJU8r8-4eEDM7M1PWH2w&amp;sa=X&amp;ved=0ahUKEwj_8OTJ1pHdAhVBgRoKHfvnDN4Q8wIIXQ\">Parafoudre autoprot&eacute;g&eacute; PM 20 Compact</a>', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 146.30000000, NULL, 146.30000000, 29.26000000, 0.00000000, 0.00000000, 175.56000000, 0, NULL, NULL, 0, 110.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 146.30000000, 146.30000000, 29.26000000, 175.56000000),
(4246, 683, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(4247, 683, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(4248, 684, NULL, 1080071, NULL, 'Tube \"air comprimé\" diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.21000000, NULL, 11.21000000, 2.24000000, 0.00000000, 0.00000000, 13.45000000, 0, NULL, NULL, 0, 7.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.21000000, 11.21000000, 2.24000000, 13.45000000),
(4249, 684, NULL, 1079967, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 33.85000000, NULL, 67.70000000, 13.54000000, 0.00000000, 0.00000000, 81.24000000, 0, NULL, NULL, 0, 23.83000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.85000000, 67.70000000, 13.54000000, 81.24000000),
(4250, 684, NULL, 1079871, NULL, 'Té réduit diam. ext. 42 . 22 . 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.02000000, NULL, 15.02000000, 3.00000000, 0.00000000, 0.00000000, 18.02000000, 0, NULL, NULL, 0, 10.58000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.02000000, 15.02000000, 3.00000000, 18.02000000),
(4251, 684, NULL, 1079789, NULL, 'Courbe à 90° diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.52000000, NULL, 19.52000000, 3.90000000, 0.00000000, 0.00000000, 23.42000000, 0, NULL, NULL, 0, 13.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.52000000, 19.52000000, 3.90000000, 23.42000000),
(4252, 684, NULL, 1079819, NULL, 'Coude à 45° diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 15.98000000, NULL, 31.96000000, 6.39000000, 0.00000000, 0.00000000, 38.35000000, 0, NULL, NULL, 0, 11.25000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.98000000, 31.96000000, 6.39000000, 38.35000000),
(4253, 684, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.34000000, NULL, 10.68000000, 2.14000000, 0.00000000, 0.00000000, 12.82000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 10.68000000, 2.14000000, 12.82000000),
(4254, 684, NULL, 1079927, NULL, 'Raccord mixte mâle diam. ext. 22.¾\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 6.74000000, NULL, 20.22000000, 4.04000000, 0.00000000, 0.00000000, 24.26000000, 0, NULL, NULL, 0, 4.75000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.74000000, 20.22000000, 4.04000000, 24.26000000),
(4255, 684, NULL, 1079963, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.¾\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.73000000, NULL, 25.46000000, 5.09000000, 0.00000000, 0.00000000, 30.55000000, 0, NULL, NULL, 0, 8.97000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.73000000, 25.46000000, 5.09000000, 30.55000000),
(4256, 684, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 0.5, 0, 0, NULL, 4.98000000, NULL, 2.49000000, 0.50000000, 0.00000000, 0.00000000, 2.99000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 2.49000000, 0.50000000, 2.99000000),
(4257, 684, NULL, 1080032, NULL, 'Raccord de réduction diam. ext. 42.22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.11000000, NULL, 11.11000000, 2.22000000, 0.00000000, 0.00000000, 13.33000000, 0, NULL, NULL, 0, 7.82000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.11000000, 11.11000000, 2.22000000, 13.33000000),
(4258, 684, NULL, 966946, NULL, 'Coude M/F G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.80000000, NULL, 2.80000000, 0.56000000, 0.00000000, 0.00000000, 3.36000000, 0, NULL, NULL, 0, 1.40000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.80000000, 2.80000000, 0.56000000, 3.36000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(4259, 684, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.39000000, NULL, 7.39000000, 1.48000000, 0.00000000, 0.00000000, 8.87000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 7.39000000, 1.48000000, 8.87000000),
(4260, 684, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.40000000, NULL, 1.40000000, 0.28000000, 0.00000000, 0.00000000, 1.68000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.40000000, 1.40000000, 0.28000000, 1.68000000),
(4261, 684, NULL, 966508, NULL, 'Vanne F/F G1\"1/2 PN30 DN40', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.16000000, NULL, 39.16000000, 7.83000000, 0.00000000, 0.00000000, 46.99000000, 0, NULL, NULL, 0, 19.58000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.16000000, 39.16000000, 7.83000000, 46.99000000),
(4262, 684, NULL, 970438, NULL, 'Coude fileté G1\'\'1/4 Ø40', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.41000000, NULL, 16.41000000, 3.28000000, 0.00000000, 0.00000000, 19.69000000, 0, NULL, NULL, 0, 9.84600000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.41000000, 16.41000000, 3.28000000, 19.69000000),
(4263, 684, NULL, 966759, NULL, 'Réduction M/F G1\"1/2xG1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.40000000, NULL, 10.40000000, 2.08000000, 0.00000000, 0.00000000, 12.48000000, 0, NULL, NULL, 0, 5.20000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.40000000, 10.40000000, 2.08000000, 12.48000000),
(4264, 684, NULL, 966505, NULL, 'Vanne F/F G3/4 PN40 DN20', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.78000000, NULL, 10.78000000, 2.16000000, 0.00000000, 0.00000000, 12.94000000, 0, NULL, NULL, 0, 5.39000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.78000000, 10.78000000, 2.16000000, 12.94000000),
(4265, 684, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 476.55000000, NULL, 476.55000000, 95.31000000, 0.00000000, 0.00000000, 571.86000000, 0, NULL, NULL, 0, 353.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 476.55000000, 476.55000000, 95.31000000, 571.86000000),
(4266, 685, NULL, NULL, NULL, 'Contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(4267, 686, NULL, 1245870, NULL, 'tube assy 850MM -40', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 340.37000000, NULL, 340.37000000, 68.07000000, 0.00000000, 0.00000000, 408.44000000, 0, NULL, NULL, 0, 234.53000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 340.37000000, 340.37000000, 68.07000000, 408.44000000),
(4268, 686, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 345.00000000, NULL, 345.00000000, 69.00000000, 0.00000000, 0.00000000, 414.00000000, 0, NULL, NULL, 0, 260.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 345.00000000, 345.00000000, 69.00000000, 414.00000000),
(4269, 687, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(4270, 687, NULL, 968902, NULL, 'Manomètre glycérine radial', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.33000000, NULL, 15.33000000, 3.07000000, 0.00000000, 0.00000000, 18.40000000, 0, NULL, NULL, 0, 9.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.33000000, 15.33000000, 3.07000000, 18.40000000),
(4271, 687, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(4272, 687, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(4273, 687, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 45, 0, 0, NULL, 0.97000000, NULL, 43.65000000, 8.73000000, 0.00000000, 0.00000000, 52.38000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 43.65000000, 8.73000000, 52.38000000),
(4274, 688, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(4275, 688, NULL, 953191, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 228.41000000, NULL, 228.41000000, 45.68000000, 0.00000000, 0.00000000, 274.09000000, 0, NULL, NULL, 0, 110.88000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 228.41000000, 228.41000000, 45.68000000, 274.09000000),
(4276, 688, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(4278, 688, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4279, 688, NULL, 1222640, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(4280, 689, NULL, 1245910, NULL, 'aspirateur eau et poussière inox', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 450.00000000, NULL, 450.00000000, 90.00000000, 0.00000000, 0.00000000, 540.00000000, 0, NULL, NULL, 0, 360.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 450.00000000, 450.00000000, 90.00000000, 540.00000000),
(4281, 690, NULL, 1221375, NULL, 'MEULEUSE D\'ANGLE 7107 EN COFFRET 8951175005', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 179.00000000, NULL, 358.00000000, 71.60000000, 0.00000000, 0.00000000, 429.60000000, 0, NULL, NULL, 0, 87.71000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 179.00000000, 358.00000000, 71.60000000, 429.60000000),
(4282, 690, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 30.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 0.00000000, 0.00000000, 0.00000000),
(4283, 691, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(4284, 691, NULL, NULL, NULL, 'contact additionel', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.00000000, NULL, 27.00000000, 5.40000000, 0.00000000, 0.00000000, 32.40000000, 0, NULL, NULL, 0, 18.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.00000000, 27.00000000, 5.40000000, 32.40000000),
(4285, 692, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4286, 692, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4287, 692, NULL, 952920, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 55.51000000, NULL, 55.51000000, 11.10000000, 0.00000000, 0.00000000, 66.61000000, 0, NULL, NULL, 0, 26.95000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 55.51000000, 55.51000000, 11.10000000, 66.61000000),
(4288, 692, NULL, 952934, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.26000000, NULL, 65.26000000, 13.05000000, 0.00000000, 0.00000000, 78.31000000, 0, NULL, NULL, 0, 31.68000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.26000000, 65.26000000, 13.05000000, 78.31000000),
(4289, 692, NULL, 1222521, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.88000000, NULL, 19.76000000, 3.95000000, 0.00000000, 0.00000000, 23.71000000, 0, NULL, NULL, 0, 4.80000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.88000000, 19.76000000, 3.95000000, 23.71000000),
(4290, 692, NULL, 954041, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.59000000, NULL, 11.59000000, 2.32000000, 0.00000000, 0.00000000, 13.91000000, 0, NULL, NULL, 0, 5.63000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.59000000, 11.59000000, 2.32000000, 13.91000000),
(4291, 692, NULL, 951971, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(4292, 692, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(4295, 694, NULL, 1245903, NULL, 'Kit clapet + joint pou E70-H5-12ETC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 340.00000000, NULL, 340.00000000, 68.00000000, 0.00000000, 0.00000000, 408.00000000, 0, NULL, NULL, 0, 254.64000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 340.00000000, 340.00000000, 68.00000000, 408.00000000),
(4296, 694, NULL, NULL, NULL, 'courroie A72', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.75000000, NULL, 23.50000000, 4.70000000, 0.00000000, 0.00000000, 28.20000000, 0, NULL, NULL, 0, 11.60000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.75000000, 23.50000000, 4.70000000, 28.20000000),
(4297, 695, NULL, 1221375, NULL, 'MEULEUSE D\'ANGLE 7107 EN COFFRET 8951175005', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 179.00000000, NULL, 358.00000000, 71.60000000, 0.00000000, 0.00000000, 429.60000000, 0, NULL, NULL, 0, 87.71000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 179.00000000, 358.00000000, 71.60000000, 429.60000000),
(4298, 695, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 30.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 0.00000000, 0.00000000, 0.00000000),
(4299, 696, NULL, 1179719, NULL, 'MAJOR KIT E                     L 15- 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 178.40000000, NULL, 178.40000000, 35.68000000, 0.00000000, 0.00000000, 214.08000000, 0, NULL, NULL, 0, 109.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 178.40000000, 178.40000000, 35.68000000, 214.08000000),
(4300, 696, NULL, 1176579, NULL, '2/2-SOLENOID VALVE NO 230V/50/60Hz ; 8W', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 209.20000000, NULL, 209.20000000, 41.84000000, 0.00000000, 0.00000000, 251.04000000, 0, NULL, NULL, 0, 128.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 209.20000000, 209.20000000, 41.84000000, 251.04000000),
(4301, 696, NULL, NULL, NULL, 'Frais de port Express DHL', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.48000000, NULL, 113.48000000, 22.70000000, 0.00000000, 0.00000000, 136.18000000, 0, NULL, NULL, 0, 80.09000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.48000000, 113.48000000, 22.70000000, 136.18000000),
(4302, 697, NULL, 973008, NULL, 'coffret racc instantan.', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 338.00000000, NULL, 338.00000000, 67.60000000, 0.00000000, 0.00000000, 405.60000000, 0, NULL, NULL, 0, 215.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 338.00000000, 338.00000000, 67.60000000, 405.60000000),
(4303, 698, NULL, 973008, NULL, 'coffret racc instantan.', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 338.00000000, NULL, 338.00000000, 67.60000000, 0.00000000, 0.00000000, 405.60000000, 0, NULL, NULL, 0, 215.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 338.00000000, 338.00000000, 67.60000000, 405.60000000),
(4304, 699, NULL, 1245911, NULL, 'Suceur à eau pour aspirateur 160/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.25000000, NULL, 60.50000000, 12.10000000, 0.00000000, 0.00000000, 72.60000000, 0, NULL, NULL, 0, 20.16000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.25000000, 60.50000000, 12.10000000, 72.60000000),
(4305, 699, NULL, 1080238, NULL, 'Frais de Port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 18.00000000, 3.60000000, 21.60000000),
(4306, 700, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4307, 700, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4308, 700, NULL, 954060, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.14000000, NULL, 42.14000000, 8.43000000, 0.00000000, 0.00000000, 50.57000000, 0, NULL, NULL, 0, 20.46000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.14000000, 42.14000000, 8.43000000, 50.57000000),
(4309, 700, NULL, 952165, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.20000000, NULL, 57.20000000, 11.44000000, 0.00000000, 0.00000000, 68.64000000, 0, NULL, NULL, 0, 27.77000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.20000000, 57.20000000, 11.44000000, 68.64000000),
(4310, 700, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(4311, 700, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(4312, 700, NULL, 1245859, NULL, 'Filtre séparateur air/huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 162.00000000, NULL, 162.00000000, 32.40000000, 0.00000000, 0.00000000, 194.40000000, 0, NULL, NULL, 0, 83.15000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 162.00000000, 162.00000000, 32.40000000, 194.40000000),
(4313, 700, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(4314, 701, NULL, NULL, NULL, 'Contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(4315, 702, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4316, 702, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4317, 702, NULL, 1221754, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.34000000, NULL, 48.34000000, 9.67000000, 0.00000000, 0.00000000, 58.01000000, 0, NULL, NULL, 0, 24.17000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.34000000, 48.34000000, 9.67000000, 58.01000000),
(4318, 702, NULL, 1221721, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 148.44000000, NULL, 148.44000000, 29.69000000, 0.00000000, 0.00000000, 178.13000000, 0, NULL, NULL, 0, 74.22000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 148.44000000, 148.44000000, 29.69000000, 178.13000000),
(4319, 702, NULL, 953801, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 143.66000000, NULL, 287.32000000, 57.46000000, 0.00000000, 0.00000000, 344.78000000, 0, NULL, NULL, 0, 69.74000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.66000000, 287.32000000, 57.46000000, 344.78000000),
(4320, 702, NULL, 1221805, NULL, 'cartouche reseau A105XA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.50000000, NULL, 112.50000000, 22.50000000, 0.00000000, 0.00000000, 135.00000000, 0, NULL, NULL, 0, 56.25000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.50000000, 112.50000000, 22.50000000, 135.00000000),
(4321, 703, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4322, 703, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(4323, 703, NULL, 1222536, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.64000000, NULL, 55.92000000, 11.18000000, 0.00000000, 0.00000000, 67.10000000, 0, NULL, NULL, 0, 9.05000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.64000000, 55.92000000, 11.18000000, 67.10000000),
(4324, 703, NULL, 954307, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 88.31000000, NULL, 88.31000000, 17.66000000, 0.00000000, 0.00000000, 105.97000000, 0, NULL, NULL, 0, 42.87000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.31000000, 88.31000000, 17.66000000, 105.97000000),
(4325, 703, NULL, 954049, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.32000000, NULL, 13.32000000, 2.66000000, 0.00000000, 0.00000000, 15.98000000, 0, NULL, NULL, 0, 6.47000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.32000000, 13.32000000, 2.66000000, 15.98000000),
(4326, 703, NULL, 951770, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.16000000, NULL, 11.16000000, 2.23000000, 0.00000000, 0.00000000, 13.39000000, 0, NULL, NULL, 0, 5.42000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.16000000, 11.16000000, 2.23000000, 13.39000000),
(4327, 703, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(4328, 704, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(4329, 704, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4330, 704, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(4331, 704, NULL, 1222602, NULL, 'couroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.38000000, NULL, 34.76000000, 6.95000000, 0.00000000, 0.00000000, 41.71000000, 0, NULL, NULL, 0, 8.44000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.38000000, 34.76000000, 6.95000000, 41.71000000),
(4332, 704, NULL, 952683, NULL, 'cartouche 180RB', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.69000000, NULL, 105.69000000, 21.14000000, 0.00000000, 0.00000000, 126.83000000, 0, NULL, NULL, 0, 51.31000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.69000000, 105.69000000, 21.14000000, 126.83000000),
(4333, 704, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(4334, 705, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4335, 705, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.13000000, NULL, 51.39000000, 10.28000000, 0.00000000, 0.00000000, 61.67000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 51.39000000, 10.28000000, 61.67000000),
(4336, 705, NULL, 1221767, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.06000000, NULL, 35.06000000, 7.01000000, 0.00000000, 0.00000000, 42.07000000, 0, NULL, NULL, 0, 17.53000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.06000000, 35.06000000, 7.01000000, 42.07000000),
(4337, 705, NULL, 1221715, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.80000000, NULL, 112.80000000, 22.56000000, 0.00000000, 0.00000000, 135.36000000, 0, NULL, NULL, 0, 75.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.80000000, 112.80000000, 22.56000000, 135.36000000),
(4338, 705, NULL, 959341, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.77000000, NULL, 27.77000000, 5.55000000, 0.00000000, 0.00000000, 33.32000000, 0, NULL, NULL, 0, 13.48058252, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.77000000, 27.77000000, 5.55000000, 33.32000000),
(4339, 705, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(4340, 705, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(4341, 706, NULL, NULL, '1 Compresseur à vis Insonorisé 63 Db 15 Bars', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4342, 706, NULL, 1220934, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2950.00000000, NULL, 2950.00000000, 590.00000000, 0.00000000, 0.00000000, 3540.00000000, 0, NULL, NULL, 0, 2304.72000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2950.00000000, 2950.00000000, 590.00000000, 3540.00000000),
(4343, 706, NULL, 1231904, NULL, 'coffret d\'isolation phonique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 190.00000000, NULL, 190.00000000, 38.00000000, 0.00000000, 0.00000000, 228.00000000, 0, NULL, NULL, 0, 153.12000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 190.00000000, 190.00000000, 38.00000000, 228.00000000),
(4344, 706, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4345, 707, NULL, 1245869, NULL, 'Compresseur 22 Kw à vitesse Variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10500.00000000, NULL, 10500.00000000, 2100.00000000, 0.00000000, 0.00000000, 12600.00000000, 0, NULL, NULL, 0, 8820.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10500.00000000, 10500.00000000, 2100.00000000, 12600.00000000),
(4346, 707, NULL, 1222083, NULL, 'Commande électronique RENNERtronic Plus', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 645.12000000, NULL, 645.12000000, 129.02000000, 0.00000000, 0.00000000, 774.14000000, 0, NULL, NULL, 0, 520.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 645.12000000, 645.12000000, 129.02000000, 774.14000000),
(4347, 707, NULL, 1238482, NULL, 'option garantie 5 ans piéces', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1020.00000000, NULL, 1020.00000000, 204.00000000, 0.00000000, 0.00000000, 1224.00000000, 0, NULL, NULL, 0, 961.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1020.00000000, 1020.00000000, 204.00000000, 1224.00000000),
(4348, 707, NULL, 952823, NULL, 'secheur refrigeration 360m3/h racc1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1988.47000000, NULL, 1988.47000000, 397.69000000, 0.00000000, 0.00000000, 2386.16000000, 0, NULL, NULL, 0, 1601.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1988.47000000, 1988.47000000, 397.69000000, 2386.16000000),
(4349, 707, NULL, 952641, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.86000000, NULL, 200.86000000, 40.17000000, 0.00000000, 0.00000000, 241.03000000, 0, NULL, NULL, 0, 130.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.86000000, 200.86000000, 40.17000000, 241.03000000),
(4350, 707, NULL, 952642, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.86000000, NULL, 200.86000000, 40.17000000, 0.00000000, 0.00000000, 241.03000000, 0, NULL, NULL, 0, 130.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.86000000, 200.86000000, 40.17000000, 241.03000000),
(4351, 707, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 45.84000000, NULL, 45.84000000, 9.17000000, 0.00000000, 0.00000000, 55.01000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.84000000, 45.84000000, 9.17000000, 55.01000000),
(4352, 707, NULL, 958252, NULL, 'ÖWAMAT 12 oil/water separatot with pre-separation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 743.17000000, NULL, 743.17000000, 148.63000000, 0.00000000, 0.00000000, 891.80000000, 0, NULL, NULL, 0, 615.04000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 743.17000000, 743.17000000, 148.63000000, 891.80000000),
(4355, 707, NULL, NULL, NULL, 'bypass cuve', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 296.46000000, NULL, 296.46000000, 59.29000000, 0.00000000, 0.00000000, 355.75000000, 0, NULL, NULL, 0, 230.09000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 296.46000000, 296.46000000, 59.29000000, 355.75000000),
(4356, 707, NULL, NULL, NULL, 'bypass secheur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.90000000, NULL, 329.90000000, 65.98000000, 0.00000000, 0.00000000, 395.88000000, 0, NULL, NULL, 0, 230.09000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.90000000, 329.90000000, 65.98000000, 395.88000000),
(4365, 708, NULL, NULL, NULL, 'Acompte', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50000.00000000, NULL, 50000.00000000, 10000.00000000, 0.00000000, 0.00000000, 60000.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50000.00000000, 50000.00000000, 10000.00000000, 60000.00000000),
(4366, 709, NULL, 1222163, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.05000000, NULL, 17.05000000, 3.41000000, 0.00000000, 0.00000000, 20.46000000, 0, NULL, NULL, 0, 8.28000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.05000000, 17.05000000, 3.41000000, 20.46000000),
(4367, 710, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(4368, 711, NULL, 1245901, NULL, 'Filtre a air complet', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.17000000, NULL, 100.17000000, 20.03000000, 0.00000000, 0.00000000, 120.20000000, 0, NULL, NULL, 0, 77.06000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.17000000, 100.17000000, 20.03000000, 120.20000000),
(4369, 711, NULL, 1245902, NULL, 'Kit joint AB901/981', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 97.14000000, NULL, 97.14000000, 19.43000000, 0.00000000, 0.00000000, 116.57000000, 0, NULL, NULL, 0, 74.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 97.14000000, 97.14000000, 19.43000000, 116.57000000),
(4370, 711, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 1, NULL, NULL, 0, 18.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(4371, 712, NULL, 1188146, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 997.00000000, NULL, 997.00000000, 199.40000000, 0.00000000, 0.00000000, 1196.40000000, 0, NULL, NULL, 0, 893.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 997.00000000, 997.00000000, 199.40000000, 1196.40000000),
(4372, 713, NULL, 969790, NULL, 'Tube rigide Ø32mm ? barre de 4m', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 7.65000000, NULL, 91.80000000, 18.36000000, 0.00000000, 0.00000000, 110.16000000, 0, NULL, NULL, 0, 5.59800000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.65000000, 91.80000000, 18.36000000, 110.16000000),
(4373, 714, NULL, 1219887, NULL, 'RESERV. AIR COMPRIME  GALVA 200L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 340.00000000, NULL, 340.00000000, 68.00000000, 0.00000000, 0.00000000, 408.00000000, 0, NULL, NULL, 0, 258.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 340.00000000, 340.00000000, 68.00000000, 408.00000000),
(4374, 715, NULL, NULL, NULL, 'Contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(4375, 716, NULL, 955221, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 281.89000000, NULL, 563.78000000, 112.76000000, 0.00000000, 0.00000000, 676.54000000, 0, NULL, NULL, 0, 136.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 281.89000000, 563.78000000, 112.76000000, 676.54000000),
(4376, 716, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(4377, 717, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(4378, 717, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(4379, 717, NULL, 1223702, NULL, '1 fiche male<br />\r\n1 raccors rapide 3/8 8<br />\r\n3metres de cable 0.75&sup2;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.00000000, NULL, 22.00000000, 4.40000000, 0.00000000, 0.00000000, 26.40000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.00000000, 22.00000000, 4.40000000, 26.40000000),
(4380, 718, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 138.18000000, NULL, 138.18000000, 27.64000000, 0.00000000, 0.00000000, 165.82000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 138.18000000, 138.18000000, 27.64000000, 165.82000000),
(4381, 718, NULL, 953167, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 106.62000000, NULL, 106.62000000, 21.32000000, 0.00000000, 0.00000000, 127.94000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 106.62000000, 106.62000000, 21.32000000, 127.94000000),
(4382, 718, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 89.65000000, NULL, 89.65000000, 17.93000000, 0.00000000, 0.00000000, 107.58000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 89.65000000, 89.65000000, 17.93000000, 107.58000000),
(4383, 718, NULL, 1189209, NULL, 'Huile spéciale compresseurs à', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 175.88000000, NULL, 175.88000000, 35.18000000, 0.00000000, 0.00000000, 211.06000000, 0, NULL, NULL, 0, 74.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 175.88000000, 175.88000000, 35.18000000, 211.06000000),
(4384, 718, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.71000000, NULL, 4.71000000, 0.94000000, 0.00000000, 0.00000000, 5.65000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.71000000, 4.71000000, 0.94000000, 5.65000000),
(4385, 718, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 343.44000000, NULL, 343.44000000, 68.69000000, 0.00000000, 0.00000000, 412.13000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 343.44000000, 343.44000000, 68.69000000, 412.13000000),
(4386, 719, NULL, 1188156, NULL, 'compresseur apiston 43m3/h 7,5ch 10 bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1612.00000000, NULL, 1612.00000000, 322.40000000, 0.00000000, 0.00000000, 1934.40000000, 0, NULL, NULL, 0, 1185.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1612.00000000, 1612.00000000, 322.40000000, 1934.40000000),
(4387, 719, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(4388, 720, NULL, 1222641, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4389, 720, NULL, 1222642, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4390, 720, NULL, 1176433, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.80000000, NULL, 65.80000000, 13.16000000, 0.00000000, 0.00000000, 78.96000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.80000000, 65.80000000, 13.16000000, 78.96000000),
(4391, 720, NULL, 954038, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(4392, 720, NULL, 955041, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(4393, 720, NULL, 952220, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(4394, 721, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(4395, 721, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(4396, 721, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4397, 722, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 443.14000000, NULL, 443.14000000, 88.63000000, 0.00000000, 0.00000000, 531.77000000, 0, NULL, NULL, 0, 302.68000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 443.14000000, 443.14000000, 88.63000000, 531.77000000),
(4398, 722, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 259.57000000, NULL, 259.57000000, 51.91000000, 0.00000000, 0.00000000, 311.48000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 259.57000000, 259.57000000, 51.91000000, 311.48000000),
(4399, 722, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 858.38000000, NULL, 858.38000000, 171.68000000, 0.00000000, 0.00000000, 1030.06000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 858.38000000, 858.38000000, 171.68000000, 1030.06000000),
(4400, 722, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4401, 723, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 592.10000000, NULL, 592.10000000, 118.42000000, 0.00000000, 0.00000000, 710.52000000, 0, NULL, NULL, 0, 445.18000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 592.10000000, 592.10000000, 118.42000000, 710.52000000),
(4402, 723, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4403, 723, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 291.60000000, NULL, 874.80000000, 174.96000000, 0.00000000, 0.00000000, 1049.76000000, 0, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 291.60000000, 874.80000000, 174.96000000, 1049.76000000),
(4404, 723, NULL, 1179631, NULL, 'MINOR KIT C  L90-L132', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 433.70000000, NULL, 433.70000000, 86.74000000, 0.00000000, 0.00000000, 520.44000000, 0, NULL, NULL, 0, 161.84000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 433.70000000, 433.70000000, 86.74000000, 520.44000000),
(4405, 723, NULL, 1179742, NULL, 'SERVICE PACKAGE  E          L90-L132', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1924.10000000, NULL, 1924.10000000, 384.82000000, 0.00000000, 0.00000000, 2308.92000000, 0, NULL, NULL, 0, 1154.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1924.10000000, 1924.10000000, 384.82000000, 2308.92000000),
(4406, 723, NULL, 1179676, NULL, 'MINOR KIT D  L90 + L132 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1404.00000000, NULL, 1404.00000000, 280.80000000, 0.00000000, 0.00000000, 1684.80000000, 0, NULL, NULL, 0, 865.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1404.00000000, 1404.00000000, 280.80000000, 1684.80000000),
(4407, 724, NULL, NULL, '1 Maintenance compresseur L11RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4408, 724, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.58000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(4409, 724, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(4410, 724, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(4411, 724, NULL, 1179717, NULL, 'MAJOR KIT E               L07 - L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 251.70000000, NULL, 251.70000000, 50.34000000, 0.00000000, 0.00000000, 302.04000000, 0, NULL, NULL, 0, 131.98000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 251.70000000, 251.70000000, 50.34000000, 302.04000000),
(4412, 724, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4413, 724, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4414, 724, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 73.10000000, NULL, 146.20000000, 29.24000000, 0.00000000, 0.00000000, 175.44000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 146.20000000, 29.24000000, 175.44000000),
(4415, 724, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4416, 724, NULL, NULL, '2 Maintenance separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4417, 724, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(4418, 724, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4419, 725, NULL, 967553, NULL, 'Ensemble souflage 4m 5x8', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 16.00000000, NULL, 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 16.30750000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 48.00000000, 9.60000000, 57.60000000),
(4420, 725, NULL, 967552, NULL, 'Ensemble soufflage2 m 1/4 FetT', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 16.00000000, NULL, 64.00000000, 12.80000000, 0.00000000, 0.00000000, 76.80000000, 0, NULL, NULL, 0, 13.47500000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 64.00000000, 12.80000000, 76.80000000),
(4421, 726, NULL, 1222594, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(4422, 726, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 321.69000000, NULL, 321.69000000, 64.34000000, 0.00000000, 0.00000000, 386.03000000, 0, NULL, NULL, 0, 241.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 321.69000000, 321.69000000, 64.34000000, 386.03000000),
(4423, 726, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4424, 726, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(4425, 726, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(4426, 727, NULL, 952818, NULL, 'sécheur réfrigeration 144m3/h racc 3/4\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 999.00000000, NULL, 999.00000000, 199.80000000, 0.00000000, 0.00000000, 1198.80000000, 0, NULL, NULL, 0, 771.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 999.00000000, 999.00000000, 199.80000000, 1198.80000000),
(4427, 727, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 390.00000000, NULL, 390.00000000, 78.00000000, 0.00000000, 0.00000000, 468.00000000, 0, NULL, NULL, 0, 292.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 390.00000000, 390.00000000, 78.00000000, 468.00000000),
(4428, 727, NULL, 1223700, NULL, 'Fourniture Plomberie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 56.25000000, NULL, 56.25000000, 11.25000000, 0.00000000, 0.00000000, 67.50000000, 0, NULL, NULL, 0, 42.29000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.25000000, 56.25000000, 11.25000000, 67.50000000),
(4429, 728, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4430, 728, NULL, 952140, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(4431, 728, NULL, 954045, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(4432, 728, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(4433, 728, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4434, 728, NULL, 1222521, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 9.88000000, NULL, 29.64000000, 5.93000000, 0.00000000, 0.00000000, 35.57000000, 0, NULL, NULL, 0, 4.80000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.88000000, 29.64000000, 5.93000000, 35.57000000),
(4435, 728, NULL, 1190716, NULL, 'monture à niveau compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.40000000, NULL, 82.40000000, 16.48000000, 0.00000000, 0.00000000, 98.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.40000000, 82.40000000, 16.48000000, 98.88000000),
(4436, 729, NULL, NULL, '1 Marque adaptable', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4437, 729, NULL, 955145, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.76000000, NULL, 79.76000000, 15.95000000, 0.00000000, 0.00000000, 95.71000000, 0, NULL, NULL, 0, 38.72000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.76000000, 79.76000000, 15.95000000, 95.71000000),
(4438, 729, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4439, 730, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 643.00000000, NULL, 643.00000000, 128.60000000, 0.00000000, 0.00000000, 771.60000000, 0, NULL, NULL, 0, 484.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 643.00000000, 643.00000000, 128.60000000, 771.60000000),
(4440, 730, NULL, 952822, NULL, 'sécheur à réfrigération 260m3/h racc 1\'\' +3°C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1570.56000000, NULL, 1570.56000000, 314.11000000, 0.00000000, 0.00000000, 1884.67000000, 0, NULL, NULL, 0, 1227.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1570.56000000, 1570.56000000, 314.11000000, 1884.67000000),
(4441, 730, NULL, 958251, NULL, 'ÖWAMAT 11 oil/water separator', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 399.00000000, NULL, 399.00000000, 79.80000000, 0.00000000, 0.00000000, 478.80000000, 0, NULL, NULL, 0, 304.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 399.00000000, 399.00000000, 79.80000000, 478.80000000),
(4442, 730, NULL, 1223702, NULL, 'pvc32 &amp; 4 coudes', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 66.73000000, NULL, 66.73000000, 13.35000000, 0.00000000, 0.00000000, 80.08000000, 0, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 66.73000000, 66.73000000, 13.35000000, 80.08000000),
(4443, 731, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.75, 0, 0, NULL, 63.84000000, NULL, 111.72000000, 22.34000000, 0.00000000, 0.00000000, 134.06000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 111.72000000, 22.34000000, 134.06000000),
(4444, 731, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 38, 0, 0, NULL, 0.97000000, NULL, 36.86000000, 7.37000000, 0.00000000, 0.00000000, 44.23000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 36.86000000, 7.37000000, 44.23000000),
(4445, 731, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(4446, 732, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.25, 0, 0, NULL, 63.84000000, NULL, 79.80000000, 15.96000000, 0.00000000, 0.00000000, 95.76000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 79.80000000, 15.96000000, 95.76000000),
(4447, 732, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 38, 0, 0, NULL, 0.97000000, NULL, 36.86000000, 7.37000000, 0.00000000, 0.00000000, 44.23000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 36.86000000, 7.37000000, 44.23000000),
(4448, 732, NULL, 951703, NULL, 'purgeur auto trou lisse 3/8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.27000000, NULL, 34.27000000, 6.85000000, 0.00000000, 0.00000000, 41.12000000, 0, NULL, NULL, 0, 16.64000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.27000000, 34.27000000, 6.85000000, 41.12000000),
(4449, 733, NULL, 1190382, NULL, 'moteur de ventilateur pour sécheur d\'air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.00000000, NULL, 91.00000000, 18.20000000, 0.00000000, 0.00000000, 109.20000000, 0, NULL, NULL, 0, 65.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.00000000, 91.00000000, 18.20000000, 109.20000000),
(4450, 733, NULL, 1190357, NULL, 'Forfait Dépannage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 350.00000000, NULL, 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(4451, 734, NULL, NULL, '2 Ingersollrand', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4452, 734, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4453, 734, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4454, 734, NULL, 1245924, NULL, 'COMPRESSOR VRS 46 - 5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 74.10000000, NULL, 148.20000000, 29.64000000, 0.00000000, 0.00000000, 177.84000000, 0, NULL, NULL, 0, 37.05000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 74.10000000, 148.20000000, 29.64000000, 177.84000000),
(4455, 734, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(4456, 734, NULL, 954037, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.26000000, NULL, 35.26000000, 7.05000000, 0.00000000, 0.00000000, 42.31000000, 0, NULL, NULL, 0, 17.12000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.26000000, 35.26000000, 7.05000000, 42.31000000),
(4457, 734, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 65.31000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(4458, 734, NULL, 952859, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.55000000, NULL, 92.55000000, 18.51000000, 0.00000000, 0.00000000, 111.06000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.55000000, 92.55000000, 18.51000000, 111.06000000),
(4459, 734, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4460, 735, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.36000000, NULL, 118.36000000, 23.67000000, 0.00000000, 0.00000000, 142.03000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.36000000, 118.36000000, 23.67000000, 142.03000000),
(4461, 735, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 77.46000000, NULL, 154.92000000, 30.98000000, 0.00000000, 0.00000000, 185.90000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.46000000, 154.92000000, 30.98000000, 185.90000000),
(4462, 735, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.53000000, NULL, 7.53000000, 1.51000000, 0.00000000, 0.00000000, 9.04000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.53000000, 7.53000000, 1.51000000, 9.04000000),
(4463, 735, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 291.40000000, NULL, 291.40000000, 58.28000000, 0.00000000, 0.00000000, 349.68000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 291.40000000, 291.40000000, 58.28000000, 349.68000000),
(4464, 735, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 292.39000000, NULL, 292.39000000, 58.48000000, 0.00000000, 0.00000000, 350.87000000, 0, NULL, NULL, 0, 243.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 292.39000000, 292.39000000, 58.48000000, 350.87000000),
(4465, 736, NULL, NULL, NULL, 'Location&nbsp; compresseur de 1Kw &agrave; 15KW', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 150.00000000, NULL, 300.00000000, 60.00000000, 0.00000000, 0.00000000, 360.00000000, 1, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 300.00000000, 60.00000000, 360.00000000),
(4466, 737, NULL, NULL, '1 Pour compresseur L15RS :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4467, 737, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.46000000, NULL, 394.46000000, 78.89000000, 0.00000000, 0.00000000, 473.35000000, 0, NULL, NULL, 0, 320.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.46000000, 394.46000000, 78.89000000, 473.35000000),
(4468, 737, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(4469, 737, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4470, 737, NULL, NULL, '2 Maintenance compresseur L15RS :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4471, 737, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(4472, 737, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(4473, 737, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 59.69000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(4474, 737, NULL, 1179719, NULL, 'MAJOR KIT E                     L 15- 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 178.40000000, NULL, 178.40000000, 35.68000000, 0.00000000, 0.00000000, 214.08000000, 0, NULL, NULL, 0, 107.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 178.40000000, 178.40000000, 35.68000000, 214.08000000),
(4475, 737, NULL, 1222600, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.96000000, NULL, 53.88000000, 10.78000000, 0.00000000, 0.00000000, 64.66000000, 0, NULL, NULL, 0, 8.72000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.96000000, 53.88000000, 10.78000000, 64.66000000),
(4476, 737, NULL, 952657, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(4477, 737, NULL, 952656, NULL, 'cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(4478, 737, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(4479, 737, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4480, 738, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4481, 738, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4482, 738, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(4483, 738, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(4484, 738, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.00000000, NULL, 113.00000000, 22.60000000, 0.00000000, 0.00000000, 135.60000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.00000000, 113.00000000, 22.60000000, 135.60000000),
(4485, 738, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(4487, 739, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(4488, 739, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4489, 739, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(4492, 739, NULL, 952637, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 239.99000000, NULL, 239.99000000, 48.00000000, 0.00000000, 0.00000000, 287.99000000, 0, NULL, NULL, 0, 116.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 239.99000000, 239.99000000, 48.00000000, 287.99000000),
(4493, 739, NULL, 1222593, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(4494, 739, NULL, 966505, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.78000000, NULL, 10.78000000, 2.16000000, 0.00000000, 0.00000000, 12.94000000, 0, NULL, NULL, 0, 5.39000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.78000000, 10.78000000, 2.16000000, 12.94000000),
(4495, 740, NULL, 1245892, NULL, 'regulateur haute precision T1 1/4 0-2 Bar et relieving a haut debit', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 149.89000000, NULL, 149.89000000, 29.98000000, 0.00000000, 0.00000000, 179.87000000, 0, NULL, NULL, 0, 102.59000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 149.89000000, 149.89000000, 29.98000000, 179.87000000),
(4496, 740, NULL, 1245893, NULL, 'manometre abs diam 40 1/8 0-1 bars', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.00000000, NULL, 8.00000000, 1.60000000, 0.00000000, 0.00000000, 9.60000000, 0, NULL, NULL, 0, 5.59000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.00000000, 8.00000000, 1.60000000, 9.60000000),
(4497, 740, NULL, 1245894, NULL, 'filtre alu 1/4 T1 5µ protection externe avec purge automatique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 69.89000000, NULL, 69.89000000, 13.98000000, 0.00000000, 0.00000000, 83.87000000, 0, NULL, NULL, 0, 45.07000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 69.89000000, 69.89000000, 13.98000000, 83.87000000),
(4498, 740, NULL, 1245895, NULL, 'mamelon male conique 1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.89000000, NULL, 0.89000000, 0.18000000, 0.00000000, 0.00000000, 1.07000000, 0, NULL, NULL, 0, 0.59000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.89000000, 0.89000000, 0.18000000, 1.07000000),
(4499, 740, NULL, NULL, NULL, 'Frais de port et emballage usine', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.00000000, NULL, 13.00000000, 2.60000000, 0.00000000, 0.00000000, 15.60000000, 1, NULL, NULL, 0, 13.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.00000000, 13.00000000, 2.60000000, 15.60000000),
(4500, 741, NULL, NULL, '1 UP5 7 8', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4501, 741, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 249.18000000, NULL, 249.18000000, 49.84000000, 0.00000000, 0.00000000, 299.02000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 249.18000000, 249.18000000, 49.84000000, 299.02000000),
(4502, 741, NULL, 952144, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.82000000, NULL, 12.82000000, 2.56000000, 0.00000000, 0.00000000, 15.38000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.82000000, 12.82000000, 2.56000000, 15.38000000),
(4503, 741, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4504, 741, NULL, 954042, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.16000000, NULL, 14.16000000, 2.83000000, 0.00000000, 0.00000000, 16.99000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.16000000, 14.16000000, 2.83000000, 16.99000000),
(4505, 741, NULL, 955064, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 75.32000000, NULL, 75.32000000, 15.06000000, 0.00000000, 0.00000000, 90.38000000, 0, NULL, NULL, 0, 43.91000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 75.32000000, 75.32000000, 15.06000000, 90.38000000),
(4506, 741, NULL, 1221798, NULL, 'filtre reseau deltech e06hfd', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 181.31000000, NULL, 181.31000000, 36.26000000, 0.00000000, 0.00000000, 217.57000000, 0, NULL, NULL, 0, 105.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 181.31000000, 181.31000000, 36.26000000, 217.57000000),
(4507, 741, NULL, 1231788, NULL, 'FILTRE 1 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 198.06000000, NULL, 198.06000000, 39.61000000, 0.00000000, 0.00000000, 237.67000000, 0, NULL, NULL, 0, 118.93000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 198.06000000, 198.06000000, 39.61000000, 237.67000000),
(4508, 741, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4509, 741, NULL, NULL, '2 UP5 15 7', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4510, 741, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 249.18000000, NULL, 249.18000000, 49.84000000, 0.00000000, 0.00000000, 299.02000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 249.18000000, 249.18000000, 49.84000000, 299.02000000),
(4511, 741, NULL, 954034, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.54000000, NULL, 20.54000000, 4.11000000, 0.00000000, 0.00000000, 24.65000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.54000000, 20.54000000, 4.11000000, 24.65000000),
(4512, 741, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4513, 741, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4514, 741, NULL, NULL, '3 Pour les 2 compresseurs  Ingersollrand:', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4515, 741, NULL, 1245924, NULL, 'COMPRESSOR VRS 46 - 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 74.10000000, NULL, 74.10000000, 14.82000000, 0.00000000, 0.00000000, 88.92000000, 0, NULL, NULL, 0, 37.05000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 74.10000000, 74.10000000, 14.82000000, 88.92000000),
(4516, 741, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4517, 741, NULL, NULL, '4 maintenance L45RS :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4518, 741, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 328.38000000, NULL, 328.38000000, 65.68000000, 0.00000000, 0.00000000, 394.06000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 328.38000000, 328.38000000, 65.68000000, 394.06000000),
(4519, 741, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4520, 741, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 242.81000000, NULL, 242.81000000, 48.56000000, 0.00000000, 0.00000000, 291.37000000, 0, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 242.81000000, 242.81000000, 48.56000000, 291.37000000),
(4521, 741, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 314.34000000, NULL, 314.34000000, 62.87000000, 0.00000000, 0.00000000, 377.21000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 314.34000000, 314.34000000, 62.87000000, 377.21000000),
(4522, 741, NULL, 953186, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 159.25000000, NULL, 159.25000000, 31.85000000, 0.00000000, 0.00000000, 191.10000000, 0, NULL, NULL, 0, 92.84000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 159.25000000, 159.25000000, 31.85000000, 191.10000000),
(4523, 741, NULL, 1179655, NULL, 'SEPARATOR KIT D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 510.77000000, NULL, 510.77000000, 102.15000000, 0.00000000, 0.00000000, 612.92000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 510.77000000, 510.77000000, 102.15000000, 612.92000000),
(4524, 741, NULL, 1179727, NULL, 'SERVICE PACKAGE  E   L30-L50+L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 643.08000000, NULL, 643.08000000, 128.62000000, 0.00000000, 0.00000000, 771.70000000, 0, NULL, NULL, 0, 288.21000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 643.08000000, 643.08000000, 128.62000000, 771.70000000),
(4525, 741, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4526, 742, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4527, 742, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4528, 742, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(4529, 742, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 243.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(4530, 742, NULL, 1179719, NULL, 'MAJOR KIT E                     L 15- 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 178.40000000, NULL, 178.40000000, 35.68000000, 0.00000000, 0.00000000, 214.08000000, 0, NULL, NULL, 0, 109.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 178.40000000, 178.40000000, 35.68000000, 214.08000000),
(4531, 742, NULL, 1222601, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.96000000, NULL, 53.88000000, 10.78000000, 0.00000000, 0.00000000, 64.66000000, 0, NULL, NULL, 0, 9.69000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.96000000, 53.88000000, 10.78000000, 64.66000000),
(4532, 743, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4533, 743, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4534, 743, NULL, 1222537, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.21000000, NULL, 36.42000000, 7.28000000, 0.00000000, 0.00000000, 43.70000000, 0, NULL, NULL, 0, 8.97000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.21000000, 36.42000000, 7.28000000, 43.70000000),
(4535, 743, NULL, 954039, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.57000000, NULL, 11.57000000, 2.31000000, 0.00000000, 0.00000000, 13.88000000, 0, NULL, NULL, 0, 5.62000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.57000000, 11.57000000, 2.31000000, 13.88000000),
(4536, 743, NULL, 952144, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.40000000, NULL, 15.40000000, 3.08000000, 0.00000000, 0.00000000, 18.48000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.40000000, 15.40000000, 3.08000000, 18.48000000),
(4537, 743, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(4538, 743, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(4539, 744, NULL, NULL, NULL, 'flexible echappement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 70.00000000, NULL, 70.00000000, 14.00000000, 0.00000000, 0.00000000, 84.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 70.00000000, 70.00000000, 14.00000000, 84.00000000),
(4540, 744, NULL, 1178090, NULL, 'PISTON RING COMPL.', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 184.40000000, NULL, 184.40000000, 36.88000000, 0.00000000, 0.00000000, 221.28000000, 0, NULL, NULL, 0, 113.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 184.40000000, 184.40000000, 36.88000000, 221.28000000),
(4541, 744, NULL, 1190716, NULL, 'monture à niveau compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.40000000, NULL, 82.40000000, 16.48000000, 0.00000000, 0.00000000, 98.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.40000000, 82.40000000, 16.48000000, 98.88000000),
(4542, 744, NULL, 1178696, NULL, 'SEAL 100X115  X2.0', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.20000000, NULL, 6.20000000, 1.24000000, 0.00000000, 0.00000000, 7.44000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 6.20000000, 1.24000000, 7.44000000),
(4543, 744, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4544, 745, NULL, NULL, '1 Partie canalis', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4545, 745, NULL, 1115229, NULL, 'El. de dist. 100A 3P+N 2m 4dériv.', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 264.49000000, NULL, 264.49000000, 52.90000000, 0.00000000, 0.00000000, 317.39000000, 0, NULL, NULL, 0, 128.39000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 264.49000000, 264.49000000, 52.90000000, 317.39000000),
(4546, 745, NULL, 1114954, NULL, 'Elem.distr.25A P+N 3m 3dériv.blanc', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 64.40000000, NULL, 386.40000000, 77.28000000, 0.00000000, 0.00000000, 463.68000000, 0, NULL, NULL, 0, 31.26000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 64.40000000, 386.40000000, 77.28000000, 463.68000000),
(4547, 745, NULL, 1114994, NULL, 'Etrier universel blanche', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 3.65000000, NULL, 54.75000000, 10.95000000, 0.00000000, 0.00000000, 65.70000000, 0, NULL, NULL, 0, 1.77000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.65000000, 54.75000000, 10.95000000, 65.70000000),
(4548, 745, NULL, 1115269, NULL, 'Con. de dér. 25A 3P+N prot.fus. NF', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 103.21000000, NULL, 206.42000000, 41.28000000, 0.00000000, 0.00000000, 247.70000000, 0, NULL, NULL, 0, 50.10000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.21000000, 206.42000000, 41.28000000, 247.70000000),
(4549, 745, NULL, 1190798, NULL, 'alimentation( livrée avec embout de fermeture', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 20.53000000, NULL, 41.06000000, 8.21000000, 0.00000000, 0.00000000, 49.27000000, 0, NULL, NULL, 0, 15.21000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.53000000, 41.06000000, 8.21000000, 49.27000000),
(4550, 745, NULL, 1190797, NULL, 'connecteur de luminaire à selection de phase à cabler', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 9.71000000, NULL, 97.10000000, 19.42000000, 0.00000000, 0.00000000, 116.52000000, 0, NULL, NULL, 0, 7.19000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.71000000, 97.10000000, 19.42000000, 116.52000000),
(4551, 745, NULL, 1190577, NULL, 'chainette', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 3.48000000, NULL, 104.40000000, 20.88000000, 0.00000000, 0.00000000, 125.28000000, 0, NULL, NULL, 0, 1.69000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.48000000, 104.40000000, 20.88000000, 125.28000000),
(4552, 745, NULL, 1190644, NULL, 'R2V CU 3G1,5 C100M', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 1.64000000, NULL, 49.20000000, 9.84000000, 0.00000000, 0.00000000, 59.04000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.64000000, 49.20000000, 9.84000000, 59.04000000),
(4553, 745, NULL, 1245951, NULL, 'Coreline Waterproof WT120C LED60S/840 PSU L1500', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 85.00000000, NULL, 680.00000000, 136.00000000, 0.00000000, 0.00000000, 816.00000000, 0, NULL, NULL, 0, 65.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.00000000, 680.00000000, 136.00000000, 816.00000000),
(4554, 745, NULL, NULL, 'Sous-total Partie canalis', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4555, 745, NULL, NULL, '2 Partie air comprimé', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4556, 745, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 6.20000000, NULL, 49.60000000, 9.92000000, 0.00000000, 0.00000000, 59.52000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 49.60000000, 9.92000000, 59.52000000),
(4557, 745, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 9.07000000, NULL, 36.28000000, 7.26000000, 0.00000000, 0.00000000, 43.54000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.07000000, 36.28000000, 7.26000000, 43.54000000),
(4558, 745, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.28000000, NULL, 8.56000000, 1.71000000, 0.00000000, 0.00000000, 10.27000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.28000000, 8.56000000, 1.71000000, 10.27000000),
(4559, 745, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.42000000, NULL, 25.68000000, 5.14000000, 0.00000000, 0.00000000, 30.82000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 25.68000000, 5.14000000, 30.82000000),
(4560, 745, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 7.39000000, NULL, 29.56000000, 5.91000000, 0.00000000, 0.00000000, 35.47000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 29.56000000, 5.91000000, 35.47000000),
(4561, 745, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.14000000, NULL, 6.84000000, 1.37000000, 0.00000000, 0.00000000, 8.21000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 6.84000000, 1.37000000, 8.21000000),
(4562, 745, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 1.12000000, NULL, 4.48000000, 0.90000000, 0.00000000, 0.00000000, 5.38000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 4.48000000, 0.90000000, 5.38000000),
(4563, 745, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1485.00000000, NULL, 1485.00000000, 297.00000000, 0.00000000, 0.00000000, 1782.00000000, 0, NULL, NULL, 0, 1152.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1485.00000000, 1485.00000000, 297.00000000, 1782.00000000),
(4564, 745, NULL, NULL, 'Sous-total Partie air comprimé', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4565, 746, NULL, 1222616, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.06000000, NULL, 13.06000000, 2.61000000, 0.00000000, 0.00000000, 15.67000000, 0, NULL, NULL, 0, 6.34000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.06000000, 13.06000000, 2.61000000, 15.67000000),
(4566, 746, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(4567, 746, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(4568, 746, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(4569, 747, NULL, NULL, '1 Maintenance L11', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4570, 747, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(4571, 747, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4572, 747, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(4573, 747, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(4574, 747, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4575, 747, NULL, NULL, '2 Maintenance kaeser BS61', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4576, 747, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4577, 747, NULL, 1221755, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.38000000, NULL, 34.38000000, 6.88000000, 0.00000000, 0.00000000, 41.26000000, 0, NULL, NULL, 0, 17.19000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.38000000, 34.38000000, 6.88000000, 41.26000000),
(4578, 747, NULL, 1221772, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.50000000, NULL, 22.50000000, 4.50000000, 0.00000000, 0.00000000, 27.00000000, 0, NULL, NULL, 0, 11.25000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.50000000, 22.50000000, 4.50000000, 27.00000000),
(4579, 747, NULL, 1221716, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 132.10000000, NULL, 132.10000000, 26.42000000, 0.00000000, 0.00000000, 158.52000000, 0, NULL, NULL, 0, 66.05000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 132.10000000, 132.10000000, 26.42000000, 158.52000000),
(4580, 747, NULL, 1223598, NULL, 'courroie megadyne', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 25.12000000, NULL, 150.72000000, 30.14000000, 0.00000000, 0.00000000, 180.86000000, 0, NULL, NULL, 0, 9.66000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.12000000, 150.72000000, 30.14000000, 180.86000000),
(4581, 747, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(4582, 747, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4583, 747, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4584, 748, NULL, 1185407, NULL, 'rondelle ptfe', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 59.70000000, NULL, 47.76000000, 9.55000000, 0.00000000, 0.00000000, 57.31000000, 0, NULL, NULL, 0, 35.82000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.70000000, 47.76000000, 9.55000000, 57.31000000),
(4585, 748, NULL, 1245935, NULL, 'rondelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 26.97000000, NULL, 21.58000000, 4.31000000, 0.00000000, 0.00000000, 25.89000000, 0, NULL, NULL, 0, 16.18000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.97000000, 21.58000000, 4.31000000, 25.89000000),
(4586, 748, NULL, 1185459, NULL, 'goupille de tension', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 1.85000000, NULL, 1.48000000, 0.30000000, 0.00000000, 0.00000000, 1.78000000, 0, NULL, NULL, 0, 1.11000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.85000000, 1.48000000, 0.30000000, 1.78000000),
(4587, 748, NULL, 1245936, NULL, 'tige de clapet', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 39.50000000, NULL, 31.60000000, 6.32000000, 0.00000000, 0.00000000, 37.92000000, 0, NULL, NULL, 0, 23.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.50000000, 31.60000000, 6.32000000, 37.92000000),
(4588, 748, NULL, 1185468, NULL, 'tete de clapet', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 41.18000000, NULL, 41.18000000, 8.24000000, 0.00000000, 0.00000000, 49.42000000, 0, NULL, NULL, 0, 30.89000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.18000000, 41.18000000, 8.24000000, 49.42000000),
(4589, 748, NULL, 1189043, NULL, 'obturateur  14808', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.32000000, NULL, 0.32000000, 0.06000000, 0.00000000, 0.00000000, 0.38000000, 0, NULL, NULL, 0, 0.24000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.32000000, 0.32000000, 0.06000000, 0.38000000),
(4590, 748, NULL, 1189057, NULL, 'rondelle m8', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 1.73000000, NULL, 1.38000000, 0.28000000, 0.00000000, 0.00000000, 1.66000000, 0, NULL, NULL, 0, 0.15000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.73000000, 1.38000000, 0.28000000, 1.66000000),
(4591, 748, NULL, 1175671, NULL, 'GASKET I.E.C.8 SERIES', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 72.20000000, NULL, 57.76000000, 11.55000000, 0.00000000, 0.00000000, 69.31000000, 0, NULL, NULL, 0, 44.51000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 72.20000000, 57.76000000, 11.55000000, 69.31000000),
(4592, 748, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 12.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(4593, 749, NULL, NULL, NULL, 'Acompte', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40800.00000000, NULL, 40800.00000000, 8160.00000000, 0.00000000, 0.00000000, 48960.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40800.00000000, 40800.00000000, 8160.00000000, 48960.00000000),
(4594, 750, NULL, 1080071, NULL, 'Tube \"air comprimé\" diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 72, 0, 0, NULL, 10.30000000, NULL, 741.60000000, 148.32000000, 0.00000000, 0.00000000, 889.92000000, 0, NULL, NULL, 0, 7.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 741.60000000, 148.32000000, 889.92000000),
(4595, 750, NULL, 1080115, NULL, 'Collier protégé pour tube diam. 42 - M8', 20.000, '', 0.000, '0', 0.000, '0', 34, 0, 0, NULL, 1.23000000, NULL, 41.82000000, 8.36000000, 0.00000000, 0.00000000, 50.18000000, 0, NULL, NULL, 0, 0.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.23000000, 41.82000000, 8.36000000, 50.18000000),
(4596, 750, NULL, 1079995, NULL, 'Manchon diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 5.92000000, NULL, 177.60000000, 35.52000000, 0.00000000, 0.00000000, 213.12000000, 0, NULL, NULL, 0, 4.54000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.92000000, 177.60000000, 35.52000000, 213.12000000),
(4597, 750, NULL, 1079789, NULL, 'Courbe à 90° diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 17.93000000, NULL, 322.74000000, 64.55000000, 0.00000000, 0.00000000, 387.29000000, 0, NULL, NULL, 0, 13.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.93000000, 322.74000000, 64.55000000, 387.29000000),
(4598, 750, NULL, 1079819, NULL, 'Coude à 45° diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 14.69000000, NULL, 264.42000000, 52.88000000, 0.00000000, 0.00000000, 317.30000000, 0, NULL, NULL, 0, 11.25000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.69000000, 264.42000000, 52.88000000, 317.30000000),
(4599, 750, NULL, 1079854, NULL, 'Té égal diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 16.54000000, NULL, 132.32000000, 26.46000000, 0.00000000, 0.00000000, 158.78000000, 0, NULL, NULL, 0, 12.67000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.54000000, 132.32000000, 26.46000000, 158.78000000),
(4600, 750, NULL, 1079936, NULL, 'Raccord mixte mâle diam. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 16.75000000, NULL, 134.00000000, 26.80000000, 0.00000000, 0.00000000, 160.80000000, 0, NULL, NULL, 0, 12.84000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.75000000, 134.00000000, 26.80000000, 160.80000000),
(4601, 750, NULL, 1190653, NULL, 'Supportage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 189.28000000, NULL, 189.28000000, 37.86000000, 0.00000000, 0.00000000, 227.14000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 189.28000000, 189.28000000, 37.86000000, 227.14000000),
(4602, 750, NULL, 966508, NULL, 'Vanne F/F G1\"1/2 PN30 DN40', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 25.95000000, NULL, 103.80000000, 20.76000000, 0.00000000, 0.00000000, 124.56000000, 0, NULL, NULL, 0, 13.71000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.95000000, 103.80000000, 20.76000000, 124.56000000),
(4603, 750, NULL, 972945, NULL, 'About collerette G1\"1/2 Ø42mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 35.11000000, NULL, 70.22000000, 14.04000000, 0.00000000, 0.00000000, 84.26000000, 0, NULL, NULL, 0, 18.55000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.11000000, 70.22000000, 14.04000000, 84.26000000),
(4604, 750, NULL, 972946, NULL, 'collier colerette', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.14000000, NULL, 36.28000000, 7.26000000, 0.00000000, 0.00000000, 43.54000000, 0, NULL, NULL, 0, 9.59000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.14000000, 36.28000000, 7.26000000, 43.54000000),
(4605, 750, NULL, 1190509, NULL, 'isolant tuyau armaflex', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 13.81000000, NULL, 276.20000000, 55.24000000, 0.00000000, 0.00000000, 331.44000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.81000000, 276.20000000, 55.24000000, 331.44000000),
(4606, 750, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 373.11000000, NULL, 373.11000000, 74.62000000, 0.00000000, 0.00000000, 447.73000000, 0, NULL, NULL, 0, 309.10000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 373.11000000, 373.11000000, 74.62000000, 447.73000000),
(4607, 750, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5120.76000000, NULL, 5120.76000000, 1024.15000000, 0.00000000, 0.00000000, 6144.91000000, 0, NULL, NULL, 0, 4800.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5120.76000000, 5120.76000000, 1024.15000000, 6144.91000000),
(4608, 750, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 6.20000000, NULL, 148.80000000, 29.76000000, 0.00000000, 0.00000000, 178.56000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 148.80000000, 29.76000000, 178.56000000),
(4609, 750, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 6.77000000, NULL, 54.16000000, 10.83000000, 0.00000000, 0.00000000, 64.99000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 54.16000000, 10.83000000, 64.99000000),
(4610, 750, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 4.28000000, NULL, 21.40000000, 4.28000000, 0.00000000, 0.00000000, 25.68000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.28000000, 21.40000000, 4.28000000, 25.68000000),
(4611, 750, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 1.14000000, NULL, 9.12000000, 1.82000000, 0.00000000, 0.00000000, 10.94000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 9.12000000, 1.82000000, 10.94000000),
(4612, 750, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 9.59000000, NULL, 28.77000000, 5.75000000, 0.00000000, 0.00000000, 34.52000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.59000000, 28.77000000, 5.75000000, 34.52000000),
(4613, 750, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 7.72000000, NULL, 30.88000000, 6.18000000, 0.00000000, 0.00000000, 37.06000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.72000000, 30.88000000, 6.18000000, 37.06000000),
(4614, 750, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 21.38000000, NULL, 64.14000000, 12.83000000, 0.00000000, 0.00000000, 76.97000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.38000000, 64.14000000, 12.83000000, 76.97000000),
(4615, 750, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 16.54000000, NULL, 66.16000000, 13.23000000, 0.00000000, 0.00000000, 79.39000000, 0, NULL, NULL, 0, 5.79000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.54000000, 66.16000000, 13.23000000, 79.39000000),
(4616, 750, NULL, 1079930, NULL, 'Raccord mixte mâle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.54000000, NULL, 17.08000000, 3.42000000, 0.00000000, 0.00000000, 20.50000000, 0, NULL, NULL, 0, 6.01000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.54000000, 17.08000000, 3.42000000, 20.50000000),
(4617, 750, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.18000000, NULL, 8.18000000, 1.64000000, 0.00000000, 0.00000000, 9.82000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.18000000, 8.18000000, 1.64000000, 9.82000000),
(4618, 750, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.39000000, NULL, 7.39000000, 1.48000000, 0.00000000, 0.00000000, 8.87000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 7.39000000, 1.48000000, 8.87000000),
(4619, 750, NULL, 1080012, NULL, 'Manchon d\'extrémité diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.53000000, NULL, 4.53000000, 0.91000000, 0.00000000, 0.00000000, 5.44000000, 0, NULL, NULL, 0, 3.19000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.53000000, 4.53000000, 0.91000000, 5.44000000),
(4620, 751, NULL, NULL, '1 Maintenance compresseur L29RS :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4621, 751, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 658.62000000, NULL, 658.62000000, 131.72000000, 0.00000000, 0.00000000, 790.34000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 658.62000000, 658.62000000, 131.72000000, 790.34000000),
(4622, 751, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.52000000, NULL, 7.52000000, 1.50000000, 0.00000000, 0.00000000, 9.02000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.52000000, 7.52000000, 1.50000000, 9.02000000),
(4623, 751, NULL, 1179651, NULL, 'SERVICE KIT D L23RS-L29RS replaced', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1624.17000000, NULL, 1624.17000000, 324.83000000, 0.00000000, 0.00000000, 1949.00000000, 0, NULL, NULL, 0, 554.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1624.17000000, 1624.17000000, 324.83000000, 1949.00000000),
(4624, 751, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4625, 751, NULL, NULL, '2 Maintenance filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4626, 751, NULL, 952677, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.45000000, NULL, 156.45000000, 31.29000000, 0.00000000, 0.00000000, 187.74000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.45000000, 156.45000000, 31.29000000, 187.74000000),
(4627, 751, NULL, 952676, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.45000000, NULL, 156.45000000, 31.29000000, 0.00000000, 0.00000000, 187.74000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.45000000, 156.45000000, 31.29000000, 187.74000000),
(4628, 751, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4629, 751, NULL, NULL, '3 Maintenance separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4630, 751, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(4631, 751, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4632, 752, NULL, 1297919, NULL, 'flexible complet', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 98.02000000, NULL, 98.02000000, 19.60000000, 0.00000000, 0.00000000, 117.62000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 98.02000000, 98.02000000, 19.60000000, 117.62000000),
(4633, 752, NULL, 1297918, NULL, 'suceur biseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.96000000, NULL, 5.96000000, 1.19000000, 0.00000000, 0.00000000, 7.15000000, 0, NULL, NULL, 0, 2.96000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.96000000, 5.96000000, 1.19000000, 7.15000000),
(4634, 752, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.00000000, NULL, 10.00000000, 2.00000000, 0.00000000, 0.00000000, 12.00000000, 0, NULL, NULL, 0, 8.76000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.00000000, 10.00000000, 2.00000000, 12.00000000),
(4641, 754, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4642, 754, NULL, 1231749, NULL, 'prix au KG', 20.000, '', 0.000, '0', 0.000, '0', 500, 0, 0, NULL, 5.28000000, NULL, 2640.00000000, 528.00000000, 0.00000000, 0.00000000, 3168.00000000, 0, NULL, NULL, 0, 2.90000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.28000000, 2640.00000000, 528.00000000, 3168.00000000),
(4643, 754, NULL, 1231706, NULL, 'recyclage alumine au kg', 20.000, '', 0.000, '0', 0.000, '0', 500, 0, 0, NULL, 0.65000000, NULL, 325.00000000, 65.00000000, 0.00000000, 0.00000000, 390.00000000, 0, NULL, NULL, 0, 0.45000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.65000000, 325.00000000, 65.00000000, 390.00000000),
(4644, 754, NULL, 1245852, NULL, 'grade : HF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 201.40000000, NULL, 201.40000000, 40.28000000, 0.00000000, 0.00000000, 241.68000000, 0, NULL, NULL, 0, 120.84000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 201.40000000, 201.40000000, 40.28000000, 241.68000000),
(4645, 754, NULL, 1245852, NULL, 'grade : QF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 201.40000000, NULL, 201.40000000, 40.28000000, 0.00000000, 0.00000000, 241.68000000, 0, NULL, NULL, 0, 120.84000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 201.40000000, 201.40000000, 40.28000000, 241.68000000),
(4646, 754, NULL, 1245852, NULL, 'grade : PF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 201.40000000, NULL, 201.40000000, 40.28000000, 0.00000000, 0.00000000, 241.68000000, 0, NULL, NULL, 0, 120.84000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 201.40000000, 201.40000000, 40.28000000, 241.68000000),
(4647, 755, NULL, 1190357, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 332.50000000, NULL, 332.50000000, 66.50000000, 0.00000000, 0.00000000, 399.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 332.50000000, 332.50000000, 66.50000000, 399.00000000),
(4648, 755, NULL, 1190357, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 332.50000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 332.50000000, 0.00000000, 0.00000000, 0.00000000),
(4649, 755, NULL, NULL, NULL, 'BL N° 43 du 19/09/2018', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4650, 755, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4651, 755, NULL, NULL, NULL, 'BL N°50 du 03/09/2018', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4652, 755, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4653, 756, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 52, 0, 0, NULL, 0.97000000, NULL, 50.44000000, 10.09000000, 0.00000000, 0.00000000, 60.53000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 50.44000000, 10.09000000, 60.53000000),
(4654, 756, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(4655, 756, NULL, NULL, NULL, 'tube PHI710913', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 49.40000000, NULL, 98.80000000, 19.76000000, 0.00000000, 0.00000000, 118.56000000, 0, NULL, NULL, 0, 24.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 49.40000000, 98.80000000, 19.76000000, 118.56000000),
(4656, 757, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(4657, 757, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(4658, 757, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.97000000, NULL, 18.97000000, 3.79000000, 0.00000000, 0.00000000, 22.76000000, 0, NULL, NULL, 0, 9.21000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.97000000, 18.97000000, 3.79000000, 22.76000000),
(4659, 757, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4660, 757, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4661, 757, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(4662, 758, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4663, 758, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4664, 758, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(4665, 758, NULL, 1222588, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(4666, 758, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(4667, 758, NULL, 969229, NULL, 'Cartouche 3 microns pour F602', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 47.60000000, NULL, 47.60000000, 9.52000000, 0.00000000, 0.00000000, 57.12000000, 0, NULL, NULL, 0, 26.18000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 47.60000000, 47.60000000, 9.52000000, 57.12000000),
(4668, 758, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(4669, 759, NULL, 1190357, NULL, 'Forfait Dépannage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 320.00000000, NULL, 320.00000000, 64.00000000, 0.00000000, 0.00000000, 384.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 320.00000000, 320.00000000, 64.00000000, 384.00000000),
(4670, 759, NULL, 966656, NULL, 'Mamelon cylindrique G1/4x1/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 0.65000000, NULL, 1.30000000, 0.26000000, 0.00000000, 0.00000000, 1.56000000, 0, NULL, NULL, 0, 0.32500000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.65000000, 1.30000000, 0.26000000, 1.56000000),
(4671, 759, NULL, 966954, NULL, 'Croix égale FFFF G1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.15000000, NULL, 3.15000000, 0.63000000, 0.00000000, 0.00000000, 3.78000000, 0, NULL, NULL, 0, 1.57000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.15000000, 3.15000000, 0.63000000, 3.78000000),
(4672, 759, NULL, 966890, NULL, 'Bouchon M. cylindrique G1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.45000000, NULL, 0.45000000, 0.09000000, 0.00000000, 0.00000000, 0.54000000, 0, NULL, NULL, 0, 0.22500000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.45000000, 0.45000000, 0.09000000, 0.54000000),
(4673, 759, NULL, 971581, NULL, 'Raccord sécurité bouton M G1/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 19.59000000, NULL, 39.18000000, 7.84000000, 0.00000000, 0.00000000, 47.02000000, 0, NULL, NULL, 0, 9.51000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.59000000, 39.18000000, 7.84000000, 47.02000000),
(4674, 759, NULL, 966575, NULL, 'About M cylindrique G1/4 tuy.6', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 0.95000000, NULL, 1.90000000, 0.38000000, 0.00000000, 0.00000000, 2.28000000, 0, NULL, NULL, 0, 0.47500000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 1.90000000, 0.38000000, 2.28000000),
(4675, 759, NULL, NULL, NULL, 'regulateur 1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 88.00000000, NULL, 88.00000000, 17.60000000, 0.00000000, 0.00000000, 105.60000000, 0, NULL, NULL, 0, 52.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.00000000, 88.00000000, 17.60000000, 105.60000000),
(4676, 760, NULL, NULL, NULL, 'Rollair 1400B', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4677, 760, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4678, 760, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4679, 760, NULL, 955130, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 94.18000000, NULL, 94.18000000, 18.84000000, 0.00000000, 0.00000000, 113.02000000, 0, NULL, NULL, 0, 45.72000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 94.18000000, 94.18000000, 18.84000000, 113.02000000),
(4680, 760, NULL, 954039, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.57000000, NULL, 11.57000000, 2.31000000, 0.00000000, 0.00000000, 13.88000000, 0, NULL, NULL, 0, 5.62000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.57000000, 11.57000000, 2.31000000, 13.88000000),
(4681, 760, NULL, 952213, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.07000000, NULL, 10.07000000, 2.01000000, 0.00000000, 0.00000000, 12.08000000, 0, NULL, NULL, 0, 4.89000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.07000000, 10.07000000, 2.01000000, 12.08000000),
(4682, 760, NULL, 1222524, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 20.10000000, NULL, 40.20000000, 8.04000000, 0.00000000, 0.00000000, 48.24000000, 0, NULL, NULL, 0, 9.76000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.10000000, 40.20000000, 8.04000000, 48.24000000),
(4683, 760, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4684, 760, NULL, NULL, NULL, 'separateur de condensats Owamat 10 :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4685, 760, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(4686, 760, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4687, 760, NULL, NULL, NULL, 'Ingersollrand', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4688, 760, NULL, 1221757, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.12000000, NULL, 21.12000000, 4.22000000, 0.00000000, 0.00000000, 25.34000000, 0, NULL, NULL, 0, 10.25000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.12000000, 21.12000000, 4.22000000, 25.34000000),
(4689, 760, NULL, 1221780, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.02000000, NULL, 24.02000000, 4.80000000, 0.00000000, 0.00000000, 28.82000000, 0, NULL, NULL, 0, 11.66000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.02000000, 24.02000000, 4.80000000, 28.82000000),
(4690, 760, NULL, 1221740, NULL, 'separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.28000000, NULL, 78.28000000, 15.66000000, 0.00000000, 0.00000000, 93.94000000, 0, NULL, NULL, 0, 38.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.28000000, 78.28000000, 15.66000000, 93.94000000),
(4691, 760, NULL, 954294, NULL, 'huile ingersolrand COOLANT - 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.00000000, NULL, 117.00000000, 23.40000000, 0.00000000, 0.00000000, 140.40000000, 0, NULL, NULL, 0, 85.25000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.00000000, 117.00000000, 23.40000000, 140.40000000),
(4692, 760, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4693, 760, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4694, 760, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4695, 761, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2020-02-20 00:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(4696, 762, NULL, NULL, '1 Proposition d\'un secheur frigorifique', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4697, 762, NULL, NULL, NULL, '<p>Secheur dispo ce jour</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4698, 762, NULL, 952816, NULL, 'secheur à réfrigération 108m3/h rac 3/4\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 1413.00000000, NULL, 1130.40000000, 226.08000000, 0.00000000, 0.00000000, 1356.48000000, 0, NULL, NULL, 0, 706.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1413.00000000, 1130.40000000, 226.08000000, 1356.48000000),
(4699, 762, NULL, NULL, NULL, '<p>1 Filtre 105 RA ou RB dispo ce jour</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4700, 762, NULL, 952631, NULL, 'filtre reseau R1/2 grade 1µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 199.82000000, NULL, 169.85000000, 33.97000000, 0.00000000, 0.00000000, 203.82000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 169.85000000, 33.97000000, 203.82000000),
(4701, 762, NULL, 952630, NULL, 'filtre BEA105ra 1/2\'\' grade 0.01µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 199.82000000, NULL, 169.85000000, 33.97000000, 0.00000000, 0.00000000, 203.82000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 169.85000000, 33.97000000, 203.82000000),
(4702, 762, NULL, NULL, 'Sous-total Proposition d\'un secheur frigorifique', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4703, 762, NULL, 967469, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.55000000, NULL, 26.20000000, 5.24000000, 0.00000000, 0.00000000, 31.44000000, 0, NULL, NULL, 0, 3.27000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.55000000, 26.20000000, 5.24000000, 31.44000000),
(4704, 762, NULL, 972063, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 7.80000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 3.79000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.80000000, 39.00000000, 7.80000000, 46.80000000),
(4705, 763, NULL, NULL, NULL, 'fin de financement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.00000000, NULL, 1.00000000, 0.20000000, 0.00000000, 0.00000000, 1.20000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.00000000, 1.00000000, 0.20000000, 1.20000000),
(4706, 764, NULL, 1297925, NULL, 'filtre complet', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 57.68000000, NULL, 115.36000000, 23.07000000, 0.00000000, 0.00000000, 138.43000000, 0, NULL, NULL, 0, 28.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.68000000, 115.36000000, 23.07000000, 138.43000000),
(4707, 764, NULL, 1230675, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 29.75000000, NULL, 59.50000000, 11.90000000, 0.00000000, 0.00000000, 71.40000000, 0, NULL, NULL, 0, 19.61000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.75000000, 59.50000000, 11.90000000, 71.40000000),
(4708, 764, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(4709, 764, NULL, 1223578, NULL, 'FRAIS DE PORT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 18.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 18.00000000, 3.60000000, 21.60000000),
(4710, 765, NULL, 1188740, NULL, 'Compresseur L11RS 7,5 Bars vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7474.23000000, NULL, 7474.23000000, 1494.85000000, 0.00000000, 0.00000000, 8969.08000000, 0, NULL, NULL, 0, 5750.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 7474.23000000, 7474.23000000, 1494.85000000, 8969.08000000),
(4711, 765, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.32000000, NULL, 77.32000000, 15.46000000, 0.00000000, 0.00000000, 92.78000000, 0, NULL, NULL, 0, 115.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 77.32000000, 77.32000000, 15.46000000, 92.78000000),
(4712, 765, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 3.69000000, NULL, 14.76000000, 2.95000000, 0.00000000, 0.00000000, 17.71000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 3.69000000, 14.76000000, 2.95000000, 17.71000000),
(4713, 765, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.55000000, NULL, 5.10000000, 1.02000000, 0.00000000, 0.00000000, 6.12000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 2.55000000, 5.10000000, 1.02000000, 6.12000000),
(4714, 765, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 4.03000000, NULL, 24.18000000, 4.84000000, 0.00000000, 0.00000000, 29.02000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 4.03000000, 24.18000000, 4.84000000, 29.02000000),
(4715, 765, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 12.72000000, NULL, 50.88000000, 10.18000000, 0.00000000, 0.00000000, 61.06000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 12.72000000, 50.88000000, 10.18000000, 61.06000000),
(4716, 765, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 0.68000000, NULL, 2.72000000, 0.54000000, 0.00000000, 0.00000000, 3.26000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.68000000, 2.72000000, 0.54000000, 3.26000000),
(4717, 765, NULL, 966694, NULL, 'Mamelon conique G1/4x3/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.28000000, NULL, 2.56000000, 0.51000000, 0.00000000, 0.00000000, 3.07000000, 0, NULL, NULL, 0, 1.07500000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 1.28000000, 2.56000000, 0.51000000, 3.07000000),
(4718, 765, NULL, 966737, NULL, 'Réduction conique M/F G1\"x3/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.35000000, NULL, 4.70000000, 0.94000000, 0.00000000, 0.00000000, 5.64000000, 0, NULL, NULL, 0, 1.97000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 2.35000000, 4.70000000, 0.94000000, 5.64000000),
(4719, 765, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1873.61000000, NULL, 1873.61000000, 374.72000000, 0.00000000, 0.00000000, 2248.33000000, 0, NULL, NULL, 0, 1050.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 1873.61000000, 1873.61000000, 374.72000000, 2248.33000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(4720, 766, NULL, NULL, NULL, 'Acompte', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2300.00000000, NULL, 2300.00000000, 460.00000000, 0.00000000, 0.00000000, 2760.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2300.00000000, 2300.00000000, 460.00000000, 2760.00000000),
(4723, 767, NULL, NULL, NULL, 'tube PHI710913', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, -49.40000000, NULL, -98.80000000, -19.76000000, 0.00000000, 0.00000000, -118.56000000, 0, NULL, NULL, 0, 24.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -49.40000000, -98.80000000, -19.76000000, -118.56000000),
(4725, 768, NULL, 1179627, NULL, 'MINOR KIT C L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 307.16000000, NULL, 307.16000000, 61.43000000, 0.00000000, 0.00000000, 368.59000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 307.16000000, 307.16000000, 61.43000000, 368.59000000),
(4726, 768, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4727, 768, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(4728, 768, NULL, 1213335, NULL, 'CARTOUCHE E75 1\"1/2 FILTRE S-AIR XA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.68000000, NULL, 160.68000000, 32.14000000, 0.00000000, 0.00000000, 192.82000000, 0, NULL, NULL, 0, 78.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.68000000, 160.68000000, 32.14000000, 192.82000000),
(4729, 768, NULL, 1213333, NULL, 'CARTOUCHE E75 1\"1/2 FILTRE S-AIR X1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.68000000, NULL, 160.68000000, 32.14000000, 0.00000000, 0.00000000, 192.82000000, 0, NULL, NULL, 0, 78.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.68000000, 160.68000000, 32.14000000, 192.82000000),
(4730, 768, NULL, 1179655, NULL, 'SEPARATOR KIT D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 499.78000000, NULL, 499.78000000, 99.96000000, 0.00000000, 0.00000000, 599.74000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 499.78000000, 499.78000000, 99.96000000, 599.74000000),
(4731, 768, NULL, 1222641, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 512.28000000, NULL, 512.28000000, 102.46000000, 0.00000000, 0.00000000, 614.74000000, 0, NULL, NULL, 0, 385.17000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 512.28000000, 512.28000000, 102.46000000, 614.74000000),
(4732, 769, NULL, NULL, NULL, 'batterie&nbsp;<span style=\"font-size:small\">30702029501 </span>', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 103.50000000, NULL, 103.50000000, 20.70000000, 0.00000000, 0.00000000, 124.20000000, 0, NULL, NULL, 0, 69.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.50000000, 103.50000000, 20.70000000, 124.20000000),
(4733, 770, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4734, 770, NULL, 1222593, NULL, 'courroies_optibelt', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(4735, 770, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(4736, 770, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(4737, 770, NULL, 952657, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(4738, 770, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(4739, 770, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.00000000, NULL, 77.00000000, 15.40000000, 0.00000000, 0.00000000, 92.40000000, 0, NULL, NULL, 0, 47.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.00000000, 77.00000000, 15.40000000, 92.40000000),
(4740, 771, NULL, 954045, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(4741, 771, NULL, 951970, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.06000000, NULL, 9.06000000, 1.81000000, 0.00000000, 0.00000000, 10.87000000, 0, NULL, NULL, 0, 4.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.06000000, 9.06000000, 1.81000000, 10.87000000),
(4742, 771, NULL, 954296, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 56.56000000, NULL, 56.56000000, 11.31000000, 0.00000000, 0.00000000, 67.87000000, 0, NULL, NULL, 0, 27.46000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.56000000, 56.56000000, 11.31000000, 67.87000000),
(4743, 771, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 30.90000000, NULL, 92.70000000, 18.54000000, 0.00000000, 0.00000000, 111.24000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 92.70000000, 18.54000000, 111.24000000),
(4745, 771, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4746, 771, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4747, 771, NULL, 1222572, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.99000000, NULL, 33.98000000, 6.80000000, 0.00000000, 0.00000000, 40.78000000, 0, NULL, NULL, 0, 8.84000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.99000000, 33.98000000, 6.80000000, 40.78000000),
(4748, 772, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4749, 772, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4750, 772, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(4751, 772, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(4752, 772, NULL, 955041, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(4753, 772, NULL, 952001, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.37000000, NULL, 33.37000000, 6.67000000, 0.00000000, 0.00000000, 40.04000000, 0, NULL, NULL, 0, 16.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.37000000, 33.37000000, 6.67000000, 40.04000000),
(4754, 772, NULL, 1222578, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.66000000, NULL, 55.98000000, 11.20000000, 0.00000000, 0.00000000, 67.18000000, 0, NULL, NULL, 0, 9.06000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.66000000, 55.98000000, 11.20000000, 67.18000000),
(4755, 772, NULL, 952657, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(4756, 772, NULL, 1190568, NULL, 'bouton d\'arret d\'urgence', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.92000000, NULL, 65.92000000, 13.18000000, 0.00000000, 0.00000000, 79.10000000, 0, NULL, NULL, 0, 32.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.92000000, 65.92000000, 13.18000000, 79.10000000),
(4757, 773, NULL, 1245958, NULL, 'Partie fixe  Carbure/Viton enrobé FEP - PTFE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 62.35000000, NULL, 62.35000000, 12.47000000, 0.00000000, 0.00000000, 74.82000000, 0, NULL, NULL, 0, 41.57000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 62.35000000, 62.35000000, 12.47000000, 74.82000000),
(4758, 773, NULL, 1245956, NULL, 'Partie fixe en carbure/viton', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.00000000, NULL, 52.00000000, 10.40000000, 0.00000000, 0.00000000, 62.40000000, 0, NULL, NULL, 0, 28.63000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.00000000, 52.00000000, 10.40000000, 62.40000000),
(4759, 773, NULL, 1245957, NULL, 'Garniture complète  Carbone/carbure/viton-enrobé FEP- PTFE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 132.00000000, NULL, 132.00000000, 26.40000000, 0.00000000, 0.00000000, 158.40000000, 0, NULL, NULL, 0, 87.42000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 132.00000000, 132.00000000, 26.40000000, 158.40000000),
(4760, 773, NULL, 1245959, NULL, 'Port fournisseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.00000000, NULL, 17.00000000, 3.40000000, 0.00000000, 0.00000000, 20.40000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.00000000, 17.00000000, 3.40000000, 20.40000000),
(4761, 773, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(4762, 773, NULL, 1190776, NULL, 'nombre de kilometres', 20.000, '', 0.000, '0', 0.000, '0', 80, 0, 0, NULL, 0.95000000, NULL, 76.00000000, 15.20000000, 0.00000000, 0.00000000, 91.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 76.00000000, 15.20000000, 91.20000000),
(4763, 774, NULL, 971953, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 2.90000000, NULL, 145.00000000, 29.00000000, 0.00000000, 0.00000000, 174.00000000, 0, NULL, NULL, 0, 1.59500000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.90000000, 145.00000000, 29.00000000, 174.00000000),
(4764, 774, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 7.5, 0, 0, NULL, 63.84000000, NULL, 478.80000000, 95.76000000, 0.00000000, 0.00000000, 574.56000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 478.80000000, 95.76000000, 574.56000000),
(4765, 774, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.97000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 58.20000000, 11.64000000, 69.84000000),
(4766, 775, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4767, 775, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4768, 775, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(4769, 775, NULL, 1221761, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.81000000, NULL, 16.81000000, 3.36000000, 0.00000000, 0.00000000, 20.17000000, 0, NULL, NULL, 0, 8.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.81000000, 16.81000000, 3.36000000, 20.17000000),
(4770, 775, NULL, 955022, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 137.81000000, NULL, 137.81000000, 27.56000000, 0.00000000, 0.00000000, 165.37000000, 0, NULL, NULL, 0, 66.90000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 137.81000000, 137.81000000, 27.56000000, 165.37000000),
(4771, 775, NULL, 1221774, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.14000000, NULL, 19.14000000, 3.83000000, 0.00000000, 0.00000000, 22.97000000, 0, NULL, NULL, 0, 9.38000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.14000000, 19.14000000, 3.83000000, 22.97000000),
(4772, 776, NULL, 1222640, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(4773, 776, NULL, 1222642, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4774, 777, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 259.47000000, NULL, 259.47000000, 51.89000000, 0.00000000, 0.00000000, 311.36000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 259.47000000, 259.47000000, 51.89000000, 311.36000000),
(4775, 777, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4776, 777, NULL, 1231739, NULL, 'cartouche filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.88000000, NULL, 39.88000000, 7.98000000, 0.00000000, 0.00000000, 47.86000000, 0, NULL, NULL, 0, 24.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.88000000, 39.88000000, 7.98000000, 47.86000000),
(4778, 777, NULL, 1230676, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 18.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 18.00000000, 3.60000000, 21.60000000),
(4779, 777, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.64000000, NULL, 24.64000000, 4.93000000, 0.00000000, 0.00000000, 29.57000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.64000000, 24.64000000, 4.93000000, 29.57000000),
(4780, 778, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(4781, 778, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(4782, 778, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(4783, 778, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(4784, 778, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(4785, 778, NULL, NULL, NULL, '00716 - courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.00000000, NULL, 10.00000000, 2.00000000, 0.00000000, 0.00000000, 12.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.00000000, 10.00000000, 2.00000000, 12.00000000),
(4786, 778, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(4787, 778, NULL, 952661, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(4788, 779, NULL, NULL, NULL, 'F20202200 regulateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 69.00000000, NULL, 69.00000000, 13.80000000, 0.00000000, 0.00000000, 82.80000000, 0, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 69.00000000, 69.00000000, 13.80000000, 82.80000000),
(4789, 779, NULL, 968840, NULL, 'precision 1 graduation = 55 gr', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.30000000, NULL, 7.30000000, 1.46000000, 0.00000000, 0.00000000, 8.76000000, 0, NULL, NULL, 0, 4.01500000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.30000000, 7.30000000, 1.46000000, 8.76000000),
(4790, 779, NULL, 972929, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 17.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(4791, 780, NULL, NULL, '1 Local Air Comprimé', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4792, 780, NULL, 1220934, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2900.00000000, NULL, 2900.00000000, 580.00000000, 0.00000000, 0.00000000, 3480.00000000, 0, NULL, NULL, 0, 2376.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2900.00000000, 2900.00000000, 580.00000000, 3480.00000000),
(4793, 780, NULL, 1245929, NULL, 'Sécheur par réfrigération 34.8 m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 578.00000000, NULL, 578.00000000, 115.60000000, 0.00000000, 0.00000000, 693.60000000, 0, NULL, NULL, 0, 444.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 578.00000000, 578.00000000, 115.60000000, 693.60000000),
(4794, 780, NULL, 1245930, NULL, 'Filtre Réseau fin 1micron', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.00000000, NULL, 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 115.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(4795, 780, NULL, 1219935, NULL, 'RESERV. AIR COMPRIME GALVA 500L-15b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 890.00000000, NULL, 890.00000000, 178.00000000, 0.00000000, 0.00000000, 1068.00000000, 0, NULL, NULL, 0, 639.16000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 890.00000000, 890.00000000, 178.00000000, 1068.00000000),
(4796, 780, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(4797, 780, NULL, 1190340, NULL, 'Fournitures plomberies', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 320.00000000, NULL, 320.00000000, 64.00000000, 0.00000000, 0.00000000, 384.00000000, 0, NULL, NULL, 0, 280.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 320.00000000, 320.00000000, 64.00000000, 384.00000000),
(4798, 780, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 490.00000000, NULL, 490.00000000, 98.00000000, 0.00000000, 0.00000000, 588.00000000, 0, NULL, NULL, 0, 380.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 490.00000000, 490.00000000, 98.00000000, 588.00000000),
(4799, 780, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4800, 781, NULL, 1245950, NULL, 'bulbe seul', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.00000000, NULL, 63.00000000, 12.60000000, 0.00000000, 0.00000000, 75.60000000, 0, NULL, NULL, 0, 29.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.00000000, 63.00000000, 12.60000000, 75.60000000),
(4801, 781, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(4802, 781, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 54, 0, 0, NULL, 0.97000000, NULL, 52.38000000, 10.48000000, 0.00000000, 0.00000000, 62.86000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 52.38000000, 10.48000000, 62.86000000),
(4803, 782, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(4804, 782, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4805, 782, NULL, 1222181, NULL, 'Huile anderol ANDEROL FGXL 46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 464.32000000, NULL, 464.32000000, 92.86000000, 0.00000000, 0.00000000, 557.18000000, 0, NULL, NULL, 0, 225.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 464.32000000, 464.32000000, 92.86000000, 557.18000000),
(4806, 782, NULL, 1230990, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 407.10000000, NULL, 407.10000000, 81.42000000, 0.00000000, 0.00000000, 488.52000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.10000000, 407.10000000, 81.42000000, 488.52000000),
(4807, 782, NULL, 1230993, NULL, 'SEPARATOR KIT DS  L30 RS-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 625.30000000, NULL, 625.30000000, 125.06000000, 0.00000000, 0.00000000, 750.36000000, 0, NULL, NULL, 0, 385.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 625.30000000, 625.30000000, 125.06000000, 750.36000000),
(4808, 782, NULL, 953186, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 191.25000000, NULL, 191.25000000, 38.25000000, 0.00000000, 0.00000000, 229.50000000, 0, NULL, NULL, 0, 92.84000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 191.25000000, 191.25000000, 38.25000000, 229.50000000),
(4809, 782, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(4810, 783, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(4811, 784, NULL, 952661, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(4812, 785, NULL, NULL, NULL, 'Maintenance L11RS sous contrat lissé', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4813, 785, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.53000000, NULL, 358.53000000, 71.71000000, 0.00000000, 0.00000000, 430.24000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.53000000, 358.53000000, 71.71000000, 430.24000000),
(4814, 785, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 66.46000000, NULL, 66.46000000, 13.29000000, 0.00000000, 0.00000000, 79.75000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 66.46000000, 66.46000000, 13.29000000, 79.75000000),
(4815, 785, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.09000000, NULL, 4.09000000, 0.82000000, 0.00000000, 0.00000000, 4.91000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.09000000, 4.09000000, 0.82000000, 4.91000000),
(4816, 785, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.46000000, NULL, 109.46000000, 21.89000000, 0.00000000, 0.00000000, 131.35000000, 0, NULL, NULL, 0, 74.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.46000000, 109.46000000, 21.89000000, 131.35000000),
(4817, 785, NULL, 1230901, NULL, 'SEPARATOR ST005 0-0101/SP015-022', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.47000000, NULL, 196.47000000, 39.29000000, 0.00000000, 0.00000000, 235.76000000, 0, NULL, NULL, 0, 133.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.47000000, 196.47000000, 39.29000000, 235.76000000),
(4818, 785, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 15.57000000, NULL, 31.14000000, 6.23000000, 0.00000000, 0.00000000, 37.37000000, 0, NULL, NULL, 0, 8.53000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.57000000, 31.14000000, 6.23000000, 37.37000000),
(4819, 785, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4820, 785, NULL, NULL, NULL, 'filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4821, 785, NULL, 953660, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 145.51000000, NULL, 145.51000000, 29.10000000, 0.00000000, 0.00000000, 174.61000000, 0, NULL, NULL, 0, 64.29000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 145.51000000, 145.51000000, 29.10000000, 174.61000000),
(4822, 785, NULL, 953659, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 145.51000000, NULL, 145.51000000, 29.10000000, 0.00000000, 0.00000000, 174.61000000, 0, NULL, NULL, 0, 64.29000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 145.51000000, 145.51000000, 29.10000000, 174.61000000),
(4823, 785, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4824, 785, NULL, NULL, NULL, 'Separateur de condensats PURO MINI :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4825, 785, NULL, 1297961, NULL, 'kit pour sep de cond puro mini', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 195.31000000, NULL, 195.31000000, 39.06000000, 0.00000000, 0.00000000, 234.37000000, 0, NULL, NULL, 0, 103.23000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 195.31000000, 195.31000000, 39.06000000, 234.37000000),
(4826, 785, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4827, 786, NULL, 1179662, NULL, 'SEPARATOR KIT D            L55-L75+L75SR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 912.90000000, NULL, 912.90000000, 182.58000000, 0.00000000, 0.00000000, 1095.48000000, 0, NULL, NULL, 0, 461.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 912.90000000, 912.90000000, 182.58000000, 1095.48000000),
(4828, 786, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(4829, 786, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 277.00000000, NULL, 554.00000000, 110.80000000, 0.00000000, 0.00000000, 664.80000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 554.00000000, 110.80000000, 664.80000000),
(4830, 786, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4831, 786, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4832, 787, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2020-02-20 00:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(4833, 788, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(4834, 789, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(4835, 790, NULL, NULL, NULL, '<p>Les moyens de manutention sont &agrave; la charge du client ainsi que les travaux&nbsp;necessaires pour l&#39;enlevement de la cuve existante ou pour la mise en place du reservoir &agrave; installer.</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4836, 790, NULL, NULL, '2 Option N°2: 2 techniciens SFACS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4837, 790, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 63.84000000, NULL, 1021.44000000, 204.29000000, 0.00000000, 0.00000000, 1225.73000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 1021.44000000, 204.29000000, 1225.73000000),
(4838, 790, NULL, 1190776, NULL, 'nombre de kilometres', 20.000, '', 0.000, '0', 0.000, '0', 45, 0, 0, NULL, 0.95000000, NULL, 42.75000000, 8.55000000, 0.00000000, 0.00000000, 51.30000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 42.75000000, 8.55000000, 51.30000000),
(4839, 790, NULL, 1223700, NULL, 'Fourniture Plomberie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.00000000, NULL, 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.00000000, 130.00000000, 26.00000000, 156.00000000),
(4840, 790, NULL, 1190336, NULL, 'repas', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.50000000, NULL, 37.00000000, 7.40000000, 0.00000000, 0.00000000, 44.40000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.50000000, 37.00000000, 7.40000000, 44.40000000),
(4841, 790, NULL, 1079996, NULL, 'Manchon diamètre extérieur 54', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 8.12000000, NULL, 32.48000000, 6.50000000, 0.00000000, 0.00000000, 38.98000000, 0, NULL, NULL, 0, 5.72000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.12000000, 32.48000000, 6.50000000, 38.98000000),
(4842, 790, NULL, 1079968, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 54.2\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 54.47000000, NULL, 217.88000000, 43.58000000, 0.00000000, 0.00000000, 261.46000000, 0, NULL, NULL, 0, 38.36000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 54.47000000, 217.88000000, 43.58000000, 261.46000000),
(4843, 790, NULL, 1079790, NULL, 'Courbe à 90° diamètre extérieur 54', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 26.66000000, NULL, 159.96000000, 31.99000000, 0.00000000, 0.00000000, 191.95000000, 0, NULL, NULL, 0, 18.78000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.66000000, 159.96000000, 31.99000000, 191.95000000),
(4844, 790, NULL, 1079820, NULL, 'Coude à 45° diam. ext. 54', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 20.75000000, NULL, 83.00000000, 16.60000000, 0.00000000, 0.00000000, 99.60000000, 0, NULL, NULL, 0, 14.61000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.75000000, 83.00000000, 16.60000000, 99.60000000),
(4845, 790, NULL, 966509, NULL, 'Vanne F/F G2\" PN25 DN50', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 43.85000000, NULL, 131.55000000, 26.31000000, 0.00000000, 0.00000000, 157.86000000, 0, NULL, NULL, 0, 21.29000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 43.85000000, 131.55000000, 26.31000000, 157.86000000),
(4846, 790, NULL, 1079938, NULL, 'Raccord mixte mâle diam. ext. 54.2\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 24.48000000, NULL, 97.92000000, 19.58000000, 0.00000000, 0.00000000, 117.50000000, 0, NULL, NULL, 0, 17.24000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.48000000, 97.92000000, 19.58000000, 117.50000000),
(4847, 790, NULL, 1079855, NULL, 'Té égal diam. ext. 54', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.30000000, NULL, 42.60000000, 8.52000000, 0.00000000, 0.00000000, 51.12000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.30000000, 42.60000000, 8.52000000, 51.12000000),
(4848, 790, NULL, NULL, 'Sous-total Option N°2: 2 techniciens SFACS', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4849, 790, NULL, NULL, NULL, 'Maintenance compresseur :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4850, 790, NULL, 955029, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 124.98000000, NULL, 124.98000000, 25.00000000, 0.00000000, 0.00000000, 149.98000000, 0, NULL, NULL, 0, 60.67000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 124.98000000, 124.98000000, 25.00000000, 149.98000000),
(4851, 790, NULL, 955240, NULL, 'KIT POUR SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 38.11000000, NULL, 38.11000000, 7.62000000, 0.00000000, 0.00000000, 45.73000000, 0, NULL, NULL, 0, 18.50000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.11000000, 38.11000000, 7.62000000, 45.73000000),
(4852, 790, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(4853, 790, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(4854, 790, NULL, NULL, NULL, 'relai', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.00000000, NULL, 19.00000000, 3.80000000, 0.00000000, 0.00000000, 22.80000000, 0, NULL, NULL, 0, 13.00000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.00000000, 19.00000000, 3.80000000, 22.80000000),
(4855, 790, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4856, 791, NULL, 1218069, NULL, 'SOUPAPE 2800/F18 1\" 10.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.00000000, NULL, 99.00000000, 19.80000000, 0.00000000, 0.00000000, 118.80000000, 0, NULL, NULL, 0, 48.06000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.00000000, 99.00000000, 19.80000000, 118.80000000),
(4857, 791, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.30000000, NULL, 10.30000000, 2.06000000, 0.00000000, 0.00000000, 12.36000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 10.30000000, 2.06000000, 12.36000000),
(4858, 791, NULL, 1211823, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.00000000, NULL, 21.00000000, 4.20000000, 0.00000000, 0.00000000, 25.20000000, 0, NULL, NULL, 0, 21.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.00000000, 21.00000000, 4.20000000, 25.20000000),
(4859, 792, NULL, 1221389, NULL, 'PONCEUSE ORBITALE 2,5MM Ø150MM AUTO-AG. 8951072231', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 159.48000000, NULL, 159.48000000, 31.90000000, 0.00000000, 0.00000000, 191.38000000, 0, NULL, NULL, 0, 85.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 159.48000000, 159.48000000, 31.90000000, 191.38000000),
(4860, 792, NULL, 1223624, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(4861, 793, NULL, 1297926, NULL, 'Compresseur à Piston', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 636.00000000, NULL, 636.00000000, 127.20000000, 0.00000000, 0.00000000, 763.20000000, 0, NULL, NULL, 0, 489.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 636.00000000, 636.00000000, 127.20000000, 763.20000000),
(4862, 793, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 55.00000000, NULL, 55.00000000, 11.00000000, 0.00000000, 0.00000000, 66.00000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 55.00000000, 55.00000000, 11.00000000, 66.00000000),
(4863, 793, NULL, 968362, NULL, 'Enrouleur fermé ABS Ø10 20m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 163.00000000, NULL, 163.00000000, 32.60000000, 0.00000000, 0.00000000, 195.60000000, 0, NULL, NULL, 0, 126.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 163.00000000, 163.00000000, 32.60000000, 195.60000000),
(4864, 794, NULL, NULL, NULL, 'CLA136 clapet anti retour', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.00000000, NULL, 21.00000000, 4.20000000, 0.00000000, 0.00000000, 25.20000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.00000000, 21.00000000, 4.20000000, 25.20000000),
(4865, 794, NULL, 1190374, NULL, 'Forfait intervention ZONE A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 221.10000000, NULL, 221.10000000, 44.22000000, 0.00000000, 0.00000000, 265.32000000, 0, NULL, NULL, 0, 199.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 221.10000000, 221.10000000, 44.22000000, 265.32000000),
(4866, 795, NULL, NULL, NULL, 'location hebdomadaire&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 250.00000000, NULL, 2000.00000000, 400.00000000, 0.00000000, 0.00000000, 2400.00000000, 1, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 2000.00000000, 400.00000000, 2400.00000000),
(4867, 796, NULL, 969796, NULL, 'Manchon égal Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 2.33000000, NULL, 9.32000000, 1.86000000, 0.00000000, 0.00000000, 11.18000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 9.32000000, 1.86000000, 11.18000000),
(4868, 796, NULL, 969798, NULL, 'Manchon égal Ø32mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 3.68000000, NULL, 14.72000000, 2.94000000, 0.00000000, 0.00000000, 17.66000000, 0, NULL, NULL, 0, 2.20800000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.68000000, 14.72000000, 2.94000000, 17.66000000),
(4869, 796, NULL, 969834, NULL, 'Té réduit au centre Ø32mm ? Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.75000000, NULL, 19.50000000, 3.90000000, 0.00000000, 0.00000000, 23.40000000, 0, NULL, NULL, 0, 5.85000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.75000000, 19.50000000, 3.90000000, 23.40000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(4870, 796, NULL, 969857, NULL, 'Col de cygne Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.41000000, NULL, 42.82000000, 8.56000000, 0.00000000, 0.00000000, 51.38000000, 0, NULL, NULL, 0, 12.84600000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.41000000, 42.82000000, 8.56000000, 51.38000000),
(4871, 796, NULL, 969870, NULL, 'Réduction double Ø32x20mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.13000000, NULL, 8.26000000, 1.65000000, 0.00000000, 0.00000000, 9.91000000, 0, NULL, NULL, 0, 2.47800000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.13000000, 8.26000000, 1.65000000, 9.91000000),
(4872, 797, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(4873, 797, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4874, 797, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(4875, 797, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(4876, 797, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 66.58000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(4877, 797, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.42000000, NULL, 52.26000000, 10.45000000, 0.00000000, 0.00000000, 62.71000000, 0, NULL, NULL, 0, 8.58000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 52.26000000, 10.45000000, 62.71000000),
(4878, 797, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(4879, 797, NULL, 1190716, NULL, 'monture à niveau compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.40000000, NULL, 82.40000000, 16.48000000, 0.00000000, 0.00000000, 98.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.40000000, 82.40000000, 16.48000000, 98.88000000),
(4880, 798, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(4881, 798, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(4882, 798, NULL, NULL, NULL, 'fusible', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4883, 799, NULL, 1110538, NULL, 'ATV320 Compact 0,75kW 380-500V IP20', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 520.00000000, NULL, 520.00000000, 104.00000000, 0.00000000, 0.00000000, 624.00000000, 0, NULL, NULL, 0, 399.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 520.00000000, 520.00000000, 104.00000000, 624.00000000),
(4884, 799, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 410.00000000, NULL, 410.00000000, 82.00000000, 0.00000000, 0.00000000, 492.00000000, 0, NULL, NULL, 0, 320.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 410.00000000, 410.00000000, 82.00000000, 492.00000000),
(4885, 800, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 317.93000000, NULL, 317.93000000, 63.59000000, 0.00000000, 0.00000000, 381.52000000, 0, NULL, NULL, 0, 239.04000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 317.93000000, 317.93000000, 63.59000000, 381.52000000),
(4886, 800, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4887, 800, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 171.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(4888, 800, NULL, 953180, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.55000000, NULL, 155.55000000, 31.11000000, 0.00000000, 0.00000000, 186.66000000, 0, NULL, NULL, 0, 75.51000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.55000000, 155.55000000, 31.11000000, 186.66000000),
(4889, 800, NULL, 952676, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.45000000, NULL, 156.45000000, 31.29000000, 0.00000000, 0.00000000, 187.74000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.45000000, 156.45000000, 31.29000000, 187.74000000),
(4890, 801, NULL, 1297920, NULL, 'pressostat 1 à 10 bars reglable NF à membrane 1/4 conique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.75000000, NULL, 118.75000000, 23.75000000, 0.00000000, 0.00000000, 142.50000000, 0, NULL, NULL, 0, 30.53000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.75000000, 118.75000000, 23.75000000, 142.50000000),
(4891, 801, NULL, 1190357, NULL, 'Forfait Dépannage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 280.00000000, NULL, 280.00000000, 56.00000000, 0.00000000, 0.00000000, 336.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 280.00000000, 280.00000000, 56.00000000, 336.00000000),
(4892, 802, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(4893, 802, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(4894, 803, NULL, 1231577, NULL, 'element filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.92000000, NULL, 25.84000000, 5.17000000, 0.00000000, 0.00000000, 31.01000000, 0, NULL, NULL, 0, 7.58000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.92000000, 25.84000000, 5.17000000, 31.01000000),
(4895, 803, NULL, 1231815, NULL, 'courroie A68 lg1755', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 31.29000000, NULL, 62.58000000, 12.52000000, 0.00000000, 0.00000000, 75.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 31.29000000, 62.58000000, 12.52000000, 75.10000000),
(4896, 803, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(4897, 803, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(4898, 804, NULL, 1245846, NULL, '- Filtre Submicronique en entr&eacute;e, mont&eacute;<br />\r\n- Filtre anti poussier en sortie , mont&eacute;&nbsp;<br />\r\n- Sonde Hygrom&eacute;trique<br />\r\n- R&eacute;f&eacute;rence Compair ZS1082175&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7800.00000000, NULL, 7800.00000000, 1560.00000000, 0.00000000, 0.00000000, 9360.00000000, 0, NULL, NULL, 0, 6510.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7800.00000000, 7800.00000000, 1560.00000000, 9360.00000000),
(4899, 804, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 648.70000000, NULL, 648.70000000, 129.74000000, 0.00000000, 0.00000000, 778.44000000, 0, NULL, NULL, 0, 499.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 648.70000000, 648.70000000, 129.74000000, 778.44000000),
(4900, 804, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 432.00000000, NULL, 432.00000000, 86.40000000, 0.00000000, 0.00000000, 518.40000000, 0, NULL, NULL, 0, 320.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 432.00000000, 432.00000000, 86.40000000, 518.40000000),
(4901, 804, NULL, 958254, NULL, 'ÖWAMAT 14 oil/water separatot with pre-separation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 999.00000000, NULL, 999.00000000, 199.80000000, 0.00000000, 0.00000000, 1198.80000000, 0, NULL, NULL, 0, 741.52000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 999.00000000, 999.00000000, 199.80000000, 1198.80000000),
(4902, 805, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(4903, 805, NULL, 952140, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(4904, 805, NULL, 954045, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(4905, 805, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 18.00000000, 3.60000000, 21.60000000),
(4906, 806, NULL, 1297932, NULL, 'Clapet à membrane 1\" /DA', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 133.35000000, NULL, 266.70000000, 53.34000000, 0.00000000, 0.00000000, 320.04000000, 0, NULL, NULL, 0, 88.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 133.35000000, 266.70000000, 53.34000000, 320.04000000),
(4907, 806, NULL, 1190357, NULL, 'Forfait Dépannage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(4908, 807, NULL, 1221305, NULL, 'PERCEUSE 10 MM NON REVERSIBLE MAS 8951073000', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 103.00000000, NULL, 309.00000000, 61.80000000, 0.00000000, 0.00000000, 370.80000000, 0, NULL, NULL, 0, 73.14000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.00000000, 309.00000000, 61.80000000, 370.80000000),
(4909, 807, NULL, 1243837, NULL, 'mandrin 13 mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 29.00000000, NULL, 58.00000000, 11.60000000, 0.00000000, 0.00000000, 69.60000000, 0, NULL, NULL, 0, 20.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.00000000, 58.00000000, 11.60000000, 69.60000000),
(4910, 807, NULL, 1243837, NULL, 'mandrin 13 mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 29.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 20.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.00000000, 0.00000000, 0.00000000, 0.00000000),
(4911, 808, NULL, 1297970, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.20000000, NULL, 79.20000000, 15.84000000, 0.00000000, 0.00000000, 95.04000000, 0, NULL, NULL, 0, 66.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.20000000, 79.20000000, 15.84000000, 95.04000000),
(4912, 808, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(4913, 809, NULL, 1297969, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 407.08000000, NULL, 814.16000000, 162.83000000, 0.00000000, 0.00000000, 976.99000000, 0, NULL, NULL, 0, 339.25000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.08000000, 814.16000000, 162.83000000, 976.99000000),
(4914, 809, NULL, 1297971, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.00000000, NULL, 85.00000000, 17.00000000, 0.00000000, 0.00000000, 102.00000000, 0, NULL, NULL, 0, 65.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.00000000, 85.00000000, 17.00000000, 102.00000000),
(4915, 809, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(4916, 809, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(4917, 810, NULL, 1245918, NULL, 'mont&eacute; sur cuve 270Litres<br />\r\n10 bars', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5388.83000000, NULL, 5388.83000000, 1077.77000000, 0.00000000, 0.00000000, 6466.60000000, 0, NULL, NULL, 0, 4981.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5388.83000000, 5388.83000000, 1077.77000000, 6466.60000000),
(4918, 810, NULL, 1222086, NULL, 'natte filtrante', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 33.27000000, NULL, 66.54000000, 13.31000000, 0.00000000, 0.00000000, 79.85000000, 0, NULL, NULL, 0, 28.32000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.27000000, 66.54000000, 13.31000000, 79.85000000),
(4919, 810, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 409.15000000, NULL, 409.15000000, 81.83000000, 0.00000000, 0.00000000, 490.98000000, 0, NULL, NULL, 0, 300.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 409.15000000, 409.15000000, 81.83000000, 490.98000000),
(4920, 810, NULL, 952630, NULL, 'filtre BEA105ra 1/2\'\' grade 0.01µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 135.48000000, NULL, 135.48000000, 27.10000000, 0.00000000, 0.00000000, 162.58000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 135.48000000, 135.48000000, 27.10000000, 162.58000000),
(4921, 811, NULL, NULL, '1 L29RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4922, 811, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 461.40000000, NULL, 461.40000000, 92.28000000, 0.00000000, 0.00000000, 553.68000000, 0, NULL, NULL, 0, 346.91000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 461.40000000, 461.40000000, 92.28000000, 553.68000000),
(4923, 811, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4924, 811, NULL, 1179651, NULL, 'SERVICE KIT D L23RS-L29RS replaced', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 972.50000000, NULL, 972.50000000, 194.50000000, 0.00000000, 0.00000000, 1167.00000000, 0, NULL, NULL, 0, 554.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 972.50000000, 972.50000000, 194.50000000, 1167.00000000),
(4925, 811, NULL, 1189337, NULL, 'filter ip 54/pfa40 000', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 148.40000000, NULL, 148.40000000, 29.68000000, 0.00000000, 0.00000000, 178.08000000, 0, NULL, NULL, 0, 89.04000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 148.40000000, 148.40000000, 29.68000000, 178.08000000),
(4926, 811, NULL, 1189338, NULL, 'filter pad pfa40 000', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.00000000, NULL, 26.00000000, 5.20000000, 0.00000000, 0.00000000, 31.20000000, 0, NULL, NULL, 0, 15.60000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.00000000, 26.00000000, 5.20000000, 31.20000000),
(4927, 811, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 291.60000000, NULL, 291.60000000, 58.32000000, 0.00000000, 0.00000000, 349.92000000, 0, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 291.60000000, 291.60000000, 58.32000000, 349.92000000),
(4928, 811, NULL, 1179723, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 468.40000000, NULL, 468.40000000, 93.68000000, 0.00000000, 0.00000000, 562.08000000, 0, NULL, NULL, 0, 281.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 468.40000000, 468.40000000, 93.68000000, 562.08000000),
(4929, 811, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4930, 811, NULL, NULL, NULL, 'Separateur de condensats BEKO :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4931, 811, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(4932, 811, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(4933, 811, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4934, 811, NULL, NULL, NULL, 'filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4935, 811, NULL, 952684, NULL, 'cartouche grade rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(4936, 811, NULL, 952658, NULL, 'cartouche grade ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(4937, 811, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4938, 812, NULL, NULL, NULL, 'Acompte', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2300.00000000, NULL, 2300.00000000, 460.00000000, 0.00000000, 0.00000000, 2760.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2300.00000000, 2300.00000000, 460.00000000, 2760.00000000),
(4939, 813, NULL, NULL, NULL, 'pour L37', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4940, 813, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 315.26000000, NULL, 315.26000000, 63.05000000, 0.00000000, 0.00000000, 378.31000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 315.26000000, 315.26000000, 63.05000000, 378.31000000),
(4941, 813, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4942, 813, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 171.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(4943, 813, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4944, 813, NULL, NULL, NULL, 'Pour L80', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4945, 813, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(4946, 813, NULL, 1179733, NULL, 'SERVICE PACKAGE  E          L55-L75 (A)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 849.30000000, NULL, 849.30000000, 169.86000000, 0.00000000, 0.00000000, 1019.16000000, 0, NULL, NULL, 0, 509.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 849.30000000, 849.30000000, 169.86000000, 1019.16000000),
(4947, 813, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4949, 815, NULL, 1221375, NULL, 'MEULEUSE D\'ANGLE 7107 EN COFFRET 8951175005', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, -179.00000000, NULL, -358.00000000, -71.60000000, 0.00000000, 0.00000000, -429.60000000, 0, NULL, NULL, 0, 87.71000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -179.00000000, -358.00000000, -71.60000000, -429.60000000),
(4950, 815, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, -30.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -30.00000000, 0.00000000, 0.00000000, 0.00000000),
(4951, 816, NULL, NULL, '1 maintenance COMPAIR L18RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4952, 816, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.00000000, NULL, 114.00000000, 22.80000000, 0.00000000, 0.00000000, 136.80000000, 0, NULL, NULL, 0, 70.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.00000000, 114.00000000, 22.80000000, 136.80000000),
(4953, 816, NULL, 1222598, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 13.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 8.48000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.00000000, 39.00000000, 7.80000000, 46.80000000),
(4954, 816, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 237.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(4955, 816, NULL, 953173, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.00000000, NULL, 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(4956, 816, NULL, 953170, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.00000000, NULL, 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(4957, 816, NULL, 1190364, NULL, 'Maintenance compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 325.00000000, NULL, 325.00000000, 65.00000000, 0.00000000, 0.00000000, 390.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 325.00000000, 325.00000000, 65.00000000, 390.00000000),
(4958, 816, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 72.14000000, NULL, 72.14000000, 14.43000000, 0.00000000, 0.00000000, 86.57000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 72.14000000, 72.14000000, 14.43000000, 86.57000000),
(4959, 816, NULL, 1179720, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 5.91, 0, NULL, 265.70000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 159.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 265.70000000, 250.00000000, 50.00000000, 300.00000000),
(4960, 816, NULL, 1223699, NULL, 'Huile anderol FGC46  prix au litre', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 15.77000000, NULL, 126.16000000, 25.23000000, 0.00000000, 0.00000000, 151.39000000, 0, NULL, NULL, 0, 11.27000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.77000000, 126.16000000, 25.23000000, 151.39000000),
(4961, 816, NULL, NULL, 'Sous-total maintenance COMPAIR L18RS', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4962, 816, NULL, NULL, '2 reservoir 500Litres vertical :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4963, 816, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 538.00000000, NULL, 538.00000000, 107.60000000, 0.00000000, 0.00000000, 645.60000000, 0, NULL, NULL, 0, 379.50000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 538.00000000, 538.00000000, 107.60000000, 645.60000000),
(4964, 816, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(4965, 816, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4966, 817, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(4967, 817, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 317.93000000, NULL, 317.93000000, 63.59000000, 0.00000000, 0.00000000, 381.52000000, 0, NULL, NULL, 0, 244.56000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 317.93000000, 317.93000000, 63.59000000, 381.52000000),
(4968, 817, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(4969, 817, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.00000000, NULL, 77.00000000, 15.40000000, 0.00000000, 0.00000000, 92.40000000, 0, NULL, NULL, 0, 47.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.00000000, 77.00000000, 15.40000000, 92.40000000),
(4970, 817, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(4971, 817, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(4972, 817, NULL, NULL, NULL, 'ZS1072124 - spare elektronik delcos', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 1899.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1899.00000000, 0.00000000, 0.00000000, 0.00000000),
(4973, 817, NULL, 1231078, NULL, 'TEMPERATURE PROBE PT1000 Silc. free', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 54.30000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 33.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 54.30000000, 0.00000000, 0.00000000, 0.00000000),
(4974, 817, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4975, 818, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(4976, 818, NULL, 953346, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.44000000, NULL, 199.44000000, 39.89000000, 0.00000000, 0.00000000, 239.33000000, 0, NULL, NULL, 0, 99.72000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.44000000, 199.44000000, 39.89000000, 239.33000000),
(4977, 818, NULL, 953394, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.44000000, NULL, 199.44000000, 39.89000000, 0.00000000, 0.00000000, 239.33000000, 0, NULL, NULL, 0, 99.72100000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.44000000, 199.44000000, 39.89000000, 239.33000000),
(4978, 819, NULL, 1297973, NULL, 'relai thermique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 104.00000000, NULL, 104.00000000, 20.80000000, 0.00000000, 0.00000000, 124.80000000, 0, NULL, NULL, 0, 52.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 104.00000000, 104.00000000, 20.80000000, 124.80000000),
(4979, 819, NULL, 1297974, NULL, 'relai lique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 104.25000000, NULL, 104.25000000, 20.85000000, 0.00000000, 0.00000000, 125.10000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 104.25000000, 104.25000000, 20.85000000, 125.10000000),
(4980, 819, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 63.84000000, NULL, 319.20000000, 63.84000000, 0.00000000, 0.00000000, 383.04000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 319.20000000, 63.84000000, 383.04000000),
(4981, 819, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.97000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 42.68000000, 8.54000000, 51.22000000),
(4982, 820, NULL, NULL, '1 enrouleur 20 m Ø13 tuyau trés souple', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4983, 820, NULL, 1297960, NULL, 'Enrouleur multiservice tuyau souple 20m-Ø13', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 690.00000000, NULL, 690.00000000, 138.00000000, 0.00000000, 0.00000000, 828.00000000, 0, NULL, NULL, 0, 441.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 690.00000000, 690.00000000, 138.00000000, 828.00000000),
(4984, 820, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 519.00000000, NULL, 519.00000000, 103.80000000, 0.00000000, 0.00000000, 622.80000000, 0, NULL, NULL, 0, 385.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 519.00000000, 519.00000000, 103.80000000, 622.80000000),
(4985, 820, NULL, 968645, NULL, 'support pivotant pour enrouleur E530', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 28.83000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(4986, 821, NULL, 1190400, NULL, 'TELECOMMANDE A DISTANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 145.00000000, NULL, 145.00000000, 29.00000000, 0.00000000, 0.00000000, 174.00000000, 0, NULL, NULL, 0, 108.80000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 145.00000000, 145.00000000, 29.00000000, 174.00000000),
(4987, 821, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 374.85000000, NULL, 374.85000000, 74.97000000, 0.00000000, 0.00000000, 449.82000000, 0, NULL, NULL, 0, 288.35000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 374.85000000, 374.85000000, 74.97000000, 449.82000000),
(4988, 822, NULL, 952194, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.16000000, NULL, 60.32000000, 12.06000000, 0.00000000, 0.00000000, 72.38000000, 0, NULL, NULL, 0, 17.77000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.16000000, 60.32000000, 12.06000000, 72.38000000),
(4989, 822, NULL, 954042, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.02000000, NULL, 28.04000000, 5.61000000, 0.00000000, 0.00000000, 33.65000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.02000000, 28.04000000, 5.61000000, 33.65000000),
(4990, 822, NULL, 955062, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 133.93000000, NULL, 133.93000000, 26.79000000, 0.00000000, 0.00000000, 160.72000000, 0, NULL, NULL, 0, 78.89000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 133.93000000, 133.93000000, 26.79000000, 160.72000000),
(4991, 822, NULL, 955060, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 106.14000000, NULL, 106.14000000, 21.23000000, 0.00000000, 0.00000000, 127.37000000, 0, NULL, NULL, 0, 62.52000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 106.14000000, 106.14000000, 21.23000000, 127.37000000),
(4992, 822, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.25000000, NULL, 91.25000000, 18.25000000, 0.00000000, 0.00000000, 109.50000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.25000000, 91.25000000, 18.25000000, 109.50000000),
(4993, 822, NULL, 953515, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.09000000, NULL, 100.09000000, 20.02000000, 0.00000000, 0.00000000, 120.11000000, 0, NULL, NULL, 0, 58.96000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.09000000, 100.09000000, 20.02000000, 120.11000000),
(4994, 822, NULL, 953424, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.09000000, NULL, 100.09000000, 20.02000000, 0.00000000, 0.00000000, 120.11000000, 0, NULL, NULL, 0, 58.96000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.09000000, 100.09000000, 20.02000000, 120.11000000),
(4995, 822, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(4996, 822, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 299.25000000, NULL, 598.50000000, 119.70000000, 0.00000000, 0.00000000, 718.20000000, 0, NULL, NULL, 0, 234.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 598.50000000, 119.70000000, 718.20000000),
(4997, 823, NULL, 1219883, NULL, 'RESERV. AIR COMPRIME  GALVA 100L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 310.00000000, NULL, 310.00000000, 62.00000000, 0.00000000, 0.00000000, 372.00000000, 0, NULL, NULL, 0, 228.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 310.00000000, 310.00000000, 62.00000000, 372.00000000),
(4998, 823, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 172.00000000, NULL, 172.00000000, 34.40000000, 0.00000000, 0.00000000, 206.40000000, 0, NULL, NULL, 0, 154.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 172.00000000, 172.00000000, 34.40000000, 206.40000000),
(4999, 823, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 702.00000000, NULL, 702.00000000, 140.40000000, 0.00000000, 0.00000000, 842.40000000, 0, NULL, NULL, 0, 514.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 702.00000000, 702.00000000, 140.40000000, 842.40000000),
(5000, 824, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 908.00000000, NULL, 908.00000000, 181.60000000, 0.00000000, 0.00000000, 1089.60000000, 0, NULL, NULL, 0, 698.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 908.00000000, 908.00000000, 181.60000000, 1089.60000000),
(5001, 824, NULL, 1223700, NULL, 'Fourniture Plomberie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.25000000, NULL, 76.25000000, 15.25000000, 0.00000000, 0.00000000, 91.50000000, 0, NULL, NULL, 0, 62.29000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.25000000, 76.25000000, 15.25000000, 91.50000000),
(5002, 824, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 730.17000000, NULL, 730.17000000, 146.03000000, 0.00000000, 0.00000000, 876.20000000, 0, NULL, NULL, 0, 549.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 730.17000000, 730.17000000, 146.03000000, 876.20000000),
(5003, 825, NULL, NULL, NULL, 'Offre de prix', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5004, 825, NULL, NULL, NULL, 'compresseur L37S N&deg; 100008734/0017 7.5Bars', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3050.80000000, NULL, 3050.80000000, 610.16000000, 0.00000000, 0.00000000, 3660.96000000, 0, NULL, NULL, 0, 800.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3050.80000000, 3050.80000000, 610.16000000, 3660.96000000),
(5005, 825, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 760.00000000, NULL, 760.00000000, 152.00000000, 0.00000000, 0.00000000, 912.00000000, 0, NULL, NULL, 0, 584.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 760.00000000, 760.00000000, 152.00000000, 912.00000000),
(5006, 825, NULL, NULL, NULL, 'transport Montrigaud viriville', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 208.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(5007, 825, NULL, NULL, NULL, 'A9N18387 + A9N18567 disjoncteur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.00000000, NULL, 500.00000000, 100.00000000, 0.00000000, 0.00000000, 600.00000000, 0, NULL, NULL, 0, 428.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.00000000, 500.00000000, 100.00000000, 600.00000000),
(5008, 825, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5009, 825, NULL, NULL, NULL, 'hors devis :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5010, 825, NULL, NULL, NULL, 'sectionneur&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 187.25000000, NULL, 187.25000000, 37.45000000, 0.00000000, 0.00000000, 224.70000000, 0, NULL, NULL, 0, 144.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 187.25000000, 187.25000000, 37.45000000, 224.70000000),
(5011, 825, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5012, 826, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 41, 0, 0, NULL, 0.97000000, NULL, 39.77000000, 7.95000000, 0.00000000, 0.00000000, 47.72000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 39.77000000, 7.95000000, 47.72000000),
(5013, 826, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(5014, 827, NULL, 1179653, NULL, 'SERVICE KIT D L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 740.07000000, NULL, 740.07000000, 148.01000000, 0.00000000, 0.00000000, 888.08000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 740.07000000, 740.07000000, 148.01000000, 888.08000000),
(5015, 827, NULL, 1179723, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 468.40000000, NULL, 468.40000000, 93.68000000, 0.00000000, 0.00000000, 562.08000000, 0, NULL, NULL, 0, 174.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 468.40000000, 468.40000000, 93.68000000, 562.08000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(5016, 827, NULL, 1189210, NULL, 'H. compresseur &agrave; vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 234.61000000, NULL, 234.61000000, 46.92000000, 0.00000000, 0.00000000, 281.53000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 234.61000000, 234.61000000, 46.92000000, 281.53000000),
(5017, 827, NULL, 953915, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 170.27000000, NULL, 170.27000000, 34.05000000, 0.00000000, 0.00000000, 204.32000000, 0, NULL, NULL, 0, 82.66000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 170.27000000, 170.27000000, 34.05000000, 204.32000000),
(5018, 827, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 452.18000000, NULL, 452.18000000, 90.44000000, 0.00000000, 0.00000000, 542.62000000, 0, NULL, NULL, 0, 339.98000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 452.18000000, 452.18000000, 90.44000000, 542.62000000),
(5019, 827, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5020, 828, NULL, 1190354, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.79000000, NULL, 214.79000000, 42.96000000, 0.00000000, 0.00000000, 257.75000000, 0, NULL, NULL, 0, 161.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.79000000, 214.79000000, 42.96000000, 257.75000000),
(5021, 828, NULL, 969799, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.30000000, NULL, 10.60000000, 2.12000000, 0.00000000, 0.00000000, 12.72000000, 0, NULL, NULL, 0, 3.18000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.30000000, 10.60000000, 2.12000000, 12.72000000),
(5022, 828, NULL, 969791, NULL, 'prix au metre', 20.000, '', 0.000, '0', 0.000, '0', 0.3, 0, 0, NULL, 15.69000000, NULL, 4.71000000, 0.94000000, 0.00000000, 0.00000000, 5.65000000, 0, NULL, NULL, 0, 9.41400000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.69000000, 4.71000000, 0.94000000, 5.65000000),
(5023, 829, NULL, 952818, NULL, 'sécheur réfrigeration 144m3/h racc 3/4\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1160.00000000, NULL, 1160.00000000, 232.00000000, 0.00000000, 0.00000000, 1392.00000000, 0, NULL, NULL, 0, 771.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1160.00000000, 1160.00000000, 232.00000000, 1392.00000000),
(5024, 829, NULL, 952637, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 165.00000000, NULL, 165.00000000, 33.00000000, 0.00000000, 0.00000000, 198.00000000, 0, NULL, NULL, 0, 116.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 165.00000000, 165.00000000, 33.00000000, 198.00000000),
(5025, 829, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 185.00000000, NULL, 185.00000000, 37.00000000, 0.00000000, 0.00000000, 222.00000000, 0, NULL, NULL, 0, 140.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 185.00000000, 185.00000000, 37.00000000, 222.00000000),
(5026, 830, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(5028, 830, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(5029, 830, NULL, 951971, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(5030, 830, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(5031, 830, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(5032, 830, NULL, 1222641, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(5033, 831, NULL, 1190357, NULL, 'Forfait Dépannage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.00000000, NULL, 395.00000000, 79.00000000, 0.00000000, 0.00000000, 474.00000000, 0, NULL, NULL, 0, 292.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.00000000, 395.00000000, 79.00000000, 474.00000000),
(5034, 831, NULL, 1297929, NULL, 'remplace ZS1136294', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 638.00000000, NULL, 1276.00000000, 255.20000000, 0.00000000, 0.00000000, 1531.20000000, 0, NULL, NULL, 0, 442.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 638.00000000, 1276.00000000, 255.20000000, 1531.20000000),
(5035, 831, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(5036, 832, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 63.84000000, NULL, 446.88000000, 89.38000000, 0.00000000, 0.00000000, 536.26000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 446.88000000, 89.38000000, 536.26000000),
(5037, 832, NULL, NULL, NULL, 'leg07120', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.12000000, NULL, 6.72000000, 1.34000000, 0.00000000, 0.00000000, 8.06000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 6.72000000, 1.34000000, 8.06000000),
(5038, 832, NULL, NULL, NULL, 'cle313260', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 4.90000000, NULL, 34.30000000, 6.86000000, 0.00000000, 0.00000000, 41.16000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.90000000, 34.30000000, 6.86000000, 41.16000000),
(5039, 832, NULL, NULL, NULL, 'leg031910 colson noir 9x13', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 0.09000000, NULL, 1.80000000, 0.36000000, 0.00000000, 0.00000000, 2.16000000, 0, NULL, NULL, 0, 0.07000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.09000000, 1.80000000, 0.36000000, 2.16000000),
(5040, 832, NULL, NULL, NULL, 'acom5009c100', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 2.59000000, NULL, 155.40000000, 31.08000000, 0.00000000, 0.00000000, 186.48000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.59000000, 155.40000000, 31.08000000, 186.48000000),
(5041, 832, NULL, NULL, NULL, 'ggmmj8pb8c', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 3.50000000, NULL, 21.00000000, 4.20000000, 0.00000000, 0.00000000, 25.20000000, 0, NULL, NULL, 0, 2.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.50000000, 21.00000000, 4.20000000, 25.20000000),
(5042, 833, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 48.00000000, NULL, 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(5043, 833, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 90, 0, 0, NULL, 0.45000000, NULL, 40.50000000, 8.10000000, 0.00000000, 0.00000000, 48.60000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.45000000, 40.50000000, 8.10000000, 48.60000000),
(5047, 834, NULL, 953915, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -170.27000000, NULL, -170.27000000, -34.05000000, 0.00000000, 0.00000000, -204.32000000, 0, NULL, NULL, 0, 82.66000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -170.27000000, -170.27000000, -34.05000000, -204.32000000),
(5050, 835, NULL, 944300, NULL, 'compresseur rotatif à vis librifiees à vitesse fixe', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5757.48000000, NULL, 5757.48000000, 1151.50000000, 0.00000000, 0.00000000, 6908.98000000, 0, NULL, NULL, 0, 5580.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5757.48000000, 5757.48000000, 1151.50000000, 6908.98000000),
(5051, 835, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 151.79000000, NULL, 151.79000000, 30.36000000, 0.00000000, 0.00000000, 182.15000000, 0, NULL, NULL, 0, 163.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 151.79000000, 151.79000000, 30.36000000, 182.15000000),
(5052, 835, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 662.01000000, NULL, 662.01000000, 132.40000000, 0.00000000, 0.00000000, 794.41000000, 0, NULL, NULL, 0, 650.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 662.01000000, 662.01000000, 132.40000000, 794.41000000),
(5053, 835, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1017.87000000, NULL, 1017.87000000, 203.57000000, 0.00000000, 0.00000000, 1221.44000000, 0, NULL, NULL, 0, 1000.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1017.87000000, 1017.87000000, 203.57000000, 1221.44000000),
(5054, 835, NULL, 1223558, NULL, 'avec pr&eacute; filtration CF0096G1&quot;1/2B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2710.85000000, NULL, 2710.85000000, 542.17000000, 0.00000000, 0.00000000, 3253.02000000, 0, NULL, NULL, 0, 2585.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2710.85000000, 2710.85000000, 542.17000000, 3253.02000000),
(5055, 836, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(5056, 836, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(5057, 837, NULL, 1297934, NULL, 'Kit de rechange pour Ecotron 300', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 293.80000000, NULL, 293.80000000, 58.76000000, 0.00000000, 0.00000000, 352.56000000, 0, NULL, NULL, 0, 161.59000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 293.80000000, 293.80000000, 58.76000000, 352.56000000),
(5058, 837, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(5059, 838, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(5060, 838, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(5061, 839, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(5062, 839, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 120, 0, 0, NULL, 0.97000000, NULL, 116.40000000, 23.28000000, 0.00000000, 0.00000000, 139.68000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 116.40000000, 23.28000000, 139.68000000),
(5063, 839, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.89000000, NULL, 18.89000000, 3.78000000, 0.00000000, 0.00000000, 22.67000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.89000000, 18.89000000, 3.78000000, 22.67000000),
(5064, 840, NULL, 1190387, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1689.10000000, NULL, 1689.10000000, 337.82000000, 0.00000000, 0.00000000, 2026.92000000, 0, NULL, NULL, 0, 1270.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1689.10000000, 1689.10000000, 337.82000000, 2026.92000000),
(5065, 841, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 74.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(5066, 841, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(5067, 841, NULL, 1179717, NULL, 'MAJOR KIT E               L07 - L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 251.70000000, NULL, 251.70000000, 50.34000000, 0.00000000, 0.00000000, 302.04000000, 0, NULL, NULL, 0, 131.98000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 251.70000000, 251.70000000, 50.34000000, 302.04000000),
(5068, 841, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(5069, 841, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5070, 841, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 49.00000000, NULL, 49.00000000, 9.80000000, 0.00000000, 0.00000000, 58.80000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 49.00000000, 49.00000000, 9.80000000, 58.80000000),
(5071, 841, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 630.00000000, NULL, 630.00000000, 126.00000000, 0.00000000, 0.00000000, 756.00000000, 0, NULL, NULL, 0, 480.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 630.00000000, 630.00000000, 126.00000000, 756.00000000),
(5072, 842, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(5073, 843, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 62, 0, 0, NULL, 0.97000000, NULL, 60.14000000, 12.03000000, 0.00000000, 0.00000000, 72.17000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 60.14000000, 12.03000000, 72.17000000),
(5074, 843, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 63.84000000, NULL, 1021.44000000, 204.29000000, 0.00000000, 0.00000000, 1225.73000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 1021.44000000, 204.29000000, 1225.73000000),
(5076, 844, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 226.79000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(5077, 845, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.97000000, NULL, 56.91000000, 11.38000000, 0.00000000, 0.00000000, 68.29000000, 0, NULL, NULL, 0, 9.21000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.97000000, 56.91000000, 11.38000000, 68.29000000),
(5078, 845, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5079, 845, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(5080, 845, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(5081, 845, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(5082, 845, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(5083, 845, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 65.31000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(5090, 846, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(5091, 846, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5092, 846, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(5093, 846, NULL, 952992, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 88.70000000, NULL, 88.70000000, 17.74000000, 0.00000000, 0.00000000, 106.44000000, 0, NULL, NULL, 0, 43.06000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.70000000, 88.70000000, 17.74000000, 106.44000000),
(5094, 846, NULL, 952994, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 88.70000000, NULL, 88.70000000, 17.74000000, 0.00000000, 0.00000000, 106.44000000, 0, NULL, NULL, 0, 43.06000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.70000000, 88.70000000, 17.74000000, 106.44000000),
(5095, 846, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(5096, 846, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(5097, 847, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(5098, 847, NULL, 955044, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.39000000, NULL, 86.39000000, 17.28000000, 0.00000000, 0.00000000, 103.67000000, 0, NULL, NULL, 0, 41.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.39000000, 86.39000000, 17.28000000, 103.67000000),
(5099, 847, NULL, 954039, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.57000000, NULL, 11.57000000, 2.31000000, 0.00000000, 0.00000000, 13.88000000, 0, NULL, NULL, 0, 5.62000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.57000000, 11.57000000, 2.31000000, 13.88000000),
(5100, 847, NULL, 952140, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(5101, 847, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5102, 847, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(5103, 847, NULL, 1222588, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(5104, 847, NULL, 1230684, NULL, 'bulbes thermostatique 55°C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 180.00000000, NULL, 180.00000000, 36.00000000, 0.00000000, 0.00000000, 216.00000000, 0, NULL, NULL, 0, 99.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 180.00000000, 180.00000000, 36.00000000, 216.00000000),
(5105, 848, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 538.00000000, NULL, 538.00000000, 107.60000000, 0.00000000, 0.00000000, 645.60000000, 0, NULL, NULL, 0, 380.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 538.00000000, 538.00000000, 107.60000000, 645.60000000),
(5106, 849, NULL, NULL, '1 Partie Air Comprimé :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5107, 849, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.07000000, NULL, 2.14000000, 0.43000000, 0.00000000, 0.00000000, 2.57000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.07000000, 2.14000000, 0.43000000, 2.57000000),
(5108, 849, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.55000000, NULL, 9.30000000, 1.86000000, 0.00000000, 0.00000000, 11.16000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.55000000, 9.30000000, 1.86000000, 11.16000000),
(5109, 849, NULL, 1080054, NULL, 'Crosse d\'évêque diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.07000000, NULL, 3.07000000, 0.61000000, 0.00000000, 0.00000000, 3.68000000, 0, NULL, NULL, 0, 8.69000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.07000000, 3.07000000, 0.61000000, 3.68000000),
(5110, 849, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.26000000, NULL, 2.26000000, 0.45000000, 0.00000000, 0.00000000, 2.71000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.26000000, 2.26000000, 0.45000000, 2.71000000),
(5111, 849, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 1.24000000, NULL, 4.96000000, 0.99000000, 0.00000000, 0.00000000, 5.95000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.24000000, 4.96000000, 0.99000000, 5.95000000),
(5112, 849, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 0.28000000, NULL, 1.12000000, 0.22000000, 0.00000000, 0.00000000, 1.34000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.28000000, 1.12000000, 0.22000000, 1.34000000),
(5113, 849, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 0.28000000, NULL, 0.56000000, 0.11000000, 0.00000000, 0.00000000, 0.67000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.28000000, 0.56000000, 0.11000000, 0.67000000),
(5114, 849, NULL, 1190653, NULL, 'Supportage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 51.30000000, NULL, 51.30000000, 10.26000000, 0.00000000, 0.00000000, 61.56000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 51.30000000, 51.30000000, 10.26000000, 61.56000000),
(5115, 849, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.63000000, NULL, 7.26000000, 1.45000000, 0.00000000, 0.00000000, 8.71000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.63000000, 7.26000000, 1.45000000, 8.71000000),
(5116, 849, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.60000000, NULL, 1.60000000, 0.32000000, 0.00000000, 0.00000000, 1.92000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.60000000, 1.60000000, 0.32000000, 1.92000000),
(5117, 849, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.84000000, NULL, 1.84000000, 0.37000000, 0.00000000, 0.00000000, 2.21000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.84000000, 1.84000000, 0.37000000, 2.21000000),
(5118, 849, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.22000000, NULL, 6.22000000, 1.24000000, 0.00000000, 0.00000000, 7.46000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.22000000, 6.22000000, 1.24000000, 7.46000000),
(5119, 849, NULL, 966719, NULL, 'Raccord Y femelle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.17000000, NULL, 1.17000000, 0.23000000, 0.00000000, 0.00000000, 1.40000000, 0, NULL, NULL, 0, 2.35000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.17000000, 1.17000000, 0.23000000, 1.40000000),
(5120, 849, NULL, 967537, NULL, 'Ensemble soufflage AM long.4m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.06000000, NULL, 7.06000000, 1.41000000, 0.00000000, 0.00000000, 8.47000000, 0, NULL, NULL, 0, 15.59250000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.06000000, 7.06000000, 1.41000000, 8.47000000),
(5121, 849, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 149.05000000, NULL, 149.05000000, 29.81000000, 0.00000000, 0.00000000, 178.86000000, 0, NULL, NULL, 0, 80.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 149.05000000, 149.05000000, 29.81000000, 178.86000000),
(5122, 849, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 320.00000000, NULL, 320.00000000, 64.00000000, 0.00000000, 0.00000000, 384.00000000, 0, NULL, NULL, 0, 180.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 320.00000000, 320.00000000, 64.00000000, 384.00000000),
(5123, 849, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5124, 849, NULL, NULL, '2 Partie Electrique', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5125, 849, NULL, 1190388, NULL, 'u1000r2v 5g16', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 20.68000000, NULL, 1034.00000000, 206.80000000, 0.00000000, 0.00000000, 1240.80000000, 0, NULL, NULL, 0, 15.95000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.68000000, 1034.00000000, 206.80000000, 1240.80000000),
(5126, 849, NULL, 1190573, NULL, 'DT60N 4P 63A COURBE C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 222.32000000, NULL, 222.32000000, 44.46000000, 0.00000000, 0.00000000, 266.78000000, 0, NULL, NULL, 0, 172.15000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 222.32000000, 222.32000000, 44.46000000, 266.78000000),
(5127, 849, NULL, 1190574, NULL, 'VIGI TG60 4P 63A 300 AC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 227.30000000, NULL, 227.30000000, 45.46000000, 0.00000000, 0.00000000, 272.76000000, 0, NULL, NULL, 0, 175.00000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 227.30000000, 227.30000000, 45.46000000, 272.76000000),
(5128, 849, NULL, 1297927, NULL, 'IRL 3321 Diam 32 Longueur 3m Tulipé Gris', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 1.99000000, NULL, 99.50000000, 19.90000000, 0.00000000, 0.00000000, 119.40000000, 0, NULL, NULL, 0, 1.53000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.99000000, 99.50000000, 19.90000000, 119.40000000),
(5129, 849, NULL, 1064114, NULL, 'COLSON GRIS 9X185', 20.000, '', 0.000, '0', 0.000, '0', 150, 0, 0, NULL, 0.66000000, NULL, 99.00000000, 19.80000000, 0.00000000, 0.00000000, 118.80000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.66000000, 99.00000000, 19.80000000, 118.80000000),
(5130, 849, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1146.49000000, NULL, 1146.49000000, 229.30000000, 0.00000000, 0.00000000, 1375.79000000, 0, NULL, NULL, 0, 850.00000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1146.49000000, 1146.49000000, 229.30000000, 1375.79000000),
(5131, 849, NULL, NULL, 'Sous-total partie electrique', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5132, 849, NULL, NULL, '3 Partie Reseau RJ45', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5133, 849, NULL, 1223608, NULL, '4 paires Catégorie 6 U/FTP LSOH', 20.000, '', 0.000, '0', 0.000, '0', 70, 0, 0, NULL, 1.05000000, NULL, 73.50000000, 14.70000000, 0.00000000, 0.00000000, 88.20000000, 0, NULL, NULL, 0, 0.78000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.05000000, 73.50000000, 14.70000000, 88.20000000),
(5134, 849, NULL, 1297928, NULL, 'IRL 3321 Diam 20 Longueur 3m Tulipé Gris', 20.000, '', 0.000, '0', 0.000, '0', 70, 0, 0, NULL, 0.89000000, NULL, 62.30000000, 12.46000000, 0.00000000, 0.00000000, 74.76000000, 0, NULL, NULL, 0, 0.68000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.89000000, 62.30000000, 12.46000000, 74.76000000),
(5135, 849, NULL, 1064114, NULL, 'COLSON GRIS 9X185', 20.000, '', 0.000, '0', 0.000, '0', 150, 0, 0, NULL, 0.66000000, NULL, 99.00000000, 19.80000000, 0.00000000, 0.00000000, 118.80000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.66000000, 99.00000000, 19.80000000, 118.80000000),
(5136, 849, NULL, 1069733, NULL, 'RJ45 CAT6 FTP GRIS COMPOSABLE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.13000000, NULL, 59.13000000, 11.83000000, 0.00000000, 0.00000000, 70.96000000, 0, NULL, NULL, 0, 28.79000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.13000000, 59.13000000, 11.83000000, 70.96000000),
(5137, 849, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 531.37000000, NULL, 531.37000000, 106.27000000, 0.00000000, 0.00000000, 637.64000000, 0, NULL, NULL, 0, 410.00000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 531.37000000, 531.37000000, 106.27000000, 637.64000000),
(5138, 849, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5139, 849, NULL, NULL, '4 Nacelle pour 3 jours', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5140, 849, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.00000000, NULL, 500.00000000, 100.00000000, 0.00000000, 0.00000000, 600.00000000, 0, NULL, NULL, 0, 400.00000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.00000000, 500.00000000, 100.00000000, 600.00000000),
(5141, 849, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5142, 850, NULL, NULL, NULL, '<p>mise en place d&#39;une ligne de 70 m sous conduit IRL en RO2V 5g2.5 avec protection de tete 16 amp +differentiel 300Ma et boitier de sectionnement pres de la machine.<br />\r\n(Hors mise en place machine)</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5143, 850, NULL, 1298026, NULL, 'Acti9, iC60N disjoncteur 4P 16A courbe C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 68.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(5144, 850, NULL, 1298027, NULL, 'Acti9, Vigi iC60, bloc différentiel 4P 25A 300mA type AC 230-240/400-415V', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 132.00000000, NULL, 132.00000000, 26.40000000, 0.00000000, 0.00000000, 158.40000000, 0, NULL, NULL, 0, 110.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 132.00000000, 132.00000000, 26.40000000, 158.40000000),
(5145, 850, NULL, 1298028, NULL, 'R2V CU 5G2,5  DISTINGO', 20.000, '', 0.000, '0', 0.000, '0', 70, 0, 0, NULL, 2.60000000, NULL, 182.00000000, 36.40000000, 0.00000000, 0.00000000, 218.40000000, 0, NULL, NULL, 0, 2.05000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.60000000, 182.00000000, 36.40000000, 218.40000000),
(5146, 850, NULL, 1297928, NULL, 'IRL 3321 Diam 20 Longueur 3m Tulipé Gris', 20.000, '', 0.000, '0', 0.000, '0', 70, 0, 0, NULL, 0.89000000, NULL, 62.30000000, 12.46000000, 0.00000000, 0.00000000, 74.76000000, 0, NULL, NULL, 0, 0.68000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.89000000, 62.30000000, 12.46000000, 74.76000000),
(5147, 850, NULL, 1190653, NULL, 'Supportage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 60.00000000, NULL, 60.00000000, 12.00000000, 0.00000000, 0.00000000, 72.00000000, 0, NULL, NULL, 0, 45.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 60.00000000, 60.00000000, 12.00000000, 72.00000000),
(5148, 850, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(5149, 850, NULL, 1062610, NULL, 'IS BOIT 25 32A III/IV CAD J/R', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.00000000, NULL, 85.00000000, 17.00000000, 0.00000000, 0.00000000, 102.00000000, 0, NULL, NULL, 0, 61.04000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.00000000, 85.00000000, 17.00000000, 102.00000000),
(5150, 851, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(5151, 851, NULL, NULL, NULL, 'coffret etanche 5 modules 2prises', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 93.10000000, NULL, 93.10000000, 18.62000000, 0.00000000, 0.00000000, 111.72000000, 0, NULL, NULL, 0, 70.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 93.10000000, 93.10000000, 18.62000000, 111.72000000),
(5152, 851, NULL, NULL, NULL, 'iro diametre 32', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 1.99000000, NULL, 5.97000000, 1.19000000, 0.00000000, 0.00000000, 7.16000000, 0, NULL, NULL, 0, 1.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.99000000, 5.97000000, 1.19000000, 7.16000000),
(5153, 851, NULL, NULL, NULL, 'DT40 P/N 16A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.95000000, NULL, 19.95000000, 3.99000000, 0.00000000, 0.00000000, 23.94000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.95000000, 19.95000000, 3.99000000, 23.94000000),
(5154, 852, NULL, 1222124, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 95.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(5155, 852, NULL, 1222125, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 95.15000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(5156, 852, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(5157, 852, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5158, 852, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(5159, 852, NULL, 1230990, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 407.10000000, NULL, 407.10000000, 81.42000000, 0.00000000, 0.00000000, 488.52000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.10000000, 407.10000000, 81.42000000, 488.52000000),
(5160, 853, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(5161, 853, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5162, 853, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.97000000, NULL, 56.91000000, 11.38000000, 0.00000000, 0.00000000, 68.29000000, 0, NULL, NULL, 0, 9.39000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.97000000, 56.91000000, 11.38000000, 68.29000000),
(5163, 853, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(5164, 853, NULL, 952001, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.37000000, NULL, 33.37000000, 6.67000000, 0.00000000, 0.00000000, 40.04000000, 0, NULL, NULL, 0, 16.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.37000000, 33.37000000, 6.67000000, 40.04000000),
(5165, 853, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(5166, 853, NULL, 1221737, NULL, 'separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 39.49000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(5167, 854, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(5168, 854, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(5169, 854, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(5170, 854, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5171, 854, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.13000000, NULL, 34.26000000, 6.85000000, 0.00000000, 0.00000000, 41.11000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 34.26000000, 6.85000000, 41.11000000),
(5172, 854, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(5173, 855, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(5174, 856, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2020-02-20 00:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(5182, 858, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(5183, 858, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(5184, 858, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(5185, 858, NULL, 952680, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(5186, 858, NULL, 952681, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(5187, 858, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5188, 858, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 311.58000000, NULL, 311.58000000, 62.32000000, 0.00000000, 0.00000000, 373.90000000, 0, NULL, NULL, 0, 234.27000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 311.58000000, 311.58000000, 62.32000000, 373.90000000),
(5189, 859, NULL, NULL, '2 Cuve 300 L 16 Bars', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5190, 859, NULL, 1245954, NULL, 'Revetement int&eacute;rieur ext&eacute;rieur Galvanisation &agrave; chaud par immersion&nbsp;<br />\r\nTemp&eacute;rature de Service : -15&deg; &agrave; 65 &deg;<br />\r\nRaccordement 1&quot;1/2<br />\r\nPoids 110 Kg', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 832.00000000, NULL, 832.00000000, 166.40000000, 0.00000000, 0.00000000, 998.40000000, 0, NULL, NULL, 0, 640.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 832.00000000, 832.00000000, 166.40000000, 998.40000000),
(5191, 859, NULL, 1245955, NULL, 'Soupape manomètre purge', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.00000000, NULL, 91.00000000, 18.20000000, 0.00000000, 0.00000000, 109.20000000, 0, NULL, NULL, 0, 70.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.00000000, 91.00000000, 18.20000000, 109.20000000),
(5192, 859, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5193, 859, NULL, NULL, '3 Installation', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5194, 859, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 420.00000000, NULL, 420.00000000, 84.00000000, 0.00000000, 0.00000000, 504.00000000, 0, NULL, NULL, 0, 330.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 420.00000000, 420.00000000, 84.00000000, 504.00000000),
(5195, 859, NULL, 1223700, NULL, '95', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.00000000, NULL, 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 70.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(5196, 859, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5197, 860, NULL, NULL, NULL, 'cosses 16carr&eacute; diam 8', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 2.00000000, NULL, 8.00000000, 1.60000000, 0.00000000, 0.00000000, 9.60000000, 0, NULL, NULL, 0, 1.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.00000000, 8.00000000, 1.60000000, 9.60000000),
(5198, 860, NULL, NULL, NULL, 'boite plexo diam 80', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.00000000, NULL, 6.00000000, 1.20000000, 0.00000000, 0.00000000, 7.20000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.00000000, 6.00000000, 1.20000000, 7.20000000),
(5199, 860, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 7.5, 0, 0, NULL, 63.84000000, NULL, 478.80000000, 95.76000000, 0.00000000, 0.00000000, 574.56000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 478.80000000, 95.76000000, 574.56000000),
(5200, 860, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(5201, 861, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2235.78000000, NULL, 2235.78000000, 447.16000000, 0.00000000, 0.00000000, 2682.94000000, 0, NULL, NULL, 0, 1681.04000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2235.78000000, 2235.78000000, 447.16000000, 2682.94000000),
(5202, 861, NULL, NULL, NULL, 'cosses 50 carr&eacute;', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 4.00000000, NULL, 24.00000000, 4.80000000, 0.00000000, 0.00000000, 28.80000000, 0, NULL, NULL, 0, 2.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.00000000, 24.00000000, 4.80000000, 28.80000000),
(5203, 861, NULL, NULL, NULL, 'cables unifilaires 50 carr&eacute;', 20.000, '', 0.000, '0', 0.000, '0', 4.5, 0, 0, NULL, 30.00000000, NULL, 135.00000000, 27.00000000, 0.00000000, 0.00000000, 162.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 135.00000000, 27.00000000, 162.00000000),
(5204, 861, NULL, NULL, NULL, 'boite plexo 80/80', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.00000000, NULL, 24.00000000, 4.80000000, 0.00000000, 0.00000000, 28.80000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.00000000, 24.00000000, 4.80000000, 28.80000000),
(5205, 861, NULL, NULL, NULL, 'fusible 10.3/38 32A', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 5.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 2.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 15.00000000, 3.00000000, 18.00000000),
(5212, 863, NULL, 952823, NULL, 'secheur refrigeration 360m3/h racc1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2100.00000000, NULL, 2100.00000000, 420.00000000, 0.00000000, 0.00000000, 2520.00000000, 0, NULL, NULL, 0, 1601.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2100.00000000, 2100.00000000, 420.00000000, 2520.00000000),
(5213, 864, NULL, 967660, NULL, 'Soufflette aspirante complète', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 125.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 87.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 125.00000000, 250.00000000, 50.00000000, 300.00000000),
(5214, 865, NULL, NULL, NULL, 'filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5215, 865, NULL, 954013, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 93.72000000, NULL, 93.72000000, 18.74000000, 0.00000000, 0.00000000, 112.46000000, 0, NULL, NULL, 0, 48.51000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 93.72000000, 93.72000000, 18.74000000, 112.46000000),
(5216, 865, NULL, 954014, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.74000000, NULL, 95.74000000, 19.15000000, 0.00000000, 0.00000000, 114.89000000, 0, NULL, NULL, 0, 51.04000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.74000000, 95.74000000, 19.15000000, 114.89000000),
(5217, 865, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5218, 865, NULL, NULL, NULL, 'Separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5219, 865, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.27000000, NULL, 73.27000000, 14.65000000, 0.00000000, 0.00000000, 87.92000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.27000000, 73.27000000, 14.65000000, 87.92000000),
(5220, 865, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5221, 865, NULL, NULL, NULL, 'maintenance 8000Heures', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5222, 865, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 267.19000000, NULL, 267.19000000, 53.44000000, 0.00000000, 0.00000000, 320.63000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 267.19000000, 267.19000000, 53.44000000, 320.63000000),
(5223, 865, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(5224, 865, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.39000000, NULL, 110.39000000, 22.08000000, 0.00000000, 0.00000000, 132.47000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.39000000, 110.39000000, 22.08000000, 132.47000000),
(5225, 865, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 371.12000000, NULL, 371.12000000, 74.22000000, 0.00000000, 0.00000000, 445.34000000, 0, NULL, NULL, 0, 243.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 371.12000000, 371.12000000, 74.22000000, 445.34000000),
(5226, 865, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.79000000, NULL, 53.37000000, 10.67000000, 0.00000000, 0.00000000, 64.04000000, 0, NULL, NULL, 0, 9.39000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.79000000, 53.37000000, 10.67000000, 64.04000000),
(5227, 865, NULL, 1179720, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 249.20000000, NULL, 249.20000000, 49.84000000, 0.00000000, 0.00000000, 299.04000000, 0, NULL, NULL, 0, 159.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 249.20000000, 249.20000000, 49.84000000, 299.04000000),
(5228, 865, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(5229, 865, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5230, 866, NULL, 1245960, NULL, 'circuit imprimé 400v-48v 50-60hz', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 488.60000000, NULL, 488.60000000, 97.72000000, 0.00000000, 0.00000000, 586.32000000, 0, NULL, NULL, 0, 349.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 488.60000000, 488.60000000, 97.72000000, 586.32000000),
(5231, 866, NULL, 1245961, NULL, 'boite à boutons 2VL +AU/ 2.5 m de câble-prise debrochable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 217.00000000, NULL, 217.00000000, 43.40000000, 0.00000000, 0.00000000, 260.40000000, 0, NULL, NULL, 0, 155.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 217.00000000, 217.00000000, 43.40000000, 260.40000000),
(5232, 866, NULL, 1245962, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.00000000, NULL, 25.00000000, 5.00000000, 0.00000000, 0.00000000, 30.00000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.00000000, 25.00000000, 5.00000000, 30.00000000),
(5233, 866, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(5234, 867, NULL, 1115269, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 103.21000000, NULL, 206.42000000, 41.28000000, 0.00000000, 0.00000000, 247.70000000, 0, NULL, NULL, 0, 50.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.21000000, 206.42000000, 41.28000000, 247.70000000),
(5235, 867, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(5236, 868, NULL, 1230694, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 3.46000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(5237, 868, NULL, 1223837, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.64000000, NULL, 27.64000000, 5.53000000, 0.00000000, 0.00000000, 33.17000000, 0, NULL, NULL, 0, 14.06000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.64000000, 27.64000000, 5.53000000, 33.17000000),
(5238, 868, NULL, 1221736, NULL, 'FILTRE SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.80000000, NULL, 59.80000000, 11.96000000, 0.00000000, 0.00000000, 71.76000000, 0, NULL, NULL, 0, 30.05000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.80000000, 59.80000000, 11.96000000, 71.76000000),
(5239, 868, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(5240, 870, NULL, 1115269, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, -103.21000000, NULL, -206.42000000, -41.28000000, 0.00000000, 0.00000000, -247.70000000, 0, NULL, NULL, 0, 50.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.21000000, 206.42000000, 41.28000000, 247.70000000),
(5241, 871, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 500.76000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(5242, 872, NULL, 1231565, NULL, '76002-00001', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 681.52000000, NULL, 681.52000000, 136.30000000, 0.00000000, 0.00000000, 817.82000000, 0, NULL, NULL, 0, 524.25000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 681.52000000, 681.52000000, 136.30000000, 817.82000000),
(5243, 873, NULL, 966691, NULL, 'Mamelon conique G1/4x1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.65000000, NULL, 6.50000000, 1.30000000, 0.00000000, 0.00000000, 7.80000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.65000000, 6.50000000, 1.30000000, 7.80000000),
(5244, 873, NULL, 966701, NULL, 'Mamelon conique G1/2x3/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.10000000, NULL, 21.00000000, 4.20000000, 0.00000000, 0.00000000, 25.20000000, 0, NULL, NULL, 0, 1.05000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.10000000, 21.00000000, 4.20000000, 25.20000000),
(5245, 873, NULL, 966831, NULL, 'Manchon réducteur F/F G1/2x3/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.35000000, NULL, 43.50000000, 8.70000000, 0.00000000, 0.00000000, 52.20000000, 0, NULL, NULL, 0, 2.17000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.35000000, 43.50000000, 8.70000000, 52.20000000),
(5246, 873, NULL, 966783, NULL, 'Prolongateur M/F G1/8x1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.60000000, NULL, 6.00000000, 1.20000000, 0.00000000, 0.00000000, 7.20000000, 0, NULL, NULL, 0, 0.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.60000000, 6.00000000, 1.20000000, 7.20000000),
(5247, 873, NULL, 972586, NULL, 'Raccord droit mâle G1/4 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.18000000, NULL, 11.80000000, 2.36000000, 0.00000000, 0.00000000, 14.16000000, 0, NULL, NULL, 0, 0.64000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.18000000, 11.80000000, 2.36000000, 14.16000000),
(5248, 873, NULL, 966811, NULL, 'Manchon égal F/F G1/4x1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.65000000, NULL, 6.50000000, 1.30000000, 0.00000000, 0.00000000, 7.80000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.65000000, 6.50000000, 1.30000000, 7.80000000),
(5249, 873, NULL, 966810, NULL, 'Manchon égal F/F G1/8x1/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.45000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 0, NULL, NULL, 0, 0.22500000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.45000000, 4.50000000, 0.90000000, 5.40000000),
(5250, 873, NULL, 966814, NULL, 'Manchon égal F/F G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.60000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.60000000, 16.00000000, 3.20000000, 19.20000000),
(5251, 873, NULL, 966944, NULL, 'Coude M/F G1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.50000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 0.75000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.50000000, 15.00000000, 3.00000000, 18.00000000),
(5252, 873, NULL, 972588, NULL, 'Raccord droit mâle G3/8 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.40000000, NULL, 14.00000000, 2.80000000, 0.00000000, 0.00000000, 16.80000000, 0, NULL, NULL, 0, 0.77000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.40000000, 14.00000000, 2.80000000, 16.80000000),
(5254, 873, NULL, 972577, NULL, 'Raccord droit mâle M5 Ø4mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.12000000, NULL, 11.20000000, 2.24000000, 0.00000000, 0.00000000, 13.44000000, 0, NULL, NULL, 0, 0.61000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 11.20000000, 2.24000000, 13.44000000),
(5255, 873, NULL, 972587, NULL, 'Raccord droit mâle G1/8 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.16000000, NULL, 11.60000000, 2.32000000, 0.00000000, 0.00000000, 13.92000000, 0, NULL, NULL, 0, 0.63000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.16000000, 11.60000000, 2.32000000, 13.92000000),
(5256, 873, NULL, 972766, NULL, 'Coude tournant mâle G1/4 Ø6mm', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.23000000, NULL, 22.30000000, 4.46000000, 0.00000000, 0.00000000, 26.76000000, 0, NULL, NULL, 0, 1.22650000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.23000000, 22.30000000, 4.46000000, 26.76000000),
(5257, 873, NULL, 972770, NULL, 'Coude tournant mâle G1/4 Ø8mm', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.45000000, NULL, 24.50000000, 4.90000000, 0.00000000, 0.00000000, 29.40000000, 0, NULL, NULL, 0, 1.34750000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.45000000, 24.50000000, 4.90000000, 29.40000000),
(5258, 873, NULL, 972768, NULL, 'Coude tournant mâle G1/8 Ø6mm', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.98000000, NULL, 19.80000000, 3.96000000, 0.00000000, 0.00000000, 23.76000000, 0, NULL, NULL, 0, 1.08900000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.98000000, 19.80000000, 3.96000000, 23.76000000),
(5259, 873, NULL, 972771, NULL, 'Coude tournant mâle G1/8 Ø8mm', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.30000000, NULL, 23.00000000, 4.60000000, 0.00000000, 0.00000000, 27.60000000, 0, NULL, NULL, 0, 1.26000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.30000000, 23.00000000, 4.60000000, 27.60000000),
(5260, 873, NULL, 972586, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.18000000, NULL, 11.80000000, 2.36000000, 0.00000000, 0.00000000, 14.16000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.18000000, 11.80000000, 2.36000000, 14.16000000),
(5261, 874, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1210.02000000, NULL, 1210.02000000, 242.00000000, 0.00000000, 0.00000000, 1452.02000000, 0, NULL, NULL, 0, 1000.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1210.02000000, 1210.02000000, 242.00000000, 1452.02000000),
(5262, 876, NULL, NULL, NULL, 'Location&nbsp; compresseur de 1Kw &agrave; 15KW', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -150.00000000, NULL, -150.00000000, -30.00000000, 0.00000000, 0.00000000, -180.00000000, 1, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -150.00000000, -150.00000000, -30.00000000, -180.00000000),
(5263, 877, NULL, NULL, NULL, '<p>1 ENSEMBLE DE<strong> 64 MANCHES FILTRANTES </strong>pour &eacute;quiper votre<strong> d&eacute;poussi&eacute;reur &agrave; &eacute;cluse de marque Aagaard type ASF 2 DXLK.<br />\r\nD&eacute;lai est de 3 &agrave; 4 jours</strong> pour le transport, le mat&eacute;riel &eacute;tant en stock.<br />\r\nLe montage n&#39;est pas prevu dans le pr&eacute;sent devis</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5264, 877, NULL, 1298031, NULL, 'manches filtrantes longues', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 51.75000000, NULL, 3105.00000000, 621.00000000, 0.00000000, 0.00000000, 3726.00000000, 0, NULL, NULL, 0, 39.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 51.75000000, 3105.00000000, 621.00000000, 3726.00000000),
(5265, 877, NULL, 1298032, NULL, 'manches filtrantes courtes', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 53.76000000, NULL, 215.04000000, 43.01000000, 0.00000000, 0.00000000, 258.05000000, 0, NULL, NULL, 0, 42.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.76000000, 215.04000000, 43.01000000, 258.05000000),
(5266, 877, NULL, 1298033, NULL, 'frais d\'emballage et de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 135.00000000, NULL, 135.00000000, 27.00000000, 0.00000000, 0.00000000, 162.00000000, 0, NULL, NULL, 0, 135.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 135.00000000, 135.00000000, 27.00000000, 162.00000000),
(5267, 878, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 66.58000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(5268, 878, NULL, 1221815, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 58.56000000, NULL, 58.56000000, 11.71000000, 0.00000000, 0.00000000, 70.27000000, 0, NULL, NULL, 0, 29.28000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 58.56000000, 58.56000000, 11.71000000, 70.27000000),
(5269, 878, NULL, 1230691, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.32000000, NULL, 34.32000000, 6.86000000, 0.00000000, 0.00000000, 41.18000000, 0, NULL, NULL, 0, 17.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.32000000, 34.32000000, 6.86000000, 41.18000000),
(5270, 878, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(5271, 879, NULL, NULL, 'Réseau inox Ø 35 sectionnable par moitié, débit admissible 600m3/h à 7b + 5 desc Ø22 terminées par vannes +ygrecs+coupleurs', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5272, 879, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 78, 0, 0, NULL, 8.74000000, NULL, 681.72000000, 136.34000000, 0.00000000, 0.00000000, 818.06000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.74000000, 681.72000000, 136.34000000, 818.06000000),
(5273, 879, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 4.61000000, NULL, 55.32000000, 11.06000000, 0.00000000, 0.00000000, 66.38000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.61000000, 55.32000000, 11.06000000, 66.38000000),
(5274, 879, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 9.89000000, NULL, 118.68000000, 23.74000000, 0.00000000, 0.00000000, 142.42000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.89000000, 118.68000000, 23.74000000, 142.42000000),
(5275, 879, NULL, 1079818, NULL, 'Coude à 45° diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 9.23000000, NULL, 73.84000000, 14.77000000, 0.00000000, 0.00000000, 88.61000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.23000000, 73.84000000, 14.77000000, 88.61000000),
(5276, 879, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.97000000, NULL, 23.94000000, 4.79000000, 0.00000000, 0.00000000, 28.73000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.97000000, 23.94000000, 4.79000000, 28.73000000),
(5277, 879, NULL, 1079867, NULL, 'Té réduit diam. ext. 35 . 22 . 35', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 10.13000000, NULL, 50.65000000, 10.13000000, 0.00000000, 0.00000000, 60.78000000, 0, NULL, NULL, 0, 7.67000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.13000000, 50.65000000, 10.13000000, 60.78000000),
(5278, 879, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 35, 0, 0, NULL, 1.12000000, NULL, 39.20000000, 7.84000000, 0.00000000, 0.00000000, 47.04000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 39.20000000, 7.84000000, 47.04000000),
(5279, 879, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.04000000, NULL, 10.40000000, 2.08000000, 0.00000000, 0.00000000, 12.48000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.04000000, 10.40000000, 2.08000000, 12.48000000),
(5280, 879, NULL, 966507, NULL, 'Vanne F/F G1\"1/4 PN30 DN32', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 24.45000000, NULL, 48.90000000, 9.78000000, 0.00000000, 0.00000000, 58.68000000, 0, NULL, NULL, 0, 13.15500000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.45000000, 48.90000000, 9.78000000, 58.68000000),
(5281, 879, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 25.32000000, NULL, 151.92000000, 30.38000000, 0.00000000, 0.00000000, 182.30000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.32000000, 151.92000000, 30.38000000, 182.30000000),
(5282, 879, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 6.87000000, NULL, 34.35000000, 6.87000000, 0.00000000, 0.00000000, 41.22000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.87000000, 34.35000000, 6.87000000, 41.22000000),
(5283, 879, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 13.55000000, NULL, 67.75000000, 13.55000000, 0.00000000, 0.00000000, 81.30000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.55000000, 67.75000000, 13.55000000, 81.30000000),
(5284, 879, NULL, 1190653, NULL, 'Supportage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 191.44000000, NULL, 191.44000000, 38.29000000, 0.00000000, 0.00000000, 229.73000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 191.44000000, 191.44000000, 38.29000000, 229.73000000),
(5285, 879, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 419.67000000, NULL, 419.67000000, 83.93000000, 0.00000000, 0.00000000, 503.60000000, 0, NULL, NULL, 0, 400.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 419.67000000, 419.67000000, 83.93000000, 503.60000000),
(5286, 879, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 59.33000000, NULL, 2373.20000000, 474.64000000, 0.00000000, 0.00000000, 2847.84000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.33000000, 2373.20000000, 474.64000000, 2847.84000000),
(5287, 879, NULL, 1190776, NULL, 'nombre de kilometres', 20.000, '', 0.000, '0', 0.000, '0', 720, 0, 0, NULL, 0.88000000, NULL, 633.60000000, 126.72000000, 0.00000000, 0.00000000, 760.32000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.88000000, 633.60000000, 126.72000000, 760.32000000),
(5288, 879, NULL, 1190355, NULL, 'Frais autoroute', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 97.58000000, NULL, 97.58000000, 19.52000000, 0.00000000, 0.00000000, 117.10000000, 0, NULL, NULL, 0, 105.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 97.58000000, 97.58000000, 19.52000000, 117.10000000),
(5289, 879, NULL, 966723, NULL, 'Raccord Y mâle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 4.37000000, NULL, 21.85000000, 4.37000000, 0.00000000, 0.00000000, 26.22000000, 0, NULL, NULL, 0, 2.35000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.37000000, 21.85000000, 4.37000000, 26.22000000),
(5290, 879, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 23.21000000, NULL, 232.10000000, 46.42000000, 0.00000000, 0.00000000, 278.52000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.21000000, 232.10000000, 46.42000000, 278.52000000),
(5291, 879, NULL, 1080050, NULL, 'Courbe à 180° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 7.69000000, NULL, 46.14000000, 9.23000000, 0.00000000, 0.00000000, 55.37000000, 0, NULL, NULL, 0, 5.82000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.69000000, 46.14000000, 9.23000000, 55.37000000),
(5292, 879, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 6.15000000, NULL, 61.50000000, 12.30000000, 0.00000000, 0.00000000, 73.80000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.15000000, 61.50000000, 12.30000000, 73.80000000),
(5293, 879, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.96000000, NULL, 49.60000000, 9.92000000, 0.00000000, 0.00000000, 59.52000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.96000000, 49.60000000, 9.92000000, 59.52000000),
(5294, 879, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.33000000, NULL, 16.65000000, 3.33000000, 0.00000000, 0.00000000, 19.98000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.33000000, 16.65000000, 3.33000000, 19.98000000),
(5295, 880, NULL, 1230684, NULL, 'bulbes thermostatique 55°C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.00000000, NULL, 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 99.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.00000000, 130.00000000, 26.00000000, 156.00000000),
(5296, 880, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(5297, 880, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 0.97000000, NULL, 38.80000000, 7.76000000, 0.00000000, 0.00000000, 46.56000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 38.80000000, 7.76000000, 46.56000000),
(5298, 881, NULL, NULL, '1 Local Air Comprimé', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5299, 881, NULL, 1230707, NULL, '<br />\r\n10 bars', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6366.34000000, NULL, 6366.34000000, 1273.27000000, 0.00000000, 0.00000000, 7639.61000000, 0, NULL, NULL, 0, 5261.28000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6366.34000000, 6366.34000000, 1273.27000000, 7639.61000000),
(5300, 881, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 495.42000000, NULL, 495.42000000, 99.08000000, 0.00000000, 0.00000000, 594.50000000, 0, NULL, NULL, 0, 379.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 495.42000000, 495.42000000, 99.08000000, 594.50000000),
(5301, 881, NULL, 1245963, NULL, 'purgeur a sonde capacitive UFM D03', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 186.16000000, NULL, 186.16000000, 37.23000000, 0.00000000, 0.00000000, 223.39000000, 0, NULL, NULL, 0, 117.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 186.16000000, 186.16000000, 37.23000000, 223.39000000),
(5302, 881, NULL, 1245964, NULL, 'secheur frigo avec purgeur à sonde capacitive rkt cq 0125 ab', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 912.19000000, NULL, 912.19000000, 182.44000000, 0.00000000, 0.00000000, 1094.63000000, 0, NULL, NULL, 0, 765.60000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 912.19000000, 912.19000000, 182.44000000, 1094.63000000),
(5303, 881, NULL, 1245965, NULL, 'filtre fin avec purgeur à flotteur rf m 0210', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 186.16000000, NULL, 186.16000000, 37.23000000, 0.00000000, 0.00000000, 223.39000000, 0, NULL, NULL, 0, 144.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 186.16000000, 186.16000000, 37.23000000, 223.39000000),
(5304, 881, NULL, 1245966, NULL, 'separateur eau/huile ROS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 288.55000000, NULL, 288.55000000, 57.71000000, 0.00000000, 0.00000000, 346.26000000, 0, NULL, NULL, 0, 148.80000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 288.55000000, 288.55000000, 57.71000000, 346.26000000),
(5305, 881, NULL, 1245967, NULL, 'flexible de liaison 3/4 longueur 1600mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 88.42000000, NULL, 353.68000000, 70.74000000, 0.00000000, 0.00000000, 424.42000000, 0, NULL, NULL, 0, 45.60000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.42000000, 353.68000000, 70.74000000, 424.42000000),
(5306, 881, NULL, NULL, NULL, 'PR1809-0021<br />\r\n5 metres de cables 3x1.5mm&sup2;<br />\r\n2 fiches male 220V<br />\r\n1 fiche femelle 220V<br />\r\ncolson', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 37.24000000, NULL, 37.24000000, 7.45000000, 0.00000000, 0.00000000, 44.69000000, 0, NULL, NULL, 0, 25.75000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 37.24000000, 37.24000000, 7.45000000, 44.69000000),
(5307, 881, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 15.40000000, NULL, 61.60000000, 12.32000000, 0.00000000, 0.00000000, 73.92000000, 0, NULL, NULL, 0, 6.89000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.40000000, 61.60000000, 12.32000000, 73.92000000),
(5308, 881, NULL, 966505, NULL, 'Vanne F/F G3/4 PN40 DN20', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 10.04000000, NULL, 40.16000000, 8.03000000, 0.00000000, 0.00000000, 48.19000000, 0, NULL, NULL, 0, 5.39000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.04000000, 40.16000000, 8.03000000, 48.19000000),
(5309, 881, NULL, 966761, NULL, 'Réduction MxF G2\"xG3/4', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 43.84000000, NULL, 175.36000000, 35.07000000, 0.00000000, 0.00000000, 210.43000000, 0, NULL, NULL, 0, 23.55000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 43.84000000, 175.36000000, 35.07000000, 210.43000000),
(5310, 881, NULL, 966752, NULL, 'Réduction laiton MF G 1\"X 3/4', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 3.68000000, NULL, 14.72000000, 2.94000000, 0.00000000, 0.00000000, 17.66000000, 0, NULL, NULL, 0, 1.97500000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.68000000, 14.72000000, 2.94000000, 17.66000000),
(5311, 881, NULL, 966947, NULL, 'Coude conique M/F G3/4', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 4.38000000, NULL, 35.04000000, 7.01000000, 0.00000000, 0.00000000, 42.05000000, 0, NULL, NULL, 0, 2.35000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.38000000, 35.04000000, 7.01000000, 42.05000000),
(5312, 881, NULL, 966948, NULL, 'Coude conique M/F G1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.29000000, NULL, 6.29000000, 1.26000000, 0.00000000, 0.00000000, 7.55000000, 0, NULL, NULL, 0, 3.37000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.29000000, 6.29000000, 1.26000000, 7.55000000),
(5313, 881, NULL, 966703, NULL, 'Mamelon conique G3/4x3/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.28000000, NULL, 22.80000000, 4.56000000, 0.00000000, 0.00000000, 27.36000000, 0, NULL, NULL, 0, 1.23000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.28000000, 22.80000000, 4.56000000, 27.36000000),
(5314, 881, NULL, 966705, NULL, 'Mamelon conique G1\"x1\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.98000000, NULL, 49.80000000, 9.96000000, 0.00000000, 0.00000000, 59.76000000, 0, NULL, NULL, 0, 2.68000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 49.80000000, 9.96000000, 59.76000000),
(5315, 881, NULL, 966704, NULL, 'Mamelon conique G3/4x1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.89000000, NULL, 4.89000000, 0.98000000, 0.00000000, 0.00000000, 5.87000000, 0, NULL, NULL, 0, 2.62000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.89000000, 4.89000000, 0.98000000, 5.87000000),
(5316, 881, NULL, 966713, NULL, 'Mamelon tournant G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.66000000, NULL, 4.66000000, 0.93000000, 0.00000000, 0.00000000, 5.59000000, 0, NULL, NULL, 0, 2.50000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.66000000, 4.66000000, 0.93000000, 5.59000000),
(5317, 881, NULL, 966972, NULL, 'Té égal FFF G1\" laiton', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.01000000, NULL, 16.02000000, 3.20000000, 0.00000000, 0.00000000, 19.22000000, 0, NULL, NULL, 0, 4.30000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.01000000, 16.02000000, 3.20000000, 19.22000000),
(5318, 881, NULL, 966815, NULL, 'Manchon égal F/F G3/4x3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.82000000, NULL, 3.82000000, 0.76000000, 0.00000000, 0.00000000, 4.58000000, 0, NULL, NULL, 0, 2.05000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.82000000, 3.82000000, 0.76000000, 4.58000000),
(5319, 881, NULL, 966221, NULL, 'Rouleau Teflon PTFE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.61000000, NULL, 0.61000000, 0.12000000, 0.00000000, 0.00000000, 0.73000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.61000000, 0.61000000, 0.12000000, 0.73000000),
(5320, 881, NULL, 1245850, NULL, 'etancheité filetéé 250ml 58 - 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 41.88000000, NULL, 41.88000000, 8.38000000, 0.00000000, 0.00000000, 50.26000000, 0, NULL, NULL, 0, 36.08000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.88000000, 41.88000000, 8.38000000, 50.26000000),
(5321, 881, NULL, 966533, NULL, 'About M conique G1/2 tuy.8mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.63000000, NULL, 3.26000000, 0.65000000, 0.00000000, 0.00000000, 3.91000000, 0, NULL, NULL, 0, 0.87500000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.63000000, 3.26000000, 0.65000000, 3.91000000),
(5322, 881, NULL, 971938, NULL, 'Tuyau PVC tressé POLYFLEXAIR Ø8x14 Couleur bleue en couronne de 50 mètres PS: 15 Bar', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 0.98000000, NULL, 4.90000000, 0.98000000, 0.00000000, 0.00000000, 5.88000000, 0, NULL, NULL, 0, 0.57750000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.98000000, 4.90000000, 0.98000000, 5.88000000),
(5323, 881, NULL, 971955, NULL, 'Tuyau PVC tressé POLYFLEXAIR Ø25x33 Couleur bleue en couronne de 50 mètres- PS: 15 Bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.91000000, NULL, 3.91000000, 0.78000000, 0.00000000, 0.00000000, 4.69000000, 0, NULL, NULL, 0, 2.31000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.91000000, 3.91000000, 0.78000000, 4.69000000),
(5324, 881, NULL, 967736, NULL, 'Colliers à oreilles Ø 7/9mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.43000000, NULL, 10.43000000, 2.09000000, 0.00000000, 0.00000000, 12.52000000, 0, NULL, NULL, 0, 6.16000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.43000000, 10.43000000, 2.09000000, 12.52000000),
(5325, 881, NULL, 967746, NULL, 'Colliers à oreilles Ø 23/27mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.43000000, NULL, 26.43000000, 5.29000000, 0.00000000, 0.00000000, 31.72000000, 0, NULL, NULL, 0, 15.62000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.43000000, 26.43000000, 5.29000000, 31.72000000),
(5326, 881, NULL, 1245968, NULL, 'flexible 1\" long 1100 mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.77000000, NULL, 110.77000000, 22.15000000, 0.00000000, 0.00000000, 132.92000000, 0, NULL, NULL, 0, 57.12000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.77000000, 110.77000000, 22.15000000, 132.92000000),
(5327, 881, NULL, 969126, NULL, 'FRL 2 modules série F3 G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 138.79000000, NULL, 138.79000000, 27.76000000, 0.00000000, 0.00000000, 166.55000000, 0, NULL, NULL, 0, 82.00500000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 138.79000000, 138.79000000, 27.76000000, 166.55000000),
(5328, 881, NULL, 969153, NULL, 'Ressort FRL3 0-12 BAR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.61000000, NULL, 2.61000000, 0.52000000, 0.00000000, 0.00000000, 3.13000000, 0, NULL, NULL, 0, 2.09000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.61000000, 2.61000000, 0.52000000, 3.13000000),
(5329, 881, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.24000000, NULL, 23.24000000, 4.65000000, 0.00000000, 0.00000000, 27.89000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.24000000, 23.24000000, 4.65000000, 27.89000000),
(5330, 881, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 372.25000000, NULL, 372.25000000, 74.45000000, 0.00000000, 0.00000000, 446.70000000, 0, NULL, NULL, 0, 300.00000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 372.25000000, 372.25000000, 74.45000000, 446.70000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(5331, 882, NULL, NULL, NULL, 'Maintenance compresseur L 15 :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5332, 882, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(5333, 882, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5334, 882, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(5335, 882, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 16.25000000, NULL, 48.75000000, 9.75000000, 0.00000000, 0.00000000, 58.50000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 48.75000000, 9.75000000, 58.50000000),
(5336, 882, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(5337, 882, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(5338, 882, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(5339, 882, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5340, 882, NULL, NULL, NULL, 'Maintenance separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5341, 882, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(5342, 882, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5343, 882, NULL, NULL, NULL, 'Maintenance filtres réseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5344, 882, NULL, 953170, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 125.98000000, NULL, 125.98000000, 25.20000000, 0.00000000, 0.00000000, 151.18000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 125.98000000, 125.98000000, 25.20000000, 151.18000000),
(5345, 882, NULL, 953173, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 125.98000000, NULL, 125.98000000, 25.20000000, 0.00000000, 0.00000000, 151.18000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 125.98000000, 125.98000000, 25.20000000, 151.18000000),
(5346, 882, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5347, 883, NULL, 1190376, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 331.44000000, NULL, 331.44000000, 66.29000000, 0.00000000, 0.00000000, 397.73000000, 0, NULL, NULL, 0, 249.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 331.44000000, 331.44000000, 66.29000000, 397.73000000),
(5348, 884, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(5349, 884, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.97000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 58.20000000, 11.64000000, 69.84000000),
(5350, 885, NULL, 1298023, NULL, 'bekomat 32U vario', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 194.00000000, NULL, 194.00000000, 38.80000000, 0.00000000, 0.00000000, 232.80000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 194.00000000, 194.00000000, 38.80000000, 232.80000000),
(5351, 885, NULL, 957271, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 17.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(5352, 886, NULL, 1223816, NULL, '2400w 230v 420m3/h<br />\r\n62litres 17.5kg<br />\r\ncuve inox', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 431.20000000, NULL, 431.20000000, 86.24000000, 0.00000000, 0.00000000, 517.44000000, 0, NULL, NULL, 0, 333.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 431.20000000, 431.20000000, 86.24000000, 517.44000000),
(5353, 886, NULL, 1003699, NULL, 'RALLONGE COURBEE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 25.48000000, NULL, 50.96000000, 10.19000000, 0.00000000, 0.00000000, 61.15000000, 0, NULL, NULL, 0, 6.57000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.48000000, 50.96000000, 10.19000000, 61.15000000),
(5354, 887, NULL, NULL, 'Acompte', 'Acompte', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2135.55000000, NULL, 2135.55000000, 427.11000000, 0.00000000, 0.00000000, 2562.66000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2135.55000000, 2135.55000000, 427.11000000, 2562.66000000),
(5355, 888, NULL, 1221761, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.81000000, NULL, 16.81000000, 3.36000000, 0.00000000, 0.00000000, 20.17000000, 0, NULL, NULL, 0, 8.16000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.81000000, 16.81000000, 3.36000000, 20.17000000),
(5356, 888, NULL, 954037, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.26000000, NULL, 35.26000000, 7.05000000, 0.00000000, 0.00000000, 42.31000000, 0, NULL, NULL, 0, 17.12000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.26000000, 35.26000000, 7.05000000, 42.31000000),
(5357, 888, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 66.58000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(5358, 888, NULL, 954294, NULL, 'huile ingersolrand COOLANT - 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.00000000, NULL, 99.00000000, 19.80000000, 0.00000000, 0.00000000, 118.80000000, 0, NULL, NULL, 0, 85.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.00000000, 99.00000000, 19.80000000, 118.80000000),
(5359, 888, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(5360, 888, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(5361, 889, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.97000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 58.20000000, 11.64000000, 69.84000000),
(5362, 889, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(5363, 889, NULL, 969249, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(5364, 890, NULL, 1231698, NULL, 'bidons huiles 10L min&eacute;ral 68', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 850.70000000, NULL, 850.70000000, 170.14000000, 0.00000000, 0.00000000, 1020.84000000, 0, NULL, NULL, 0, 39.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 850.70000000, 850.70000000, 170.14000000, 1020.84000000),
(5365, 890, NULL, 1231699, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.00000000, NULL, 33.00000000, 6.60000000, 0.00000000, 0.00000000, 39.60000000, 0, NULL, NULL, 0, 23.10000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.00000000, 33.00000000, 6.60000000, 39.60000000),
(5366, 890, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 425.60000000, NULL, 425.60000000, 85.12000000, 0.00000000, 0.00000000, 510.72000000, 0, NULL, NULL, 0, 327.38000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 425.60000000, 425.60000000, 85.12000000, 510.72000000),
(5367, 890, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5368, 890, NULL, 1222117, NULL, 'CARTOUCHE SEPARATRICE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 170.00000000, NULL, 170.00000000, 34.00000000, 0.00000000, 0.00000000, 204.00000000, 0, NULL, NULL, 0, 119.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 170.00000000, 170.00000000, 34.00000000, 204.00000000),
(5369, 890, NULL, 1231701, NULL, 'Elément filtrant grade V pour filtre RF 0320', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 177.00000000, NULL, 177.00000000, 35.40000000, 0.00000000, 0.00000000, 212.40000000, 0, NULL, NULL, 0, 84.96000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 177.00000000, 177.00000000, 35.40000000, 212.40000000),
(5370, 890, NULL, 1231702, NULL, 'Elément filtrant grade S pour filtre RF 0320', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 177.00000000, NULL, 177.00000000, 35.40000000, 0.00000000, 0.00000000, 212.40000000, 0, NULL, NULL, 0, 84.96000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 177.00000000, 177.00000000, 35.40000000, 212.40000000),
(5371, 890, NULL, 1231700, NULL, 'Filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 38.00000000, NULL, 38.00000000, 7.60000000, 0.00000000, 0.00000000, 45.60000000, 0, NULL, NULL, 0, 26.60000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.00000000, 38.00000000, 7.60000000, 45.60000000),
(5372, 890, NULL, 1222552, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 33.22000000, NULL, 99.66000000, 19.93000000, 0.00000000, 0.00000000, 119.59000000, 0, NULL, NULL, 0, 16.13000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.22000000, 99.66000000, 19.93000000, 119.59000000),
(5373, 890, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(5374, 891, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2202.34000000, NULL, 2202.34000000, 440.47000000, 0.00000000, 0.00000000, 2642.81000000, 0, NULL, NULL, 0, 1694.11000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2202.34000000, 2202.34000000, 440.47000000, 2642.81000000),
(5375, 891, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 518.70000000, NULL, 518.70000000, 103.74000000, 0.00000000, 0.00000000, 622.44000000, 0, NULL, NULL, 0, 399.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 518.70000000, 518.70000000, 103.74000000, 622.44000000),
(5376, 891, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 330.00000000, NULL, 330.00000000, 66.00000000, 0.00000000, 0.00000000, 396.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 330.00000000, 330.00000000, 66.00000000, 396.00000000),
(5377, 892, NULL, NULL, NULL, 'cable electrique 5G6', 20.000, '', 0.000, '0', 0.000, '0', 35, 0, 0, NULL, 7.64000000, NULL, 267.40000000, 53.48000000, 0.00000000, 0.00000000, 320.88000000, 0, NULL, NULL, 0, 5.88000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.64000000, 267.40000000, 53.48000000, 320.88000000),
(5378, 892, NULL, NULL, NULL, 'A9N21419 - DISJONCTEUR', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 124.80000000, NULL, 249.60000000, 49.92000000, 0.00000000, 0.00000000, 299.52000000, 0, NULL, NULL, 0, 96.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 124.80000000, 249.60000000, 49.92000000, 299.52000000),
(5379, 892, NULL, NULL, NULL, 'sachets colson&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 4, 100, 0, NULL, 4.05000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 3.12000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.05000000, 0.00000000, 0.00000000, 0.00000000),
(5380, 892, NULL, NULL, NULL, 'tube iro', 20.000, '', 0.000, '0', 0.000, '0', 6, 100, 0, NULL, 2.70000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 2.08000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.70000000, 0.00000000, 0.00000000, 0.00000000),
(5381, 892, NULL, 971952, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 18, 100, 0, NULL, 2.90000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 1.59500000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.90000000, 0.00000000, 0.00000000, 0.00000000),
(5382, 892, NULL, NULL, NULL, 'cable 5G2.5', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 2.99000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 2.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.99000000, 0.00000000, 0.00000000, 0.00000000),
(5383, 892, NULL, NULL, NULL, 'boite de raccordement canalis', 20.000, '', 0.000, '0', 0.000, '0', 2, 100, 0, NULL, 65.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.00000000, 0.00000000, 0.00000000, 0.00000000),
(5384, 892, NULL, NULL, NULL, 'boite plexo 150/200', 20.000, '', 0.000, '0', 0.000, '0', 2, 100, 0, NULL, 45.50000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.50000000, 0.00000000, 0.00000000, 0.00000000),
(5385, 892, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 30.5, 0, 0, NULL, 63.84000000, NULL, 1947.12000000, 389.42000000, 0.00000000, 0.00000000, 2336.54000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 1947.12000000, 389.42000000, 2336.54000000),
(5386, 893, NULL, 1190357, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 502.72000000, NULL, 502.72000000, 100.54000000, 0.00000000, 0.00000000, 603.26000000, 0, NULL, NULL, 0, 386.68000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 502.72000000, 502.72000000, 100.54000000, 603.26000000),
(5405, 895, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 500.76000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(5406, 896, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(5407, 897, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2020-02-20 00:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(5426, 899, NULL, NULL, '1 Pose de deux destratificateurs', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5427, 899, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 63.84000000, NULL, 510.72000000, 102.14000000, 0.00000000, 0.00000000, 612.86000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 510.72000000, 102.14000000, 612.86000000),
(5428, 899, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 300.00000000, NULL, 300.00000000, 60.00000000, 0.00000000, 0.00000000, 360.00000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 300.00000000, 300.00000000, 60.00000000, 360.00000000),
(5429, 899, NULL, 1190453, NULL, 'u1000ro2v cu 3g 1,5mm', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 1.87000000, NULL, 56.10000000, 11.22000000, 0.00000000, 0.00000000, 67.32000000, 0, NULL, NULL, 0, 0.91000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.87000000, 56.10000000, 11.22000000, 67.32000000),
(5430, 899, NULL, NULL, 'Sous-total Pose de deux destratificateurs', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5431, 899, NULL, NULL, '2 remplacement interrupteur sectionneur etuve', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5432, 899, NULL, 1154431, NULL, 'VARIO 32A RO/JA 1 VERT CADEN', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 54.10000000, NULL, 54.10000000, 10.82000000, 0.00000000, 0.00000000, 64.92000000, 0, NULL, NULL, 0, 26.26000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 54.10000000, 54.10000000, 10.82000000, 64.92000000),
(5433, 899, NULL, 1155602, NULL, 'POLE NEUTRE 40A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.20000000, NULL, 25.20000000, 5.04000000, 0.00000000, 0.00000000, 30.24000000, 0, NULL, NULL, 0, 12.23000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.20000000, 25.20000000, 5.04000000, 30.24000000),
(5434, 899, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.00000000, NULL, 25.00000000, 5.00000000, 0.00000000, 0.00000000, 30.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.00000000, 25.00000000, 5.00000000, 30.00000000),
(5435, 899, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(5436, 899, NULL, NULL, 'Sous-total remplacement interrupteur sectionneur etuve', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5437, 899, NULL, NULL, '3 Local compresseur', 'remplacement disjoncteur-differentiel de tete + ajout d&#39;un disjoncteur differentiel prise en coffret', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5438, 899, NULL, 1298024, NULL, 'disjoncteur IC60-63amp', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.00000000, NULL, 214.00000000, 42.80000000, 0.00000000, 0.00000000, 256.80000000, 0, NULL, NULL, 0, 178.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.00000000, 214.00000000, 42.80000000, 256.80000000),
(5439, 899, NULL, 1298025, NULL, 'Acti9, Vigi iC60 4P 63A 300mA type AC 230-240V 400-415V', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 198.00000000, NULL, 198.00000000, 39.60000000, 0.00000000, 0.00000000, 237.60000000, 0, NULL, NULL, 0, 156.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 198.00000000, 198.00000000, 39.60000000, 237.60000000),
(5440, 899, NULL, 1108508, NULL, 'DT40 VIGI', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.00000000, NULL, 118.00000000, 23.60000000, 0.00000000, 0.00000000, 141.60000000, 0, NULL, NULL, 0, 98.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.00000000, 118.00000000, 23.60000000, 141.60000000),
(5441, 899, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(5442, 899, NULL, 1231751, NULL, 'Mini Coffret pour appareillage modulaire 159*200mm 6 modules', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 47.90000000, NULL, 47.90000000, 9.58000000, 0.00000000, 0.00000000, 57.48000000, 0, NULL, NULL, 0, 34.22000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 47.90000000, 47.90000000, 9.58000000, 57.48000000),
(5443, 899, NULL, NULL, 'Sous-total Local compresseur', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5444, 900, NULL, 1188198, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 83.33000000, NULL, 83.33000000, 16.67000000, 0.00000000, 0.00000000, 100.00000000, 0, NULL, NULL, 0, 61.91000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 83.33000000, 83.33000000, 16.67000000, 100.00000000),
(5445, 901, NULL, 1190535, NULL, 'main d&#39;oeuvre &amp; tp de deplacement', 0.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 40.00000000, NULL, 140.00000000, 0.00000000, 0.00000000, 0.00000000, 140.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.00000000, 140.00000000, 0.00000000, 140.00000000),
(5446, 901, NULL, 1190334, NULL, 'frais km', 0.000, '', 0.000, '0', 0.000, '0', 80, 0, 0, NULL, 0.60000000, NULL, 48.00000000, 0.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.60000000, 48.00000000, 0.00000000, 48.00000000),
(5447, 902, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5448, 902, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 397.00000000, NULL, 397.00000000, 79.40000000, 0.00000000, 0.00000000, 476.40000000, 1, NULL, NULL, 0, 202.99000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 397.00000000, 397.00000000, 79.40000000, 476.40000000),
(5449, 902, NULL, 954020, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 295.03000000, NULL, 295.03000000, 59.01000000, 0.00000000, 0.00000000, 354.04000000, 0, NULL, NULL, 0, 143.22000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 295.03000000, 295.03000000, 59.01000000, 354.04000000),
(5450, 902, NULL, 959172, NULL, 'Filter Set for ÖWAMAT 15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 373.76000000, NULL, 373.76000000, 74.75000000, 0.00000000, 0.00000000, 448.51000000, 0, NULL, NULL, 0, 194.06000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 373.76000000, 373.76000000, 74.75000000, 448.51000000),
(5451, 902, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 317.93000000, NULL, 317.93000000, 63.59000000, 0.00000000, 0.00000000, 381.52000000, 0, NULL, NULL, 0, 239.04000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 317.93000000, 317.93000000, 63.59000000, 381.52000000),
(5452, 903, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5453, 903, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(5454, 903, NULL, 951971, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(5455, 903, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(5456, 903, NULL, 1222591, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(5457, 903, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(5458, 903, NULL, 953167, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(5459, 904, NULL, 1103529, NULL, 'COFFRET KAEDRA 12M 1R IP65', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 71.25000000, NULL, 142.50000000, 28.50000000, 0.00000000, 0.00000000, 171.00000000, 0, NULL, NULL, 0, 52.58000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 71.25000000, 142.50000000, 28.50000000, 171.00000000),
(5460, 904, NULL, 1298081, NULL, 'cable RO2V 5G6MM²', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 7.66000000, NULL, 459.60000000, 91.92000000, 0.00000000, 0.00000000, 551.52000000, 0, NULL, NULL, 0, 6.12000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.66000000, 459.60000000, 91.92000000, 551.52000000),
(5461, 904, NULL, 1190453, NULL, 'u1000ro2v cu 3g 1,5mm', 20.000, '', 0.000, '0', 0.000, '0', 100, 0, 0, NULL, 1.38000000, NULL, 138.00000000, 27.60000000, 0.00000000, 0.00000000, 165.60000000, 0, NULL, NULL, 0, 0.91000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.38000000, 138.00000000, 27.60000000, 165.60000000),
(5462, 904, NULL, 1298028, NULL, 'R2V CU 5G2,5  DISTINGO', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 2.47000000, NULL, 98.80000000, 19.76000000, 0.00000000, 0.00000000, 118.56000000, 0, NULL, NULL, 0, 2.05000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.47000000, 98.80000000, 19.76000000, 118.56000000),
(5463, 904, NULL, 1297928, NULL, 'IRL 3321 Diam 20 Longueur 3m Tulipé Gris', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.85000000, NULL, 42.50000000, 8.50000000, 0.00000000, 0.00000000, 51.00000000, 0, NULL, NULL, 0, 0.68000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.85000000, 42.50000000, 8.50000000, 51.00000000),
(5464, 904, NULL, 1190634, NULL, 'r2v cu 3g2,5 c50m', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 1.76000000, NULL, 70.40000000, 14.08000000, 0.00000000, 0.00000000, 84.48000000, 0, NULL, NULL, 0, 1.23000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.76000000, 70.40000000, 14.08000000, 84.48000000),
(5465, 904, NULL, 1297927, NULL, 'IRL 3321 Diam 32 Longueur 3m Tulipé Gris', 20.000, '', 0.000, '0', 0.000, '0', 45, 0, 0, NULL, 1.90000000, NULL, 85.50000000, 17.10000000, 0.00000000, 0.00000000, 102.60000000, 0, NULL, NULL, 0, 1.53000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.90000000, 85.50000000, 17.10000000, 102.60000000),
(5466, 904, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 60.65000000, NULL, 970.40000000, 194.08000000, 0.00000000, 0.00000000, 1164.48000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 60.65000000, 970.40000000, 194.08000000, 1164.48000000),
(5467, 904, NULL, 1071473, NULL, 'BOITE DERIVATION 80X80 PLEXO', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 7.29000000, NULL, 58.32000000, 11.66000000, 0.00000000, 0.00000000, 69.98000000, 0, NULL, NULL, 0, 3.72000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.29000000, 58.32000000, 11.66000000, 69.98000000),
(5468, 904, NULL, 1298137, NULL, 'Prodis DT40 - disjoncteur - 3P+N - 32A - courbe C - 6kA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.43000000, NULL, 86.43000000, 17.29000000, 0.00000000, 0.00000000, 103.72000000, 0, NULL, NULL, 0, 72.48000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.43000000, 86.43000000, 17.29000000, 103.72000000),
(5469, 904, NULL, 1190631, NULL, 'DT40 3p+n 20a courbe c', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.00000000, NULL, 76.00000000, 15.20000000, 0.00000000, 0.00000000, 91.20000000, 0, NULL, NULL, 0, 65.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.00000000, 76.00000000, 15.20000000, 91.20000000),
(5470, 904, NULL, 1223583, NULL, 'Vigi DT40 bloc différentiel 3P+N 25A 30mA instantané type AC 230-415V', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 176.71000000, NULL, 176.71000000, 35.34000000, 0.00000000, 0.00000000, 212.05000000, 0, NULL, NULL, 0, 143.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 176.71000000, 176.71000000, 35.34000000, 212.05000000),
(5471, 904, NULL, 1190443, NULL, 'dt40 1p n 16a c 6ka', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.10000000, NULL, 34.20000000, 6.84000000, 0.00000000, 0.00000000, 41.04000000, 0, NULL, NULL, 0, 14.50000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.10000000, 34.20000000, 6.84000000, 41.04000000),
(5472, 904, NULL, 1190442, NULL, 'vigi dt40 1pn 25a 30ma', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 99.75000000, NULL, 199.50000000, 39.90000000, 0.00000000, 0.00000000, 239.40000000, 0, NULL, NULL, 0, 87.50000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.75000000, 199.50000000, 39.90000000, 239.40000000),
(5473, 904, NULL, 1190584, NULL, 'repas', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 19.00000000, NULL, 38.00000000, 7.60000000, 0.00000000, 0.00000000, 45.60000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.00000000, 38.00000000, 7.60000000, 45.60000000),
(5474, 904, NULL, 1190776, NULL, 'nombre de kilometres', 20.000, '', 0.000, '0', 0.000, '0', 100, 0, 0, NULL, 0.90000000, NULL, 90.00000000, 18.00000000, 0.00000000, 0.00000000, 108.00000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.90000000, 90.00000000, 18.00000000, 108.00000000),
(5475, 904, NULL, 1231889, NULL, 'CORELINE HIGHBAY BY121P G3 LED205S/840 PSU WB GR', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 386.74000000, NULL, 3093.92000000, 618.78000000, 0.00000000, 0.00000000, 3712.70000000, 0, NULL, NULL, 0, 354.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.74000000, 3093.92000000, 618.78000000, 3712.70000000),
(5476, 904, NULL, 1071210, NULL, 'PRISE 3P+T 20A PLEXO 55', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 57.00000000, NULL, 114.00000000, 22.80000000, 0.00000000, 0.00000000, 136.80000000, 0, NULL, NULL, 0, 39.10000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.00000000, 114.00000000, 22.80000000, 136.80000000),
(5477, 904, NULL, 1298106, NULL, '2P+T F/B GRIS SAILLIE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.61000000, NULL, 25.22000000, 5.04000000, 0.00000000, 0.00000000, 30.26000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.61000000, 25.22000000, 5.04000000, 30.26000000),
(5478, 905, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 394.36000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 0.00000000, 0.00000000, 0.00000000),
(5479, 905, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 5.50000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 0.00000000, 0.00000000, 0.00000000),
(5480, 905, NULL, 1179629, NULL, 'MINOR KIT C L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 418.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 0.00000000, 0.00000000, 0.00000000),
(5481, 905, NULL, 1189210, NULL, 'H. compresseur &agrave; vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 277.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 0.00000000, 0.00000000, 0.00000000),
(5482, 906, NULL, 1179624, NULL, 'MINOR KIT C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.14000000, NULL, 214.14000000, 42.83000000, 0.00000000, 0.00000000, 256.97000000, 1, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.14000000, 214.14000000, 42.83000000, 256.97000000),
(5483, 906, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.12000000, NULL, 329.12000000, 65.82000000, 0.00000000, 0.00000000, 394.94000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.12000000, 329.12000000, 65.82000000, 394.94000000),
(5484, 906, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.95000000, NULL, 4.95000000, 0.99000000, 0.00000000, 0.00000000, 5.94000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.95000000, 4.95000000, 0.99000000, 5.94000000),
(5486, 906, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 158.72000000, NULL, 158.72000000, 31.74000000, 0.00000000, 0.00000000, 190.46000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 158.72000000, 158.72000000, 31.74000000, 190.46000000),
(5487, 906, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 116.22000000, NULL, 232.44000000, 46.49000000, 0.00000000, 0.00000000, 278.93000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 116.22000000, 232.44000000, 46.49000000, 278.93000000),
(5488, 906, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 116.22000000, NULL, 116.22000000, 23.24000000, 0.00000000, 0.00000000, 139.46000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 116.22000000, 116.22000000, 23.24000000, 139.46000000),
(5489, 906, NULL, 1231755, NULL, 'cartouche filtre reseau 300 charbon actif', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 116.21000000, NULL, 116.21000000, 23.24000000, 0.00000000, 0.00000000, 139.45000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 116.21000000, 116.21000000, 23.24000000, 139.45000000),
(5490, 906, NULL, 1179649, NULL, 'SEPARATOR KIT D             L15RS -L22RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 325.55000000, NULL, 325.55000000, 65.11000000, 0.00000000, 0.00000000, 390.66000000, 1, NULL, NULL, 0, 284.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 325.55000000, 325.55000000, 65.11000000, 390.66000000),
(5491, 907, NULL, 951743, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.55000000, NULL, 32.55000000, 6.51000000, 0.00000000, 0.00000000, 39.06000000, 0, NULL, NULL, 0, 17.48000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.55000000, 32.55000000, 6.51000000, 39.06000000),
(5492, 907, NULL, 954045, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.92000000, NULL, 18.92000000, 3.78000000, 0.00000000, 0.00000000, 22.70000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.92000000, 18.92000000, 3.78000000, 22.70000000),
(5493, 907, NULL, 954632, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 167.93000000, NULL, 167.93000000, 33.59000000, 0.00000000, 0.00000000, 201.52000000, 0, NULL, NULL, 0, 90.16000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 167.93000000, 167.93000000, 33.59000000, 201.52000000),
(5494, 907, NULL, 953302, NULL, 'filtre reseau cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 103.27000000, NULL, 103.27000000, 20.65000000, 0.00000000, 0.00000000, 123.92000000, 0, NULL, NULL, 0, 55.44000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.27000000, 103.27000000, 20.65000000, 123.92000000),
(5495, 907, NULL, 953304, NULL, 'filtre reseau cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 103.27000000, NULL, 103.27000000, 20.65000000, 0.00000000, 0.00000000, 123.92000000, 0, NULL, NULL, 0, 55.44000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.27000000, 103.27000000, 20.65000000, 123.92000000),
(5496, 907, NULL, 953303, NULL, 'filtre reseau cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 103.27000000, NULL, 103.27000000, 20.65000000, 0.00000000, 0.00000000, 123.92000000, 0, NULL, NULL, 0, 55.44000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.27000000, 103.27000000, 20.65000000, 123.92000000),
(5497, 907, NULL, 1222171, NULL, '_34', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.12000000, NULL, 100.12000000, 20.02000000, 0.00000000, 0.00000000, 120.14000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.12000000, 100.12000000, 20.02000000, 120.14000000),
(5498, 907, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5499, 907, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 356.60000000, NULL, 356.60000000, 71.32000000, 0.00000000, 0.00000000, 427.92000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 356.60000000, 356.60000000, 71.32000000, 427.92000000),
(5507, 909, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 1, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(5508, 909, NULL, 1222588, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(5509, 909, NULL, 953164, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(5510, 909, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(5511, 909, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(5512, 909, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(5513, 910, NULL, NULL, NULL, 'Maintenance compresseur :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5514, 910, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 331.03000000, NULL, 331.03000000, 66.21000000, 0.00000000, 0.00000000, 397.24000000, 0, NULL, NULL, 0, 248.89000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 331.03000000, 331.03000000, 66.21000000, 397.24000000),
(5515, 910, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 336.51000000, NULL, 336.51000000, 67.30000000, 0.00000000, 0.00000000, 403.81000000, 1, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 336.51000000, 336.51000000, 67.30000000, 403.81000000),
(5516, 910, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5517, 910, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5518, 910, NULL, NULL, NULL, 'Maintenance separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5519, 910, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(5520, 910, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5521, 910, NULL, NULL, NULL, 'Remplacement cartouches filtres reseaux', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5522, 910, NULL, 952690, NULL, 'cartouche media filtrant pne610rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 215.47000000, NULL, 215.47000000, 43.09000000, 0.00000000, 0.00000000, 258.56000000, 0, NULL, NULL, 0, 104.60000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 215.47000000, 215.47000000, 43.09000000, 258.56000000),
(5523, 910, NULL, 1221466, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.36000000, NULL, 214.36000000, 42.87000000, 0.00000000, 0.00000000, 257.23000000, 0, NULL, NULL, 0, 104.06000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.36000000, 214.36000000, 42.87000000, 257.23000000),
(5524, 910, NULL, 952863, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.28000000, NULL, 118.28000000, 23.66000000, 0.00000000, 0.00000000, 141.94000000, 0, NULL, NULL, 0, 57.42000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.28000000, 118.28000000, 23.66000000, 141.94000000),
(5525, 910, NULL, 952864, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.28000000, NULL, 118.28000000, 23.66000000, 0.00000000, 0.00000000, 141.94000000, 0, NULL, NULL, 0, 57.42000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.28000000, 118.28000000, 23.66000000, 141.94000000),
(5526, 910, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5527, 911, NULL, 1230704, NULL, 'Compresseur Renner 207.6 m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6635.95000000, NULL, 6635.95000000, 1327.19000000, 0.00000000, 0.00000000, 7963.14000000, 0, NULL, NULL, 0, 5228.69000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6635.95000000, 6635.95000000, 1327.19000000, 7963.14000000),
(5528, 911, NULL, 1222098, NULL, 'filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 49.27000000, NULL, 98.54000000, 19.71000000, 0.00000000, 0.00000000, 118.25000000, 0, NULL, NULL, 0, 24.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 49.27000000, 98.54000000, 19.71000000, 118.25000000),
(5529, 911, NULL, 1222117, NULL, 'CARTOUCHE SEPARATRICE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 165.96000000, NULL, 165.96000000, 33.19000000, 0.00000000, 0.00000000, 199.15000000, 0, NULL, NULL, 0, 119.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 165.96000000, 165.96000000, 33.19000000, 199.15000000),
(5530, 911, NULL, 1297935, NULL, 'Filtre à Air', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 48.50000000, NULL, 97.00000000, 19.40000000, 0.00000000, 0.00000000, 116.40000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.50000000, 97.00000000, 19.40000000, 116.40000000),
(5531, 911, NULL, 1297936, NULL, 'Kit hors gel', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 452.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5532, 911, NULL, NULL, NULL, '(DEPOSIT)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, 39, -2300.00000000, NULL, -2300.00000000, -460.00000000, 0.00000000, 0.00000000, -2760.00000000, 0, NULL, NULL, 2, 0.00000000, NULL, 0, 0, -1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, '', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5533, 911, NULL, NULL, NULL, '(DEPOSIT)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, 41, -2300.00000000, NULL, -2300.00000000, -460.00000000, 0.00000000, 0.00000000, -2760.00000000, 0, NULL, NULL, 2, 0.00000000, NULL, 0, 0, -1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, '', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5534, 912, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 443.14000000, NULL, 443.14000000, 88.63000000, 0.00000000, 0.00000000, 531.77000000, 0, NULL, NULL, 0, 333.18000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 443.14000000, 443.14000000, 88.63000000, 531.77000000),
(5535, 912, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5536, 912, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 993.20000000, NULL, 993.20000000, 198.64000000, 0.00000000, 0.00000000, 1191.84000000, 1, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 993.20000000, 993.20000000, 198.64000000, 1191.84000000),
(5537, 912, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 291.60000000, NULL, 291.60000000, 58.32000000, 0.00000000, 0.00000000, 349.92000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 291.60000000, 291.60000000, 58.32000000, 349.92000000),
(5542, 914, NULL, 1298140, NULL, 'sonde de temperature', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.67000000, NULL, 28.67000000, 5.73000000, 0.00000000, 0.00000000, 34.40000000, 0, NULL, NULL, 0, 16.34000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.67000000, 28.67000000, 5.73000000, 34.40000000),
(5543, 914, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(5544, 915, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 62, 0, 0, NULL, 0.97000000, NULL, 60.14000000, 12.03000000, 0.00000000, 0.00000000, 72.17000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 60.14000000, 12.03000000, 72.17000000),
(5545, 915, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(5546, 915, NULL, 1305558, NULL, 'hublot vernosc 800LM blanc', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 40.00000000, NULL, 240.00000000, 48.00000000, 0.00000000, 0.00000000, 288.00000000, 0, NULL, NULL, 0, 30.07000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.00000000, 240.00000000, 48.00000000, 288.00000000),
(5547, 915, NULL, 1305559, NULL, 'ray amadeus 2 h blc 1500w', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 208.98000000, NULL, 208.98000000, 41.80000000, 0.00000000, 0.00000000, 250.78000000, 0, NULL, NULL, 0, 157.13000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 208.98000000, 208.98000000, 41.80000000, 250.78000000),
(5548, 915, NULL, 1305560, NULL, 'malette 200 chev auto for', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.94000000, NULL, 23.94000000, 4.79000000, 0.00000000, 0.00000000, 28.73000000, 0, NULL, NULL, 0, 18.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.94000000, 23.94000000, 4.79000000, 28.73000000),
(5549, 916, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement<br />\r\n2 jours 1 technicien', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1251.59000000, NULL, 1251.59000000, 250.32000000, 0.00000000, 0.00000000, 1501.91000000, 0, NULL, NULL, 0, 1019.12000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1251.59000000, 1251.59000000, 250.32000000, 1501.91000000),
(5550, 916, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 283.41000000, NULL, 283.41000000, 56.68000000, 0.00000000, 0.00000000, 340.09000000, 0, NULL, NULL, 0, 209.10000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 283.41000000, 283.41000000, 56.68000000, 340.09000000),
(5551, 917, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.30000000, NULL, 10.30000000, 2.06000000, 0.00000000, 0.00000000, 12.36000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 10.30000000, 2.06000000, 12.36000000),
(5552, 917, NULL, 1211823, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.00000000, NULL, 21.00000000, 4.20000000, 0.00000000, 0.00000000, 25.20000000, 0, NULL, NULL, 0, 21.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.00000000, 21.00000000, 4.20000000, 25.20000000),
(5553, 917, NULL, 1218069, NULL, 'SOUPAPE 2800/F18 1\" 10.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.00000000, NULL, 99.00000000, 19.80000000, 0.00000000, 0.00000000, 118.80000000, 0, NULL, NULL, 0, 48.06000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.00000000, 99.00000000, 19.80000000, 118.80000000),
(5554, 918, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(5555, 918, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 52, 0, 0, NULL, 0.97000000, NULL, 50.44000000, 10.09000000, 0.00000000, 0.00000000, 60.53000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 50.44000000, 10.09000000, 60.53000000),
(5556, 919, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5557, 919, NULL, 1189329, NULL, 'filtre  711/715 (39x39x2)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.65000000, NULL, 39.65000000, 7.93000000, 0.00000000, 0.00000000, 47.58000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.65000000, 39.65000000, 7.93000000, 47.58000000),
(5558, 919, NULL, 1180028, NULL, 'KIT MAINTENANCE VERTICAL CONCEPT MK2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 462.60000000, NULL, 462.60000000, 92.52000000, 0.00000000, 0.00000000, 555.12000000, 0, NULL, NULL, 0, 285.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 462.60000000, 462.60000000, 92.52000000, 555.12000000),
(5559, 919, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(5560, 919, NULL, 1180449, NULL, 'HUILE  HYDROVANE  COMP PALETTE BD 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 107.50000000, NULL, 107.50000000, 21.50000000, 0.00000000, 0.00000000, 129.00000000, 0, NULL, NULL, 0, 64.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 107.50000000, 107.50000000, 21.50000000, 129.00000000),
(5561, 920, NULL, 1230690, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.57000000, NULL, 59.57000000, 11.91000000, 0.00000000, 0.00000000, 71.48000000, 0, NULL, NULL, 0, 41.65000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.57000000, 59.57000000, 11.91000000, 71.48000000),
(5562, 920, NULL, 1230689, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.57000000, NULL, 59.57000000, 11.91000000, 0.00000000, 0.00000000, 71.48000000, 0, NULL, NULL, 0, 41.65000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.57000000, 59.57000000, 11.91000000, 71.48000000),
(5563, 920, NULL, 1231785, NULL, 'cartouche reseau D340M', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.57000000, NULL, 59.57000000, 11.91000000, 0.00000000, 0.00000000, 71.48000000, 0, NULL, NULL, 0, 45.82000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.57000000, 59.57000000, 11.91000000, 71.48000000),
(5564, 920, NULL, 952487, NULL, 'alumine 4,5 à 5,5 mm poids au kg', 20.000, '', 0.000, '0', 0.000, '0', 75, 0, 0, NULL, 5.74000000, NULL, 430.50000000, 86.10000000, 0.00000000, 0.00000000, 516.60000000, 0, NULL, NULL, 0, 2.79000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.74000000, 430.50000000, 86.10000000, 516.60000000),
(5565, 920, NULL, 1231706, NULL, 'recyclage alumine au kg', 20.000, '', 0.000, '0', 0.000, '0', 75, 0, 0, NULL, 0.65000000, NULL, 48.75000000, 9.75000000, 0.00000000, 0.00000000, 58.50000000, 0, NULL, NULL, 0, 0.45000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.65000000, 48.75000000, 9.75000000, 58.50000000),
(5566, 920, NULL, 952623, NULL, 'silencieux 1/2\"G sans bypass', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 61.16000000, NULL, 122.32000000, 24.46000000, 0.00000000, 0.00000000, 146.78000000, 0, NULL, NULL, 0, 29.69000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.16000000, 122.32000000, 24.46000000, 146.78000000),
(5567, 920, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(5568, 921, NULL, 1223832, NULL, 'element seprateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 168.48000000, NULL, 168.48000000, 33.70000000, 0.00000000, 0.00000000, 202.18000000, 0, NULL, NULL, 0, 129.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 168.48000000, 168.48000000, 33.70000000, 202.18000000),
(5569, 921, NULL, 1223833, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 44.46000000, NULL, 44.46000000, 8.89000000, 0.00000000, 0.00000000, 53.35000000, 0, NULL, NULL, 0, 34.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 44.46000000, 44.46000000, 8.89000000, 53.35000000),
(5570, 921, NULL, 1298108, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 36.12000000, NULL, 36.12000000, 7.22000000, 0.00000000, 0.00000000, 43.34000000, 0, NULL, NULL, 0, 18.06000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.12000000, 36.12000000, 7.22000000, 43.34000000),
(5571, 921, NULL, 1222540, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 22.45000000, NULL, 67.35000000, 13.47000000, 0.00000000, 0.00000000, 80.82000000, 0, NULL, NULL, 0, 12.14000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.45000000, 67.35000000, 13.47000000, 80.82000000),
(5572, 921, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5573, 921, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(5574, 921, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(5575, 922, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(5576, 922, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 0.97000000, NULL, 23.28000000, 4.66000000, 0.00000000, 0.00000000, 27.94000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 23.28000000, 4.66000000, 27.94000000),
(5577, 923, NULL, 1222640, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(5578, 923, NULL, 1222642, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(5579, 923, NULL, 1179624, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 1, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(5580, 924, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.02000000, NULL, 5.02000000, 1.00000000, 0.00000000, 0.00000000, 6.02000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.02000000, 5.02000000, 1.00000000, 6.02000000),
(5581, 924, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 107.35000000, NULL, 107.35000000, 21.47000000, 0.00000000, 0.00000000, 128.82000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 107.35000000, 107.35000000, 21.47000000, 128.82000000),
(5582, 924, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 310.21000000, NULL, 310.21000000, 62.04000000, 0.00000000, 0.00000000, 372.25000000, 0, NULL, NULL, 0, 243.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 310.21000000, 310.21000000, 62.04000000, 372.25000000),
(5583, 924, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.38000000, NULL, 358.38000000, 71.68000000, 0.00000000, 0.00000000, 430.06000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.38000000, 358.38000000, 71.68000000, 430.06000000),
(5584, 925, NULL, NULL, NULL, 'reparation', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5585, 925, NULL, 972026, NULL, 'Tuyau caoutchouc OUTILAIR 19x29 mm en couronne de 40 Mètres PS:15 Bar', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.30000000, NULL, 8.60000000, 1.72000000, 0.00000000, 0.00000000, 10.32000000, 0, NULL, NULL, 0, 2.36500000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.30000000, 8.60000000, 1.72000000, 10.32000000),
(5586, 925, NULL, 967472, NULL, 'About collerette G3/4 Ø19mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.35000000, NULL, 22.70000000, 4.54000000, 0.00000000, 0.00000000, 27.24000000, 0, NULL, NULL, 0, 5.67000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.35000000, 22.70000000, 4.54000000, 27.24000000),
(5587, 925, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(5588, 925, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5589, 925, NULL, NULL, NULL, 'Compresseur GA11C', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5590, 925, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(5591, 925, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(5592, 925, NULL, 952144, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.40000000, NULL, 15.40000000, 3.08000000, 0.00000000, 0.00000000, 18.48000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.40000000, 15.40000000, 3.08000000, 18.48000000),
(5593, 925, NULL, 954034, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.67000000, NULL, 24.67000000, 4.93000000, 0.00000000, 0.00000000, 29.60000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 24.67000000, 4.93000000, 29.60000000),
(5594, 925, NULL, 955027, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.19000000, NULL, 91.19000000, 18.24000000, 0.00000000, 0.00000000, 109.43000000, 0, NULL, NULL, 0, 44.27000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.19000000, 91.19000000, 18.24000000, 109.43000000),
(5595, 925, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5596, 925, NULL, NULL, NULL, 'compresseur KA10', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5597, 925, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(5598, 925, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(5599, 925, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(5600, 925, NULL, 952419, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.03000000, NULL, 12.03000000, 2.41000000, 0.00000000, 0.00000000, 14.44000000, 0, NULL, NULL, 0, 5.84000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.03000000, 12.03000000, 2.41000000, 14.44000000),
(5601, 925, NULL, 954045, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(5602, 925, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(5603, 925, NULL, 1222505, NULL, 'cour_polyV_hutch_1200J12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.04000000, NULL, 53.04000000, 10.61000000, 0.00000000, 0.00000000, 63.65000000, 0, NULL, NULL, 0, 25.75000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.04000000, 53.04000000, 10.61000000, 63.65000000),
(5604, 925, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5605, 926, NULL, 953048, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 123.76000000, NULL, 247.52000000, 49.50000000, 0.00000000, 0.00000000, 297.02000000, 0, NULL, NULL, 0, 93.06000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.76000000, 247.52000000, 49.50000000, 297.02000000),
(5606, 926, NULL, 953049, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.98000000, NULL, 214.98000000, 43.00000000, 0.00000000, 0.00000000, 257.98000000, 0, NULL, NULL, 0, 161.64000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.98000000, 214.98000000, 43.00000000, 257.98000000),
(5607, 926, NULL, 953515, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.41000000, NULL, 78.41000000, 15.68000000, 0.00000000, 0.00000000, 94.09000000, 0, NULL, NULL, 0, 58.96000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.41000000, 78.41000000, 15.68000000, 94.09000000),
(5608, 926, NULL, 953424, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.41000000, NULL, 78.41000000, 15.68000000, 0.00000000, 0.00000000, 94.09000000, 0, NULL, NULL, 0, 58.96000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.41000000, 78.41000000, 15.68000000, 94.09000000),
(5609, 926, NULL, 1180676, NULL, 'FILTER ELEMENT CE0198G B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 405.60000000, NULL, 405.60000000, 81.12000000, 0.00000000, 0.00000000, 486.72000000, 0, NULL, NULL, 0, 312.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 405.60000000, 405.60000000, 81.12000000, 486.72000000),
(5610, 926, NULL, 1180677, NULL, 'FILTER ELEMENT CE0198G C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 405.60000000, NULL, 405.60000000, 81.12000000, 0.00000000, 0.00000000, 486.72000000, 0, NULL, NULL, 0, 312.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 405.60000000, 405.60000000, 81.12000000, 486.72000000),
(5611, 927, NULL, 1221475, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 75.50000000, NULL, 75.50000000, 15.10000000, 0.00000000, 0.00000000, 90.60000000, 0, NULL, NULL, 0, 36.65000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 75.50000000, 75.50000000, 15.10000000, 90.60000000),
(5612, 927, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(5613, 928, NULL, 954288, NULL, 'joint pour filtre huile ps407', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.29000000, NULL, 9.29000000, 1.86000000, 0.00000000, 0.00000000, 11.15000000, 0, NULL, NULL, 0, 4.51000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.29000000, 9.29000000, 1.86000000, 11.15000000),
(5614, 928, NULL, 954291, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.93000000, NULL, 95.93000000, 19.19000000, 0.00000000, 0.00000000, 115.12000000, 0, NULL, NULL, 0, 46.57000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.93000000, 95.93000000, 19.19000000, 115.12000000),
(5615, 928, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(5616, 928, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(5617, 928, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5618, 928, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(5619, 928, NULL, 954289, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.76000000, NULL, 18.76000000, 3.75000000, 0.00000000, 0.00000000, 22.51000000, 0, NULL, NULL, 0, 9.11000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.76000000, 18.76000000, 3.75000000, 22.51000000),
(5620, 929, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(5621, 929, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.97000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 42.68000000, 8.54000000, 51.22000000),
(5739, 933, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 492.10000000, NULL, 492.10000000, 98.42000000, 0.00000000, 0.00000000, 590.52000000, 0, NULL, NULL, 0, 390.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 492.10000000, 492.10000000, 98.42000000, 590.52000000),
(5740, 933, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5741, 933, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(5742, 933, NULL, 1179664, NULL, 'SEPARATOR KIT D            L75RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1395.00000000, NULL, 1395.00000000, 279.00000000, 0.00000000, 0.00000000, 1674.00000000, 1, NULL, NULL, 0, 837.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1395.00000000, 1395.00000000, 279.00000000, 1674.00000000),
(5743, 933, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 277.00000000, NULL, 554.00000000, 110.80000000, 0.00000000, 0.00000000, 664.80000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 554.00000000, 110.80000000, 664.80000000),
(5744, 933, NULL, 1179733, NULL, 'SERVICE PACKAGE  E          L55-L75 (A)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 849.30000000, NULL, 849.30000000, 169.86000000, 0.00000000, 0.00000000, 1019.16000000, 1, NULL, NULL, 0, 509.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 849.30000000, 849.30000000, 169.86000000, 1019.16000000),
(5745, 934, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(5746, 934, NULL, 1180578, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.00000000, NULL, 305.00000000, 61.00000000, 0.00000000, 0.00000000, 366.00000000, 0, NULL, NULL, 0, 168.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.00000000, 305.00000000, 61.00000000, 366.00000000),
(5747, 935, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 538.00000000, NULL, 538.00000000, 107.60000000, 0.00000000, 0.00000000, 645.60000000, 0, NULL, NULL, 0, 390.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 538.00000000, 538.00000000, 107.60000000, 645.60000000),
(5748, 935, NULL, 1223700, NULL, 'Fourniture Plomberie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.76000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 70.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.76000000, 95.76000000, 19.15000000, 114.91000000),
(5749, 935, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 599.20000000, NULL, 599.20000000, 119.84000000, 0.00000000, 0.00000000, 719.04000000, 0, NULL, NULL, 0, 484.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 599.20000000, 599.20000000, 119.84000000, 719.04000000),
(5750, 935, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(5751, 935, NULL, 1190747, NULL, 'pour prise purge', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.00000000, NULL, 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 0, NULL, NULL, 0, 120.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.00000000, 50.00000000, 10.00000000, 60.00000000),
(5752, 936, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 1, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(5753, 936, NULL, 953191, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 228.41000000, NULL, 228.41000000, 45.68000000, 0.00000000, 0.00000000, 274.09000000, 0, NULL, NULL, 0, 110.88000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 228.41000000, 228.41000000, 45.68000000, 274.09000000),
(5754, 936, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(5755, 936, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 486.47000000, NULL, 486.47000000, 97.29000000, 0.00000000, 0.00000000, 583.76000000, 0, NULL, NULL, 0, 365.76000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 486.47000000, 486.47000000, 97.29000000, 583.76000000),
(5756, 936, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5757, 936, NULL, 1179654, NULL, 'MINOR KIT D  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 590.00000000, NULL, 590.00000000, 118.00000000, 0.00000000, 0.00000000, 708.00000000, 1, NULL, NULL, 0, 214.47000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 590.00000000, 590.00000000, 118.00000000, 708.00000000),
(5758, 936, NULL, 1179727, NULL, 'SERVICE PACKAGE  E   L30-L50+L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 772.00000000, NULL, 772.00000000, 154.40000000, 0.00000000, 0.00000000, 926.40000000, 1, NULL, NULL, 0, 288.21000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 772.00000000, 772.00000000, 154.40000000, 926.40000000),
(5759, 936, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(5760, 936, NULL, 1190716, NULL, 'monture à niveau compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.40000000, NULL, 82.40000000, 16.48000000, 0.00000000, 0.00000000, 98.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.40000000, 82.40000000, 16.48000000, 98.88000000),
(5761, 937, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5762, 937, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(5763, 937, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.22000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(5764, 937, NULL, 951971, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(5765, 937, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(5766, 937, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(5767, 937, NULL, 1222594, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(5768, 938, NULL, 1305555, NULL, 'nez en 3.2mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.60000000, NULL, 3.60000000, 0.72000000, 0.00000000, 0.00000000, 4.32000000, 0, NULL, NULL, 0, 2.40000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.60000000, 3.60000000, 0.72000000, 4.32000000),
(5769, 938, NULL, 1305556, NULL, 'nez en 4.0mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.60000000, NULL, 3.60000000, 0.72000000, 0.00000000, 0.00000000, 4.32000000, 0, NULL, NULL, 0, 2.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.60000000, 3.60000000, 0.72000000, 4.32000000),
(5770, 938, NULL, 1223624, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.00000000, NULL, 8.00000000, 1.60000000, 0.00000000, 0.00000000, 9.60000000, 0, NULL, NULL, 0, 6.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.00000000, 8.00000000, 1.60000000, 9.60000000),
(5771, 938, NULL, 1305557, NULL, 'housing', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.33000000, NULL, 32.33000000, 6.47000000, 0.00000000, 0.00000000, 38.80000000, 0, NULL, NULL, 0, 24.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.33000000, 32.33000000, 6.47000000, 38.80000000),
(5810, 940, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 48.00000000, NULL, 576.00000000, 115.20000000, 0.00000000, 0.00000000, 691.20000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.00000000, 576.00000000, 115.20000000, 691.20000000),
(5811, 940, NULL, NULL, NULL, 'heure de deplacement&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 45.00000000, NULL, 180.00000000, 36.00000000, 0.00000000, 0.00000000, 216.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.00000000, 180.00000000, 36.00000000, 216.00000000),
(5812, 940, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 188, 0, 0, NULL, 0.45000000, NULL, 84.60000000, 16.92000000, 0.00000000, 0.00000000, 101.52000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.45000000, 84.60000000, 16.92000000, 101.52000000),
(5813, 941, NULL, NULL, '1 Compresseur à vis lubrifié vitesse variable 30KW :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5814, 941, NULL, 944321, NULL, 'compresseur rotatif à vis librifiees à vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11213.46000000, NULL, 11213.46000000, 2242.69000000, 0.00000000, 0.00000000, 13456.15000000, 0, NULL, NULL, 0, 11508.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11213.46000000, 11213.46000000, 2242.69000000, 13456.15000000),
(5815, 941, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 235.47000000, NULL, 235.47000000, 47.09000000, 0.00000000, 0.00000000, 282.56000000, 0, NULL, NULL, 0, 230.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 235.47000000, 235.47000000, 47.09000000, 282.56000000),
(5816, 941, NULL, NULL, NULL, 'raccordement compresseur electrique et air comprim&eacute; - 8m de 4g25', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 211.84000000, NULL, 211.84000000, 42.37000000, 0.00000000, 0.00000000, 254.21000000, 0, NULL, NULL, 0, 200.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 211.84000000, 211.84000000, 42.37000000, 254.21000000),
(5817, 941, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 406.56000000, NULL, 406.56000000, 81.31000000, 0.00000000, 0.00000000, 487.87000000, 0, NULL, NULL, 0, 499.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 406.56000000, 406.56000000, 81.31000000, 487.87000000),
(5818, 941, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5819, 941, NULL, NULL, '2 gainage du compresseur :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 0, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5820, 941, NULL, 1231707, NULL, '27 02/2018<br />\r\n<br />\r\nD&eacute;lai : 1 semaine &agrave; r&eacute;ception de commande', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 714.54000000, NULL, 714.54000000, 142.91000000, 0.00000000, 0.00000000, 857.45000000, 0, NULL, NULL, 0, 630.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 714.54000000, 714.54000000, 142.91000000, 857.45000000),
(5821, 941, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 974.38000000, NULL, 974.38000000, 194.88000000, 0.00000000, 0.00000000, 1169.26000000, 0, NULL, NULL, 0, 898.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 974.38000000, 974.38000000, 194.88000000, 1169.26000000),
(5822, 941, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5823, 942, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(5824, 943, NULL, 1305571, NULL, 'Coude 45DEG mâle/mâle acier galvanisé à joints, classe C, D 315 mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 60.00000000, NULL, 60.00000000, 12.00000000, 0.00000000, 0.00000000, 72.00000000, 0, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 60.00000000, 60.00000000, 12.00000000, 72.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(5825, 943, NULL, 1305570, NULL, 'Manchon raccord mâle en acier galvanisé, raccord à joint D 315 mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 20, 0, NULL, 19.32000000, NULL, 61.82000000, 12.37000000, 0.00000000, 0.00000000, 74.19000000, 0, NULL, NULL, 0, 12.08000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.32000000, 61.82000000, 12.37000000, 74.19000000),
(5826, 943, NULL, 1305569, NULL, 'gaine spiralée Ø315 lg 3m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 122.00000000, NULL, 122.00000000, 24.40000000, 0.00000000, 0.00000000, 146.40000000, 0, NULL, NULL, 0, 101.25000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 122.00000000, 122.00000000, 24.40000000, 146.40000000),
(5827, 943, NULL, 1305572, NULL, 'Frais de port et d\'emballage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(5828, 944, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 5.5, 0, 0, NULL, 63.84000000, NULL, 351.12000000, 70.22000000, 0.00000000, 0.00000000, 421.34000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 351.12000000, 70.22000000, 421.34000000),
(5829, 944, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 132, 0, 0, NULL, 0.97000000, NULL, 128.04000000, 25.61000000, 0.00000000, 0.00000000, 153.65000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 128.04000000, 25.61000000, 153.65000000),
(5830, 945, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5831, 945, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(5832, 945, NULL, 1179647, NULL, 'SERVICE-KIT D55-275 A+W  24V/50+60Hz', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 401.40000000, NULL, 401.40000000, 80.28000000, 0.00000000, 0.00000000, 481.68000000, 1, NULL, NULL, 0, 240.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 401.40000000, 401.40000000, 80.28000000, 481.68000000),
(5833, 945, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(5834, 945, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(5835, 945, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(5836, 945, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(5837, 945, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(5838, 945, NULL, 1179720, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 265.00000000, NULL, 265.00000000, 53.00000000, 0.00000000, 0.00000000, 318.00000000, 0, NULL, NULL, 0, 159.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 265.00000000, 265.00000000, 53.00000000, 318.00000000),
(5839, 946, NULL, 1176431, NULL, 'SPARE-ELEKTRONIK DELCOS Pro L-Serie', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 1506.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1506.00000000, 0.00000000, 0.00000000, 0.00000000),
(5840, 946, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(5841, 946, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 188, 0, 0, NULL, 0.97000000, NULL, 182.36000000, 36.47000000, 0.00000000, 0.00000000, 218.83000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 182.36000000, 36.47000000, 218.83000000),
(5842, 947, NULL, 1298125, NULL, 'V&Eacute;RIN ISO VDMA MAGN&Eacute;TIQUE FLASQUES ALU DN. 63 COURSE 160', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.69000000, NULL, 102.69000000, 20.54000000, 0.00000000, 0.00000000, 123.23000000, 0, NULL, NULL, 0, 100.27000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.69000000, 102.69000000, 20.54000000, 123.23000000),
(5843, 947, NULL, 1298126, NULL, 'CHAPE DE TIGE ROTUL&Eacute;E M16x1,50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.04000000, NULL, 26.04000000, 5.21000000, 0.00000000, 0.00000000, 31.25000000, 0, NULL, NULL, 0, 23.92000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.04000000, 26.04000000, 5.21000000, 31.25000000),
(5844, 947, NULL, 1305563, NULL, 'tourillon avant lamé iso 63', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 64.87000000, NULL, 64.87000000, 12.97000000, 0.00000000, 0.00000000, 77.84000000, 0, NULL, NULL, 0, 49.90000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 64.87000000, 64.87000000, 12.97000000, 77.84000000),
(5845, 947, NULL, 1298128, NULL, 'PALIER DE TOURILLON ISO &Oslash;63/80', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 31.54000000, NULL, 63.08000000, 12.62000000, 0.00000000, 0.00000000, 75.70000000, 0, NULL, NULL, 0, 28.65000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 31.54000000, 63.08000000, 12.62000000, 75.70000000),
(5846, 947, NULL, 1298129, NULL, 'V&Eacute;RIN ISO VDMA MAGN&Eacute;TIQUE FLASQUES ALU DN. 63 COURSE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 104.16000000, NULL, 104.16000000, 20.83000000, 0.00000000, 0.00000000, 124.99000000, 0, NULL, NULL, 0, 96.23000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 104.16000000, 104.16000000, 20.83000000, 124.99000000),
(5847, 947, NULL, 1298130, NULL, 'ARTICULATION FEMELLE ALU MP2 &Oslash;63 + AXE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.22000000, NULL, 11.22000000, 2.24000000, 0.00000000, 0.00000000, 13.46000000, 0, NULL, NULL, 0, 10.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.22000000, 11.22000000, 2.24000000, 13.46000000),
(5848, 947, NULL, 1298131, NULL, 'ARTICULATION MALE ALU MP4 &Oslash;63 + AXE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.74000000, NULL, 11.74000000, 2.35000000, 0.00000000, 0.00000000, 14.09000000, 0, NULL, NULL, 0, 11.38000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.74000000, 11.74000000, 2.35000000, 14.09000000),
(5849, 947, NULL, 1298126, NULL, 'CHAPE DE TIGE ROTUL&Eacute;E M16x1,50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.04000000, NULL, 26.04000000, 5.21000000, 0.00000000, 0.00000000, 31.25000000, 0, NULL, NULL, 0, 23.92000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.04000000, 26.04000000, 5.21000000, 31.25000000),
(5850, 947, NULL, 1298132, NULL, '&Eacute;LECTRODISTRIBUTEUR ISO TAILLE 1 5/2 BISTABLE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 90.06000000, NULL, 180.12000000, 36.02000000, 0.00000000, 0.00000000, 216.14000000, 0, NULL, NULL, 0, 67.72000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.06000000, 180.12000000, 36.02000000, 216.14000000),
(5851, 947, NULL, 1298133, NULL, 'MICROBOBINE 24VDC 5,5 WATT', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 11.31000000, NULL, 45.24000000, 9.05000000, 0.00000000, 0.00000000, 54.29000000, 0, NULL, NULL, 0, 8.70000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.31000000, 45.24000000, 9.05000000, 54.29000000),
(5852, 947, NULL, 1298134, NULL, 'CONNECTEUR FORME B LED 24V CABLE 3 M&Egrave;TRES', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 8.92000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5853, 947, NULL, 1305564, NULL, 'embase iso 1 solo sorties laterales g 1/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 19.47000000, NULL, 38.94000000, 7.79000000, 0.00000000, 0.00000000, 46.73000000, 0, NULL, NULL, 0, 14.64000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.47000000, 38.94000000, 7.79000000, 46.73000000),
(5854, 947, NULL, 1298135, NULL, 'CAPTEUR REED N.O. 2 FILS + LED. CABLE 2,5 M&Egrave;TRES', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 25.29000000, NULL, 50.58000000, 10.12000000, 0.00000000, 0.00000000, 60.70000000, 0, NULL, NULL, 0, 19.46000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.29000000, 50.58000000, 10.12000000, 60.70000000),
(5855, 947, NULL, 969049, NULL, 'FRL 2 modules série F2 G3/8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.45000000, NULL, 114.45000000, 22.89000000, 0.00000000, 0.00000000, 137.34000000, 0, NULL, NULL, 0, 62.94750000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.45000000, 114.45000000, 22.89000000, 137.34000000),
(5856, 947, NULL, 966283, NULL, 'Silenc. compact Fil Inox M1/4', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.25000000, NULL, 7.50000000, 1.50000000, 0.00000000, 0.00000000, 9.00000000, 0, NULL, NULL, 0, 0.62500000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.25000000, 7.50000000, 1.50000000, 9.00000000),
(5857, 947, NULL, 972586, NULL, 'Raccord droit mâle G1/4 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.18000000, NULL, 7.08000000, 1.42000000, 0.00000000, 0.00000000, 8.50000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.18000000, 7.08000000, 1.42000000, 8.50000000),
(5858, 947, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 770.19000000, NULL, 770.19000000, 154.04000000, 0.00000000, 0.00000000, 924.23000000, 0, NULL, NULL, 0, 500.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 770.19000000, 770.19000000, 154.04000000, 924.23000000),
(5859, 947, NULL, 1190523, NULL, 'petites fournitures', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 116.66000000, NULL, 116.66000000, 23.33000000, 0.00000000, 0.00000000, 139.99000000, 0, NULL, NULL, 0, 43.75000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 116.66000000, 116.66000000, 23.33000000, 139.99000000),
(5860, 947, NULL, 1305567, NULL, 'purge rapide G1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.40000000, NULL, 78.40000000, 15.68000000, 0.00000000, 0.00000000, 94.08000000, 0, NULL, NULL, 0, 39.20000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.40000000, 78.40000000, 15.68000000, 94.08000000),
(5861, 947, NULL, 1305568, NULL, 'regulateur de pression 0-8 bar a 90° et tube D8 1/4 male', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 62.15000000, NULL, 62.15000000, 12.43000000, 0.00000000, 0.00000000, 74.58000000, 0, NULL, NULL, 0, 34.36000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 62.15000000, 62.15000000, 12.43000000, 74.58000000),
(5862, 947, NULL, 972814, NULL, 'Régleur de débit à vis unidirectionnel Mâle G3/8 Ø8mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 18.85000000, NULL, 75.40000000, 15.08000000, 0.00000000, 0.00000000, 90.48000000, 0, NULL, NULL, 0, 10.36750000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.85000000, 75.40000000, 15.08000000, 90.48000000),
(5863, 948, NULL, NULL, '1 Maintenance 8000Heures', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5864, 948, NULL, 1179631, NULL, 'MINOR KIT C  L90-L132', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 352.17000000, NULL, 352.17000000, 70.43000000, 0.00000000, 0.00000000, 422.60000000, 0, NULL, NULL, 0, 161.84000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 352.17000000, 352.17000000, 70.43000000, 422.60000000),
(5865, 948, NULL, 1179676, NULL, 'MINOR KIT D  L90 + L132 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1140.08000000, NULL, 1140.08000000, 228.02000000, 0.00000000, 0.00000000, 1368.10000000, 0, NULL, NULL, 0, 865.00000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1140.08000000, 1140.08000000, 228.02000000, 1368.10000000),
(5866, 948, NULL, 1179742, NULL, 'SERVICE PACKAGE  E          L90-L132', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1562.41000000, NULL, 1562.41000000, 312.48000000, 0.00000000, 0.00000000, 1874.89000000, 0, NULL, NULL, 0, 1154.00000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1562.41000000, 1562.41000000, 312.48000000, 1874.89000000),
(5867, 948, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 224.93000000, NULL, 449.86000000, 89.97000000, 0.00000000, 0.00000000, 539.83000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 224.93000000, 449.86000000, 89.97000000, 539.83000000),
(5868, 948, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(5869, 948, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 399.23000000, NULL, 399.23000000, 79.85000000, 0.00000000, 0.00000000, 479.08000000, 0, NULL, NULL, 0, 310.00000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 399.23000000, 399.23000000, 79.85000000, 479.08000000),
(5870, 948, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(5871, 949, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 425.60000000, NULL, 425.60000000, 85.12000000, 0.00000000, 0.00000000, 510.72000000, 0, NULL, NULL, 0, 320.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 425.60000000, 425.60000000, 85.12000000, 510.72000000),
(5872, 949, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 1, NULL, NULL, 0, 171.25000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(5873, 949, NULL, 1230993, NULL, 'SEPARATOR KIT DS  L30 RS-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 565.60000000, NULL, 565.60000000, 113.12000000, 0.00000000, 0.00000000, 678.72000000, 1, NULL, NULL, 0, 385.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 565.60000000, 565.60000000, 113.12000000, 678.72000000),
(5874, 949, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 247.77000000, NULL, 247.77000000, 49.55000000, 0.00000000, 0.00000000, 297.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 247.77000000, 247.77000000, 49.55000000, 297.32000000),
(5875, 949, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(5876, 950, NULL, 952818, NULL, 'sécheur réfrigeration 144m3/h racc 3/4\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1543.75000000, NULL, 1543.75000000, 308.75000000, 0.00000000, 0.00000000, 1852.50000000, 0, NULL, NULL, 0, 771.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1543.75000000, 1543.75000000, 308.75000000, 1852.50000000),
(5877, 950, NULL, 1223700, NULL, 'Fourniture Plomberie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 56.25000000, NULL, 56.25000000, 11.25000000, 0.00000000, 0.00000000, 67.50000000, 0, NULL, NULL, 0, 42.29000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.25000000, 56.25000000, 11.25000000, 67.50000000),
(5878, 951, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(5879, 952, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(5880, 953, NULL, 952663, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 264.81000000, NULL, 264.81000000, 52.96000000, 0.00000000, 0.00000000, 317.77000000, 0, NULL, NULL, 0, 128.55000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 264.81000000, 264.81000000, 52.96000000, 317.77000000),
(5881, 953, NULL, 952664, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 264.81000000, NULL, 264.81000000, 52.96000000, 0.00000000, 0.00000000, 317.77000000, 0, NULL, NULL, 0, 128.55000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 264.81000000, 264.81000000, 52.96000000, 317.77000000),
(5882, 954, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 12:00:00', '2020-02-20 00:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(5883, 955, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 225.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(5884, 955, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5885, 955, NULL, 1222181, NULL, 'Huile anderol ANDEROL FGXL 46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 464.32000000, NULL, 464.32000000, 92.86000000, 0.00000000, 0.00000000, 557.18000000, 0, NULL, NULL, 0, 225.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 464.32000000, 464.32000000, 92.86000000, 557.18000000),
(5886, 955, NULL, 1230990, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 407.10000000, NULL, 407.10000000, 81.42000000, 0.00000000, 0.00000000, 488.52000000, 1, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.10000000, 407.10000000, 81.42000000, 488.52000000),
(5887, 955, NULL, 953186, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 191.25000000, NULL, 191.25000000, 38.25000000, 0.00000000, 0.00000000, 229.50000000, 0, NULL, NULL, 0, 92.84000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 191.25000000, 191.25000000, 38.25000000, 229.50000000),
(5888, 955, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(5889, 956, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 321.69000000, NULL, 321.69000000, 64.34000000, 0.00000000, 0.00000000, 386.03000000, 0, NULL, NULL, 0, 241.87000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 321.69000000, 321.69000000, 64.34000000, 386.03000000),
(5890, 956, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(5891, 956, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(5892, 957, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(5893, 957, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(5894, 957, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(5895, 957, NULL, 952144, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.40000000, NULL, 15.40000000, 3.08000000, 0.00000000, 0.00000000, 18.48000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.40000000, 15.40000000, 3.08000000, 18.48000000),
(5896, 957, NULL, 954034, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.67000000, NULL, 24.67000000, 4.93000000, 0.00000000, 0.00000000, 29.60000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 24.67000000, 4.93000000, 29.60000000),
(5897, 957, NULL, 955027, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.19000000, NULL, 91.19000000, 18.24000000, 0.00000000, 0.00000000, 109.43000000, 0, NULL, NULL, 0, 44.27000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.19000000, 91.19000000, 18.24000000, 109.43000000),
(5898, 958, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 529.14000000, NULL, 529.14000000, 105.83000000, 0.00000000, 0.00000000, 634.97000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 529.14000000, 529.14000000, 105.83000000, 634.97000000),
(5899, 958, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.53000000, NULL, 9.53000000, 1.91000000, 0.00000000, 0.00000000, 11.44000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.53000000, 9.53000000, 1.91000000, 11.44000000),
(5900, 958, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 207.95000000, NULL, 207.95000000, 41.59000000, 0.00000000, 0.00000000, 249.54000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 207.95000000, 207.95000000, 41.59000000, 249.54000000),
(5901, 959, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 120.94000000, NULL, 96.75000000, 19.35000000, 0.00000000, 0.00000000, 116.10000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.94000000, 96.75000000, 19.35000000, 116.10000000),
(5902, 959, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 406.58000000, NULL, 325.26000000, 65.06000000, 0.00000000, 0.00000000, 390.32000000, 0, NULL, NULL, 0, 178.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 406.58000000, 325.26000000, 65.06000000, 390.32000000),
(5903, 959, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(5904, 960, NULL, 1188146, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 997.00000000, NULL, 997.00000000, 199.40000000, 0.00000000, 0.00000000, 1196.40000000, 0, NULL, NULL, 0, 893.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 997.00000000, 997.00000000, 199.40000000, 1196.40000000),
(5905, 961, NULL, 1230006, NULL, 'CHAUFFAGE AIR PULSE PORTABLE ELECTRIQUE - ALIMENTATION 230 V~1 50 Hz -PUISSANCE REGLABLE 1.65 OU 3.3 KW -', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 134.00000000, NULL, 268.00000000, 53.60000000, 0.00000000, 0.00000000, 321.60000000, 0, NULL, NULL, 0, 133.25000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 134.00000000, 268.00000000, 53.60000000, 321.60000000),
(5906, 962, NULL, 1305828, NULL, 'AB-6050057', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 131.22000000, NULL, 104.98000000, 20.99000000, 0.00000000, 0.00000000, 125.97000000, 0, NULL, NULL, 0, 80.75000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 131.22000000, 104.98000000, 20.99000000, 125.97000000),
(5907, 962, NULL, 1230676, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 18.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 18.00000000, 3.60000000, 21.60000000),
(5908, 963, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(5909, 964, NULL, 1222622, NULL, 'd&#39;occasion', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 140.00000000, NULL, 140.00000000, 28.00000000, 0.00000000, 0.00000000, 168.00000000, 0, NULL, NULL, 0, 137.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 140.00000000, 140.00000000, 28.00000000, 168.00000000),
(5910, 964, NULL, 1230127, NULL, 'CHAUFFAGE ELECTRIQUE  INFRAROUGE HALOGENE A QUARTZ PUISSANCE 1500 W -CARROSSERIE ACIER LAQUE NOIR -', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 182.40000000, NULL, 1276.80000000, 255.36000000, 0.00000000, 0.00000000, 1532.16000000, 0, NULL, NULL, 0, 137.15000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 182.40000000, 1276.80000000, 255.36000000, 1532.16000000),
(5911, 965, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 400.00000000, NULL, 400.00000000, 80.00000000, 0.00000000, 0.00000000, 480.00000000, 0, NULL, NULL, 0, 310.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 400.00000000, 400.00000000, 80.00000000, 480.00000000),
(5912, 965, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(5913, 965, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(5914, 965, NULL, 1305829, NULL, 'MICRO FILTRE 0,01 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 70.16000000, NULL, 70.16000000, 14.03000000, 0.00000000, 0.00000000, 84.19000000, 0, NULL, NULL, 0, 35.08000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 70.16000000, 70.16000000, 14.03000000, 84.19000000),
(5915, 965, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.34000000, NULL, 48.34000000, 9.67000000, 0.00000000, 0.00000000, 58.01000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.34000000, 48.34000000, 9.67000000, 58.01000000),
(5916, 965, NULL, 954034, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.14000000, NULL, 19.14000000, 3.83000000, 0.00000000, 0.00000000, 22.97000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.14000000, 19.14000000, 3.83000000, 22.97000000),
(5917, 965, NULL, 955022, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 104.06000000, NULL, 104.06000000, 20.81000000, 0.00000000, 0.00000000, 124.87000000, 0, NULL, NULL, 0, 66.90000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 104.06000000, 104.06000000, 20.81000000, 124.87000000),
(5918, 966, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5919, 966, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(5920, 966, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 1, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(5921, 966, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(5922, 967, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(5923, 967, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5924, 967, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(5925, 967, NULL, 951971, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(5926, 967, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(5927, 967, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(5928, 967, NULL, 1221477, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 75.50000000, NULL, 75.50000000, 15.10000000, 0.00000000, 0.00000000, 90.60000000, 0, NULL, NULL, 0, 36.65000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 75.50000000, 75.50000000, 15.10000000, 90.60000000),
(5929, 968, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5930, 968, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(5931, 968, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.13000000, NULL, 51.39000000, 10.28000000, 0.00000000, 0.00000000, 61.67000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 51.39000000, 10.28000000, 61.67000000),
(5932, 968, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(5933, 968, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(5934, 969, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(5935, 969, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(5936, 969, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(5937, 969, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(5938, 969, NULL, NULL, NULL, 'courroie 00716', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.70000000, NULL, 24.70000000, 4.94000000, 0.00000000, 0.00000000, 29.64000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.70000000, 24.70000000, 4.94000000, 29.64000000),
(5939, 969, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(5940, 970, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 520.00000000, NULL, 520.00000000, 104.00000000, 0.00000000, 0.00000000, 624.00000000, 0, NULL, NULL, 0, 400.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 520.00000000, 520.00000000, 104.00000000, 624.00000000),
(5941, 970, NULL, NULL, NULL, 'cosse 16 trou de 8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.00000000, NULL, 6.00000000, 1.20000000, 0.00000000, 0.00000000, 7.20000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.00000000, 6.00000000, 1.20000000, 7.20000000),
(5942, 970, NULL, NULL, NULL, 'plug rj 45 ext6 connex rapide', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.00000000, NULL, 42.00000000, 8.40000000, 0.00000000, 0.00000000, 50.40000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.00000000, 42.00000000, 8.40000000, 50.40000000),
(5943, 970, NULL, NULL, NULL, 'iro diametre 25', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 3.32000000, NULL, 19.92000000, 3.98000000, 0.00000000, 0.00000000, 23.90000000, 0, NULL, NULL, 0, 1.66000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.32000000, 19.92000000, 3.98000000, 23.90000000),
(5944, 970, NULL, NULL, NULL, 'protection sol alu 60x60x2550', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.00000000, NULL, 57.00000000, 11.40000000, 0.00000000, 0.00000000, 68.40000000, 0, NULL, NULL, 0, 45.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.00000000, 57.00000000, 11.40000000, 68.40000000),
(5945, 970, NULL, NULL, NULL, '3G 0.75 H07', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 2.10000000, NULL, 42.00000000, 8.40000000, 0.00000000, 0.00000000, 50.40000000, 0, NULL, NULL, 0, 1.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.10000000, 42.00000000, 8.40000000, 50.40000000),
(5946, 970, NULL, 971581, NULL, 'Raccord sécurité bouton M G1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.59000000, NULL, 19.59000000, 3.92000000, 0.00000000, 0.00000000, 23.51000000, 0, NULL, NULL, 0, 9.51000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.59000000, 19.59000000, 3.92000000, 23.51000000),
(5947, 970, NULL, 967469, NULL, 'About collerette G1/2 Ø16mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.55000000, NULL, 13.10000000, 2.62000000, 0.00000000, 0.00000000, 15.72000000, 0, NULL, NULL, 0, 3.27000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.55000000, 13.10000000, 2.62000000, 15.72000000),
(5948, 970, NULL, 967468, NULL, 'About collerette G1/2 Ø13mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.45000000, NULL, 12.90000000, 2.58000000, 0.00000000, 0.00000000, 15.48000000, 0, NULL, NULL, 0, 3.22000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.45000000, 12.90000000, 2.58000000, 15.48000000),
(5949, 970, NULL, 971001, NULL, 'About mâle standard ISO B 6 G1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.30000000, NULL, 2.30000000, 0.46000000, 0.00000000, 0.00000000, 2.76000000, 0, NULL, NULL, 0, 1.26500000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.30000000, 2.30000000, 0.46000000, 2.76000000),
(5950, 970, NULL, 966814, NULL, 'Manchon égal F/F G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.30000000, NULL, 1.30000000, 0.26000000, 0.00000000, 0.00000000, 1.56000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.30000000, 1.30000000, 0.26000000, 1.56000000),
(5951, 971, NULL, 955157, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.30000000, NULL, 96.30000000, 19.26000000, 0.00000000, 0.00000000, 115.56000000, 0, NULL, NULL, 0, 46.75000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.30000000, 96.30000000, 19.26000000, 115.56000000),
(5952, 971, NULL, 955160, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.25000000, NULL, 25.25000000, 5.05000000, 0.00000000, 0.00000000, 30.30000000, 0, NULL, NULL, 0, 12.26000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.25000000, 25.25000000, 5.05000000, 30.30000000),
(5953, 971, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 291.60000000, NULL, 583.20000000, 116.64000000, 0.00000000, 0.00000000, 699.84000000, 1, NULL, NULL, 0, 116.64000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 291.60000000, 583.20000000, 116.64000000, 699.84000000),
(5954, 971, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(5955, 971, NULL, 1179663, NULL, 'SEPARATOR KIT D  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1387.00000000, NULL, 1387.00000000, 277.40000000, 0.00000000, 0.00000000, 1664.40000000, 1, NULL, NULL, 0, 503.79000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1387.00000000, 1387.00000000, 277.40000000, 1664.40000000),
(5956, 971, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5957, 971, NULL, 952691, NULL, 'cartouche pour filtre reseau 930RB', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 285.28000000, NULL, 285.28000000, 57.06000000, 0.00000000, 0.00000000, 342.34000000, 0, NULL, NULL, 0, 138.49000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 285.28000000, 285.28000000, 57.06000000, 342.34000000),
(5958, 971, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(5959, 972, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 4.44000000, NULL, 35.52000000, 7.10000000, 0.00000000, 0.00000000, 42.62000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.44000000, 35.52000000, 7.10000000, 42.62000000),
(5960, 972, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.77000000, NULL, 19.08000000, 3.82000000, 0.00000000, 0.00000000, 22.90000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.77000000, 19.08000000, 3.82000000, 22.90000000),
(5961, 972, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.20000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.20000000, 16.00000000, 3.20000000, 19.20000000),
(5962, 972, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.30000000, NULL, 7.30000000, 1.46000000, 0.00000000, 0.00000000, 8.76000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.30000000, 7.30000000, 1.46000000, 8.76000000),
(5963, 972, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 13.01000000, NULL, 39.03000000, 7.81000000, 0.00000000, 0.00000000, 46.84000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.01000000, 39.03000000, 7.81000000, 46.84000000),
(5964, 972, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.73000000, NULL, 11.46000000, 2.29000000, 0.00000000, 0.00000000, 13.75000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.73000000, 11.46000000, 2.29000000, 13.75000000),
(5965, 972, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.60000000, NULL, 6.60000000, 1.32000000, 0.00000000, 0.00000000, 7.92000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.60000000, 6.60000000, 1.32000000, 7.92000000),
(5966, 972, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 1.00000000, NULL, 4.00000000, 0.80000000, 0.00000000, 0.00000000, 4.80000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.00000000, 4.00000000, 0.80000000, 4.80000000),
(5967, 972, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 319.81000000, NULL, 319.81000000, 63.96000000, 0.00000000, 0.00000000, 383.77000000, 0, NULL, NULL, 0, 192.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 319.81000000, 319.81000000, 63.96000000, 383.77000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(5968, 972, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.70000000, NULL, 7.40000000, 1.48000000, 0.00000000, 0.00000000, 8.88000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.70000000, 7.40000000, 1.48000000, 8.88000000),
(5969, 972, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.40000000, NULL, 2.80000000, 0.56000000, 0.00000000, 0.00000000, 3.36000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.40000000, 2.80000000, 0.56000000, 3.36000000),
(5970, 972, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.62000000, NULL, 13.24000000, 2.65000000, 0.00000000, 0.00000000, 15.89000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.62000000, 13.24000000, 2.65000000, 15.89000000),
(5971, 972, NULL, 966814, NULL, 'Manchon égal F/F G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.60000000, NULL, 1.60000000, 0.32000000, 0.00000000, 0.00000000, 1.92000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.60000000, 1.60000000, 0.32000000, 1.92000000),
(5972, 973, NULL, 971586, NULL, 'Raccord sécurité F G1/2 ISOB 6', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.76000000, NULL, 20.76000000, 4.15000000, 0.00000000, 0.00000000, 24.91000000, 0, NULL, NULL, 0, 10.08000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.76000000, 20.76000000, 4.15000000, 24.91000000),
(5973, 973, NULL, 971698, NULL, 'Raccord femelle sécurité G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.79000000, NULL, 39.79000000, 7.96000000, 0.00000000, 0.00000000, 47.75000000, 0, NULL, NULL, 0, 19.32000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.79000000, 39.79000000, 7.96000000, 47.75000000),
(5974, 973, NULL, 1190374, NULL, 'Forfait intervention ZONE A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.50000000, NULL, 199.50000000, 39.90000000, 0.00000000, 0.00000000, 239.40000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.50000000, 199.50000000, 39.90000000, 239.40000000),
(5975, 974, NULL, 1190376, NULL, 'Forfait intervention ZONE B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 331.44000000, NULL, 331.44000000, 66.29000000, 0.00000000, 0.00000000, 397.73000000, 0, NULL, NULL, 0, 249.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 331.44000000, 331.44000000, 66.29000000, 397.73000000),
(5976, 975, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(5977, 975, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(5978, 975, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.00000000, NULL, 123.00000000, 24.60000000, 0.00000000, 0.00000000, 147.60000000, 1, NULL, NULL, 0, 74.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.00000000, 123.00000000, 24.60000000, 147.60000000),
(5979, 975, NULL, 1222594, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(5980, 976, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(5981, 976, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(5982, 976, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(5983, 976, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(5984, 976, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 59.69000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(5985, 977, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 302.55000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(5986, 977, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(5987, 977, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(5988, 977, NULL, 955039, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 67.56000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(5989, 977, NULL, 1222598, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.47000000, NULL, 52.41000000, 10.48000000, 0.00000000, 0.00000000, 62.89000000, 0, NULL, NULL, 0, 8.62000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.47000000, 52.41000000, 10.48000000, 62.89000000),
(5990, 977, NULL, 1231578, NULL, 'cartouche E80 1\"1/2 xa', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.00000000, NULL, 91.00000000, 18.20000000, 0.00000000, 0.00000000, 109.20000000, 0, NULL, NULL, 0, 59.15000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.00000000, 91.00000000, 18.20000000, 109.20000000),
(5991, 977, NULL, 1231579, NULL, 'cartouche e80 1\"1/2 x1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.00000000, NULL, 91.00000000, 18.20000000, 0.00000000, 0.00000000, 109.20000000, 0, NULL, NULL, 0, 59.15000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.00000000, 91.00000000, 18.20000000, 109.20000000),
(5992, 978, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(5993, 978, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 406.00000000, NULL, 406.00000000, 81.20000000, 0.00000000, 0.00000000, 487.20000000, 0, NULL, NULL, 0, 178.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 406.00000000, 406.00000000, 81.20000000, 487.20000000),
(5994, 979, NULL, 972625, NULL, 'Coude égal Ø10mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.08000000, NULL, 15.40000000, 3.08000000, 0.00000000, 0.00000000, 18.48000000, 0, NULL, NULL, 0, 1.69400000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.08000000, 15.40000000, 3.08000000, 18.48000000),
(5995, 979, NULL, 972617, NULL, 'Union égale Ø10mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.98000000, NULL, 14.90000000, 2.98000000, 0.00000000, 0.00000000, 17.88000000, 0, NULL, NULL, 0, 1.63900000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.98000000, 14.90000000, 2.98000000, 17.88000000),
(5996, 979, NULL, 972162, NULL, 'Tube polyamide Rilsan incolore 8x10 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 62.18000000, NULL, 62.18000000, 12.44000000, 0.00000000, 0.00000000, 74.62000000, 0, NULL, NULL, 0, 34.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 62.18000000, 62.18000000, 12.44000000, 74.62000000),
(5997, 980, NULL, 952382, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 38.89000000, NULL, 38.89000000, 7.78000000, 0.00000000, 0.00000000, 46.67000000, 0, NULL, NULL, 0, 18.88000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.89000000, 38.89000000, 7.78000000, 46.67000000),
(5998, 980, NULL, 954116, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.62000000, NULL, 23.62000000, 4.72000000, 0.00000000, 0.00000000, 28.34000000, 0, NULL, NULL, 0, 11.47000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.62000000, 23.62000000, 4.72000000, 28.34000000),
(5999, 980, NULL, 955070, NULL, 'KIT SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.85000000, NULL, 109.85000000, 21.97000000, 0.00000000, 0.00000000, 131.82000000, 0, NULL, NULL, 0, 53.33000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.85000000, 109.85000000, 21.97000000, 131.82000000),
(6000, 981, NULL, 1223816, NULL, '2400w 230v 420m3/h<br />\r\n62litres 17.5kg<br />\r\ncuve inox', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 431.20000000, NULL, 431.20000000, 86.24000000, 0.00000000, 0.00000000, 517.44000000, 0, NULL, NULL, 0, 339.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 431.20000000, 431.20000000, 86.24000000, 517.44000000),
(6001, 982, NULL, 1178116, NULL, 'V-BELT', 20.000, '', 0.000, '0', 0.000, '0', 2, 20, 0, NULL, 26.82000000, NULL, 42.91000000, 8.58000000, 0.00000000, 0.00000000, 51.49000000, 0, NULL, NULL, 0, 14.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.82000000, 42.91000000, 8.58000000, 51.49000000),
(6002, 983, NULL, NULL, 'Remplacement cartouches filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6003, 983, NULL, 1221464, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(6004, 983, NULL, 953426, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 207.79000000, NULL, 207.79000000, 41.56000000, 0.00000000, 0.00000000, 249.35000000, 0, NULL, NULL, 0, 100.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 207.79000000, 207.79000000, 41.56000000, 249.35000000),
(6005, 983, NULL, 953532, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 207.79000000, NULL, 207.79000000, 41.56000000, 0.00000000, 0.00000000, 249.35000000, 0, NULL, NULL, 0, 100.87000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 207.79000000, 207.79000000, 41.56000000, 249.35000000),
(6006, 983, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6007, 983, NULL, NULL, '2 Maintenance :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6008, 983, NULL, 1190506, NULL, 'Forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 455.83000000, NULL, 455.83000000, 91.17000000, 0.00000000, 0.00000000, 547.00000000, 0, NULL, NULL, 0, 342.72000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 455.83000000, 455.83000000, 91.17000000, 547.00000000),
(6009, 983, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6010, 983, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 255.59000000, NULL, 255.59000000, 51.12000000, 0.00000000, 0.00000000, 306.71000000, 0, NULL, NULL, 0, 202.99000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 255.59000000, 255.59000000, 51.12000000, 306.71000000),
(6011, 983, NULL, 1222181, NULL, 'Huile anderol ANDEROL FGXL 46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 283.91000000, NULL, 567.82000000, 113.56000000, 0.00000000, 0.00000000, 681.38000000, 0, NULL, NULL, 0, 225.40000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 283.91000000, 567.82000000, 113.56000000, 681.38000000),
(6012, 983, NULL, NULL, 'Sous-total Maintenance :', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6013, 984, NULL, 1305836, NULL, 'kit e8e min press check valve', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.50000000, NULL, 92.50000000, 18.50000000, 0.00000000, 0.00000000, 111.00000000, 0, NULL, NULL, 0, 70.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.50000000, 92.50000000, 18.50000000, 111.00000000),
(6014, 984, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(6015, 985, NULL, 1231814, NULL, 'sel regenerant en sac de 25kg', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 10.60000000, NULL, 53.00000000, 10.60000000, 0.00000000, 0.00000000, 63.60000000, 0, NULL, NULL, 0, 7.85000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.60000000, 53.00000000, 10.60000000, 63.60000000),
(6016, 986, NULL, NULL, 'Maintenance L45RS ', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6017, 986, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(6018, 986, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6019, 986, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 314.34000000, NULL, 314.34000000, 62.87000000, 0.00000000, 0.00000000, 377.21000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 314.34000000, 314.34000000, 62.87000000, 377.21000000),
(6020, 986, NULL, 1305819, NULL, 'Controller Block RH100 L37-L50 (Alu)', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 301.82000000, NULL, 271.64000000, 54.33000000, 0.00000000, 0.00000000, 325.97000000, 0, NULL, NULL, 0, 172.04000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 301.82000000, 271.64000000, 54.33000000, 325.97000000),
(6021, 986, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6022, 987, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 116, 0, 0, NULL, 0.97000000, NULL, 112.52000000, 22.50000000, 0.00000000, 0.00000000, 135.02000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 112.52000000, 22.50000000, 135.02000000),
(6023, 987, NULL, 1190535, NULL, 'main d&#39;oeuvre &amp; tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(6024, 987, NULL, 1222594, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 7.98000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(6025, 988, NULL, 972027, NULL, 'Tuyau caoutchouc OUTILAIR 25x35 mm Couronne de 40 metres PS:15 Bar', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 13.50000000, NULL, 135.00000000, 27.00000000, 0.00000000, 0.00000000, 162.00000000, 0, NULL, NULL, 0, 7.42500000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.50000000, 135.00000000, 27.00000000, 162.00000000),
(6026, 988, NULL, 966544, NULL, 'About M conique G1\" tuy.25mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 8.60000000, NULL, 34.40000000, 6.88000000, 0.00000000, 0.00000000, 41.28000000, 0, NULL, NULL, 0, 4.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.60000000, 34.40000000, 6.88000000, 41.28000000),
(6027, 989, NULL, NULL, '1 hv02', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6028, 989, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(6029, 989, NULL, 1180029, NULL, 'MAINTENANCE KIT HYDROVANE 501/502', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 106.80000000, NULL, 106.80000000, 21.36000000, 0.00000000, 0.00000000, 128.16000000, 0, NULL, NULL, 0, 64.08000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 106.80000000, 106.80000000, 21.36000000, 128.16000000),
(6030, 989, NULL, 1180449, NULL, 'HUILE  HYDROVANE  COMP PALETTE BD 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 107.50000000, NULL, 107.50000000, 21.50000000, 0.00000000, 0.00000000, 129.00000000, 0, NULL, NULL, 0, 64.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 107.50000000, 107.50000000, 21.50000000, 129.00000000),
(6031, 989, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6032, 989, NULL, NULL, '2 Separateur de condensats : si necessaire', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6033, 989, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(6034, 989, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6035, 989, NULL, NULL, '3 Maintenance  maco :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6036, 989, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6037, 989, NULL, 954060, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.14000000, NULL, 42.14000000, 8.43000000, 0.00000000, 0.00000000, 50.57000000, 0, NULL, NULL, 0, 20.46000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.14000000, 42.14000000, 8.43000000, 50.57000000),
(6038, 989, NULL, 952164, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.06000000, NULL, 11.06000000, 2.21000000, 0.00000000, 0.00000000, 13.27000000, 0, NULL, NULL, 0, 5.37000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.06000000, 11.06000000, 2.21000000, 13.27000000),
(6039, 989, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(6040, 989, NULL, 1222481, NULL, 'si necessaire', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 97.25000000, NULL, 97.25000000, 19.45000000, 0.00000000, 0.00000000, 116.70000000, 0, NULL, NULL, 0, 47.21000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 97.25000000, 97.25000000, 19.45000000, 116.70000000),
(6041, 989, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(6042, 989, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.00000000, NULL, 286.00000000, 57.20000000, 0.00000000, 0.00000000, 343.20000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.00000000, 286.00000000, 57.20000000, 343.20000000),
(6043, 989, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6044, 990, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(6045, 990, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(6046, 991, NULL, NULL, NULL, 'Boitier d&rsquo;aspiration complet', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 545.96000000, NULL, 545.96000000, 109.19000000, 0.00000000, 0.00000000, 655.15000000, 0, NULL, NULL, 0, 410.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 545.96000000, 545.96000000, 109.19000000, 655.15000000),
(6047, 991, NULL, NULL, NULL, 'electrovanne', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.92000000, NULL, 81.92000000, 16.38000000, 0.00000000, 0.00000000, 98.30000000, 0, NULL, NULL, 0, 61.60000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.92000000, 81.92000000, 16.38000000, 98.30000000),
(6048, 991, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 383.50000000, NULL, 383.50000000, 76.70000000, 0.00000000, 0.00000000, 460.20000000, 0, NULL, NULL, 0, 288.35000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 383.50000000, 383.50000000, 76.70000000, 460.20000000),
(6049, 992, NULL, 1080060, NULL, 'Tube \"sanitaire\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 90, 0, 0, NULL, 13.61000000, NULL, 1224.90000000, 244.98000000, 0.00000000, 0.00000000, 1469.88000000, 0, NULL, NULL, 0, 10.25000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.61000000, 1224.90000000, 244.98000000, 1469.88000000),
(6050, 992, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.64000000, NULL, 46.40000000, 9.28000000, 0.00000000, 0.00000000, 55.68000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.64000000, 46.40000000, 9.28000000, 55.68000000),
(6051, 992, NULL, 1080004, NULL, 'Manchon d\'ajustage diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.56000000, NULL, 13.12000000, 2.62000000, 0.00000000, 0.00000000, 15.74000000, 0, NULL, NULL, 0, 4.93000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.56000000, 13.12000000, 2.62000000, 15.74000000),
(6052, 992, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 14, 0, 0, NULL, 9.96000000, NULL, 139.44000000, 27.89000000, 0.00000000, 0.00000000, 167.33000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.96000000, 139.44000000, 27.89000000, 167.33000000),
(6053, 992, NULL, 1079818, NULL, 'Coude à 45° diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 9.30000000, NULL, 93.00000000, 18.60000000, 0.00000000, 0.00000000, 111.60000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.30000000, 93.00000000, 18.60000000, 111.60000000),
(6054, 992, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.06000000, NULL, 12.06000000, 2.41000000, 0.00000000, 0.00000000, 14.47000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.06000000, 12.06000000, 2.41000000, 14.47000000),
(6055, 992, NULL, 1079867, NULL, 'Té réduit diam. ext. 35 . 22 . 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.22000000, NULL, 10.22000000, 2.04000000, 0.00000000, 0.00000000, 12.26000000, 0, NULL, NULL, 0, 7.67000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.22000000, 10.22000000, 2.04000000, 12.26000000),
(6056, 992, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 25.51000000, NULL, 153.06000000, 30.61000000, 0.00000000, 0.00000000, 183.67000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.51000000, 153.06000000, 30.61000000, 183.67000000),
(6057, 992, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 11.71000000, NULL, 70.26000000, 14.05000000, 0.00000000, 0.00000000, 84.31000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.71000000, 70.26000000, 14.05000000, 84.31000000),
(6058, 992, NULL, 1080058, NULL, 'Tube \"sanitaire\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 7.25000000, NULL, 130.50000000, 26.10000000, 0.00000000, 0.00000000, 156.60000000, 0, NULL, NULL, 0, 5.45000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.25000000, 130.50000000, 26.10000000, 156.60000000),
(6059, 992, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 3.35000000, NULL, 33.50000000, 6.70000000, 0.00000000, 0.00000000, 40.20000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.35000000, 33.50000000, 6.70000000, 40.20000000),
(6060, 992, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 5.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 30.00000000, 6.00000000, 36.00000000),
(6061, 992, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.19000000, NULL, 24.76000000, 4.95000000, 0.00000000, 0.00000000, 29.71000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.19000000, 24.76000000, 4.95000000, 29.71000000),
(6062, 992, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.64000000, NULL, 13.64000000, 2.73000000, 0.00000000, 0.00000000, 16.37000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.64000000, 13.64000000, 2.73000000, 16.37000000),
(6063, 992, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.01000000, NULL, 6.01000000, 1.20000000, 0.00000000, 0.00000000, 7.21000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.01000000, 6.01000000, 1.20000000, 7.21000000),
(6064, 992, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 1.05000000, NULL, 21.00000000, 4.20000000, 0.00000000, 0.00000000, 25.20000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.05000000, 21.00000000, 4.20000000, 25.20000000),
(6065, 992, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 80, 0, 0, NULL, 1.12000000, NULL, 89.60000000, 17.92000000, 0.00000000, 0.00000000, 107.52000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 89.60000000, 17.92000000, 107.52000000),
(6066, 992, NULL, NULL, NULL, 'fournitures inox alimentaire', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1403.90000000, NULL, 1403.90000000, 280.78000000, 0.00000000, 0.00000000, 1684.68000000, 0, NULL, NULL, 0, 1316.80000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1403.90000000, 1403.90000000, 280.78000000, 1684.68000000),
(6067, 992, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8984.11000000, NULL, 8984.11000000, 1796.82000000, 0.00000000, 0.00000000, 10780.93000000, 0, NULL, NULL, 0, 6050.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8984.11000000, 8984.11000000, 1796.82000000, 10780.93000000),
(6068, 993, NULL, 1220936, NULL, '10 bars', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3492.00000000, NULL, 3492.00000000, 698.40000000, 0.00000000, 0.00000000, 4190.40000000, 0, NULL, NULL, 0, 2793.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3492.00000000, 3492.00000000, 698.40000000, 4190.40000000),
(6069, 993, NULL, 1189386, NULL, 'module redemarrage auto apres coupure rennerogic', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.80000000, NULL, 40.80000000, 8.16000000, 0.00000000, 0.00000000, 48.96000000, 0, NULL, NULL, 0, 28.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.80000000, 40.80000000, 8.16000000, 48.96000000),
(6070, 993, NULL, 1245966, NULL, 'separateur eau/huile ROS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 194.00000000, NULL, 194.00000000, 38.80000000, 0.00000000, 0.00000000, 232.80000000, 0, NULL, NULL, 0, 148.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 194.00000000, 194.00000000, 38.80000000, 232.80000000),
(6071, 993, NULL, 1231904, NULL, 'coffret d\'isolation phonique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 176.15000000, NULL, 176.15000000, 35.23000000, 0.00000000, 0.00000000, 211.38000000, 0, NULL, NULL, 0, 153.12000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 176.15000000, 176.15000000, 35.23000000, 211.38000000),
(6072, 993, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1272.44000000, NULL, 1272.44000000, 254.49000000, 0.00000000, 0.00000000, 1526.93000000, 0, NULL, NULL, 0, 698.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1272.44000000, 1272.44000000, 254.49000000, 1526.93000000),
(6073, 993, NULL, 1297964, NULL, 'purgeur a sonde capacitive R kaptiv', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 119.47000000, NULL, 119.47000000, 23.89000000, 0.00000000, 0.00000000, 143.36000000, 0, NULL, NULL, 0, 64.80000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 119.47000000, 119.47000000, 23.89000000, 143.36000000),
(6074, 993, NULL, 1297965, NULL, 'secheur frigorifique avec purgeur sonde capacitive RKT CQ 0105AB', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1271.66000000, NULL, 1271.66000000, 254.33000000, 0.00000000, 0.00000000, 1525.99000000, 0, NULL, NULL, 0, 744.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1271.66000000, 1271.66000000, 254.33000000, 1525.99000000),
(6075, 993, NULL, 1245930, NULL, 'Filtre Réseau fin 1micron', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.00000000, NULL, 155.00000000, 31.00000000, 0.00000000, 0.00000000, 186.00000000, 0, NULL, NULL, 0, 115.20000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.00000000, 155.00000000, 31.00000000, 186.00000000),
(6076, 993, NULL, 1245930, NULL, 'Filtre Réseau fin 1micron', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.00000000, NULL, 155.00000000, 31.00000000, 0.00000000, 0.00000000, 186.00000000, 0, NULL, NULL, 0, 115.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.00000000, 155.00000000, 31.00000000, 186.00000000),
(6077, 993, NULL, 1297967, NULL, 'flexible 1/2\" long 1600 mm', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 49.10000000, NULL, 147.30000000, 29.46000000, 0.00000000, 0.00000000, 176.76000000, 0, NULL, NULL, 0, 28.80000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 49.10000000, 147.30000000, 29.46000000, 176.76000000),
(6078, 993, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1202.00000000, NULL, 1202.00000000, 240.40000000, 0.00000000, 0.00000000, 1442.40000000, 0, NULL, NULL, 0, 910.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1202.00000000, 1202.00000000, 240.40000000, 1442.40000000),
(6079, 994, NULL, 1190716, NULL, 'monture à niveau compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.40000000, NULL, 82.40000000, 16.48000000, 0.00000000, 0.00000000, 98.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.40000000, 82.40000000, 16.48000000, 98.88000000),
(6080, 994, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(6081, 994, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(6082, 994, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 180, 0, 0, NULL, 0.97000000, NULL, 174.60000000, 34.92000000, 0.00000000, 0.00000000, 209.52000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 174.60000000, 34.92000000, 209.52000000),
(6083, 995, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(6084, 995, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 71, 0, 0, NULL, 0.97000000, NULL, 68.87000000, 13.77000000, 0.00000000, 0.00000000, 82.64000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 68.87000000, 13.77000000, 82.64000000),
(6085, 996, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 484.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(6086, 996, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(6087, 996, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 73.10000000, NULL, 146.20000000, 29.24000000, 0.00000000, 0.00000000, 175.44000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 146.20000000, 29.24000000, 175.44000000),
(6088, 996, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 1, NULL, NULL, 0, 74.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(6089, 996, NULL, 1179646, NULL, 'SEPARATOR KIT D            L07-L11RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.20000000, NULL, 284.20000000, 56.84000000, 0.00000000, 0.00000000, 341.04000000, 1, NULL, NULL, 0, 175.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.20000000, 284.20000000, 56.84000000, 341.04000000),
(6090, 996, NULL, 1179717, NULL, 'MAJOR KIT E               L07 - L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 251.70000000, NULL, 251.70000000, 50.34000000, 0.00000000, 0.00000000, 302.04000000, 1, NULL, NULL, 0, 131.98000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 251.70000000, 251.70000000, 50.34000000, 302.04000000),
(6091, 996, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(6092, 996, NULL, 952656, NULL, 'cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(6093, 996, NULL, 952657, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(6094, 996, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(6095, 996, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.96000000, NULL, 4.96000000, 0.99000000, 0.00000000, 0.00000000, 5.95000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.96000000, 4.96000000, 0.99000000, 5.95000000),
(6096, 997, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(6097, 998, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(6098, 999, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 226.79000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(6099, 1000, NULL, 1245941, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.00000000, NULL, 36.00000000, 7.20000000, 0.00000000, 0.00000000, 43.20000000, 0, NULL, NULL, 0, 9.14000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 36.00000000, 7.20000000, 43.20000000),
(6100, 1000, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(6101, 1001, NULL, 955150, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 186.59000000, NULL, 186.59000000, 37.32000000, 0.00000000, 0.00000000, 223.91000000, 0, NULL, NULL, 0, 90.58000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 186.59000000, 186.59000000, 37.32000000, 223.91000000),
(6105, 1001, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 780.00000000, NULL, 780.00000000, 156.00000000, 0.00000000, 0.00000000, 936.00000000, 0, NULL, NULL, 0, 560.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 780.00000000, 780.00000000, 156.00000000, 936.00000000),
(6106, 1001, NULL, 1305835, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 190.34000000, NULL, 380.68000000, 76.14000000, 0.00000000, 0.00000000, 456.82000000, 0, NULL, NULL, 0, 70.68000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 190.34000000, 380.68000000, 76.14000000, 456.82000000),
(6107, 1002, NULL, NULL, NULL, 'VALORISATION d&#39;un volume CEE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7035.00000000, NULL, 7035.00000000, 1407.00000000, 0.00000000, 0.00000000, 8442.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7035.00000000, 7035.00000000, 1407.00000000, 8442.00000000),
(6108, 1003, NULL, 1188146, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 997.00000000, NULL, 997.00000000, 199.40000000, 0.00000000, 0.00000000, 1196.40000000, 0, NULL, NULL, 0, 893.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 997.00000000, 997.00000000, 199.40000000, 1196.40000000),
(6109, 1004, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(6110, 1004, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 0.97000000, NULL, 38.80000000, 7.76000000, 0.00000000, 0.00000000, 46.56000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 38.80000000, 7.76000000, 46.56000000),
(6111, 1004, NULL, 1231078, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 55.00000000, NULL, 55.00000000, 11.00000000, 0.00000000, 0.00000000, 66.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 55.00000000, 55.00000000, 11.00000000, 66.00000000),
(6112, 1005, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 63.84000000, NULL, 1276.80000000, 255.36000000, 0.00000000, 0.00000000, 1532.16000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 1276.80000000, 255.36000000, 1532.16000000),
(6113, 1005, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 80, 0, 0, NULL, 0.97000000, NULL, 77.60000000, 15.52000000, 0.00000000, 0.00000000, 93.12000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 77.60000000, 15.52000000, 93.12000000),
(6114, 1005, NULL, 1190584, NULL, 'repas', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 20.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 40.00000000, 8.00000000, 48.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(6115, 1005, NULL, 1238171, NULL, 'TUYAU Ø 250 Lg = 1 m BT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.08000000, NULL, 22.08000000, 4.42000000, 0.00000000, 0.00000000, 26.50000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.08000000, 22.08000000, 4.42000000, 26.50000000),
(6116, 1005, NULL, 1238165, NULL, 'TUYAU Ø 200 Lg = 1 m BT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.51000000, NULL, 17.51000000, 3.50000000, 0.00000000, 0.00000000, 21.01000000, 0, NULL, NULL, 0, 11.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.51000000, 17.51000000, 3.50000000, 21.01000000),
(6117, 1005, NULL, 1237782, NULL, 'MANCHON FLEX. Ø 160 BT / BL', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.40000000, NULL, 14.80000000, 2.96000000, 0.00000000, 0.00000000, 17.76000000, 1, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.40000000, 14.80000000, 2.96000000, 17.76000000),
(6118, 1005, NULL, 1237028, NULL, 'CULOTTE Ø 250 BT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 83.41000000, NULL, 83.41000000, 16.68000000, 0.00000000, 0.00000000, 100.09000000, 0, NULL, NULL, 0, 56.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 83.41000000, 83.41000000, 16.68000000, 100.09000000),
(6119, 1005, NULL, 1237178, NULL, 'COUDE 90° Ø 200 BT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 46.87000000, NULL, 46.87000000, 9.37000000, 0.00000000, 0.00000000, 56.24000000, 1, NULL, NULL, 0, 32.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 46.87000000, 46.87000000, 9.37000000, 56.24000000),
(6120, 1005, NULL, 1237145, NULL, 'COUDE 60° Ø 160 BT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 29.04000000, NULL, 29.04000000, 5.81000000, 0.00000000, 0.00000000, 34.85000000, 1, NULL, NULL, 0, 19.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.04000000, 29.04000000, 5.81000000, 34.85000000),
(6121, 1006, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(6122, 1006, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(6123, 1006, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(6124, 1006, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 229.58000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(6125, 1006, NULL, 944541, NULL, 'Filtre rechange', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 170.98000000, NULL, 170.98000000, 34.20000000, 0.00000000, 0.00000000, 205.18000000, 0, NULL, NULL, 0, 83.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 170.98000000, 170.98000000, 34.20000000, 205.18000000),
(6126, 1007, NULL, 1222524, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 20.10000000, NULL, 40.20000000, 8.04000000, 0.00000000, 0.00000000, 48.24000000, 0, NULL, NULL, 0, 9.76000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.10000000, 40.20000000, 8.04000000, 48.24000000),
(6127, 1007, NULL, 955157, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.30000000, NULL, 96.30000000, 19.26000000, 0.00000000, 0.00000000, 115.56000000, 0, NULL, NULL, 0, 46.75000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.30000000, 96.30000000, 19.26000000, 115.56000000),
(6128, 1007, NULL, 955159, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.30000000, NULL, 10.30000000, 2.06000000, 0.00000000, 0.00000000, 12.36000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 10.30000000, 2.06000000, 12.36000000),
(6129, 1007, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(6130, 1007, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6131, 1007, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(6132, 1007, NULL, 952213, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.07000000, NULL, 10.07000000, 2.01000000, 0.00000000, 0.00000000, 12.08000000, 0, NULL, NULL, 0, 4.89000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.07000000, 10.07000000, 2.01000000, 12.08000000),
(6133, 1007, NULL, 1221778, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.89000000, NULL, 22.89000000, 4.58000000, 0.00000000, 0.00000000, 27.47000000, 0, NULL, NULL, 0, 11.22000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.89000000, 22.89000000, 4.58000000, 27.47000000),
(6134, 1007, NULL, 1221734, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.43000000, NULL, 68.43000000, 13.69000000, 0.00000000, 0.00000000, 82.12000000, 0, NULL, NULL, 0, 33.22000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.43000000, 68.43000000, 13.69000000, 82.12000000),
(6135, 1008, NULL, 971707, NULL, 'Raccord rapide sécurité à bouton DN5.5 Profil ISO 6150C Mâle G1/4 BSP cylindrique', 20.000, '', 0.000, '0', 0.000, '0', 85, 0, 0, NULL, 12.99000000, NULL, 1104.15000000, 220.83000000, 0.00000000, 0.00000000, 1324.98000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.99000000, 1104.15000000, 220.83000000, 1324.98000000),
(6136, 1008, NULL, 966691, NULL, 'Mamelon conique G1/4x1/4', 20.000, '', 0.000, '0', 0.000, '0', 35, 0, 0, NULL, 0.42000000, NULL, 14.70000000, 2.94000000, 0.00000000, 0.00000000, 17.64000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.42000000, 14.70000000, 2.94000000, 17.64000000),
(6137, 1008, NULL, 966954, NULL, 'Croix égale FFFF G1/4', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 2.04000000, NULL, 40.80000000, 8.16000000, 0.00000000, 0.00000000, 48.96000000, 0, NULL, NULL, 0, 1.55000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.04000000, 40.80000000, 8.16000000, 48.96000000),
(6138, 1008, NULL, 966964, NULL, 'Té égal FFF G1/4', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 1.21000000, NULL, 48.40000000, 9.68000000, 0.00000000, 0.00000000, 58.08000000, 0, NULL, NULL, 0, 0.92000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.21000000, 48.40000000, 9.68000000, 58.08000000),
(6139, 1008, NULL, 971943, NULL, 'Tuyau PVC tressé POLYFLEXAIR Ø10x16 Couleur bleue en couronne de 50 mètres- PS:15 Bar', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.85000000, NULL, 42.50000000, 8.50000000, 0.00000000, 0.00000000, 51.00000000, 0, NULL, NULL, 0, 0.63000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.85000000, 42.50000000, 8.50000000, 51.00000000),
(6140, 1008, NULL, 967777, NULL, 'Colliers bande ajourée 12-22mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 66.17000000, NULL, 66.17000000, 13.23000000, 0.00000000, 0.00000000, 79.40000000, 0, NULL, NULL, 0, 50.90000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 66.17000000, 66.17000000, 13.23000000, 79.40000000),
(6141, 1009, NULL, NULL, NULL, 'Acompte (30%) - CO1903-0872', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13211.10000000, NULL, 13211.10000000, 2642.22000000, 0.00000000, 0.00000000, 15853.32000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13211.10000000, 13211.10000000, 2642.22000000, 15853.32000000),
(6142, 1010, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(6143, 1010, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6144, 1010, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(6145, 1010, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(6146, 1010, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(6147, 1010, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(6148, 1010, NULL, 1222578, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.66000000, NULL, 37.32000000, 7.46000000, 0.00000000, 0.00000000, 44.78000000, 0, NULL, NULL, 0, 9.14000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.66000000, 37.32000000, 7.46000000, 44.78000000),
(6149, 1011, NULL, 1223611, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.48000000, NULL, 17.48000000, 3.50000000, 0.00000000, 0.00000000, 20.98000000, 0, NULL, NULL, 0, 8.74000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.48000000, 17.48000000, 3.50000000, 20.98000000),
(6150, 1011, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(6151, 1011, NULL, 1230694, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 3.40000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(6152, 1011, NULL, 1221769, NULL, 'filtre réseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.47000000, NULL, 28.47000000, 5.69000000, 0.00000000, 0.00000000, 34.16000000, 0, NULL, NULL, 0, 13.82000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.47000000, 28.47000000, 5.69000000, 34.16000000),
(6153, 1011, NULL, 1221733, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.66000000, NULL, 61.66000000, 12.33000000, 0.00000000, 0.00000000, 73.99000000, 0, NULL, NULL, 0, 29.93000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.66000000, 61.66000000, 12.33000000, 73.99000000),
(6154, 1011, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6155, 1012, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(6156, 1012, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(6157, 1012, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(6158, 1012, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6159, 1012, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(6160, 1012, NULL, 952936, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.07000000, NULL, 102.07000000, 20.41000000, 0.00000000, 0.00000000, 122.48000000, 0, NULL, NULL, 0, 49.55000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.07000000, 102.07000000, 20.41000000, 122.48000000),
(6161, 1012, NULL, 952937, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.07000000, NULL, 102.07000000, 20.41000000, 0.00000000, 0.00000000, 122.48000000, 0, NULL, NULL, 0, 49.55000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.07000000, 102.07000000, 20.41000000, 122.48000000),
(6162, 1012, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(6163, 1012, NULL, 1179649, NULL, 'SEPARATOR KIT D             L15RS -L22RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 474.00000000, NULL, 474.00000000, 94.80000000, 0.00000000, 0.00000000, 568.80000000, 0, NULL, NULL, 0, 284.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 474.00000000, 474.00000000, 94.80000000, 568.80000000),
(6164, 1012, NULL, 1179720, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 265.00000000, NULL, 265.00000000, 53.00000000, 0.00000000, 0.00000000, 318.00000000, 0, NULL, NULL, 0, 159.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 265.00000000, 265.00000000, 53.00000000, 318.00000000),
(6165, 1013, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(6166, 1013, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(6167, 1013, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(6168, 1013, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(6169, 1013, NULL, 1222601, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.96000000, NULL, 53.88000000, 10.78000000, 0.00000000, 0.00000000, 64.66000000, 0, NULL, NULL, 0, 9.69000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.96000000, 53.88000000, 10.78000000, 64.66000000),
(6170, 1013, NULL, 1179649, NULL, 'SEPARATOR KIT D             L15RS -L22RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 474.00000000, NULL, 474.00000000, 94.80000000, 0.00000000, 0.00000000, 568.80000000, 0, NULL, NULL, 0, 284.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 474.00000000, 474.00000000, 94.80000000, 568.80000000),
(6171, 1013, NULL, 1179720, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 265.00000000, NULL, 265.00000000, 53.00000000, 0.00000000, 0.00000000, 318.00000000, 0, NULL, NULL, 0, 159.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 265.00000000, 265.00000000, 53.00000000, 318.00000000),
(6172, 1013, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 73.10000000, NULL, 146.20000000, 29.24000000, 0.00000000, 0.00000000, 175.44000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 146.20000000, 29.24000000, 175.44000000),
(6173, 1014, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6174, 1014, NULL, 1222568, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(6175, 1014, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 1, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(6176, 1014, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(6177, 1014, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 138.96000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(6178, 1014, NULL, 1179716, NULL, 'SERVICE PACKAGE  E      L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 248.00000000, NULL, 248.00000000, 49.60000000, 0.00000000, 0.00000000, 297.60000000, 1, NULL, NULL, 0, 148.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 248.00000000, 248.00000000, 49.60000000, 297.60000000),
(6179, 1015, NULL, 1190357, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 502.72000000, NULL, 502.72000000, 100.54000000, 0.00000000, 0.00000000, 603.26000000, 0, NULL, NULL, 0, 386.68000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 502.72000000, 502.72000000, 100.54000000, 603.26000000),
(6180, 1015, NULL, 1223571, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(6181, 1015, NULL, 1245941, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.00000000, NULL, 36.00000000, 7.20000000, 0.00000000, 0.00000000, 43.20000000, 0, NULL, NULL, 0, 9.14000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 36.00000000, 7.20000000, 43.20000000),
(6182, 1016, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 80, 0, 0, NULL, 0.97000000, NULL, 77.60000000, 15.52000000, 0.00000000, 0.00000000, 93.12000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 77.60000000, 15.52000000, 93.12000000),
(6183, 1016, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(6184, 1017, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(6185, 1017, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(6186, 1018, NULL, NULL, NULL, 'L26RS N° CD10027118001 de 2016', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6187, 1018, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 857.69000000, NULL, 857.69000000, 171.54000000, 0.00000000, 0.00000000, 1029.23000000, 0, NULL, NULL, 0, 595.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 857.69000000, 857.69000000, 171.54000000, 1029.23000000),
(6188, 1018, NULL, 1179723, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 404.39000000, NULL, 404.39000000, 80.88000000, 0.00000000, 0.00000000, 485.27000000, 0, NULL, NULL, 0, 174.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 404.39000000, 404.39000000, 80.88000000, 485.27000000),
(6189, 1018, NULL, 952658, NULL, 'cartouche grade ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(6190, 1018, NULL, 1221463, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.45000000, NULL, 156.45000000, 31.29000000, 0.00000000, 0.00000000, 187.74000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.45000000, 156.45000000, 31.29000000, 187.74000000),
(6191, 1018, NULL, 952684, NULL, 'cartouche grade rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(6192, 1018, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(6193, 1018, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 451.82000000, NULL, 451.82000000, 90.36000000, 0.00000000, 0.00000000, 542.18000000, 0, NULL, NULL, 0, 340.60000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 451.82000000, 451.82000000, 90.36000000, 542.18000000),
(6194, 1018, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6195, 1018, NULL, NULL, NULL, 'L26RS N° CD10021087002 de 2015', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6196, 1018, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 460.85000000, NULL, 460.85000000, 92.17000000, 0.00000000, 0.00000000, 553.02000000, 0, NULL, NULL, 0, 346.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 460.85000000, 460.85000000, 92.17000000, 553.02000000),
(6197, 1018, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 826.25000000, NULL, 826.25000000, 165.25000000, 0.00000000, 0.00000000, 991.50000000, 0, NULL, NULL, 0, 595.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 826.25000000, 826.25000000, 165.25000000, 991.50000000),
(6198, 1018, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 243.03000000, NULL, 243.03000000, 48.61000000, 0.00000000, 0.00000000, 291.64000000, 1, NULL, NULL, 0, 174.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 243.03000000, 243.03000000, 48.61000000, 291.64000000),
(6199, 1018, NULL, 952680, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 206.39000000, NULL, 206.39000000, 41.28000000, 0.00000000, 0.00000000, 247.67000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 206.39000000, 206.39000000, 41.28000000, 247.67000000),
(6200, 1018, NULL, 952681, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 206.39000000, NULL, 206.39000000, 41.28000000, 0.00000000, 0.00000000, 247.67000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 206.39000000, 206.39000000, 41.28000000, 247.67000000),
(6201, 1018, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 71.92000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(6202, 1018, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6203, 1018, NULL, NULL, NULL, 'Compresseur L26RS N°CD10015212001 de 2014', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6204, 1018, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 460.85000000, NULL, 460.85000000, 92.17000000, 0.00000000, 0.00000000, 553.02000000, 0, NULL, NULL, 0, 347.41000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 460.85000000, 460.85000000, 92.17000000, 553.02000000),
(6205, 1018, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 729.52000000, NULL, 729.52000000, 145.90000000, 0.00000000, 0.00000000, 875.42000000, 0, NULL, NULL, 0, 595.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 729.52000000, 729.52000000, 145.90000000, 875.42000000),
(6206, 1018, NULL, 952658, NULL, 'cartouche grade ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.89000000, NULL, 155.89000000, 31.18000000, 0.00000000, 0.00000000, 187.07000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.89000000, 155.89000000, 31.18000000, 187.07000000),
(6207, 1018, NULL, 952684, NULL, 'cartouche grade rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.89000000, NULL, 155.89000000, 31.18000000, 0.00000000, 0.00000000, 187.07000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.89000000, 155.89000000, 31.18000000, 187.07000000),
(6208, 1018, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(6209, 1018, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(6210, 1018, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6211, 1018, NULL, NULL, NULL, 'Compresseur SULLAIR WS1510', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6212, 1018, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 302.55000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(6213, 1018, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(6214, 1018, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.13000000, NULL, 51.39000000, 10.28000000, 0.00000000, 0.00000000, 61.67000000, 0, NULL, NULL, 0, 8.62000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 51.39000000, 10.28000000, 61.67000000),
(6215, 1018, NULL, 1221715, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.80000000, NULL, 112.80000000, 22.56000000, 0.00000000, 0.00000000, 135.36000000, 0, NULL, NULL, 0, 75.20000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.80000000, 112.80000000, 22.56000000, 135.36000000),
(6216, 1018, NULL, 1221767, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.06000000, NULL, 35.06000000, 7.01000000, 0.00000000, 0.00000000, 42.07000000, 0, NULL, NULL, 0, 17.53000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.06000000, 35.06000000, 7.01000000, 42.07000000),
(6217, 1018, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(6218, 1018, NULL, 954041, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.59000000, NULL, 11.59000000, 2.32000000, 0.00000000, 0.00000000, 13.91000000, 0, NULL, NULL, 0, 5.63000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.59000000, 11.59000000, 2.32000000, 13.91000000),
(6219, 1018, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6220, 1019, NULL, 1078267, NULL, 'Plateau support Ø rigide', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.52000000, NULL, 22.52000000, 4.50000000, 0.00000000, 0.00000000, 27.02000000, 0, NULL, NULL, 0, 13.51000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.52000000, 22.52000000, 4.50000000, 27.02000000),
(6221, 1019, NULL, 955265, NULL, 'Frais de port et d\'emballage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.00000000, NULL, 17.00000000, 3.40000000, 0.00000000, 0.00000000, 20.40000000, 0, NULL, NULL, 0, 17.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.00000000, 17.00000000, 3.40000000, 20.40000000),
(6222, 1020, NULL, NULL, NULL, 'ventilateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 188.91000000, NULL, 188.91000000, 37.78000000, 0.00000000, 0.00000000, 226.69000000, 0, NULL, NULL, 0, 145.32000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 188.91000000, 188.91000000, 37.78000000, 226.69000000),
(6223, 1020, NULL, NULL, NULL, 'connecteur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.03000000, NULL, 9.03000000, 1.81000000, 0.00000000, 0.00000000, 10.84000000, 0, NULL, NULL, 0, 6.18000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.03000000, 9.03000000, 1.81000000, 10.84000000),
(6224, 1020, NULL, NULL, NULL, 'forfait depannagr', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 195.00000000, NULL, 195.00000000, 39.00000000, 0.00000000, 0.00000000, 234.00000000, 1, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 195.00000000, 195.00000000, 39.00000000, 234.00000000),
(6225, 1021, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(6226, 1021, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6227, 1021, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(6228, 1021, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(6229, 1021, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(6230, 1021, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(6231, 1022, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 302.55000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(6232, 1022, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(6233, 1022, NULL, 1221715, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.80000000, NULL, 112.80000000, 22.56000000, 0.00000000, 0.00000000, 135.36000000, 0, NULL, NULL, 0, 75.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.80000000, 112.80000000, 22.56000000, 135.36000000),
(6234, 1022, NULL, 1221767, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.06000000, NULL, 35.06000000, 7.01000000, 0.00000000, 0.00000000, 42.07000000, 0, NULL, NULL, 0, 17.53000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.06000000, 35.06000000, 7.01000000, 42.07000000),
(6235, 1022, NULL, 954041, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.59000000, NULL, 11.59000000, 2.32000000, 0.00000000, 0.00000000, 13.91000000, 0, NULL, NULL, 0, 5.63000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.59000000, 11.59000000, 2.32000000, 13.91000000),
(6236, 1022, NULL, 953645, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 115.33000000, NULL, 115.33000000, 23.07000000, 0.00000000, 0.00000000, 138.40000000, 0, NULL, NULL, 0, 57.04000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 115.33000000, 115.33000000, 23.07000000, 138.40000000),
(6237, 1022, NULL, 953644, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 115.33000000, NULL, 115.33000000, 23.07000000, 0.00000000, 0.00000000, 138.40000000, 0, NULL, NULL, 0, 55.99000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 115.33000000, 115.33000000, 23.07000000, 138.40000000),
(6238, 1023, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(6239, 1023, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(6240, 1023, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(6241, 1023, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(6242, 1023, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(6243, 1023, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6244, 1023, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.97000000, NULL, 18.97000000, 3.79000000, 0.00000000, 0.00000000, 22.76000000, 0, NULL, NULL, 0, 9.39000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.97000000, 18.97000000, 3.79000000, 22.76000000),
(6245, 1024, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 92, 0, 0, NULL, 0.97000000, NULL, 89.24000000, 17.85000000, 0.00000000, 0.00000000, 107.09000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 89.24000000, 17.85000000, 107.09000000),
(6246, 1024, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(6247, 1025, NULL, 1222594, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.29000000, NULL, 14.29000000, 2.86000000, 0.00000000, 0.00000000, 17.15000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 14.29000000, 2.86000000, 17.15000000),
(6248, 1025, NULL, 1221472, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.74000000, NULL, 59.74000000, 11.95000000, 0.00000000, 0.00000000, 71.69000000, 0, NULL, NULL, 0, 29.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.74000000, 59.74000000, 11.95000000, 71.69000000),
(6249, 1025, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(6250, 1025, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(6251, 1025, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(6252, 1025, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6253, 1025, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(6254, 1025, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(6255, 1025, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(6256, 1026, NULL, 1222640, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 305.35000000, NULL, 610.70000000, 122.14000000, 0.00000000, 0.00000000, 732.84000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 610.70000000, 122.14000000, 732.84000000),
(6257, 1026, NULL, 1222642, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.50000000, NULL, 11.00000000, 2.20000000, 0.00000000, 0.00000000, 13.20000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 11.00000000, 2.20000000, 13.20000000),
(6258, 1026, NULL, 1180029, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 115.00000000, NULL, 230.00000000, 46.00000000, 0.00000000, 0.00000000, 276.00000000, 0, NULL, NULL, 0, 69.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 115.00000000, 230.00000000, 46.00000000, 276.00000000),
(6259, 1027, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 86, 0, 0, NULL, 0.97000000, NULL, 83.42000000, 16.68000000, 0.00000000, 0.00000000, 100.10000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 83.42000000, 16.68000000, 100.10000000),
(6260, 1027, NULL, 1189338, NULL, 'filter pad pfa40 000', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 26.00000000, NULL, 52.00000000, 10.40000000, 0.00000000, 0.00000000, 62.40000000, 0, NULL, NULL, 0, 15.60000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.00000000, 52.00000000, 10.40000000, 62.40000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(6261, 1027, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(6262, 1028, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(6263, 1028, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6264, 1028, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(6265, 1028, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(6266, 1028, NULL, 954034, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.67000000, NULL, 24.67000000, 4.93000000, 0.00000000, 0.00000000, 29.60000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 24.67000000, 4.93000000, 29.60000000),
(6267, 1029, NULL, 1080071, NULL, 'Tube \"air comprimé\" diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 90, 0, 0, NULL, 14.97000000, NULL, 1347.30000000, 269.46000000, 0.00000000, 0.00000000, 1616.76000000, 0, NULL, NULL, 0, 7.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.97000000, 1347.30000000, 269.46000000, 1616.76000000),
(6268, 1029, NULL, 1079995, NULL, 'Manchon diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 8.60000000, NULL, 129.00000000, 25.80000000, 0.00000000, 0.00000000, 154.80000000, 0, NULL, NULL, 0, 4.54000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.60000000, 129.00000000, 25.80000000, 154.80000000),
(6269, 1029, NULL, 1079789, NULL, 'Courbe à 90° diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 26.07000000, NULL, 417.12000000, 83.42000000, 0.00000000, 0.00000000, 500.54000000, 0, NULL, NULL, 0, 13.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.07000000, 417.12000000, 83.42000000, 500.54000000),
(6270, 1029, NULL, 1079819, NULL, 'Coude à 45° diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 21.34000000, NULL, 170.72000000, 34.14000000, 0.00000000, 0.00000000, 204.86000000, 0, NULL, NULL, 0, 11.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.34000000, 170.72000000, 34.14000000, 204.86000000),
(6271, 1029, NULL, 1079854, NULL, 'Té égal diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 24.04000000, NULL, 72.12000000, 14.42000000, 0.00000000, 0.00000000, 86.54000000, 0, NULL, NULL, 0, 12.67000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.04000000, 72.12000000, 14.42000000, 86.54000000),
(6272, 1029, NULL, 1079871, NULL, 'Té réduit diam. ext. 42 . 22 . 42', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 20.06000000, NULL, 80.24000000, 16.05000000, 0.00000000, 0.00000000, 96.29000000, 0, NULL, NULL, 0, 10.58000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.06000000, 80.24000000, 16.05000000, 96.29000000),
(6273, 1029, NULL, 1079967, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 45.21000000, NULL, 226.05000000, 45.21000000, 0.00000000, 0.00000000, 271.26000000, 0, NULL, NULL, 0, 23.83000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.21000000, 226.05000000, 45.21000000, 271.26000000),
(6274, 1029, NULL, 1079935, NULL, 'Raccord mixte mâle diam. ext. 42. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.93000000, NULL, 43.86000000, 8.77000000, 0.00000000, 0.00000000, 52.63000000, 0, NULL, NULL, 0, 11.56000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.93000000, 43.86000000, 8.77000000, 52.63000000),
(6275, 1029, NULL, 1080015, NULL, 'Manchon d\'extrémité diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.56000000, NULL, 12.56000000, 2.51000000, 0.00000000, 0.00000000, 15.07000000, 0, NULL, NULL, 0, 6.63000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.56000000, 12.56000000, 2.51000000, 15.07000000),
(6276, 1029, NULL, 1080054, NULL, 'Crosse d\'évêque diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 16.48000000, NULL, 115.36000000, 23.07000000, 0.00000000, 0.00000000, 138.43000000, 0, NULL, NULL, 0, 8.69000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.48000000, 115.36000000, 23.07000000, 138.43000000),
(6277, 1029, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 36, 0, 0, NULL, 6.65000000, NULL, 239.40000000, 47.88000000, 0.00000000, 0.00000000, 287.28000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.65000000, 239.40000000, 47.88000000, 287.28000000),
(6278, 1029, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.78000000, NULL, 19.12000000, 3.82000000, 0.00000000, 0.00000000, 22.94000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.78000000, 19.12000000, 3.82000000, 22.94000000),
(6279, 1029, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 7.13000000, NULL, 142.60000000, 28.52000000, 0.00000000, 0.00000000, 171.12000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.13000000, 142.60000000, 28.52000000, 171.12000000),
(6280, 1029, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 8.84000000, NULL, 88.40000000, 17.68000000, 0.00000000, 0.00000000, 106.08000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.84000000, 88.40000000, 17.68000000, 106.08000000),
(6281, 1029, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 10.93000000, NULL, 21.86000000, 4.37000000, 0.00000000, 0.00000000, 26.23000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.93000000, 21.86000000, 4.37000000, 26.23000000),
(6282, 1029, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 19.47000000, NULL, 136.29000000, 27.26000000, 0.00000000, 0.00000000, 163.55000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.47000000, 136.29000000, 27.26000000, 163.55000000),
(6283, 1029, NULL, 1080012, NULL, 'Manchon d\'extrémité diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.05000000, NULL, 6.05000000, 1.21000000, 0.00000000, 0.00000000, 7.26000000, 0, NULL, NULL, 0, 3.19000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.05000000, 6.05000000, 1.21000000, 7.26000000),
(6284, 1029, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 1.50000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.50000000, 45.00000000, 9.00000000, 54.00000000),
(6285, 1029, NULL, 1080115, NULL, 'Collier protégé pour tube diam. 42 - M8', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 1.77000000, NULL, 106.20000000, 21.24000000, 0.00000000, 0.00000000, 127.44000000, 0, NULL, NULL, 0, 0.94000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.77000000, 106.20000000, 21.24000000, 127.44000000),
(6286, 1029, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 9.88000000, NULL, 79.04000000, 15.81000000, 0.00000000, 0.00000000, 94.85000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.88000000, 79.04000000, 15.81000000, 94.85000000),
(6287, 1029, NULL, 966508, NULL, 'Vanne F/F G1\"1/2 PN30 DN40', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 52.30000000, NULL, 156.90000000, 31.38000000, 0.00000000, 0.00000000, 188.28000000, 0, NULL, NULL, 0, 19.58000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.30000000, 156.90000000, 31.38000000, 188.28000000),
(6288, 1029, NULL, 966892, NULL, 'Bouchon M. cylindrique G1/2', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.14000000, NULL, 6.84000000, 1.37000000, 0.00000000, 0.00000000, 8.21000000, 0, NULL, NULL, 0, 0.42000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 6.84000000, 1.37000000, 8.21000000),
(6289, 1029, NULL, 966690, NULL, 'Mamelon conique G1/8x1/2', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 1.73000000, NULL, 6.92000000, 1.38000000, 0.00000000, 0.00000000, 8.30000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.73000000, 6.92000000, 1.38000000, 8.30000000),
(6290, 1029, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 33.35000000, NULL, 200.10000000, 40.02000000, 0.00000000, 0.00000000, 240.12000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.35000000, 200.10000000, 40.02000000, 240.12000000),
(6291, 1029, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 446.70000000, NULL, 446.70000000, 89.34000000, 0.00000000, 0.00000000, 536.04000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 446.70000000, 446.70000000, 89.34000000, 536.04000000),
(6292, 1029, NULL, 1223702, NULL, 'tube poutrelle et accessoires fixation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 400.00000000, NULL, 400.00000000, 80.00000000, 0.00000000, 0.00000000, 480.00000000, 0, NULL, NULL, 0, 350.00000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 400.00000000, 400.00000000, 80.00000000, 480.00000000),
(6293, 1029, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2402.75000000, NULL, 2402.75000000, 480.55000000, 0.00000000, 0.00000000, 2883.30000000, 0, NULL, NULL, 0, 2506.00000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2402.75000000, 2402.75000000, 480.55000000, 2883.30000000),
(6294, 1029, NULL, NULL, NULL, '(DEPOSIT)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, 40, -2135.55000000, NULL, -2135.55000000, -427.11000000, 0.00000000, 0.00000000, -2562.66000000, 0, NULL, NULL, 2, 0.00000000, NULL, 0, 0, -1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, '', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6295, 1030, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(6296, 1030, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6297, 1030, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(6298, 1030, NULL, 1222587, NULL, 'courroies_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 14.29000000, NULL, 42.87000000, 8.57000000, 0.00000000, 0.00000000, 51.44000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 42.87000000, 8.57000000, 51.44000000),
(6299, 1030, NULL, 952140, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(6300, 1030, NULL, 954045, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(6301, 1030, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(6302, 1031, NULL, 952662, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(6303, 1031, NULL, 1221475, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 75.50000000, NULL, 75.50000000, 15.10000000, 0.00000000, 0.00000000, 90.60000000, 0, NULL, NULL, 0, 36.65000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 75.50000000, 75.50000000, 15.10000000, 90.60000000),
(6304, 1031, NULL, 1221476, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 75.50000000, NULL, 75.50000000, 15.10000000, 0.00000000, 0.00000000, 90.60000000, 0, NULL, NULL, 0, 36.65000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 75.50000000, 75.50000000, 15.10000000, 90.60000000),
(6305, 1031, NULL, 952403, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.92000000, NULL, 12.92000000, 2.58000000, 0.00000000, 0.00000000, 15.50000000, 0, NULL, NULL, 0, 7.56000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.92000000, 12.92000000, 2.58000000, 15.50000000),
(6306, 1032, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 264, 0, 0, NULL, 0.97000000, NULL, 256.08000000, 51.22000000, 0.00000000, 0.00000000, 307.30000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 256.08000000, 51.22000000, 307.30000000),
(6307, 1032, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 63.84000000, NULL, 319.20000000, 63.84000000, 0.00000000, 0.00000000, 383.04000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 319.20000000, 63.84000000, 383.04000000),
(6308, 1033, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 324.41000000, NULL, 324.41000000, 64.88000000, 0.00000000, 0.00000000, 389.29000000, 0, NULL, NULL, 0, 243.91000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 324.41000000, 324.41000000, 64.88000000, 389.29000000),
(6309, 1033, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 313.42000000, NULL, 313.42000000, 62.68000000, 0.00000000, 0.00000000, 376.10000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 313.42000000, 313.42000000, 62.68000000, 376.10000000),
(6310, 1033, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6311, 1033, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(6312, 1034, NULL, 1238428, NULL, 'plateau velcros', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 25.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 19.64000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.00000000, 250.00000000, 50.00000000, 300.00000000),
(6313, 1034, NULL, 1223624, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(6314, 1035, NULL, NULL, NULL, 'Maintenance L45RS :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6315, 1035, NULL, 1231581, NULL, 'kit adaptable ck2140-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.81000000, NULL, 156.81000000, 31.36000000, 0.00000000, 0.00000000, 188.17000000, 0, NULL, NULL, 0, 73.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.81000000, 156.81000000, 31.36000000, 188.17000000),
(6316, 1035, NULL, 1231582, NULL, 'separateur ck4140-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 119.67000000, NULL, 119.67000000, 23.93000000, 0.00000000, 0.00000000, 143.60000000, 0, NULL, NULL, 0, 55.71000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 119.67000000, 119.67000000, 23.93000000, 143.60000000),
(6317, 1035, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.61000000, NULL, 109.61000000, 21.92000000, 0.00000000, 0.00000000, 131.53000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.61000000, 109.61000000, 21.92000000, 131.53000000),
(6318, 1035, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 407.88000000, NULL, 407.88000000, 81.58000000, 0.00000000, 0.00000000, 489.46000000, 0, NULL, NULL, 0, 306.67000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.88000000, 407.88000000, 81.58000000, 489.46000000),
(6319, 1035, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6320, 1035, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6321, 1035, NULL, NULL, NULL, 'Maintenance separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6322, 1035, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 197.66000000, NULL, 197.66000000, 39.53000000, 0.00000000, 0.00000000, 237.19000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 197.66000000, 197.66000000, 39.53000000, 237.19000000),
(6323, 1035, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6324, 1036, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(6325, 1036, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6326, 1036, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(6327, 1037, NULL, NULL, NULL, 'Maintenance filtre reseau :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6328, 1037, NULL, 954012, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 83.38000000, NULL, 83.38000000, 16.68000000, 0.00000000, 0.00000000, 100.06000000, 0, NULL, NULL, 0, 40.48000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 83.38000000, 83.38000000, 16.68000000, 100.06000000),
(6329, 1037, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6330, 1037, NULL, NULL, NULL, 'Maintenance L18RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6331, 1037, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(6332, 1037, NULL, 1179649, NULL, 'SEPARATOR KIT D             L15RS -L22RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 461.80000000, NULL, 461.80000000, 92.36000000, 0.00000000, 0.00000000, 554.16000000, 0, NULL, NULL, 0, 284.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 461.80000000, 461.80000000, 92.36000000, 554.16000000),
(6333, 1037, NULL, 1179720, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 265.70000000, NULL, 265.70000000, 53.14000000, 0.00000000, 0.00000000, 318.84000000, 0, NULL, NULL, 0, 159.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 265.70000000, 265.70000000, 53.14000000, 318.84000000),
(6334, 1037, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(6335, 1037, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(6336, 1037, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6337, 1037, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6338, 1037, NULL, NULL, NULL, 'Maintenance separateur de condensats', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6339, 1037, NULL, 955222, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.73000000, NULL, 78.73000000, 15.75000000, 0.00000000, 0.00000000, 94.48000000, 0, NULL, NULL, 0, 38.23000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.73000000, 78.73000000, 15.75000000, 94.48000000),
(6340, 1037, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6341, 1038, NULL, 1222124, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 95.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(6342, 1038, NULL, 1222125, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 95.15000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(6343, 1038, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6344, 1038, NULL, 1230990, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 407.10000000, NULL, 407.10000000, 81.42000000, 0.00000000, 0.00000000, 488.52000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.10000000, 407.10000000, 81.42000000, 488.52000000),
(6345, 1038, NULL, 1230993, NULL, 'SEPARATOR KIT DS  L30 RS-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 642.00000000, NULL, 642.00000000, 128.40000000, 0.00000000, 0.00000000, 770.40000000, 0, NULL, NULL, 0, 385.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 642.00000000, 642.00000000, 128.40000000, 770.40000000),
(6346, 1038, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(6347, 1038, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(6348, 1039, NULL, NULL, NULL, 'BL N°32 du 08/03/2019', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6349, 1039, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 63.84000000, NULL, 383.04000000, 76.61000000, 0.00000000, 0.00000000, 459.65000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 383.04000000, 76.61000000, 459.65000000),
(6350, 1039, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 156, 100, 0, NULL, 0.97000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 0.00000000, 0.00000000, 0.00000000),
(6351, 1039, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6352, 1039, NULL, NULL, NULL, 'BL N°33 du 11/03/2019', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6353, 1039, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 63.84000000, NULL, 510.72000000, 102.14000000, 0.00000000, 0.00000000, 612.86000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 510.72000000, 102.14000000, 612.86000000),
(6354, 1039, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 156, 0, 0, NULL, 0.97000000, NULL, 151.32000000, 30.26000000, 0.00000000, 0.00000000, 181.58000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 151.32000000, 30.26000000, 181.58000000),
(6355, 1039, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6356, 1039, NULL, NULL, NULL, 'BL N°35 du 15/03/2019', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6357, 1039, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 63.84000000, NULL, 383.04000000, 76.61000000, 0.00000000, 0.00000000, 459.65000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 383.04000000, 76.61000000, 459.65000000),
(6358, 1039, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(6359, 1039, NULL, NULL, NULL, 'contacteur', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 56.00000000, NULL, 112.00000000, 22.40000000, 0.00000000, 0.00000000, 134.40000000, 0, NULL, NULL, 0, 33.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.00000000, 112.00000000, 22.40000000, 134.40000000),
(6360, 1039, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 156, 0, 0, NULL, 0.97000000, NULL, 151.32000000, 30.26000000, 0.00000000, 0.00000000, 181.58000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 151.32000000, 30.26000000, 181.58000000),
(6361, 1039, NULL, 1190568, NULL, 'bouton d\'arret d\'urgence', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.92000000, NULL, 65.92000000, 13.18000000, 0.00000000, 0.00000000, 79.10000000, 0, NULL, NULL, 0, 32.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.92000000, 65.92000000, 13.18000000, 79.10000000),
(6362, 1039, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6363, 1040, NULL, NULL, NULL, 'Le 15/02/2019', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6364, 1040, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(6365, 1040, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(6366, 1040, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6367, 1040, NULL, NULL, NULL, 'le 18/02/2019', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6368, 1040, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(6369, 1040, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(6370, 1040, NULL, NULL, NULL, 'ZBE101 - CONTACT', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 8.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 4.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.00000000, 40.00000000, 8.00000000, 48.00000000),
(6371, 1040, NULL, NULL, NULL, 'ZBE102- CONTACT', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 8.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 4.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.00000000, 40.00000000, 8.00000000, 48.00000000),
(6372, 1040, NULL, NULL, NULL, 'LADT2 - TEMPO', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.45000000, NULL, 86.45000000, 17.29000000, 0.00000000, 0.00000000, 103.74000000, 0, NULL, NULL, 0, 65.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.45000000, 86.45000000, 17.29000000, 103.74000000),
(6373, 1040, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6374, 1040, NULL, NULL, NULL, 'Le 19/02 1 intervention le matin 1 intervention l\'apres midi', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6375, 1040, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 100, 0, 0, NULL, 0.97000000, NULL, 97.00000000, 19.40000000, 0.00000000, 0.00000000, 116.40000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 97.00000000, 19.40000000, 116.40000000),
(6376, 1040, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(6377, 1040, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6378, 1041, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6379, 1041, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(6380, 1041, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 0, NULL, NULL, 0, 215.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(6381, 1041, NULL, 953421, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.28000000, NULL, 61.28000000, 12.26000000, 0.00000000, 0.00000000, 73.54000000, 0, NULL, NULL, 0, 29.75000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.28000000, 61.28000000, 12.26000000, 73.54000000),
(6382, 1041, NULL, 953512, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.28000000, NULL, 61.28000000, 12.26000000, 0.00000000, 0.00000000, 73.54000000, 0, NULL, NULL, 0, 29.75000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.28000000, 61.28000000, 12.26000000, 73.54000000),
(6383, 1041, NULL, 1179654, NULL, 'MINOR KIT D  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 590.00000000, NULL, 590.00000000, 118.00000000, 0.00000000, 0.00000000, 708.00000000, 1, NULL, NULL, 0, 214.47000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 590.00000000, 590.00000000, 118.00000000, 708.00000000),
(6384, 1041, NULL, 1179727, NULL, 'SERVICE PACKAGE  E   L30-L50+L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 772.00000000, NULL, 772.00000000, 154.40000000, 0.00000000, 0.00000000, 926.40000000, 1, NULL, NULL, 0, 288.21000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 772.00000000, 772.00000000, 154.40000000, 926.40000000),
(6385, 1041, NULL, 1223606, NULL, 'weekend', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.00000000, NULL, 500.00000000, 100.00000000, 0.00000000, 0.00000000, 600.00000000, 0, NULL, NULL, 0, 375.93000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.00000000, 500.00000000, 100.00000000, 600.00000000),
(6386, 1042, NULL, 1080059, NULL, 'Tube \"sanitaire\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 50, 5, 0, NULL, 9.45000000, NULL, 448.88000000, 89.77000000, 0.00000000, 0.00000000, 538.65000000, 0, NULL, NULL, 0, 6.66000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.45000000, 448.88000000, 89.77000000, 538.65000000),
(6387, 1042, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 15, 5, 0, NULL, 4.28000000, NULL, 60.99000000, 12.20000000, 0.00000000, 0.00000000, 73.19000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.28000000, 60.99000000, 12.20000000, 73.19000000),
(6388, 1042, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 10, 5, 0, NULL, 6.77000000, NULL, 64.32000000, 12.86000000, 0.00000000, 0.00000000, 77.18000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 64.32000000, 12.86000000, 77.18000000),
(6389, 1042, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 5, 5, 0, NULL, 7.72000000, NULL, 36.67000000, 7.33000000, 0.00000000, 0.00000000, 44.00000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.72000000, 36.67000000, 7.33000000, 44.00000000),
(6390, 1042, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 15, 5, 0, NULL, 1.14000000, NULL, 16.25000000, 3.24000000, 0.00000000, 0.00000000, 19.49000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 16.25000000, 3.24000000, 19.49000000),
(6391, 1042, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 5, 0, NULL, 21.38000000, NULL, 81.24000000, 16.25000000, 0.00000000, 0.00000000, 97.49000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.38000000, 81.24000000, 16.25000000, 97.49000000),
(6392, 1042, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 4, 5, 0, NULL, 5.39000000, NULL, 20.48000000, 4.10000000, 0.00000000, 0.00000000, 24.58000000, 0, NULL, NULL, 0, 3.11000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.39000000, 20.48000000, 4.10000000, 24.58000000),
(6393, 1042, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 5, 0, NULL, 1188.23000000, NULL, 1128.82000000, 225.76000000, 0.00000000, 0.00000000, 1354.58000000, 0, NULL, NULL, 0, 920.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1188.23000000, 1128.82000000, 225.76000000, 1354.58000000),
(6394, 1043, NULL, NULL, '1 maintenance COMPAIR L18RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6395, 1043, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 97.69000000, NULL, 97.69000000, 19.54000000, 0.00000000, 0.00000000, 117.23000000, 0, NULL, NULL, 0, 70.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 97.69000000, 97.69000000, 19.54000000, 117.23000000),
(6396, 1043, NULL, 1222598, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 11.14000000, NULL, 33.42000000, 6.68000000, 0.00000000, 0.00000000, 40.10000000, 0, NULL, NULL, 0, 8.48000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.14000000, 33.42000000, 6.68000000, 40.10000000),
(6397, 1043, NULL, 1190364, NULL, 'Maintenance compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 278.52000000, NULL, 278.52000000, 55.70000000, 0.00000000, 0.00000000, 334.22000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 278.52000000, 278.52000000, 55.70000000, 334.22000000),
(6398, 1043, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 347.93000000, NULL, 347.93000000, 69.59000000, 0.00000000, 0.00000000, 417.52000000, 0, NULL, NULL, 0, 210.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 347.93000000, 347.93000000, 69.59000000, 417.52000000),
(6399, 1043, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.82000000, NULL, 61.82000000, 12.36000000, 0.00000000, 0.00000000, 74.18000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.82000000, 61.82000000, 12.36000000, 74.18000000),
(6401, 1043, NULL, NULL, 'Sous-total maintenance COMPAIR L18RS', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6402, 1043, NULL, NULL, '2 filtres réseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6403, 1043, NULL, 1221464, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 171.68000000, NULL, 171.68000000, 34.34000000, 0.00000000, 0.00000000, 206.02000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 171.68000000, 171.68000000, 34.34000000, 206.02000000),
(6404, 1043, NULL, 953173, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.41000000, NULL, 81.41000000, 16.28000000, 0.00000000, 0.00000000, 97.69000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.41000000, 81.41000000, 16.28000000, 97.69000000),
(6405, 1043, NULL, 953170, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.41000000, NULL, 81.41000000, 16.28000000, 0.00000000, 0.00000000, 97.69000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.41000000, 81.41000000, 16.28000000, 97.69000000),
(6406, 1043, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6407, 1043, NULL, 1222181, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 108.12000000, NULL, 108.12000000, 21.62000000, 0.00000000, 0.00000000, 129.74000000, 0, NULL, NULL, 0, 209.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 108.12000000, 108.12000000, 21.62000000, 129.74000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(6408, 1044, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 36, 0, 0, NULL, 0.97000000, NULL, 34.92000000, 6.98000000, 0.00000000, 0.00000000, 41.90000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 34.92000000, 6.98000000, 41.90000000),
(6409, 1044, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(6410, 1045, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6411, 1045, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(6412, 1045, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(6413, 1045, NULL, 1221752, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.60000000, NULL, 22.60000000, 4.52000000, 0.00000000, 0.00000000, 27.12000000, 0, NULL, NULL, 0, 11.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.60000000, 22.60000000, 4.52000000, 27.12000000),
(6414, 1045, NULL, 1221738, NULL, 'SEPARATEUR AIR/HUILE 6221372450', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.36000000, NULL, 79.36000000, 15.87000000, 0.00000000, 0.00000000, 95.23000000, 0, NULL, NULL, 0, 39.68000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.36000000, 79.36000000, 15.87000000, 95.23000000),
(6415, 1045, NULL, 1221770, NULL, 'filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.28000000, NULL, 14.28000000, 2.86000000, 0.00000000, 0.00000000, 17.14000000, 0, NULL, NULL, 0, 7.14000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.28000000, 14.28000000, 2.86000000, 17.14000000),
(6416, 1046, NULL, 1305822, NULL, 'Broche Pneumatique ES 350 ER', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 757.51000000, NULL, 757.51000000, 151.50000000, 0.00000000, 0.00000000, 909.01000000, 0, NULL, NULL, 0, 582.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 757.51000000, 757.51000000, 151.50000000, 909.01000000),
(6417, 1047, NULL, 1305856, NULL, '95m3/h avec caisson', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4372.62000000, NULL, 4372.62000000, 874.52000000, 0.00000000, 0.00000000, 5247.14000000, 0, NULL, NULL, 0, 3708.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4372.62000000, 4372.62000000, 874.52000000, 5247.14000000),
(6418, 1047, NULL, 1189386, NULL, 'module redemarrage auto apres coupure rennerogic', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.67000000, NULL, 73.67000000, 14.73000000, 0.00000000, 0.00000000, 88.40000000, 0, NULL, NULL, 0, 29.90000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.67000000, 73.67000000, 14.73000000, 88.40000000),
(6419, 1047, NULL, 1223700, NULL, 'Fourniture Plomberie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.55000000, NULL, 113.55000000, 22.71000000, 0.00000000, 0.00000000, 136.26000000, 0, NULL, NULL, 0, 60.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.55000000, 113.55000000, 22.71000000, 136.26000000),
(6420, 1047, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 690.69000000, NULL, 690.69000000, 138.14000000, 0.00000000, 0.00000000, 828.83000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 690.69000000, 690.69000000, 138.14000000, 828.83000000),
(6421, 1047, NULL, NULL, '1   Option', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6422, 1047, NULL, 1305848, NULL, 'Natte Filtrante Renner', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 74.74000000, NULL, 149.48000000, 29.90000000, 0.00000000, 0.00000000, 179.38000000, 0, NULL, NULL, 0, 58.56000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 74.74000000, 149.48000000, 29.90000000, 179.38000000),
(6423, 1048, NULL, 1305861, NULL, 'secheur par refrigeration 125m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1204.02000000, NULL, 1204.02000000, 240.80000000, 0.00000000, 0.00000000, 1444.82000000, 0, NULL, NULL, 0, 674.40000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1204.02000000, 1204.02000000, 240.80000000, 1444.82000000),
(6424, 1048, NULL, 1305862, NULL, 'pre filtre 0.1 micron', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 300.00000000, NULL, 300.00000000, 60.00000000, 0.00000000, 0.00000000, 360.00000000, 0, NULL, NULL, 0, 144.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 300.00000000, 300.00000000, 60.00000000, 360.00000000),
(6425, 1048, NULL, NULL, NULL, 'reprise du secheur MPF81', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, 44, -200.00000000, NULL, -200.00000000, -40.00000000, 0.00000000, 0.00000000, -240.00000000, 0, NULL, NULL, 2, 0.00000000, NULL, 0, 0, -1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, '', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6426, 1049, NULL, 1221761, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.81000000, NULL, 16.81000000, 3.36000000, 0.00000000, 0.00000000, 20.17000000, 0, NULL, NULL, 0, 8.16000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.81000000, 16.81000000, 3.36000000, 20.17000000),
(6427, 1050, NULL, NULL, '1 Maintenance L07RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6428, 1050, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 317.93000000, NULL, 317.93000000, 63.59000000, 0.00000000, 0.00000000, 381.52000000, 0, NULL, NULL, 0, 239.04000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 317.93000000, 317.93000000, 63.59000000, 381.52000000),
(6429, 1050, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(6430, 1050, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 1, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(6431, 1050, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.00000000, NULL, 77.00000000, 15.40000000, 0.00000000, 0.00000000, 92.40000000, 1, NULL, NULL, 0, 47.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.00000000, 77.00000000, 15.40000000, 92.40000000),
(6432, 1050, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6433, 1050, NULL, NULL, NULL, 'maintenance L18RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6434, 1050, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 317.93000000, NULL, 317.93000000, 63.59000000, 0.00000000, 0.00000000, 381.52000000, 0, NULL, NULL, 0, 239.04000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 317.93000000, 317.93000000, 63.59000000, 381.52000000),
(6435, 1050, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(6436, 1050, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(6437, 1050, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6438, 1051, NULL, NULL, '1 Maintenance L07RS  EN FULL SERVICE', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6439, 1051, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 100, 0, NULL, 16.25000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 0.00000000, 0.00000000, 0.00000000),
(6440, 1051, NULL, 1179622, NULL, 'MINOR KIT C L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 114.40000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 0.00000000, 0.00000000, 0.00000000),
(6441, 1051, NULL, 1189212, NULL, 'Huile compresseur &agrave; vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 73.10000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 0.00000000, 0.00000000, 0.00000000),
(6442, 1051, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 284.89000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 0.00000000, 0.00000000, 0.00000000),
(6443, 1051, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 4.50000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 0.00000000, 0.00000000, 0.00000000),
(6444, 1051, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6445, 1051, NULL, NULL, '2 Maintenance Rollair', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6446, 1051, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6447, 1051, NULL, 954116, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.62000000, NULL, 23.62000000, 4.72000000, 0.00000000, 0.00000000, 28.34000000, 0, NULL, NULL, 0, 11.47000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.62000000, 23.62000000, 4.72000000, 28.34000000),
(6448, 1051, NULL, 952382, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 38.89000000, NULL, 38.89000000, 7.78000000, 0.00000000, 0.00000000, 46.67000000, 0, NULL, NULL, 0, 18.88000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.89000000, 38.89000000, 7.78000000, 46.67000000),
(6449, 1051, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(6450, 1051, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.58000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(6451, 1051, NULL, 955070, NULL, 'KIT SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.85000000, NULL, 109.85000000, 21.97000000, 0.00000000, 0.00000000, 131.82000000, 0, NULL, NULL, 0, 53.33000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.85000000, 109.85000000, 21.97000000, 131.82000000),
(6452, 1051, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6453, 1051, NULL, NULL, '3 Maintenance separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6454, 1051, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(6455, 1051, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6456, 1051, NULL, NULL, '4 Maintenance filtres réseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6457, 1051, NULL, 952657, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(6458, 1051, NULL, 952656, NULL, 'cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(6459, 1051, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6460, 1052, NULL, 1305876, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 7.73000000, NULL, 77.30000000, 15.46000000, 0.00000000, 0.00000000, 92.76000000, 0, NULL, NULL, 0, 5.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.73000000, 77.30000000, 15.46000000, 92.76000000),
(6461, 1053, NULL, NULL, '1 compresseur L04', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6462, 1053, NULL, 1190374, NULL, 'Forfait intervention ZONE A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 221.10000000, NULL, 221.10000000, 44.22000000, 0.00000000, 0.00000000, 265.32000000, 0, NULL, NULL, 0, 199.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 221.10000000, 221.10000000, 44.22000000, 265.32000000),
(6463, 1053, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(6464, 1053, NULL, 1223611, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.48000000, NULL, 17.48000000, 3.50000000, 0.00000000, 0.00000000, 20.98000000, 0, NULL, NULL, 0, 8.74000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.48000000, 17.48000000, 3.50000000, 20.98000000),
(6465, 1053, NULL, 1230694, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 3.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(6466, 1053, NULL, 1223837, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.64000000, NULL, 27.64000000, 5.53000000, 0.00000000, 0.00000000, 33.17000000, 0, NULL, NULL, 0, 13.82000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.64000000, 27.64000000, 5.53000000, 33.17000000),
(6467, 1053, NULL, 955044, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.39000000, NULL, 86.39000000, 17.28000000, 0.00000000, 0.00000000, 103.67000000, 0, NULL, NULL, 0, 41.94000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.39000000, 86.39000000, 17.28000000, 103.67000000),
(6468, 1053, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(6469, 1053, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6470, 1053, NULL, NULL, '2 Filtres reseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6471, 1053, NULL, 952662, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(6472, 1053, NULL, 952661, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(6473, 1053, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6474, 1054, NULL, 1223585, 'Loyer de mensualité contrat LDD', 'Loyer de mensualité contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(6475, 1055, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 226.79000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(6476, 1056, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(6477, 1057, NULL, NULL, '1 Maintenance compresseur L11RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6478, 1057, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 1, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(6479, 1057, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6480, 1057, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.88000000, NULL, 284.88000000, 56.98000000, 0.00000000, 0.00000000, 341.86000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.88000000, 284.88000000, 56.98000000, 341.86000000),
(6481, 1057, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6482, 1057, NULL, NULL, '2 Maintenance separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6483, 1057, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(6484, 1057, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6485, 1058, NULL, NULL, NULL, '<p>transformateur d&#39;occasion</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6486, 1058, NULL, 1176600, NULL, 'TRANSFORMER 210-240V/230V,24V', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 125.00000000, NULL, 125.00000000, 25.00000000, 0.00000000, 0.00000000, 150.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 125.00000000, 125.00000000, 25.00000000, 150.00000000),
(6487, 1058, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 126.00000000, NULL, 126.00000000, 25.20000000, 0.00000000, 0.00000000, 151.20000000, 0, NULL, NULL, 0, 160.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 126.00000000, 126.00000000, 25.20000000, 151.20000000),
(6488, 1059, NULL, 1298139, NULL, 'peinture &eacute;poxy &eacute;quip&eacute; de <span style=\"color:#3333ff\"><u><strong>15 m&egrave;tres</strong></u> de tuyau EPDM antistatique couleur noire avec bandes bleues AIR/EAU/ PRODUITS LESSIVIELS&nbsp;&nbsp; <u><strong>&Oslash;16x24- 20 Bar Maxi -T&deg;C maxi : -30&deg;C &agrave; +95&deg;C</strong></u> </span>(avec pointe jusqu&#39;&agrave; 120&deg;C) - Raccordements INOX AISI 316 : Entr&eacute;e: Femelle G 1/2&#39; -Sortie tuyau: M&acirc;le G 1/2&quot;- Raccord tournant INOX AISI304 avec joints viton- Support fixe + flexible d&#39;alimentation de 1 m&egrave;tre -D&eacute;bit AIR = 1100 L/MN -D&eacute;bit EAU = 72 L/MN -Norme ATEX 94/9: EX IIB 2 GD c T4 T135&deg;C X', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 772.20000000, NULL, 1544.40000000, 308.88000000, 0.00000000, 0.00000000, 1853.28000000, 0, NULL, NULL, 0, 594.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 772.20000000, 1544.40000000, 308.88000000, 1853.28000000),
(6489, 1059, NULL, 968645, NULL, 'support pivotant pour enrouleur E530', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 42.43000000, NULL, 84.86000000, 16.97000000, 0.00000000, 0.00000000, 101.83000000, 0, NULL, NULL, 0, 28.83000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.43000000, 84.86000000, 16.97000000, 101.83000000),
(6490, 1060, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(6491, 1060, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 63.84000000, NULL, 383.04000000, 76.61000000, 0.00000000, 0.00000000, 459.65000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 383.04000000, 76.61000000, 459.65000000),
(6492, 1060, NULL, 1305880, NULL, 'arret d\'urgence', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.00000000, NULL, 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(6493, 1060, NULL, 1156024, NULL, 'BOITE A BOUTON FONCTION ARRET URGENCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.30000000, NULL, 73.30000000, 14.66000000, 0.00000000, 0.00000000, 87.96000000, 0, NULL, NULL, 0, 35.58000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.30000000, 73.30000000, 14.66000000, 87.96000000),
(6494, 1060, NULL, 1305882, NULL, 'démarreur ralentisseur 32Amp 425V', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 390.00000000, NULL, 390.00000000, 78.00000000, 0.00000000, 0.00000000, 468.00000000, 0, NULL, NULL, 0, 317.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 390.00000000, 390.00000000, 78.00000000, 468.00000000),
(6495, 1061, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(6496, 1061, NULL, 951747, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.27000000, NULL, 82.27000000, 16.45000000, 0.00000000, 0.00000000, 98.72000000, 0, NULL, NULL, 0, 39.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.27000000, 82.27000000, 16.45000000, 98.72000000),
(6497, 1061, NULL, 954604, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 435.54000000, NULL, 391.99000000, 78.39000000, 0.00000000, 0.00000000, 470.38000000, 0, NULL, NULL, 0, 211.43000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 435.54000000, 391.99000000, 78.39000000, 470.38000000),
(6498, 1061, NULL, 955221, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 281.89000000, NULL, 563.78000000, 112.76000000, 0.00000000, 0.00000000, 676.54000000, 0, NULL, NULL, 0, 136.84000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 281.89000000, 563.78000000, 112.76000000, 676.54000000),
(6499, 1062, NULL, NULL, '1 hv02', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6500, 1062, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -175.35000000, NULL, -175.35000000, -35.07000000, 0.00000000, 0.00000000, -210.42000000, 0, NULL, NULL, 0, -214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -175.35000000, -175.35000000, -35.07000000, -210.42000000),
(6503, 1062, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6516, 1063, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(6517, 1063, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 993.20000000, NULL, 993.20000000, 198.64000000, 0.00000000, 0.00000000, 1191.84000000, 0, NULL, NULL, 0, 595.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 993.20000000, 993.20000000, 198.64000000, 1191.84000000),
(6518, 1063, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 432.56000000, NULL, 432.56000000, 86.51000000, 0.00000000, 0.00000000, 519.07000000, 0, NULL, NULL, 0, 325.23000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 432.56000000, 432.56000000, 86.51000000, 519.07000000),
(6519, 1063, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 291.60000000, NULL, 291.60000000, 58.32000000, 0.00000000, 0.00000000, 349.92000000, 1, NULL, NULL, 0, 174.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 291.60000000, 291.60000000, 58.32000000, 349.92000000),
(6520, 1064, NULL, NULL, NULL, 'contacteur D09 + relais thermique 1.6/2.5A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 136.50000000, NULL, 136.50000000, 27.30000000, 0.00000000, 0.00000000, 163.80000000, 0, NULL, NULL, 0, 105.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 136.50000000, 136.50000000, 27.30000000, 163.80000000),
(6521, 1064, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(6522, 1064, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(6523, 1065, NULL, 1218017, NULL, 'SOUPAPE 2800/D14 3/4\" 9.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 56.40000000, NULL, 56.40000000, 11.28000000, 0.00000000, 0.00000000, 67.68000000, 0, NULL, NULL, 0, 27.38000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.40000000, 56.40000000, 11.28000000, 67.68000000),
(6524, 1065, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.30000000, NULL, 10.30000000, 2.06000000, 0.00000000, 0.00000000, 12.36000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 10.30000000, 2.06000000, 12.36000000),
(6525, 1066, NULL, 1061337, NULL, 'REPART.TETRA.125A   6MOD.', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.31000000, NULL, 81.31000000, 16.26000000, 0.00000000, 0.00000000, 97.57000000, 0, NULL, NULL, 0, 39.47000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.31000000, 81.31000000, 16.26000000, 97.57000000),
(6526, 1066, NULL, 1305874, NULL, 'disjoncteur iC60N - 4P - 20A - Courbe C - PdC 10 kA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.00000000, NULL, 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 74.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.00000000, 96.00000000, 19.20000000, 115.20000000),
(6527, 1066, NULL, 1305875, NULL, 'Vigi iC60 - bloc différentiel pour disjoncteur iC60 - 4P - 25A - instantané - type AC - sensibilité 30mA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 190.00000000, NULL, 190.00000000, 38.00000000, 0.00000000, 0.00000000, 228.00000000, 0, NULL, NULL, 0, 149.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 190.00000000, 190.00000000, 38.00000000, 228.00000000),
(6528, 1066, NULL, 1190557, NULL, 'u1000ro2v cu 5 g 2.5 mm', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 4.47000000, NULL, 134.10000000, 26.82000000, 0.00000000, 0.00000000, 160.92000000, 0, NULL, NULL, 0, 2.17000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.47000000, 134.10000000, 26.82000000, 160.92000000),
(6529, 1066, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 350.00000000, NULL, 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(6530, 1066, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 520.00000000, NULL, 520.00000000, 104.00000000, 0.00000000, 0.00000000, 624.00000000, 0, NULL, NULL, 0, 400.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 520.00000000, 520.00000000, 104.00000000, 624.00000000),
(6531, 1066, NULL, 1071211, NULL, 'PRISE 3P+N+T 20A PLEXO 55', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 58.00000000, NULL, 116.00000000, 23.20000000, 0.00000000, 0.00000000, 139.20000000, 0, NULL, NULL, 0, 45.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 58.00000000, 116.00000000, 23.20000000, 139.20000000),
(6532, 1066, NULL, 1297928, NULL, 'IRL 3321 Diam 20 Longueur 3m Tulipé Gris', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 0.89000000, NULL, 26.70000000, 5.34000000, 0.00000000, 0.00000000, 32.04000000, 0, NULL, NULL, 0, 0.68000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.89000000, 26.70000000, 5.34000000, 32.04000000),
(6533, 1066, NULL, 1190483, NULL, 'colliers pour tube iro', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.49000000, NULL, 24.50000000, 4.90000000, 0.00000000, 0.00000000, 29.40000000, 0, NULL, NULL, 0, 0.24000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.49000000, 24.50000000, 4.90000000, 29.40000000),
(6534, 1066, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.00000000, NULL, 35.00000000, 7.00000000, 0.00000000, 0.00000000, 42.00000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.00000000, 35.00000000, 7.00000000, 42.00000000),
(6535, 1066, NULL, NULL, NULL, '+value pas prévu sur scie et apsiration', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6536, 1066, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6537, 1066, NULL, NULL, NULL, 'Offre de prix', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6538, 1066, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6539, 1066, NULL, 1190501, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 7.93000000, NULL, 79.30000000, 15.86000000, 0.00000000, 0.00000000, 95.16000000, 0, NULL, NULL, 0, 3.85000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.93000000, 79.30000000, 15.86000000, 95.16000000),
(6540, 1066, NULL, 1223580, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 94.30000000, NULL, 94.30000000, 18.86000000, 0.00000000, 0.00000000, 113.16000000, 0, NULL, NULL, 0, 69.85000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 94.30000000, 94.30000000, 18.86000000, 113.16000000),
(6541, 1067, NULL, NULL, NULL, 'Acompte (6 000,00 €) - CO1904-0916', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6000.00000000, NULL, 6000.00000000, 0.00000000, 0.00000000, 0.00000000, 6000.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6000.00000000, 6000.00000000, 0.00000000, 6000.00000000),
(6542, 1068, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 64, 0, 0, NULL, 0.97000000, NULL, 62.08000000, 12.42000000, 0.00000000, 0.00000000, 74.50000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 62.08000000, 12.42000000, 74.50000000),
(6543, 1068, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(6544, 1068, NULL, 1176579, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.00000000, NULL, 214.00000000, 42.80000000, 0.00000000, 0.00000000, 256.80000000, 0, NULL, NULL, 0, 128.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.00000000, 214.00000000, 42.80000000, 256.80000000),
(6545, 1069, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 538.00000000, NULL, 538.00000000, 107.60000000, 0.00000000, 0.00000000, 645.60000000, 0, NULL, NULL, 0, 379.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 538.00000000, 538.00000000, 107.60000000, 645.60000000),
(6546, 1069, NULL, NULL, NULL, '<p>MO et Depl prix special&nbsp;si en meme temps que modification local&nbsp; devis N&deg;PR1903-0987</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6547, 1069, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(6550, 1070, NULL, NULL, NULL, '<p>Rotation de 90&deg; antihoraire du compresseur, modification du conduit evacuation air chaud, modification du flexible refoulement compresseur, deplacement du reservoir 500 litres.</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6551, 1070, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 325.00000000, NULL, 325.00000000, 65.00000000, 0.00000000, 0.00000000, 390.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 325.00000000, 325.00000000, 65.00000000, 390.00000000),
(6552, 1070, NULL, 969791, NULL, 'Tube rigide Ø40mm ? barre de 4m', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 15.69000000, NULL, 62.76000000, 12.55000000, 0.00000000, 0.00000000, 75.31000000, 0, NULL, NULL, 0, 9.41400000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.69000000, 62.76000000, 12.55000000, 75.31000000),
(6553, 1070, NULL, 969799, NULL, 'Manchon égal Ø40mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.30000000, NULL, 5.30000000, 1.06000000, 0.00000000, 0.00000000, 6.36000000, 0, NULL, NULL, 0, 3.18000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.30000000, 5.30000000, 1.06000000, 6.36000000),
(6554, 1070, NULL, 970014, NULL, 'Collier coulissant fermeture automatique Ø40 insert M8', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.92000000, NULL, 7.84000000, 1.57000000, 0.00000000, 0.00000000, 9.41000000, 0, NULL, NULL, 0, 2.35200000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.92000000, 7.84000000, 1.57000000, 9.41000000),
(6555, 1070, NULL, 969882, NULL, 'Manchon taraudé Ø40mm G1\'\'1/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 29.36000000, NULL, 58.72000000, 11.74000000, 0.00000000, 0.00000000, 70.46000000, 0, NULL, NULL, 0, 17.61600000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.36000000, 58.72000000, 11.74000000, 70.46000000),
(6556, 1070, NULL, 944469, NULL, 'flexible', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 139.13000000, NULL, 139.13000000, 27.83000000, 0.00000000, 0.00000000, 166.96000000, 0, NULL, NULL, 0, 67.54000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 139.13000000, 139.13000000, 27.83000000, 166.96000000),
(6557, 1071, NULL, NULL, NULL, 'VALORISATION d&#39;un volume CEE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -7035.00000000, NULL, -7035.00000000, -1407.00000000, 0.00000000, 0.00000000, -8442.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -7035.00000000, -7035.00000000, -1407.00000000, -8442.00000000),
(6558, 1072, NULL, NULL, NULL, 'VALORISATION d&#39;un volume CEE', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7035.00000000, NULL, 7035.00000000, 0.00000000, 0.00000000, 0.00000000, 7035.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7035.00000000, 7035.00000000, 0.00000000, 7035.00000000),
(6559, 1073, NULL, 1222625, NULL, 'autoreel pro devidoir auto multi usage lg 20m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 225.00000000, NULL, 225.00000000, 45.00000000, 0.00000000, 0.00000000, 270.00000000, 0, NULL, NULL, 0, 164.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 225.00000000, 225.00000000, 45.00000000, 270.00000000),
(6560, 1074, NULL, NULL, NULL, 'Acompte (3 600,00 €) - CO1904-0924', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3600.00000000, NULL, 3600.00000000, 0.00000000, 0.00000000, 0.00000000, 3600.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3600.00000000, 3600.00000000, 0.00000000, 3600.00000000),
(6563, 1075, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, -63.84000000, NULL, -319.20000000, -63.84000000, 0.00000000, 0.00000000, -383.04000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -63.84000000, -319.20000000, -63.84000000, -383.04000000),
(6570, 1076, NULL, NULL, '1 Maintenance du Compresseur L18', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6571, 1076, NULL, 955041, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(6572, 1076, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(6573, 1076, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(6574, 1076, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(6575, 1076, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(6576, 1077, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(6577, 1077, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(6578, 1077, NULL, 955041, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(6579, 1077, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(6580, 1077, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(6581, 1077, NULL, 1222594, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 7.98000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(6582, 1078, NULL, NULL, NULL, 'Acompte (3 300,00 &euro;) - CO1812-0779', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3300.00000000, NULL, 3300.00000000, 660.00000000, 0.00000000, 0.00000000, 3960.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3300.00000000, 3300.00000000, 660.00000000, 3960.00000000),
(6583, 1079, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6584, 1079, NULL, 1222181, NULL, 'Huile anderol ANDEROL FGXL 46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 464.32000000, NULL, 464.32000000, 92.86000000, 0.00000000, 0.00000000, 557.18000000, 0, NULL, NULL, 0, 225.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 464.32000000, 464.32000000, 92.86000000, 557.18000000),
(6585, 1079, NULL, 1230990, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 407.10000000, NULL, 407.10000000, 81.42000000, 0.00000000, 0.00000000, 488.52000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.10000000, 407.10000000, 81.42000000, 488.52000000),
(6586, 1079, NULL, 953186, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 191.25000000, NULL, 191.25000000, 38.25000000, 0.00000000, 0.00000000, 229.50000000, 0, NULL, NULL, 0, 92.84000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 191.25000000, 191.25000000, 38.25000000, 229.50000000),
(6587, 1079, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(6588, 1079, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(6589, 1079, NULL, 1230993, NULL, 'SEPARATOR KIT DS  L30 RS-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 642.00000000, NULL, 642.00000000, 128.40000000, 0.00000000, 0.00000000, 770.40000000, 0, NULL, NULL, 0, 385.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 642.00000000, 642.00000000, 128.40000000, 770.40000000),
(6590, 1079, NULL, 1179727, NULL, 'SERVICE PACKAGE  E   L30-L50+L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 772.00000000, NULL, 772.00000000, 154.40000000, 0.00000000, 0.00000000, 926.40000000, 1, NULL, NULL, 0, 288.21000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 772.00000000, 772.00000000, 154.40000000, 926.40000000),
(6591, 1080, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(6592, 1080, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(6593, 1081, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 600.00000000, NULL, 600.00000000, 120.00000000, 0.00000000, 0.00000000, 720.00000000, 0, NULL, NULL, 0, 350.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 600.00000000, 600.00000000, 120.00000000, 720.00000000),
(6594, 1081, NULL, 1220932, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4430.00000000, NULL, 4430.00000000, 886.00000000, 0.00000000, 0.00000000, 5316.00000000, 0, NULL, NULL, 0, 3242.90000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4430.00000000, 4430.00000000, 886.00000000, 5316.00000000),
(6595, 1081, NULL, 1305863, NULL, 'Natte Filtrante Renner', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 70.00000000, NULL, 70.00000000, 14.00000000, 0.00000000, 0.00000000, 84.00000000, 0, NULL, NULL, 0, 48.48000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 70.00000000, 70.00000000, 14.00000000, 84.00000000),
(6596, 1081, NULL, 1189386, NULL, 'module redemarrage auto apres coupure rennerogic', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 50.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 28.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.00000000, 0.00000000, 0.00000000, 0.00000000),
(6597, 1082, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 100, 0, NULL, 63.84000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 0.00000000, 0.00000000, 0.00000000),
(6598, 1082, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 160, 100, 0, NULL, 0.97000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 0.00000000, 0.00000000, 0.00000000),
(6599, 1082, NULL, 1222537, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.21000000, NULL, 36.42000000, 7.28000000, 0.00000000, 0.00000000, 43.70000000, 0, NULL, NULL, 0, 8.97000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.21000000, 36.42000000, 7.28000000, 43.70000000),
(6600, 1083, NULL, 944301, NULL, '10 bars', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8031.10000000, NULL, 8031.10000000, 1606.22000000, 0.00000000, 0.00000000, 9637.32000000, 0, NULL, NULL, 0, 4990.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8031.10000000, 8031.10000000, 1606.22000000, 9637.32000000),
(6601, 1083, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 132.49000000, NULL, 132.49000000, 26.50000000, 0.00000000, 0.00000000, 158.99000000, 0, NULL, NULL, 0, 124.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 132.49000000, 132.49000000, 26.50000000, 158.99000000),
(6602, 1083, NULL, 1223542, NULL, 'Sécheur par réfrigeration pt de rosée à +3°C mono capacité 240 m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1415.02000000, NULL, 1415.02000000, 283.00000000, 0.00000000, 0.00000000, 1698.02000000, 0, NULL, NULL, 0, 1245.03000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1415.02000000, 1415.02000000, 283.00000000, 1698.02000000),
(6603, 1083, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 548.32000000, NULL, 548.32000000, 109.66000000, 0.00000000, 0.00000000, 657.98000000, 0, NULL, NULL, 0, 389.90000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 548.32000000, 548.32000000, 109.66000000, 657.98000000),
(6604, 1083, NULL, 1219921, NULL, 'RES. AIR COMPRIME GALVA 1000L-10,67b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1873.07000000, NULL, 1873.07000000, 374.61000000, 0.00000000, 0.00000000, 2247.68000000, 0, NULL, NULL, 0, 848.71000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1873.07000000, 1873.07000000, 374.61000000, 2247.68000000),
(6606, 1084, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(6607, 1084, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(6608, 1084, NULL, 1221761, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.81000000, NULL, 16.81000000, 3.36000000, 0.00000000, 0.00000000, 20.17000000, 0, NULL, NULL, 0, 8.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.81000000, 16.81000000, 3.36000000, 20.17000000),
(6609, 1084, NULL, 1221774, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.14000000, NULL, 19.14000000, 3.83000000, 0.00000000, 0.00000000, 22.97000000, 0, NULL, NULL, 0, 9.38000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.14000000, 19.14000000, 3.83000000, 22.97000000),
(6610, 1084, NULL, 1305873, NULL, 'Filtre séparateur air/huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.40000000, NULL, 150.40000000, 30.08000000, 0.00000000, 0.00000000, 180.48000000, 0, NULL, NULL, 0, 75.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.40000000, 150.40000000, 30.08000000, 180.48000000),
(6611, 1085, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6612, 1085, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(6613, 1085, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(6614, 1086, NULL, NULL, NULL, 'partie A.C', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6615, 1086, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 25, 0, 0, NULL, 63.84000000, NULL, 1596.00000000, 319.20000000, 0.00000000, 0.00000000, 1915.20000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 1596.00000000, 319.20000000, 1915.20000000),
(6616, 1086, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 350.00000000, NULL, 700.00000000, 140.00000000, 0.00000000, 0.00000000, 840.00000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 700.00000000, 140.00000000, 840.00000000),
(6617, 1086, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.00000000, NULL, 100.00000000, 20.00000000, 0.00000000, 0.00000000, 120.00000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.00000000, 100.00000000, 20.00000000, 120.00000000),
(6618, 1086, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 9.59000000, NULL, 28.77000000, 5.75000000, 0.00000000, 0.00000000, 34.52000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.59000000, 28.77000000, 5.75000000, 34.52000000),
(6619, 1086, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 11.92000000, NULL, 35.76000000, 7.15000000, 0.00000000, 0.00000000, 42.91000000, 0, NULL, NULL, 0, 5.79000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.92000000, 35.76000000, 7.15000000, 42.91000000),
(6620, 1086, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 18.00000000, NULL, 540.00000000, 108.00000000, 0.00000000, 0.00000000, 648.00000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 540.00000000, 108.00000000, 648.00000000),
(6621, 1086, NULL, 966719, NULL, 'Raccord Y femelle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 4.84000000, NULL, 72.60000000, 14.52000000, 0.00000000, 0.00000000, 87.12000000, 0, NULL, NULL, 0, 2.35000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.84000000, 72.60000000, 14.52000000, 87.12000000),
(6622, 1086, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 6.20000000, NULL, 372.00000000, 74.40000000, 0.00000000, 0.00000000, 446.40000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 372.00000000, 74.40000000, 446.40000000),
(6623, 1086, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 4.98000000, NULL, 89.64000000, 17.93000000, 0.00000000, 0.00000000, 107.57000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 89.64000000, 17.93000000, 107.57000000),
(6624, 1086, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 9.07000000, NULL, 136.05000000, 27.21000000, 0.00000000, 0.00000000, 163.26000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.07000000, 136.05000000, 27.21000000, 163.26000000),
(6625, 1086, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 6.42000000, NULL, 96.30000000, 19.26000000, 0.00000000, 0.00000000, 115.56000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 96.30000000, 19.26000000, 115.56000000),
(6626, 1086, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 21.38000000, NULL, 128.28000000, 25.66000000, 0.00000000, 0.00000000, 153.94000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.38000000, 128.28000000, 25.66000000, 153.94000000),
(6627, 1086, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 1.12000000, NULL, 16.80000000, 3.36000000, 0.00000000, 0.00000000, 20.16000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 16.80000000, 3.36000000, 20.16000000),
(6628, 1086, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 6.77000000, NULL, 67.70000000, 13.54000000, 0.00000000, 0.00000000, 81.24000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 67.70000000, 13.54000000, 81.24000000),
(6629, 1086, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 1.14000000, NULL, 34.20000000, 6.84000000, 0.00000000, 0.00000000, 41.04000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 34.20000000, 6.84000000, 41.04000000),
(6630, 1086, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 7.72000000, NULL, 61.76000000, 12.35000000, 0.00000000, 0.00000000, 74.11000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.72000000, 61.76000000, 12.35000000, 74.11000000),
(6631, 1086, NULL, NULL, NULL, 'Partie AC', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6632, 1086, NULL, NULL, NULL, 'partie elec + neon led', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6633, 1086, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 55, 0, 0, NULL, 63.84000000, NULL, 3511.20000000, 702.24000000, 0.00000000, 0.00000000, 4213.44000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 3511.20000000, 702.24000000, 4213.44000000),
(6634, 1086, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 350.00000000, NULL, 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(6635, 1086, NULL, 1222633, NULL, 'Vigi TG60 bloc différentiel 4P 40A 300mA instantané type AC 230-415V', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 158.00000000, NULL, 474.00000000, 94.80000000, 0.00000000, 0.00000000, 568.80000000, 0, NULL, NULL, 0, 121.00000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 158.00000000, 474.00000000, 94.80000000, 568.80000000),
(6636, 1086, NULL, 1222632, NULL, 'Prodis, DT60N disjoncteur 4P 40A 10kAcourbe C', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 119.00000000, NULL, 357.00000000, 71.40000000, 0.00000000, 0.00000000, 428.40000000, 0, NULL, NULL, 0, 95.00000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 119.00000000, 357.00000000, 71.40000000, 428.40000000),
(6637, 1086, NULL, 1190724, NULL, 'CONNECTEUR 25A POUR FUS 10,3x38', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 70.00000000, NULL, 700.00000000, 140.00000000, 0.00000000, 0.00000000, 840.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 70.00000000, 700.00000000, 140.00000000, 840.00000000),
(6638, 1086, NULL, 1190725, NULL, 'ELEMENT DROIT 40 A 02', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 180.00000000, NULL, 1800.00000000, 360.00000000, 0.00000000, 0.00000000, 2160.00000000, 0, NULL, NULL, 0, 135.00000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 180.00000000, 1800.00000000, 360.00000000, 2160.00000000),
(6639, 1086, NULL, 1190577, NULL, 'chainette', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 4.50000000, NULL, 135.00000000, 27.00000000, 0.00000000, 0.00000000, 162.00000000, 0, NULL, NULL, 0, 3.48000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 135.00000000, 27.00000000, 162.00000000),
(6640, 1086, NULL, 1152302, NULL, 'PRAGMA 3R 24 SAILLIE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 184.00000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(6641, 1086, NULL, 1152295, NULL, 'PRAGMA INTERFACE 18 3 R', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 41.47000000, NULL, 41.47000000, 8.29000000, 0.00000000, 0.00000000, 49.76000000, 0, NULL, NULL, 0, 20.13000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.47000000, 41.47000000, 8.29000000, 49.76000000),
(6642, 1086, NULL, 1190722, NULL, 'r2v cu 5g10 tgl', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 12.48000000, NULL, 374.40000000, 74.88000000, 0.00000000, 0.00000000, 449.28000000, 0, NULL, NULL, 0, 9.38000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.48000000, 374.40000000, 74.88000000, 449.28000000),
(6643, 1086, NULL, 1190455, NULL, 'boite d alimentation 63', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 93.00000000, NULL, 279.00000000, 55.80000000, 0.00000000, 0.00000000, 334.80000000, 0, NULL, NULL, 0, 70.98000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 93.00000000, 279.00000000, 55.80000000, 334.80000000),
(6644, 1086, NULL, 1222635, NULL, 'mas led tube hf 1500mm ho 20w865 t8', 20.000, '', 0.000, '0', 0.000, '0', 38, 0, 0, NULL, 56.88000000, NULL, 2161.44000000, 432.29000000, 0.00000000, 0.00000000, 2593.73000000, 0, NULL, NULL, 0, 43.75000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.88000000, 2161.44000000, 432.29000000, 2593.73000000),
(6645, 1086, NULL, 1071251, NULL, 'BOITE DERIVATION 80X80 PLEXO', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 6.50000000, NULL, 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 4.62000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.50000000, 130.00000000, 26.00000000, 156.00000000),
(6646, 1086, NULL, 1190578, NULL, 'kna10za1 fixation universelle', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 8.20000000, NULL, 328.00000000, 65.60000000, 0.00000000, 0.00000000, 393.60000000, 0, NULL, NULL, 0, 6.05000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.20000000, 328.00000000, 65.60000000, 393.60000000),
(6647, 1086, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.50000000, NULL, 154.50000000, 30.90000000, 0.00000000, 0.00000000, 185.40000000, 0, NULL, NULL, 0, 120.00000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 154.50000000, 154.50000000, 30.90000000, 185.40000000),
(6648, 1086, NULL, NULL, NULL, 'Partie elec + neon LED', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6649, 1087, NULL, 1305885, NULL, 'Lot de 10 nattes filtrantes', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 76.00000000, NULL, 152.00000000, 30.40000000, 0.00000000, 0.00000000, 182.40000000, 0, NULL, NULL, 0, 53.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.00000000, 152.00000000, 30.40000000, 182.40000000),
(6650, 1087, NULL, 1222068, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.00000000, NULL, 23.00000000, 4.60000000, 0.00000000, 0.00000000, 27.60000000, 0, NULL, NULL, 0, 23.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.00000000, 23.00000000, 4.60000000, 27.60000000),
(6651, 1088, NULL, 1305866, NULL, '2258 2901 32', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.92000000, NULL, 160.92000000, 32.18000000, 0.00000000, 0.00000000, 193.10000000, 0, NULL, NULL, 0, 80.46000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.92000000, 160.92000000, 32.18000000, 193.10000000),
(6652, 1088, NULL, 1305865, NULL, '2258 2901 21', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.92000000, NULL, 160.92000000, 32.18000000, 0.00000000, 0.00000000, 193.10000000, 0, NULL, NULL, 0, 80.46000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.92000000, 160.92000000, 32.18000000, 193.10000000),
(6653, 1088, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(6654, 1089, NULL, 1223585, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(6655, 1090, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(6656, 1091, NULL, NULL, NULL, 'Mensualit&eacute;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1419.00000000, NULL, 1419.00000000, 283.80000000, 0.00000000, 0.00000000, 1702.80000000, 0, '2019-05-16 12:00:00', NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1419.00000000, 1419.00000000, 283.80000000, 1702.80000000),
(6657, 1092, NULL, 1305188, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 53.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(6658, 1093, NULL, 971003, NULL, 'About mâle standard ISO B 6 G3/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 3.02000000, NULL, 30.20000000, 6.04000000, 0.00000000, 0.00000000, 36.24000000, 0, NULL, NULL, 0, 1.70500000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.02000000, 30.20000000, 6.04000000, 36.24000000),
(6659, 1093, NULL, 967539, NULL, 'Soufflette Bluestar standard', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 10.22000000, NULL, 102.20000000, 20.44000000, 0.00000000, 0.00000000, 122.64000000, 0, NULL, NULL, 0, 5.11000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.22000000, 102.20000000, 20.44000000, 122.64000000),
(6660, 1094, NULL, NULL, '1 Reseau aspiration', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6661, 1094, NULL, 1237184, NULL, 'COUDE 90° Ø 350 BT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 83.42000000, NULL, 83.42000000, 16.68000000, 0.00000000, 0.00000000, 100.10000000, 0, NULL, NULL, 0, 63.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 83.42000000, 83.42000000, 16.68000000, 100.10000000),
(6662, 1094, NULL, 1238184, NULL, 'TUYAU Ø 350 Lg = 1 m BT', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 27.26000000, NULL, 81.78000000, 16.36000000, 0.00000000, 0.00000000, 98.14000000, 0, NULL, NULL, 0, 22.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.26000000, 81.78000000, 16.36000000, 98.14000000),
(6663, 1094, NULL, 1238178, NULL, 'TUYAU Ø 300 Lg = 1 m BT', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 28.03000000, NULL, 280.30000000, 56.06000000, 0.00000000, 0.00000000, 336.36000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.03000000, 280.30000000, 56.06000000, 336.36000000),
(6664, 1094, NULL, 1238171, NULL, 'TUYAU Ø 250 Lg = 1 m BT', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 21.02000000, NULL, 315.30000000, 63.06000000, 0.00000000, 0.00000000, 378.36000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.02000000, 315.30000000, 63.06000000, 378.36000000),
(6665, 1094, NULL, 1238165, NULL, 'TUYAU Ø 200 Lg = 1 m BT', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 16.67000000, NULL, 166.70000000, 33.34000000, 0.00000000, 0.00000000, 200.04000000, 0, NULL, NULL, 0, 11.90000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.67000000, 166.70000000, 33.34000000, 200.04000000),
(6666, 1094, NULL, 1238159, NULL, 'TUYAU Ø 160 Lg = 1 m BT', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 13.77000000, NULL, 165.24000000, 33.05000000, 0.00000000, 0.00000000, 198.29000000, 0, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.77000000, 165.24000000, 33.05000000, 198.29000000),
(6667, 1094, NULL, 1238153, NULL, 'TUYAU Ø 140 Lg = 1 m BT', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 13.09000000, NULL, 52.36000000, 10.47000000, 0.00000000, 0.00000000, 62.83000000, 0, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.09000000, 52.36000000, 10.47000000, 62.83000000),
(6668, 1094, NULL, 1238150, NULL, 'TUYAU Ø 120 Lg = 1 m BT', 20.000, '', 0.000, '0', 0.000, '0', 32, 0, 0, NULL, 11.27000000, NULL, 360.64000000, 72.13000000, 0.00000000, 0.00000000, 432.77000000, 0, NULL, NULL, 0, 8.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.27000000, 360.64000000, 72.13000000, 432.77000000),
(6669, 1094, NULL, 1237180, NULL, 'COUDE 90° Ø 250 BT', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 56.27000000, NULL, 168.81000000, 33.76000000, 0.00000000, 0.00000000, 202.57000000, 0, NULL, NULL, 0, 45.15000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.27000000, 168.81000000, 33.76000000, 202.57000000),
(6670, 1094, NULL, 1237149, NULL, 'COUDE 60° Ø 250 BT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 49.34000000, NULL, 98.68000000, 19.74000000, 0.00000000, 0.00000000, 118.42000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 49.34000000, 98.68000000, 19.74000000, 118.42000000),
(6671, 1094, NULL, 1237143, NULL, 'COUDE 60° Ø 140 BT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.35000000, NULL, 24.35000000, 4.87000000, 0.00000000, 0.00000000, 29.22000000, 0, NULL, NULL, 0, 17.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.35000000, 24.35000000, 4.87000000, 29.22000000),
(6672, 1094, NULL, 1237142, NULL, 'COUDE 60° Ø 120 BT', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 21.40000000, NULL, 128.40000000, 25.68000000, 0.00000000, 0.00000000, 154.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.40000000, 128.40000000, 25.68000000, 154.08000000),
(6673, 1094, NULL, 1237032, NULL, '<strong>Symetrique </strong>1/350-2/300-3/300', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.22000000, NULL, 91.22000000, 18.24000000, 0.00000000, 0.00000000, 109.46000000, 0, NULL, NULL, 0, 75.14000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.22000000, 91.22000000, 18.24000000, 109.46000000),
(6674, 1094, NULL, 1237182, NULL, '<strong>Attention</strong>: coude &agrave; 75&deg;', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 72.70000000, NULL, 145.40000000, 29.08000000, 0.00000000, 0.00000000, 174.48000000, 0, NULL, NULL, 0, 52.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 72.70000000, 145.40000000, 29.08000000, 174.48000000),
(6675, 1094, NULL, 1237030, NULL, '<div>1/300-2/250-3/250</div>', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 94.19000000, NULL, 188.38000000, 37.68000000, 0.00000000, 0.00000000, 226.06000000, 0, NULL, NULL, 0, 67.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 94.19000000, 188.38000000, 37.68000000, 226.06000000),
(6676, 1094, NULL, 1237028, NULL, '1/250-2/200-3/100', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 79.65000000, NULL, 238.95000000, 47.79000000, 0.00000000, 0.00000000, 286.74000000, 0, NULL, NULL, 0, 56.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.65000000, 238.95000000, 47.79000000, 286.74000000),
(6677, 1094, NULL, 1237028, NULL, '1/250-2/200-3/140', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.65000000, NULL, 79.65000000, 15.93000000, 0.00000000, 0.00000000, 95.58000000, 0, NULL, NULL, 0, 56.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.65000000, 79.65000000, 15.93000000, 95.58000000),
(6678, 1094, NULL, 1237026, NULL, '1/200-2/160-3/120', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 65.52000000, NULL, 131.04000000, 26.21000000, 0.00000000, 0.00000000, 157.25000000, 0, NULL, NULL, 0, 46.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.52000000, 131.04000000, 26.21000000, 157.25000000),
(6679, 1094, NULL, 1237024, NULL, '1/160-2/160-3/120', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 56.28000000, NULL, 168.84000000, 33.77000000, 0.00000000, 0.00000000, 202.61000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.28000000, 168.84000000, 33.77000000, 202.61000000),
(6680, 1094, NULL, 1237024, NULL, '1/160-2/120-3/120', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 56.28000000, NULL, 56.28000000, 11.26000000, 0.00000000, 0.00000000, 67.54000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.28000000, 56.28000000, 11.26000000, 67.54000000),
(6681, 1094, NULL, 1237021, NULL, '1/120-2/120-3/120', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 46.84000000, NULL, 93.68000000, 18.74000000, 0.00000000, 0.00000000, 112.42000000, 0, NULL, NULL, 0, 33.00000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 46.84000000, 93.68000000, 18.74000000, 112.42000000),
(6682, 1094, NULL, 1237416, NULL, 'COLLIER Ø 350 mm', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 6.29000000, NULL, 62.90000000, 12.58000000, 0.00000000, 0.00000000, 75.48000000, 0, NULL, NULL, 0, 5.18000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.29000000, 62.90000000, 12.58000000, 75.48000000),
(6683, 1094, NULL, 1237414, NULL, 'COLLIER Ø 300 mm', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 5.92000000, NULL, 59.20000000, 11.84000000, 0.00000000, 0.00000000, 71.04000000, 0, NULL, NULL, 0, 4.00000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.92000000, 59.20000000, 11.84000000, 71.04000000),
(6684, 1094, NULL, 1237412, NULL, 'COLLIER Ø 250 mm', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 4.62000000, NULL, 69.30000000, 13.86000000, 0.00000000, 0.00000000, 83.16000000, 0, NULL, NULL, 0, 3.80000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.62000000, 69.30000000, 13.86000000, 83.16000000),
(6685, 1094, NULL, 1237410, NULL, 'COLLIER Ø 200 mm', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.16000000, NULL, 41.60000000, 8.32000000, 0.00000000, 0.00000000, 49.92000000, 0, NULL, NULL, 0, 3.30000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.16000000, 41.60000000, 8.32000000, 49.92000000),
(6686, 1094, NULL, 1237408, NULL, 'COLLIER Ø 160 mm', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 4.36000000, NULL, 65.40000000, 13.08000000, 0.00000000, 0.00000000, 78.48000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.36000000, 65.40000000, 13.08000000, 78.48000000),
(6687, 1094, NULL, 1237405, NULL, 'COLLIER Ø 120 mm', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 3.58000000, NULL, 143.20000000, 28.64000000, 0.00000000, 0.00000000, 171.84000000, 0, NULL, NULL, 0, 2.87000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.58000000, 143.20000000, 28.64000000, 171.84000000),
(6688, 1094, NULL, 1237111, NULL, 'COUDE 45° Ø 120 BT', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 13.40000000, NULL, 80.40000000, 16.08000000, 0.00000000, 0.00000000, 96.48000000, 0, NULL, NULL, 0, 10.71000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.40000000, 80.40000000, 16.08000000, 96.48000000),
(6689, 1094, NULL, 1237173, NULL, 'COUDE 90° Ø 120 BT', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 23.02000000, NULL, 276.24000000, 55.25000000, 0.00000000, 0.00000000, 331.49000000, 0, NULL, NULL, 0, 18.48000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.02000000, 276.24000000, 55.25000000, 331.49000000),
(6690, 1094, NULL, 1237779, NULL, 'MANCHON FLEX. Ø 120 BT / BL', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 5.41000000, NULL, 32.46000000, 6.49000000, 0.00000000, 0.00000000, 38.95000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.41000000, 32.46000000, 6.49000000, 38.95000000),
(6691, 1094, NULL, 1238258, NULL, 'TARGETTE ORDINAIRE Ø 140 BT / BL', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.84000000, NULL, 30.84000000, 6.17000000, 0.00000000, 0.00000000, 37.01000000, 0, NULL, NULL, 0, 22.00000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.84000000, 30.84000000, 6.17000000, 37.01000000),
(6692, 1094, NULL, 1238255, NULL, 'TARGETTE ORDINAIRE Ø 120 BT / BL', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 29.50000000, NULL, 118.00000000, 23.60000000, 0.00000000, 0.00000000, 141.60000000, 0, NULL, NULL, 0, 21.00000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.50000000, 118.00000000, 23.60000000, 141.60000000),
(6693, 1094, NULL, 1237501, NULL, '120/100', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 24.72000000, NULL, 123.60000000, 24.72000000, 0.00000000, 0.00000000, 148.32000000, 0, NULL, NULL, 0, 17.00000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.72000000, 123.60000000, 24.72000000, 148.32000000),
(6694, 1094, NULL, 1238252, NULL, 'TARGETTE ORDINAIRE Ø 100 BT / BL', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 25.64000000, NULL, 102.56000000, 20.51000000, 0.00000000, 0.00000000, 123.07000000, 0, NULL, NULL, 0, 18.00000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.64000000, 102.56000000, 20.51000000, 123.07000000),
(6695, 1094, NULL, 1237778, NULL, 'MANCHON FLEX. Ø 100 BT / BL', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 5.41000000, NULL, 32.46000000, 6.49000000, 0.00000000, 0.00000000, 38.95000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.41000000, 32.46000000, 6.49000000, 38.95000000),
(6696, 1094, NULL, 1237510, NULL, '200/160', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 29.50000000, NULL, 59.00000000, 11.80000000, 0.00000000, 0.00000000, 70.80000000, 0, NULL, NULL, 0, 21.00000000, NULL, 0, 0, 37, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.50000000, 59.00000000, 11.80000000, 70.80000000),
(6697, 1094, NULL, 1243140, NULL, 'BOUCHE DE BAL. Ø120 BT+TO+CL', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 95.70000000, NULL, 191.40000000, 38.28000000, 0.00000000, 0.00000000, 229.68000000, 0, NULL, NULL, 0, 70.00000000, NULL, 0, 0, 38, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.70000000, 191.40000000, 38.28000000, 229.68000000),
(6698, 1094, NULL, 1237355, NULL, 'COLLIER SERFLEX Ø 100', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 2.60000000, NULL, 31.20000000, 6.24000000, 0.00000000, 0.00000000, 37.44000000, 0, NULL, NULL, 0, 1.00000000, NULL, 0, 0, 39, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.60000000, 31.20000000, 6.24000000, 37.44000000),
(6699, 1094, NULL, 1237356, NULL, 'COLLIER SERFLEX Ø 120', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 3.02000000, NULL, 36.24000000, 7.25000000, 0.00000000, 0.00000000, 43.49000000, 0, NULL, NULL, 0, 1.00000000, NULL, 0, 0, 40, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.02000000, 36.24000000, 7.25000000, 43.49000000),
(6700, 1094, NULL, 1236864, NULL, 'BOUCHON + COLLIER Ø 250', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.26000000, NULL, 15.26000000, 3.05000000, 0.00000000, 0.00000000, 18.31000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 41, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.26000000, 15.26000000, 3.05000000, 18.31000000),
(6701, 1094, NULL, 1298141, NULL, 'windflex 400PU 102', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 10.84000000, NULL, 216.80000000, 43.36000000, 0.00000000, 0.00000000, 260.16000000, 0, NULL, NULL, 0, 5.11000000, NULL, 0, 0, 42, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.84000000, 216.80000000, 43.36000000, 260.16000000),
(6702, 1094, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3636.48000000, NULL, 3636.48000000, 727.30000000, 0.00000000, 0.00000000, 4363.78000000, 0, NULL, NULL, 0, 3200.00000000, NULL, 0, 0, 43, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3636.48000000, 3636.48000000, 727.30000000, 4363.78000000),
(6703, 1094, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 774.69000000, NULL, 774.69000000, 154.94000000, 0.00000000, 0.00000000, 929.63000000, 0, NULL, NULL, 0, 618.00000000, NULL, 0, 0, 44, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 774.69000000, 774.69000000, 154.94000000, 929.63000000),
(6704, 1094, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 212.43000000, NULL, 212.43000000, 42.49000000, 0.00000000, 0.00000000, 254.92000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 45, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 212.43000000, 212.43000000, 42.49000000, 254.92000000),
(6705, 1094, NULL, 1298143, NULL, 'windflex400PU 120', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 13.31000000, NULL, 266.20000000, 53.24000000, 0.00000000, 0.00000000, 319.44000000, 0, NULL, NULL, 0, 6.13000000, NULL, 0, 0, 46, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.31000000, 266.20000000, 53.24000000, 319.44000000),
(6706, 1094, NULL, 1190653, NULL, 'Supportage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 227.85000000, NULL, 227.85000000, 45.57000000, 0.00000000, 0.00000000, 273.42000000, 0, NULL, NULL, 0, 180.00000000, NULL, 0, 0, 47, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 227.85000000, 227.85000000, 45.57000000, 273.42000000),
(6707, 1094, NULL, NULL, 'Sous-total Reseau aspiration', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 48, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6708, 1094, NULL, NULL, '2 Option:registre à commande pneumatique', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 49, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6709, 1094, NULL, 1238307, NULL, 'TARGETTE ELECT + DISTRI. Ø 250', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 465.66000000, NULL, 465.66000000, 93.13000000, 0.00000000, 0.00000000, 558.79000000, 0, NULL, NULL, 0, 324.80000000, NULL, 0, 0, 50, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 465.66000000, 465.66000000, 93.13000000, 558.79000000),
(6710, 1094, NULL, 1238305, NULL, 'TARGETTE ELECT + DISTRI. Ø 200', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 378.03000000, NULL, 378.03000000, 75.61000000, 0.00000000, 0.00000000, 453.64000000, 0, NULL, NULL, 0, 274.00000000, NULL, 0, 0, 51, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 378.03000000, 378.03000000, 75.61000000, 453.64000000),
(6711, 1094, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 131.27000000, NULL, 131.27000000, 26.25000000, 0.00000000, 0.00000000, 157.52000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 52, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 131.27000000, 131.27000000, 26.25000000, 157.52000000),
(6712, 1094, NULL, NULL, 'Sous-total Option:registre à commande pneumatique', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 53, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6713, 1094, NULL, NULL, NULL, '(DEPOSIT)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, 46, -3300.00000000, NULL, -3300.00000000, -660.00000000, 0.00000000, 0.00000000, -3960.00000000, 0, NULL, NULL, 2, 0.00000000, NULL, 0, 0, -1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, '', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6714, 1094, NULL, 1237506, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 100, 0, NULL, 28.93000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 19.00000000, NULL, 0, 0, 54, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.93000000, 0.00000000, 0.00000000, 0.00000000),
(6715, 1094, NULL, 1237028, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 83.41000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 56.00000000, NULL, 0, 0, 55, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 83.41000000, 0.00000000, 0.00000000, 0.00000000),
(6716, 1094, NULL, 1237024, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 58.94000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 56, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 58.94000000, 0.00000000, 0.00000000, 0.00000000),
(6717, 1094, NULL, 1237176, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 100, 0, NULL, 38.17000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 57, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.17000000, 0.00000000, 0.00000000, 0.00000000),
(6718, 1094, NULL, 1237145, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 29.04000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 19.00000000, NULL, 0, 0, 58, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.04000000, 0.00000000, 0.00000000, 0.00000000),
(6719, 1094, NULL, 1237114, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 100, 0, NULL, 21.32000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 14.00000000, NULL, 0, 0, 59, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.32000000, 0.00000000, 0.00000000, 0.00000000),
(6720, 1094, NULL, 1237406, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 8, 100, 0, NULL, 4.46000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 60, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.46000000, 0.00000000, 0.00000000, 0.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(6721, 1094, NULL, 1237404, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 7, 100, 0, NULL, 4.13000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 2.00000000, NULL, 0, 0, 61, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.13000000, 0.00000000, 0.00000000, 0.00000000),
(6722, 1094, NULL, 1237178, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 46.87000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 32.00000000, NULL, 0, 0, 62, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 46.87000000, 0.00000000, 0.00000000, 0.00000000),
(6723, 1094, NULL, 1238153, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 13.70000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 63, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.70000000, 0.00000000, 0.00000000, 0.00000000),
(6724, 1094, NULL, 1237174, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 31.65000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 21.00000000, NULL, 0, 0, 64, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 31.65000000, 0.00000000, 0.00000000, 0.00000000),
(6725, 1094, NULL, 1237412, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 12, 100, 0, NULL, 5.44000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 65, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.44000000, 0.00000000, 0.00000000, 0.00000000),
(6726, 1094, NULL, 1237410, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 5, 100, 0, NULL, 4.89000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 66, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.89000000, 0.00000000, 0.00000000, 0.00000000),
(6727, 1094, NULL, 1237408, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 10, 100, 0, NULL, 4.57000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 67, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.57000000, 0.00000000, 0.00000000, 0.00000000),
(6728, 1095, NULL, NULL, '1 Sécheur par réfrigération', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6729, 1095, NULL, 1223541, NULL, 'Sécheur par réfrigeration pt de rosée à +3°C mono capacité 192 m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1270.46000000, NULL, 1270.46000000, 254.09000000, 0.00000000, 0.00000000, 1524.55000000, 0, NULL, NULL, 0, 1043.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1270.46000000, 1270.46000000, 254.09000000, 1524.55000000),
(6730, 1095, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.40000000, NULL, 25.40000000, 5.08000000, 0.00000000, 0.00000000, 30.48000000, 0, NULL, NULL, 0, 20.86000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.40000000, 25.40000000, 5.08000000, 30.48000000),
(6731, 1095, NULL, 972027, NULL, 'Prix au metres', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.50000000, NULL, 43.00000000, 8.60000000, 0.00000000, 0.00000000, 51.60000000, 0, NULL, NULL, 0, 14.49000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.50000000, 43.00000000, 8.60000000, 51.60000000),
(6732, 1095, NULL, 1223702, NULL, '4 raccords sapin et colliers', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 18.00000000, 3.60000000, 21.60000000),
(6733, 1096, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 226.79000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(6734, 1097, NULL, 1231854, NULL, 'raccord auto gardena 1/2F', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 16.10000000, NULL, 96.60000000, 19.32000000, 0.00000000, 0.00000000, 115.92000000, 0, NULL, NULL, 0, 11.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.10000000, 96.60000000, 19.32000000, 115.92000000),
(6735, 1097, NULL, 966777, NULL, 'Prolongateur M/F G3/8x1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.97000000, NULL, 9.70000000, 1.94000000, 0.00000000, 0.00000000, 11.64000000, 0, NULL, NULL, 0, 0.67000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 9.70000000, 1.94000000, 11.64000000),
(6736, 1097, NULL, 972981, NULL, 'about dn9 passage libre G1/2', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 8.63000000, NULL, 51.78000000, 10.36000000, 0.00000000, 0.00000000, 62.14000000, 0, NULL, NULL, 0, 5.89000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.63000000, 51.78000000, 10.36000000, 62.14000000),
(6738, 1099, NULL, 944304, NULL, 'compresseur rotatif à vis librifiees à vitesse fixe', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12574.86000000, NULL, 12574.86000000, 2514.97000000, 0.00000000, 0.00000000, 15089.83000000, 0, NULL, NULL, 0, 9550.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12574.86000000, 12574.86000000, 2514.97000000, 15089.83000000),
(6739, 1099, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 138.19000000, NULL, 138.19000000, 27.64000000, 0.00000000, 0.00000000, 165.83000000, 0, NULL, NULL, 0, 191.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 138.19000000, 138.19000000, 27.64000000, 165.83000000),
(6740, 1099, NULL, 1268121, NULL, 'Separateur cyclonique 1&quot;1 2 570 m&sup3; H', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 344.72000000, NULL, 689.44000000, 137.89000000, 0.00000000, 0.00000000, 827.33000000, 0, NULL, NULL, 0, 115.72000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 344.72000000, 689.44000000, 137.89000000, 827.33000000),
(6741, 1099, NULL, 955140, NULL, 'purgeur auto interne', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 60.10000000, NULL, 60.10000000, 12.02000000, 0.00000000, 0.00000000, 72.12000000, 0, NULL, NULL, 0, 34.65000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 60.10000000, 60.10000000, 12.02000000, 72.12000000),
(6742, 1099, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1528.41000000, NULL, 1528.41000000, 305.68000000, 0.00000000, 0.00000000, 1834.09000000, 0, NULL, NULL, 0, 698.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1528.41000000, 1528.41000000, 305.68000000, 1834.09000000),
(6743, 1099, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 116.93000000, NULL, 116.93000000, 23.39000000, 0.00000000, 0.00000000, 140.32000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 116.93000000, 116.93000000, 23.39000000, 140.32000000),
(6744, 1099, NULL, 958253, NULL, 'ÖWAMAT 12 oil/water separatot without pre-separation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 990.62000000, NULL, 990.62000000, 198.12000000, 0.00000000, 0.00000000, 1188.74000000, 0, NULL, NULL, 0, 479.26000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 990.62000000, 990.62000000, 198.12000000, 1188.74000000),
(6745, 1099, NULL, 972631, NULL, 'Té égal Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.10000000, NULL, 6.20000000, 1.24000000, 0.00000000, 0.00000000, 7.44000000, 0, NULL, NULL, 0, 1.60600000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.10000000, 6.20000000, 1.24000000, 7.44000000),
(6746, 1099, NULL, 972586, NULL, 'Raccord droit mâle G1/4 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 1.25000000, NULL, 3.75000000, 0.75000000, 0.00000000, 0.00000000, 4.50000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.25000000, 3.75000000, 0.75000000, 4.50000000),
(6747, 1099, NULL, 972160, NULL, 'Tube polyamide Rilsan incolore 6x8 25m', 20.000, '', 0.000, '0', 0.000, '0', 0.25, 0, 0, NULL, 50.15000000, NULL, 12.54000000, 2.51000000, 0.00000000, 0.00000000, 15.05000000, 0, NULL, NULL, 0, 25.95000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.15000000, 12.54000000, 2.51000000, 15.05000000),
(6748, 1099, NULL, 1080072, NULL, 'Tube \"air comprimé\" diam. ext. 54', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 15.32000000, NULL, 61.28000000, 12.26000000, 0.00000000, 0.00000000, 73.54000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.32000000, 61.28000000, 12.26000000, 73.54000000),
(6749, 1099, NULL, 1079996, NULL, 'Manchon diamètre extérieur 54', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.63000000, NULL, 8.63000000, 1.73000000, 0.00000000, 0.00000000, 10.36000000, 0, NULL, NULL, 0, 5.72000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.63000000, 8.63000000, 1.73000000, 10.36000000),
(6750, 1099, NULL, 1079790, NULL, 'Courbe à 90° diamètre extérieur 54', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 28.34000000, NULL, 85.02000000, 17.00000000, 0.00000000, 0.00000000, 102.02000000, 0, NULL, NULL, 0, 18.78000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.34000000, 85.02000000, 17.00000000, 102.02000000),
(6752, 1099, NULL, 1080042, NULL, 'Raccord de réduction diam. ext. 76.54', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 37.22000000, NULL, 37.22000000, 7.44000000, 0.00000000, 0.00000000, 44.66000000, 0, NULL, NULL, 0, 24.66000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 37.22000000, 37.22000000, 7.44000000, 44.66000000),
(6753, 1099, NULL, 1080043, NULL, 'Raccord de réduction diam. ext. 89.54', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.17000000, NULL, 40.17000000, 8.03000000, 0.00000000, 0.00000000, 48.20000000, 0, NULL, NULL, 0, 26.61000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.17000000, 40.17000000, 8.03000000, 48.20000000),
(6754, 1099, NULL, 1079987, NULL, 'Embout mixte à bride folle diam. ext. 76.DN65 PN10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 62.20000000, NULL, 62.20000000, 12.44000000, 0.00000000, 0.00000000, 74.64000000, 0, NULL, NULL, 0, 41.21000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 62.20000000, 62.20000000, 12.44000000, 74.64000000),
(6755, 1099, NULL, 1079988, NULL, 'Embout mixte à bride folle diam. ext. 89.DN80 PN10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.09000000, NULL, 68.09000000, 13.62000000, 0.00000000, 0.00000000, 81.71000000, 0, NULL, NULL, 0, 45.11000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.09000000, 68.09000000, 13.62000000, 81.71000000),
(6756, 1099, NULL, 1079980, NULL, 'Raccord mixte à bride diam. ext. 54.DN50 PN16', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 101.78000000, NULL, 101.78000000, 20.36000000, 0.00000000, 0.00000000, 122.14000000, 0, NULL, NULL, 0, 67.43000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 101.78000000, 101.78000000, 20.36000000, 122.14000000),
(6757, 1099, NULL, 1079997, NULL, 'Manchon diamètre extérieur 76', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 43.95000000, NULL, 43.95000000, 8.79000000, 0.00000000, 0.00000000, 52.74000000, 0, NULL, NULL, 0, 29.12000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 43.95000000, 43.95000000, 8.79000000, 52.74000000),
(6758, 1099, NULL, 1079998, NULL, 'Manchon diamètre extérieur 89', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.24000000, NULL, 50.24000000, 10.05000000, 0.00000000, 0.00000000, 60.29000000, 0, NULL, NULL, 0, 33.28000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.24000000, 50.24000000, 10.05000000, 60.29000000),
(6759, 1099, NULL, 1080071, NULL, 'Tube \"air comprimé\" diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.92000000, NULL, 23.84000000, 4.77000000, 0.00000000, 0.00000000, 28.61000000, 0, NULL, NULL, 0, 7.90000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.92000000, 23.84000000, 4.77000000, 28.61000000),
(6760, 1099, NULL, 1079995, NULL, 'Manchon diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.85000000, NULL, 6.85000000, 1.37000000, 0.00000000, 0.00000000, 8.22000000, 0, NULL, NULL, 0, 4.54000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.85000000, 6.85000000, 1.37000000, 8.22000000),
(6761, 1099, NULL, 1079967, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 35.98000000, NULL, 107.94000000, 21.59000000, 0.00000000, 0.00000000, 129.53000000, 0, NULL, NULL, 0, 23.83000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.98000000, 107.94000000, 21.59000000, 129.53000000),
(6762, 1099, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 9.99000000, NULL, 59.94000000, 11.99000000, 0.00000000, 0.00000000, 71.93000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.99000000, 59.94000000, 11.99000000, 71.93000000),
(6763, 1099, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 5.27000000, NULL, 15.81000000, 3.16000000, 0.00000000, 0.00000000, 18.97000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.27000000, 15.81000000, 3.16000000, 18.97000000),
(6764, 1099, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 11.31000000, NULL, 113.10000000, 22.62000000, 0.00000000, 0.00000000, 135.72000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.31000000, 113.10000000, 22.62000000, 135.72000000),
(6765, 1099, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 13.69000000, NULL, 41.07000000, 8.21000000, 0.00000000, 0.00000000, 49.28000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.69000000, 41.07000000, 8.21000000, 49.28000000),
(6766, 1099, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 28.97000000, NULL, 173.82000000, 34.76000000, 0.00000000, 0.00000000, 208.58000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.97000000, 173.82000000, 34.76000000, 208.58000000),
(6767, 1099, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 13.30000000, NULL, 79.80000000, 15.96000000, 0.00000000, 0.00000000, 95.76000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.30000000, 79.80000000, 15.96000000, 95.76000000),
(6768, 1099, NULL, 1079934, NULL, 'Raccord mixte mâle diam. ext. 35.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 15.37000000, NULL, 30.74000000, 6.15000000, 0.00000000, 0.00000000, 36.89000000, 0, NULL, NULL, 0, 10.18000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.37000000, 30.74000000, 6.15000000, 36.89000000),
(6769, 1099, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.28000000, NULL, 7.68000000, 1.54000000, 0.00000000, 0.00000000, 9.22000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.28000000, 7.68000000, 1.54000000, 9.22000000),
(6770, 1099, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.86000000, NULL, 7.86000000, 1.57000000, 0.00000000, 0.00000000, 9.43000000, 0, NULL, NULL, 0, 3.25000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.86000000, 7.86000000, 1.57000000, 9.43000000),
(6771, 1099, NULL, 966508, NULL, 'Vanne F/F G1\"1/2 PN30 DN40', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 41.63000000, NULL, 83.26000000, 16.65000000, 0.00000000, 0.00000000, 99.91000000, 0, NULL, NULL, 0, 19.58000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.63000000, 83.26000000, 16.65000000, 99.91000000),
(6772, 1099, NULL, 966507, NULL, 'Vanne F/F G1\"1/4 PN30 DN32', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 27.97000000, NULL, 167.82000000, 33.56000000, 0.00000000, 0.00000000, 201.38000000, 0, NULL, NULL, 0, 13.15500000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.97000000, 167.82000000, 33.56000000, 201.38000000),
(6773, 1099, NULL, 967552, NULL, 'Ensemble soufflage2 m 1/4 FetT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.04000000, NULL, 26.04000000, 5.21000000, 0.00000000, 0.00000000, 31.25000000, 0, NULL, NULL, 0, 13.47500000, NULL, 0, 0, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.04000000, 26.04000000, 5.21000000, 31.25000000),
(6774, 1099, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.54000000, NULL, 26.54000000, 5.31000000, 0.00000000, 0.00000000, 31.85000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 37, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.54000000, 26.54000000, 5.31000000, 31.85000000),
(6777, 1100, NULL, 1305867, NULL, 'FILTRE COMPLET SANS CARTOUCHE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 598.45000000, NULL, 598.45000000, 119.69000000, 0.00000000, 0.00000000, 718.14000000, 0, NULL, NULL, 0, 485.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 598.45000000, 598.45000000, 119.69000000, 718.14000000),
(6778, 1100, NULL, 1305868, NULL, 'cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.55000000, NULL, 144.55000000, 28.91000000, 0.00000000, 0.00000000, 173.46000000, 0, NULL, NULL, 0, 82.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.55000000, 144.55000000, 28.91000000, 173.46000000),
(6779, 1101, NULL, 1221270, NULL, 'CLE A CHOCS COMPOSITE CARRE 1/2    8951000025', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 194.00000000, NULL, 194.00000000, 38.80000000, 0.00000000, 0.00000000, 232.80000000, 0, NULL, NULL, 0, 137.54000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 194.00000000, 194.00000000, 38.80000000, 232.80000000),
(6780, 1101, NULL, 1221272, NULL, 'CLE A CHOCS 3/4 1500NM 8951077130', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 351.00000000, NULL, 351.00000000, 70.20000000, 0.00000000, 0.00000000, 421.20000000, 0, NULL, NULL, 0, 243.34000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 351.00000000, 351.00000000, 70.20000000, 421.20000000),
(6781, 1102, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(6782, 1103, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 20.97000000, NULL, 62.91000000, 12.58000000, 0.00000000, 0.00000000, 75.49000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.97000000, 62.91000000, 12.58000000, 75.49000000),
(6783, 1103, NULL, 972929, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 17.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(6784, 1105, NULL, 1223585, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(6785, 1106, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(6786, 1107, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 226.79000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(6787, 1108, NULL, 1175928, NULL, 'COOLER 15 kW', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 894.00000000, NULL, 894.00000000, 178.80000000, 0.00000000, 0.00000000, 1072.80000000, 0, NULL, NULL, 0, 509.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 894.00000000, 894.00000000, 178.80000000, 1072.80000000),
(6788, 1108, NULL, 1175930, NULL, 'HOSE LINE DN 25', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 349.65000000, NULL, 349.65000000, 69.93000000, 0.00000000, 0.00000000, 419.58000000, 0, NULL, NULL, 0, 259.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 349.65000000, 349.65000000, 69.93000000, 419.58000000),
(6789, 1108, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 374.84000000, NULL, 374.84000000, 74.97000000, 0.00000000, 0.00000000, 449.81000000, 0, NULL, NULL, 0, 277.66000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 374.84000000, 374.84000000, 74.97000000, 449.81000000),
(6790, 1108, NULL, 1176039, NULL, 'HOSE LINE DN 16', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 143.03000000, NULL, 286.06000000, 57.21000000, 0.00000000, 0.00000000, 343.27000000, 0, NULL, NULL, 0, 105.95000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.03000000, 286.06000000, 57.21000000, 343.27000000),
(6791, 1109, NULL, NULL, NULL, 'Maintenance L07RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6792, 1109, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6793, 1109, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(6794, 1109, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.25000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 32.50000000, 6.50000000, 39.00000000),
(6795, 1109, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 1, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(6796, 1109, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 138.96000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(6797, 1109, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(6798, 1109, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6799, 1109, NULL, 952683, NULL, 'cartouche 180RB', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.69000000, NULL, 105.69000000, 21.14000000, 0.00000000, 0.00000000, 126.83000000, 0, NULL, NULL, 0, 51.31000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.69000000, 105.69000000, 21.14000000, 126.83000000),
(6800, 1110, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 350.00000000, NULL, 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(6801, 1110, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(6802, 1110, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(6803, 1110, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 406.00000000, NULL, 406.00000000, 81.20000000, 0.00000000, 0.00000000, 487.20000000, 0, NULL, NULL, 0, 202.38000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 406.00000000, 406.00000000, 81.20000000, 487.20000000),
(6804, 1110, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.97000000, NULL, 56.91000000, 11.38000000, 0.00000000, 0.00000000, 68.29000000, 0, NULL, NULL, 0, 9.39000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.97000000, 56.91000000, 11.38000000, 68.29000000),
(6805, 1110, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(6806, 1110, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 129.27000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(6807, 1111, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(6808, 1111, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6809, 1111, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 1, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(6810, 1111, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(6811, 1111, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(6812, 1111, NULL, 1222594, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 7.98000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(6813, 1112, NULL, 1221475, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 75.50000000, NULL, 75.50000000, 15.10000000, 0.00000000, 0.00000000, 90.60000000, 0, NULL, NULL, 0, 36.65000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 75.50000000, 75.50000000, 15.10000000, 90.60000000),
(6814, 1112, NULL, 1221477, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 75.50000000, NULL, 75.50000000, 15.10000000, 0.00000000, 0.00000000, 90.60000000, 0, NULL, NULL, 0, 36.65000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 75.50000000, 75.50000000, 15.10000000, 90.60000000),
(6815, 1112, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(6816, 1113, NULL, NULL, '1 Partie reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6817, 1113, NULL, 1245275, NULL, 'Applique murale G3/4 ? 2 Sorties G1/2 + Purge', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 30.33000000, NULL, 151.65000000, 30.33000000, 0.00000000, 0.00000000, 181.98000000, 0, NULL, NULL, 0, 18.19800000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.33000000, 151.65000000, 30.33000000, 181.98000000),
(6818, 1113, NULL, 970347, NULL, 'Raccord PUSH FIT Fileté G3/4 Ø25', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 6.70000000, NULL, 33.50000000, 6.70000000, 0.00000000, 0.00000000, 40.20000000, 0, NULL, NULL, 0, 4.02000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.70000000, 33.50000000, 6.70000000, 40.20000000),
(6819, 1113, NULL, 970279, NULL, 'Té égal PUSH-FITØ25', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 16.20000000, NULL, 81.00000000, 16.20000000, 0.00000000, 0.00000000, 97.20000000, 0, NULL, NULL, 0, 9.72000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.20000000, 81.00000000, 16.20000000, 97.20000000),
(6820, 1113, NULL, 970103, NULL, 'avec les vis de fixation parpaing', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.35000000, NULL, 4.70000000, 0.94000000, 0.00000000, 0.00000000, 5.64000000, 0, NULL, NULL, 0, 1.41000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.35000000, 4.70000000, 0.94000000, 5.64000000),
(6821, 1113, NULL, 970228, NULL, 'Tube aluminium calibré Ø25x22 en barre de 4 mètres Couleur Bleue', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 6.10000000, NULL, 122.00000000, 24.40000000, 0.00000000, 0.00000000, 146.40000000, 0, NULL, NULL, 0, 3.66000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.10000000, 122.00000000, 24.40000000, 146.40000000),
(6822, 1113, NULL, 970251, NULL, 'Coude égal PUSH FIT Ø25', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.30000000, NULL, 22.60000000, 4.52000000, 0.00000000, 0.00000000, 27.12000000, 0, NULL, NULL, 0, 6.78000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.30000000, 22.60000000, 4.52000000, 27.12000000),
(6823, 1113, NULL, 970242, NULL, 'Union Push Fit Ø25', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 9.50000000, NULL, 76.00000000, 15.20000000, 0.00000000, 0.00000000, 91.20000000, 0, NULL, NULL, 0, 5.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.50000000, 76.00000000, 15.20000000, 91.20000000),
(6824, 1113, NULL, 970305, NULL, 'Bouchon PUSH FIT Ø25', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 7.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(6825, 1113, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6826, 1113, NULL, NULL, '2 Partie centrale d\'air comprimé', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6827, 1113, NULL, 1222071, NULL, 'option supplemenatire', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 288.91000000, NULL, 288.91000000, 57.78000000, 0.00000000, 0.00000000, 346.69000000, 0, NULL, NULL, 0, 222.24000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 288.91000000, 288.91000000, 57.78000000, 346.69000000),
(6828, 1113, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(6829, 1113, NULL, 1305878, NULL, 'Filtre Fin (montage sortie sécheur)  0.1 micron et 0.02 mg/m3  RF-M 0120', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 195.00000000, NULL, 195.00000000, 39.00000000, 0.00000000, 0.00000000, 234.00000000, 0, NULL, NULL, 0, 115.20000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 195.00000000, 195.00000000, 39.00000000, 234.00000000),
(6830, 1113, NULL, 1305877, NULL, '<ul>\r\n	<li>Puissance&nbsp;: <strong>5.5 KW</strong></li>\r\n	<li>Pression maxi&nbsp;: <strong>10 bar</strong></li>\r\n	<li>D&eacute;bit&nbsp;: <strong>46.80 m3/h</strong></li>\r\n	<li>S&eacute;cheur&nbsp;: Frigo +3&deg;C</li>\r\n	<li>Niveau sonore&nbsp;: <strong>63 dB(A)</strong></li>\r\n	<li>Longueur&nbsp;: 1915 mm</li>\r\n	<li>Profondeur&nbsp;: 610 mm</li>\r\n	<li>Hauteur&nbsp;: 1704 mm</li>\r\n	<li>Poids&nbsp;: 373 Kg</li>\r\n	<li>Sortie air&nbsp;: &frac12;&rsquo;&rsquo;</li>\r\n	<li>Commande&nbsp;: Standard</li>\r\n</ul>', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5051.05000000, NULL, 5051.05000000, 1010.21000000, 0.00000000, 0.00000000, 6061.26000000, 0, NULL, NULL, 0, 3885.43000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5051.05000000, 5051.05000000, 1010.21000000, 6061.26000000),
(6831, 1113, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6832, 1114, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(6833, 1114, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(6834, 1114, NULL, 1222521, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.88000000, NULL, 19.76000000, 3.95000000, 0.00000000, 0.00000000, 23.71000000, 0, NULL, NULL, 0, 4.80000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.88000000, 19.76000000, 3.95000000, 23.71000000),
(6835, 1114, NULL, 954041, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.59000000, NULL, 11.59000000, 2.32000000, 0.00000000, 0.00000000, 13.91000000, 0, NULL, NULL, 0, 5.63000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.59000000, 11.59000000, 2.32000000, 13.91000000),
(6836, 1114, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(6837, 1115, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1417.00000000, NULL, 1417.00000000, 283.40000000, 0.00000000, 0.00000000, 1700.40000000, 0, NULL, NULL, 0, 1090.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1417.00000000, 1417.00000000, 283.40000000, 1700.40000000),
(6838, 1115, NULL, 1223702, NULL, 'bouchonnage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.00000000, NULL, 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(6839, 1115, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 10.30000000, NULL, 20.60000000, 4.12000000, 0.00000000, 0.00000000, 24.72000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 20.60000000, 4.12000000, 24.72000000),
(6840, 1115, NULL, 1218029, NULL, 'SOUPAPE 2800/D14 3/4\" 15.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.40000000, NULL, 61.40000000, 12.28000000, 0.00000000, 0.00000000, 73.68000000, 0, NULL, NULL, 0, 29.81000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.40000000, 61.40000000, 12.28000000, 73.68000000),
(6841, 1115, NULL, 1218070, NULL, 'SOUPAPE 2800/F18 1\" 10.5bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.00000000, NULL, 99.00000000, 19.80000000, 0.00000000, 0.00000000, 118.80000000, 0, NULL, NULL, 0, 48.06000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.00000000, 99.00000000, 19.80000000, 118.80000000),
(6842, 1116, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 300.00000000, NULL, 300.00000000, 60.00000000, 0.00000000, 0.00000000, 360.00000000, 0, NULL, NULL, 0, 200.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 300.00000000, 300.00000000, 60.00000000, 360.00000000),
(6843, 1116, NULL, 1245951, NULL, 'Coreline Waterproof WT120C LED60S/840 PSU L1500', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 79.00000000, NULL, 158.00000000, 31.60000000, 0.00000000, 0.00000000, 189.60000000, 0, NULL, NULL, 0, 65.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 158.00000000, 31.60000000, 189.60000000),
(6844, 1116, NULL, 1190644, NULL, 'R2V CU 3G1,5 C100M', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 1.25000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.25000000, 15.00000000, 3.00000000, 18.00000000),
(6845, 1116, NULL, NULL, NULL, 'LEG092005 - boite de d&eacute;rivation 65*65plexo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.30000000, NULL, 4.30000000, 0.86000000, 0.00000000, 0.00000000, 5.16000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.30000000, 4.30000000, 0.86000000, 5.16000000),
(6846, 1116, NULL, NULL, NULL, 'Offre de prix', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6847, 1116, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6848, 1116, NULL, NULL, NULL, 'Hors devis', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6849, 1116, NULL, 1068741, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.00000000, NULL, 32.00000000, 6.40000000, 0.00000000, 0.00000000, 38.40000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.00000000, 32.00000000, 6.40000000, 38.40000000),
(6850, 1116, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6852, 1117, NULL, NULL, '1 START25', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6853, 1117, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 379.12000000, NULL, 379.12000000, 75.82000000, 0.00000000, 0.00000000, 454.94000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 379.12000000, 379.12000000, 75.82000000, 454.94000000),
(6854, 1117, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.40000000, NULL, 5.40000000, 1.08000000, 0.00000000, 0.00000000, 6.48000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.40000000, 5.40000000, 1.08000000, 6.48000000),
(6855, 1117, NULL, 955041, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 121.02000000, NULL, 121.02000000, 24.20000000, 0.00000000, 0.00000000, 145.22000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 121.02000000, 121.02000000, 24.20000000, 145.22000000),
(6856, 1117, NULL, 952001, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.77000000, NULL, 32.77000000, 6.55000000, 0.00000000, 0.00000000, 39.32000000, 0, NULL, NULL, 0, 16.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.77000000, 32.77000000, 6.55000000, 39.32000000),
(6857, 1117, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.01000000, NULL, 12.01000000, 2.40000000, 0.00000000, 0.00000000, 14.41000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.01000000, 12.01000000, 2.40000000, 14.41000000),
(6858, 1117, NULL, 1222606, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.02000000, NULL, 54.06000000, 10.81000000, 0.00000000, 0.00000000, 64.87000000, 0, NULL, NULL, 0, 8.91000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.02000000, 54.06000000, 10.81000000, 64.87000000),
(6859, 1117, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 108.75000000, NULL, 108.75000000, 21.75000000, 0.00000000, 0.00000000, 130.50000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 108.75000000, 108.75000000, 21.75000000, 130.50000000),
(6860, 1117, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6861, 1117, NULL, NULL, '2 MAUGUIERE CA1150', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6862, 1117, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 62.70000000, NULL, 62.70000000, 12.54000000, 0.00000000, 0.00000000, 75.24000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 62.70000000, 62.70000000, 12.54000000, 75.24000000),
(6863, 1117, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.91000000, NULL, 27.91000000, 5.58000000, 0.00000000, 0.00000000, 33.49000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.91000000, 27.91000000, 5.58000000, 33.49000000),
(6864, 1117, NULL, 951965, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.68000000, NULL, 14.68000000, 2.94000000, 0.00000000, 0.00000000, 17.62000000, 0, NULL, NULL, 0, 7.26000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.68000000, 14.68000000, 2.94000000, 17.62000000),
(6865, 1117, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6866, 1117, NULL, NULL, '3 Filtre AG', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6867, 1117, NULL, 954013, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 98.15000000, NULL, 98.15000000, 19.63000000, 0.00000000, 0.00000000, 117.78000000, 0, NULL, NULL, 0, 48.51000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 98.15000000, 98.15000000, 19.63000000, 117.78000000),
(6868, 1117, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(6869, 1117, NULL, NULL, '4 Separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6870, 1117, NULL, 955222, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.33000000, NULL, 77.33000000, 15.47000000, 0.00000000, 0.00000000, 92.80000000, 0, NULL, NULL, 0, 38.22000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.33000000, 77.33000000, 15.47000000, 92.80000000),
(6871, 1117, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6872, 1117, NULL, NULL, '5 Rollair 15', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6873, 1117, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 379.12000000, NULL, 379.12000000, 75.82000000, 0.00000000, 0.00000000, 454.94000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 379.12000000, 379.12000000, 75.82000000, 454.94000000),
(6874, 1117, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.40000000, NULL, 5.40000000, 1.08000000, 0.00000000, 0.00000000, 6.48000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.40000000, 5.40000000, 1.08000000, 6.48000000),
(6875, 1117, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 108.75000000, NULL, 108.75000000, 21.75000000, 0.00000000, 0.00000000, 130.50000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 108.75000000, 108.75000000, 21.75000000, 130.50000000),
(6876, 1117, NULL, 955042, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 122.75000000, NULL, 122.75000000, 24.55000000, 0.00000000, 0.00000000, 147.30000000, 0, NULL, NULL, 0, 60.67000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 122.75000000, 122.75000000, 24.55000000, 147.30000000),
(6877, 1117, NULL, 952220, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.32000000, NULL, 19.32000000, 3.86000000, 0.00000000, 0.00000000, 23.18000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.32000000, 19.32000000, 3.86000000, 23.18000000),
(6878, 1117, NULL, 954034, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.23000000, NULL, 24.23000000, 4.85000000, 0.00000000, 0.00000000, 29.08000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.23000000, 24.23000000, 4.85000000, 29.08000000),
(6879, 1117, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6880, 1117, NULL, NULL, '6 filtres reseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6881, 1117, NULL, 952859, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.90000000, NULL, 90.90000000, 18.18000000, 0.00000000, 0.00000000, 109.08000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.90000000, 90.90000000, 18.18000000, 109.08000000),
(6882, 1117, NULL, 952861, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.90000000, NULL, 90.90000000, 18.18000000, 0.00000000, 0.00000000, 109.08000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.90000000, 90.90000000, 18.18000000, 109.08000000),
(6883, 1117, NULL, 952860, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.90000000, NULL, 90.90000000, 18.18000000, 0.00000000, 0.00000000, 109.08000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.90000000, 90.90000000, 18.18000000, 109.08000000),
(6884, 1117, NULL, 952862, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 92.55000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.55000000, 0.00000000, 0.00000000, 0.00000000),
(6885, 1117, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6886, 1118, NULL, 944455, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 119.35000000, NULL, 119.35000000, 23.87000000, 0.00000000, 0.00000000, 143.22000000, 0, NULL, NULL, 0, 57.94000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 119.35000000, 119.35000000, 23.87000000, 143.22000000),
(6887, 1118, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(6888, 1119, NULL, NULL, '1 Armoire tarif jaune', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6889, 1119, NULL, 1305825, NULL, 'IC60N DISJ 4P 40A COURB C 02', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.67000000, NULL, 111.67000000, 22.33000000, 0.00000000, 0.00000000, 134.00000000, 0, NULL, NULL, 0, 98.75000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.67000000, 111.67000000, 22.33000000, 134.00000000),
(6890, 1119, NULL, 1305824, NULL, 'IPRD40R PARAFOUD 40KA 3PN 02', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 356.76000000, NULL, 356.76000000, 71.35000000, 0.00000000, 0.00000000, 428.11000000, 0, NULL, NULL, 0, 315.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 356.76000000, 356.76000000, 71.35000000, 428.11000000),
(6891, 1119, NULL, 1298098, NULL, 'Disjoncteur C120N 4P 100 A, courbe C, 10 kA', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 398.59000000, NULL, 1195.77000000, 239.15000000, 0.00000000, 0.00000000, 1434.92000000, 0, NULL, NULL, 0, 312.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 398.59000000, 1195.77000000, 239.15000000, 1434.92000000),
(6892, 1119, NULL, 1298099, NULL, 'Acti9 iC120 Vigi C120 - bloc différentiel - 4P - 300mA - type AC - instantané', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 310.51000000, NULL, 931.53000000, 186.31000000, 0.00000000, 0.00000000, 1117.84000000, 0, NULL, NULL, 0, 243.05000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 310.51000000, 931.53000000, 186.31000000, 1117.84000000),
(6893, 1119, NULL, 1305825, NULL, 'IC60N DISJ 4P 40A COURB C 02', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 123.02000000, NULL, 369.06000000, 73.81000000, 0.00000000, 0.00000000, 442.87000000, 0, NULL, NULL, 0, 103.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.02000000, 369.06000000, 73.81000000, 442.87000000),
(6894, 1119, NULL, 1305844, NULL, 'Acti9, Vigi iC60, bloc différentiel 4P 40A 300mA type AC 230-240/400-415V', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 165.61000000, NULL, 496.83000000, 99.37000000, 0.00000000, 0.00000000, 596.20000000, 0, NULL, NULL, 0, 135.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 165.61000000, 496.83000000, 99.37000000, 596.20000000),
(6895, 1119, NULL, 1223580, NULL, 'Prodis. DT40N disjoncteur - 3P+N 20A - courbe C - 10kA', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 89.24000000, NULL, 713.92000000, 142.78000000, 0.00000000, 0.00000000, 856.70000000, 0, NULL, NULL, 0, 69.85000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 89.24000000, 713.92000000, 142.78000000, 856.70000000),
(6896, 1119, NULL, 1223581, NULL, 'ProDis Vigi DT40 - bloc différentiel 3P+N 25A 300mA instantané type AC 230-415V', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 155.22000000, NULL, 1241.76000000, 248.35000000, 0.00000000, 0.00000000, 1490.11000000, 0, NULL, NULL, 0, 121.50000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.22000000, 1241.76000000, 248.35000000, 1490.11000000),
(6897, 1119, NULL, 1223579, NULL, 'Prodis DT40N - disjoncteur - 1P+N - 16A - courbe C', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 45.99000000, NULL, 459.90000000, 91.98000000, 0.00000000, 0.00000000, 551.88000000, 0, NULL, NULL, 0, 36.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.99000000, 459.90000000, 91.98000000, 551.88000000),
(6898, 1119, NULL, 1190442, NULL, 'vigi dt40 1pn 25a 30ma', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 125.86000000, NULL, 1258.60000000, 251.72000000, 0.00000000, 0.00000000, 1510.32000000, 0, NULL, NULL, 0, 102.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 125.86000000, 1258.60000000, 251.72000000, 1510.32000000),
(6899, 1119, NULL, 1298093, NULL, 'ProDis DT40 Vigi - disjoncteur différentiel 1P+N 6kA 16A 30 mA courbe C type AC', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 138.36000000, NULL, 1383.60000000, 276.72000000, 0.00000000, 0.00000000, 1660.32000000, 0, NULL, NULL, 0, 108.30000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 138.36000000, 1383.60000000, 276.72000000, 1660.32000000),
(6900, 1119, NULL, 1223583, NULL, 'Vigi DT40 bloc différentiel 3P+N 25A 30mA instantané type AC 230-415V', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 181.69000000, NULL, 908.45000000, 181.69000000, 0.00000000, 0.00000000, 1090.14000000, 0, NULL, NULL, 0, 163.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 181.69000000, 908.45000000, 181.69000000, 1090.14000000),
(6901, 1119, NULL, 1223580, NULL, 'Prodis. DT40N disjoncteur - 3P+N 20A - courbe C - 10kA', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 89.24000000, NULL, 446.20000000, 89.24000000, 0.00000000, 0.00000000, 535.44000000, 0, NULL, NULL, 0, 69.85000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 89.24000000, 446.20000000, 89.24000000, 535.44000000),
(6902, 1119, NULL, 1223581, NULL, 'ProDis Vigi DT40 - bloc différentiel 3P+N 25A 300mA instantané type AC 230-415V', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 155.22000000, NULL, 776.10000000, 155.22000000, 0.00000000, 0.00000000, 931.32000000, 0, NULL, NULL, 0, 121.50000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.22000000, 776.10000000, 155.22000000, 931.32000000),
(6903, 1119, NULL, 1298096, NULL, 'conformite consuel', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 638.76000000, NULL, 638.76000000, 127.75000000, 0.00000000, 0.00000000, 766.51000000, 0, NULL, NULL, 0, 500.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 638.76000000, 638.76000000, 127.75000000, 766.51000000),
(6904, 1119, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6905, 1119, NULL, NULL, '2 Partie Canalis', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6906, 1119, NULL, 1298075, NULL, 'cable u1000 ro2v 5g25', 20.000, '', 0.000, '0', 0.000, '0', 35, 0, 0, NULL, 31.94000000, NULL, 1117.90000000, 223.58000000, 0.00000000, 0.00000000, 1341.48000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 31.94000000, 1117.90000000, 223.58000000, 1341.48000000),
(6907, 1119, NULL, 1298072, NULL, 'Canalis KNA - élément droit 100A 3m blanc 6 fenêtres', 20.000, '', 0.000, '0', 0.000, '0', 11, 0, 0, NULL, 223.81000000, NULL, 2461.91000000, 492.38000000, 0.00000000, 0.00000000, 2954.29000000, 0, NULL, NULL, 0, 175.19000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 223.81000000, 2461.91000000, 492.38000000, 2954.29000000),
(6908, 1119, NULL, 1298073, NULL, 'Canalis KNA - unité d\'alimentation - 100A - montage gauche ou droite', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 143.68000000, NULL, 574.72000000, 114.94000000, 0.00000000, 0.00000000, 689.66000000, 0, NULL, NULL, 0, 112.47000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.68000000, 574.72000000, 114.94000000, 689.66000000),
(6909, 1119, NULL, 1115257, NULL, 'Fixation murale 40-160A', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 5.60000000, NULL, 280.00000000, 56.00000000, 0.00000000, 0.00000000, 336.00000000, 0, NULL, NULL, 0, 2.87000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.60000000, 280.00000000, 56.00000000, 336.00000000),
(6910, 1119, NULL, 1190724, NULL, 'CONNECTEUR 25A POUR FUS 10,3x38', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 71.92000000, NULL, 1078.80000000, 215.76000000, 0.00000000, 0.00000000, 1294.56000000, 0, NULL, NULL, 0, 58.00000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 71.92000000, 1078.80000000, 215.76000000, 1294.56000000),
(6911, 1119, NULL, 1115279, NULL, 'Coffret sect. 50A 3P+N fusible NF', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 162.77000000, NULL, 2441.55000000, 488.31000000, 0.00000000, 0.00000000, 2929.86000000, 0, NULL, NULL, 0, 131.80000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 162.77000000, 2441.55000000, 488.31000000, 2929.86000000),
(6912, 1119, NULL, 1298076, NULL, 'Canalis KN - connecteur de dérivation 32A pour app mod 5 modules de 18mm', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 83.04000000, NULL, 1660.80000000, 332.16000000, 0.00000000, 0.00000000, 1992.96000000, 0, NULL, NULL, 0, 65.00000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 83.04000000, 1660.80000000, 332.16000000, 1992.96000000),
(6913, 1119, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6914, 1119, NULL, NULL, '3 Partie eclairage atelier et coffrets prises', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6915, 1119, NULL, 1190633, NULL, 'mini coffret kaedra 6m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 107.22000000, NULL, 107.22000000, 21.44000000, 0.00000000, 0.00000000, 128.66000000, 0, NULL, NULL, 0, 55.00000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 107.22000000, 107.22000000, 21.44000000, 128.66000000),
(6916, 1119, NULL, 1298106, NULL, '2P+T F/B GRIS SAILLIE', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 12.78000000, NULL, 63.90000000, 12.78000000, 0.00000000, 0.00000000, 76.68000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.78000000, 63.90000000, 12.78000000, 76.68000000),
(6917, 1119, NULL, 1298071, NULL, 'Coreline Waterproof WT120C LED60S/840 PSU L1500', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 95.81000000, NULL, 1437.15000000, 287.43000000, 0.00000000, 0.00000000, 1724.58000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.81000000, 1437.15000000, 287.43000000, 1724.58000000),
(6918, 1119, NULL, 1298090, NULL, 'rail de supportage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 511.01000000, NULL, 511.01000000, 102.20000000, 0.00000000, 0.00000000, 613.21000000, 0, NULL, NULL, 0, 400.00000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 511.01000000, 511.01000000, 102.20000000, 613.21000000),
(6919, 1119, NULL, 1298089, NULL, 'cablofil 54   200mm', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 31.94000000, NULL, 1277.60000000, 255.52000000, 0.00000000, 0.00000000, 1533.12000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 31.94000000, 1277.60000000, 255.52000000, 1533.12000000),
(6920, 1119, NULL, 1298107, NULL, 'R2V CU 3G2,5 C100M DISTINGO', 20.000, '', 0.000, '0', 0.000, '0', 150, 0, 0, NULL, 1.85000000, NULL, 277.50000000, 55.50000000, 0.00000000, 0.00000000, 333.00000000, 0, NULL, NULL, 0, 1.45000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.85000000, 277.50000000, 55.50000000, 333.00000000),
(6921, 1119, NULL, 1298085, NULL, 'R2V CU 3G1,5 C100M DISTINGO', 20.000, '', 0.000, '0', 0.000, '0', 300, 0, 0, NULL, 1.21000000, NULL, 363.00000000, 72.60000000, 0.00000000, 0.00000000, 435.60000000, 0, NULL, NULL, 0, 0.95000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.21000000, 363.00000000, 72.60000000, 435.60000000),
(6922, 1119, NULL, 1298079, NULL, 'Coffret d\'atelier monophase & triphasé 4 prises 16A 230V et 2 prises 16A 400V', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 447.13000000, NULL, 4471.30000000, 894.26000000, 0.00000000, 0.00000000, 5365.56000000, 0, NULL, NULL, 0, 350.00000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 447.13000000, 4471.30000000, 894.26000000, 5365.56000000),
(6923, 1119, NULL, 1298080, NULL, 'R2V CU 5G10 TGL', 20.000, '', 0.000, '0', 0.000, '0', 100, 0, 0, NULL, 13.03000000, NULL, 1303.00000000, 260.60000000, 0.00000000, 0.00000000, 1563.60000000, 0, NULL, NULL, 0, 10.20000000, NULL, 0, 0, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.03000000, 1303.00000000, 260.60000000, 1563.60000000),
(6924, 1119, NULL, 1305846, NULL, 'Canalis KB - connecteur dérivat. 10A - polarité fixe pré-câblé L1+N', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 9.08000000, NULL, 136.20000000, 27.24000000, 0.00000000, 0.00000000, 163.44000000, 0, NULL, NULL, 0, 7.38000000, NULL, 0, 0, 37, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.08000000, 136.20000000, 27.24000000, 163.44000000),
(6925, 1119, NULL, 1298081, NULL, 'cable RO2V 5G6MM²', 20.000, '', 0.000, '0', 0.000, '0', 120, 0, 0, NULL, 7.63000000, NULL, 915.60000000, 183.12000000, 0.00000000, 0.00000000, 1098.72000000, 0, NULL, NULL, 0, 5.97000000, NULL, 0, 0, 38, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.63000000, 915.60000000, 183.12000000, 1098.72000000),
(6926, 1119, NULL, 1298084, NULL, 'BOITE DERIVATION 100X100 PLEXO', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 8.94000000, NULL, 268.20000000, 53.64000000, 0.00000000, 0.00000000, 321.84000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 39, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.94000000, 268.20000000, 53.64000000, 321.84000000),
(6927, 1119, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 40, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6928, 1119, NULL, NULL, '4 Main d\'oeuvre et déplacement  pour l\'ensemble', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 41, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6929, 1119, NULL, 1298092, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1774.34000000, NULL, 1774.34000000, 354.87000000, 0.00000000, 0.00000000, 2129.21000000, 0, NULL, NULL, 0, 1500.00000000, NULL, 0, 0, 42, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1774.34000000, 1774.34000000, 354.87000000, 2129.21000000),
(6930, 1119, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8607.62000000, NULL, 8607.62000000, 1721.52000000, 0.00000000, 0.00000000, 10329.14000000, 0, NULL, NULL, 0, 7064.00000000, NULL, 0, 0, 43, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8607.62000000, 8607.62000000, 1721.52000000, 10329.14000000),
(6931, 1119, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 566.45000000, NULL, 566.45000000, 113.29000000, 0.00000000, 0.00000000, 679.74000000, 0, NULL, NULL, 0, 450.00000000, NULL, 0, 0, 44, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 566.45000000, 566.45000000, 113.29000000, 679.74000000),
(6932, 1119, NULL, NULL, 'Sous-total Partie bureaux reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 55, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6933, 1119, NULL, NULL, '6 Blocs de securité', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 56, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6934, 1119, NULL, 1305845, NULL, 'Pyros - Bloc évacuation à led - 2W - 48/110/220 VCC - 230 VCA - IP66 IK10', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 137.22000000, NULL, 411.66000000, 82.33000000, 0.00000000, 0.00000000, 493.99000000, 0, NULL, NULL, 0, 125.00000000, NULL, 0, 0, 57, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 137.22000000, 411.66000000, 82.33000000, 493.99000000),
(6935, 1119, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 279.16000000, NULL, 279.16000000, 55.83000000, 0.00000000, 0.00000000, 334.99000000, 0, NULL, NULL, 0, 230.00000000, NULL, 0, 0, 58, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 279.16000000, 279.16000000, 55.83000000, 334.99000000),
(6936, 1119, NULL, 1190548, NULL, 'TELECOMMANDE 50 BLOCS DE 02', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 165.61000000, NULL, 165.61000000, 33.12000000, 0.00000000, 0.00000000, 198.73000000, 0, NULL, NULL, 0, 119.69000000, NULL, 0, 0, 59, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 165.61000000, 165.61000000, 33.12000000, 198.73000000),
(6937, 1119, NULL, NULL, 'Sous-total Blocs de securité', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 60, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6938, 1119, NULL, NULL, '7 VMC sanitaire', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 61, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6939, 1119, NULL, 1305852, NULL, 'Kit autocosy vmc autoreglable 4 sanitaires (3 bouches line)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.84000000, NULL, 143.84000000, 28.77000000, 0.00000000, 0.00000000, 172.61000000, 0, NULL, NULL, 0, 117.00000000, NULL, 0, 0, 62, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.84000000, 143.84000000, 28.77000000, 172.61000000),
(6940, 1119, NULL, NULL, NULL, '<p>lot de gaines</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 63, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6941, 1119, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.05000000, NULL, 52.05000000, 10.41000000, 0.00000000, 0.00000000, 62.46000000, 0, NULL, NULL, 0, 45.00000000, NULL, 0, 0, 64, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.05000000, 52.05000000, 10.41000000, 62.46000000),
(6942, 1119, NULL, NULL, 'Sous-total VMC sanitaire', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 65, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6976, 1121, NULL, NULL, '1 Réseau general diametre 28', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6977, 1121, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 138, 0, 0, NULL, 5.19000000, NULL, 716.22000000, 143.24000000, 0.00000000, 0.00000000, 859.46000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.19000000, 716.22000000, 143.24000000, 859.46000000),
(6978, 1121, NULL, 1190653, NULL, 'Supportage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 274.79000000, NULL, 274.79000000, 54.96000000, 0.00000000, 0.00000000, 329.75000000, 0, NULL, NULL, 0, 206.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 274.79000000, 274.79000000, 54.96000000, 329.75000000),
(6979, 1121, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 45, 0, 0, NULL, 0.93000000, NULL, 41.85000000, 8.37000000, 0.00000000, 0.00000000, 50.22000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.93000000, 41.85000000, 8.37000000, 50.22000000),
(6980, 1121, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 25, 0, 0, NULL, 3.51000000, NULL, 87.75000000, 17.55000000, 0.00000000, 0.00000000, 105.30000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.51000000, 87.75000000, 17.55000000, 105.30000000),
(6981, 1121, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 7.86000000, NULL, 117.90000000, 23.58000000, 0.00000000, 0.00000000, 141.48000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.86000000, 117.90000000, 23.58000000, 141.48000000),
(6982, 1121, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 5.55000000, NULL, 83.25000000, 16.65000000, 0.00000000, 0.00000000, 99.90000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.55000000, 83.25000000, 16.65000000, 99.90000000),
(6983, 1121, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 6.32000000, NULL, 94.80000000, 18.96000000, 0.00000000, 0.00000000, 113.76000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.32000000, 94.80000000, 18.96000000, 113.76000000),
(6984, 1121, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 7.44000000, NULL, 111.60000000, 22.32000000, 0.00000000, 0.00000000, 133.92000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.44000000, 111.60000000, 22.32000000, 133.92000000),
(6985, 1121, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6986, 1121, NULL, NULL, '2 5 descentes diametre 22', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6987, 1121, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 4.08000000, NULL, 48.96000000, 9.79000000, 0.00000000, 0.00000000, 58.75000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.08000000, 48.96000000, 9.79000000, 58.75000000),
(6988, 1121, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.92000000, NULL, 9.20000000, 1.84000000, 0.00000000, 0.00000000, 11.04000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.92000000, 9.20000000, 1.84000000, 11.04000000),
(6989, 1121, NULL, 1080054, NULL, 'Crosse d\'évêque diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 10.12000000, NULL, 50.60000000, 10.12000000, 0.00000000, 0.00000000, 60.72000000, 0, NULL, NULL, 0, 8.69000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.12000000, 50.60000000, 10.12000000, 60.72000000),
(6990, 1121, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.93000000, NULL, 14.65000000, 2.93000000, 0.00000000, 0.00000000, 17.58000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.93000000, 14.65000000, 2.93000000, 17.58000000),
(6991, 1121, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 11.95000000, NULL, 59.75000000, 11.95000000, 0.00000000, 0.00000000, 71.70000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.95000000, 59.75000000, 11.95000000, 71.70000000),
(6992, 1121, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 6.06000000, NULL, 30.30000000, 6.06000000, 0.00000000, 0.00000000, 36.36000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.06000000, 30.30000000, 6.06000000, 36.36000000),
(6993, 1121, NULL, 966723, NULL, 'Raccord Y mâle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.86000000, NULL, 19.30000000, 3.86000000, 0.00000000, 0.00000000, 23.16000000, 0, NULL, NULL, 0, 2.35000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.86000000, 19.30000000, 3.86000000, 23.16000000),
(6994, 1121, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 20.46000000, NULL, 204.60000000, 40.92000000, 0.00000000, 0.00000000, 245.52000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.46000000, 204.60000000, 40.92000000, 245.52000000),
(6995, 1121, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6996, 1121, NULL, NULL, '3 8 piquages pour alimentation machines', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(6997, 1121, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 6.06000000, NULL, 48.48000000, 9.70000000, 0.00000000, 0.00000000, 58.18000000, 0, NULL, NULL, 0, 2.59000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.06000000, 48.48000000, 9.70000000, 58.18000000),
(6998, 1121, NULL, 971943, NULL, 'Tuyau PVC tressé POLYFLEXAIR Ø10x16 Couleur bleue en couronne de 50 mètres- PS:15 Bar', 20.000, '', 0.000, '0', 0.000, '0', 150, 0, 0, NULL, 0.97000000, NULL, 145.50000000, 29.10000000, 0.00000000, 0.00000000, 174.60000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 145.50000000, 29.10000000, 174.60000000),
(6999, 1121, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 278.81000000, NULL, 278.81000000, 55.76000000, 0.00000000, 0.00000000, 334.57000000, 0, NULL, NULL, 0, 209.10000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 278.81000000, 278.81000000, 55.76000000, 334.57000000),
(7000, 1121, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7001, 1121, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 829.40000000, NULL, 829.40000000, 165.88000000, 0.00000000, 0.00000000, 995.28000000, 0, NULL, NULL, 0, 600.00000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 829.40000000, 829.40000000, 165.88000000, 995.28000000),
(7002, 1121, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1998.57000000, NULL, 1998.57000000, 399.71000000, 0.00000000, 0.00000000, 2398.28000000, 0, NULL, NULL, 0, 1500.00000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1998.57000000, 1998.57000000, 399.71000000, 2398.28000000),
(7003, 1121, NULL, NULL, '4 remplacement reservoir 500Litres', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7004, 1121, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 538.00000000, NULL, 538.00000000, 107.60000000, 0.00000000, 0.00000000, 645.60000000, 0, NULL, NULL, 0, 399.00000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 538.00000000, 538.00000000, 107.60000000, 645.60000000),
(7005, 1121, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 539.20000000, NULL, 539.20000000, 107.84000000, 0.00000000, 0.00000000, 647.04000000, 0, NULL, NULL, 0, 484.00000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 539.20000000, 539.20000000, 107.84000000, 647.04000000),
(7006, 1121, NULL, 1223700, NULL, 'Fourniture Plomberie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.76000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 70.00000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.76000000, 95.76000000, 19.15000000, 114.91000000),
(7007, 1121, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7008, 1122, NULL, NULL, NULL, 'Maintenance L07RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7009, 1122, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(7010, 1122, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.25000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 32.50000000, 6.50000000, 39.00000000),
(7011, 1122, NULL, 955040, NULL, 'SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(7012, 1122, NULL, 954038, NULL, 'CARTOUCHE HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(7013, 1122, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(7014, 1122, NULL, 951971, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(7015, 1122, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7016, 1122, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7017, 1122, NULL, NULL, NULL, 'Maintenance rollair', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7018, 1122, NULL, 1231653, NULL, 'SEPRATEUR AIR/HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 41.82000000, NULL, 41.82000000, 8.36000000, 0.00000000, 0.00000000, 50.18000000, 0, NULL, NULL, 0, 19.41000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.82000000, 41.82000000, 8.36000000, 50.18000000),
(7019, 1122, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(7020, 1122, NULL, 1297968, NULL, 'pressostat', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.00000000, NULL, 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 60.50000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.00000000, 110.00000000, 22.00000000, 132.00000000),
(7021, 1122, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7022, 1123, NULL, NULL, NULL, 'Mensualit&eacute;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1419.00000000, NULL, 1419.00000000, 283.80000000, 0.00000000, 0.00000000, 1702.80000000, 0, '2019-05-16 12:00:00', NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1419.00000000, 1419.00000000, 283.80000000, 1702.80000000),
(7023, 1124, NULL, 1222125, NULL, 'cartouche reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 95.15000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(7024, 1124, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7025, 1124, NULL, 1230990, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(7026, 1124, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(7027, 1124, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 122.76000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(7028, 1125, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7029, 1125, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(7030, 1125, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(7031, 1125, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 71.92000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(7032, 1126, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(7033, 1126, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 100, 0, 0, NULL, 0.97000000, NULL, 97.00000000, 19.40000000, 0.00000000, 0.00000000, 116.40000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 97.00000000, 19.40000000, 116.40000000),
(7034, 1127, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1055.01000000, NULL, 1055.01000000, 211.00000000, 0.00000000, 0.00000000, 1266.01000000, 0, NULL, NULL, 0, 1000.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1055.01000000, 1055.01000000, 211.00000000, 1266.01000000),
(7035, 1127, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 4.04000000, NULL, 121.20000000, 24.24000000, 0.00000000, 0.00000000, 145.44000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.04000000, 121.20000000, 24.24000000, 145.44000000),
(7036, 1127, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 4.33000000, NULL, 30.31000000, 6.06000000, 0.00000000, 0.00000000, 36.37000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.33000000, 30.31000000, 6.06000000, 36.37000000),
(7037, 1127, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 5.37000000, NULL, 21.48000000, 4.30000000, 0.00000000, 0.00000000, 25.78000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.37000000, 21.48000000, 4.30000000, 25.78000000),
(7038, 1127, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.91000000, NULL, 5.82000000, 1.16000000, 0.00000000, 0.00000000, 6.98000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.91000000, 5.82000000, 1.16000000, 6.98000000),
(7039, 1127, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 0.91000000, NULL, 14.56000000, 2.91000000, 0.00000000, 0.00000000, 17.47000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.91000000, 14.56000000, 2.91000000, 17.47000000),
(7040, 1127, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 3.25000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.00000000, 12.00000000, 2.40000000, 14.40000000),
(7041, 1127, NULL, 966502, NULL, 'Vanne F/F G1/4 PN50 DN8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.79000000, NULL, 4.79000000, 0.96000000, 0.00000000, 0.00000000, 5.75000000, 0, NULL, NULL, 0, 2.95000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.79000000, 4.79000000, 0.96000000, 5.75000000),
(7042, 1127, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.64000000, NULL, 6.64000000, 1.33000000, 0.00000000, 0.00000000, 7.97000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.64000000, 6.64000000, 1.33000000, 7.97000000),
(7043, 1127, NULL, 1190647, NULL, 'raccord isiflo diam 25', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.54000000, NULL, 25.08000000, 5.02000000, 0.00000000, 0.00000000, 30.10000000, 0, NULL, NULL, 0, 7.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.54000000, 25.08000000, 5.02000000, 30.10000000),
(7044, 1127, NULL, 1305907, NULL, 'Té égal 125 50x50x50mm Iso 574500 ISIFLO', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.65000000, NULL, 6.65000000, 1.33000000, 0.00000000, 0.00000000, 7.98000000, 0, NULL, NULL, 0, 6.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.65000000, 6.65000000, 1.33000000, 7.98000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(7045, 1127, NULL, 1305716, NULL, '20 x 3/4\'\'', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.87000000, NULL, 4.87000000, 0.97000000, 0.00000000, 0.00000000, 5.84000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.87000000, 4.87000000, 0.97000000, 5.84000000),
(7046, 1127, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.83000000, NULL, 23.66000000, 4.73000000, 0.00000000, 0.00000000, 28.39000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.83000000, 23.66000000, 4.73000000, 28.39000000),
(7047, 1127, NULL, 1079963, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.¾\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 10.33000000, NULL, 20.66000000, 4.13000000, 0.00000000, 0.00000000, 24.79000000, 0, NULL, NULL, 0, 8.97000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.33000000, 20.66000000, 4.13000000, 24.79000000),
(7048, 1127, NULL, 1079927, NULL, 'Raccord mixte mâle diam. ext. 22.¾\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.47000000, NULL, 5.47000000, 1.09000000, 0.00000000, 0.00000000, 6.56000000, 0, NULL, NULL, 0, 4.75000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.47000000, 5.47000000, 1.09000000, 6.56000000),
(7049, 1127, NULL, 1064889, NULL, 'CONSOLE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1354.14000000, NULL, 2708.28000000, 541.66000000, 0.00000000, 0.00000000, 3249.94000000, 0, NULL, NULL, 0, 810.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1354.14000000, 2708.28000000, 541.66000000, 3249.94000000),
(7050, 1127, NULL, 1071255, NULL, 'BOITE DERIVATION 80X80 PLEXO', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.04000000, NULL, 6.04000000, 1.21000000, 0.00000000, 0.00000000, 7.25000000, 0, NULL, NULL, 0, 3.61000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.04000000, 6.04000000, 1.21000000, 7.25000000),
(7051, 1127, NULL, 1298028, NULL, 'R2V CU 5G2,5  DISTINGO', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 2.11000000, NULL, 12.66000000, 2.53000000, 0.00000000, 0.00000000, 15.19000000, 0, NULL, NULL, 0, 2.05000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.11000000, 12.66000000, 2.53000000, 15.19000000),
(7052, 1127, NULL, 1190352, NULL, 'Petites Fournitures', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 83.59000000, NULL, 83.59000000, 16.72000000, 0.00000000, 0.00000000, 100.31000000, 0, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 83.59000000, 83.59000000, 16.72000000, 100.31000000),
(7053, 1127, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.00000000, NULL, 3.00000000, 0.60000000, 0.00000000, 0.00000000, 3.60000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.00000000, 3.00000000, 0.60000000, 3.60000000),
(7054, 1127, NULL, 966723, NULL, 'Raccord Y mâle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.81000000, NULL, 3.81000000, 0.76000000, 0.00000000, 0.00000000, 4.57000000, 0, NULL, NULL, 0, 2.35000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.81000000, 3.81000000, 0.76000000, 4.57000000),
(7055, 1127, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.15000000, NULL, 1.15000000, 0.23000000, 0.00000000, 0.00000000, 1.38000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.15000000, 1.15000000, 0.23000000, 1.38000000),
(7056, 1127, NULL, 1190484, NULL, 'tube iro diam 20', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 1.09000000, NULL, 3.27000000, 0.65000000, 0.00000000, 0.00000000, 3.92000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.09000000, 3.27000000, 0.65000000, 3.92000000),
(7059, 1130, NULL, NULL, NULL, 'Acompte (6 000,00 €) - CO1904-0916', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -6000.00000000, NULL, -6000.00000000, 0.00000000, 0.00000000, 0.00000000, -6000.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -6000.00000000, -6000.00000000, 0.00000000, -6000.00000000),
(7060, 1131, NULL, NULL, NULL, 'Acompte (6 000,00 &euro;) - CO1904-0916', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6000.00000000, NULL, 6000.00000000, 1200.00000000, 0.00000000, 0.00000000, 7200.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6000.00000000, 6000.00000000, 1200.00000000, 7200.00000000),
(7061, 1132, NULL, 1176158, NULL, 'GAS SPRING DEVICE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 72.00000000, NULL, 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 41.06000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 72.00000000, 144.00000000, 28.80000000, 172.80000000),
(7062, 1132, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(7065, 1133, NULL, 1179624, NULL, 'MINOR KIT C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -24.24000000, NULL, -24.24000000, -4.85000000, 0.00000000, 0.00000000, -29.09000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -24.24000000, -24.24000000, -4.85000000, -29.09000000),
(7066, 1133, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -102.43000000, NULL, -102.43000000, -20.49000000, 0.00000000, 0.00000000, -122.92000000, 0, NULL, NULL, 0, 202.38000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -102.43000000, -102.43000000, -20.49000000, -122.92000000),
(7069, 1133, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -97.00000000, NULL, -97.00000000, -19.40000000, 0.00000000, 0.00000000, -116.40000000, 0, NULL, NULL, 0, 129.27000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -97.00000000, -97.00000000, -19.40000000, -116.40000000),
(7070, 1134, NULL, 955040, NULL, 'filtre de s&eacute;paration final&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(7071, 1134, NULL, 952187, NULL, 'CARTOUCHE AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.96000000, NULL, 8.96000000, 1.79000000, 0.00000000, 0.00000000, 10.75000000, 0, NULL, NULL, 0, 4.35000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.96000000, 8.96000000, 1.79000000, 10.75000000),
(7072, 1134, NULL, 954127, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.35000000, NULL, 59.35000000, 11.87000000, 0.00000000, 0.00000000, 71.22000000, 0, NULL, NULL, 0, 28.81000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.35000000, 59.35000000, 11.87000000, 71.22000000),
(7073, 1134, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(7074, 1134, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(7075, 1135, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3850.00000000, NULL, 3850.00000000, 770.00000000, 0.00000000, 0.00000000, 4620.00000000, 0, NULL, NULL, 0, 3000.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3850.00000000, 3850.00000000, 770.00000000, 4620.00000000),
(7076, 1135, NULL, 1223702, NULL, '4 vannes inox 1&quot;/14<br />\r\n1 vanne inox 1/2<br />\r\n1 raccord din sms diam 60 + embout &agrave; souder<br />\r\n2 manchon inox 316 femelle taraud&eacute;<br />\r\n1 reduction 1 1/4 1/2 MF 316<br />\r\n1T filet&eacute; 1&quot;1/4 316<br />\r\n&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 798.58000000, NULL, 798.58000000, 159.72000000, 0.00000000, 0.00000000, 958.30000000, 0, NULL, NULL, 0, 600.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 798.58000000, 798.58000000, 159.72000000, 958.30000000),
(7077, 1135, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 10.64000000, NULL, 53.20000000, 10.64000000, 0.00000000, 0.00000000, 63.84000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.64000000, 53.20000000, 10.64000000, 63.84000000),
(7078, 1135, NULL, 1079818, NULL, 'Coude à 45° diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 9.93000000, NULL, 39.72000000, 7.94000000, 0.00000000, 0.00000000, 47.66000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.93000000, 39.72000000, 7.94000000, 47.66000000),
(7079, 1135, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 5.34000000, NULL, 21.36000000, 4.27000000, 0.00000000, 0.00000000, 25.63000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 21.36000000, 4.27000000, 25.63000000),
(7080, 1135, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.42000000, NULL, 6.42000000, 1.28000000, 0.00000000, 0.00000000, 7.70000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 6.42000000, 1.28000000, 7.70000000),
(7081, 1135, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 12.51000000, NULL, 37.53000000, 7.51000000, 0.00000000, 0.00000000, 45.04000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.51000000, 37.53000000, 7.51000000, 45.04000000),
(7082, 1135, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 27.25000000, NULL, 81.75000000, 16.35000000, 0.00000000, 0.00000000, 98.10000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.25000000, 81.75000000, 16.35000000, 98.10000000),
(7083, 1135, NULL, 1080060, NULL, 'Tube \"sanitaire\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 14.55000000, NULL, 87.30000000, 17.46000000, 0.00000000, 0.00000000, 104.76000000, 0, NULL, NULL, 0, 10.25000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.55000000, 87.30000000, 17.46000000, 104.76000000),
(7084, 1135, NULL, 1079867, NULL, 'Té réduit diam. ext. 35 . 22 . 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.90000000, NULL, 10.90000000, 2.18000000, 0.00000000, 0.00000000, 13.08000000, 0, NULL, NULL, 0, 7.67000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.90000000, 10.90000000, 2.18000000, 13.08000000),
(7085, 1135, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.88000000, NULL, 12.88000000, 2.58000000, 0.00000000, 0.00000000, 15.46000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.88000000, 12.88000000, 2.58000000, 15.46000000),
(7086, 1135, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 1.20000000, NULL, 4.80000000, 0.96000000, 0.00000000, 0.00000000, 5.76000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.20000000, 4.80000000, 0.96000000, 5.76000000),
(7087, 1135, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 10.64000000, NULL, 31.92000000, 6.38000000, 0.00000000, 0.00000000, 38.30000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.64000000, 31.92000000, 6.38000000, 38.30000000),
(7088, 1135, NULL, 1079818, NULL, 'Coude à 45° diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.93000000, NULL, 19.86000000, 3.97000000, 0.00000000, 0.00000000, 23.83000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.93000000, 19.86000000, 3.97000000, 23.83000000),
(7089, 1135, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 27.25000000, NULL, 81.75000000, 16.35000000, 0.00000000, 0.00000000, 98.10000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.25000000, 81.75000000, 16.35000000, 98.10000000),
(7090, 1135, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.51000000, NULL, 12.51000000, 2.50000000, 0.00000000, 0.00000000, 15.01000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.51000000, 12.51000000, 2.50000000, 15.01000000),
(7091, 1135, NULL, 1080060, NULL, 'Tube \"sanitaire\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 14.55000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 10.25000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.55000000, 58.20000000, 11.64000000, 69.84000000),
(7092, 1135, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.20000000, NULL, 2.40000000, 0.48000000, 0.00000000, 0.00000000, 2.88000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.20000000, 2.40000000, 0.48000000, 2.88000000),
(7093, 1135, NULL, 1223702, NULL, '1 vannes 1 1/4 316<br />\r\n1 T filet&eacute; femelle 1 1/4 316<br />\r\n1reduction 1 1/4 x 1/2 316', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 578.58000000, NULL, 578.58000000, 115.72000000, 0.00000000, 0.00000000, 694.30000000, 0, NULL, NULL, 0, 309.10000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 578.58000000, 578.58000000, 115.72000000, 694.30000000),
(7094, 1136, NULL, 1188137, NULL, 'comp à piston 100L avec nvlles tete', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 495.00000000, NULL, 495.00000000, 99.00000000, 0.00000000, 0.00000000, 594.00000000, 0, NULL, NULL, 0, 384.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 495.00000000, 495.00000000, 99.00000000, 594.00000000),
(7095, 1137, NULL, 1305925, NULL, 'Kit de pièces d\'usure pour BEKOMAT 13C0 PN25, 40, 50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 84.00000000, NULL, 84.00000000, 16.80000000, 0.00000000, 0.00000000, 100.80000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 84.00000000, 84.00000000, 16.80000000, 100.80000000),
(7096, 1137, NULL, 957271, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 18.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 18.00000000, 3.60000000, 21.60000000),
(7097, 1138, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 495.30000000, NULL, 495.30000000, 99.06000000, 0.00000000, 0.00000000, 594.36000000, 0, NULL, NULL, 0, 302.55000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 495.30000000, 495.30000000, 99.06000000, 594.36000000),
(7098, 1138, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.77000000, NULL, 6.77000000, 1.35000000, 0.00000000, 0.00000000, 8.12000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 6.77000000, 1.35000000, 8.12000000),
(7099, 1138, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 340.95000000, NULL, 340.95000000, 68.19000000, 0.00000000, 0.00000000, 409.14000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 340.95000000, 340.95000000, 68.19000000, 409.14000000),
(7100, 1138, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1255.48000000, NULL, 1255.48000000, 251.10000000, 0.00000000, 0.00000000, 1506.58000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1255.48000000, 1255.48000000, 251.10000000, 1506.58000000),
(7101, 1139, NULL, 1188137, NULL, 'comp à piston 100L avec nvlles tete', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 534.22000000, NULL, 534.22000000, 106.84000000, 0.00000000, 0.00000000, 641.06000000, 0, NULL, NULL, 0, 410.93000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 534.22000000, 534.22000000, 106.84000000, 641.06000000),
(7102, 1139, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(7103, 1140, NULL, NULL, NULL, 'Acompte (20%) - CO1906-0988', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1440.00000000, NULL, 1440.00000000, 288.00000000, 0.00000000, 0.00000000, 1728.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1440.00000000, 1440.00000000, 288.00000000, 1728.00000000),
(7104, 1141, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 279.00000000, NULL, 279.00000000, 55.80000000, 0.00000000, 0.00000000, 334.80000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 279.00000000, 279.00000000, 55.80000000, 334.80000000),
(7105, 1141, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7106, 1141, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(7107, 1141, NULL, 1297968, NULL, 'pressostat', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.00000000, NULL, 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 60.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.00000000, 110.00000000, 22.00000000, 132.00000000),
(7108, 1141, NULL, 1305938, NULL, 'cartouche filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.75000000, NULL, 39.75000000, 7.95000000, 0.00000000, 0.00000000, 47.70000000, 0, NULL, NULL, 0, 23.85000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.75000000, 39.75000000, 7.95000000, 47.70000000),
(7109, 1141, NULL, 1223588, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 38.08000000, NULL, 76.16000000, 15.23000000, 0.00000000, 0.00000000, 91.39000000, 0, NULL, NULL, 0, 19.04000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.08000000, 76.16000000, 15.23000000, 91.39000000),
(7110, 1142, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7111, 1142, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(7113, 1142, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(7114, 1143, NULL, NULL, '1 Maintenance sprint 30 :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7115, 1143, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(7116, 1143, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7117, 1143, NULL, 954037, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.26000000, NULL, 35.26000000, 7.05000000, 0.00000000, 0.00000000, 42.31000000, 0, NULL, NULL, 0, 17.12000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.26000000, 35.26000000, 7.05000000, 42.31000000),
(7118, 1143, NULL, 1222513, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 16.87000000, NULL, 50.61000000, 10.12000000, 0.00000000, 0.00000000, 60.73000000, 0, NULL, NULL, 0, 8.19000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.87000000, 50.61000000, 10.12000000, 60.73000000),
(7119, 1143, NULL, 955041, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(7120, 1143, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7121, 1143, NULL, NULL, '2 filtres reseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7122, 1143, NULL, 953002, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 101.06000000, NULL, 101.06000000, 20.21000000, 0.00000000, 0.00000000, 121.27000000, 0, NULL, NULL, 0, 49.06000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 101.06000000, 101.06000000, 20.21000000, 121.27000000),
(7123, 1143, NULL, 953004, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 101.06000000, NULL, 101.06000000, 20.21000000, 0.00000000, 0.00000000, 121.27000000, 0, NULL, NULL, 0, 49.06000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 101.06000000, 101.06000000, 20.21000000, 121.27000000),
(7124, 1143, NULL, 1245853, NULL, 'SUBMICROFILTRE 0,01 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.30000000, NULL, 100.30000000, 20.06000000, 0.00000000, 0.00000000, 120.36000000, 0, NULL, NULL, 0, 58.11000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.30000000, 100.30000000, 20.06000000, 120.36000000),
(7125, 1143, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7126, 1143, NULL, NULL, '3 maintenance sprint30 :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7127, 1143, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(7128, 1143, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7129, 1143, NULL, 954037, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.26000000, NULL, 35.26000000, 7.05000000, 0.00000000, 0.00000000, 42.31000000, 0, NULL, NULL, 0, 17.12000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.26000000, 35.26000000, 7.05000000, 42.31000000),
(7130, 1143, NULL, 951820, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.05000000, NULL, 12.05000000, 2.41000000, 0.00000000, 0.00000000, 14.46000000, 0, NULL, NULL, 0, 5.85000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.05000000, 12.05000000, 2.41000000, 14.46000000),
(7131, 1143, NULL, 955041, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(7132, 1143, NULL, 1222513, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 16.87000000, NULL, 50.61000000, 10.12000000, 0.00000000, 0.00000000, 60.73000000, 0, NULL, NULL, 0, 8.19000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.87000000, 50.61000000, 10.12000000, 60.73000000),
(7133, 1143, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7134, 1143, NULL, NULL, '4 Maintenance L30 :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7135, 1143, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(7136, 1143, NULL, 1222548, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 28.40000000, NULL, 85.20000000, 17.04000000, 0.00000000, 0.00000000, 102.24000000, 0, NULL, NULL, 0, 13.79000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.40000000, 85.20000000, 17.04000000, 102.24000000),
(7137, 1143, NULL, 952024, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 47.40000000, NULL, 47.40000000, 9.48000000, 0.00000000, 0.00000000, 56.88000000, 0, NULL, NULL, 0, 23.01000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 47.40000000, 47.40000000, 9.48000000, 56.88000000),
(7138, 1143, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 59.69000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(7139, 1143, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7140, 1143, NULL, 954040, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.33000000, NULL, 79.33000000, 15.87000000, 0.00000000, 0.00000000, 95.20000000, 0, NULL, NULL, 0, 38.51000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.33000000, 79.33000000, 15.87000000, 95.20000000),
(7141, 1143, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7142, 1143, NULL, NULL, '5 Huile compresseur pour l\'ensemble :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7143, 1143, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(7144, 1143, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7145, 1144, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(7146, 1144, NULL, 1180028, NULL, 'KIT MAINTENANCE VERTICAL CONCEPT MK2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 220.00000000, NULL, 220.00000000, 44.00000000, 0.00000000, 0.00000000, 264.00000000, 0, NULL, NULL, 0, 209.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 220.00000000, 220.00000000, 44.00000000, 264.00000000),
(7147, 1144, NULL, 1189329, NULL, 'filtre  711/715 (39x39x2)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.65000000, NULL, 39.65000000, 7.93000000, 0.00000000, 0.00000000, 47.58000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.65000000, 39.65000000, 7.93000000, 47.58000000),
(7148, 1144, NULL, 1180449, NULL, 'HUILE  HYDROVANE  COMP PALETTE BD 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 107.50000000, NULL, 107.50000000, 21.50000000, 0.00000000, 0.00000000, 129.00000000, 0, NULL, NULL, 0, 64.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 107.50000000, 107.50000000, 21.50000000, 129.00000000),
(7149, 1144, NULL, 953161, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.80000000, NULL, 81.80000000, 16.36000000, 0.00000000, 0.00000000, 98.16000000, 0, NULL, NULL, 0, 39.71000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.80000000, 81.80000000, 16.36000000, 98.16000000),
(7150, 1144, NULL, 953158, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.80000000, NULL, 81.80000000, 16.36000000, 0.00000000, 0.00000000, 98.16000000, 0, NULL, NULL, 0, 39.71000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.80000000, 81.80000000, 16.36000000, 98.16000000),
(7151, 1145, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(7152, 1145, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7153, 1145, NULL, 954112, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 171.78000000, NULL, 171.78000000, 34.36000000, 0.00000000, 0.00000000, 206.14000000, 0, NULL, NULL, 0, 83.39000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 171.78000000, 171.78000000, 34.36000000, 206.14000000),
(7154, 1145, NULL, 952405, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 133.83000000, NULL, 133.83000000, 26.77000000, 0.00000000, 0.00000000, 160.60000000, 0, NULL, NULL, 0, 64.97000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 133.83000000, 133.83000000, 26.77000000, 160.60000000),
(7155, 1145, NULL, 955091, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 259.64000000, NULL, 259.64000000, 51.93000000, 0.00000000, 0.00000000, 311.57000000, 0, NULL, NULL, 0, 126.04000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 259.64000000, 259.64000000, 51.93000000, 311.57000000),
(7156, 1145, NULL, 953632, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.07000000, NULL, 286.07000000, 57.21000000, 0.00000000, 0.00000000, 343.28000000, 0, NULL, NULL, 0, 138.87000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.07000000, 286.07000000, 57.21000000, 343.28000000),
(7157, 1145, NULL, 953634, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.07000000, NULL, 286.07000000, 57.21000000, 0.00000000, 0.00000000, 343.28000000, 0, NULL, NULL, 0, 91.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.07000000, 286.07000000, 57.21000000, 343.28000000),
(7158, 1145, NULL, 953635, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.07000000, NULL, 286.07000000, 57.21000000, 0.00000000, 0.00000000, 343.28000000, 0, NULL, NULL, 0, 91.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.07000000, 286.07000000, 57.21000000, 343.28000000),
(7159, 1146, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7160, 1146, NULL, 1222592, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 7.77000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(7161, 1146, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(7162, 1146, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(7163, 1146, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(7164, 1146, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(7165, 1146, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(7166, 1147, NULL, 1175987, NULL, 'INTAKE REGULATOR RH25 ; 230V/50-60Hz', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 430.74000000, NULL, 430.74000000, 86.15000000, 0.00000000, 0.00000000, 516.89000000, 0, NULL, NULL, 0, 319.07000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 430.74000000, 430.74000000, 86.15000000, 516.89000000),
(7167, 1147, NULL, 1176027, NULL, '3/2-SOLENOID VALVE 230V/50Hz RH25CR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.78000000, NULL, 156.78000000, 31.36000000, 0.00000000, 0.00000000, 188.14000000, 0, NULL, NULL, 0, 116.14000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.78000000, 156.78000000, 31.36000000, 188.14000000),
(7168, 1147, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.97000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 42.68000000, 8.54000000, 51.22000000),
(7169, 1147, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(7170, 1148, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 443.14000000, NULL, 443.14000000, 88.63000000, 0.00000000, 0.00000000, 531.77000000, 0, NULL, NULL, 0, 333.18000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 443.14000000, 443.14000000, 88.63000000, 531.77000000),
(7171, 1148, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7172, 1148, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 993.20000000, NULL, 993.20000000, 198.64000000, 0.00000000, 0.00000000, 1191.84000000, 1, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 993.20000000, 993.20000000, 198.64000000, 1191.84000000),
(7173, 1148, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 291.60000000, NULL, 291.60000000, 58.32000000, 0.00000000, 0.00000000, 349.92000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 291.60000000, 291.60000000, 58.32000000, 349.92000000),
(7174, 1149, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(7175, 1149, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7176, 1149, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(7177, 1150, NULL, NULL, '1 Maintenance compresseur L29RS :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7178, 1150, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 518.63000000, NULL, 518.63000000, 103.73000000, 0.00000000, 0.00000000, 622.36000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 518.63000000, 518.63000000, 103.73000000, 622.36000000),
(7179, 1150, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.92000000, NULL, 5.92000000, 1.18000000, 0.00000000, 0.00000000, 7.10000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.92000000, 5.92000000, 1.18000000, 7.10000000),
(7180, 1150, NULL, 1179651, NULL, 'SERVICE KIT D L23RS-L29RS replaced', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1278.96000000, NULL, 1278.96000000, 255.79000000, 0.00000000, 0.00000000, 1534.75000000, 1, NULL, NULL, 0, 554.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1278.96000000, 1278.96000000, 255.79000000, 1534.75000000),
(7181, 1150, NULL, 1179723, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 368.53000000, NULL, 368.53000000, 73.71000000, 0.00000000, 0.00000000, 442.24000000, 0, NULL, NULL, 0, 281.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 368.53000000, 368.53000000, 73.71000000, 442.24000000),
(7182, 1150, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 235.45000000, NULL, 235.45000000, 47.09000000, 0.00000000, 0.00000000, 282.54000000, 0, NULL, NULL, 0, 129.27000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 235.45000000, 235.45000000, 47.09000000, 282.54000000),
(7184, 1150, NULL, NULL, '2 Maintenance filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7185, 1150, NULL, 952676, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.20000000, NULL, 123.20000000, 24.64000000, 0.00000000, 0.00000000, 147.84000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.20000000, 123.20000000, 24.64000000, 147.84000000),
(7187, 1150, NULL, NULL, '3 Maintenance separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7188, 1150, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 222.23000000, NULL, 222.23000000, 44.45000000, 0.00000000, 0.00000000, 266.68000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 222.23000000, 222.23000000, 44.45000000, 266.68000000),
(7190, 1151, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 492.10000000, NULL, 492.10000000, 98.42000000, 0.00000000, 0.00000000, 590.52000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 492.10000000, 492.10000000, 98.42000000, 590.52000000),
(7191, 1151, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7192, 1151, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 429.00000000, NULL, 429.00000000, 85.80000000, 0.00000000, 0.00000000, 514.80000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 429.00000000, 429.00000000, 85.80000000, 514.80000000),
(7193, 1151, NULL, 1179664, NULL, 'SEPARATOR KIT D            L75RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1433.00000000, NULL, 1433.00000000, 286.60000000, 0.00000000, 0.00000000, 1719.60000000, 0, NULL, NULL, 0, 860.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1433.00000000, 1433.00000000, 286.60000000, 1719.60000000),
(7194, 1151, NULL, 959172, NULL, 'Filter Set for ÖWAMAT 15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 373.76000000, NULL, 373.76000000, 74.75000000, 0.00000000, 0.00000000, 448.51000000, 0, NULL, NULL, 0, 194.06000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 373.76000000, 373.76000000, 74.75000000, 448.51000000),
(7195, 1151, NULL, 954020, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 295.03000000, NULL, 295.03000000, 59.01000000, 0.00000000, 0.00000000, 354.04000000, 0, NULL, NULL, 0, 143.22000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 295.03000000, 295.03000000, 59.01000000, 354.04000000),
(7196, 1151, NULL, 955221, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 281.89000000, NULL, 281.89000000, 56.38000000, 0.00000000, 0.00000000, 338.27000000, 0, NULL, NULL, 0, 136.84000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 281.89000000, 281.89000000, 56.38000000, 338.27000000),
(7197, 1152, NULL, NULL, NULL, 'Mise en place d\'un compresseur de pret', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7198, 1152, NULL, NULL, NULL, 'Frais de transport ( Aller / retour )&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 150.00000000, NULL, 300.00000000, 60.00000000, 0.00000000, 0.00000000, 360.00000000, 1, NULL, NULL, 0, 140.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 300.00000000, 60.00000000, 360.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(7199, 1152, NULL, NULL, NULL, 'Raccordement et mise en service', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 408.31000000, NULL, 408.31000000, 81.66000000, 0.00000000, 0.00000000, 489.97000000, 0, NULL, NULL, 0, 307.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 408.31000000, 408.31000000, 81.66000000, 489.97000000),
(7200, 1152, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7201, 1152, NULL, NULL, NULL, 'Intervention du 24/05/2019 BL N° 1', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7202, 1152, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 48, 0, 0, NULL, 0.97000000, NULL, 46.56000000, 9.31000000, 0.00000000, 0.00000000, 55.87000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 46.56000000, 9.31000000, 55.87000000),
(7203, 1152, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(7204, 1152, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7205, 1152, NULL, NULL, NULL, 'Intervention du 23/05/2019 bl N° 44', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7206, 1152, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 48, 100, 0, NULL, 0.97000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 0.00000000, 0.00000000, 0.00000000),
(7207, 1152, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 100, 0, NULL, 63.84000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 0.00000000, 0.00000000, 0.00000000),
(7208, 1152, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7209, 1153, NULL, 1231810, NULL, 'Main d\'oeuvre Industriel', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.52000000, NULL, 77.52000000, 15.50000000, 0.00000000, 0.00000000, 93.02000000, 0, NULL, NULL, 0, 57.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.52000000, 77.52000000, 15.50000000, 93.02000000),
(7210, 1153, NULL, 1231811, NULL, 'deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.36000000, NULL, 100.36000000, 20.07000000, 0.00000000, 0.00000000, 120.43000000, 0, NULL, NULL, 0, 73.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.36000000, 100.36000000, 20.07000000, 120.43000000),
(7211, 1153, NULL, 1231812, NULL, 'cartouche 20/5µ pour filtre garde', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.05000000, NULL, 19.05000000, 3.81000000, 0.00000000, 0.00000000, 22.86000000, 0, NULL, NULL, 0, 14.01000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.05000000, 19.05000000, 3.81000000, 22.86000000),
(7212, 1153, NULL, 1231813, NULL, 'net.des résines réactif appro', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.93000000, NULL, 85.93000000, 17.19000000, 0.00000000, 0.00000000, 103.12000000, 0, NULL, NULL, 0, 63.19000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.93000000, 85.93000000, 17.19000000, 103.12000000),
(7213, 1153, NULL, 1231814, NULL, 'sel regenerant en sac de 25kg', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 10.67000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 7.85000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.67000000, 42.68000000, 8.54000000, 51.22000000),
(7214, 1154, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7215, 1154, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(7216, 1154, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(7217, 1154, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(7218, 1154, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(7219, 1154, NULL, 1179720, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 265.00000000, NULL, 265.00000000, 53.00000000, 0.00000000, 0.00000000, 318.00000000, 0, NULL, NULL, 0, 159.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 265.00000000, 265.00000000, 53.00000000, 318.00000000),
(7220, 1154, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(7221, 1154, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 406.00000000, NULL, 406.00000000, 81.20000000, 0.00000000, 0.00000000, 487.20000000, 0, NULL, NULL, 0, 202.38000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 406.00000000, 406.00000000, 81.20000000, 487.20000000),
(7222, 1155, NULL, 1190358, NULL, 'relai lc1d25p7', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 93.10000000, NULL, 93.10000000, 18.62000000, 0.00000000, 0.00000000, 111.72000000, 0, NULL, NULL, 0, 70.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 93.10000000, 93.10000000, 18.62000000, 111.72000000),
(7223, 1155, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 6.5, 0, 0, NULL, 63.84000000, NULL, 414.96000000, 82.99000000, 0.00000000, 0.00000000, 497.95000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 414.96000000, 82.99000000, 497.95000000),
(7224, 1155, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 228, 0, 0, NULL, 0.97000000, NULL, 221.16000000, 44.23000000, 0.00000000, 0.00000000, 265.39000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 221.16000000, 44.23000000, 265.39000000),
(7225, 1156, NULL, NULL, NULL, 'Acompte (1 335,00 &euro;) - CO1906-0997', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1335.00000000, NULL, 1335.00000000, 267.00000000, 0.00000000, 0.00000000, 1602.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1335.00000000, 1335.00000000, 267.00000000, 1602.00000000),
(7226, 1157, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7227, 1157, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 291.60000000, NULL, 874.80000000, 174.96000000, 0.00000000, 0.00000000, 1049.76000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 291.60000000, 874.80000000, 174.96000000, 1049.76000000),
(7228, 1157, NULL, 1179631, NULL, 'MINOR KIT C  L90-L132', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 433.70000000, NULL, 433.70000000, 86.74000000, 0.00000000, 0.00000000, 520.44000000, 0, NULL, NULL, 0, 161.84000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 433.70000000, 433.70000000, 86.74000000, 520.44000000),
(7229, 1157, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 399.25000000, NULL, 399.25000000, 79.85000000, 0.00000000, 0.00000000, 479.10000000, 0, NULL, NULL, 0, 314.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 399.25000000, 399.25000000, 79.85000000, 479.10000000),
(7230, 1158, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 399.00000000, NULL, 399.00000000, 79.80000000, 0.00000000, 0.00000000, 478.80000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 399.00000000, 399.00000000, 79.80000000, 478.80000000),
(7231, 1158, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7232, 1158, NULL, 1305486, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.00000000, NULL, 123.00000000, 24.60000000, 0.00000000, 0.00000000, 147.60000000, 0, NULL, NULL, 0, 54.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.00000000, 123.00000000, 24.60000000, 147.60000000),
(7233, 1158, NULL, 952683, NULL, 'cartouche 180RB', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.69000000, NULL, 105.69000000, 21.14000000, 0.00000000, 0.00000000, 126.83000000, 0, NULL, NULL, 0, 51.31000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.69000000, 105.69000000, 21.14000000, 126.83000000),
(7234, 1158, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 53.02000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(7235, 1158, NULL, 1230901, NULL, 'SEPARATOR ST005 0-0101/SP015-022', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 222.00000000, NULL, 222.00000000, 44.40000000, 0.00000000, 0.00000000, 266.40000000, 0, NULL, NULL, 0, 115.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 222.00000000, 222.00000000, 44.40000000, 266.40000000),
(7236, 1158, NULL, 1179717, NULL, 'MAJOR KIT E               L07 - L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 251.00000000, NULL, 251.00000000, 50.20000000, 0.00000000, 0.00000000, 301.20000000, 1, NULL, NULL, 0, 131.98000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 251.00000000, 251.00000000, 50.20000000, 301.20000000),
(7237, 1159, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(7238, 1159, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7239, 1159, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(7240, 1159, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(7241, 1159, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(7242, 1159, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(7244, 1160, NULL, NULL, '1 Partie air comprimé', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7245, 1160, NULL, 972355, NULL, 'Spiralé 6x8 long 10m raccords G1/4 tournants', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.30000000, NULL, 26.30000000, 5.26000000, 0.00000000, 0.00000000, 31.56000000, 0, NULL, NULL, 0, 14.46500000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.30000000, 26.30000000, 5.26000000, 31.56000000),
(7246, 1160, NULL, 972354, NULL, 'Spiralé 6x8 - 7.5m -G1/4 tournant', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.10000000, NULL, 69.30000000, 13.86000000, 0.00000000, 0.00000000, 83.16000000, 0, NULL, NULL, 0, 12.70500000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.10000000, 69.30000000, 13.86000000, 83.16000000),
(7247, 1160, NULL, 967539, NULL, 'Soufflette Bluestar standard', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 9.30000000, NULL, 27.90000000, 5.58000000, 0.00000000, 0.00000000, 33.48000000, 0, NULL, NULL, 0, 5.12000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.30000000, 27.90000000, 5.58000000, 33.48000000),
(7248, 1160, NULL, 971584, NULL, 'Raccord sécurité F G1/4 ISOB 6', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 18.72000000, NULL, 149.76000000, 29.95000000, 0.00000000, 0.00000000, 179.71000000, 0, NULL, NULL, 0, 9.09000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.72000000, 149.76000000, 29.95000000, 179.71000000),
(7249, 1160, NULL, 971008, NULL, 'About femelle standard ISO B 6 G1/4', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 2.20000000, NULL, 8.80000000, 1.76000000, 0.00000000, 0.00000000, 10.56000000, 0, NULL, NULL, 0, 1.21000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.20000000, 8.80000000, 1.76000000, 10.56000000),
(7250, 1160, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7251, 1160, NULL, NULL, '2 Partie Néon', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7252, 1160, NULL, 1245951, NULL, 'Coreline Waterproof WT120C LED60S/840 PSU L1500', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 95.81000000, NULL, 191.62000000, 38.32000000, 0.00000000, 0.00000000, 229.94000000, 0, NULL, NULL, 0, 65.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.81000000, 191.62000000, 38.32000000, 229.94000000),
(7253, 1160, NULL, 1190644, NULL, 'R2V CU 3G1,5 C100M', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 1.21000000, NULL, 36.30000000, 7.26000000, 0.00000000, 0.00000000, 43.56000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.21000000, 36.30000000, 7.26000000, 43.56000000),
(7254, 1160, NULL, 1190788, NULL, 'rail 41x41x3m', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 13.30000000, NULL, 79.80000000, 15.96000000, 0.00000000, 0.00000000, 95.76000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.30000000, 79.80000000, 15.96000000, 95.76000000),
(7255, 1160, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 383.50000000, NULL, 383.50000000, 76.70000000, 0.00000000, 0.00000000, 460.20000000, 0, NULL, NULL, 0, 288.35000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 383.50000000, 383.50000000, 76.70000000, 460.20000000),
(7256, 1160, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7257, 1161, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(7258, 1161, NULL, 1068741, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 93.40000000, NULL, 93.40000000, 18.68000000, 0.00000000, 0.00000000, 112.08000000, 0, NULL, NULL, 0, 69.19000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 93.40000000, 93.40000000, 18.68000000, 112.08000000),
(7259, 1162, NULL, 1298082, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 72.90000000, NULL, 874.80000000, 174.96000000, 0.00000000, 0.00000000, 1049.76000000, 0, NULL, NULL, 0, 54.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 72.90000000, 874.80000000, 174.96000000, 1049.76000000),
(7260, 1163, NULL, 954288, NULL, 'joint pour filtre huile ps407', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.29000000, NULL, 9.29000000, 1.86000000, 0.00000000, 0.00000000, 11.15000000, 0, NULL, NULL, 0, 4.51000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.29000000, 9.29000000, 1.86000000, 11.15000000),
(7261, 1163, NULL, 954291, NULL, 'FILTRE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.93000000, NULL, 95.93000000, 19.19000000, 0.00000000, 0.00000000, 115.12000000, 0, NULL, NULL, 0, 46.57000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.93000000, 95.93000000, 19.19000000, 115.12000000),
(7262, 1163, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(7263, 1163, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(7264, 1163, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7265, 1163, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(7266, 1163, NULL, 954289, NULL, 'FILTRE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.76000000, NULL, 18.76000000, 3.75000000, 0.00000000, 0.00000000, 22.51000000, 0, NULL, NULL, 0, 9.11000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.76000000, 18.76000000, 3.75000000, 22.51000000),
(7267, 1164, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 266.79000000, NULL, 266.79000000, 53.36000000, 0.00000000, 0.00000000, 320.15000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 266.79000000, 266.79000000, 53.36000000, 320.15000000),
(7268, 1164, NULL, 1189329, NULL, 'filtre  711/715 (39x39x2)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.35000000, NULL, 35.35000000, 7.07000000, 0.00000000, 0.00000000, 42.42000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.35000000, 35.35000000, 7.07000000, 42.42000000),
(7269, 1164, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7270, 1164, NULL, 1180028, NULL, 'KIT MAINTENANCE VERTICAL CONCEPT MK2', 20.000, '', 0.000, '0', 0.000, '0', 1, 40, 0, NULL, 475.00000000, NULL, 285.00000000, 57.00000000, 0.00000000, 0.00000000, 342.00000000, 0, NULL, NULL, 0, 209.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 475.00000000, 285.00000000, 57.00000000, 342.00000000),
(7271, 1165, NULL, NULL, NULL, 'perceuse 18V SILVERLINE reference&nbsp;326579', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.00000000, NULL, 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 0, NULL, NULL, 0, 33.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.00000000, 50.00000000, 10.00000000, 60.00000000),
(7274, 1166, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(7275, 1166, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7277, 1166, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(7278, 1166, NULL, 1186446, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 138.96000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(7279, 1166, NULL, 1180343, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.00000000, NULL, 79.00000000, 15.80000000, 0.00000000, 0.00000000, 94.80000000, 1, NULL, NULL, 0, 47.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 79.00000000, 15.80000000, 94.80000000),
(7280, 1126, NULL, 1185566, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 480.80000000, NULL, 480.80000000, 96.16000000, 0.00000000, 0.00000000, 576.96000000, 0, NULL, NULL, 0, 233.40000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 480.80000000, 480.80000000, 96.16000000, 576.96000000),
(7281, 1167, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(7282, 1167, NULL, 1305486, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.00000000, NULL, 123.00000000, 24.60000000, 0.00000000, 0.00000000, 147.60000000, 0, NULL, NULL, 0, 54.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.00000000, 123.00000000, 24.60000000, 147.60000000),
(7283, 1167, NULL, 1180343, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.00000000, NULL, 79.00000000, 15.80000000, 0.00000000, 0.00000000, 94.80000000, 1, NULL, NULL, 0, 47.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 79.00000000, 15.80000000, 94.80000000),
(7284, 1167, NULL, 1222642, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7285, 1168, NULL, NULL, NULL, 'Déplacement recherche de panne :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7286, 1168, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(7287, 1168, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 164, 0, 0, NULL, 0.97000000, NULL, 159.08000000, 31.82000000, 0.00000000, 0.00000000, 190.90000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 159.08000000, 31.82000000, 190.90000000),
(7288, 1168, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7294, 1169, NULL, 1223585, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(7295, 1170, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(7296, 1171, NULL, NULL, NULL, 'Mensualit&eacute;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1419.00000000, NULL, 1419.00000000, 283.80000000, 0.00000000, 0.00000000, 1702.80000000, 0, '2019-05-16 12:00:00', NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1419.00000000, 1419.00000000, 283.80000000, 1702.80000000),
(7297, 1172, NULL, 952820, NULL, 'secheur frigorifique 225m3/h rac1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1475.50000000, NULL, 1475.50000000, 295.10000000, 0.00000000, 0.00000000, 1770.60000000, 0, NULL, NULL, 0, 1135.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1475.50000000, 1475.50000000, 295.10000000, 1770.60000000),
(7298, 1173, NULL, NULL, NULL, 'Maintenance L45rs', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7299, 1173, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 288.79000000, NULL, 288.79000000, 57.76000000, 0.00000000, 0.00000000, 346.55000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 288.79000000, 288.79000000, 57.76000000, 346.55000000),
(7300, 1173, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 288.79000000, NULL, 288.79000000, 57.76000000, 0.00000000, 0.00000000, 346.55000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 288.79000000, 288.79000000, 57.76000000, 346.55000000),
(7301, 1173, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 288.79000000, NULL, 288.79000000, 57.76000000, 0.00000000, 0.00000000, 346.55000000, 0, NULL, NULL, 0, 129.27000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 288.79000000, 288.79000000, 57.76000000, 346.55000000),
(7302, 1173, NULL, 1179664, NULL, 'SEPARATOR KIT D            L75RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 288.79000000, NULL, 288.79000000, 57.76000000, 0.00000000, 0.00000000, 346.55000000, 0, NULL, NULL, 0, 860.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 288.79000000, 288.79000000, 57.76000000, 346.55000000),
(7303, 1173, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 288.79000000, NULL, 288.79000000, 57.76000000, 0.00000000, 0.00000000, 346.55000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 288.79000000, 288.79000000, 57.76000000, 346.55000000),
(7304, 1173, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7305, 1173, NULL, NULL, NULL, 'Maintenance L15', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7306, 1173, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 71.21000000, NULL, 71.21000000, 14.24000000, 0.00000000, 0.00000000, 85.45000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 71.21000000, 71.21000000, 14.24000000, 85.45000000),
(7307, 1173, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 71.21000000, NULL, 71.21000000, 14.24000000, 0.00000000, 0.00000000, 85.45000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 71.21000000, 71.21000000, 14.24000000, 85.45000000),
(7308, 1173, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.73000000, NULL, 71.19000000, 14.24000000, 0.00000000, 0.00000000, 85.43000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.73000000, 71.19000000, 14.24000000, 85.43000000),
(7309, 1173, NULL, 955041, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 71.21000000, NULL, 71.21000000, 14.24000000, 0.00000000, 0.00000000, 85.45000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 71.21000000, 71.21000000, 14.24000000, 85.45000000),
(7310, 1173, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 71.21000000, NULL, 71.21000000, 14.24000000, 0.00000000, 0.00000000, 85.45000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 71.21000000, 71.21000000, 14.24000000, 85.45000000),
(7311, 1173, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 71.21000000, NULL, 71.21000000, 14.24000000, 0.00000000, 0.00000000, 85.45000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 71.21000000, 71.21000000, 14.24000000, 85.45000000),
(7312, 1173, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 71.21000000, NULL, 71.21000000, 14.24000000, 0.00000000, 0.00000000, 85.45000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 71.21000000, 71.21000000, 14.24000000, 85.45000000),
(7313, 1173, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7314, 1173, NULL, NULL, NULL, 'Maintenance sécheur alumine et filtres réseaux', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7315, 1173, NULL, 952487, NULL, 'alumine 4,5 à 5,5 mm poids au kg', 20.000, '', 0.000, '0', 0.000, '0', 26, 0, 0, NULL, 5.93000000, NULL, 154.18000000, 30.84000000, 0.00000000, 0.00000000, 185.02000000, 0, NULL, NULL, 0, 2.79000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.93000000, 154.18000000, 30.84000000, 185.02000000),
(7316, 1173, NULL, 1231706, NULL, 'recyclage alumine au kg', 20.000, '', 0.000, '0', 0.000, '0', 26, 0, 0, NULL, 5.93000000, NULL, 154.18000000, 30.84000000, 0.00000000, 0.00000000, 185.02000000, 0, NULL, NULL, 0, 0.68000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.93000000, 154.18000000, 30.84000000, 185.02000000),
(7317, 1173, NULL, 953418, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.43000000, NULL, 154.43000000, 30.89000000, 0.00000000, 0.00000000, 185.32000000, 0, NULL, NULL, 0, 23.54000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 154.43000000, 154.43000000, 30.89000000, 185.32000000),
(7318, 1173, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.43000000, NULL, 154.43000000, 30.89000000, 0.00000000, 0.00000000, 185.32000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 154.43000000, 154.43000000, 30.89000000, 185.32000000),
(7319, 1173, NULL, 954018, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.43000000, NULL, 154.43000000, 30.89000000, 0.00000000, 0.00000000, 185.32000000, 0, NULL, NULL, 0, 89.76000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 154.43000000, 154.43000000, 30.89000000, 185.32000000),
(7320, 1173, NULL, 953524, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.43000000, NULL, 154.43000000, 30.89000000, 0.00000000, 0.00000000, 185.32000000, 0, NULL, NULL, 0, 23.54000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 154.43000000, 154.43000000, 30.89000000, 185.32000000),
(7321, 1173, NULL, 1221471, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.43000000, NULL, 154.43000000, 30.89000000, 0.00000000, 0.00000000, 185.32000000, 0, NULL, NULL, 0, 29.00000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 154.43000000, 154.43000000, 30.89000000, 185.32000000),
(7322, 1173, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7323, 1174, NULL, NULL, '1 maintenance 4000Heures', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7324, 1174, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 306.54000000, NULL, 306.54000000, 61.31000000, 0.00000000, 0.00000000, 367.85000000, 0, NULL, NULL, 0, 171.25000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 306.54000000, 306.54000000, 61.31000000, 367.85000000),
(7325, 1174, NULL, 1179654, NULL, 'MINOR KIT D  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 466.67000000, NULL, 466.67000000, 93.33000000, 0.00000000, 0.00000000, 560.00000000, 1, NULL, NULL, 0, 214.47000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 466.67000000, 466.67000000, 93.33000000, 560.00000000),
(7326, 1174, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 224.93000000, NULL, 224.93000000, 44.99000000, 0.00000000, 0.00000000, 269.92000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 224.93000000, 224.93000000, 44.99000000, 269.92000000),
(7327, 1174, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7328, 1174, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 320.23000000, NULL, 320.23000000, 64.05000000, 0.00000000, 0.00000000, 384.28000000, 0, NULL, NULL, 0, 280.70000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 320.23000000, 320.23000000, 64.05000000, 384.28000000),
(7329, 1174, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7330, 1175, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(7331, 1175, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 1, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(7332, 1175, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7333, 1175, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(7334, 1175, NULL, 1180604, NULL, 'Temperature probe PT1000 class A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 37.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(7335, 1176, NULL, 1190357, NULL, 'Forfait Dépannage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 260.00000000, NULL, 260.00000000, 52.00000000, 0.00000000, 0.00000000, 312.00000000, 0, NULL, NULL, 0, 200.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 260.00000000, 260.00000000, 52.00000000, 312.00000000),
(7336, 1177, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(7337, 1177, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(7338, 1177, NULL, 1305946, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 96.00000000, NULL, 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 62.40000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.00000000, 192.00000000, 38.40000000, 230.40000000),
(7339, 1178, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 90, 0, 0, NULL, 0.97000000, NULL, 87.30000000, 17.46000000, 0.00000000, 0.00000000, 104.76000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 87.30000000, 17.46000000, 104.76000000),
(7340, 1178, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(7341, 1179, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 90, 0, 0, NULL, 0.97000000, NULL, 87.30000000, 17.46000000, 0.00000000, 0.00000000, 104.76000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 87.30000000, 17.46000000, 104.76000000),
(7342, 1179, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 63.84000000, NULL, 319.20000000, 63.84000000, 0.00000000, 0.00000000, 383.04000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 319.20000000, 63.84000000, 383.04000000),
(7343, 1179, NULL, NULL, NULL, 'boite canalys 50A 3x50AM', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 186.87000000, NULL, 186.87000000, 37.37000000, 0.00000000, 0.00000000, 224.24000000, 0, NULL, NULL, 0, 143.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 186.87000000, 186.87000000, 37.37000000, 224.24000000),
(7344, 1180, NULL, 1245910, NULL, 'aspirateur eau et poussière inox', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 459.00000000, NULL, 459.00000000, 91.80000000, 0.00000000, 0.00000000, 550.80000000, 0, NULL, NULL, 0, 360.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 459.00000000, 459.00000000, 91.80000000, 550.80000000),
(7345, 1181, NULL, NULL, '2 Maintenance Compresseur L11', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7346, 1181, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.70000000, NULL, 86.70000000, 17.34000000, 0.00000000, 0.00000000, 104.04000000, 1, NULL, NULL, 0, 53.24000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.70000000, 86.70000000, 17.34000000, 104.04000000),
(7347, 1181, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 180.64000000, NULL, 180.64000000, 36.13000000, 0.00000000, 0.00000000, 216.77000000, 0, NULL, NULL, 0, 138.00000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 180.64000000, 180.64000000, 36.13000000, 216.77000000),
(7348, 1181, NULL, 1179717, NULL, 'MAJOR KIT E               L07 - L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 202.81000000, NULL, 202.81000000, 40.56000000, 0.00000000, 0.00000000, 243.37000000, 1, NULL, NULL, 0, 131.98000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 202.81000000, 202.81000000, 40.56000000, 243.37000000),
(7349, 1181, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 325.00000000, NULL, 325.00000000, 65.00000000, 0.00000000, 0.00000000, 390.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 325.00000000, 325.00000000, 65.00000000, 390.00000000),
(7350, 1181, NULL, 1223699, NULL, 'Huile anderol FGC46  prix au litre', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 15.77000000, NULL, 126.16000000, 25.23000000, 0.00000000, 0.00000000, 151.39000000, 0, NULL, NULL, 0, 11.27000000, NULL, 0, 0, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.77000000, 126.16000000, 25.23000000, 151.39000000),
(7351, 1181, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.47000000, NULL, 26.94000000, 5.39000000, 0.00000000, 0.00000000, 32.33000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 37, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.47000000, 26.94000000, 5.39000000, 32.33000000),
(7352, 1181, NULL, 1221464, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 158.51000000, NULL, 158.51000000, 31.70000000, 0.00000000, 0.00000000, 190.21000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 38, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 158.51000000, 158.51000000, 31.70000000, 190.21000000),
(7353, 1181, NULL, 953173, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.69000000, NULL, 99.69000000, 19.94000000, 0.00000000, 0.00000000, 119.63000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 39, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.69000000, 99.69000000, 19.94000000, 119.63000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(7354, 1181, NULL, 953170, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.69000000, NULL, 99.69000000, 19.94000000, 0.00000000, 0.00000000, 119.63000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 40, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.69000000, 99.69000000, 19.94000000, 119.63000000),
(7355, 1181, NULL, 955198, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 140.66000000, NULL, 140.66000000, 28.13000000, 0.00000000, 0.00000000, 168.79000000, 0, NULL, NULL, 0, 86.30000000, NULL, 0, 0, 41, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 140.66000000, 140.66000000, 28.13000000, 168.79000000),
(7356, 1181, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 42, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7357, 1181, NULL, NULL, 'Sous-total Maintenance Compresseur L11', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 43, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7358, 1182, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(7359, 1182, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7360, 1182, NULL, 952140, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(7361, 1182, NULL, 954045, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(7362, 1182, NULL, 1221736, NULL, 'FILTRE SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.80000000, NULL, 59.80000000, 11.96000000, 0.00000000, 0.00000000, 71.76000000, 0, NULL, NULL, 0, 29.03000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.80000000, 59.80000000, 11.96000000, 71.76000000),
(7363, 1182, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(7364, 1183, NULL, 1190376, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 331.44000000, NULL, 331.44000000, 66.29000000, 0.00000000, 0.00000000, 397.73000000, 0, NULL, NULL, 0, 249.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 331.44000000, 331.44000000, 66.29000000, 397.73000000),
(7365, 1184, NULL, 966507, NULL, 'Vanne F/F G1\"1/4 PN30 DN32', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.31000000, NULL, 26.31000000, 5.26000000, 0.00000000, 0.00000000, 31.57000000, 0, NULL, NULL, 0, 13.15500000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.31000000, 26.31000000, 5.26000000, 31.57000000),
(7366, 1184, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.25000000, NULL, 27.25000000, 5.45000000, 0.00000000, 0.00000000, 32.70000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.25000000, 27.25000000, 5.45000000, 32.70000000),
(7367, 1184, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.51000000, NULL, 12.51000000, 2.50000000, 0.00000000, 0.00000000, 15.01000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.51000000, 12.51000000, 2.50000000, 15.01000000),
(7368, 1184, NULL, 1190648, NULL, 'raccord ISIFLO diam 32 1\" F', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.75000000, NULL, 25.75000000, 5.15000000, 0.00000000, 0.00000000, 30.90000000, 0, NULL, NULL, 0, 12.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.75000000, 25.75000000, 5.15000000, 30.90000000),
(7369, 1184, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 10.64000000, NULL, 21.28000000, 4.26000000, 0.00000000, 0.00000000, 25.54000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.64000000, 21.28000000, 4.26000000, 25.54000000),
(7370, 1184, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.40000000, NULL, 9.40000000, 1.88000000, 0.00000000, 0.00000000, 11.28000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.40000000, 9.40000000, 1.88000000, 11.28000000),
(7371, 1184, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 204.00000000, NULL, 204.00000000, 40.80000000, 0.00000000, 0.00000000, 244.80000000, 0, NULL, NULL, 0, 153.48000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 204.00000000, 204.00000000, 40.80000000, 244.80000000),
(7372, 1185, NULL, NULL, NULL, 'Pompe de relevage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 101.25000000, NULL, 101.25000000, 20.25000000, 0.00000000, 0.00000000, 121.50000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 101.25000000, 101.25000000, 20.25000000, 121.50000000),
(7373, 1185, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(7374, 1185, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(7375, 1186, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 328.38000000, NULL, 328.38000000, 65.68000000, 0.00000000, 0.00000000, 394.06000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 328.38000000, 328.38000000, 65.68000000, 394.06000000),
(7376, 1186, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7377, 1186, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 242.81000000, NULL, 242.81000000, 48.56000000, 0.00000000, 0.00000000, 291.37000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 242.81000000, 242.81000000, 48.56000000, 291.37000000),
(7378, 1186, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 314.34000000, NULL, 314.34000000, 62.87000000, 0.00000000, 0.00000000, 377.21000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 314.34000000, 314.34000000, 62.87000000, 377.21000000),
(7379, 1186, NULL, 1179655, NULL, 'SEPARATOR KIT D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 510.77000000, NULL, 510.77000000, 102.15000000, 0.00000000, 0.00000000, 612.92000000, 1, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 510.77000000, 510.77000000, 102.15000000, 612.92000000),
(7380, 1186, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7381, 1186, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 122.76000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(7382, 1186, NULL, 953186, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 159.25000000, NULL, 159.25000000, 31.85000000, 0.00000000, 0.00000000, 191.10000000, 0, NULL, NULL, 0, 92.84000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 159.25000000, 159.25000000, 31.85000000, 191.10000000),
(7383, 1187, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(7384, 1187, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7385, 1187, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(7386, 1187, NULL, 1222522, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 11.76000000, NULL, 35.28000000, 7.06000000, 0.00000000, 0.00000000, 42.34000000, 0, NULL, NULL, 0, 5.71000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.76000000, 35.28000000, 7.06000000, 42.34000000),
(7387, 1187, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(7388, 1187, NULL, 953173, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 125.98000000, NULL, 125.98000000, 25.20000000, 0.00000000, 0.00000000, 151.18000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 125.98000000, 125.98000000, 25.20000000, 151.18000000),
(7389, 1188, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 190, 0, 0, NULL, 0.97000000, NULL, 184.30000000, 36.86000000, 0.00000000, 0.00000000, 221.16000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 184.30000000, 36.86000000, 221.16000000),
(7390, 1188, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(7392, 1188, NULL, 1305834, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 183.20000000, NULL, 183.20000000, 36.64000000, 0.00000000, 0.00000000, 219.84000000, 0, NULL, NULL, 0, 141.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 183.20000000, 183.20000000, 36.64000000, 219.84000000),
(7393, 1188, NULL, 952476, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.44000000, NULL, 63.44000000, 12.69000000, 0.00000000, 0.00000000, 76.13000000, 0, NULL, NULL, 0, 30.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.44000000, 63.44000000, 12.69000000, 76.13000000),
(7394, 1189, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.97000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 42.68000000, 8.54000000, 51.22000000),
(7395, 1189, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(7396, 1190, NULL, NULL, '1 Partie reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7399, 1190, NULL, 970279, NULL, 'T&eacute; &eacute;gal PUSH-FIT&Oslash;25', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, -16.20000000, NULL, -64.80000000, -12.96000000, 0.00000000, 0.00000000, -77.76000000, 0, NULL, NULL, 0, 9.72000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -16.20000000, -64.80000000, -12.96000000, -77.76000000),
(7401, 1190, NULL, 970228, NULL, 'Tube aluminium calibr&eacute; &Oslash;25x22 en barre de 4 m&egrave;tres Couleur Bleue', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, -6.10000000, NULL, -24.40000000, -4.88000000, 0.00000000, 0.00000000, -29.28000000, 0, NULL, NULL, 0, 3.66000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -6.10000000, -24.40000000, -4.88000000, -29.28000000),
(7405, 1190, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7412, 1191, NULL, 970357, NULL, 'Té PUSH FIT taraude au centre Ø25 G3/4', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 15.40000000, NULL, 61.60000000, 12.32000000, 0.00000000, 0.00000000, 73.92000000, 0, NULL, NULL, 0, 9.24000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.40000000, 61.60000000, 12.32000000, 73.92000000),
(7413, 1191, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 16.80000000, NULL, 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.80000000, 168.00000000, 33.60000000, 201.60000000),
(7414, 1191, NULL, 970435, NULL, 'Coude fileté G3/4 Ø25', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.45000000, NULL, 9.45000000, 1.89000000, 0.00000000, 0.00000000, 11.34000000, 0, NULL, NULL, 0, 5.67000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.45000000, 9.45000000, 1.89000000, 11.34000000),
(7415, 1192, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(7416, 1192, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 120, 0, 0, NULL, 0.97000000, NULL, 116.40000000, 23.28000000, 0.00000000, 0.00000000, 139.68000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 116.40000000, 23.28000000, 139.68000000),
(7417, 1193, NULL, 1108717, NULL, 'ACTI9 IID 4P 63A 30MA AC-TYPE INTERRUPTE', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 200.16000000, NULL, 1801.44000000, 360.29000000, 0.00000000, 0.00000000, 2161.73000000, 0, NULL, NULL, 0, 166.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.16000000, 1801.44000000, 360.29000000, 2161.73000000),
(7418, 1193, NULL, 1190354, NULL, 'Forfait Chantier', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 553.50000000, NULL, 553.50000000, 110.70000000, 0.00000000, 0.00000000, 664.20000000, 0, NULL, NULL, 0, 416.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 553.50000000, 553.50000000, 110.70000000, 664.20000000),
(7419, 1193, NULL, 1190747, NULL, 'fournitures electriques(cosses,embouts,fils, ecrous,passe fil etc)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.00000000, NULL, 52.00000000, 10.40000000, 0.00000000, 0.00000000, 62.40000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.00000000, 52.00000000, 10.40000000, 62.40000000),
(7420, 1194, NULL, NULL, '1 Partie EAU :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7421, 1194, NULL, 972959, NULL, 'Enrouleur automatique &agrave; cliquet Tambour ouvert Carter acier peinture &eacute;poxy &eacute;quip&eacute; de 25 m&egrave;tres de tuyau PU polyur&eacute;thane tress&eacute; AIR/EAU &Oslash; 10x14 -20 bar maxi +50&deg;C &nbsp;-Raccordements: Entr&eacute;e: M&acirc;le G 3/8 - Sortie tuyau: M&acirc;le G 3/8 -Support fixe + flexible alimentation de 1.5m -D&eacute;bit AIR = 630 L/MN - D&eacute;bit EAU = 22 L/MN - Norme ATEX 94/9 : EX II 3 GD c X<br />\r\n&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, -377.78000000, NULL, -755.56000000, -151.11000000, 0.00000000, 0.00000000, -906.67000000, 0, NULL, NULL, 0, 280.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -377.78000000, -755.56000000, -151.11000000, -906.67000000),
(7422, 1194, NULL, 968571, NULL, 'support pivotant pour enrouleurs s&eacute;ries E430/E4430', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, -32.43000000, NULL, -64.86000000, -12.97000000, 0.00000000, 0.00000000, -77.83000000, 0, NULL, NULL, 0, 27.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -32.43000000, -64.86000000, -12.97000000, -77.83000000),
(7427, 1194, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7436, 1195, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(7437, 1195, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7438, 1195, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(7439, 1195, NULL, 1213335, NULL, 'CARTOUCHE E75 1\"1/2 FILTRE S-AIR XA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.68000000, NULL, 160.68000000, 32.14000000, 0.00000000, 0.00000000, 192.82000000, 0, NULL, NULL, 0, 78.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.68000000, 160.68000000, 32.14000000, 192.82000000),
(7440, 1195, NULL, 1213333, NULL, 'CARTOUCHE E75 1\"1/2 FILTRE S-AIR X1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.68000000, NULL, 160.68000000, 32.14000000, 0.00000000, 0.00000000, 192.82000000, 0, NULL, NULL, 0, 78.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.68000000, 160.68000000, 32.14000000, 192.82000000),
(7441, 1195, NULL, 1179655, NULL, 'SEPARATOR KIT D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 613.40000000, NULL, 613.40000000, 122.68000000, 0.00000000, 0.00000000, 736.08000000, 1, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 613.40000000, 613.40000000, 122.68000000, 736.08000000),
(7442, 1195, NULL, 1179727, NULL, 'SERVICE PACKAGE  E   L30-L50+L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 772.00000000, NULL, 772.00000000, 154.40000000, 0.00000000, 0.00000000, 926.40000000, 1, NULL, NULL, 0, 288.21000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 772.00000000, 772.00000000, 154.40000000, 926.40000000),
(7443, 1195, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 512.28000000, NULL, 512.28000000, 102.46000000, 0.00000000, 0.00000000, 614.74000000, 0, NULL, NULL, 0, 385.17000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 512.28000000, 512.28000000, 102.46000000, 614.74000000),
(7444, 1196, NULL, 1230024, NULL, 'RAFRAICHISSEUR D\'AIR EVAPORATIF MOBILE - DEBIT D\'AIR MAXI 9000 M3/HALIMENTATION 230 V MONOPHASE', 20.000, '', 0.000, '0', 0.000, '0', 7, 10, 0, NULL, 890.00000000, NULL, 5607.00000000, 1121.40000000, 0.00000000, 0.00000000, 6728.40000000, 0, NULL, NULL, 0, 495.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 890.00000000, 5607.00000000, 1121.40000000, 6728.40000000),
(7445, 1197, NULL, 1231698, NULL, 'bidons huiles 10L minéral 68', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 105.14000000, NULL, 315.42000000, 63.08000000, 0.00000000, 0.00000000, 378.50000000, 0, NULL, NULL, 0, 39.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.14000000, 315.42000000, 63.08000000, 378.50000000),
(7446, 1197, NULL, 1231699, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 60.87000000, NULL, 60.87000000, 12.17000000, 0.00000000, 0.00000000, 73.04000000, 0, NULL, NULL, 0, 23.10000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 60.87000000, 60.87000000, 12.17000000, 73.04000000),
(7447, 1197, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 785.04000000, NULL, 785.04000000, 157.01000000, 0.00000000, 0.00000000, 942.05000000, 0, NULL, NULL, 0, 327.38000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 785.04000000, 785.04000000, 157.01000000, 942.05000000),
(7448, 1197, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.30000000, NULL, 8.30000000, 1.66000000, 0.00000000, 0.00000000, 9.96000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.30000000, 8.30000000, 1.66000000, 9.96000000),
(7449, 1197, NULL, 1222117, NULL, 'CARTOUCHE SEPARATRICE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 313.57000000, NULL, 313.57000000, 62.71000000, 0.00000000, 0.00000000, 376.28000000, 0, NULL, NULL, 0, 119.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 313.57000000, 313.57000000, 62.71000000, 376.28000000),
(7450, 1197, NULL, 1231700, NULL, 'Filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 70.09000000, NULL, 70.09000000, 14.02000000, 0.00000000, 0.00000000, 84.11000000, 0, NULL, NULL, 0, 26.60000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 70.09000000, 70.09000000, 14.02000000, 84.11000000),
(7451, 1197, NULL, 1222552, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 61.28000000, NULL, 183.84000000, 36.77000000, 0.00000000, 0.00000000, 220.61000000, 0, NULL, NULL, 0, 16.13000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.28000000, 183.84000000, 36.77000000, 220.61000000),
(7452, 1197, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 520.56000000, NULL, 520.56000000, 104.11000000, 0.00000000, 0.00000000, 624.67000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 520.56000000, 520.56000000, 104.11000000, 624.67000000),
(7453, 1198, NULL, 1305940, NULL, 'filter c304 s 1/2 odf solder', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.80000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 46.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.80000000, 61.80000000, 12.36000000, 74.16000000),
(7454, 1198, NULL, 1305941, NULL, 'electrovanne 24v', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.00000000, NULL, 90.00000000, 18.00000000, 0.00000000, 0.00000000, 108.00000000, 0, NULL, NULL, 0, 67.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.00000000, 90.00000000, 18.00000000, 108.00000000),
(7455, 1198, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(7466, 1201, NULL, NULL, '1 Sécheur par réfrigération', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7469, 1201, NULL, 972027, NULL, 'Prix au metres', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, -21.50000000, NULL, -43.00000000, -8.60000000, 0.00000000, 0.00000000, -51.60000000, 0, NULL, NULL, 0, 14.49000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -21.50000000, -43.00000000, -8.60000000, -51.60000000),
(7470, 1201, NULL, 1223702, NULL, '4 raccords sapin et colliers', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -18.00000000, NULL, -18.00000000, -3.60000000, 0.00000000, 0.00000000, -21.60000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -18.00000000, -18.00000000, -3.60000000, -21.60000000),
(7471, 1202, NULL, NULL, NULL, 'location BDS22 SULLAIR', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 250.00000000, NULL, 2000.00000000, 400.00000000, 0.00000000, 0.00000000, 2400.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 2000.00000000, 400.00000000, 2400.00000000),
(7472, 1203, NULL, 951716, NULL, '710x575', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 15.29000000, NULL, 30.58000000, 6.12000000, 0.00000000, 0.00000000, 36.70000000, 0, NULL, NULL, 0, 7.45000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.29000000, 30.58000000, 6.12000000, 36.70000000),
(7473, 1203, NULL, 955074, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 129.96000000, NULL, 129.96000000, 25.99000000, 0.00000000, 0.00000000, 155.95000000, 0, NULL, NULL, 0, 63.09000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 129.96000000, 129.96000000, 25.99000000, 155.95000000),
(7474, 1203, NULL, 951885, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.90000000, NULL, 27.80000000, 5.56000000, 0.00000000, 0.00000000, 33.36000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.90000000, 27.80000000, 5.56000000, 33.36000000),
(7475, 1203, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(7476, 1204, NULL, NULL, NULL, 'Maintenance L30RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7477, 1204, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(7478, 1204, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 378.25000000, NULL, 340.43000000, 68.08000000, 0.00000000, 0.00000000, 408.51000000, 0, NULL, NULL, 0, 226.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 378.25000000, 340.43000000, 68.08000000, 408.51000000),
(7479, 1204, NULL, 1179655, NULL, 'SEPARATOR KIT D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 583.76000000, NULL, 525.38000000, 105.08000000, 0.00000000, 0.00000000, 630.46000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 583.76000000, 525.38000000, 105.08000000, 630.46000000),
(7480, 1204, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 290.58000000, NULL, 261.52000000, 52.31000000, 0.00000000, 0.00000000, 313.83000000, 1, NULL, NULL, 0, 174.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 290.58000000, 261.52000000, 52.31000000, 313.83000000),
(7481, 1204, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7482, 1204, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7483, 1204, NULL, NULL, NULL, 'Filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7484, 1204, NULL, 952690, NULL, 'cartouche media filtrant pne610rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 215.47000000, NULL, 215.47000000, 43.09000000, 0.00000000, 0.00000000, 258.56000000, 0, NULL, NULL, 0, 104.60000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 215.47000000, 215.47000000, 43.09000000, 258.56000000),
(7485, 1204, NULL, 1221466, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.36000000, NULL, 214.36000000, 42.87000000, 0.00000000, 0.00000000, 257.23000000, 0, NULL, NULL, 0, 104.06000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.36000000, 214.36000000, 42.87000000, 257.23000000),
(7486, 1204, NULL, 952863, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.28000000, NULL, 118.28000000, 23.66000000, 0.00000000, 0.00000000, 141.94000000, 0, NULL, NULL, 0, 57.42000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.28000000, 118.28000000, 23.66000000, 141.94000000),
(7487, 1204, NULL, 952864, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.28000000, NULL, 118.28000000, 23.66000000, 0.00000000, 0.00000000, 141.94000000, 0, NULL, NULL, 0, 57.42000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.28000000, 118.28000000, 23.66000000, 141.94000000),
(7488, 1204, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7489, 1204, NULL, NULL, NULL, 'Separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7490, 1204, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(7491, 1204, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7493, 1206, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 384.76000000, NULL, 384.76000000, 76.95000000, 0.00000000, 0.00000000, 461.71000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 384.76000000, 384.76000000, 76.95000000, 461.71000000),
(7494, 1206, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.39000000, NULL, 4.39000000, 0.88000000, 0.00000000, 0.00000000, 5.27000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.39000000, 4.39000000, 0.88000000, 5.27000000),
(7495, 1206, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 38.05000000, NULL, 38.05000000, 7.61000000, 0.00000000, 0.00000000, 45.66000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.05000000, 38.05000000, 7.61000000, 45.66000000),
(7496, 1206, NULL, 951970, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.89000000, NULL, 13.89000000, 2.78000000, 0.00000000, 0.00000000, 16.67000000, 0, NULL, NULL, 0, 4.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.89000000, 13.89000000, 2.78000000, 16.67000000),
(7497, 1206, NULL, 954054, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.03000000, NULL, 35.03000000, 7.01000000, 0.00000000, 0.00000000, 42.04000000, 0, NULL, NULL, 0, 17.43000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.03000000, 35.03000000, 7.01000000, 42.04000000),
(7498, 1206, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 80.01000000, NULL, 80.01000000, 16.00000000, 0.00000000, 0.00000000, 96.01000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 80.01000000, 80.01000000, 16.00000000, 96.01000000),
(7499, 1206, NULL, 1222608, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 19.24000000, NULL, 38.48000000, 7.70000000, 0.00000000, 0.00000000, 46.18000000, 0, NULL, NULL, 0, 9.52000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.24000000, 38.48000000, 7.70000000, 46.18000000),
(7500, 1207, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(7501, 1207, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7502, 1207, NULL, 1222070, NULL, 'avec courroie 8 bars 06316', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 168.50000000, NULL, 168.50000000, 33.70000000, 0.00000000, 0.00000000, 202.20000000, 0, NULL, NULL, 0, 117.95000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 168.50000000, 168.50000000, 33.70000000, 202.20000000),
(7503, 1207, NULL, 1221462, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(7504, 1207, NULL, 952662, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(7505, 1207, NULL, 952661, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(7506, 1207, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(7507, 1208, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(7508, 1208, NULL, 1230694, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 3.40000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(7509, 1208, NULL, 1223837, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.64000000, NULL, 27.64000000, 5.53000000, 0.00000000, 0.00000000, 33.17000000, 0, NULL, NULL, 0, 13.82000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.64000000, 27.64000000, 5.53000000, 33.17000000),
(7510, 1208, NULL, 1221733, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.66000000, NULL, 61.66000000, 12.33000000, 0.00000000, 0.00000000, 73.99000000, 0, NULL, NULL, 0, 29.93000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.66000000, 61.66000000, 12.33000000, 73.99000000),
(7511, 1208, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7512, 1209, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(7513, 1210, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(7514, 1210, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7515, 1210, NULL, 1222548, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 28.40000000, NULL, 85.20000000, 17.04000000, 0.00000000, 0.00000000, 102.24000000, 0, NULL, NULL, 0, 13.79000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.40000000, 85.20000000, 17.04000000, 102.24000000),
(7516, 1210, NULL, 1221739, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.80000000, NULL, 96.80000000, 19.36000000, 0.00000000, 0.00000000, 116.16000000, 0, NULL, NULL, 0, 48.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.80000000, 96.80000000, 19.36000000, 116.16000000),
(7517, 1210, NULL, 1230691, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.32000000, NULL, 34.32000000, 6.86000000, 0.00000000, 0.00000000, 41.18000000, 0, NULL, NULL, 0, 17.16000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.32000000, 34.32000000, 6.86000000, 41.18000000),
(7518, 1210, NULL, 1221815, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 58.56000000, NULL, 58.56000000, 11.71000000, 0.00000000, 0.00000000, 70.27000000, 0, NULL, NULL, 0, 29.28000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 58.56000000, 58.56000000, 11.71000000, 70.27000000),
(7519, 1210, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(7520, 1210, NULL, 1176213, NULL, 'SPARE MEMBRANE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.00000000, NULL, 61.00000000, 12.20000000, 0.00000000, 0.00000000, 73.20000000, 0, NULL, NULL, 0, 33.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.00000000, 61.00000000, 12.20000000, 73.20000000),
(7521, 1211, NULL, 1222641, NULL, '<em>e</em>', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 202.51000000, NULL, 202.51000000, 40.50000000, 0.00000000, 0.00000000, 243.01000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 202.51000000, 202.51000000, 40.50000000, 243.01000000),
(7522, 1211, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.77000000, NULL, 2.77000000, 0.55000000, 0.00000000, 0.00000000, 3.32000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.77000000, 2.77000000, 0.55000000, 3.32000000),
(7523, 1211, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.48000000, NULL, 150.48000000, 30.10000000, 0.00000000, 0.00000000, 180.58000000, 0, NULL, NULL, 0, 129.05000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.48000000, 150.48000000, 30.10000000, 180.58000000),
(7524, 1211, NULL, 1305188, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 60.39000000, NULL, 60.39000000, 12.08000000, 0.00000000, 0.00000000, 72.47000000, 0, NULL, NULL, 0, 53.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 60.39000000, 60.39000000, 12.08000000, 72.47000000),
(7525, 1211, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 204.33000000, NULL, 204.33000000, 40.87000000, 0.00000000, 0.00000000, 245.20000000, 0, NULL, NULL, 0, 202.38000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 204.33000000, 204.33000000, 40.87000000, 245.20000000),
(7526, 1211, NULL, 1179720, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 133.37000000, NULL, 133.37000000, 26.67000000, 0.00000000, 0.00000000, 160.04000000, 0, NULL, NULL, 0, 159.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 133.37000000, 133.37000000, 26.67000000, 160.04000000),
(7527, 1211, NULL, 1222601, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 9.04000000, NULL, 27.12000000, 5.42000000, 0.00000000, 0.00000000, 32.54000000, 0, NULL, NULL, 0, 9.69000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.04000000, 27.12000000, 5.42000000, 32.54000000),
(7528, 1212, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(7529, 1212, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7530, 1212, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.00000000, NULL, 35.00000000, 7.00000000, 0.00000000, 0.00000000, 42.00000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.00000000, 35.00000000, 7.00000000, 42.00000000),
(7531, 1212, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(7532, 1212, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(7533, 1212, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.00000000, NULL, 92.00000000, 18.40000000, 0.00000000, 0.00000000, 110.40000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.00000000, 92.00000000, 18.40000000, 110.40000000),
(7534, 1212, NULL, 1222578, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.66000000, NULL, 37.32000000, 7.46000000, 0.00000000, 0.00000000, 44.78000000, 0, NULL, NULL, 0, 9.14000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.66000000, 37.32000000, 7.46000000, 44.78000000),
(7535, 1213, NULL, 1179662, NULL, 'SEPARATOR KIT D            L55-L75+L75SR', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 912.90000000, NULL, 775.97000000, 155.19000000, 0.00000000, 0.00000000, 931.16000000, 0, NULL, NULL, 0, 461.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 912.90000000, 775.97000000, 155.19000000, 931.16000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(7536, 1213, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(7537, 1213, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 277.00000000, NULL, 554.00000000, 110.80000000, 0.00000000, 0.00000000, 664.80000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 554.00000000, 110.80000000, 664.80000000),
(7538, 1213, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7539, 1213, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(7540, 1213, NULL, 1179733, NULL, 'SERVICE PACKAGE  E          L55-L75 (A)', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 849.00000000, NULL, 721.65000000, 144.33000000, 0.00000000, 0.00000000, 865.98000000, 0, NULL, NULL, 0, 509.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 849.00000000, 721.65000000, 144.33000000, 865.98000000),
(7541, 1214, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 243.10000000, NULL, 243.10000000, 48.62000000, 0.00000000, 0.00000000, 291.72000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 243.10000000, 243.10000000, 48.62000000, 291.72000000),
(7542, 1214, NULL, 1230990, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 244.88000000, NULL, 244.88000000, 48.98000000, 0.00000000, 0.00000000, 293.86000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 244.88000000, 244.88000000, 48.98000000, 293.86000000),
(7543, 1214, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 217.06000000, NULL, 217.06000000, 43.41000000, 0.00000000, 0.00000000, 260.47000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 217.06000000, 217.06000000, 43.41000000, 260.47000000),
(7544, 1214, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.97000000, NULL, 2.97000000, 0.59000000, 0.00000000, 0.00000000, 3.56000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.97000000, 2.97000000, 0.59000000, 3.56000000),
(7545, 1214, NULL, 1230993, NULL, 'SEPARATOR KIT DS  L30 RS-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 346.31000000, NULL, 346.31000000, 69.26000000, 0.00000000, 0.00000000, 415.57000000, 0, NULL, NULL, 0, 385.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 346.31000000, 346.31000000, 69.26000000, 415.57000000),
(7546, 1214, NULL, 953188, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.21000000, NULL, 123.21000000, 24.64000000, 0.00000000, 0.00000000, 147.85000000, 0, NULL, NULL, 0, 110.88000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.21000000, 123.21000000, 24.64000000, 147.85000000),
(7547, 1214, NULL, 953190, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 213.99000000, NULL, 213.99000000, 42.80000000, 0.00000000, 0.00000000, 256.79000000, 0, NULL, NULL, 0, 67.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 213.99000000, 213.99000000, 42.80000000, 256.79000000),
(7548, 1215, NULL, NULL, '1 Compresseur GA15SP :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7549, 1215, NULL, 954898, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 157.54000000, NULL, 157.54000000, 31.51000000, 0.00000000, 0.00000000, 189.05000000, 0, NULL, NULL, 0, 76.48000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 157.54000000, 157.54000000, 31.51000000, 189.05000000),
(7550, 1215, NULL, 955247, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.48000000, NULL, 10.48000000, 2.10000000, 0.00000000, 0.00000000, 12.58000000, 0, NULL, NULL, 0, 5.09000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.48000000, 10.48000000, 2.10000000, 12.58000000),
(7551, 1215, NULL, 951752, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.82000000, NULL, 13.82000000, 2.76000000, 0.00000000, 0.00000000, 16.58000000, 0, NULL, NULL, 0, 6.71000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.82000000, 13.82000000, 2.76000000, 16.58000000),
(7552, 1215, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.67000000, NULL, 24.67000000, 4.93000000, 0.00000000, 0.00000000, 29.60000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 24.67000000, 4.93000000, 29.60000000),
(7553, 1215, NULL, 1231593, NULL, 'kit 3 courroies', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 186.13000000, NULL, 186.13000000, 37.23000000, 0.00000000, 0.00000000, 223.36000000, 0, NULL, NULL, 0, 123.18000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 186.13000000, 186.13000000, 37.23000000, 223.36000000),
(7554, 1215, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7555, 1215, NULL, NULL, '2 Compresseur L15 Compair', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7556, 1215, NULL, 1221761, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.81000000, NULL, 16.81000000, 3.36000000, 0.00000000, 0.00000000, 20.17000000, 0, NULL, NULL, 0, 8.16000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.81000000, 16.81000000, 3.36000000, 20.17000000),
(7557, 1215, NULL, 1221779, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.12000000, NULL, 20.12000000, 4.02000000, 0.00000000, 0.00000000, 24.14000000, 0, NULL, NULL, 0, 10.06000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.12000000, 20.12000000, 4.02000000, 24.14000000),
(7558, 1215, NULL, 1221739, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.98000000, NULL, 78.98000000, 15.80000000, 0.00000000, 0.00000000, 94.78000000, 0, NULL, NULL, 0, 48.40000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.98000000, 78.98000000, 15.80000000, 94.78000000),
(7559, 1215, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7560, 1215, NULL, NULL, '3 filtre a air sortie cuve', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7561, 1215, NULL, 1305939, NULL, 'micro filtre 1 mic', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 178.20000000, NULL, 178.20000000, 35.64000000, 0.00000000, 0.00000000, 213.84000000, 0, NULL, NULL, 0, 24.55000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 178.20000000, 178.20000000, 35.64000000, 213.84000000),
(7562, 1215, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7563, 1215, NULL, 1231603, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 57.62000000, NULL, 115.24000000, 23.05000000, 0.00000000, 0.00000000, 138.29000000, 0, NULL, NULL, 0, 44.33000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.62000000, 115.24000000, 23.05000000, 138.29000000),
(7564, 1215, NULL, 1231604, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.24000000, NULL, 52.24000000, 10.45000000, 0.00000000, 0.00000000, 62.69000000, 0, NULL, NULL, 0, 40.19000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.24000000, 52.24000000, 10.45000000, 62.69000000),
(7565, 1215, NULL, 1231605, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.62000000, NULL, 57.62000000, 11.52000000, 0.00000000, 0.00000000, 69.14000000, 0, NULL, NULL, 0, 44.33000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.62000000, 57.62000000, 11.52000000, 69.14000000),
(7566, 1215, NULL, NULL, '4 pour filtre seprateur de condensats ATLAS COPCO', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7567, 1215, NULL, 1305879, NULL, 'KIT RECHANGE SEPARATEUR CONDENSAT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 209.02000000, NULL, 209.02000000, 41.80000000, 0.00000000, 0.00000000, 250.82000000, 0, NULL, NULL, 0, 160.79000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 209.02000000, 209.02000000, 41.80000000, 250.82000000),
(7568, 1215, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7569, 1215, NULL, NULL, '5 Pour seprateur de condensats BEKO owamat 11', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7570, 1215, NULL, 1231606, NULL, 'kit separateur de condensats beko 4011999', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.33000000, NULL, 105.33000000, 21.07000000, 0.00000000, 0.00000000, 126.40000000, 0, NULL, NULL, 0, 81.03000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.33000000, 105.33000000, 21.07000000, 126.40000000),
(7571, 1215, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7572, 1215, NULL, NULL, '6 huile pour compresseurs :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7573, 1215, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(7574, 1215, NULL, 1231649, NULL, 'huile synthétique équivalent sullube 32 - 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 294.00000000, NULL, 294.00000000, 58.80000000, 0.00000000, 0.00000000, 352.80000000, 0, NULL, NULL, 0, 225.50000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 294.00000000, 294.00000000, 58.80000000, 352.80000000),
(7575, 1215, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7576, 1216, NULL, 955217, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.72000000, NULL, 112.72000000, 22.54000000, 0.00000000, 0.00000000, 135.26000000, 0, NULL, NULL, 0, 54.72000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.72000000, 112.72000000, 22.54000000, 135.26000000),
(7577, 1216, NULL, 954014, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.08000000, NULL, 102.08000000, 20.42000000, 0.00000000, 0.00000000, 122.50000000, 0, NULL, NULL, 0, 51.04000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.08000000, 102.08000000, 20.42000000, 122.50000000),
(7578, 1216, NULL, 953898, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.29000000, NULL, 102.29000000, 20.46000000, 0.00000000, 0.00000000, 122.75000000, 0, NULL, NULL, 0, 49.66000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.29000000, 102.29000000, 20.46000000, 122.75000000),
(7579, 1216, NULL, 1222557, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.23000000, NULL, 24.46000000, 4.89000000, 0.00000000, 0.00000000, 29.35000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 24.46000000, 4.89000000, 29.35000000),
(7580, 1216, NULL, 1179638, NULL, 'MINOR SERVICE KIT L17-21VS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 103.30000000, NULL, 103.30000000, 20.66000000, 0.00000000, 0.00000000, 123.96000000, 0, NULL, NULL, 0, 61.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.30000000, 103.30000000, 20.66000000, 123.96000000),
(7581, 1216, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 73.10000000, NULL, 146.20000000, 29.24000000, 0.00000000, 0.00000000, 175.44000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 146.20000000, 29.24000000, 175.44000000),
(7582, 1216, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 328.25000000, NULL, 328.25000000, 65.65000000, 0.00000000, 0.00000000, 393.90000000, 0, NULL, NULL, 0, 279.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 328.25000000, 328.25000000, 65.65000000, 393.90000000),
(7620, 1217, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3348.35000000, NULL, 3348.35000000, 669.67000000, 0.00000000, 0.00000000, 4018.02000000, 0, NULL, NULL, 0, 3000.00000000, NULL, 0, 0, 38, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3348.35000000, 3348.35000000, 669.67000000, 4018.02000000),
(7621, 1218, NULL, 969052, NULL, 'Groupe 2 blocs F2 G1/2 0-12 BAR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.00000000, NULL, 105.00000000, 21.00000000, 0.00000000, 0.00000000, 126.00000000, 0, NULL, NULL, 0, 68.14000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.00000000, 105.00000000, 21.00000000, 126.00000000),
(7622, 1218, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.39000000, NULL, 7.39000000, 1.48000000, 0.00000000, 0.00000000, 8.87000000, 0, NULL, NULL, 0, 3.11000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 7.39000000, 1.48000000, 8.87000000),
(7623, 1218, NULL, 966713, NULL, 'Mamelon tournant G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.00000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 2.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 5.00000000, 1.00000000, 6.00000000),
(7624, 1218, NULL, 971766, NULL, 'Raccord rapide sécurité à bouton DN8 Profil IS0 6150C Femelle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.30000000, NULL, 33.30000000, 6.66000000, 0.00000000, 0.00000000, 39.96000000, 0, NULL, NULL, 0, 19.98000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.30000000, 33.30000000, 6.66000000, 39.96000000),
(7625, 1218, NULL, 971786, NULL, 'About rectifié DN8 Profil ISO 6150C Acier INOX 13% de chrome pour tuyau Ø13mm int.', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 10.81000000, NULL, 97.29000000, 19.46000000, 0.00000000, 0.00000000, 116.75000000, 0, NULL, NULL, 0, 6.48600000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.81000000, 97.29000000, 19.46000000, 116.75000000),
(7626, 1218, NULL, 966946, NULL, 'Coude M/F G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.80000000, NULL, 2.80000000, 0.56000000, 0.00000000, 0.00000000, 3.36000000, 0, NULL, NULL, 0, 1.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.80000000, 2.80000000, 0.56000000, 3.36000000),
(7627, 1218, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(7628, 1218, NULL, NULL, NULL, '<p>Main d&#39;oeuvre + frais de deplacement</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7629, 1218, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 600.00000000, NULL, 600.00000000, 120.00000000, 0.00000000, 0.00000000, 720.00000000, 0, NULL, NULL, 0, 400.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 600.00000000, 600.00000000, 120.00000000, 720.00000000),
(7630, 1219, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(7631, 1219, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(7632, 1219, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7633, 1219, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(7634, 1220, NULL, NULL, '2 proposition d\'essai de remplacement carte sur Alup', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7635, 1220, NULL, NULL, NULL, 'Une carte Alup Air controle 1 de 1/04/2003 V1.53', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 350.00000000, NULL, 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(7636, 1220, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 200.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(7637, 1220, NULL, NULL, 'Sous-total proposition d\'essai de remplacement carte sur Alup', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7638, 1221, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(7639, 1221, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7640, 1221, NULL, 1231740, NULL, 'filre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 1.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(7641, 1221, NULL, 952661, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(7642, 1221, NULL, 952662, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(7643, 1222, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7644, 1222, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(7645, 1222, NULL, 1231653, NULL, 'SEPRATEUR AIR/HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 41.82000000, NULL, 41.82000000, 8.36000000, 0.00000000, 0.00000000, 50.18000000, 0, NULL, NULL, 0, 19.41000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.82000000, 41.82000000, 8.36000000, 50.18000000),
(7646, 1222, NULL, 1231765, NULL, 'FILTRE HYDRAULIQUE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.00000000, NULL, 11.00000000, 2.20000000, 0.00000000, 0.00000000, 13.20000000, 0, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.00000000, 11.00000000, 2.20000000, 13.20000000),
(7647, 1222, NULL, 952012, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.83000000, NULL, 19.83000000, 3.97000000, 0.00000000, 0.00000000, 23.80000000, 0, NULL, NULL, 0, 9.63000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.83000000, 19.83000000, 3.97000000, 23.80000000),
(7648, 1222, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(7649, 1223, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7650, 1223, NULL, 952140, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(7651, 1223, NULL, 954045, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(7652, 1223, NULL, 1221736, NULL, 'FILTRE SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.80000000, NULL, 59.80000000, 11.96000000, 0.00000000, 0.00000000, 71.76000000, 0, NULL, NULL, 0, 29.03000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.80000000, 59.80000000, 11.96000000, 71.76000000),
(7653, 1223, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(7654, 1223, NULL, 1222593, NULL, 'courroies_optibelt', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 14.29000000, NULL, 42.87000000, 8.57000000, 0.00000000, 0.00000000, 51.44000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 42.87000000, 8.57000000, 51.44000000),
(7655, 1224, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 0.97000000, NULL, 38.80000000, 7.76000000, 0.00000000, 0.00000000, 46.56000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 38.80000000, 7.76000000, 46.56000000),
(7656, 1224, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(7657, 1224, NULL, 972026, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 4.30000000, NULL, 34.40000000, 6.88000000, 0.00000000, 0.00000000, 41.28000000, 0, NULL, NULL, 0, 2.36500000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.30000000, 34.40000000, 6.88000000, 41.28000000),
(7658, 1224, NULL, 967472, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.35000000, NULL, 11.35000000, 2.27000000, 0.00000000, 0.00000000, 13.62000000, 0, NULL, NULL, 0, 5.67000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.35000000, 11.35000000, 2.27000000, 13.62000000),
(7659, 1225, NULL, 1178170, NULL, 'AIR END EXTERNAL EK140NK', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5269.90000000, NULL, 5269.90000000, 1053.98000000, 0.00000000, 0.00000000, 6323.88000000, 0, NULL, NULL, 0, 3500.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5269.90000000, 5269.90000000, 1053.98000000, 6323.88000000),
(7660, 1225, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 320.00000000, NULL, 320.00000000, 64.00000000, 0.00000000, 0.00000000, 384.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 320.00000000, 320.00000000, 64.00000000, 384.00000000),
(7661, 1225, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1300.00000000, NULL, 1300.00000000, 260.00000000, 0.00000000, 0.00000000, 1560.00000000, 0, NULL, NULL, 0, 1000.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1300.00000000, 1300.00000000, 260.00000000, 1560.00000000),
(7662, 1225, NULL, 1189205, NULL, 'huile alimentaire 4000h pour vis bd 20l', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 860.60000000, NULL, 860.60000000, 172.12000000, 0.00000000, 0.00000000, 1032.72000000, 0, NULL, NULL, 0, 662.66000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 860.60000000, 860.60000000, 172.12000000, 1032.72000000),
(7663, 1225, NULL, 1176132, NULL, 'SPIDER ROTEX 55 COUPLING red 98ShA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 98.00000000, NULL, 98.00000000, 19.60000000, 0.00000000, 0.00000000, 117.60000000, 0, NULL, NULL, 0, 54.36000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 98.00000000, 98.00000000, 19.60000000, 117.60000000),
(7664, 1225, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 241.43000000, NULL, 241.43000000, 48.29000000, 0.00000000, 0.00000000, 289.72000000, 0, NULL, NULL, 0, 178.84000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 241.43000000, 241.43000000, 48.29000000, 289.72000000),
(7665, 1225, NULL, 954826, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 152.85000000, NULL, 152.85000000, 30.57000000, 0.00000000, 0.00000000, 183.42000000, 0, NULL, NULL, 0, 74.20000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 152.85000000, 152.85000000, 30.57000000, 183.42000000),
(7666, 1226, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(7667, 1226, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7668, 1226, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(7669, 1226, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(7670, 1226, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.00000000, NULL, 113.00000000, 22.60000000, 0.00000000, 0.00000000, 135.60000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.00000000, 113.00000000, 22.60000000, 135.60000000),
(7671, 1226, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 39.00000000, NULL, 78.00000000, 15.60000000, 0.00000000, 0.00000000, 93.60000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 78.00000000, 15.60000000, 93.60000000),
(7672, 1227, NULL, 1188156, NULL, 'compresseur apiston 43m3/h 7,5ch 10 bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1640.00000000, NULL, 1640.00000000, 328.00000000, 0.00000000, 0.00000000, 1968.00000000, 0, NULL, NULL, 0, 1385.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1640.00000000, 1640.00000000, 328.00000000, 1968.00000000),
(7673, 1227, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(7674, 1228, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(7675, 1228, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 406.00000000, NULL, 406.00000000, 81.20000000, 0.00000000, 0.00000000, 487.20000000, 0, NULL, NULL, 0, 202.38000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 406.00000000, 406.00000000, 81.20000000, 487.20000000),
(7676, 1228, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(7677, 1228, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(7678, 1228, NULL, 954041, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.59000000, NULL, 11.59000000, 2.32000000, 0.00000000, 0.00000000, 13.91000000, 0, NULL, NULL, 0, 5.63000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.59000000, 11.59000000, 2.32000000, 13.91000000),
(7679, 1228, NULL, 955044, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.39000000, NULL, 86.39000000, 17.28000000, 0.00000000, 0.00000000, 103.67000000, 0, NULL, NULL, 0, 41.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.39000000, 86.39000000, 17.28000000, 103.67000000),
(7680, 1228, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(7681, 1229, NULL, NULL, NULL, 'Acompte (30%) - CO1907-1001', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2680.50000000, NULL, 2680.50000000, 536.10000000, 0.00000000, 0.00000000, 3216.60000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2680.50000000, 2680.50000000, 536.10000000, 3216.60000000),
(7682, 1230, NULL, 1245918, NULL, 'mont&eacute; sur cuve 270Litre<br />\r\n10 bars&nbsp;<br />\r\ncuve 500 Litres&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4772.87000000, NULL, 4772.87000000, 954.57000000, 0.00000000, 0.00000000, 5727.44000000, 0, NULL, NULL, 0, 5010.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4772.87000000, 4772.87000000, 954.57000000, 5727.44000000),
(7683, 1230, NULL, 1223700, NULL, 'tuyau souple et male a barbe 3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.58000000, NULL, 42.58000000, 8.52000000, 0.00000000, 0.00000000, 51.10000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.58000000, 42.58000000, 8.52000000, 51.10000000),
(7684, 1230, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2384.55000000, NULL, 2384.55000000, 476.91000000, 0.00000000, 0.00000000, 2861.46000000, 0, NULL, NULL, 0, 500.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2384.55000000, 2384.55000000, 476.91000000, 2861.46000000),
(7685, 1231, NULL, 1220936, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2257.07000000, NULL, 2257.07000000, 451.41000000, 0.00000000, 0.00000000, 2708.48000000, 0, NULL, NULL, 0, 2716.80000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2257.07000000, 2257.07000000, 451.41000000, 2708.48000000),
(7686, 1231, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.69000000, NULL, 67.69000000, 13.54000000, 0.00000000, 0.00000000, 81.23000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.69000000, 67.69000000, 13.54000000, 81.23000000),
(7687, 1231, NULL, 1190747, NULL, 'nouveau coffret avec 2 disjoncteurs', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 152.13000000, NULL, 152.13000000, 30.43000000, 0.00000000, 0.00000000, 182.56000000, 0, NULL, NULL, 0, 247.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 152.13000000, 152.13000000, 30.43000000, 182.56000000),
(7688, 1231, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1938.49000000, NULL, 1938.49000000, 387.70000000, 0.00000000, 0.00000000, 2326.19000000, 0, NULL, NULL, 0, 500.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1938.49000000, 1938.49000000, 387.70000000, 2326.19000000),
(7689, 1231, NULL, 1223700, NULL, 'tuyau souple et male a barbe 3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.62000000, NULL, 34.62000000, 6.92000000, 0.00000000, 0.00000000, 41.54000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.62000000, 34.62000000, 6.92000000, 41.54000000),
(7690, 1232, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 643.72000000, NULL, 643.72000000, 128.74000000, 0.00000000, 0.00000000, 772.46000000, 0, NULL, NULL, 0, 484.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 643.72000000, 643.72000000, 128.74000000, 772.46000000),
(7691, 1232, NULL, 1307778, NULL, 'flex sanit et chauff 1\"1/2 lg2000inox tuyau epdm recouvert tresse inox - raccord laiton 100°C max pression maxi 6 bars', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 165.00000000, NULL, 330.00000000, 66.00000000, 0.00000000, 0.00000000, 396.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 165.00000000, 330.00000000, 66.00000000, 396.00000000),
(7692, 1232, NULL, 966508, NULL, 'Vanne F/F G1\"1/2 PN30 DN40', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 39.16000000, NULL, 78.32000000, 15.66000000, 0.00000000, 0.00000000, 93.98000000, 0, NULL, NULL, 0, 19.58000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.16000000, 78.32000000, 15.66000000, 93.98000000),
(7693, 1232, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.00000000, NULL, 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 80.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.00000000, 110.00000000, 22.00000000, 132.00000000),
(7694, 1233, NULL, 969249, NULL, 'Purge &eacute;lectrique temporis&eacute;e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(7695, 1234, NULL, 972026, NULL, 'prix au metre', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 4.30000000, NULL, 34.40000000, 6.88000000, 0.00000000, 0.00000000, 41.28000000, 0, NULL, NULL, 0, 2.36500000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.30000000, 34.40000000, 6.88000000, 41.28000000),
(7696, 1235, NULL, 952510, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 34.31000000, NULL, 68.62000000, 13.72000000, 0.00000000, 0.00000000, 82.34000000, 0, NULL, NULL, 0, 16.66000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.31000000, 68.62000000, 13.72000000, 82.34000000),
(7697, 1236, NULL, NULL, NULL, 'Mensualit&eacute;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1419.00000000, NULL, 1419.00000000, 283.80000000, 0.00000000, 0.00000000, 1702.80000000, 0, '2019-05-16 12:00:00', NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1419.00000000, 1419.00000000, 283.80000000, 1702.80000000),
(7698, 1237, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(7699, 1238, NULL, 1223585, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 329.95000000, NULL, 329.95000000, 65.99000000, 0.00000000, 0.00000000, 395.94000000, 1, '2017-08-01 12:00:00', '2019-08-01 12:00:00', 0, 329.95000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 329.95000000, 329.95000000, 65.99000000, 395.94000000),
(7700, 1239, NULL, NULL, NULL, 'VR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 263.42000000, NULL, 263.42000000, 52.68000000, 0.00000000, 0.00000000, 316.10000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 263.42000000, 263.42000000, 52.68000000, 316.10000000),
(7701, 1240, NULL, 1307780, NULL, 'thermostat tableau de bord', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 400.96000000, NULL, 400.96000000, 80.19000000, 0.00000000, 0.00000000, 481.15000000, 0, NULL, NULL, 0, 297.01000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 400.96000000, 400.96000000, 80.19000000, 481.15000000),
(7702, 1240, NULL, 1307781, NULL, 'thermoswith ventilateur 2200600659', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 171.00000000, NULL, 171.00000000, 34.20000000, 0.00000000, 0.00000000, 205.20000000, 0, NULL, NULL, 0, 126.67000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 171.00000000, 171.00000000, 34.20000000, 205.20000000),
(7703, 1240, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.00000000, NULL, 25.00000000, 5.00000000, 0.00000000, 0.00000000, 30.00000000, 1, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.00000000, 25.00000000, 5.00000000, 30.00000000),
(7704, 1241, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.20000000, NULL, 394.20000000, 78.84000000, 0.00000000, 0.00000000, 473.04000000, 0, NULL, NULL, 0, 292.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.20000000, 394.20000000, 78.84000000, 473.04000000),
(7705, 1241, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.00000000, NULL, 79.00000000, 15.80000000, 0.00000000, 0.00000000, 94.80000000, 1, NULL, NULL, 0, 47.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 79.00000000, 15.80000000, 94.80000000),
(7706, 1241, NULL, 1178781, NULL, 'RD-RING 183,74 X 3,53   FKM ( green)70sh', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 18.00000000, 3.60000000, 21.60000000),
(7707, 1241, NULL, 1186931, NULL, 'r-junta 180 3,5', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.58000000, NULL, 23.58000000, 4.72000000, 0.00000000, 0.00000000, 28.30000000, 0, NULL, NULL, 0, 11.45000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.58000000, 23.58000000, 4.72000000, 28.30000000),
(7708, 1242, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 20.98000000, NULL, 41.96000000, 8.39000000, 0.00000000, 0.00000000, 50.35000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.98000000, 41.96000000, 8.39000000, 50.35000000),
(7709, 1242, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.24000000, NULL, 24.48000000, 4.90000000, 0.00000000, 0.00000000, 29.38000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.24000000, 24.48000000, 4.90000000, 29.38000000),
(7710, 1242, NULL, NULL, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.00000000, NULL, 25.00000000, 5.00000000, 0.00000000, 0.00000000, 30.00000000, 1, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.00000000, 25.00000000, 5.00000000, 30.00000000),
(7711, 1243, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.97000000, NULL, 56.91000000, 11.38000000, 0.00000000, 0.00000000, 68.29000000, 0, NULL, NULL, 0, 9.21000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.97000000, 56.91000000, 11.38000000, 68.29000000),
(7712, 1243, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7713, 1243, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(7714, 1243, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(7715, 1243, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(7716, 1243, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 65.31000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(7717, 1243, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 105.67000000, NULL, 211.34000000, 42.27000000, 0.00000000, 0.00000000, 253.61000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 211.34000000, 42.27000000, 253.61000000),
(7718, 1243, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(7719, 1244, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 291.60000000, NULL, 291.60000000, 58.32000000, 0.00000000, 0.00000000, 349.92000000, 1, NULL, NULL, 0, 116.64000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 291.60000000, 291.60000000, 58.32000000, 349.92000000),
(7720, 1244, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 418.00000000, NULL, 334.40000000, 66.88000000, 0.00000000, 0.00000000, 401.28000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 334.40000000, 66.88000000, 401.28000000),
(7721, 1244, NULL, 1179663, NULL, 'SEPARATOR KIT D  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 1387.00000000, NULL, 1109.60000000, 221.92000000, 0.00000000, 0.00000000, 1331.52000000, 1, NULL, NULL, 0, 503.79000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1387.00000000, 1109.60000000, 221.92000000, 1331.52000000),
(7722, 1244, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7723, 1244, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(7724, 1245, NULL, 951736, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.30000000, NULL, 24.30000000, 4.86000000, 0.00000000, 0.00000000, 29.16000000, 0, NULL, NULL, 0, 11.80000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.30000000, 24.30000000, 4.86000000, 29.16000000),
(7725, 1245, NULL, 954045, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(7726, 1245, NULL, 954297, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.16000000, NULL, 68.16000000, 13.63000000, 0.00000000, 0.00000000, 81.79000000, 0, NULL, NULL, 0, 33.09000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.16000000, 68.16000000, 13.63000000, 81.79000000),
(7727, 1245, NULL, 952689, NULL, 'cartouche 610ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.36000000, NULL, 214.36000000, 42.87000000, 0.00000000, 0.00000000, 257.23000000, 0, NULL, NULL, 0, 104.06000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.36000000, 214.36000000, 42.87000000, 257.23000000),
(7728, 1245, NULL, 952690, NULL, 'cartouche media filtrant pne610rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 215.47000000, NULL, 215.47000000, 43.09000000, 0.00000000, 0.00000000, 258.56000000, 0, NULL, NULL, 0, 104.60000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 215.47000000, 215.47000000, 43.09000000, 258.56000000),
(7729, 1245, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7730, 1245, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(7731, 1245, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(7732, 1246, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.41000000, NULL, 3.41000000, 0.68000000, 0.00000000, 0.00000000, 4.09000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.41000000, 3.41000000, 0.68000000, 4.09000000),
(7733, 1246, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 189.52000000, NULL, 189.52000000, 37.90000000, 0.00000000, 0.00000000, 227.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 189.52000000, 189.52000000, 37.90000000, 227.42000000),
(7734, 1246, NULL, 1222098, NULL, 'filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 31.32000000, NULL, 31.32000000, 6.26000000, 0.00000000, 0.00000000, 37.58000000, 0, NULL, NULL, 0, 24.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 31.32000000, 31.32000000, 6.26000000, 37.58000000),
(7735, 1246, NULL, 1297935, NULL, 'Filtre à Air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.06000000, NULL, 17.06000000, 3.41000000, 0.00000000, 0.00000000, 20.47000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.06000000, 17.06000000, 3.41000000, 20.47000000),
(7736, 1246, NULL, 1222117, NULL, 'CARTOUCHE SEPARATRICE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.51000000, NULL, 105.51000000, 21.10000000, 0.00000000, 0.00000000, 126.61000000, 0, NULL, NULL, 0, 119.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.51000000, 105.51000000, 21.10000000, 126.61000000),
(7737, 1246, NULL, 1305886, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 15.83000000, NULL, 47.49000000, 9.50000000, 0.00000000, 0.00000000, 56.99000000, 0, NULL, NULL, 0, 17.85000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.83000000, 47.49000000, 9.50000000, 56.99000000),
(7738, 1246, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.59000000, NULL, 65.59000000, 13.12000000, 0.00000000, 0.00000000, 78.71000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.59000000, 65.59000000, 13.12000000, 78.71000000),
(7739, 1246, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.59000000, NULL, 65.59000000, 13.12000000, 0.00000000, 0.00000000, 78.71000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.59000000, 65.59000000, 13.12000000, 78.71000000),
(7740, 1246, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 175.17000000, NULL, 175.17000000, 35.03000000, 0.00000000, 0.00000000, 210.20000000, 0, NULL, NULL, 0, 64.35000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 175.17000000, 175.17000000, 35.03000000, 210.20000000),
(7741, 1246, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 35.42000000, NULL, 70.84000000, 14.17000000, 0.00000000, 0.00000000, 85.01000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.42000000, 70.84000000, 14.17000000, 85.01000000),
(7742, 1247, NULL, 970347, NULL, 'Raccord PUSH FIT Fileté G3/4 Ø25', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.70000000, NULL, 26.80000000, 5.36000000, 0.00000000, 0.00000000, 32.16000000, 0, NULL, NULL, 0, 4.02000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.70000000, 26.80000000, 5.36000000, 32.16000000),
(7743, 1247, NULL, 970228, NULL, 'Tube aluminium calibré Ø25x22 en barre de 4 mètres Couleur Bleue', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 6.10000000, NULL, 97.60000000, 19.52000000, 0.00000000, 0.00000000, 117.12000000, 0, NULL, NULL, 0, 3.66000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.10000000, 97.60000000, 19.52000000, 117.12000000),
(7744, 1247, NULL, 970426, NULL, 'Vanne PUSH-FIT laiton pour tube de Ø25mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 26.50000000, NULL, 53.00000000, 10.60000000, 0.00000000, 0.00000000, 63.60000000, 0, NULL, NULL, 0, 15.90000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.50000000, 53.00000000, 10.60000000, 63.60000000),
(7745, 1247, NULL, 970251, NULL, 'Coude égal PUSH FIT Ø25', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.30000000, NULL, 22.60000000, 4.52000000, 0.00000000, 0.00000000, 27.12000000, 0, NULL, NULL, 0, 6.78000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.30000000, 22.60000000, 4.52000000, 27.12000000),
(7746, 1247, NULL, 966701, NULL, 'Mamelon conique G1/2x3/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 100, 0, NULL, 2.10000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 1.05000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.10000000, 0.00000000, 0.00000000, 0.00000000),
(7747, 1248, NULL, NULL, NULL, 'Maintenance GA90', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7748, 1248, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(7749, 1248, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7750, 1248, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(7751, 1248, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 24.67000000, NULL, 49.34000000, 9.87000000, 0.00000000, 0.00000000, 59.21000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 49.34000000, 9.87000000, 59.21000000),
(7752, 1248, NULL, 952269, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 137.42000000, NULL, 137.42000000, 27.48000000, 0.00000000, 0.00000000, 164.90000000, 0, NULL, NULL, 0, 66.71000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 137.42000000, 137.42000000, 27.48000000, 164.90000000),
(7753, 1248, NULL, 954983, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 252.74000000, NULL, 252.74000000, 50.55000000, 0.00000000, 0.00000000, 303.29000000, 0, NULL, NULL, 0, 122.69000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 252.74000000, 252.74000000, 50.55000000, 303.29000000),
(7754, 1248, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7755, 1248, NULL, NULL, NULL, 'Filtre reseau :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7756, 1248, NULL, 1243825, NULL, 'cartouche  filtre F280', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 248.00000000, NULL, 248.00000000, 49.60000000, 0.00000000, 0.00000000, 297.60000000, 0, NULL, NULL, 0, 130.35000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 248.00000000, 248.00000000, 49.60000000, 297.60000000),
(7757, 1248, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7758, 1248, NULL, NULL, NULL, 'Maintenance GA30 :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7759, 1248, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7760, 1248, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(7761, 1248, NULL, 954856, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 164.12000000, NULL, 164.12000000, 32.82000000, 0.00000000, 0.00000000, 196.94000000, 0, NULL, NULL, 0, 84.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 164.12000000, 164.12000000, 32.82000000, 196.94000000),
(7762, 1248, NULL, 955244, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.18000000, NULL, 20.18000000, 4.04000000, 0.00000000, 0.00000000, 24.22000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.18000000, 20.18000000, 4.04000000, 24.22000000),
(7763, 1248, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7764, 1249, NULL, 1189205, NULL, 'huile alimentaire 4000h pour vis bd 20l', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 881.33000000, NULL, 881.33000000, 176.27000000, 0.00000000, 0.00000000, 1057.60000000, 0, NULL, NULL, 0, 662.66000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 881.33000000, 881.33000000, 176.27000000, 1057.60000000),
(7765, 1250, NULL, 1190786, NULL, 'Inter differentiel 30 Ma/63 amp- 4p', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 200.16000000, NULL, 600.48000000, 120.10000000, 0.00000000, 0.00000000, 720.58000000, 0, NULL, NULL, 0, 125.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.16000000, 600.48000000, 120.10000000, 720.58000000),
(7766, 1250, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 184.33000000, NULL, 184.33000000, 36.87000000, 0.00000000, 0.00000000, 221.20000000, 0, NULL, NULL, 0, 120.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 184.33000000, 184.33000000, 36.87000000, 221.20000000),
(7767, 1251, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(7768, 1251, NULL, NULL, NULL, 'ABIENBH15- lampe &agrave; detection auto LED', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 134.33000000, NULL, 134.33000000, 26.87000000, 0.00000000, 0.00000000, 161.20000000, 0, NULL, NULL, 0, 101.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 134.33000000, 134.33000000, 26.87000000, 161.20000000),
(7769, 1251, NULL, NULL, NULL, 'cable 3G1.5CARRE', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 1.46000000, NULL, 29.20000000, 5.84000000, 0.00000000, 0.00000000, 35.04000000, 0, NULL, NULL, 0, 1.10000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.46000000, 29.20000000, 5.84000000, 35.04000000),
(7770, 1252, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 137.18000000, NULL, 137.18000000, 27.44000000, 0.00000000, 0.00000000, 164.62000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 137.18000000, 137.18000000, 27.44000000, 164.62000000),
(7771, 1252, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 89.78000000, NULL, 89.78000000, 17.96000000, 0.00000000, 0.00000000, 107.74000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 89.78000000, 89.78000000, 17.96000000, 107.74000000),
(7772, 1252, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 438.42000000, NULL, 438.42000000, 87.68000000, 0.00000000, 0.00000000, 526.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 438.42000000, 438.42000000, 87.68000000, 526.10000000),
(7773, 1252, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.73000000, NULL, 8.73000000, 1.75000000, 0.00000000, 0.00000000, 10.48000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.73000000, 8.73000000, 1.75000000, 10.48000000),
(7774, 1252, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 66.90000000, NULL, 66.90000000, 13.38000000, 0.00000000, 0.00000000, 80.28000000, 0, NULL, NULL, 0, 42.79000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 66.90000000, 66.90000000, 13.38000000, 80.28000000),
(7775, 1252, NULL, 1222600, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 15.38000000, NULL, 46.14000000, 9.23000000, 0.00000000, 0.00000000, 55.37000000, 0, NULL, NULL, 0, 8.72000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.38000000, 46.14000000, 9.23000000, 55.37000000),
(7776, 1253, NULL, 1307785, NULL, 'bekomat 32U', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 204.00000000, NULL, 204.00000000, 40.80000000, 0.00000000, 0.00000000, 244.80000000, 0, NULL, NULL, 0, 126.48000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 204.00000000, 204.00000000, 40.80000000, 244.80000000),
(7777, 1253, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(7778, 1253, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 0.97000000, NULL, 23.28000000, 4.66000000, 0.00000000, 0.00000000, 27.94000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 23.28000000, 4.66000000, 27.94000000),
(7779, 1254, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7780, 1254, NULL, 1230990, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 407.10000000, NULL, 407.10000000, 81.42000000, 0.00000000, 0.00000000, 488.52000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.10000000, 407.10000000, 81.42000000, 488.52000000),
(7781, 1254, NULL, 953186, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 191.25000000, NULL, 191.25000000, 38.25000000, 0.00000000, 0.00000000, 229.50000000, 0, NULL, NULL, 0, 92.84000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 191.25000000, 191.25000000, 38.25000000, 229.50000000),
(7782, 1254, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(7783, 1254, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(7784, 1254, NULL, 1213316, NULL, 'CARTOUCHE E100 1\"1/2 FILTRE S-AIR XAC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(7785, 1254, NULL, 1213315, NULL, 'CARTOUCHE E100 1\"1/2 FILTRE S-AIR XA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(7786, 1255, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(7787, 1255, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7788, 1255, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(7789, 1255, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(7790, 1255, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.00000000, NULL, 113.00000000, 22.60000000, 0.00000000, 0.00000000, 135.60000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.00000000, 113.00000000, 22.60000000, 135.60000000),
(7792, 1255, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(7793, 1256, NULL, 952816, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 978.98000000, NULL, 978.98000000, 195.80000000, 0.00000000, 0.00000000, 1174.78000000, 0, NULL, NULL, 0, 706.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 978.98000000, 978.98000000, 195.80000000, 1174.78000000),
(7794, 1257, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7795, 1257, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 5, 0, NULL, 429.00000000, NULL, 407.55000000, 81.51000000, 0.00000000, 0.00000000, 489.06000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 429.00000000, 407.55000000, 81.51000000, 489.06000000),
(7796, 1257, NULL, 953196, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 296.61000000, NULL, 296.61000000, 59.32000000, 0.00000000, 0.00000000, 355.93000000, 0, NULL, NULL, 0, 143.99000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 296.61000000, 296.61000000, 59.32000000, 355.93000000),
(7797, 1257, NULL, 1238456, NULL, 'micro filtre 0.1 mic', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 172.72000000, NULL, 172.72000000, 34.54000000, 0.00000000, 0.00000000, 207.26000000, 0, NULL, NULL, 0, 86.36000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 172.72000000, 172.72000000, 34.54000000, 207.26000000),
(7798, 1257, NULL, 1238457, NULL, 'SUBMICROFILTRE 0,01 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 127.72000000, NULL, 127.72000000, 25.54000000, 0.00000000, 0.00000000, 153.26000000, 0, NULL, NULL, 0, 63.86000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 127.72000000, 127.72000000, 25.54000000, 153.26000000),
(7799, 1257, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 5, 0, NULL, 277.00000000, NULL, 263.15000000, 52.63000000, 0.00000000, 0.00000000, 315.78000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 263.15000000, 52.63000000, 315.78000000),
(7800, 1257, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(7801, 1257, NULL, 1179663, NULL, 'SEPARATOR KIT D  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 1387.00000000, NULL, 1178.95000000, 235.79000000, 0.00000000, 0.00000000, 1414.74000000, 1, NULL, NULL, 0, 503.79000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1387.00000000, 1178.95000000, 235.79000000, 1414.74000000),
(7802, 1258, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(7803, 1258, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 5, 0, NULL, 358.60000000, NULL, 340.67000000, 68.13000000, 0.00000000, 0.00000000, 408.80000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 340.67000000, 68.13000000, 408.80000000),
(7804, 1258, NULL, 1179655, NULL, 'SEPARATOR KIT D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 5, 0, NULL, 582.60000000, NULL, 553.47000000, 110.69000000, 0.00000000, 0.00000000, 664.16000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 582.60000000, 553.47000000, 110.69000000, 664.16000000),
(7805, 1258, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 5, 0, NULL, 277.00000000, NULL, 263.15000000, 52.63000000, 0.00000000, 0.00000000, 315.78000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 263.15000000, 52.63000000, 315.78000000),
(7806, 1258, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(7807, 1258, NULL, 952680, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(7808, 1258, NULL, 952681, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(7809, 1258, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7810, 1258, NULL, 1305290, NULL, 'SERVICE PACKAGE  E   L30-L50+L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 5, 0, NULL, 772.00000000, NULL, 733.40000000, 146.68000000, 0.00000000, 0.00000000, 880.08000000, 0, NULL, NULL, 0, 424.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 772.00000000, 733.40000000, 146.68000000, 880.08000000),
(7811, 1258, NULL, 1230684, NULL, 'bulbes thermostatique 55°C', 20.000, '', 0.000, '0', 0.000, '0', 1, 5, 0, NULL, 180.00000000, NULL, 171.00000000, 34.20000000, 0.00000000, 0.00000000, 205.20000000, 0, NULL, NULL, 0, 99.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 180.00000000, 171.00000000, 34.20000000, 205.20000000),
(7842, 1260, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 226.79000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(7843, 1261, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 226.79000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(7844, 1262, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(7845, 1262, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7846, 1262, NULL, 1305486, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 123.00000000, NULL, 92.25000000, 18.45000000, 0.00000000, 0.00000000, 110.70000000, 0, NULL, NULL, 0, 54.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.00000000, 92.25000000, 18.45000000, 110.70000000),
(7847, 1262, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.25000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 8.29000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 32.50000000, 6.50000000, 39.00000000),
(7848, 1262, NULL, 1179646, NULL, 'SEPARATOR KIT D            L07-L11RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 292.00000000, NULL, 219.00000000, 43.80000000, 0.00000000, 0.00000000, 262.80000000, 0, NULL, NULL, 0, 175.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 292.00000000, 219.00000000, 43.80000000, 262.80000000),
(7849, 1262, NULL, 1179717, NULL, 'MAJOR KIT E               L07 - L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 251.00000000, NULL, 188.25000000, 37.65000000, 0.00000000, 0.00000000, 225.90000000, 1, NULL, NULL, 0, 131.98000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 251.00000000, 188.25000000, 37.65000000, 225.90000000),
(7850, 1262, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 79.00000000, NULL, 59.25000000, 11.85000000, 0.00000000, 0.00000000, 71.10000000, 1, NULL, NULL, 0, 47.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 59.25000000, 11.85000000, 71.10000000),
(7851, 1263, NULL, 1190680, NULL, 'contacteur 12 amp', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 71.91000000, NULL, 71.91000000, 14.38000000, 0.00000000, 0.00000000, 86.29000000, 0, NULL, NULL, 0, 34.91000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 71.91000000, 71.91000000, 14.38000000, 86.29000000),
(7852, 1263, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(7853, 1263, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(7854, 1264, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(7855, 1264, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7856, 1264, NULL, 1180029, NULL, 'MAINTENANCE KIT HYDROVANE 501/502', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.40000000, NULL, 112.40000000, 22.48000000, 0.00000000, 0.00000000, 134.88000000, 0, NULL, NULL, 0, 69.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.40000000, 112.40000000, 22.48000000, 134.88000000),
(7857, 1264, NULL, 953507, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.17000000, NULL, 32.17000000, 6.43000000, 0.00000000, 0.00000000, 38.60000000, 0, NULL, NULL, 0, 15.62000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.17000000, 32.17000000, 6.43000000, 38.60000000),
(7858, 1264, NULL, 953416, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.17000000, NULL, 32.17000000, 6.43000000, 0.00000000, 0.00000000, 38.60000000, 0, NULL, NULL, 0, 15.62000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.17000000, 32.17000000, 6.43000000, 38.60000000),
(7859, 1265, NULL, NULL, '1 fourniture et mise en place vanne de coupure et de mise en pression progressive (hors câblage électrique)', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7860, 1265, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 367.30000000, NULL, 367.30000000, 73.46000000, 0.00000000, 0.00000000, 440.76000000, 0, NULL, NULL, 0, 280.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 367.30000000, 367.30000000, 73.46000000, 440.76000000),
(7861, 1265, NULL, 1307793, NULL, 'Vanne de mise en pression progressive - Taille 4 avec bobine 24vdc et connecteur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 998.00000000, NULL, 998.00000000, 199.60000000, 0.00000000, 0.00000000, 1197.60000000, 0, NULL, NULL, 0, 717.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 998.00000000, 998.00000000, 199.60000000, 1197.60000000),
(7862, 1265, NULL, NULL, 'Sous-total fourniture et mise en place vanne de coupure et de mise en pression progressive  (hors câblage électrique)', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7863, 1265, NULL, NULL, '2 piquage sur canalisation D42  vanne 1/2 + enrouleur', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7864, 1265, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 367.30000000, NULL, 367.30000000, 73.46000000, 0.00000000, 0.00000000, 440.76000000, 0, NULL, NULL, 0, 280.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 367.30000000, 367.30000000, 73.46000000, 440.76000000),
(7865, 1265, NULL, 1079871, NULL, 'Té réduit diam. ext. 42 . 22 . 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.02000000, NULL, 15.02000000, 3.00000000, 0.00000000, 0.00000000, 18.02000000, 0, NULL, NULL, 0, 10.58000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.02000000, 15.02000000, 3.00000000, 18.02000000),
(7866, 1265, NULL, 1080005, NULL, 'Manchon d\'ajustage diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.11000000, NULL, 8.11000000, 1.62000000, 0.00000000, 0.00000000, 9.73000000, 0, NULL, NULL, 0, 5.71000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.11000000, 8.11000000, 1.62000000, 9.73000000),
(7867, 1265, NULL, 1080050, NULL, 'Courbe à 180° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.27000000, NULL, 8.27000000, 1.65000000, 0.00000000, 0.00000000, 9.92000000, 0, NULL, NULL, 0, 5.82000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.27000000, 8.27000000, 1.65000000, 9.92000000),
(7868, 1265, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.98000000, NULL, 19.92000000, 3.98000000, 0.00000000, 0.00000000, 23.90000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 19.92000000, 3.98000000, 23.90000000),
(7869, 1265, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.58000000, NULL, 14.58000000, 2.92000000, 0.00000000, 0.00000000, 17.50000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.58000000, 14.58000000, 2.92000000, 17.50000000),
(7870, 1265, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.39000000, NULL, 7.39000000, 1.48000000, 0.00000000, 0.00000000, 8.87000000, 0, NULL, NULL, 0, 3.25000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 7.39000000, 1.48000000, 8.87000000),
(7871, 1265, NULL, 1223619, NULL, 'enrouleur automatique à cliquet 13 x 19-/20b long 15m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 448.00000000, NULL, 448.00000000, 89.60000000, 0.00000000, 0.00000000, 537.60000000, 0, NULL, NULL, 0, 320.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 448.00000000, 448.00000000, 89.60000000, 537.60000000),
(7872, 1265, NULL, 968571, NULL, 'support pivotant pour enrouleurs séries E430/E4430', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 45.71000000, NULL, 45.71000000, 9.14000000, 0.00000000, 0.00000000, 54.85000000, 0, NULL, NULL, 0, 22.19000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.71000000, 45.71000000, 9.14000000, 54.85000000),
(7873, 1265, NULL, 971665, NULL, 'Rac tuyau 13 séc bouton', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.99000000, NULL, 33.99000000, 6.80000000, 0.00000000, 0.00000000, 40.79000000, 0, NULL, NULL, 0, 16.50000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.99000000, 33.99000000, 6.80000000, 40.79000000),
(7874, 1265, NULL, NULL, 'Sous-total piquage sur canalisation D42  vanne 1/2 + enrouleur', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7905, 1267, NULL, 1307786, NULL, 'bekomat 13', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 392.61000000, NULL, 392.61000000, 78.52000000, 0.00000000, 0.00000000, 471.13000000, 0, NULL, NULL, 0, 287.68000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 392.61000000, 392.61000000, 78.52000000, 471.13000000),
(7906, 1267, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(7907, 1267, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 92, 0, 0, NULL, 0.97000000, NULL, 89.24000000, 17.85000000, 0.00000000, 0.00000000, 107.09000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 89.24000000, 17.85000000, 107.09000000),
(7908, 1268, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(7909, 1268, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7910, 1268, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(7911, 1268, NULL, 1221767, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.06000000, NULL, 35.06000000, 7.01000000, 0.00000000, 0.00000000, 42.07000000, 0, NULL, NULL, 0, 17.53000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.06000000, 35.06000000, 7.01000000, 42.07000000),
(7912, 1268, NULL, 1221715, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.80000000, NULL, 112.80000000, 22.56000000, 0.00000000, 0.00000000, 135.36000000, 0, NULL, NULL, 0, 75.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.80000000, 112.80000000, 22.56000000, 135.36000000),
(7913, 1268, NULL, 959341, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.77000000, NULL, 27.77000000, 5.55000000, 0.00000000, 0.00000000, 33.32000000, 0, NULL, NULL, 0, 13.48000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.77000000, 27.77000000, 5.55000000, 33.32000000),
(7914, 1269, NULL, 952820, NULL, 'secheur frigorifique 225m3/h rac1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1716.00000000, NULL, 1716.00000000, 343.20000000, 0.00000000, 0.00000000, 2059.20000000, 0, NULL, NULL, 0, 1208.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1716.00000000, 1716.00000000, 343.20000000, 2059.20000000),
(7915, 1269, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(7916, 1270, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 928.00000000, NULL, 928.00000000, 185.60000000, 0.00000000, 0.00000000, 1113.60000000, 0, NULL, NULL, 0, 698.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 928.00000000, 928.00000000, 185.60000000, 1113.60000000),
(7917, 1271, NULL, NULL, NULL, 'VALORISATION d&#39;un volume CEE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4438.50000000, NULL, 4438.50000000, 887.70000000, 0.00000000, 0.00000000, 5326.20000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4438.50000000, 4438.50000000, 887.70000000, 5326.20000000),
(7918, 1272, NULL, NULL, NULL, 'VALORISATION d&#39;un volume CEE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -4438.50000000, NULL, -4438.50000000, -887.70000000, 0.00000000, 0.00000000, -5326.20000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -4438.50000000, -4438.50000000, -887.70000000, -5326.20000000),
(7919, 1273, NULL, NULL, NULL, 'VALORISATION d&#39;un volume CEE', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4438.50000000, NULL, 4438.50000000, 0.00000000, 0.00000000, 0.00000000, 4438.50000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4438.50000000, 4438.50000000, 0.00000000, 4438.50000000),
(7920, 1274, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(7921, 1274, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(7922, 1274, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(7923, 1274, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(7924, 1274, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(7925, 1274, NULL, NULL, NULL, '00716 - courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.00000000, NULL, 10.00000000, 2.00000000, 0.00000000, 0.00000000, 12.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.00000000, 10.00000000, 2.00000000, 12.00000000),
(7926, 1274, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(7927, 1274, NULL, 952661, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(7928, 1275, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 2.74000000, NULL, 82.20000000, 16.44000000, 0.00000000, 0.00000000, 98.64000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.74000000, 82.20000000, 16.44000000, 98.64000000),
(7929, 1275, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.97000000, NULL, 11.82000000, 2.36000000, 0.00000000, 0.00000000, 14.18000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.97000000, 11.82000000, 2.36000000, 14.18000000),
(7930, 1275, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 2.95000000, NULL, 23.60000000, 4.72000000, 0.00000000, 0.00000000, 28.32000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.95000000, 23.60000000, 4.72000000, 28.32000000),
(7931, 1275, NULL, 1190512, NULL, 'dilatoflex 1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.77000000, NULL, 13.77000000, 2.75000000, 0.00000000, 0.00000000, 16.52000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.77000000, 13.77000000, 2.75000000, 16.52000000),
(7932, 1275, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 3.64000000, NULL, 14.56000000, 2.91000000, 0.00000000, 0.00000000, 17.47000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.64000000, 14.56000000, 2.91000000, 17.47000000),
(7933, 1275, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 4.50000000, NULL, 22.50000000, 4.50000000, 0.00000000, 0.00000000, 27.00000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 22.50000000, 4.50000000, 27.00000000),
(7934, 1275, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 8.03000000, NULL, 40.15000000, 8.03000000, 0.00000000, 0.00000000, 48.18000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.03000000, 40.15000000, 8.03000000, 48.18000000),
(7935, 1275, NULL, 1080012, NULL, 'Manchon d\'extrémité diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.49000000, NULL, 2.49000000, 0.50000000, 0.00000000, 0.00000000, 2.99000000, 0, NULL, NULL, 0, 3.19000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.49000000, 2.49000000, 0.50000000, 2.99000000),
(7936, 1275, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 0.62000000, NULL, 12.40000000, 2.48000000, 0.00000000, 0.00000000, 14.88000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.62000000, 12.40000000, 2.48000000, 14.88000000),
(7937, 1275, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 4.07000000, NULL, 20.35000000, 4.07000000, 0.00000000, 0.00000000, 24.42000000, 0, NULL, NULL, 0, 3.25000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.07000000, 20.35000000, 4.07000000, 24.42000000),
(7938, 1275, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.77000000, NULL, 0.77000000, 0.15000000, 0.00000000, 0.00000000, 0.92000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.77000000, 0.77000000, 0.15000000, 0.92000000),
(7939, 1275, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 375.00000000, NULL, 375.00000000, 75.00000000, 0.00000000, 0.00000000, 450.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 375.00000000, 375.00000000, 75.00000000, 450.00000000),
(7940, 1275, NULL, 952631, NULL, 'filtre reseau R1/2 grade 1µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 137.90000000, NULL, 137.90000000, 27.58000000, 0.00000000, 0.00000000, 165.48000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 137.90000000, 137.90000000, 27.58000000, 165.48000000),
(7941, 1275, NULL, 952630, NULL, 'filtre BEA105ra 1/2\'\' grade 0.01µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 137.87000000, NULL, 137.87000000, 27.57000000, 0.00000000, 0.00000000, 165.44000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 137.87000000, 137.87000000, 27.57000000, 165.44000000),
(7942, 1275, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 375.00000000, NULL, 375.00000000, 75.00000000, 0.00000000, 0.00000000, 450.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 375.00000000, 375.00000000, 75.00000000, 450.00000000),
(7943, 1275, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 375.00000000, NULL, 375.00000000, 75.00000000, 0.00000000, 0.00000000, 450.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 375.00000000, 375.00000000, 75.00000000, 450.00000000),
(7944, 1275, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 375.00000000, NULL, 375.00000000, 75.00000000, 0.00000000, 0.00000000, 450.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 375.00000000, 375.00000000, 75.00000000, 450.00000000),
(7947, 1276, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.97000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 42.68000000, 8.54000000, 51.22000000),
(7948, 1276, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(7949, 1278, NULL, 944560, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 71.21000000, NULL, 71.21000000, 14.24000000, 0.00000000, 0.00000000, 85.45000000, 0, NULL, NULL, 0, 52.75000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 71.21000000, 71.21000000, 14.24000000, 85.45000000),
(7950, 1278, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.97000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 58.20000000, 11.64000000, 69.84000000),
(7951, 1278, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(7952, 1279, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(7953, 1279, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(7954, 1279, NULL, 1221733, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.66000000, NULL, 61.66000000, 12.33000000, 0.00000000, 0.00000000, 73.99000000, 0, NULL, NULL, 0, 29.93000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.66000000, 61.66000000, 12.33000000, 73.99000000),
(7955, 1279, NULL, 1223837, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.64000000, NULL, 27.64000000, 5.53000000, 0.00000000, 0.00000000, 33.17000000, 0, NULL, NULL, 0, 13.82000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.64000000, 27.64000000, 5.53000000, 33.17000000),
(7956, 1279, NULL, 1230694, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 3.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(7957, 1279, NULL, 952662, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(7958, 1279, NULL, 1223611, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.48000000, NULL, 17.48000000, 3.50000000, 0.00000000, 0.00000000, 20.98000000, 0, NULL, NULL, 0, 8.74000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.48000000, 17.48000000, 3.50000000, 20.98000000),
(7959, 1280, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(7960, 1280, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(7961, 1280, NULL, 1179647, NULL, 'SERVICE-KIT D55-275 A+W  24V/50+60Hz', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 401.40000000, NULL, 341.19000000, 68.24000000, 0.00000000, 0.00000000, 409.43000000, 1, NULL, NULL, 0, 240.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 401.40000000, 341.19000000, 68.24000000, 409.43000000),
(7962, 1280, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(7963, 1280, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(7964, 1280, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(7965, 1280, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(7966, 1280, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 73.10000000, NULL, 146.20000000, 29.24000000, 0.00000000, 0.00000000, 175.44000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 146.20000000, 29.24000000, 175.44000000),
(7967, 1281, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 147.79000000, NULL, 147.79000000, 29.56000000, 0.00000000, 0.00000000, 177.35000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 147.79000000, 147.79000000, 29.56000000, 177.35000000),
(7968, 1281, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 375.77000000, NULL, 375.77000000, 75.15000000, 0.00000000, 0.00000000, 450.92000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 375.77000000, 375.77000000, 75.15000000, 450.92000000),
(7969, 1281, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.66000000, NULL, 5.66000000, 1.13000000, 0.00000000, 0.00000000, 6.79000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.66000000, 5.66000000, 1.13000000, 6.79000000),
(7970, 1281, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.69000000, NULL, 96.69000000, 19.34000000, 0.00000000, 0.00000000, 116.03000000, 1, NULL, NULL, 0, 46.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.69000000, 96.69000000, 19.34000000, 116.03000000),
(7971, 1281, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 181.22000000, NULL, 181.22000000, 36.24000000, 0.00000000, 0.00000000, 217.46000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 181.22000000, 181.22000000, 36.24000000, 217.46000000),
(7972, 1281, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 132.70000000, NULL, 265.40000000, 53.08000000, 0.00000000, 0.00000000, 318.48000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 132.70000000, 265.40000000, 53.08000000, 318.48000000),
(7973, 1281, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 132.70000000, NULL, 132.70000000, 26.54000000, 0.00000000, 0.00000000, 159.24000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 132.70000000, 132.70000000, 26.54000000, 159.24000000),
(7974, 1281, NULL, 1231755, NULL, 'cartouche filtre reseau 300 charbon actif', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 132.67000000, NULL, 265.34000000, 53.07000000, 0.00000000, 0.00000000, 318.41000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 132.67000000, 265.34000000, 53.07000000, 318.41000000),
(7975, 1281, NULL, 1245942, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.40000000, NULL, 26.80000000, 5.36000000, 0.00000000, 0.00000000, 32.16000000, 0, NULL, NULL, 0, 9.14000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.40000000, 26.80000000, 5.36000000, 32.16000000),
(7976, 1282, NULL, 1220932, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4281.41000000, NULL, 4281.41000000, 856.28000000, 0.00000000, 0.00000000, 5137.69000000, 0, NULL, NULL, 0, 3343.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4281.41000000, 4281.41000000, 856.28000000, 5137.69000000),
(7977, 1282, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 434.91000000, NULL, 434.91000000, 86.98000000, 0.00000000, 0.00000000, 521.89000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 434.91000000, 434.91000000, 86.98000000, 521.89000000),
(7978, 1282, NULL, 1305863, NULL, 'Natte Filtrante Renner', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 97.61000000, NULL, 195.22000000, 39.04000000, 0.00000000, 0.00000000, 234.26000000, 0, NULL, NULL, 0, 48.48000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 97.61000000, 195.22000000, 39.04000000, 234.26000000),
(7979, 1282, NULL, 1189386, NULL, 'module redemarrage auto apres coupure rennerogic', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 28.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(7980, 1282, NULL, 1231904, NULL, 'coffret d\'isolation phonique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 188.46000000, NULL, 188.46000000, 37.69000000, 0.00000000, 0.00000000, 226.15000000, 0, NULL, NULL, 0, 153.12000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 188.46000000, 188.46000000, 37.69000000, 226.15000000),
(7981, 1283, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(7982, 1284, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 226.79000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(7983, 1285, NULL, NULL, NULL, 'Mensualit&eacute;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1419.00000000, NULL, 1419.00000000, 283.80000000, 0.00000000, 0.00000000, 1702.80000000, 0, '2019-05-16 12:00:00', NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1419.00000000, 1419.00000000, 283.80000000, 1702.80000000),
(7984, 1286, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 63.84000000, NULL, 319.20000000, 63.84000000, 0.00000000, 0.00000000, 383.04000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 319.20000000, 63.84000000, 383.04000000),
(7985, 1286, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 62, 0, 0, NULL, 0.97000000, NULL, 60.14000000, 12.03000000, 0.00000000, 0.00000000, 72.17000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 60.14000000, 12.03000000, 72.17000000),
(7986, 1287, NULL, 952629, NULL, 'filtre réseau charbon actif', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 145.50000000, NULL, 145.50000000, 29.10000000, 0.00000000, 0.00000000, 174.60000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 145.50000000, 145.50000000, 29.10000000, 174.60000000),
(7987, 1287, NULL, 952630, NULL, 'filtre BEA105ra 1/2\'\' grade 0.01µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 145.50000000, NULL, 145.50000000, 29.10000000, 0.00000000, 0.00000000, 174.60000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 145.50000000, 145.50000000, 29.10000000, 174.60000000),
(7988, 1287, NULL, 952631, NULL, 'filtre reseau R1/2 grade 1µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 145.50000000, NULL, 145.50000000, 29.10000000, 0.00000000, 0.00000000, 174.60000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 145.50000000, 145.50000000, 29.10000000, 174.60000000),
(7990, 1287, NULL, 971943, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 1.19000000, NULL, 28.56000000, 5.71000000, 0.00000000, 0.00000000, 34.27000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.19000000, 28.56000000, 5.71000000, 34.27000000),
(7991, 1287, NULL, 966504, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.68000000, NULL, 4.68000000, 0.94000000, 0.00000000, 0.00000000, 5.62000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.68000000, 4.68000000, 0.94000000, 5.62000000),
(7995, 1290, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, -48.00000000, NULL, -336.00000000, -67.20000000, 0.00000000, 0.00000000, -403.20000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -48.00000000, -336.00000000, -67.20000000, -403.20000000),
(7998, 1291, NULL, 1221376, NULL, 'DISQUEUSE ANGULAIRE PLATEAU Ø178x5/8 4500TR/MN 8951072001', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 237.00000000, NULL, 237.00000000, 47.40000000, 0.00000000, 0.00000000, 284.40000000, 0, NULL, NULL, 0, 167.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 237.00000000, 237.00000000, 47.40000000, 284.40000000),
(8000, 1292, NULL, 1307799, NULL, '<p><span style=\"font-size:10.0pt\">Mod. RKT+ 0035</span></p>\r\n\r\n<p><span style=\"font-size:10.0pt\">avec commande &eacute;lectronique et </span></p>\r\n\r\n<p><span style=\"font-size:10.0pt\">purgeur de condensat &agrave; commande temporis&eacute;e</span></p>', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 660.96000000, NULL, 660.96000000, 132.19000000, 0.00000000, 0.00000000, 793.15000000, 0, NULL, NULL, 0, 489.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 660.96000000, 660.96000000, 132.19000000, 793.15000000),
(8001, 1292, NULL, 1190376, NULL, 'Forfait intervention ZONE B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 255.36000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 192.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 255.36000000, 255.36000000, 51.07000000, 306.43000000),
(8002, 1293, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 538.00000000, NULL, 538.00000000, 107.60000000, 0.00000000, 0.00000000, 645.60000000, 0, NULL, NULL, 0, 379.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 538.00000000, 538.00000000, 107.60000000, 645.60000000),
(8003, 1294, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(8004, 1294, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8005, 1294, NULL, 1231698, NULL, 'bidons huiles 10L minéral 68', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.00000000, NULL, 57.00000000, 11.40000000, 0.00000000, 0.00000000, 68.40000000, 0, NULL, NULL, 0, 39.90000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.00000000, 57.00000000, 11.40000000, 68.40000000),
(8006, 1294, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(8007, 1294, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(8008, 1294, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.00000000, NULL, 113.00000000, 22.60000000, 0.00000000, 0.00000000, 135.60000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.00000000, 113.00000000, 22.60000000, 135.60000000),
(8009, 1294, NULL, 1231786, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(8010, 1296, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(8011, 1296, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8012, 1296, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(8013, 1296, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.00000000, NULL, 79.00000000, 15.80000000, 0.00000000, 0.00000000, 94.80000000, 1, NULL, NULL, 0, 47.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 79.00000000, 15.80000000, 94.80000000),
(8014, 1296, NULL, 953186, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 191.25000000, NULL, 191.25000000, 38.25000000, 0.00000000, 0.00000000, 229.50000000, 0, NULL, NULL, 0, 55.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 191.25000000, 191.25000000, 38.25000000, 229.50000000),
(8015, 1296, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 406.00000000, NULL, 324.80000000, 64.96000000, 0.00000000, 0.00000000, 389.76000000, 0, NULL, NULL, 0, 202.38000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 406.00000000, 324.80000000, 64.96000000, 389.76000000),
(8016, 1297, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 328.11000000, NULL, 328.11000000, 65.62000000, 0.00000000, 0.00000000, 393.73000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 328.11000000, 328.11000000, 65.62000000, 393.73000000),
(8017, 1297, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 815.51000000, NULL, 815.51000000, 163.10000000, 0.00000000, 0.00000000, 978.61000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 815.51000000, 815.51000000, 163.10000000, 978.61000000),
(8018, 1297, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.27000000, NULL, 12.27000000, 2.45000000, 0.00000000, 0.00000000, 14.72000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.27000000, 12.27000000, 2.45000000, 14.72000000),
(8019, 1298, NULL, 969798, NULL, 'Manchon égal Ø32mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 3.68000000, NULL, 14.72000000, 2.94000000, 0.00000000, 0.00000000, 17.66000000, 0, NULL, NULL, 0, 2.20800000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.68000000, 14.72000000, 2.94000000, 17.66000000),
(8020, 1298, NULL, 969796, NULL, 'Manchon égal Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 2.33000000, NULL, 9.32000000, 1.86000000, 0.00000000, 0.00000000, 11.18000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 9.32000000, 1.86000000, 11.18000000),
(8021, 1298, NULL, 969825, NULL, 'Té égal Ø32mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.68000000, NULL, 13.36000000, 2.67000000, 0.00000000, 0.00000000, 16.03000000, 0, NULL, NULL, 0, 4.00800000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.68000000, 13.36000000, 2.67000000, 16.03000000),
(8022, 1298, NULL, 969834, NULL, 'Té réduit au centre Ø32mm ? Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.75000000, NULL, 19.50000000, 3.90000000, 0.00000000, 0.00000000, 23.40000000, 0, NULL, NULL, 0, 5.85000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.75000000, 19.50000000, 3.90000000, 23.40000000),
(8023, 1298, NULL, 969870, NULL, 'Réduction double Ø32x20mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.13000000, NULL, 16.52000000, 3.30000000, 0.00000000, 0.00000000, 19.82000000, 0, NULL, NULL, 0, 2.47800000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.13000000, 16.52000000, 3.30000000, 19.82000000),
(8024, 1298, NULL, 969812, NULL, 'Coude égal 45° Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 2.33000000, NULL, 9.32000000, 1.86000000, 0.00000000, 0.00000000, 11.18000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 9.32000000, 1.86000000, 11.18000000),
(8025, 1298, NULL, 969804, NULL, 'Coude égal 90° Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.33000000, NULL, 4.66000000, 0.93000000, 0.00000000, 0.00000000, 5.59000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 4.66000000, 0.93000000, 5.59000000),
(8026, 1298, NULL, 969857, NULL, 'Col de cygne Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.41000000, NULL, 42.82000000, 8.56000000, 0.00000000, 0.00000000, 51.38000000, 0, NULL, NULL, 0, 12.84600000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.41000000, 42.82000000, 8.56000000, 51.38000000),
(8027, 1298, NULL, 969972, NULL, 'Applique murale G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.10000000, NULL, 10.20000000, 2.04000000, 0.00000000, 0.00000000, 12.24000000, 0, NULL, NULL, 0, 3.06000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.10000000, 10.20000000, 2.04000000, 12.24000000),
(8028, 1298, NULL, 969925, NULL, 'Union 3 pièces insert filetée métal Ø20mm G1/2\'\'', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.53000000, NULL, 61.06000000, 12.21000000, 0.00000000, 0.00000000, 73.27000000, 0, NULL, NULL, 0, 18.31800000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.53000000, 61.06000000, 12.21000000, 73.27000000),
(8029, 1299, NULL, 969249, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(8030, 1299, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.97000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 42.68000000, 8.54000000, 51.22000000),
(8031, 1299, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(8032, 1299, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 63.84000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 0.00000000, 0.00000000, 0.00000000),
(8033, 1300, NULL, 1175688, NULL, 'THERMAL BYPASS VALVE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.06000000, NULL, 82.06000000, 16.41000000, 0.00000000, 0.00000000, 98.47000000, 0, NULL, NULL, 0, 60.79000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.06000000, 82.06000000, 16.41000000, 98.47000000),
(8034, 1300, NULL, 1175680, NULL, 'SOLENOID VALVE 24V N/C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 276.29000000, NULL, 276.29000000, 55.26000000, 0.00000000, 0.00000000, 331.55000000, 0, NULL, NULL, 0, 207.74000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 276.29000000, 276.29000000, 55.26000000, 331.55000000),
(8035, 1300, NULL, 1175672, NULL, 'SOLENOID VALVE 711 24V', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.94000000, NULL, 156.94000000, 31.39000000, 0.00000000, 0.00000000, 188.33000000, 0, NULL, NULL, 0, 118.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.94000000, 156.94000000, 31.39000000, 188.33000000),
(8037, 1301, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(8038, 1301, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(8039, 1301, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.97000000, NULL, 18.97000000, 3.79000000, 0.00000000, 0.00000000, 22.76000000, 0, NULL, NULL, 0, 9.21000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.97000000, 18.97000000, 3.79000000, 22.76000000),
(8040, 1301, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(8041, 1301, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8042, 1301, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(8043, 1301, NULL, 1222092, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(8044, 1302, NULL, 1586737, NULL, 'BRIDE PLATE ACIER DN100 PN16', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 14.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(8045, 1303, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1194.06000000, NULL, 1194.06000000, 238.81000000, 0.00000000, 0.00000000, 1432.87000000, 0, NULL, NULL, 0, 830.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1194.06000000, 1194.06000000, 238.81000000, 1432.87000000),
(8046, 1303, NULL, 1190463, NULL, 'u100 r2v cu 4g10', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 5.08000000, NULL, 12.70000000, 2.54000000, 0.00000000, 0.00000000, 15.24000000, 0, NULL, NULL, 0, 6.51000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.08000000, 12.70000000, 2.54000000, 15.24000000),
(8047, 1303, NULL, 1190648, NULL, 'raccord ISIFLO diam 32 1\" F', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.76000000, NULL, 9.76000000, 1.95000000, 0.00000000, 0.00000000, 11.71000000, 0, NULL, NULL, 0, 12.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.76000000, 9.76000000, 1.95000000, 11.71000000),
(8048, 1303, NULL, 1179988, NULL, 'GF092 COUDE MF 1   GALVANISE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.07000000, NULL, 12.14000000, 2.43000000, 0.00000000, 0.00000000, 14.57000000, 0, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.07000000, 12.14000000, 2.43000000, 14.57000000),
(8049, 1304, NULL, 1245958, NULL, 'Partie fixe  Carbure/Viton enrobé FEP - PTFE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.35000000, NULL, 63.35000000, 12.67000000, 0.00000000, 0.00000000, 76.02000000, 0, NULL, NULL, 0, 42.82000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.35000000, 63.35000000, 12.67000000, 76.02000000),
(8050, 1304, NULL, 1245956, NULL, 'Partie fixe en carbure/viton', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.00000000, NULL, 53.00000000, 10.60000000, 0.00000000, 0.00000000, 63.60000000, 0, NULL, NULL, 0, 29.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.00000000, 53.00000000, 10.60000000, 63.60000000),
(8051, 1304, NULL, 1245957, NULL, 'Garniture complète  Carbone/carbure/viton-enrobé FEP- PTFE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 135.00000000, NULL, 135.00000000, 27.00000000, 0.00000000, 0.00000000, 162.00000000, 0, NULL, NULL, 0, 90.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 135.00000000, 135.00000000, 27.00000000, 162.00000000),
(8052, 1304, NULL, 1245959, NULL, 'Port fournisseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.00000000, NULL, 17.00000000, 3.40000000, 0.00000000, 0.00000000, 20.40000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.00000000, 17.00000000, 3.40000000, 20.40000000),
(8053, 1304, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(8054, 1304, NULL, 1190776, NULL, 'nombre de kilometres', 20.000, '', 0.000, '0', 0.000, '0', 80, 0, 0, NULL, 0.95000000, NULL, 76.00000000, 15.20000000, 0.00000000, 0.00000000, 91.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 76.00000000, 15.20000000, 91.20000000),
(8055, 1305, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(8056, 1305, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8057, 1305, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(8058, 1305, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(8059, 1305, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(8060, 1305, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(8061, 1306, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 32, 0, 0, NULL, 0.97000000, NULL, 31.04000000, 6.21000000, 0.00000000, 0.00000000, 37.25000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 31.04000000, 6.21000000, 37.25000000),
(8062, 1306, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.75, 0, 0, NULL, 63.84000000, NULL, 111.72000000, 22.34000000, 0.00000000, 0.00000000, 134.06000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 111.72000000, 22.34000000, 134.06000000),
(8063, 1307, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(8064, 1307, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8065, 1307, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(8066, 1307, NULL, 1222588, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(8067, 1307, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(8068, 1307, NULL, 969229, NULL, 'Cartouche 3 microns pour F602', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.93000000, NULL, 53.93000000, 10.79000000, 0.00000000, 0.00000000, 64.72000000, 0, NULL, NULL, 0, 26.18000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.93000000, 53.93000000, 10.79000000, 64.72000000),
(8069, 1307, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(8070, 1308, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 90, 0, 0, NULL, 0.97000000, NULL, 87.30000000, 17.46000000, 0.00000000, 0.00000000, 104.76000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 87.30000000, 17.46000000, 104.76000000),
(8071, 1308, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(8072, 1309, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 90, 0, 0, NULL, 0.97000000, NULL, 87.30000000, 17.46000000, 0.00000000, 0.00000000, 104.76000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 87.30000000, 17.46000000, 104.76000000),
(8073, 1309, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(8074, 1310, NULL, NULL, '1 Maintenance ', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8075, 1310, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(8076, 1310, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(8077, 1310, NULL, 951820, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.05000000, NULL, 12.05000000, 2.41000000, 0.00000000, 0.00000000, 14.46000000, 0, NULL, NULL, 0, 5.85000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.05000000, 12.05000000, 2.41000000, 14.46000000),
(8078, 1310, NULL, 1222591, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(8079, 1310, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8080, 1310, NULL, NULL, NULL, 'HUILE VR46 prix au litre', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 4.42000000, NULL, 66.30000000, 13.26000000, 0.00000000, 0.00000000, 79.56000000, 0, NULL, NULL, 0, 2.28000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.42000000, 66.30000000, 13.26000000, 79.56000000),
(8081, 1310, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.95000000, NULL, 299.95000000, 59.99000000, 0.00000000, 0.00000000, 359.94000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.95000000, 299.95000000, 59.99000000, 359.94000000),
(8082, 1310, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8083, 1310, NULL, NULL, '3 Séparateur de Condensat', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8084, 1310, NULL, 955219, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 166.20000000, NULL, 166.20000000, 33.24000000, 0.00000000, 0.00000000, 199.44000000, 0, NULL, NULL, 0, 80.68000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 166.20000000, 166.20000000, 33.24000000, 199.44000000),
(8085, 1310, NULL, NULL, '4 Cartouche Réseau', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8086, 1310, NULL, 952860, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.55000000, NULL, 92.55000000, 18.51000000, 0.00000000, 0.00000000, 111.06000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.55000000, 92.55000000, 18.51000000, 111.06000000),
(8087, 1310, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8088, 1311, NULL, NULL, NULL, 'Filtre reseau', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8089, 1311, NULL, 954017, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 163.60000000, NULL, 163.60000000, 32.72000000, 0.00000000, 0.00000000, 196.32000000, 0, NULL, NULL, 0, 59.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 163.60000000, 163.60000000, 32.72000000, 196.32000000),
(8090, 1311, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8091, 1311, NULL, NULL, NULL, 'Compresseur :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8093, 1311, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8094, 1311, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 69.53000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(8095, 1311, NULL, 954037, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.26000000, NULL, 35.26000000, 7.05000000, 0.00000000, 0.00000000, 42.31000000, 0, NULL, NULL, 0, 17.12000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.26000000, 35.26000000, 7.05000000, 42.31000000),
(8096, 1311, NULL, 951820, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.05000000, NULL, 12.05000000, 2.41000000, 0.00000000, 0.00000000, 14.46000000, 0, NULL, NULL, 0, 5.85000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.05000000, 12.05000000, 2.41000000, 14.46000000),
(8097, 1311, NULL, NULL, NULL, 'HUILE VR46 prix au litre', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 4.42000000, NULL, 35.36000000, 7.07000000, 0.00000000, 0.00000000, 42.43000000, 0, NULL, NULL, 0, 2.28000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.42000000, 35.36000000, 7.07000000, 42.43000000),
(8098, 1311, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(8099, 1311, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8100, 1311, NULL, NULL, NULL, 'Séparateur de condensats', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8101, 1311, NULL, 955221, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 281.89000000, NULL, 281.89000000, 56.38000000, 0.00000000, 0.00000000, 338.27000000, 0, NULL, NULL, 0, 136.84000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 281.89000000, 281.89000000, 56.38000000, 338.27000000),
(8102, 1311, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8103, 1312, NULL, NULL, '1 HV05', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8104, 1312, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 268.15000000, NULL, 268.15000000, 53.63000000, 0.00000000, 0.00000000, 321.78000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 268.15000000, 268.15000000, 53.63000000, 321.78000000),
(8105, 1312, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(8106, 1312, NULL, 954193, NULL, 'KIT HYDROVANNE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 146.11000000, NULL, 146.11000000, 29.22000000, 0.00000000, 0.00000000, 175.33000000, 0, NULL, NULL, 0, 70.93000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 146.11000000, 146.11000000, 29.22000000, 175.33000000),
(8107, 1312, NULL, 954191, NULL, 'KIT HYDROVANNE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 97.37000000, NULL, 97.37000000, 19.47000000, 0.00000000, 0.00000000, 116.84000000, 0, NULL, NULL, 0, 47.27000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 97.37000000, 97.37000000, 19.47000000, 116.84000000),
(8108, 1312, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.30000000, NULL, 5.30000000, 1.06000000, 0.00000000, 0.00000000, 6.36000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.30000000, 5.30000000, 1.06000000, 6.36000000),
(8109, 1312, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8110, 1312, NULL, NULL, '2 BOGE', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8111, 1312, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 268.15000000, NULL, 268.15000000, 53.63000000, 0.00000000, 0.00000000, 321.78000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 268.15000000, 268.15000000, 53.63000000, 321.78000000),
(8112, 1312, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.30000000, NULL, 5.30000000, 1.06000000, 0.00000000, 0.00000000, 6.36000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.30000000, 5.30000000, 1.06000000, 6.36000000),
(8113, 1312, NULL, 951820, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.60000000, NULL, 11.60000000, 2.32000000, 0.00000000, 0.00000000, 13.92000000, 0, NULL, NULL, 0, 5.85000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.60000000, 11.60000000, 2.32000000, 13.92000000),
(8114, 1312, NULL, 954054, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.57000000, NULL, 34.57000000, 6.91000000, 0.00000000, 0.00000000, 41.48000000, 0, NULL, NULL, 0, 19.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.57000000, 34.57000000, 6.91000000, 41.48000000),
(8115, 1312, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 46.22000000, NULL, 46.22000000, 9.24000000, 0.00000000, 0.00000000, 55.46000000, 0, NULL, NULL, 0, 32.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 46.22000000, 46.22000000, 9.24000000, 55.46000000),
(8116, 1312, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 29.76000000, NULL, 59.52000000, 11.90000000, 0.00000000, 0.00000000, 71.42000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.76000000, 59.52000000, 11.90000000, 71.42000000),
(8117, 1312, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8118, 1313, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(8119, 1313, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8120, 1313, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(8121, 1313, NULL, 954012, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 83.38000000, NULL, 83.38000000, 16.68000000, 0.00000000, 0.00000000, 100.06000000, 0, NULL, NULL, 0, 40.48000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 83.38000000, 83.38000000, 16.68000000, 100.06000000),
(8122, 1313, NULL, 1189329, NULL, 'filtre  711/715 (39x39x2)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.65000000, NULL, 39.65000000, 7.93000000, 0.00000000, 0.00000000, 47.58000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.65000000, 39.65000000, 7.93000000, 47.58000000),
(8123, 1313, NULL, 1180027, NULL, 'KIT MAINTENANCE VERTICAL NEW CONCEPT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 220.00000000, NULL, 220.00000000, 44.00000000, 0.00000000, 0.00000000, 264.00000000, 0, NULL, NULL, 0, 234.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 220.00000000, 220.00000000, 44.00000000, 264.00000000),
(8124, 1314, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(8125, 1314, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8126, 1314, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(8127, 1314, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(8128, 1314, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.58000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(8129, 1315, NULL, NULL, NULL, 'Intervention 1h + deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 170.10000000, NULL, 170.10000000, 34.02000000, 0.00000000, 0.00000000, 204.12000000, 1, NULL, NULL, 0, 126.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 170.10000000, 170.10000000, 34.02000000, 204.12000000),
(8130, 1316, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(8131, 1316, NULL, 954287, NULL, 'presostats reglables haute et basse pression', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.00000000, NULL, 85.00000000, 17.00000000, 0.00000000, 0.00000000, 102.00000000, 0, NULL, NULL, 0, 58.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.00000000, 85.00000000, 17.00000000, 102.00000000),
(8132, 1317, NULL, 1586731, NULL, 'core corepro ledtube 1500mm 24w t8 x 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 224.00000000, NULL, 224.00000000, 44.80000000, 0.00000000, 0.00000000, 268.80000000, 0, NULL, NULL, 0, 160.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 224.00000000, 224.00000000, 44.80000000, 268.80000000),
(8133, 1318, NULL, NULL, NULL, 'Maintenance L45RS :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8134, 1318, NULL, 1231581, NULL, 'kit adaptable ck2140-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.81000000, NULL, 156.81000000, 31.36000000, 0.00000000, 0.00000000, 188.17000000, 0, NULL, NULL, 0, 73.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.81000000, 156.81000000, 31.36000000, 188.17000000),
(8135, 1318, NULL, 1231582, NULL, 'separateur ck4140-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 119.67000000, NULL, 119.67000000, 23.93000000, 0.00000000, 0.00000000, 143.60000000, 0, NULL, NULL, 0, 55.71000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 119.67000000, 119.67000000, 23.93000000, 143.60000000),
(8136, 1318, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.61000000, NULL, 109.61000000, 21.92000000, 0.00000000, 0.00000000, 131.53000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.61000000, 109.61000000, 21.92000000, 131.53000000),
(8137, 1318, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 407.88000000, NULL, 407.88000000, 81.58000000, 0.00000000, 0.00000000, 489.46000000, 0, NULL, NULL, 0, 306.67000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.88000000, 407.88000000, 81.58000000, 489.46000000),
(8138, 1318, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8139, 1318, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8140, 1318, NULL, NULL, NULL, 'Maintenance separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8141, 1318, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 197.66000000, NULL, 197.66000000, 39.53000000, 0.00000000, 0.00000000, 237.19000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 197.66000000, 197.66000000, 39.53000000, 237.19000000),
(8142, 1318, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8143, 1318, NULL, NULL, NULL, 'installation de 2 filtres reseaux', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8144, 1318, NULL, 952653, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 444.96000000, NULL, 444.96000000, 88.99000000, 0.00000000, 0.00000000, 533.95000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 444.96000000, 444.96000000, 88.99000000, 533.95000000),
(8145, 1318, NULL, 952654, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 444.96000000, NULL, 444.96000000, 88.99000000, 0.00000000, 0.00000000, 533.95000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 444.96000000, 444.96000000, 88.99000000, 533.95000000),
(8146, 1318, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(8147, 1318, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8148, 1319, NULL, NULL, '1 Pont 2 Colonnes 4 Tonnes', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8149, 1319, NULL, 1245933, NULL, 'Bras Sym&eacute;trique&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5340.00000000, NULL, 5340.00000000, 1068.00000000, 0.00000000, 0.00000000, 6408.00000000, 0, NULL, NULL, 0, 4275.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5340.00000000, 5340.00000000, 1068.00000000, 6408.00000000),
(8150, 1319, NULL, 1231809, NULL, 'forfait livraison direct client', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 280.00000000, NULL, 280.00000000, 56.00000000, 0.00000000, 0.00000000, 336.00000000, 0, NULL, NULL, 0, 210.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 280.00000000, 280.00000000, 56.00000000, 336.00000000),
(8151, 1319, NULL, 1231808, NULL, 'forfait installation et mise en route sur site', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 760.00000000, NULL, 760.00000000, 152.00000000, 0.00000000, 0.00000000, 912.00000000, 0, NULL, NULL, 0, 622.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 760.00000000, 760.00000000, 152.00000000, 912.00000000),
(8152, 1319, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8153, 1320, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.63000000, NULL, 286.63000000, 57.33000000, 0.00000000, 0.00000000, 343.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.63000000, 286.63000000, 57.33000000, 343.96000000),
(8154, 1320, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8155, 1320, NULL, 955029, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 124.98000000, NULL, 124.98000000, 25.00000000, 0.00000000, 0.00000000, 149.98000000, 0, NULL, NULL, 0, 60.67000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 124.98000000, 124.98000000, 25.00000000, 149.98000000),
(8156, 1320, NULL, 952166, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.97000000, NULL, 20.97000000, 4.19000000, 0.00000000, 0.00000000, 25.16000000, 0, NULL, NULL, 0, 10.18000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.97000000, 20.97000000, 4.19000000, 25.16000000),
(8157, 1320, NULL, 954060, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.14000000, NULL, 42.14000000, 8.43000000, 0.00000000, 0.00000000, 50.57000000, 0, NULL, NULL, 0, 20.46000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.14000000, 42.14000000, 8.43000000, 50.57000000),
(8158, 1321, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(8159, 1321, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8160, 1321, NULL, 954831, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.74000000, NULL, 85.74000000, 17.15000000, 0.00000000, 0.00000000, 102.89000000, 0, NULL, NULL, 0, 57.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.74000000, 85.74000000, 17.15000000, 102.89000000),
(8161, 1321, NULL, 955240, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.75000000, NULL, 27.75000000, 5.55000000, 0.00000000, 0.00000000, 33.30000000, 0, NULL, NULL, 0, 18.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.75000000, 27.75000000, 5.55000000, 33.30000000),
(8162, 1322, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 993.20000000, NULL, 993.20000000, 198.64000000, 0.00000000, 0.00000000, 1191.84000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 993.20000000, 993.20000000, 198.64000000, 1191.84000000),
(8163, 1322, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 425.60000000, NULL, 425.60000000, 85.12000000, 0.00000000, 0.00000000, 510.72000000, 0, NULL, NULL, 0, 320.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 425.60000000, 425.60000000, 85.12000000, 510.72000000),
(8164, 1322, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8165, 1323, NULL, 952419, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.03000000, NULL, 12.03000000, 2.41000000, 0.00000000, 0.00000000, 14.44000000, 0, NULL, NULL, 0, 5.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.03000000, 12.03000000, 2.41000000, 14.44000000),
(8166, 1323, NULL, 955044, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.39000000, NULL, 86.39000000, 17.28000000, 0.00000000, 0.00000000, 103.67000000, 0, NULL, NULL, 0, 41.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.39000000, 86.39000000, 17.28000000, 103.67000000),
(8167, 1323, NULL, 953167, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(8168, 1323, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8169, 1323, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(8170, 1323, NULL, 1222616, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.06000000, NULL, 26.12000000, 5.22000000, 0.00000000, 0.00000000, 31.34000000, 0, NULL, NULL, 0, 6.34000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.06000000, 26.12000000, 5.22000000, 31.34000000),
(8171, 1323, NULL, 1223837, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.64000000, NULL, 27.64000000, 5.53000000, 0.00000000, 0.00000000, 33.17000000, 0, NULL, NULL, 0, 13.82000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.64000000, 27.64000000, 5.53000000, 33.17000000),
(8172, 1323, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(8173, 1324, NULL, 1221305, NULL, 'PERCEUSE 10 MM NON REVERSIBLE MAS 8951073000', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 103.00000000, NULL, 412.00000000, 82.40000000, 0.00000000, 0.00000000, 494.40000000, 0, NULL, NULL, 0, 73.14000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.00000000, 412.00000000, 82.40000000, 494.40000000),
(8174, 1324, NULL, 1243837, NULL, 'mandrin 13 mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 29.00000000, NULL, 116.00000000, 23.20000000, 0.00000000, 0.00000000, 139.20000000, 0, NULL, NULL, 0, 20.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.00000000, 116.00000000, 23.20000000, 139.20000000),
(8175, 1325, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(8176, 1325, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(8177, 1325, NULL, 953173, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 125.98000000, NULL, 125.98000000, 25.20000000, 0.00000000, 0.00000000, 151.18000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 125.98000000, 125.98000000, 25.20000000, 151.18000000),
(8178, 1325, NULL, 953170, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 125.98000000, NULL, 125.98000000, 25.20000000, 0.00000000, 0.00000000, 151.18000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 125.98000000, 125.98000000, 25.20000000, 151.18000000),
(8179, 1325, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(8180, 1325, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8181, 1325, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.00000000, NULL, 113.00000000, 22.60000000, 0.00000000, 0.00000000, 135.60000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.00000000, 113.00000000, 22.60000000, 135.60000000),
(8182, 1325, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(8183, 1326, NULL, 1222124, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 95.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(8184, 1326, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8185, 1326, NULL, 1230990, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 407.10000000, NULL, 346.04000000, 69.20000000, 0.00000000, 0.00000000, 415.24000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.10000000, 346.04000000, 69.20000000, 415.24000000),
(8186, 1326, NULL, 1230993, NULL, 'SEPARATOR KIT DS  L30 RS-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 642.00000000, NULL, 545.70000000, 109.14000000, 0.00000000, 0.00000000, 654.84000000, 0, NULL, NULL, 0, 385.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 642.00000000, 545.70000000, 109.14000000, 654.84000000),
(8187, 1326, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(8188, 1326, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(8189, 1326, NULL, 1179727, NULL, 'SERVICE PACKAGE  E   L30-L50+L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 772.00000000, NULL, 656.20000000, 131.24000000, 0.00000000, 0.00000000, 787.44000000, 0, NULL, NULL, 0, 288.21000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 772.00000000, 656.20000000, 131.24000000, 787.44000000),
(8190, 1327, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(8191, 1327, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 36, 0, 0, NULL, 0.97000000, NULL, 34.92000000, 6.98000000, 0.00000000, 0.00000000, 41.90000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 34.92000000, 6.98000000, 41.90000000),
(8192, 1328, NULL, 1231830, NULL, '<ul>\r\n	<li>D&eacute;bit = 7 m3/h</li>\r\n	<li>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Pression d&rsquo;oxyg&egrave;ne en entr&eacute;e Booster = 5 bar</li>\r\n	<li>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Pression d&rsquo;oxyg&egrave;ne en sortie Booster = 200 bar</li>\r\n</ul>', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10000.00000000, NULL, 10000.00000000, 2000.00000000, 0.00000000, 0.00000000, 12000.00000000, 0, NULL, NULL, 0, 19550.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10000.00000000, 10000.00000000, 2000.00000000, 12000.00000000),
(8193, 1329, NULL, NULL, NULL, 'BL N°28 du 20/09/2019', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8194, 1329, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(8195, 1329, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 118, 0, 0, NULL, 0.97000000, NULL, 114.46000000, 22.89000000, 0.00000000, 0.00000000, 137.35000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 114.46000000, 22.89000000, 137.35000000),
(8196, 1329, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 63.84000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 0.00000000, 0.00000000, 0.00000000),
(8197, 1329, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8198, 1329, NULL, NULL, NULL, 'BL N°37 du 12/09/2019', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8199, 1329, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(8200, 1329, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 118, 0, 0, NULL, 0.97000000, NULL, 114.46000000, 22.89000000, 0.00000000, 0.00000000, 137.35000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 114.46000000, 22.89000000, 137.35000000),
(8201, 1329, NULL, 1307773, NULL, 'VLV,BLWDN 1/4 NPT HI PRS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.50000000, NULL, 91.50000000, 18.30000000, 0.00000000, 0.00000000, 109.80000000, 0, NULL, NULL, 0, 73.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.50000000, 91.50000000, 18.30000000, 109.80000000),
(8202, 1329, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 63.84000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 0.00000000, 0.00000000, 0.00000000),
(8203, 1329, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8204, 1330, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(8205, 1330, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8206, 1330, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(8207, 1330, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(8208, 1330, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(8209, 1330, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(8210, 1331, NULL, 1177312, NULL, 'DIAPHRAGM', 20.000, '', 0.000, '0', 0.000, '0', 1, 6.2, 0, NULL, 96.00000000, NULL, 90.05000000, 18.01000000, 0.00000000, 0.00000000, 108.06000000, 0, NULL, NULL, 0, 62.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.00000000, 90.05000000, 18.01000000, 108.06000000),
(8211, 1332, NULL, 1190376, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 331.44000000, NULL, 331.44000000, 66.29000000, 0.00000000, 0.00000000, 397.73000000, 0, NULL, NULL, 0, 249.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 331.44000000, 331.44000000, 66.29000000, 397.73000000),
(8212, 1333, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 278.46000000, NULL, 278.46000000, 55.69000000, 0.00000000, 0.00000000, 334.15000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 278.46000000, 278.46000000, 55.69000000, 334.15000000),
(8213, 1333, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8214, 1333, NULL, 1179639, NULL, 'FILTER SERVICE KIT FRAME 0', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 156.00000000, NULL, 124.80000000, 24.96000000, 0.00000000, 0.00000000, 149.76000000, 0, NULL, NULL, 0, 86.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.00000000, 124.80000000, 24.96000000, 149.76000000),
(8215, 1333, NULL, 1189209, NULL, 'Huile sp&eacute;ciale compresseurs &agrave;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.60000000, NULL, 111.60000000, 22.32000000, 0.00000000, 0.00000000, 133.92000000, 0, NULL, NULL, 0, 74.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.60000000, 111.60000000, 22.32000000, 133.92000000),
(8216, 1333, NULL, 1222536, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.64000000, NULL, 18.64000000, 3.73000000, 0.00000000, 0.00000000, 22.37000000, 0, NULL, NULL, 0, 9.05000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.64000000, 18.64000000, 3.73000000, 22.37000000),
(8217, 1334, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8218, 1334, NULL, NULL, '1 Maintenance compresseur L15RS :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8219, 1334, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.70000000, NULL, 12.70000000, 2.54000000, 0.00000000, 0.00000000, 15.24000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.70000000, 12.70000000, 2.54000000, 15.24000000),
(8220, 1334, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 69.87000000, NULL, 69.87000000, 13.97000000, 0.00000000, 0.00000000, 83.84000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 69.87000000, 69.87000000, 13.97000000, 83.84000000),
(8221, 1334, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.90000000, NULL, 7.90000000, 1.58000000, 0.00000000, 0.00000000, 9.48000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.90000000, 7.90000000, 1.58000000, 9.48000000),
(8222, 1334, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.59000000, NULL, 77.59000000, 15.52000000, 0.00000000, 0.00000000, 93.11000000, 0, NULL, NULL, 0, 59.69000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.59000000, 77.59000000, 15.52000000, 93.11000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(8223, 1334, NULL, 1222600, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 11.59000000, NULL, 34.77000000, 6.95000000, 0.00000000, 0.00000000, 41.72000000, 0, NULL, NULL, 0, 8.72000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.59000000, 34.77000000, 6.95000000, 41.72000000),
(8224, 1334, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 309.23000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(8225, 1334, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8226, 1334, NULL, NULL, '2 Filtres reseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8227, 1334, NULL, 952657, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.09000000, NULL, 73.09000000, 14.62000000, 0.00000000, 0.00000000, 87.71000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.09000000, 73.09000000, 14.62000000, 87.71000000),
(8228, 1334, NULL, 952656, NULL, 'cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.08000000, NULL, 73.08000000, 14.62000000, 0.00000000, 0.00000000, 87.70000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.08000000, 73.08000000, 14.62000000, 87.70000000),
(8229, 1334, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8230, 1334, NULL, NULL, '3 Separateur de condensats', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8231, 1334, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.00000000, NULL, 91.00000000, 18.20000000, 0.00000000, 0.00000000, 109.20000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.00000000, 91.00000000, 18.20000000, 109.20000000),
(8232, 1334, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8233, 1335, NULL, 959370, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 121.52000000, NULL, 121.52000000, 24.30000000, 0.00000000, 0.00000000, 145.82000000, 0, NULL, NULL, 0, 88.11650485, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 121.52000000, 121.52000000, 24.30000000, 145.82000000),
(8234, 1335, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(8235, 1335, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 56, 0, 0, NULL, 0.97000000, NULL, 54.32000000, 10.86000000, 0.00000000, 0.00000000, 65.18000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 54.32000000, 10.86000000, 65.18000000),
(8236, 1336, NULL, NULL, NULL, 'filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8237, 1336, NULL, 954013, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 93.72000000, NULL, 93.72000000, 18.74000000, 0.00000000, 0.00000000, 112.46000000, 0, NULL, NULL, 0, 48.51000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 93.72000000, 93.72000000, 18.74000000, 112.46000000),
(8238, 1336, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8239, 1336, NULL, NULL, NULL, 'Separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8240, 1336, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.27000000, NULL, 73.27000000, 14.65000000, 0.00000000, 0.00000000, 87.92000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.27000000, 73.27000000, 14.65000000, 87.92000000),
(8241, 1336, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8242, 1336, NULL, NULL, 'maintenance 2000Heures', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8243, 1336, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 267.19000000, NULL, 267.19000000, 53.44000000, 0.00000000, 0.00000000, 320.63000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 267.19000000, 267.19000000, 53.44000000, 320.63000000),
(8244, 1336, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8245, 1336, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.39000000, NULL, 110.39000000, 22.08000000, 0.00000000, 0.00000000, 132.47000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.39000000, 110.39000000, 22.08000000, 132.47000000),
(8246, 1336, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.79000000, NULL, 53.37000000, 10.67000000, 0.00000000, 0.00000000, 64.04000000, 0, NULL, NULL, 0, 9.39000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.79000000, 53.37000000, 10.67000000, 64.04000000),
(8247, 1336, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8248, 1337, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(8249, 1337, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8250, 1337, NULL, 954039, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.57000000, NULL, 11.57000000, 2.31000000, 0.00000000, 0.00000000, 13.88000000, 0, NULL, NULL, 0, 5.62000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.57000000, 11.57000000, 2.31000000, 13.88000000),
(8251, 1337, NULL, 952144, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.40000000, NULL, 15.40000000, 3.08000000, 0.00000000, 0.00000000, 18.48000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.40000000, 15.40000000, 3.08000000, 18.48000000),
(8252, 1337, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(8253, 1338, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8254, 1338, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.58000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(8255, 1338, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(8256, 1338, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 8.24000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(8257, 1338, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(8258, 1338, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(8259, 1338, NULL, 953164, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 32.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(8260, 1338, NULL, 953167, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 32.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(8261, 1339, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(8262, 1340, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 226.79000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(8263, 1341, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(8264, 1341, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8265, 1341, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.62000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(8266, 1341, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 44.29000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(8267, 1341, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 8.24000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(8268, 1341, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(8269, 1342, NULL, 1221003, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4571.54000000, NULL, 4571.54000000, 914.31000000, 0.00000000, 0.00000000, 5485.85000000, 0, NULL, NULL, 0, 4267.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4571.54000000, 4571.54000000, 914.31000000, 5485.85000000),
(8270, 1342, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 699.38000000, NULL, 699.38000000, 139.88000000, 0.00000000, 0.00000000, 839.26000000, 0, NULL, NULL, 0, 379.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 699.38000000, 699.38000000, 139.88000000, 839.26000000),
(8271, 1342, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.44000000, NULL, 92.44000000, 18.49000000, 0.00000000, 0.00000000, 110.93000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.44000000, 92.44000000, 18.49000000, 110.93000000),
(8272, 1342, NULL, 952641, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 225.05000000, NULL, 225.05000000, 45.01000000, 0.00000000, 0.00000000, 270.06000000, 0, NULL, NULL, 0, 130.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 225.05000000, 225.05000000, 45.01000000, 270.06000000),
(8273, 1342, NULL, 972631, NULL, 'Té égal Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.45000000, NULL, 12.25000000, 2.45000000, 0.00000000, 0.00000000, 14.70000000, 0, NULL, NULL, 0, 1.60600000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.45000000, 12.25000000, 2.45000000, 14.70000000),
(8274, 1342, NULL, 972586, NULL, 'Raccord droit mâle G1/4 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 0.99000000, NULL, 4.95000000, 0.99000000, 0.00000000, 0.00000000, 5.94000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.99000000, 4.95000000, 0.99000000, 5.94000000),
(8275, 1342, NULL, 972160, NULL, 'Tube polyamide Rilsan incolore 6x8 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.65000000, NULL, 39.65000000, 7.93000000, 0.00000000, 0.00000000, 47.58000000, 0, NULL, NULL, 0, 25.95000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.65000000, 39.65000000, 7.93000000, 47.58000000),
(8276, 1342, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.11000000, NULL, 6.22000000, 1.24000000, 0.00000000, 0.00000000, 7.46000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.11000000, 6.22000000, 1.24000000, 7.46000000),
(8277, 1342, NULL, 966729, NULL, 'Réduction conique M/F G1/2x1/4', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 0.80000000, NULL, 3.20000000, 0.64000000, 0.00000000, 0.00000000, 3.84000000, 0, NULL, NULL, 0, 0.47500000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.80000000, 3.20000000, 0.64000000, 3.84000000),
(8278, 1342, NULL, 972770, NULL, 'Coude tournant mâle G1/4 Ø8mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 2.06000000, NULL, 8.24000000, 1.65000000, 0.00000000, 0.00000000, 9.89000000, 0, NULL, NULL, 0, 1.35000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.06000000, 8.24000000, 1.65000000, 9.89000000),
(8279, 1342, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 5.21000000, NULL, 93.78000000, 18.76000000, 0.00000000, 0.00000000, 112.54000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.21000000, 93.78000000, 18.76000000, 112.54000000),
(8280, 1342, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 3.60000000, NULL, 21.60000000, 4.32000000, 0.00000000, 0.00000000, 25.92000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.60000000, 21.60000000, 4.32000000, 25.92000000),
(8281, 1342, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 5.69000000, NULL, 113.80000000, 22.76000000, 0.00000000, 0.00000000, 136.56000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.69000000, 113.80000000, 22.76000000, 136.56000000),
(8282, 1342, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 6.49000000, NULL, 38.94000000, 7.79000000, 0.00000000, 0.00000000, 46.73000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.49000000, 38.94000000, 7.79000000, 46.73000000),
(8283, 1342, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 8.06000000, NULL, 24.18000000, 4.84000000, 0.00000000, 0.00000000, 29.02000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.06000000, 24.18000000, 4.84000000, 29.02000000),
(8284, 1342, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 17.97000000, NULL, 71.88000000, 14.38000000, 0.00000000, 0.00000000, 86.26000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.97000000, 71.88000000, 14.38000000, 86.26000000),
(8285, 1342, NULL, 1079930, NULL, 'Raccord mixte mâle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 7.18000000, NULL, 28.72000000, 5.74000000, 0.00000000, 0.00000000, 34.46000000, 0, NULL, NULL, 0, 6.01000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.18000000, 28.72000000, 5.74000000, 34.46000000),
(8286, 1342, NULL, 1080013, NULL, 'Manchon d\'extrémité diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.04000000, NULL, 5.04000000, 1.01000000, 0.00000000, 0.00000000, 6.05000000, 0, NULL, NULL, 0, 4.22000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.04000000, 5.04000000, 1.01000000, 6.05000000),
(8287, 1342, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 13.90000000, NULL, 55.60000000, 11.12000000, 0.00000000, 0.00000000, 66.72000000, 0, NULL, NULL, 0, 8.16000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.90000000, 55.60000000, 11.12000000, 66.72000000),
(8288, 1342, NULL, 966957, NULL, 'Croix FFFF G1\" fonte galva', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.92000000, NULL, 15.84000000, 3.17000000, 0.00000000, 0.00000000, 19.01000000, 0, NULL, NULL, 0, 4.58000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.92000000, 15.84000000, 3.17000000, 19.01000000),
(8289, 1342, NULL, 966894, NULL, 'Bouchon M. cylindrique G1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.02000000, NULL, 4.04000000, 0.81000000, 0.00000000, 0.00000000, 4.85000000, 0, NULL, NULL, 0, 1.20000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.02000000, 4.04000000, 0.81000000, 4.85000000),
(8290, 1342, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.18000000, NULL, 1.18000000, 0.24000000, 0.00000000, 0.00000000, 1.42000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.18000000, 1.18000000, 0.24000000, 1.42000000),
(8291, 1342, NULL, 966705, NULL, 'Mamelon conique G1\"x1\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.50000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 2.68000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 18.00000000, 3.60000000, 21.60000000),
(8292, 1342, NULL, 966737, NULL, 'Réduction conique M/F G1\"x3/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.32000000, NULL, 6.64000000, 1.33000000, 0.00000000, 0.00000000, 7.97000000, 0, NULL, NULL, 0, 1.97000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.32000000, 6.64000000, 1.33000000, 7.97000000),
(8293, 1342, NULL, 966733, NULL, 'Réduction M/F G3/4xG1/2 Acier', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.56000000, NULL, 5.12000000, 1.02000000, 0.00000000, 0.00000000, 6.14000000, 0, NULL, NULL, 0, 0.90000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.56000000, 5.12000000, 1.02000000, 6.14000000),
(8294, 1342, NULL, 966729, NULL, 'Réduction conique M/F G1/2x1/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 0.80000000, NULL, 1.60000000, 0.32000000, 0.00000000, 0.00000000, 1.92000000, 0, NULL, NULL, 0, 0.47500000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.80000000, 1.60000000, 0.32000000, 1.92000000),
(8295, 1342, NULL, 967552, NULL, 'Ensemble soufflage2 m 1/4 FetT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.59000000, NULL, 20.59000000, 4.12000000, 0.00000000, 0.00000000, 24.71000000, 0, NULL, NULL, 0, 13.47500000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.59000000, 20.59000000, 4.12000000, 24.71000000),
(8296, 1342, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 20.98000000, NULL, 41.96000000, 8.39000000, 0.00000000, 0.00000000, 50.35000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.98000000, 41.96000000, 8.39000000, 50.35000000),
(8297, 1342, NULL, 971659, NULL, 'Raccord mâle G1/2 bouton', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 28.24000000, NULL, 56.48000000, 11.30000000, 0.00000000, 0.00000000, 67.78000000, 0, NULL, NULL, 0, 16.32000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.24000000, 56.48000000, 11.30000000, 67.78000000),
(8298, 1342, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2647.12000000, NULL, 2647.12000000, 529.42000000, 0.00000000, 0.00000000, 3176.54000000, 0, NULL, NULL, 0, 1200.00000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2647.12000000, 2647.12000000, 529.42000000, 3176.54000000),
(8308, 1343, NULL, NULL, '3 Séparateur de Condensat', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8309, 1343, NULL, 955219, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -166.20000000, NULL, -166.20000000, -33.24000000, 0.00000000, 0.00000000, -199.44000000, 0, NULL, NULL, 0, 80.68000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -166.20000000, -166.20000000, -33.24000000, -199.44000000),
(8310, 1343, NULL, NULL, '4 Cartouche Réseau', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8311, 1343, NULL, 952860, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -92.55000000, NULL, -92.55000000, -18.51000000, 0.00000000, 0.00000000, -111.06000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -92.55000000, -92.55000000, -18.51000000, -111.06000000),
(8312, 1343, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8313, 1344, NULL, 954017, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -163.60000000, NULL, -163.60000000, -32.72000000, 0.00000000, 0.00000000, -196.32000000, 0, NULL, NULL, 0, 59.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 163.60000000, 163.60000000, 32.72000000, 196.32000000),
(8314, 1345, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(8315, 1345, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8316, 1345, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(8317, 1345, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(8318, 1345, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(8319, 1345, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(8320, 1346, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(8321, 1346, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 56, 0, 0, NULL, 0.97000000, NULL, 54.32000000, 10.86000000, 0.00000000, 0.00000000, 65.18000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 54.32000000, 10.86000000, 65.18000000),
(8322, 1347, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(8323, 1347, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8324, 1347, NULL, 1222594, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(8325, 1347, NULL, 954099, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.90000000, NULL, 13.90000000, 2.78000000, 0.00000000, 0.00000000, 16.68000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.90000000, 13.90000000, 2.78000000, 16.68000000),
(8326, 1347, NULL, 952144, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.40000000, NULL, 15.40000000, 3.08000000, 0.00000000, 0.00000000, 18.48000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.40000000, 15.40000000, 3.08000000, 18.48000000),
(8327, 1347, NULL, 954493, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.73000000, NULL, 52.73000000, 10.55000000, 0.00000000, 0.00000000, 63.28000000, 0, NULL, NULL, 0, 25.60000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.73000000, 52.73000000, 10.55000000, 63.28000000),
(8328, 1347, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(8329, 1347, NULL, 953304, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.21000000, NULL, 114.21000000, 22.84000000, 0.00000000, 0.00000000, 137.05000000, 0, NULL, NULL, 0, 55.44000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.21000000, 114.21000000, 22.84000000, 137.05000000),
(8330, 1347, NULL, 953303, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.21000000, NULL, 114.21000000, 22.84000000, 0.00000000, 0.00000000, 137.05000000, 0, NULL, NULL, 0, 55.44000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.21000000, 114.21000000, 22.84000000, 137.05000000),
(8331, 1348, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(8332, 1348, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 90, 0, 0, NULL, 0.97000000, NULL, 87.30000000, 17.46000000, 0.00000000, 0.00000000, 104.76000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 87.30000000, 17.46000000, 104.76000000),
(8333, 1348, NULL, 1190497, NULL, 'et raccord vitolic', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(8334, 1349, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(8335, 1349, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8336, 1349, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 69.02000000, NULL, 69.02000000, 13.80000000, 0.00000000, 0.00000000, 82.82000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 69.02000000, 69.02000000, 13.80000000, 82.82000000),
(8337, 1349, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.03000000, NULL, 53.03000000, 10.61000000, 0.00000000, 0.00000000, 63.64000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.03000000, 53.03000000, 10.61000000, 63.64000000),
(8338, 1349, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 37.03000000, NULL, 37.03000000, 7.41000000, 0.00000000, 0.00000000, 44.44000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 37.03000000, 37.03000000, 7.41000000, 44.44000000),
(8339, 1349, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.03000000, NULL, 82.03000000, 16.41000000, 0.00000000, 0.00000000, 98.44000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.03000000, 82.03000000, 16.41000000, 98.44000000),
(8340, 1349, NULL, 1231775, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(8341, 1350, NULL, NULL, '1 Compresseur 7.5kw-7.5 bars debit 1250 litres/mn', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8342, 1350, NULL, 1221003, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5250.33000000, NULL, 5250.33000000, 1050.07000000, 0.00000000, 0.00000000, 6300.40000000, 0, NULL, NULL, 0, 4139.18000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5250.33000000, 5250.33000000, 1050.07000000, 6300.40000000),
(8343, 1350, NULL, 1231901, NULL, 'Coffret d\'isolation phonique renforcé', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 437.79000000, NULL, 437.79000000, 87.56000000, 0.00000000, 0.00000000, 525.35000000, 0, NULL, NULL, 0, 336.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 437.79000000, 437.79000000, 87.56000000, 525.35000000),
(8344, 1350, NULL, 1222106, NULL, 'kit de silencblocs pour reservoir', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 37.04000000, NULL, 37.04000000, 7.41000000, 0.00000000, 0.00000000, 44.45000000, 0, NULL, NULL, 0, 30.72000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 37.04000000, 37.04000000, 7.41000000, 44.45000000),
(8345, 1350, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 55.01000000, NULL, 55.01000000, 11.00000000, 0.00000000, 0.00000000, 66.01000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 55.01000000, 55.01000000, 11.00000000, 66.01000000),
(8346, 1350, NULL, 952630, NULL, 'filtre BEA105ra 1/2\'\' grade 0.01µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 126.38000000, NULL, 126.38000000, 25.28000000, 0.00000000, 0.00000000, 151.66000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 126.38000000, 126.38000000, 25.28000000, 151.66000000),
(8347, 1350, NULL, 952631, NULL, 'filtre reseau R1/2 grade 1µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 126.38000000, NULL, 126.38000000, 25.28000000, 0.00000000, 0.00000000, 151.66000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 126.38000000, 126.38000000, 25.28000000, 151.66000000),
(8348, 1350, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 480.64000000, NULL, 480.64000000, 96.13000000, 0.00000000, 0.00000000, 576.77000000, 0, NULL, NULL, 0, 380.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 480.64000000, 480.64000000, 96.13000000, 576.77000000),
(8349, 1350, NULL, NULL, 'Sous-total Compresseur 7.5kw-7.5 bars', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8350, 1350, NULL, NULL, '2 remise en etat du circuit d\'air D22', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8351, 1350, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 4.81000000, NULL, 57.72000000, 11.54000000, 0.00000000, 0.00000000, 69.26000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.81000000, 57.72000000, 11.54000000, 69.26000000),
(8352, 1350, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 5.15000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.15000000, 30.90000000, 6.18000000, 37.08000000),
(8353, 1350, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 5.15000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.15000000, 30.90000000, 6.18000000, 37.08000000),
(8354, 1350, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.07000000, NULL, 28.14000000, 5.63000000, 0.00000000, 0.00000000, 33.77000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.07000000, 28.14000000, 5.63000000, 33.77000000),
(8355, 1350, NULL, 1190653, NULL, 'Supportage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.69000000, NULL, 91.69000000, 18.34000000, 0.00000000, 0.00000000, 110.03000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.69000000, 91.69000000, 18.34000000, 110.03000000),
(8356, 1350, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 247.08000000, NULL, 247.08000000, 49.42000000, 0.00000000, 0.00000000, 296.50000000, 0, NULL, NULL, 0, 193.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 247.08000000, 247.08000000, 49.42000000, 296.50000000),
(8357, 1350, NULL, NULL, 'Sous-total remise en etat du circuit d\'air D22', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8358, 1350, NULL, NULL, NULL, '<p>La partie reseau ne peut etre command&eacute;e separement de l&#39;achat d&#39;un compresseur (tps de deplacement inclu dans le chapitre compresseur)</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8359, 1351, NULL, NULL, '1 Maintenance L11', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8360, 1351, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(8361, 1351, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8362, 1351, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(8363, 1351, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 138.96000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(8364, 1351, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(8365, 1351, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8366, 1351, NULL, NULL, '2 Maintenance kaeser BS61', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8367, 1351, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(8368, 1351, NULL, 1221755, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.38000000, NULL, 34.38000000, 6.88000000, 0.00000000, 0.00000000, 41.26000000, 0, NULL, NULL, 0, 17.19000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.38000000, 34.38000000, 6.88000000, 41.26000000),
(8369, 1351, NULL, 1221772, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.50000000, NULL, 22.50000000, 4.50000000, 0.00000000, 0.00000000, 27.00000000, 0, NULL, NULL, 0, 11.25000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.50000000, 22.50000000, 4.50000000, 27.00000000),
(8370, 1351, NULL, 1221716, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 132.10000000, NULL, 132.10000000, 26.42000000, 0.00000000, 0.00000000, 158.52000000, 0, NULL, NULL, 0, 66.05000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 132.10000000, 132.10000000, 26.42000000, 158.52000000),
(8371, 1351, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(8372, 1351, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8373, 1351, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8374, 1352, NULL, NULL, NULL, 'ZIEHL -ABEGG FE 035 VDK-OC-V7 380V', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.00000000, NULL, 394.00000000, 78.80000000, 0.00000000, 0.00000000, 472.80000000, 0, NULL, NULL, 0, 348.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.00000000, 394.00000000, 78.80000000, 472.80000000),
(8375, 1352, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.20000000, NULL, 394.20000000, 78.84000000, 0.00000000, 0.00000000, 473.04000000, 0, NULL, NULL, 0, 292.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.20000000, 394.20000000, 78.84000000, 473.04000000),
(8376, 1353, NULL, NULL, '1 Maintenance 2000Heures', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8377, 1353, NULL, 1179631, NULL, 'MINOR KIT C  L90-L132', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 352.17000000, NULL, 352.17000000, 70.43000000, 0.00000000, 0.00000000, 422.60000000, 0, NULL, NULL, 0, 161.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 352.17000000, 352.17000000, 70.43000000, 422.60000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(8378, 1353, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8379, 1353, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 350.00000000, NULL, 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 280.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(8380, 1353, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8394, 1355, NULL, NULL, 'Maintenance L18 N° CD10009710001 ', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8395, 1355, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 399.00000000, NULL, 399.00000000, 79.80000000, 0.00000000, 0.00000000, 478.80000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 399.00000000, 399.00000000, 79.80000000, 478.80000000),
(8396, 1355, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8397, 1355, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 395.70000000, NULL, 356.13000000, 71.23000000, 0.00000000, 0.00000000, 427.36000000, 0, NULL, NULL, 0, 147.65000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 356.13000000, 71.23000000, 427.36000000),
(8398, 1355, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 117.70000000, NULL, 105.93000000, 21.19000000, 0.00000000, 0.00000000, 127.12000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 105.93000000, 21.19000000, 127.12000000),
(8399, 1355, NULL, 1179720, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 265.00000000, NULL, 265.00000000, 53.00000000, 0.00000000, 0.00000000, 318.00000000, 0, NULL, NULL, 0, 159.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 265.00000000, 265.00000000, 53.00000000, 318.00000000),
(8400, 1355, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 73.10000000, NULL, 146.20000000, 29.24000000, 0.00000000, 0.00000000, 175.44000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 146.20000000, 29.24000000, 175.44000000),
(8401, 1355, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8402, 1355, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8403, 1355, NULL, NULL, NULL, 'Filtres réseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8404, 1355, NULL, 952992, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 88.70000000, NULL, 88.70000000, 17.74000000, 0.00000000, 0.00000000, 106.44000000, 0, NULL, NULL, 0, 43.06000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.70000000, 88.70000000, 17.74000000, 106.44000000),
(8405, 1355, NULL, 952994, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 88.70000000, NULL, 88.70000000, 17.74000000, 0.00000000, 0.00000000, 106.44000000, 0, NULL, NULL, 0, 43.06000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.70000000, 88.70000000, 17.74000000, 106.44000000),
(8406, 1355, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8407, 1356, NULL, 944319, NULL, 'compresseur rotatif &agrave; vis librifiees &agrave; vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14535.20000000, NULL, 14535.20000000, 2907.04000000, 0.00000000, 0.00000000, 17442.24000000, 0, NULL, NULL, 0, 10800.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14535.20000000, 14535.20000000, 2907.04000000, 17442.24000000),
(8408, 1356, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 126.38000000, NULL, 126.38000000, 25.28000000, 0.00000000, 0.00000000, 151.66000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 126.38000000, 126.38000000, 25.28000000, 151.66000000),
(8409, 1356, NULL, 1179651, NULL, 'SERVICE KIT D L23RS-L29RS replaced', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 971.28000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 554.28000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 971.28000000, 0.00000000, 0.00000000, 0.00000000),
(8410, 1356, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 290.70000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 290.70000000, 0.00000000, 0.00000000, 0.00000000),
(8411, 1356, NULL, 1307789, NULL, 'sécheur a masse thermique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3011.56000000, NULL, 3011.56000000, 602.31000000, 0.00000000, 0.00000000, 3613.87000000, 0, NULL, NULL, 0, 2097.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3011.56000000, 3011.56000000, 602.31000000, 3613.87000000),
(8412, 1356, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 106.95000000, NULL, 106.95000000, 21.39000000, 0.00000000, 0.00000000, 128.34000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 106.95000000, 106.95000000, 21.39000000, 128.34000000),
(8413, 1356, NULL, 952654, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 432.61000000, NULL, 432.61000000, 86.52000000, 0.00000000, 0.00000000, 519.13000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 432.61000000, 432.61000000, 86.52000000, 519.13000000),
(8414, 1356, NULL, 952653, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 432.61000000, NULL, 432.61000000, 86.52000000, 0.00000000, 0.00000000, 519.13000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 432.61000000, 432.61000000, 86.52000000, 519.13000000),
(8415, 1356, NULL, 958253, NULL, 'ÖWAMAT 12 oil/water separatot without pre-separation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 906.08000000, NULL, 906.08000000, 181.22000000, 0.00000000, 0.00000000, 1087.30000000, 0, NULL, NULL, 0, 479.26000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 906.08000000, 906.08000000, 181.22000000, 1087.30000000),
(8416, 1356, NULL, 972631, NULL, 'Té égal Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.84000000, NULL, 14.20000000, 2.84000000, 0.00000000, 0.00000000, 17.04000000, 0, NULL, NULL, 0, 1.60600000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.84000000, 14.20000000, 2.84000000, 17.04000000),
(8417, 1356, NULL, 972586, NULL, 'Raccord droit mâle G1/4 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.15000000, NULL, 5.75000000, 1.15000000, 0.00000000, 0.00000000, 6.90000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.15000000, 5.75000000, 1.15000000, 6.90000000),
(8418, 1356, NULL, 972160, NULL, 'Tube polyamide Rilsan incolore 6x8 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 45.87000000, NULL, 45.87000000, 9.17000000, 0.00000000, 0.00000000, 55.04000000, 0, NULL, NULL, 0, 25.95000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.87000000, 45.87000000, 9.17000000, 55.04000000),
(8419, 1356, NULL, 1080071, NULL, 'Tube \"air comprimé\" diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 10.90000000, NULL, 196.20000000, 39.24000000, 0.00000000, 0.00000000, 235.44000000, 0, NULL, NULL, 0, 7.90000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.90000000, 196.20000000, 39.24000000, 235.44000000),
(8420, 1356, NULL, 1079995, NULL, 'Manchon diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 6.26000000, NULL, 37.56000000, 7.51000000, 0.00000000, 0.00000000, 45.07000000, 0, NULL, NULL, 0, 4.54000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.26000000, 37.56000000, 7.51000000, 45.07000000),
(8421, 1356, NULL, 1079789, NULL, 'Courbe à 90° diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 18.98000000, NULL, 379.60000000, 75.92000000, 0.00000000, 0.00000000, 455.52000000, 0, NULL, NULL, 0, 13.75000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.98000000, 379.60000000, 75.92000000, 455.52000000),
(8422, 1356, NULL, 1079854, NULL, 'Té égal diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 17.50000000, NULL, 105.00000000, 21.00000000, 0.00000000, 0.00000000, 126.00000000, 0, NULL, NULL, 0, 12.67000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.50000000, 105.00000000, 21.00000000, 126.00000000),
(8423, 1356, NULL, 1079967, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 32.91000000, NULL, 493.65000000, 98.73000000, 0.00000000, 0.00000000, 592.38000000, 0, NULL, NULL, 0, 23.83000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.91000000, 493.65000000, 98.73000000, 592.38000000),
(8424, 1356, NULL, 966508, NULL, 'Vanne F/F G1\"1/2 PN30 DN40', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 38.07000000, NULL, 342.63000000, 68.53000000, 0.00000000, 0.00000000, 411.16000000, 0, NULL, NULL, 0, 19.58000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.07000000, 342.63000000, 68.53000000, 411.16000000),
(8425, 1356, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.36000000, NULL, 1.36000000, 0.27000000, 0.00000000, 0.00000000, 1.63000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.36000000, 1.36000000, 0.27000000, 1.63000000),
(8426, 1356, NULL, 967552, NULL, 'Ensemble soufflage2 m 1/4 FetT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.82000000, NULL, 23.82000000, 4.76000000, 0.00000000, 0.00000000, 28.58000000, 0, NULL, NULL, 0, 13.47500000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.82000000, 23.82000000, 4.76000000, 28.58000000),
(8427, 1356, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3062.60000000, NULL, 3062.60000000, 612.52000000, 0.00000000, 0.00000000, 3675.12000000, 0, NULL, NULL, 0, 2000.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3062.60000000, 3062.60000000, 612.52000000, 3675.12000000),
(8428, 1356, NULL, 1190747, NULL, 'fournitures electriques(cosses,embouts,fils, ecrous,passe fil etc)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 240.37000000, NULL, 240.37000000, 48.07000000, 0.00000000, 0.00000000, 288.44000000, 0, NULL, NULL, 0, 900.00000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 240.37000000, 240.37000000, 48.07000000, 288.44000000),
(8429, 1357, NULL, 1586729, NULL, 'poulie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 245.00000000, NULL, 245.00000000, 49.00000000, 0.00000000, 0.00000000, 294.00000000, 0, NULL, NULL, 0, 176.40000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 245.00000000, 245.00000000, 49.00000000, 294.00000000),
(8430, 1357, NULL, 1586730, NULL, 'poulie', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 56.00000000, NULL, 44.80000000, 8.96000000, 0.00000000, 0.00000000, 53.76000000, 0, NULL, NULL, 0, 31.92000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.00000000, 44.80000000, 8.96000000, 53.76000000),
(8431, 1357, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(8432, 1358, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(8433, 1358, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(8434, 1358, NULL, 953527, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.28000000, NULL, 61.28000000, 12.26000000, 0.00000000, 0.00000000, 73.54000000, 0, NULL, NULL, 0, 29.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.28000000, 61.28000000, 12.26000000, 73.54000000),
(8435, 1358, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8436, 1358, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(8437, 1358, NULL, 1179649, NULL, 'SEPARATOR KIT D             L15RS -L22RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 474.00000000, NULL, 474.00000000, 94.80000000, 0.00000000, 0.00000000, 568.80000000, 0, NULL, NULL, 0, 284.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 474.00000000, 474.00000000, 94.80000000, 568.80000000),
(8438, 1358, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(8439, 1359, NULL, NULL, '1 Compresseur', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8440, 1359, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(8441, 1359, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8442, 1359, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 72.56000000, NULL, 72.56000000, 14.51000000, 0.00000000, 0.00000000, 87.07000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 72.56000000, 72.56000000, 14.51000000, 87.07000000),
(8443, 1359, NULL, 1221752, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.60000000, NULL, 22.60000000, 4.52000000, 0.00000000, 0.00000000, 27.12000000, 0, NULL, NULL, 0, 11.30000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.60000000, 22.60000000, 4.52000000, 27.12000000),
(8444, 1359, NULL, 1586715, NULL, 'Filtre à air	Préfiltre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 6.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(8445, 1359, NULL, 1231705, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.66000000, NULL, 14.66000000, 2.93000000, 0.00000000, 0.00000000, 17.59000000, 0, NULL, NULL, 0, 7.33000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.66000000, 14.66000000, 2.93000000, 17.59000000),
(8446, 1359, NULL, 1586716, NULL, 'Filtre séparateur air/huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 88.00000000, NULL, 88.00000000, 17.60000000, 0.00000000, 0.00000000, 105.60000000, 0, NULL, NULL, 0, 44.63000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.00000000, 88.00000000, 17.60000000, 105.60000000),
(8447, 1359, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8448, 1359, NULL, NULL, '2 filtre reseau', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8449, 1359, NULL, 953302, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.21000000, NULL, 114.21000000, 22.84000000, 0.00000000, 0.00000000, 137.05000000, 0, NULL, NULL, 0, 55.44000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.21000000, 114.21000000, 22.84000000, 137.05000000),
(8450, 1359, NULL, 1307260, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.21000000, NULL, 114.21000000, 22.84000000, 0.00000000, 0.00000000, 137.05000000, 0, NULL, NULL, 0, 52.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.21000000, 114.21000000, 22.84000000, 137.05000000),
(8451, 1359, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8452, 1360, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(8453, 1360, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8455, 1360, NULL, 1221755, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.38000000, NULL, 34.38000000, 6.88000000, 0.00000000, 0.00000000, 41.26000000, 0, NULL, NULL, 0, 17.19000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.38000000, 34.38000000, 6.88000000, 41.26000000),
(8456, 1360, NULL, 1221774, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.14000000, NULL, 19.14000000, 3.83000000, 0.00000000, 0.00000000, 22.97000000, 0, NULL, NULL, 0, 9.38000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.14000000, 19.14000000, 3.83000000, 22.97000000),
(8457, 1360, NULL, 1221721, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.33000000, NULL, 111.33000000, 22.27000000, 0.00000000, 0.00000000, 133.60000000, 0, NULL, NULL, 0, 74.22000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.33000000, 111.33000000, 22.27000000, 133.60000000),
(8458, 1361, NULL, 1230693, NULL, 'Main d&#39;Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 2, 5, 0, NULL, 63.84000000, NULL, 121.30000000, 24.26000000, 0.00000000, 0.00000000, 145.56000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 121.30000000, 24.26000000, 145.56000000),
(8459, 1361, NULL, 955190, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 142.33000000, NULL, 142.33000000, 28.47000000, 0.00000000, 0.00000000, 170.80000000, 0, NULL, NULL, 0, 105.43000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 142.33000000, 142.33000000, 28.47000000, 170.80000000),
(8460, 1361, NULL, 1231722, NULL, 'kit de rechange pour ecotron 90', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 355.12000000, NULL, 355.12000000, 71.02000000, 0.00000000, 0.00000000, 426.14000000, 0, NULL, NULL, 0, 253.66000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 355.12000000, 355.12000000, 71.02000000, 426.14000000),
(8461, 1362, NULL, 1180604, NULL, 'Temperature probe PT1000 class A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 37.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(8462, 1363, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(8463, 1363, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8464, 1363, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(8465, 1363, NULL, 953158, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.80000000, NULL, 81.80000000, 16.36000000, 0.00000000, 0.00000000, 98.16000000, 0, NULL, NULL, 0, 39.71000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.80000000, 81.80000000, 16.36000000, 98.16000000),
(8466, 1363, NULL, 953161, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.80000000, NULL, 81.80000000, 16.36000000, 0.00000000, 0.00000000, 98.16000000, 0, NULL, NULL, 0, 39.71000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.80000000, 81.80000000, 16.36000000, 98.16000000),
(8467, 1363, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.25000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 32.50000000, 6.50000000, 39.00000000),
(8468, 1363, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 44.29000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(8469, 1363, NULL, 954273, NULL, '1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(8470, 1363, NULL, 972162, NULL, 'Tube polyamide Rilsan incolore 8x10 25m', 20.000, '', 0.000, '0', 0.000, '0', 0.025, 0, 0, NULL, 62.18000000, NULL, 1.55000000, 0.32000000, 0.00000000, 0.00000000, 1.87000000, 0, NULL, NULL, 0, 34.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 62.18000000, 1.55000000, 0.32000000, 1.87000000),
(8471, 1364, NULL, NULL, NULL, 'filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8472, 1364, NULL, 1222114, NULL, 'MICRO FILTRE 1 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.60000000, NULL, 102.60000000, 20.52000000, 0.00000000, 0.00000000, 123.12000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.60000000, 102.60000000, 20.52000000, 123.12000000),
(8473, 1364, NULL, 1222115, NULL, 'SUBMICROFILTRE 0,01 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.60000000, NULL, 102.60000000, 20.52000000, 0.00000000, 0.00000000, 123.12000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.60000000, 102.60000000, 20.52000000, 123.12000000),
(8474, 1364, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8475, 1364, NULL, NULL, NULL, 'Maintenance Sullair trek30HH', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8476, 1364, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(8477, 1364, NULL, 1221723, NULL, 'séparateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 89.90000000, NULL, 89.90000000, 17.98000000, 0.00000000, 0.00000000, 107.88000000, 0, NULL, NULL, 0, 43.64000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 89.90000000, 89.90000000, 17.98000000, 107.88000000),
(8478, 1364, NULL, 1223589, NULL, '02250087-420', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.64000000, NULL, 17.64000000, 3.53000000, 0.00000000, 0.00000000, 21.17000000, 0, NULL, NULL, 0, 8.82000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.64000000, 17.64000000, 3.53000000, 21.17000000),
(8479, 1364, NULL, 1221788, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.84000000, NULL, 24.84000000, 4.97000000, 0.00000000, 0.00000000, 29.81000000, 0, NULL, NULL, 0, 12.06000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.84000000, 24.84000000, 4.97000000, 29.81000000),
(8480, 1364, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8481, 1364, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8482, 1365, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 2, 40, 0, NULL, 110.00000000, NULL, 132.00000000, 26.40000000, 0.00000000, 0.00000000, 158.40000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.00000000, 132.00000000, 26.40000000, 158.40000000),
(8483, 1366, NULL, 1190376, NULL, 'Forfait intervention ZONE B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 331.44000000, NULL, 331.44000000, 66.29000000, 0.00000000, 0.00000000, 397.73000000, 0, NULL, NULL, 0, 249.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 331.44000000, 331.44000000, 66.29000000, 397.73000000),
(8484, 1366, NULL, 1307805, NULL, 'BATTERIE 3,6V 1,20Ah', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 71.96000000, NULL, 71.96000000, 14.39000000, 0.00000000, 0.00000000, 86.35000000, 0, NULL, NULL, 0, 41.02000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 71.96000000, 71.96000000, 14.39000000, 86.35000000),
(8485, 1367, NULL, 969249, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -68.00000000, NULL, -68.00000000, -13.60000000, 0.00000000, 0.00000000, -81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -68.00000000, -68.00000000, -13.60000000, -81.60000000),
(8489, 1368, NULL, NULL, NULL, 'avoir', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -1000.00000000, NULL, -1000.00000000, -200.00000000, 0.00000000, 0.00000000, -1200.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1000.00000000, 1000.00000000, 200.00000000, 1200.00000000),
(8490, 1369, NULL, NULL, NULL, 'Mensualit&eacute;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1419.00000000, NULL, 1419.00000000, 283.80000000, 0.00000000, 0.00000000, 1702.80000000, 0, '2019-05-16 12:00:00', NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1419.00000000, 1419.00000000, 283.80000000, 1702.80000000),
(8491, 1370, NULL, 944319, NULL, 'compresseur rotatif &agrave; vis librifiees &agrave; vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -14535.20000000, NULL, -14535.20000000, -2907.04000000, 0.00000000, 0.00000000, -17442.24000000, 0, NULL, NULL, 0, 10800.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -14535.20000000, -14535.20000000, -2907.04000000, -17442.24000000),
(8492, 1370, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -126.38000000, NULL, -126.38000000, -25.28000000, 0.00000000, 0.00000000, -151.66000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -126.38000000, -126.38000000, -25.28000000, -151.66000000),
(8493, 1370, NULL, 1179651, NULL, 'SERVICE KIT D L23RS-L29RS replaced', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, -971.28000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 554.28000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -971.28000000, 0.00000000, 0.00000000, 0.00000000),
(8494, 1370, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, -290.70000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -290.70000000, 0.00000000, 0.00000000, 0.00000000),
(8495, 1370, NULL, 1307789, NULL, 'sécheur a masse thermique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -3011.56000000, NULL, -3011.56000000, -602.31000000, 0.00000000, 0.00000000, -3613.87000000, 0, NULL, NULL, 0, 2097.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -3011.56000000, -3011.56000000, -602.31000000, -3613.87000000),
(8496, 1370, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -106.95000000, NULL, -106.95000000, -21.39000000, 0.00000000, 0.00000000, -128.34000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -106.95000000, -106.95000000, -21.39000000, -128.34000000),
(8497, 1370, NULL, 952654, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -432.61000000, NULL, -432.61000000, -86.52000000, 0.00000000, 0.00000000, -519.13000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -432.61000000, -432.61000000, -86.52000000, -519.13000000),
(8498, 1370, NULL, 952653, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -432.61000000, NULL, -432.61000000, -86.52000000, 0.00000000, 0.00000000, -519.13000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -432.61000000, -432.61000000, -86.52000000, -519.13000000),
(8499, 1370, NULL, 958253, NULL, 'ÖWAMAT 12 oil/water separatot without pre-separation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -906.08000000, NULL, -906.08000000, -181.22000000, 0.00000000, 0.00000000, -1087.30000000, 0, NULL, NULL, 0, 479.26000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -906.08000000, -906.08000000, -181.22000000, -1087.30000000),
(8500, 1370, NULL, 972631, NULL, 'Té égal Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, -2.84000000, NULL, -14.20000000, -2.84000000, 0.00000000, 0.00000000, -17.04000000, 0, NULL, NULL, 0, 1.60600000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -2.84000000, -14.20000000, -2.84000000, -17.04000000),
(8501, 1370, NULL, 972586, NULL, 'Raccord droit mâle G1/4 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, -1.15000000, NULL, -5.75000000, -1.15000000, 0.00000000, 0.00000000, -6.90000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -1.15000000, -5.75000000, -1.15000000, -6.90000000),
(8502, 1370, NULL, 972160, NULL, 'Tube polyamide Rilsan incolore 6x8 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -45.87000000, NULL, -45.87000000, -9.17000000, 0.00000000, 0.00000000, -55.04000000, 0, NULL, NULL, 0, 25.95000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -45.87000000, -45.87000000, -9.17000000, -55.04000000),
(8503, 1370, NULL, 1080071, NULL, 'Tube \"air comprimé\" diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, -10.90000000, NULL, -196.20000000, -39.24000000, 0.00000000, 0.00000000, -235.44000000, 0, NULL, NULL, 0, 7.90000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -10.90000000, -196.20000000, -39.24000000, -235.44000000),
(8504, 1370, NULL, 1079995, NULL, 'Manchon diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, -6.26000000, NULL, -37.56000000, -7.51000000, 0.00000000, 0.00000000, -45.07000000, 0, NULL, NULL, 0, 4.54000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -6.26000000, -37.56000000, -7.51000000, -45.07000000),
(8505, 1370, NULL, 1079789, NULL, 'Courbe à 90° diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, -18.98000000, NULL, -379.60000000, -75.92000000, 0.00000000, 0.00000000, -455.52000000, 0, NULL, NULL, 0, 13.75000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -18.98000000, -379.60000000, -75.92000000, -455.52000000),
(8506, 1370, NULL, 1079854, NULL, 'Té égal diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, -17.50000000, NULL, -105.00000000, -21.00000000, 0.00000000, 0.00000000, -126.00000000, 0, NULL, NULL, 0, 12.67000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -17.50000000, -105.00000000, -21.00000000, -126.00000000),
(8507, 1370, NULL, 1079967, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, -32.91000000, NULL, -493.65000000, -98.73000000, 0.00000000, 0.00000000, -592.38000000, 0, NULL, NULL, 0, 23.83000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -32.91000000, -493.65000000, -98.73000000, -592.38000000),
(8508, 1370, NULL, 966508, NULL, 'Vanne F/F G1\"1/2 PN30 DN40', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, -38.07000000, NULL, -342.63000000, -68.53000000, 0.00000000, 0.00000000, -411.16000000, 0, NULL, NULL, 0, 19.58000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -38.07000000, -342.63000000, -68.53000000, -411.16000000),
(8509, 1370, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -1.36000000, NULL, -1.36000000, -0.27000000, 0.00000000, 0.00000000, -1.63000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -1.36000000, -1.36000000, -0.27000000, -1.63000000),
(8510, 1370, NULL, 967552, NULL, 'Ensemble soufflage2 m 1/4 FetT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -23.82000000, NULL, -23.82000000, -4.76000000, 0.00000000, 0.00000000, -28.58000000, 0, NULL, NULL, 0, 13.47500000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -23.82000000, -23.82000000, -4.76000000, -28.58000000),
(8511, 1370, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -3062.60000000, NULL, -3062.60000000, -612.52000000, 0.00000000, 0.00000000, -3675.12000000, 0, NULL, NULL, 0, 2000.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -3062.60000000, -3062.60000000, -612.52000000, -3675.12000000),
(8512, 1370, NULL, 1190747, NULL, 'fournitures electriques(cosses,embouts,fils, ecrous,passe fil etc)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -240.37000000, NULL, -240.37000000, -48.07000000, 0.00000000, 0.00000000, -288.44000000, 0, NULL, NULL, 0, 900.00000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -240.37000000, -240.37000000, -48.07000000, -288.44000000),
(8513, 1371, NULL, 944319, NULL, 'compresseur rotatif &agrave; vis librifiees &agrave; vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14535.20000000, NULL, 14535.20000000, 2907.04000000, 0.00000000, 0.00000000, 17442.24000000, 0, NULL, NULL, 0, 10800.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14535.20000000, 14535.20000000, 2907.04000000, 17442.24000000),
(8514, 1371, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 126.39000000, NULL, 126.39000000, 25.28000000, 0.00000000, 0.00000000, 151.67000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 126.39000000, 126.39000000, 25.28000000, 151.67000000),
(8515, 1371, NULL, 1179651, NULL, 'SERVICE KIT D L23RS-L29RS replaced', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 971.28000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 554.28000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 971.28000000, 0.00000000, 0.00000000, 0.00000000),
(8516, 1371, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 290.70000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 290.70000000, 0.00000000, 0.00000000, 0.00000000),
(8517, 1371, NULL, 1307789, NULL, 'sécheur a masse thermique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3011.56000000, NULL, 3011.56000000, 602.31000000, 0.00000000, 0.00000000, 3613.87000000, 0, NULL, NULL, 0, 2097.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3011.56000000, 3011.56000000, 602.31000000, 3613.87000000),
(8518, 1371, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 106.95000000, NULL, 106.95000000, 21.39000000, 0.00000000, 0.00000000, 128.34000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 106.95000000, 106.95000000, 21.39000000, 128.34000000),
(8519, 1371, NULL, 952654, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 432.61000000, NULL, 432.61000000, 86.52000000, 0.00000000, 0.00000000, 519.13000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 432.61000000, 432.61000000, 86.52000000, 519.13000000),
(8520, 1371, NULL, 952653, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 432.61000000, NULL, 432.61000000, 86.52000000, 0.00000000, 0.00000000, 519.13000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 432.61000000, 432.61000000, 86.52000000, 519.13000000),
(8521, 1371, NULL, 958253, NULL, 'ÖWAMAT 12 oil/water separatot without pre-separation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 906.08000000, NULL, 906.08000000, 181.22000000, 0.00000000, 0.00000000, 1087.30000000, 0, NULL, NULL, 0, 479.26000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 906.08000000, 906.08000000, 181.22000000, 1087.30000000),
(8522, 1371, NULL, 972631, NULL, 'Té égal Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.84000000, NULL, 14.20000000, 2.84000000, 0.00000000, 0.00000000, 17.04000000, 0, NULL, NULL, 0, 1.60600000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.84000000, 14.20000000, 2.84000000, 17.04000000),
(8523, 1371, NULL, 972586, NULL, 'Raccord droit mâle G1/4 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.15000000, NULL, 5.75000000, 1.15000000, 0.00000000, 0.00000000, 6.90000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.15000000, 5.75000000, 1.15000000, 6.90000000),
(8524, 1371, NULL, 972160, NULL, 'Tube polyamide Rilsan incolore 6x8 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 45.87000000, NULL, 45.87000000, 9.17000000, 0.00000000, 0.00000000, 55.04000000, 0, NULL, NULL, 0, 25.95000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.87000000, 45.87000000, 9.17000000, 55.04000000),
(8525, 1371, NULL, 1080071, NULL, 'Tube \"air comprimé\" diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 10.90000000, NULL, 196.20000000, 39.24000000, 0.00000000, 0.00000000, 235.44000000, 0, NULL, NULL, 0, 7.90000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.90000000, 196.20000000, 39.24000000, 235.44000000),
(8526, 1371, NULL, 1079995, NULL, 'Manchon diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 6.26000000, NULL, 37.56000000, 7.51000000, 0.00000000, 0.00000000, 45.07000000, 0, NULL, NULL, 0, 4.54000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.26000000, 37.56000000, 7.51000000, 45.07000000),
(8527, 1371, NULL, 1079789, NULL, 'Courbe à 90° diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 18.98000000, NULL, 379.60000000, 75.92000000, 0.00000000, 0.00000000, 455.52000000, 0, NULL, NULL, 0, 13.75000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.98000000, 379.60000000, 75.92000000, 455.52000000),
(8528, 1371, NULL, 1079854, NULL, 'Té égal diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 17.50000000, NULL, 105.00000000, 21.00000000, 0.00000000, 0.00000000, 126.00000000, 0, NULL, NULL, 0, 12.67000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.50000000, 105.00000000, 21.00000000, 126.00000000),
(8529, 1371, NULL, 1079967, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 32.91000000, NULL, 493.65000000, 98.73000000, 0.00000000, 0.00000000, 592.38000000, 0, NULL, NULL, 0, 23.83000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.91000000, 493.65000000, 98.73000000, 592.38000000),
(8530, 1371, NULL, 966508, NULL, 'Vanne F/F G1\"1/2 PN30 DN40', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 38.07000000, NULL, 342.63000000, 68.53000000, 0.00000000, 0.00000000, 411.16000000, 0, NULL, NULL, 0, 19.58000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.07000000, 342.63000000, 68.53000000, 411.16000000),
(8531, 1371, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.36000000, NULL, 1.36000000, 0.27000000, 0.00000000, 0.00000000, 1.63000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.36000000, 1.36000000, 0.27000000, 1.63000000),
(8532, 1371, NULL, 967552, NULL, 'Ensemble soufflage2 m 1/4 FetT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.82000000, NULL, 23.82000000, 4.76000000, 0.00000000, 0.00000000, 28.58000000, 0, NULL, NULL, 0, 13.47500000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.82000000, 23.82000000, 4.76000000, 28.58000000),
(8533, 1371, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3062.60000000, NULL, 3062.60000000, 612.52000000, 0.00000000, 0.00000000, 3675.12000000, 0, NULL, NULL, 0, 2000.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3062.60000000, 3062.60000000, 612.52000000, 3675.12000000),
(8534, 1371, NULL, 1190747, NULL, 'fournitures electriques(cosses,embouts,fils, ecrous,passe fil etc)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 240.37000000, NULL, 240.37000000, 48.07000000, 0.00000000, 0.00000000, 288.44000000, 0, NULL, NULL, 0, 900.00000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 240.37000000, 240.37000000, 48.07000000, 288.44000000),
(8535, 1371, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 402.40000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 350.00000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 0.00000000, 0.00000000, 0.00000000),
(8536, 1371, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 5.50000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 0.00000000, 0.00000000, 0.00000000),
(8537, 1372, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 920.00000000, NULL, 920.00000000, 184.00000000, 0.00000000, 0.00000000, 1104.00000000, 0, NULL, NULL, 0, 698.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 920.00000000, 920.00000000, 184.00000000, 1104.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(8538, 1372, NULL, 1223700, NULL, 'Fourniture Plomberie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 180.00000000, NULL, 180.00000000, 36.00000000, 0.00000000, 0.00000000, 216.00000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 180.00000000, 180.00000000, 36.00000000, 216.00000000),
(8539, 1372, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 628.00000000, NULL, 628.00000000, 125.60000000, 0.00000000, 0.00000000, 753.60000000, 0, NULL, NULL, 0, 465.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 628.00000000, 628.00000000, 125.60000000, 753.60000000),
(8540, 1372, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(8541, 1373, NULL, NULL, NULL, '10301 x Couvercle frontal avec joint d&rsquo;arbre + Bague pour bloc de compression NK 60', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 244.50000000, NULL, 244.50000000, 48.90000000, 0.00000000, 0.00000000, 293.40000000, 0, NULL, NULL, 0, 177.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 244.50000000, 244.50000000, 48.90000000, 293.40000000),
(8542, 1373, NULL, NULL, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.00000000, NULL, 25.00000000, 5.00000000, 0.00000000, 0.00000000, 30.00000000, 1, NULL, NULL, 0, 23.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.00000000, 25.00000000, 5.00000000, 30.00000000),
(8543, 1374, NULL, 1179653, NULL, 'SERVICE KIT D L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -250.00000000, NULL, -250.00000000, -50.00000000, 0.00000000, 0.00000000, -300.00000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -250.00000000, -250.00000000, -50.00000000, -300.00000000),
(8546, 1375, NULL, 1177873, NULL, 'HOSE LINE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 459.00000000, NULL, 459.00000000, 91.80000000, 0.00000000, 0.00000000, 550.80000000, 0, NULL, NULL, 0, 364.23000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 459.00000000, 459.00000000, 91.80000000, 550.80000000),
(8547, 1375, NULL, 1177863, NULL, 'PRESSURE HOSE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1643.46000000, NULL, 1643.46000000, 328.69000000, 0.00000000, 0.00000000, 1972.15000000, 0, NULL, NULL, 0, 1254.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1643.46000000, 1643.46000000, 328.69000000, 1972.15000000),
(8548, 1375, NULL, 1178725, NULL, 'SEALING RING A 60  X68', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.00000000, NULL, 8.00000000, 1.60000000, 0.00000000, 0.00000000, 9.60000000, 0, NULL, NULL, 0, 5.17000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.00000000, 8.00000000, 1.60000000, 9.60000000),
(8549, 1375, NULL, 1175888, NULL, 'GASKET **SUPERSEDED**', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 9.23000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(8550, 1375, NULL, 1178999, NULL, 'THREAD.ELBOW JOINTGL 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.00000000, NULL, 52.00000000, 10.40000000, 0.00000000, 0.00000000, 62.40000000, 0, NULL, NULL, 0, 31.58000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.00000000, 52.00000000, 10.40000000, 62.40000000),
(8551, 1375, NULL, 1178972, NULL, 'THR. SCR. JOINT BLL 8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.00000000, NULL, 8.00000000, 1.60000000, 0.00000000, 0.00000000, 9.60000000, 0, NULL, NULL, 0, 4.96000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.00000000, 8.00000000, 1.60000000, 9.60000000),
(8552, 1375, NULL, 1178995, NULL, 'THREAD.ELBOW JOINTGLL 8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 51.00000000, NULL, 51.00000000, 10.20000000, 0.00000000, 0.00000000, 61.20000000, 0, NULL, NULL, 0, 30.84000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 51.00000000, 51.00000000, 10.20000000, 61.20000000),
(8553, 1376, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 492.10000000, NULL, 492.10000000, 98.42000000, 0.00000000, 0.00000000, 590.52000000, 0, NULL, NULL, 0, 390.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 492.10000000, 492.10000000, 98.42000000, 590.52000000),
(8554, 1376, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8555, 1376, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(8556, 1376, NULL, 1179664, NULL, 'SEPARATOR KIT D            L75RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1395.00000000, NULL, 1395.00000000, 279.00000000, 0.00000000, 0.00000000, 1674.00000000, 0, NULL, NULL, 0, 837.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1395.00000000, 1395.00000000, 279.00000000, 1674.00000000),
(8557, 1376, NULL, 1189210, NULL, 'H. compresseur &agrave; vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(8558, 1377, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 845.00000000, NULL, 845.00000000, 169.00000000, 0.00000000, 0.00000000, 1014.00000000, 0, NULL, NULL, 0, 650.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 845.00000000, 845.00000000, 169.00000000, 1014.00000000),
(8559, 1377, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 9.40000000, NULL, 56.40000000, 11.28000000, 0.00000000, 0.00000000, 67.68000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.40000000, 56.40000000, 11.28000000, 67.68000000),
(8560, 1377, NULL, 1223700, NULL, 'Fourniture Plomberie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 133.50000000, NULL, 133.50000000, 26.70000000, 0.00000000, 0.00000000, 160.20000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 133.50000000, 133.50000000, 26.70000000, 160.20000000),
(8561, 1378, NULL, 952820, NULL, 'secheur frigorifique 225m3/h rac1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2425.00000000, NULL, 2425.00000000, 485.00000000, 0.00000000, 0.00000000, 2910.00000000, 0, NULL, NULL, 0, 1208.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2425.00000000, 2425.00000000, 485.00000000, 2910.00000000),
(8562, 1379, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 76, 0, 0, NULL, 0.97000000, NULL, 73.72000000, 14.74000000, 0.00000000, 0.00000000, 88.46000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 73.72000000, 14.74000000, 88.46000000),
(8563, 1379, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(8564, 1379, NULL, 969249, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(8565, 1380, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(8566, 1381, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 226.79000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(8567, 1382, NULL, NULL, NULL, 'L26RS CD10015212001', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8568, 1382, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 460.85000000, NULL, 460.85000000, 92.17000000, 0.00000000, 0.00000000, 553.02000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 460.85000000, 460.85000000, 92.17000000, 553.02000000),
(8569, 1382, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8570, 1382, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1020.00000000, NULL, 1020.00000000, 204.00000000, 0.00000000, 0.00000000, 1224.00000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1020.00000000, 1020.00000000, 204.00000000, 1224.00000000),
(8571, 1382, NULL, 1179723, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 468.00000000, NULL, 468.00000000, 93.60000000, 0.00000000, 0.00000000, 561.60000000, 0, NULL, NULL, 0, 281.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 468.00000000, 468.00000000, 93.60000000, 561.60000000),
(8572, 1382, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.95000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(8573, 1382, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 57.13000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(8574, 1382, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8575, 1382, NULL, NULL, NULL, 'L26RS CD10027118001', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8576, 1382, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 451.82000000, NULL, 451.82000000, 90.36000000, 0.00000000, 0.00000000, 542.18000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 451.82000000, 451.82000000, 90.36000000, 542.18000000),
(8577, 1382, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8578, 1382, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1020.00000000, NULL, 1020.00000000, 204.00000000, 0.00000000, 0.00000000, 1224.00000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1020.00000000, 1020.00000000, 204.00000000, 1224.00000000),
(8579, 1382, NULL, 952658, NULL, 'cartouche grade ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(8580, 1382, NULL, 1221463, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.45000000, NULL, 156.45000000, 31.29000000, 0.00000000, 0.00000000, 187.74000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.45000000, 156.45000000, 31.29000000, 187.74000000),
(8581, 1382, NULL, 952684, NULL, 'cartouche grade rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(8582, 1382, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 88.66000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(8583, 1382, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.95000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(8584, 1382, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8585, 1383, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 32, 0, 0, NULL, 0.97000000, NULL, 31.04000000, 6.21000000, 0.00000000, 0.00000000, 37.25000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 31.04000000, 6.21000000, 37.25000000),
(8586, 1383, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1.25, 0, 0, NULL, 63.84000000, NULL, 79.80000000, 15.96000000, 0.00000000, 0.00000000, 95.76000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 79.80000000, 15.96000000, 95.76000000),
(8587, 1383, NULL, NULL, NULL, 'DT40C32 4 poles', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.50000000, NULL, 123.50000000, 24.70000000, 0.00000000, 0.00000000, 148.20000000, 0, NULL, NULL, 0, 95.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.50000000, 123.50000000, 24.70000000, 148.20000000),
(8588, 1384, NULL, NULL, NULL, '<p>Tendeur d&#39;occasion en bon etat, sans poulie pour SPRINT 015</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8589, 1384, NULL, 1185270, NULL, 'disp. de tension cour.', 20.000, '', 0.000, '0', 0.000, '0', 1, 60, 0, NULL, 1098.00000000, NULL, 439.20000000, 87.84000000, 0.00000000, 0.00000000, 527.04000000, 0, NULL, NULL, 0, 756.54000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1098.00000000, 439.20000000, 87.84000000, 527.04000000),
(8590, 1384, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 96.00000000, NULL, 384.00000000, 76.80000000, 0.00000000, 0.00000000, 460.80000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.00000000, 384.00000000, 76.80000000, 460.80000000),
(8591, 1384, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(8592, 1384, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8593, 1385, NULL, NULL, NULL, 'SPRINT51 x2', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8594, 1385, NULL, 1586733, NULL, 'Roulement 15X35X16', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 28.00000000, NULL, 56.00000000, 11.20000000, 0.00000000, 0.00000000, 67.20000000, 0, NULL, NULL, 0, 20.64000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 56.00000000, 11.20000000, 67.20000000),
(8595, 1385, NULL, 1586732, NULL, 'roulement  20X52X22,2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 45.00000000, NULL, 90.00000000, 18.00000000, 0.00000000, 0.00000000, 108.00000000, 0, NULL, NULL, 0, 33.04000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.00000000, 90.00000000, 18.00000000, 108.00000000),
(8596, 1385, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8598, 1386, NULL, 955219, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 166.20000000, NULL, 166.20000000, 33.24000000, 0.00000000, 0.00000000, 199.44000000, 0, NULL, NULL, 0, 80.68000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 166.20000000, 166.20000000, 33.24000000, 199.44000000),
(8599, 1386, NULL, 952860, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.55000000, NULL, 92.55000000, 18.51000000, 0.00000000, 0.00000000, 111.06000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.55000000, 92.55000000, 18.51000000, 111.06000000),
(8600, 1387, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(8601, 1387, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8602, 1387, NULL, 1189210, NULL, 'H. compresseur &agrave; vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(8603, 1387, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(8604, 1387, NULL, 1179663, NULL, 'SEPARATOR KIT D  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 912.90000000, NULL, 912.90000000, 182.58000000, 0.00000000, 0.00000000, 1095.48000000, 1, NULL, NULL, 0, 503.79000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 912.90000000, 912.90000000, 182.58000000, 1095.48000000),
(8605, 1388, NULL, 1185140, NULL, 'electro-vanne 3/2 voies', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 543.00000000, NULL, 543.00000000, 108.60000000, 0.00000000, 0.00000000, 651.60000000, 0, NULL, NULL, 0, 309.57000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 543.00000000, 543.00000000, 108.60000000, 651.60000000),
(8606, 1389, NULL, NULL, NULL, 'location hebdomadaire', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 150.00000000, NULL, 600.00000000, 120.00000000, 0.00000000, 0.00000000, 720.00000000, 1, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 600.00000000, 120.00000000, 720.00000000),
(8607, 1390, NULL, NULL, NULL, 'EGI - epreuve de charge par un organisme agr&eacute;&eacute;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 754.00000000, NULL, 754.00000000, 150.80000000, 0.00000000, 0.00000000, 904.80000000, 1, NULL, NULL, 0, 580.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 754.00000000, 754.00000000, 150.80000000, 904.80000000),
(8608, 1391, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 45, 0, 0, NULL, 0.97000000, NULL, 43.65000000, 8.73000000, 0.00000000, 0.00000000, 52.38000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 43.65000000, 8.73000000, 52.38000000),
(8609, 1391, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(8610, 1392, NULL, NULL, '1 Goulotte', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8611, 1392, NULL, 1069988, NULL, 'EMBOUT AM 50X80', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.71000000, NULL, 11.71000000, 2.34000000, 0.00000000, 0.00000000, 14.05000000, 0, NULL, NULL, 0, 5.68000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.71000000, 11.71000000, 2.34000000, 14.05000000),
(8612, 1392, NULL, 1061514, NULL, 'LONG 2,50M 50X80 BLANC', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 95.00000000, NULL, 380.00000000, 76.00000000, 0.00000000, 0.00000000, 456.00000000, 0, NULL, NULL, 0, 68.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.00000000, 380.00000000, 76.00000000, 456.00000000),
(8613, 1392, NULL, 1069997, NULL, 'ANGLE PLAT AM50X80', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.35000000, NULL, 63.35000000, 12.67000000, 0.00000000, 0.00000000, 76.02000000, 0, NULL, NULL, 0, 30.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.35000000, 63.35000000, 12.67000000, 76.02000000),
(8614, 1392, NULL, 1070155, NULL, 'PRMOSAIC 3X2P+T CLIP DIRECT', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 54.29000000, NULL, 162.87000000, 32.57000000, 0.00000000, 0.00000000, 195.44000000, 0, NULL, NULL, 0, 26.35000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 54.29000000, 162.87000000, 32.57000000, 195.44000000),
(8615, 1392, NULL, NULL, 'Sous-total Goulotte', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8616, 1392, NULL, NULL, '2 Boite canalis  +  protection differentielle', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8617, 1392, NULL, 1298077, NULL, 'Canalis KN - coffret sectionneur 63A pour app mod 8 modules 18mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 135.00000000, NULL, 135.00000000, 27.00000000, 0.00000000, 0.00000000, 162.00000000, 0, NULL, NULL, 0, 105.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 135.00000000, 135.00000000, 27.00000000, 162.00000000),
(8618, 1392, NULL, 1463360, NULL, 'Acti9 iDD40K - disjoncteur différentiel - 3P+N C 20A 4500A/4,5A 30mA type AC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 218.00000000, NULL, 218.00000000, 43.60000000, 0.00000000, 0.00000000, 261.60000000, 0, NULL, NULL, 0, 175.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 218.00000000, 218.00000000, 43.60000000, 261.60000000),
(8619, 1392, NULL, NULL, 'Sous-total Boite canalis  +  protection differentielle', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8620, 1392, NULL, NULL, '3 Câble et MO', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8621, 1392, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 332.50000000, NULL, 332.50000000, 66.50000000, 0.00000000, 0.00000000, 399.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 332.50000000, 332.50000000, 66.50000000, 399.00000000),
(8622, 1392, NULL, 1297928, NULL, 'IRL 3321 Diam 20 Longueur 3m Tulipé Gris', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 0.89000000, NULL, 3.56000000, 0.71000000, 0.00000000, 0.00000000, 4.27000000, 0, NULL, NULL, 0, 0.68000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.89000000, 3.56000000, 0.71000000, 4.27000000),
(8623, 1392, NULL, 1223594, NULL, 'h07 rnf 4g2.5 tgl', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 3.65000000, NULL, 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 2.74000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.65000000, 36.50000000, 7.30000000, 43.80000000),
(8624, 1392, NULL, NULL, 'Sous-total Câble et MO', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8625, 1393, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(8626, 1393, NULL, 1179639, NULL, 'FILTER SERVICE KIT FRAME 0', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.50000000, NULL, 144.50000000, 28.90000000, 0.00000000, 0.00000000, 173.40000000, 0, NULL, NULL, 0, 86.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.50000000, 144.50000000, 28.90000000, 173.40000000),
(8627, 1393, NULL, 966947, NULL, 'Coude conique M/F G3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.70000000, NULL, 4.70000000, 0.94000000, 0.00000000, 0.00000000, 5.64000000, 0, NULL, NULL, 0, 2.35000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.70000000, 4.70000000, 0.94000000, 5.64000000),
(8628, 1393, NULL, 966946, NULL, 'Coude M/F G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.80000000, NULL, 2.80000000, 0.56000000, 0.00000000, 0.00000000, 3.36000000, 0, NULL, NULL, 0, 1.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.80000000, 2.80000000, 0.56000000, 3.36000000),
(8629, 1393, NULL, 967172, NULL, 'Bobine acier MM 1/2\" 300mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.24000000, NULL, 4.24000000, 0.85000000, 0.00000000, 0.00000000, 5.09000000, 0, NULL, NULL, 0, 2.06000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.24000000, 4.24000000, 0.85000000, 5.09000000),
(8630, 1394, NULL, 966701, NULL, 'Mamelon conique G1/2x3/4', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 2.10000000, NULL, 6.30000000, 1.26000000, 0.00000000, 0.00000000, 7.56000000, 0, NULL, NULL, 0, 1.05000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.10000000, 6.30000000, 1.26000000, 7.56000000),
(8631, 1394, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 1, NULL, NULL, 0, 5.28000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(8632, 1395, NULL, 1307797, NULL, 'FILTRE RÉGULATEUR T.3 3/4\" 20? 0-8 BAR PURGE AUTOMATIQUE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.85000000, NULL, 154.85000000, 30.97000000, 0.00000000, 0.00000000, 185.82000000, 0, NULL, NULL, 0, 110.61000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 154.85000000, 154.85000000, 30.97000000, 185.82000000),
(8633, 1395, NULL, 1307798, NULL, 'MANOMÈTRE Ø50 RACCORD AR. 1/8\" 0-12 BAR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.44000000, NULL, 10.44000000, 2.09000000, 0.00000000, 0.00000000, 12.53000000, 0, NULL, NULL, 0, 7.46000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.44000000, 10.44000000, 2.09000000, 12.53000000),
(8634, 1395, NULL, 966704, NULL, 'Mamelon conique G3/4x1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.25000000, NULL, 10.50000000, 2.10000000, 0.00000000, 0.00000000, 12.60000000, 0, NULL, NULL, 0, 2.62000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.25000000, 10.50000000, 2.10000000, 12.60000000),
(8635, 1395, NULL, 966816, NULL, 'Manchon égal G1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.40000000, NULL, 14.80000000, 2.96000000, 0.00000000, 0.00000000, 17.76000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.40000000, 14.80000000, 2.96000000, 17.76000000),
(8636, 1396, NULL, NULL, '1 site blanchisserie st vallier - BOGE S31-3', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8637, 1396, NULL, 951714, NULL, 'nattes de prefiltration boge', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.44000000, NULL, 22.44000000, 4.49000000, 0.00000000, 0.00000000, 26.93000000, 0, NULL, NULL, 0, 17.58000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.44000000, 22.44000000, 4.49000000, 26.93000000),
(8638, 1396, NULL, 1222524, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 19.74000000, NULL, 59.22000000, 11.84000000, 0.00000000, 0.00000000, 71.06000000, 0, NULL, NULL, 0, 11.07000000, NULL, 0, 0, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.74000000, 59.22000000, 11.84000000, 71.06000000),
(8639, 1396, NULL, 951715, NULL, 'kit cairpac 3000', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 820.57000000, NULL, 820.57000000, 164.11000000, 0.00000000, 0.00000000, 984.68000000, 0, NULL, NULL, 0, 642.67000000, NULL, 0, 0, 37, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 820.57000000, 820.57000000, 164.11000000, 984.68000000),
(8640, 1396, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.22000000, NULL, 395.22000000, 79.04000000, 0.00000000, 0.00000000, 474.26000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 38, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.22000000, 395.22000000, 79.04000000, 474.26000000),
(8641, 1396, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 108.75000000, NULL, 108.75000000, 21.75000000, 0.00000000, 0.00000000, 130.50000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 39, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 108.75000000, 108.75000000, 21.75000000, 130.50000000),
(8642, 1396, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 40, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8643, 1396, NULL, NULL, '2 maintenance seprateur de condensats site blanchisserie de st vallier', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 41, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8644, 1396, NULL, 1231790, NULL, 'element blanc cc4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 104.44000000, NULL, 104.44000000, 20.89000000, 0.00000000, 0.00000000, 125.33000000, 0, NULL, NULL, 0, 80.20000000, NULL, 0, 0, 42, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 104.44000000, 104.44000000, 20.89000000, 125.33000000),
(8645, 1396, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.91000000, NULL, 299.91000000, 59.98000000, 0.00000000, 0.00000000, 359.89000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 43, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.91000000, 299.91000000, 59.98000000, 359.89000000),
(8646, 1396, NULL, 1231791, NULL, 'element noir CC4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 124.54000000, NULL, 124.54000000, 24.91000000, 0.00000000, 0.00000000, 149.45000000, 0, NULL, NULL, 0, 95.63000000, NULL, 0, 0, 44, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 124.54000000, 124.54000000, 24.91000000, 149.45000000),
(8647, 1396, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 45, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8648, 1396, NULL, NULL, '3 Site blanchisserie st vallier BOGE S31-2', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 46, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8649, 1396, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.22000000, NULL, 395.22000000, 79.04000000, 0.00000000, 0.00000000, 474.26000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 47, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.22000000, 395.22000000, 79.04000000, 474.26000000),
(8650, 1396, NULL, 1221739, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.07000000, NULL, 95.07000000, 19.01000000, 0.00000000, 0.00000000, 114.08000000, 0, NULL, NULL, 0, 48.40000000, NULL, 0, 0, 48, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.07000000, 95.07000000, 19.01000000, 114.08000000),
(8651, 1396, NULL, 951714, NULL, 'nattes de prefiltration boge', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.44000000, NULL, 22.44000000, 4.49000000, 0.00000000, 0.00000000, 26.93000000, 0, NULL, NULL, 0, 17.58000000, NULL, 0, 0, 49, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.44000000, 22.44000000, 4.49000000, 26.93000000),
(8652, 1396, NULL, 1221779, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.76000000, NULL, 19.76000000, 3.95000000, 0.00000000, 0.00000000, 23.71000000, 0, NULL, NULL, 0, 10.06000000, NULL, 0, 0, 50, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.76000000, 19.76000000, 3.95000000, 23.71000000),
(8653, 1396, NULL, 1221744, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.41000000, NULL, 19.41000000, 3.88000000, 0.00000000, 0.00000000, 23.29000000, 0, NULL, NULL, 0, 9.88000000, NULL, 0, 0, 51, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.41000000, 19.41000000, 3.88000000, 23.29000000),
(8654, 1396, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 108.75000000, NULL, 108.75000000, 21.75000000, 0.00000000, 0.00000000, 130.50000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 52, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 108.75000000, 108.75000000, 21.75000000, 130.50000000),
(8655, 1396, NULL, 1222538, NULL, 'courroies_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.69000000, NULL, 56.07000000, 11.21000000, 0.00000000, 0.00000000, 67.28000000, 0, NULL, NULL, 0, 11.07000000, NULL, 0, 0, 53, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.69000000, 56.07000000, 11.21000000, 67.28000000),
(8656, 1396, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 54, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8657, 1396, NULL, NULL, '4 Filtres reseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 55, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8658, 1396, NULL, 1221794, NULL, 'carotuche filtre v50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 43.55000000, NULL, 43.55000000, 8.71000000, 0.00000000, 0.00000000, 52.26000000, 0, NULL, NULL, 0, 29.56000000, NULL, 0, 0, 56, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 43.55000000, 43.55000000, 8.71000000, 52.26000000),
(8659, 1396, NULL, 953085, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 124.19000000, NULL, 124.19000000, 24.84000000, 0.00000000, 0.00000000, 149.03000000, 0, NULL, NULL, 0, 61.38000000, NULL, 0, 0, 57, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 124.19000000, 124.19000000, 24.84000000, 149.03000000),
(8660, 1396, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 58, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8661, 1397, NULL, NULL, '1 L15', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8662, 1397, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(8663, 1397, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8664, 1397, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(8665, 1397, NULL, 1586780, NULL, 'KIT DE MAINTENANCE / équivalent à: COMPAIR-HOLMAN - CK 2100-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.90000000, NULL, 39.90000000, 7.98000000, 0.00000000, 0.00000000, 47.88000000, 0, NULL, NULL, 0, 17.58000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.90000000, 39.90000000, 7.98000000, 47.88000000),
(8666, 1397, NULL, 1221739, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.80000000, NULL, 96.80000000, 19.36000000, 0.00000000, 0.00000000, 116.16000000, 0, NULL, NULL, 0, 48.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.80000000, 96.80000000, 19.36000000, 116.16000000),
(8667, 1397, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8668, 1397, NULL, NULL, '2 Filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8669, 1397, NULL, 953896, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 71.25000000, NULL, 71.25000000, 14.25000000, 0.00000000, 0.00000000, 85.50000000, 0, NULL, NULL, 0, 34.59000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 71.25000000, 71.25000000, 14.25000000, 85.50000000),
(8670, 1397, NULL, 953882, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.19000000, NULL, 73.19000000, 14.64000000, 0.00000000, 0.00000000, 87.83000000, 0, NULL, NULL, 0, 28.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.19000000, 73.19000000, 14.64000000, 87.83000000),
(8671, 1397, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8672, 1398, NULL, NULL, '1 Filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8673, 1398, NULL, 952921, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 60.00000000, NULL, 60.00000000, 12.00000000, 0.00000000, 0.00000000, 72.00000000, 0, NULL, NULL, 0, 33.99000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 60.00000000, 60.00000000, 12.00000000, 72.00000000),
(8674, 1398, NULL, 952937, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 70.00000000, NULL, 70.00000000, 14.00000000, 0.00000000, 0.00000000, 84.00000000, 0, NULL, NULL, 0, 49.55000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 70.00000000, 70.00000000, 14.00000000, 84.00000000),
(8675, 1398, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8676, 1398, NULL, NULL, '2 Pièces détachées L18 :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8677, 1398, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.00000000, NULL, 9.00000000, 1.80000000, 0.00000000, 0.00000000, 10.80000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.00000000, 9.00000000, 1.80000000, 10.80000000),
(8678, 1398, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 80.00000000, NULL, 80.00000000, 16.00000000, 0.00000000, 0.00000000, 96.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 80.00000000, 80.00000000, 16.00000000, 96.00000000),
(8679, 1398, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(8680, 1398, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(8681, 1398, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8682, 1398, NULL, NULL, '3 Réservoir 500L galva', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8683, 1398, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 538.00000000, NULL, 538.00000000, 107.60000000, 0.00000000, 0.00000000, 645.60000000, 0, NULL, NULL, 0, 379.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 538.00000000, 538.00000000, 107.60000000, 645.60000000),
(8684, 1398, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(8685, 1398, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(8686, 1398, NULL, NULL, '4 Main d\'oeuvre pour l\'ensemble :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8687, 1398, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 600.00000000, NULL, 600.00000000, 120.00000000, 0.00000000, 0.00000000, 720.00000000, 0, NULL, NULL, 0, 534.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 600.00000000, 600.00000000, 120.00000000, 720.00000000),
(8688, 1398, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.00000000, NULL, 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.00000000, 110.00000000, 22.00000000, 132.00000000),
(8689, 1398, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8690, 1399, NULL, 1305900, NULL, 'forfait demontage materiel', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 553.00000000, NULL, 553.00000000, 110.60000000, 0.00000000, 0.00000000, 663.60000000, 0, NULL, NULL, 0, 395.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 553.00000000, 553.00000000, 110.60000000, 663.60000000),
(8691, 1399, NULL, 1305901, NULL, 'installation pont 2 colonnes sans embase 5T', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1050.00000000, NULL, 1050.00000000, 210.00000000, 0.00000000, 0.00000000, 1260.00000000, 0, NULL, NULL, 0, 750.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1050.00000000, 1050.00000000, 210.00000000, 1260.00000000),
(8692, 1399, NULL, 1305902, NULL, 'epreuve pont >4T', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 910.00000000, NULL, 910.00000000, 182.00000000, 0.00000000, 0.00000000, 1092.00000000, 0, NULL, NULL, 0, 650.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 910.00000000, 910.00000000, 182.00000000, 1092.00000000),
(8693, 1400, NULL, NULL, '1 Compresseur RLR50BX6 N° 6240330700 N° série WCO103351 de 2003', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8694, 1400, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8695, 1400, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.07000000, NULL, 99.07000000, 19.81000000, 0.00000000, 0.00000000, 118.88000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.07000000, 99.07000000, 19.81000000, 118.88000000),
(8696, 1400, NULL, 955106, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 171.00000000, NULL, 171.00000000, 34.20000000, 0.00000000, 0.00000000, 205.20000000, 0, NULL, NULL, 0, 99.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 171.00000000, 171.00000000, 34.20000000, 205.20000000),
(8697, 1400, NULL, 951973, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.01000000, NULL, 57.01000000, 11.40000000, 0.00000000, 0.00000000, 68.41000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.01000000, 57.01000000, 11.40000000, 68.41000000),
(8698, 1400, NULL, 954138, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.73000000, NULL, 34.73000000, 6.95000000, 0.00000000, 0.00000000, 41.68000000, 0, NULL, NULL, 0, 18.84000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.73000000, 34.73000000, 6.95000000, 41.68000000),
(8699, 1400, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 360.07000000, NULL, 360.07000000, 72.01000000, 0.00000000, 0.00000000, 432.08000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 360.07000000, 360.07000000, 72.01000000, 432.08000000),
(8700, 1400, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8701, 1400, NULL, NULL, '2 RLR40 BME8 N° 6240367700 N° série WCF151422 de 2006', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8702, 1400, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8703, 1400, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 128.16000000, NULL, 128.16000000, 25.63000000, 0.00000000, 0.00000000, 153.79000000, 0, NULL, NULL, 0, 69.53000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 128.16000000, 128.16000000, 25.63000000, 153.79000000),
(8704, 1400, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.60000000, NULL, 17.60000000, 3.52000000, 0.00000000, 0.00000000, 21.12000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.60000000, 17.60000000, 3.52000000, 21.12000000),
(8705, 1400, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.07000000, NULL, 22.07000000, 4.41000000, 0.00000000, 0.00000000, 26.48000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.07000000, 22.07000000, 4.41000000, 26.48000000),
(8706, 1400, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.07000000, NULL, 99.07000000, 19.81000000, 0.00000000, 0.00000000, 118.88000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.07000000, 99.07000000, 19.81000000, 118.88000000),
(8707, 1400, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 360.07000000, NULL, 360.07000000, 72.01000000, 0.00000000, 0.00000000, 432.08000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 360.07000000, 360.07000000, 72.01000000, 432.08000000),
(8708, 1400, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8709, 1400, NULL, NULL, '3 Filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8710, 1400, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 0.5, 0, 0, NULL, 57.12000000, NULL, 28.56000000, 5.71000000, 0.00000000, 0.00000000, 34.27000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.12000000, 28.56000000, 5.71000000, 34.27000000),
(8711, 1400, NULL, 1307260, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.81000000, NULL, 85.81000000, 17.16000000, 0.00000000, 0.00000000, 102.97000000, 0, NULL, NULL, 0, 52.74000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.81000000, 85.81000000, 17.16000000, 102.97000000),
(8712, 1400, NULL, 953303, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.19000000, NULL, 102.19000000, 20.44000000, 0.00000000, 0.00000000, 122.63000000, 0, NULL, NULL, 0, 55.44000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.19000000, 102.19000000, 20.44000000, 122.63000000),
(8713, 1400, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8714, 1400, NULL, NULL, '4 Séparateur de condensats OWAMAT5R', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8715, 1400, NULL, 955150, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 166.96000000, NULL, 166.96000000, 33.39000000, 0.00000000, 0.00000000, 200.35000000, 0, NULL, NULL, 0, 90.58000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 166.96000000, 166.96000000, 33.39000000, 200.35000000),
(8716, 1400, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.12000000, NULL, 57.12000000, 11.42000000, 0.00000000, 0.00000000, 68.54000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.12000000, 57.12000000, 11.42000000, 68.54000000),
(8717, 1400, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8718, 1400, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8719, 1401, NULL, 969925, NULL, 'Union 3 pièces insert filetée métal Ø20mm G1/2\'\'', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 28.53000000, NULL, 85.59000000, 17.12000000, 0.00000000, 0.00000000, 102.71000000, 0, NULL, NULL, 0, 18.31800000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.53000000, 85.59000000, 17.12000000, 102.71000000),
(8720, 1401, NULL, 969796, NULL, 'Manchon égal Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.33000000, NULL, 4.66000000, 0.93000000, 0.00000000, 0.00000000, 5.59000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 4.66000000, 0.93000000, 5.59000000),
(8721, 1401, NULL, 969788, NULL, 'Tube rigide Ø20mm ? barre de 4m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.35000000, NULL, 4.35000000, 0.87000000, 0.00000000, 0.00000000, 5.22000000, 0, NULL, NULL, 0, 2.61000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.35000000, 4.35000000, 0.87000000, 5.22000000),
(8722, 1401, NULL, 969823, NULL, 'Té égal Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.29000000, NULL, 3.29000000, 0.66000000, 0.00000000, 0.00000000, 3.95000000, 0, NULL, NULL, 0, 1.97400000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.29000000, 3.29000000, 0.66000000, 3.95000000),
(8723, 1401, NULL, 969991, NULL, 'Colle polymère de soudure 0.250 litre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.19000000, NULL, 15.19000000, 3.04000000, 0.00000000, 0.00000000, 18.23000000, 0, NULL, NULL, 0, 12.11400000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.19000000, 15.19000000, 3.04000000, 18.23000000),
(8724, 1401, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.39000000, NULL, 5.39000000, 1.08000000, 0.00000000, 0.00000000, 6.47000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.39000000, 5.39000000, 1.08000000, 6.47000000),
(8725, 1401, NULL, 966729, NULL, 'Réduction conique M/F G1/2x1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.95000000, NULL, 0.95000000, 0.19000000, 0.00000000, 0.00000000, 1.14000000, 0, NULL, NULL, 0, 0.47500000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 0.95000000, 0.19000000, 1.14000000),
(8726, 1401, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.00000000, NULL, 286.00000000, 57.20000000, 0.00000000, 0.00000000, 343.20000000, 0, NULL, NULL, 0, 220.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.00000000, 286.00000000, 57.20000000, 343.20000000),
(8727, 1402, NULL, NULL, '2 Ingersollrand', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8728, 1402, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(8729, 1402, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8730, 1402, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(8731, 1402, NULL, 954037, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.26000000, NULL, 35.26000000, 7.05000000, 0.00000000, 0.00000000, 42.31000000, 0, NULL, NULL, 0, 17.12000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.26000000, 35.26000000, 7.05000000, 42.31000000),
(8732, 1402, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 65.31000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(8733, 1402, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8734, 1402, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 57.13000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(8735, 1402, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 88.66000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(8736, 1402, NULL, 952684, NULL, 'cartouche grade rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(8737, 1402, NULL, 952658, NULL, 'cartouche grade ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(8738, 1403, NULL, NULL, 'Remplacement cartouches filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8739, 1403, NULL, 1221464, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(8740, 1403, NULL, 953426, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 207.79000000, NULL, 207.79000000, 41.56000000, 0.00000000, 0.00000000, 249.35000000, 0, NULL, NULL, 0, 100.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 207.79000000, 207.79000000, 41.56000000, 249.35000000),
(8741, 1403, NULL, 953532, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 207.79000000, NULL, 207.79000000, 41.56000000, 0.00000000, 0.00000000, 249.35000000, 0, NULL, NULL, 0, 100.87000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 207.79000000, 207.79000000, 41.56000000, 249.35000000),
(8742, 1403, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8743, 1403, NULL, NULL, '2 Maintenance :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8744, 1403, NULL, 1190506, NULL, 'Forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 455.83000000, NULL, 455.83000000, 91.17000000, 0.00000000, 0.00000000, 547.00000000, 0, NULL, NULL, 0, 342.72000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 455.83000000, 455.83000000, 91.17000000, 547.00000000),
(8745, 1403, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8746, 1403, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 255.59000000, NULL, 255.59000000, 51.12000000, 0.00000000, 0.00000000, 306.71000000, 0, NULL, NULL, 0, 202.99000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 255.59000000, 255.59000000, 51.12000000, 306.71000000),
(8747, 1403, NULL, 1222181, NULL, 'Huile anderol ANDEROL FGXL 46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 283.91000000, NULL, 283.91000000, 56.78000000, 0.00000000, 0.00000000, 340.69000000, 0, NULL, NULL, 0, 225.40000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 283.91000000, 283.91000000, 56.78000000, 340.69000000),
(8748, 1403, NULL, 1179663, NULL, 'SEPARATOR KIT D  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 1387.00000000, NULL, 1109.60000000, 221.92000000, 0.00000000, 0.00000000, 1331.52000000, 1, NULL, NULL, 0, 503.79000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1387.00000000, 1109.60000000, 221.92000000, 1331.52000000),
(8749, 1403, NULL, NULL, 'Sous-total Maintenance :', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8750, 1404, NULL, NULL, '1 Maintenance L15 :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8751, 1404, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(8752, 1404, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8753, 1404, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 16.25000000, NULL, 48.75000000, 9.75000000, 0.00000000, 0.00000000, 58.50000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 48.75000000, 9.75000000, 58.50000000),
(8754, 1404, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(8755, 1404, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8756, 1404, NULL, NULL, '2 filtres reseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8757, 1404, NULL, 953899, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.17000000, NULL, 113.17000000, 22.63000000, 0.00000000, 0.00000000, 135.80000000, 0, NULL, NULL, 0, 54.94000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.17000000, 113.17000000, 22.63000000, 135.80000000),
(8758, 1404, NULL, 954013, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.93000000, NULL, 99.93000000, 19.99000000, 0.00000000, 0.00000000, 119.92000000, 0, NULL, NULL, 0, 48.51000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.93000000, 99.93000000, 19.99000000, 119.92000000),
(8759, 1404, NULL, 954015, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.84000000, NULL, 112.84000000, 22.57000000, 0.00000000, 0.00000000, 135.41000000, 0, NULL, NULL, 0, 54.78000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.84000000, 112.84000000, 22.57000000, 135.41000000),
(8760, 1404, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8761, 1404, NULL, NULL, '3 Separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8762, 1404, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(8763, 1404, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8764, 1404, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8765, 1404, NULL, NULL, '5 maintenance hv04 :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8766, 1404, NULL, 1180048, NULL, 'KIT OIL CHANGE  VERTICAL CONCEPT MK2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 178.40000000, NULL, 178.40000000, 35.68000000, 0.00000000, 0.00000000, 214.08000000, 0, NULL, NULL, 0, 101.64000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 178.40000000, 178.40000000, 35.68000000, 214.08000000),
(8767, 1404, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(8768, 1404, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8769, 1404, NULL, NULL, '6 Maintenance des surpresseurs PEDRO GIL :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8770, 1404, NULL, 1223574, NULL, 'cartouche de filtre', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 115.98000000, NULL, 231.96000000, 46.39000000, 0.00000000, 0.00000000, 278.35000000, 0, NULL, NULL, 0, 65.91000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 115.98000000, 231.96000000, 46.39000000, 278.35000000),
(8771, 1404, NULL, 1223576, NULL, 'filtre acoustique', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 469.95000000, NULL, 939.90000000, 187.98000000, 0.00000000, 0.00000000, 1127.88000000, 0, NULL, NULL, 0, 266.98000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 469.95000000, 939.90000000, 187.98000000, 1127.88000000),
(8772, 1404, NULL, 1223573, NULL, 'joint torique pour viseur d\'huile et bouchon', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 17.10000000, NULL, 273.60000000, 54.72000000, 0.00000000, 0.00000000, 328.32000000, 0, NULL, NULL, 0, 9.15000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.10000000, 273.60000000, 54.72000000, 328.32000000),
(8773, 1404, NULL, 1222188, NULL, 'Bidon 5L FLUIDm220\"\" - prix du bidon\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 55.92000000, NULL, 55.92000000, 11.18000000, 0.00000000, 0.00000000, 67.10000000, 0, NULL, NULL, 0, 27.15000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 55.92000000, 55.92000000, 11.18000000, 67.10000000),
(8774, 1404, NULL, 1222578, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 18.66000000, NULL, 74.64000000, 14.93000000, 0.00000000, 0.00000000, 89.57000000, 0, NULL, NULL, 0, 9.06000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.66000000, 74.64000000, 14.93000000, 89.57000000),
(8775, 1404, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(8776, 1404, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8777, 1405, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(8778, 1405, NULL, 1176039, NULL, 'HOSE LINE DN 16', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 185.00000000, NULL, 370.00000000, 74.00000000, 0.00000000, 0.00000000, 444.00000000, 0, NULL, NULL, 0, 105.95000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 185.00000000, 370.00000000, 74.00000000, 444.00000000),
(8780, 1406, NULL, 953512, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.50000000, NULL, 40.50000000, 8.10000000, 0.00000000, 0.00000000, 48.60000000, 0, NULL, NULL, 0, 29.75000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.50000000, 40.50000000, 8.10000000, 48.60000000),
(8781, 1406, NULL, 953421, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.50000000, NULL, 40.50000000, 8.10000000, 0.00000000, 0.00000000, 48.60000000, 0, NULL, NULL, 0, 29.75000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.50000000, 40.50000000, 8.10000000, 48.60000000),
(8782, 1407, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 253.38000000, NULL, 253.38000000, 50.68000000, 0.00000000, 0.00000000, 304.06000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 253.38000000, 253.38000000, 50.68000000, 304.06000000),
(8783, 1407, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8784, 1407, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.87000000, NULL, 91.87000000, 18.37000000, 0.00000000, 0.00000000, 110.24000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.87000000, 91.87000000, 18.37000000, 110.24000000),
(8785, 1407, NULL, 1231609, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.47000000, NULL, 19.47000000, 3.89000000, 0.00000000, 0.00000000, 23.36000000, 0, NULL, NULL, 0, 11.73000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.47000000, 19.47000000, 3.89000000, 23.36000000),
(8786, 1407, NULL, 1221772, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.67000000, NULL, 18.67000000, 3.73000000, 0.00000000, 0.00000000, 22.40000000, 0, NULL, NULL, 0, 11.25000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.67000000, 18.67000000, 3.73000000, 22.40000000),
(8787, 1407, NULL, 1221737, NULL, 'separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.54000000, NULL, 65.54000000, 13.11000000, 0.00000000, 0.00000000, 78.65000000, 0, NULL, NULL, 0, 39.49000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.54000000, 65.54000000, 13.11000000, 78.65000000),
(8788, 1408, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 253.38000000, NULL, 253.38000000, 50.68000000, 0.00000000, 0.00000000, 304.06000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 253.38000000, 253.38000000, 50.68000000, 304.06000000),
(8789, 1408, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(8790, 1408, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.87000000, NULL, 91.87000000, 18.37000000, 0.00000000, 0.00000000, 110.24000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.87000000, 91.87000000, 18.37000000, 110.24000000),
(8791, 1408, NULL, 955130, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 84.57000000, NULL, 84.57000000, 16.91000000, 0.00000000, 0.00000000, 101.48000000, 0, NULL, NULL, 0, 45.72000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 84.57000000, 84.57000000, 16.91000000, 101.48000000),
(8792, 1408, NULL, 951787, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.61000000, NULL, 10.61000000, 2.12000000, 0.00000000, 0.00000000, 12.73000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.61000000, 10.61000000, 2.12000000, 12.73000000),
(8793, 1408, NULL, 954039, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.39000000, NULL, 10.39000000, 2.08000000, 0.00000000, 0.00000000, 12.47000000, 0, NULL, NULL, 0, 5.62000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.39000000, 10.39000000, 2.08000000, 12.47000000),
(8794, 1408, NULL, 1222130, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.56000000, NULL, 52.56000000, 10.51000000, 0.00000000, 0.00000000, 63.07000000, 0, NULL, NULL, 0, 28.14000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.56000000, 52.56000000, 10.51000000, 63.07000000),
(8795, 1408, NULL, 1307255, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.56000000, NULL, 52.56000000, 10.51000000, 0.00000000, 0.00000000, 63.07000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.56000000, 52.56000000, 10.51000000, 63.07000000),
(8796, 1409, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(8797, 1409, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8798, 1409, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 171.25000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(8799, 1409, NULL, 1230993, NULL, 'SEPARATOR KIT DS  L30 RS-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 642.00000000, NULL, 642.00000000, 128.40000000, 0.00000000, 0.00000000, 770.40000000, 0, NULL, NULL, 0, 385.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 642.00000000, 642.00000000, 128.40000000, 770.40000000),
(8800, 1409, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(8801, 1409, NULL, 953180, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.55000000, NULL, 155.55000000, 31.11000000, 0.00000000, 0.00000000, 186.66000000, 0, NULL, NULL, 0, 75.51000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.55000000, 155.55000000, 31.11000000, 186.66000000),
(8802, 1409, NULL, 952676, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.45000000, NULL, 156.45000000, 31.29000000, 0.00000000, 0.00000000, 187.74000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.45000000, 156.45000000, 31.29000000, 187.74000000),
(8805, 1411, NULL, NULL, NULL, 'ktri02912', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.32000000, NULL, 53.32000000, 10.66000000, 0.00000000, 0.00000000, 63.98000000, 0, NULL, NULL, 0, 39.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.32000000, 53.32000000, 10.66000000, 63.98000000),
(8806, 1411, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 1, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(8807, 1412, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(8808, 1412, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8809, 1412, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(8810, 1412, NULL, 1222578, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.66000000, NULL, 37.32000000, 7.46000000, 0.00000000, 0.00000000, 44.78000000, 0, NULL, NULL, 0, 9.06000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.66000000, 37.32000000, 7.46000000, 44.78000000),
(8811, 1412, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(8812, 1412, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(8813, 1412, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(8814, 1413, NULL, 1245849, NULL, 'Colle cyanoacrylate 32 LOXEAL', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 10.90000000, NULL, 109.00000000, 21.80000000, 0.00000000, 0.00000000, 130.80000000, 0, NULL, NULL, 0, 8.38000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.90000000, 109.00000000, 21.80000000, 130.80000000),
(8815, 1414, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(8816, 1414, NULL, 955044, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.39000000, NULL, 86.39000000, 17.28000000, 0.00000000, 0.00000000, 103.67000000, 0, NULL, NULL, 0, 41.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.39000000, 86.39000000, 17.28000000, 103.67000000),
(8817, 1414, NULL, 954039, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.57000000, NULL, 11.57000000, 2.31000000, 0.00000000, 0.00000000, 13.88000000, 0, NULL, NULL, 0, 5.62000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.57000000, 11.57000000, 2.31000000, 13.88000000),
(8818, 1414, NULL, 952140, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(8819, 1414, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8820, 1414, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(8822, 1415, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(8823, 1415, NULL, 1190535, NULL, 'main d&#39;oeuvre &amp; tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(8824, 1416, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(8825, 1417, NULL, 1080068, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 4.81000000, NULL, 57.72000000, 11.54000000, 0.00000000, 0.00000000, 69.26000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.81000000, 57.72000000, 11.54000000, 69.26000000),
(8826, 1417, NULL, 1080054, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.34000000, NULL, 24.68000000, 4.94000000, 0.00000000, 0.00000000, 29.62000000, 0, NULL, NULL, 0, 8.69000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.34000000, 24.68000000, 4.94000000, 29.62000000),
(8827, 1417, NULL, 966504, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 7.39000000, NULL, 22.17000000, 4.43000000, 0.00000000, 0.00000000, 26.60000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 22.17000000, 4.43000000, 26.60000000),
(8828, 1417, NULL, 1079926, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 6.42000000, NULL, 19.26000000, 3.85000000, 0.00000000, 0.00000000, 23.11000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 19.26000000, 3.85000000, 23.11000000),
(8829, 1417, NULL, 1079851, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 8.18000000, NULL, 24.54000000, 4.91000000, 0.00000000, 0.00000000, 29.45000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.18000000, 24.54000000, 4.91000000, 29.45000000),
(8830, 1417, NULL, 1079816, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.62000000, NULL, 26.48000000, 5.30000000, 0.00000000, 0.00000000, 31.78000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.62000000, 26.48000000, 5.30000000, 31.78000000),
(8831, 1417, NULL, 1079786, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.15000000, NULL, 10.30000000, 2.06000000, 0.00000000, 0.00000000, 12.36000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.15000000, 10.30000000, 2.06000000, 12.36000000),
(8832, 1417, NULL, 1231628, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 2.69000000, NULL, 16.14000000, 3.23000000, 0.00000000, 0.00000000, 19.37000000, 0, NULL, NULL, 0, 1.69000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.69000000, 16.14000000, 3.23000000, 19.37000000),
(8833, 1417, NULL, 1080112, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.12000000, NULL, 11.20000000, 2.24000000, 0.00000000, 0.00000000, 13.44000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 11.20000000, 2.24000000, 13.44000000),
(8834, 1417, NULL, 1079992, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.58000000, NULL, 3.58000000, 0.72000000, 0.00000000, 0.00000000, 4.30000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.58000000, 3.58000000, 0.72000000, 4.30000000),
(8835, 1417, NULL, NULL, NULL, 'boite canalis avec fusible tri&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 69.16000000, NULL, 138.32000000, 27.66000000, 0.00000000, 0.00000000, 165.98000000, 0, NULL, NULL, 0, 52.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 69.16000000, 138.32000000, 27.66000000, 165.98000000),
(8836, 1417, NULL, NULL, NULL, 'cables 5g2.5m&sup2;', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 2.33000000, NULL, 69.90000000, 13.98000000, 0.00000000, 0.00000000, 83.88000000, 0, NULL, NULL, 0, 1.33000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 69.90000000, 13.98000000, 83.88000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(8837, 1417, NULL, NULL, NULL, 'cables 3g2.5m&sup2;', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.23000000, NULL, 7.38000000, 1.48000000, 0.00000000, 0.00000000, 8.86000000, 0, NULL, NULL, 0, 0.83000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.23000000, 7.38000000, 1.48000000, 8.86000000),
(8838, 1417, NULL, NULL, NULL, 'prise plexo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.00000000, NULL, 19.00000000, 3.80000000, 0.00000000, 0.00000000, 22.80000000, 0, NULL, NULL, 0, 12.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.00000000, 19.00000000, 3.80000000, 22.80000000),
(8839, 1417, NULL, NULL, NULL, 'tube iro diam 20', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.80000000, NULL, 19.00000000, 3.80000000, 0.00000000, 0.00000000, 22.80000000, 0, NULL, NULL, 0, 2.60000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.80000000, 19.00000000, 3.80000000, 22.80000000),
(8840, 1417, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 63.84000000, NULL, 510.72000000, 102.14000000, 0.00000000, 0.00000000, 612.86000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 510.72000000, 102.14000000, 612.86000000),
(8841, 1417, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 212, 0, 0, NULL, 0.97000000, NULL, 205.64000000, 41.13000000, 0.00000000, 0.00000000, 246.77000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 205.64000000, 41.13000000, 246.77000000),
(8842, 1418, NULL, NULL, '1 compresseur à piston compair :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8843, 1418, NULL, 1188156, NULL, 'compresseur apiston 43m3/h 7,5ch 10 bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 1853.28000000, NULL, 1667.95000000, 333.59000000, 0.00000000, 0.00000000, 2001.54000000, 0, NULL, NULL, 0, 1425.60000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1853.28000000, 1667.95000000, 333.59000000, 2001.54000000),
(8844, 1418, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 28.51000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(8845, 1418, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8846, 1418, NULL, NULL, '2 Option : purge temporisée', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8847, 1418, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 68.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 0.00000000, 0.00000000, 0.00000000),
(8848, 1418, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8849, 1419, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 90, 0, 0, NULL, 0.97000000, NULL, 87.30000000, 17.46000000, 0.00000000, 0.00000000, 104.76000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 87.30000000, 17.46000000, 104.76000000),
(8850, 1419, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(8851, 1419, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.97000000, NULL, 24.97000000, 4.99000000, 0.00000000, 0.00000000, 29.96000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.97000000, 24.97000000, 4.99000000, 29.96000000),
(8852, 1419, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.39000000, NULL, 7.39000000, 1.48000000, 0.00000000, 0.00000000, 8.87000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 7.39000000, 1.48000000, 8.87000000),
(8853, 1419, NULL, 1190647, NULL, 'raccord isiflo diam 25', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 15.45000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 7.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.45000000, 30.90000000, 6.18000000, 37.08000000),
(8854, 1419, NULL, 970366, NULL, 'Coude 90° taraudé G3/4 Ø25', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.90000000, NULL, 9.90000000, 1.98000000, 0.00000000, 0.00000000, 11.88000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.90000000, 9.90000000, 1.98000000, 11.88000000),
(8855, 1419, NULL, 966946, NULL, 'Coude M/F G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.80000000, NULL, 2.80000000, 0.56000000, 0.00000000, 0.00000000, 3.36000000, 0, NULL, NULL, 0, 1.40000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.80000000, 2.80000000, 0.56000000, 3.36000000),
(8856, 1419, NULL, 966667, NULL, 'Mamelon cylindrique G3/4x3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.45000000, NULL, 2.45000000, 0.49000000, 0.00000000, 0.00000000, 2.94000000, 0, NULL, NULL, 0, 1.22500000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.45000000, 2.45000000, 0.49000000, 2.94000000),
(8857, 1420, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(8858, 1420, NULL, 955221, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 281.89000000, NULL, 845.67000000, 169.13000000, 0.00000000, 0.00000000, 1014.80000000, 0, NULL, NULL, 0, 136.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 281.89000000, 845.67000000, 169.13000000, 1014.80000000),
(8864, 1422, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(8865, 1422, NULL, 1190535, NULL, 'main d&#39;oeuvre &amp; tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(8866, 1422, NULL, NULL, NULL, 'cable 3g2.5&sup2;', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 1.10000000, NULL, 17.60000000, 3.52000000, 0.00000000, 0.00000000, 21.12000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.10000000, 17.60000000, 3.52000000, 21.12000000),
(8867, 1422, NULL, NULL, NULL, 'tube iro diam 20', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 1.18000000, NULL, 14.16000000, 2.83000000, 0.00000000, 0.00000000, 16.99000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.18000000, 14.16000000, 2.83000000, 16.99000000),
(8868, 1422, NULL, NULL, NULL, 'duo plexo saillie', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 24.00000000, NULL, 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 17.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.00000000, 48.00000000, 9.60000000, 57.60000000),
(8869, 1422, NULL, NULL, NULL, 'cable 4g2.5&sup2; rnf', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 5.00000000, NULL, 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 50.00000000, 10.00000000, 60.00000000),
(8870, 1422, NULL, NULL, NULL, 'petites fournitures&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.00000000, NULL, 10.00000000, 2.00000000, 0.00000000, 0.00000000, 12.00000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.00000000, 10.00000000, 2.00000000, 12.00000000),
(8871, 1415, NULL, 1190440, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.53000000, NULL, 155.53000000, 31.11000000, 0.00000000, 0.00000000, 186.64000000, 0, NULL, NULL, 0, 94.92000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.53000000, 155.53000000, 31.11000000, 186.64000000),
(8872, 1415, NULL, 1190480, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 107.49000000, NULL, 107.49000000, 21.50000000, 0.00000000, 0.00000000, 128.99000000, 0, NULL, NULL, 0, 81.31000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 107.49000000, 107.49000000, 21.50000000, 128.99000000),
(8873, 1415, NULL, NULL, NULL, 'schladt2&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.00000000, NULL, 85.00000000, 17.00000000, 0.00000000, 0.00000000, 102.00000000, 0, NULL, NULL, 0, 65.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.00000000, 85.00000000, 17.00000000, 102.00000000),
(8874, 1424, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 22, 0, 0, NULL, 0.97000000, NULL, 21.34000000, 4.27000000, 0.00000000, 0.00000000, 25.61000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 21.34000000, 4.27000000, 25.61000000),
(8875, 1424, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(8876, 1425, NULL, 952661, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(8877, 1425, NULL, 952662, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(8878, 1425, NULL, 1221462, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(8879, 1425, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(8880, 1426, NULL, 1222181, NULL, 'Huile anderol ANDEROL FGXL 46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 297.56000000, NULL, 297.56000000, 59.51000000, 0.00000000, 0.00000000, 357.07000000, 0, NULL, NULL, 0, 225.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 297.56000000, 297.56000000, 59.51000000, 357.07000000),
(8881, 1426, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8882, 1426, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 347.08000000, NULL, 347.08000000, 69.42000000, 0.00000000, 0.00000000, 416.50000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 347.08000000, 347.08000000, 69.42000000, 416.50000000),
(8883, 1426, NULL, 1221736, NULL, 'FILTRE SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.63000000, NULL, 52.63000000, 10.53000000, 0.00000000, 0.00000000, 63.16000000, 0, NULL, NULL, 0, 29.03000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.63000000, 52.63000000, 10.53000000, 63.16000000),
(8884, 1426, NULL, 1231609, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.65000000, NULL, 20.65000000, 4.13000000, 0.00000000, 0.00000000, 24.78000000, 0, NULL, NULL, 0, 11.73000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.65000000, 20.65000000, 4.13000000, 24.78000000),
(8885, 1426, NULL, 1231610, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.69000000, NULL, 22.69000000, 4.54000000, 0.00000000, 0.00000000, 27.23000000, 0, NULL, NULL, 0, 12.89000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.69000000, 22.69000000, 4.54000000, 27.23000000),
(8889, 1428, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, -63.84000000, NULL, -127.68000000, -25.54000000, 0.00000000, 0.00000000, -153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -63.84000000, -127.68000000, -25.54000000, -153.22000000),
(8890, 1429, NULL, NULL, NULL, '3499231004333 -&nbsp;DIESEL 6000 E XL C5', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2278.33000000, NULL, 2278.33000000, 455.67000000, 0.00000000, 0.00000000, 2734.00000000, 0, NULL, NULL, 0, 1765.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2278.33000000, 2278.33000000, 455.67000000, 2734.00000000),
(8891, 1429, NULL, NULL, NULL, '32005000800', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.00000000, NULL, 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 1, NULL, NULL, 0, 28.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.00000000, 50.00000000, 10.00000000, 60.00000000),
(8892, 1429, NULL, NULL, NULL, '70300000801 -&nbsp;CONTRIB.ENVIRONNEMENTALE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.00000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 1, NULL, NULL, 0, 2.08000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 5.00000000, 1.00000000, 6.00000000),
(8893, 1430, NULL, 1586810, NULL, 'clapet de retenue M-olive 3/4 3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.50000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 19.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.50000000, 32.50000000, 6.50000000, 39.00000000),
(8894, 1431, NULL, NULL, NULL, '3499231004333 -&nbsp;DIESEL 6000 E XL C5', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2278.33000000, NULL, 2278.33000000, 455.67000000, 0.00000000, 0.00000000, 2734.00000000, 0, NULL, NULL, 0, 1765.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2278.33000000, 2278.33000000, 455.67000000, 2734.00000000),
(8895, 1431, NULL, NULL, NULL, '32005000800', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.00000000, NULL, 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 1, NULL, NULL, 0, 28.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.00000000, 50.00000000, 10.00000000, 60.00000000),
(8896, 1431, NULL, NULL, NULL, '70300000801 -&nbsp;CONTRIB.ENVIRONNEMENTALE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.00000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 1, NULL, NULL, 0, 2.08000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 5.00000000, 1.00000000, 6.00000000),
(8897, 1432, NULL, 1223700, NULL, 'inox serti', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 532.00000000, NULL, 532.00000000, 106.40000000, 0.00000000, 0.00000000, 638.40000000, 0, NULL, NULL, 0, 400.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 532.00000000, 532.00000000, 106.40000000, 638.40000000),
(8898, 1432, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1167.40000000, NULL, 1167.40000000, 233.48000000, 0.00000000, 0.00000000, 1400.88000000, 0, NULL, NULL, 0, 898.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1167.40000000, 1167.40000000, 233.48000000, 1400.88000000),
(8899, 1432, NULL, 1307806, NULL, 'secheur par réfrigeration avec pré filtration', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5075.92000000, NULL, 5075.92000000, 1015.18000000, 0.00000000, 0.00000000, 6091.10000000, 0, NULL, NULL, 0, 3904.56000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5075.92000000, 5075.92000000, 1015.18000000, 6091.10000000),
(8900, 1433, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 84, 0, 0, NULL, 11.21000000, NULL, 941.64000000, 188.33000000, 0.00000000, 0.00000000, 1129.97000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.21000000, 941.64000000, 188.33000000, 1129.97000000),
(8901, 1433, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 5.91000000, NULL, 59.10000000, 11.82000000, 0.00000000, 0.00000000, 70.92000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.91000000, 59.10000000, 11.82000000, 70.92000000),
(8902, 1433, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 12.68000000, NULL, 228.24000000, 45.65000000, 0.00000000, 0.00000000, 273.89000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.68000000, 228.24000000, 45.65000000, 273.89000000),
(8903, 1433, NULL, 1079818, NULL, 'Coude à 45° diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 11.84000000, NULL, 118.40000000, 23.68000000, 0.00000000, 0.00000000, 142.08000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.84000000, 118.40000000, 23.68000000, 142.08000000),
(8904, 1433, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 15.35000000, NULL, 76.75000000, 15.35000000, 0.00000000, 0.00000000, 92.10000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.35000000, 76.75000000, 15.35000000, 92.10000000),
(8905, 1433, NULL, 1079867, NULL, 'Té réduit diam. ext. 35 . 22 . 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 12.99000000, NULL, 51.96000000, 10.39000000, 0.00000000, 0.00000000, 62.35000000, 0, NULL, NULL, 0, 7.67000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.99000000, 51.96000000, 10.39000000, 62.35000000),
(8906, 1433, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 32.48000000, NULL, 129.92000000, 25.98000000, 0.00000000, 0.00000000, 155.90000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.48000000, 129.92000000, 25.98000000, 155.90000000),
(8907, 1433, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.91000000, NULL, 29.82000000, 5.96000000, 0.00000000, 0.00000000, 35.78000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.91000000, 29.82000000, 5.96000000, 35.78000000),
(8908, 1433, NULL, 1080014, NULL, 'Manchon d\'extrémité diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 8.03000000, NULL, 40.15000000, 8.03000000, 0.00000000, 0.00000000, 48.18000000, 0, NULL, NULL, 0, 4.74000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.03000000, 40.15000000, 8.03000000, 48.18000000),
(8909, 1433, NULL, 1080054, NULL, 'Crosse d\'évêque diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 14.71000000, NULL, 44.13000000, 8.83000000, 0.00000000, 0.00000000, 52.96000000, 0, NULL, NULL, 0, 8.69000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.71000000, 44.13000000, 8.83000000, 52.96000000),
(8910, 1433, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 5.94000000, NULL, 142.56000000, 28.51000000, 0.00000000, 0.00000000, 171.07000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.94000000, 142.56000000, 28.51000000, 171.07000000),
(8911, 1433, NULL, 1079992, NULL, 'Manchon diam&egrave;tre ext&eacute;rieur 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.07000000, NULL, 8.14000000, 1.63000000, 0.00000000, 0.00000000, 9.77000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.07000000, 8.14000000, 1.63000000, 9.77000000),
(8912, 1433, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 6.37000000, NULL, 76.44000000, 15.29000000, 0.00000000, 0.00000000, 91.73000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.37000000, 76.44000000, 15.29000000, 91.73000000),
(8913, 1433, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 7.89000000, NULL, 63.12000000, 12.62000000, 0.00000000, 0.00000000, 75.74000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.89000000, 63.12000000, 12.62000000, 75.74000000),
(8914, 1433, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.75000000, NULL, 9.75000000, 1.95000000, 0.00000000, 0.00000000, 11.70000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.75000000, 9.75000000, 1.95000000, 11.70000000),
(8915, 1433, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 17.38000000, NULL, 139.04000000, 27.81000000, 0.00000000, 0.00000000, 166.85000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.38000000, 139.04000000, 27.81000000, 166.85000000),
(8916, 1433, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.65000000, NULL, 15.30000000, 3.06000000, 0.00000000, 0.00000000, 18.36000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.65000000, 15.30000000, 3.06000000, 18.36000000),
(8917, 1433, NULL, 1080012, NULL, 'Manchon d\'extrémité diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.40000000, NULL, 10.80000000, 2.16000000, 0.00000000, 0.00000000, 12.96000000, 0, NULL, NULL, 0, 3.19000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.40000000, 10.80000000, 2.16000000, 12.96000000),
(8918, 1433, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 1.34000000, NULL, 32.16000000, 6.43000000, 0.00000000, 0.00000000, 38.59000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.34000000, 32.16000000, 6.43000000, 38.59000000),
(8919, 1433, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 1.43000000, NULL, 85.80000000, 17.16000000, 0.00000000, 0.00000000, 102.96000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.43000000, 85.80000000, 17.16000000, 102.96000000),
(8920, 1433, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 8.81000000, NULL, 52.86000000, 10.57000000, 0.00000000, 0.00000000, 63.43000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.81000000, 52.86000000, 10.57000000, 63.43000000),
(8921, 1433, NULL, 966507, NULL, 'Vanne F/F G1\"1/4 PN30 DN32', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 31.36000000, NULL, 188.16000000, 37.63000000, 0.00000000, 0.00000000, 225.79000000, 0, NULL, NULL, 0, 13.16000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 31.36000000, 188.16000000, 37.63000000, 225.79000000),
(8922, 1433, NULL, 966956, NULL, 'Croix égale FFFF F1/2', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 9.72000000, NULL, 58.32000000, 11.66000000, 0.00000000, 0.00000000, 69.98000000, 0, NULL, NULL, 0, 4.07000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.72000000, 58.32000000, 11.66000000, 69.98000000),
(8923, 1433, NULL, 966892, NULL, 'Bouchon M. cylindrique G1/2', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.01000000, NULL, 6.06000000, 1.21000000, 0.00000000, 0.00000000, 7.27000000, 0, NULL, NULL, 0, 0.42000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.01000000, 6.06000000, 1.21000000, 7.27000000),
(8924, 1433, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.62000000, NULL, 1.62000000, 0.32000000, 0.00000000, 0.00000000, 1.94000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.62000000, 1.62000000, 0.32000000, 1.94000000),
(8925, 1433, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 29.77000000, NULL, 297.70000000, 59.54000000, 0.00000000, 0.00000000, 357.24000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.77000000, 297.70000000, 59.54000000, 357.24000000),
(8926, 1433, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3755.06000000, NULL, 3755.06000000, 751.01000000, 0.00000000, 0.00000000, 4506.07000000, 0, NULL, NULL, 0, 3037.00000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3755.06000000, 3755.06000000, 751.01000000, 4506.07000000),
(8927, 1434, NULL, 1238428, NULL, 'plateau velcros', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 25.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 19.64000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.00000000, 250.00000000, 50.00000000, 300.00000000),
(8928, 1434, NULL, 1223624, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(8929, 1435, NULL, 954273, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(8930, 1435, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(8931, 1435, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 85, 0, 0, NULL, 0.97000000, NULL, 82.45000000, 16.49000000, 0.00000000, 0.00000000, 98.94000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 82.45000000, 16.49000000, 98.94000000),
(8932, 1436, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 61.44000000, NULL, 368.64000000, 73.73000000, 0.00000000, 0.00000000, 442.37000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.44000000, 368.64000000, 73.73000000, 442.37000000),
(8933, 1436, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 95, 0, 0, NULL, 0.97000000, NULL, 92.15000000, 18.43000000, 0.00000000, 0.00000000, 110.58000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 92.15000000, 18.43000000, 110.58000000),
(8934, 1437, NULL, 1586788, NULL, 'FERRULE CLAMP ISO 316L 663412-33 FC33', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.32000000, NULL, 16.64000000, 3.33000000, 0.00000000, 0.00000000, 19.97000000, 0, NULL, NULL, 0, 4.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.32000000, 16.64000000, 3.33000000, 19.97000000),
(8935, 1437, NULL, 1586789, NULL, 'EMB MALE GAZ 316L 652113-25 GEM26', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.70000000, NULL, 2.70000000, 0.54000000, 0.00000000, 0.00000000, 3.24000000, 0, NULL, NULL, 0, 1.33000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.70000000, 2.70000000, 0.54000000, 3.24000000),
(8936, 1437, NULL, 1586791, NULL, 'FERUL ISO CANL 316L 663420-33', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 34.97000000, NULL, 104.91000000, 20.98000000, 0.00000000, 0.00000000, 125.89000000, 0, NULL, NULL, 0, 17.24000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.97000000, 104.91000000, 20.98000000, 125.89000000),
(8937, 1437, NULL, 1586792, NULL, 'COL CLAMP SIMP ART 304 263444-50', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 11.91000000, NULL, 47.64000000, 9.53000000, 0.00000000, 0.00000000, 57.17000000, 0, NULL, NULL, 0, 5.87000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.91000000, 47.64000000, 9.53000000, 57.17000000),
(8938, 1437, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 9.53000000, NULL, 57.18000000, 11.44000000, 0.00000000, 0.00000000, 68.62000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.53000000, 57.18000000, 11.44000000, 68.62000000),
(8939, 1437, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 1.22000000, NULL, 9.76000000, 1.95000000, 0.00000000, 0.00000000, 11.71000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.22000000, 9.76000000, 1.95000000, 11.71000000),
(8940, 1437, NULL, 1190750, NULL, 'Console legere 300mm', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 6.09000000, NULL, 36.54000000, 7.31000000, 0.00000000, 0.00000000, 43.85000000, 0, NULL, NULL, 0, 4.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.09000000, 36.54000000, 7.31000000, 43.85000000),
(8941, 1437, NULL, 966507, NULL, 'Vanne F/F G1\"1/4 PN30 DN32', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.69000000, NULL, 26.69000000, 5.34000000, 0.00000000, 0.00000000, 32.03000000, 0, NULL, NULL, 0, 13.16000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.69000000, 26.69000000, 5.34000000, 32.03000000),
(8942, 1437, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 649.18000000, NULL, 649.18000000, 129.84000000, 0.00000000, 0.00000000, 779.02000000, 0, NULL, NULL, 0, 480.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 649.18000000, 649.18000000, 129.84000000, 779.02000000),
(8943, 1437, NULL, NULL, NULL, '<p>fourniture inox ( gaz, apport...etc)</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8944, 1437, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 58.54000000, NULL, 58.54000000, 11.71000000, 0.00000000, 0.00000000, 70.25000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 58.54000000, 58.54000000, 11.71000000, 70.25000000),
(8945, 1438, NULL, 1586761, NULL, 'HOTTE DE BRAS diam 160mm', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 98.00000000, NULL, 294.00000000, 58.80000000, 0.00000000, 0.00000000, 352.80000000, 0, NULL, NULL, 0, 63.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 98.00000000, 294.00000000, 58.80000000, 352.80000000),
(8946, 1438, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 1, NULL, NULL, 0, 24.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(8947, 1439, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(8948, 1439, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(8949, 1440, NULL, NULL, '1 Maintenance compresseur L11RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8950, 1440, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(8951, 1440, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(8952, 1440, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(8953, 1440, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(8954, 1440, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(8955, 1440, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8956, 1440, NULL, NULL, '2 Maintenance separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8957, 1440, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(8958, 1440, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(8959, 1441, NULL, 1586808, NULL, 'CHAUFFAGE FUEL AIR PULSE MOBILE A COMBUSTION DIRECT', 20.000, '', 0.000, '0', 0.000, '0', 1, 12, 0, NULL, 795.00000000, NULL, 699.60000000, 139.92000000, 0.00000000, 0.00000000, 839.52000000, 0, NULL, NULL, 0, 516.75000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 795.00000000, 699.60000000, 139.92000000, 839.52000000),
(8960, 1441, NULL, 1230597, NULL, 'THERMOSTAT D\'AMBIANCE ETANCHE LIVRE AVEC 10 METRES DE CABLE ELECTRIQUE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.00000000, NULL, 61.00000000, 12.20000000, 0.00000000, 0.00000000, 73.20000000, 0, NULL, NULL, 0, 79.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.00000000, 61.00000000, 12.20000000, 73.20000000),
(8961, 1442, NULL, 1190724, NULL, 'CONNECTEUR 25A POUR FUS 10,3x38', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 93.24000000, NULL, 186.48000000, 37.30000000, 0.00000000, 0.00000000, 223.78000000, 0, NULL, NULL, 0, 73.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 93.24000000, 186.48000000, 37.30000000, 223.78000000),
(8962, 1442, NULL, NULL, NULL, 'leg011616 - cartouche 10.3x25.8 16A 250V', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.30000000, NULL, 7.80000000, 1.56000000, 0.00000000, 0.00000000, 9.36000000, 0, NULL, NULL, 0, 1.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.30000000, 7.80000000, 1.56000000, 9.36000000),
(8963, 1442, NULL, 1298076, NULL, 'Canalis KN - connecteur de dérivation 32A pour app mod 5 modules de 18mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.00000000, NULL, 76.00000000, 15.20000000, 0.00000000, 0.00000000, 91.20000000, 0, NULL, NULL, 0, 65.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.00000000, 76.00000000, 15.20000000, 91.20000000),
(8964, 1442, NULL, NULL, NULL, 'scha9n21011&nbsp; - prodis dt40 disjoncteur 1P+n 16A 30 MA 230 vac', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 132.08000000, NULL, 132.08000000, 26.42000000, 0.00000000, 0.00000000, 158.50000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 132.08000000, 132.08000000, 26.42000000, 158.50000000),
(8965, 1442, NULL, NULL, NULL, 'leg069912- 2 p +t 2ph gris sail plexo cpt', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.05000000, NULL, 32.05000000, 6.41000000, 0.00000000, 0.00000000, 38.46000000, 0, NULL, NULL, 0, 28.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.05000000, 32.05000000, 6.41000000, 38.46000000),
(8966, 1442, NULL, 1298028, NULL, 'R2V CU 5G2,5  DISTINGO', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 2.25000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 2.05000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.25000000, 45.00000000, 9.00000000, 54.00000000),
(8967, 1442, NULL, 1190554, NULL, 'R2V CU 5G1,5 C100M', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 2.28000000, NULL, 36.48000000, 7.30000000, 0.00000000, 0.00000000, 43.78000000, 0, NULL, NULL, 0, 1.28000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.28000000, 36.48000000, 7.30000000, 43.78000000),
(8968, 1442, NULL, 1298107, NULL, 'R2V CU 3G2,5 C100M DISTINGO', 20.000, '', 0.000, '0', 0.000, '0', 19, 0, 0, NULL, 1.70000000, NULL, 32.30000000, 6.46000000, 0.00000000, 0.00000000, 38.76000000, 0, NULL, NULL, 0, 1.45000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.70000000, 32.30000000, 6.46000000, 38.76000000),
(8969, 1442, NULL, NULL, NULL, 'leg031910- colson noir 9x123', 20.000, '', 0.000, '0', 0.000, '0', 100, 0, 0, NULL, 0.48000000, NULL, 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0.25000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.48000000, 48.00000000, 9.60000000, 57.60000000),
(8970, 1442, NULL, 1231628, NULL, 'crapaud', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.33000000, NULL, 2.33000000, 0.47000000, 0.00000000, 0.00000000, 2.80000000, 0, NULL, NULL, 0, 1.69000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 2.33000000, 0.47000000, 2.80000000),
(8971, 1442, NULL, 972160, NULL, 'Tube polyamide Rilsan incolore 6x8 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.86000000, NULL, 40.86000000, 8.17000000, 0.00000000, 0.00000000, 49.03000000, 0, NULL, NULL, 0, 25.95000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.86000000, 40.86000000, 8.17000000, 49.03000000),
(8972, 1442, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.40000000, NULL, 6.40000000, 1.28000000, 0.00000000, 0.00000000, 7.68000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.40000000, 6.40000000, 1.28000000, 7.68000000),
(8973, 1442, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.63000000, NULL, 21.63000000, 4.33000000, 0.00000000, 0.00000000, 25.96000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.63000000, 21.63000000, 4.33000000, 25.96000000),
(8974, 1442, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.56000000, NULL, 5.56000000, 1.11000000, 0.00000000, 0.00000000, 6.67000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.56000000, 5.56000000, 1.11000000, 6.67000000),
(8975, 1442, NULL, 966664, NULL, 'Mamelon cylindrique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.21000000, NULL, 1.21000000, 0.24000000, 0.00000000, 0.00000000, 1.45000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.21000000, 1.21000000, 0.24000000, 1.45000000),
(8976, 1442, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.97000000, NULL, 0.97000000, 0.19000000, 0.00000000, 0.00000000, 1.16000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 0.97000000, 0.19000000, 1.16000000),
(8977, 1442, NULL, 966995, NULL, 'Té égal MFM G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.12000000, NULL, 3.12000000, 0.62000000, 0.00000000, 0.00000000, 3.74000000, 0, NULL, NULL, 0, 1.80000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.12000000, 3.12000000, 0.62000000, 3.74000000),
(8978, 1442, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 641.80000000, NULL, 641.80000000, 128.36000000, 0.00000000, 0.00000000, 770.16000000, 0, NULL, NULL, 0, 502.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 641.80000000, 641.80000000, 128.36000000, 770.16000000),
(8979, 1436, NULL, 1586816, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.00000000, NULL, 90.00000000, 18.00000000, 0.00000000, 0.00000000, 108.00000000, 0, NULL, NULL, 0, 60.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.00000000, 90.00000000, 18.00000000, 108.00000000),
(8980, 1443, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(8981, 1443, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(8982, 1443, NULL, NULL, NULL, 'GROUPE VMC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 108.00000000, NULL, 108.00000000, 21.60000000, 0.00000000, 0.00000000, 129.60000000, 0, NULL, NULL, 0, 80.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 108.00000000, 108.00000000, 21.60000000, 129.60000000),
(8983, 1444, NULL, 1586816, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.00000000, NULL, 90.00000000, 18.00000000, 0.00000000, 0.00000000, 108.00000000, 0, NULL, NULL, 0, 60.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.00000000, 90.00000000, 18.00000000, 108.00000000),
(8984, 1444, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 174, 0, 0, NULL, 0.97000000, NULL, 168.78000000, 33.76000000, 0.00000000, 0.00000000, 202.54000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 168.78000000, 33.76000000, 202.54000000),
(8985, 1444, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(8986, 1445, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 52, 0, 0, NULL, 0.97000000, NULL, 50.44000000, 10.09000000, 0.00000000, 0.00000000, 60.53000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 50.44000000, 10.09000000, 60.53000000),
(8987, 1445, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(8989, 1445, NULL, 969249, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(8990, 1446, NULL, NULL, NULL, '&nbsp;GE-6500N - groupe electrogene 5Kva', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 900.00000000, NULL, 900.00000000, 180.00000000, 0.00000000, 0.00000000, 1080.00000000, 0, NULL, NULL, 0, 700.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 900.00000000, 900.00000000, 180.00000000, 1080.00000000),
(8991, 1447, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(8992, 1448, NULL, 1586793, NULL, 'filtre regulateur taille 3 G1/2 20µ 0-8 Bar', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 99.84000000, NULL, 199.68000000, 39.94000000, 0.00000000, 0.00000000, 239.62000000, 0, NULL, NULL, 0, 66.56000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.84000000, 199.68000000, 39.94000000, 239.62000000),
(8993, 1448, NULL, 1586794, NULL, 'manometre diam 50 racc AR 1/8 0-12 bar', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.69000000, NULL, 19.38000000, 3.88000000, 0.00000000, 0.00000000, 23.26000000, 0, NULL, NULL, 0, 6.06000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.69000000, 19.38000000, 3.88000000, 23.26000000),
(8994, 1448, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 1, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(8995, 1449, NULL, 969087, NULL, 'Ressort FRL2 0-12 BAR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.50000000, NULL, 3.50000000, 0.70000000, 0.00000000, 0.00000000, 4.20000000, 0, NULL, NULL, 0, 1.92500000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.50000000, 3.50000000, 0.70000000, 4.20000000),
(8996, 1449, NULL, 969048, NULL, 'FRL 2 modules série F2 G1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 94.82000000, NULL, 94.82000000, 18.96000000, 0.00000000, 0.00000000, 113.78000000, 0, NULL, NULL, 0, 62.94750000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 94.82000000, 94.82000000, 18.96000000, 113.78000000),
(8997, 1450, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(8998, 1450, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 36, 0, 0, NULL, 0.97000000, NULL, 34.92000000, 6.98000000, 0.00000000, 0.00000000, 41.90000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 34.92000000, 6.98000000, 41.90000000),
(8999, 1451, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 0.97000000, NULL, 23.28000000, 4.66000000, 0.00000000, 0.00000000, 27.94000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 23.28000000, 4.66000000, 27.94000000),
(9000, 1451, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(9001, 1451, NULL, 1079879, NULL, 'Té réduit diam. ext. 54 . 42 . 54', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.34000000, NULL, 19.34000000, 3.87000000, 0.00000000, 0.00000000, 23.21000000, 0, NULL, NULL, 0, 13.62000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.34000000, 19.34000000, 3.87000000, 23.21000000),
(9002, 1451, NULL, 1079967, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.85000000, NULL, 33.85000000, 6.77000000, 0.00000000, 0.00000000, 40.62000000, 0, NULL, NULL, 0, 23.83000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.85000000, 33.85000000, 6.77000000, 40.62000000),
(9003, 1451, NULL, 1079936, NULL, 'Raccord mixte mâle diam. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.23000000, NULL, 18.23000000, 3.65000000, 0.00000000, 0.00000000, 21.88000000, 0, NULL, NULL, 0, 12.84000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.23000000, 18.23000000, 3.65000000, 21.88000000),
(9004, 1451, NULL, 1079789, NULL, 'Courbe à 90° diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 19.52000000, NULL, 117.12000000, 23.42000000, 0.00000000, 0.00000000, 140.54000000, 0, NULL, NULL, 0, 13.75000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.52000000, 117.12000000, 23.42000000, 140.54000000),
(9005, 1451, NULL, 966508, NULL, 'Vanne F/F G1\"1/2 PN30 DN40', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.16000000, NULL, 39.16000000, 7.83000000, 0.00000000, 0.00000000, 46.99000000, 0, NULL, NULL, 0, 19.58000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.16000000, 39.16000000, 7.83000000, 46.99000000),
(9006, 1451, NULL, 1231628, NULL, 'crapaud', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.69000000, NULL, 2.69000000, 0.54000000, 0.00000000, 0.00000000, 3.23000000, 0, NULL, NULL, 0, 1.69000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.69000000, 2.69000000, 0.54000000, 3.23000000),
(9007, 1451, NULL, 1080115, NULL, 'Collier protégé pour tube diam. 42 - M8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.33000000, NULL, 1.33000000, 0.27000000, 0.00000000, 0.00000000, 1.60000000, 0, NULL, NULL, 0, 0.94000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.33000000, 1.33000000, 0.27000000, 1.60000000),
(9008, 1451, NULL, 1080071, NULL, 'Tube \"air comprimé\" diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 11.21000000, NULL, 67.26000000, 13.45000000, 0.00000000, 0.00000000, 80.71000000, 0, NULL, NULL, 0, 7.90000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.21000000, 67.26000000, 13.45000000, 80.71000000),
(9009, 1452, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4.5, 0, 0, NULL, 63.84000000, NULL, 287.28000000, 57.46000000, 0.00000000, 0.00000000, 344.74000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 287.28000000, 57.46000000, 344.74000000),
(9010, 1452, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 0.97000000, NULL, 23.28000000, 4.66000000, 0.00000000, 0.00000000, 27.94000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 23.28000000, 4.66000000, 27.94000000),
(9011, 1452, NULL, 1079871, NULL, 'Té réduit diam. ext. 42 . 22 . 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.02000000, NULL, 15.02000000, 3.00000000, 0.00000000, 0.00000000, 18.02000000, 0, NULL, NULL, 0, 10.58000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.02000000, 15.02000000, 3.00000000, 18.02000000),
(9012, 1452, NULL, 1079872, NULL, 'Té réduit diam. ext. 42 . 28 . 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.59000000, NULL, 15.59000000, 3.12000000, 0.00000000, 0.00000000, 18.71000000, 0, NULL, NULL, 0, 10.98000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.59000000, 15.59000000, 3.12000000, 18.71000000),
(9013, 1452, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.38000000, NULL, 42.76000000, 8.55000000, 0.00000000, 0.00000000, 51.31000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.38000000, 42.76000000, 8.55000000, 51.31000000),
(9014, 1452, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.58000000, NULL, 14.58000000, 2.92000000, 0.00000000, 0.00000000, 17.50000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.58000000, 14.58000000, 2.92000000, 17.50000000),
(9015, 1452, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.42000000, NULL, 6.42000000, 1.28000000, 0.00000000, 0.00000000, 7.70000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 6.42000000, 1.28000000, 7.70000000),
(9016, 1452, NULL, 1079930, NULL, 'Raccord mixte mâle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.54000000, NULL, 8.54000000, 1.71000000, 0.00000000, 0.00000000, 10.25000000, 0, NULL, NULL, 0, 6.01000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.54000000, 8.54000000, 1.71000000, 10.25000000),
(9017, 1452, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 6.20000000, NULL, 49.60000000, 9.92000000, 0.00000000, 0.00000000, 59.52000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 49.60000000, 9.92000000, 59.52000000),
(9018, 1452, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 4.98000000, NULL, 39.84000000, 7.97000000, 0.00000000, 0.00000000, 47.81000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 39.84000000, 7.97000000, 47.81000000),
(9019, 1452, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 5.34000000, NULL, 26.70000000, 5.34000000, 0.00000000, 0.00000000, 32.04000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 26.70000000, 5.34000000, 32.04000000),
(9020, 1452, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 6.77000000, NULL, 33.85000000, 6.77000000, 0.00000000, 0.00000000, 40.62000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 33.85000000, 6.77000000, 40.62000000),
(9021, 1452, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.72000000, NULL, 15.44000000, 3.09000000, 0.00000000, 0.00000000, 18.53000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.72000000, 15.44000000, 3.09000000, 18.53000000),
(9022, 1452, NULL, 1079960, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 18.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.94000000, NULL, 23.88000000, 4.78000000, 0.00000000, 0.00000000, 28.66000000, 0, NULL, NULL, 0, 8.41000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.94000000, 23.88000000, 4.78000000, 28.66000000),
(9023, 1452, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.54000000, NULL, 16.54000000, 3.31000000, 0.00000000, 0.00000000, 19.85000000, 0, NULL, NULL, 0, 8.20000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.54000000, 16.54000000, 3.31000000, 19.85000000),
(9024, 1452, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.39000000, NULL, 14.78000000, 2.96000000, 0.00000000, 0.00000000, 17.74000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 14.78000000, 2.96000000, 17.74000000),
(9025, 1452, NULL, 1231628, NULL, 'crapaud', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.69000000, NULL, 5.38000000, 1.08000000, 0.00000000, 0.00000000, 6.46000000, 0, NULL, NULL, 0, 1.69000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.69000000, 5.38000000, 1.08000000, 6.46000000),
(9026, 1452, NULL, 1190649, NULL, 'console', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.42000000, NULL, 14.42000000, 2.88000000, 0.00000000, 0.00000000, 17.30000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.42000000, 14.42000000, 2.88000000, 17.30000000),
(9027, 1452, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 1.12000000, NULL, 4.48000000, 0.90000000, 0.00000000, 0.00000000, 5.38000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 4.48000000, 0.90000000, 5.38000000),
(9028, 1453, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9029, 1453, NULL, 1230990, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 407.10000000, NULL, 407.10000000, 81.42000000, 0.00000000, 0.00000000, 488.52000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.10000000, 407.10000000, 81.42000000, 488.52000000),
(9030, 1453, NULL, 953186, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 191.25000000, NULL, 191.25000000, 38.25000000, 0.00000000, 0.00000000, 229.50000000, 0, NULL, NULL, 0, 92.84000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 191.25000000, 191.25000000, 38.25000000, 229.50000000),
(9031, 1453, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(9032, 1453, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(9033, 1453, NULL, 1230993, NULL, 'SEPARATOR KIT DS  L30 RS-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 642.00000000, NULL, 642.00000000, 128.40000000, 0.00000000, 0.00000000, 770.40000000, 0, NULL, NULL, 0, 385.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 642.00000000, 642.00000000, 128.40000000, 770.40000000),
(9034, 1453, NULL, 1213316, NULL, 'CARTOUCHE E100 1\"1/2 FILTRE S-AIR XAC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(9035, 1453, NULL, 1213315, NULL, 'CARTOUCHE E100 1\"1/2 FILTRE S-AIR XA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(9036, 1453, NULL, 1189205, NULL, 'huile alimentaire 4000h pour vis bd 20l', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 861.45000000, NULL, 861.45000000, 172.29000000, 0.00000000, 0.00000000, 1033.74000000, 0, NULL, NULL, 0, 662.66000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 861.45000000, 861.45000000, 172.29000000, 1033.74000000),
(9037, 1454, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9038, 1454, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(9039, 1454, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(9040, 1454, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(9041, 1454, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(9042, 1454, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(9043, 1454, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 73.10000000, NULL, 146.20000000, 29.24000000, 0.00000000, 0.00000000, 175.44000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 146.20000000, 29.24000000, 175.44000000),
(9044, 1455, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9045, 1455, NULL, 1190506, NULL, 'Forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 390.00000000, NULL, 390.00000000, 78.00000000, 0.00000000, 0.00000000, 468.00000000, 0, NULL, NULL, 0, 295.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 390.00000000, 390.00000000, 78.00000000, 468.00000000),
(9046, 1455, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(9047, 1455, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(9048, 1455, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(9049, 1455, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(9050, 1455, NULL, 952668, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 98.88000000, NULL, 98.88000000, 19.78000000, 0.00000000, 0.00000000, 118.66000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 98.88000000, 98.88000000, 19.78000000, 118.66000000),
(9051, 1456, NULL, 952822, NULL, 'sécheur à réfrigération 260m3/h racc 1\'\' +3°C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1699.75000000, NULL, 1699.75000000, 339.95000000, 0.00000000, 0.00000000, 2039.70000000, 0, NULL, NULL, 0, 1307.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1699.75000000, 1699.75000000, 339.95000000, 2039.70000000),
(9052, 1456, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 399.10000000, NULL, 399.10000000, 79.82000000, 0.00000000, 0.00000000, 478.92000000, 0, NULL, NULL, 0, 307.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 399.10000000, 399.10000000, 79.82000000, 478.92000000),
(9053, 1456, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.50000000, NULL, 199.50000000, 39.90000000, 0.00000000, 0.00000000, 239.40000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.50000000, 199.50000000, 39.90000000, 239.40000000),
(9054, 1456, NULL, 952642, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 175.50000000, NULL, 175.50000000, 35.10000000, 0.00000000, 0.00000000, 210.60000000, 0, NULL, NULL, 0, 130.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 175.50000000, 175.50000000, 35.10000000, 210.60000000),
(9055, 1457, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 63.84000000, NULL, 510.72000000, 102.14000000, 0.00000000, 0.00000000, 612.86000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 510.72000000, 102.14000000, 612.86000000),
(9056, 1457, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 32, 0, 0, NULL, 0.97000000, NULL, 31.04000000, 6.21000000, 0.00000000, 0.00000000, 37.25000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 31.04000000, 6.21000000, 37.25000000),
(9057, 1458, NULL, NULL, '1 L29RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9058, 1458, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(9059, 1458, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9060, 1458, NULL, 1179651, NULL, 'SERVICE KIT D L23RS-L29RS replaced', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 972.50000000, NULL, 972.50000000, 194.50000000, 0.00000000, 0.00000000, 1167.00000000, 1, NULL, NULL, 0, 554.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 972.50000000, 972.50000000, 194.50000000, 1167.00000000),
(9061, 1458, NULL, 1179723, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 468.40000000, NULL, 468.40000000, 93.68000000, 0.00000000, 0.00000000, 562.08000000, 0, NULL, NULL, 0, 281.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 468.40000000, 468.40000000, 93.68000000, 562.08000000),
(9062, 1458, NULL, 1190716, NULL, 'monture à niveau compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.40000000, NULL, 82.40000000, 16.48000000, 0.00000000, 0.00000000, 98.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.40000000, 82.40000000, 16.48000000, 98.88000000),
(9063, 1458, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9064, 1459, NULL, NULL, NULL, 'Maintenance L18RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9065, 1459, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(9066, 1459, NULL, 1179649, NULL, 'SEPARATOR KIT D             L15RS -L22RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 474.00000000, NULL, 474.00000000, 94.80000000, 0.00000000, 0.00000000, 568.80000000, 0, NULL, NULL, 0, 284.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 474.00000000, 474.00000000, 94.80000000, 568.80000000),
(9067, 1459, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(9068, 1459, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(9069, 1459, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9070, 1459, NULL, 1305086, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 79.00000000, NULL, 158.00000000, 31.60000000, 0.00000000, 0.00000000, 189.60000000, 0, NULL, NULL, 0, 34.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 158.00000000, 31.60000000, 189.60000000),
(9071, 1459, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9072, 1459, NULL, NULL, NULL, 'Maintenance separateur de condensats', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9073, 1459, NULL, 955222, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.73000000, NULL, 78.73000000, 15.75000000, 0.00000000, 0.00000000, 94.48000000, 0, NULL, NULL, 0, 38.23000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.73000000, 78.73000000, 15.75000000, 94.48000000),
(9074, 1459, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9075, 1460, NULL, 1586799, NULL, 'electrovanne', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.00000000, NULL, 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 84.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.00000000, 130.00000000, 26.00000000, 156.00000000),
(9076, 1460, NULL, 1211823, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.00000000, NULL, 21.00000000, 4.20000000, 0.00000000, 0.00000000, 25.20000000, 1, NULL, NULL, 0, 21.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.00000000, 21.00000000, 4.20000000, 25.20000000),
(9077, 1460, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(9078, 1460, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(9079, 1461, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(9080, 1461, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(9081, 1461, NULL, 1079926, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.42000000, NULL, 6.42000000, 1.28000000, 0.00000000, 0.00000000, 7.70000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 6.42000000, 1.28000000, 7.70000000),
(9082, 1462, NULL, 954012, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 83.38000000, NULL, 83.38000000, 16.68000000, 0.00000000, 0.00000000, 100.06000000, 0, NULL, NULL, 0, 35.74000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 83.38000000, 83.38000000, 16.68000000, 100.06000000),
(9083, 1463, NULL, 970230, NULL, 'Tube Aluminium calibré Ø28x25 en barre de 4 mètres Couleur Bleue', 20.000, '', 0.000, '0', 0.000, '0', 36, 0, 0, NULL, 7.05000000, NULL, 253.80000000, 50.76000000, 0.00000000, 0.00000000, 304.56000000, 0, NULL, NULL, 0, 5.28000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.05000000, 253.80000000, 50.76000000, 304.56000000),
(9084, 1463, NULL, 970228, NULL, 'Tube aluminium calibré Ø25x22 en barre de 4 mètres Couleur Bleue', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 4.88000000, NULL, 78.08000000, 15.62000000, 0.00000000, 0.00000000, 93.70000000, 0, NULL, NULL, 0, 3.66000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.88000000, 78.08000000, 15.62000000, 93.70000000),
(9085, 1463, NULL, 970252, NULL, 'Coude égal PUSH FIT Ø28', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 12.65000000, NULL, 227.70000000, 45.54000000, 0.00000000, 0.00000000, 273.24000000, 0, NULL, NULL, 0, 9.48000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.65000000, 227.70000000, 45.54000000, 273.24000000),
(9086, 1463, NULL, 970243, NULL, 'Union Push Fit Ø28', 20.000, '', 0.000, '0', 0.000, '0', 17, 0, 0, NULL, 9.37000000, NULL, 159.29000000, 31.86000000, 0.00000000, 0.00000000, 191.15000000, 0, NULL, NULL, 0, 7.02000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.37000000, 159.29000000, 31.86000000, 191.15000000),
(9087, 1463, NULL, 970292, NULL, 'Té réduit au centre PUSH FIT Ø28 ---> Ø25', 20.000, '', 0.000, '0', 0.000, '0', 17, 0, 0, NULL, 24.66000000, NULL, 419.22000000, 83.84000000, 0.00000000, 0.00000000, 503.06000000, 0, NULL, NULL, 0, 18.48000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.66000000, 419.22000000, 83.84000000, 503.06000000),
(9088, 1463, NULL, 970280, NULL, 'Té égal PUSH-FITØ28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.97000000, NULL, 15.97000000, 3.19000000, 0.00000000, 0.00000000, 19.16000000, 0, NULL, NULL, 0, 11.97000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.97000000, 15.97000000, 3.19000000, 19.16000000),
(9089, 1463, NULL, 970348, NULL, 'Raccord PUSH FIT Fileté G1\'\' Ø28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.90000000, NULL, 25.80000000, 5.16000000, 0.00000000, 0.00000000, 30.96000000, 0, NULL, NULL, 0, 7.74000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.90000000, 25.80000000, 5.16000000, 30.96000000),
(9090, 1463, NULL, 970323, NULL, 'U préformé aluminium DN25', 20.000, '', 0.000, '0', 0.000, '0', 14, 0, 0, NULL, 11.85000000, NULL, 165.90000000, 33.18000000, 0.00000000, 0.00000000, 199.08000000, 0, NULL, NULL, 0, 8.88000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.85000000, 165.90000000, 33.18000000, 199.08000000),
(9091, 1463, NULL, 970451, NULL, 'Applique murale PUSH FIT DN25 3xG1/2', 20.000, '', 0.000, '0', 0.000, '0', 14, 0, 0, NULL, 24.30000000, NULL, 340.20000000, 68.04000000, 0.00000000, 0.00000000, 408.24000000, 0, NULL, NULL, 0, 18.21000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.30000000, 340.20000000, 68.04000000, 408.24000000),
(9092, 1463, NULL, 970357, NULL, 'Té PUSH FIT taraude au centre Ø25 G3/4', 20.000, '', 0.000, '0', 0.000, '0', 14, 0, 0, NULL, 12.33000000, NULL, 172.62000000, 34.52000000, 0.00000000, 0.00000000, 207.14000000, 0, NULL, NULL, 0, 9.24000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.33000000, 172.62000000, 34.52000000, 207.14000000),
(9093, 1463, NULL, 970242, NULL, 'Union Push Fit Ø25', 20.000, '', 0.000, '0', 0.000, '0', 14, 0, 0, NULL, 7.61000000, NULL, 106.54000000, 21.31000000, 0.00000000, 0.00000000, 127.85000000, 0, NULL, NULL, 0, 5.70000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.61000000, 106.54000000, 21.31000000, 127.85000000),
(9094, 1463, NULL, 970426, NULL, 'Vanne PUSH-FIT laiton pour tube de Ø25mm', 20.000, '', 0.000, '0', 0.000, '0', 17, 0, 0, NULL, 21.22000000, NULL, 360.74000000, 72.15000000, 0.00000000, 0.00000000, 432.89000000, 0, NULL, NULL, 0, 15.90000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.22000000, 360.74000000, 72.15000000, 432.89000000),
(9095, 1463, NULL, 970103, NULL, 'ne pas serrer en plein', 20.000, '', 0.000, '0', 0.000, '0', 32, 0, 0, NULL, 1.88000000, NULL, 60.16000000, 12.03000000, 0.00000000, 0.00000000, 72.19000000, 0, NULL, NULL, 0, 1.41000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.88000000, 60.16000000, 12.03000000, 72.19000000),
(9096, 1463, NULL, 970104, NULL, 'ne pas serrer en plein', 20.000, '', 0.000, '0', 0.000, '0', 66, 0, 0, NULL, 2.08000000, NULL, 137.28000000, 27.46000000, 0.00000000, 0.00000000, 164.74000000, 0, NULL, NULL, 0, 1.56000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.08000000, 137.28000000, 27.46000000, 164.74000000),
(9097, 1463, NULL, 970090, NULL, 'Pince de fixation poutrelle M8', 20.000, '', 0.000, '0', 0.000, '0', 38, 0, 0, NULL, 4.68000000, NULL, 177.84000000, 35.57000000, 0.00000000, 0.00000000, 213.41000000, 0, NULL, NULL, 0, 3.50400000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.68000000, 177.84000000, 35.57000000, 213.41000000),
(9098, 1463, NULL, 970046, NULL, 'Support multipositions L=310mm', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 11.80000000, NULL, 590.00000000, 118.00000000, 0.00000000, 0.00000000, 708.00000000, 0, NULL, NULL, 0, 7.08000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.80000000, 590.00000000, 118.00000000, 708.00000000),
(9099, 1463, NULL, 970113, NULL, 'Coupe tube pour tubes aluminium et thermoplastique Ø15 à 32 mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 98.20000000, NULL, 98.20000000, 19.64000000, 0.00000000, 0.00000000, 117.84000000, 0, NULL, NULL, 0, 58.92000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 98.20000000, 98.20000000, 19.64000000, 117.84000000),
(9100, 1463, NULL, 970094, NULL, 'Prolongateur M8 - L30mm', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 0.40000000, NULL, 8.00000000, 1.60000000, 0.00000000, 0.00000000, 9.60000000, 0, NULL, NULL, 0, 0.24000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.40000000, 8.00000000, 1.60000000, 9.60000000),
(9101, 1463, NULL, 970063, NULL, 'Flexible tréssé INOX 1 mètre M/Femelle écrou tournant G1\'\'', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 51.62000000, NULL, 309.72000000, 61.94000000, 0.00000000, 0.00000000, 371.66000000, 0, NULL, NULL, 0, 30.97200000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 51.62000000, 309.72000000, 61.94000000, 371.66000000),
(9102, 1463, NULL, 970418, NULL, 'Raccord droit taraudé PUSH FIT DN28 G1\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 13.80000000, NULL, 82.80000000, 16.56000000, 0.00000000, 0.00000000, 99.36000000, 0, NULL, NULL, 0, 8.28000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.80000000, 82.80000000, 16.56000000, 99.36000000),
(9103, 1463, NULL, 970348, NULL, 'Raccord PUSH FIT Fileté G1\'\' Ø28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 12.90000000, NULL, 77.40000000, 15.48000000, 0.00000000, 0.00000000, 92.88000000, 0, NULL, NULL, 0, 7.74000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.90000000, 77.40000000, 15.48000000, 92.88000000),
(9104, 1463, NULL, 970096, NULL, 'Clips fixation poutrelle 14-20mm', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 4.17000000, NULL, 62.55000000, 12.51000000, 0.00000000, 0.00000000, 75.06000000, 0, NULL, NULL, 0, 2.56200000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.17000000, 62.55000000, 12.51000000, 75.06000000),
(9105, 1463, NULL, 970063, NULL, 'Flexible tréssé INOX 1 mètre M/Femelle écrou tournant G1\'\'', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 51.62000000, NULL, 103.24000000, 20.65000000, 0.00000000, 0.00000000, 123.89000000, 0, NULL, NULL, 0, 30.97200000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 51.62000000, 103.24000000, 20.65000000, 123.89000000),
(9106, 1463, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 1, NULL, NULL, 0, 108.00000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(9107, 1464, NULL, 1307793, NULL, 'Vanne de mise en pression progressive - Taille 4 avec bobine 24vdc et connecteur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 998.00000000, NULL, 998.00000000, 199.60000000, 0.00000000, 0.00000000, 1197.60000000, 0, NULL, NULL, 0, 686.03000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 998.00000000, 998.00000000, 199.60000000, 1197.60000000),
(9108, 1465, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.39000000, NULL, 14.78000000, 2.96000000, 0.00000000, 0.00000000, 17.74000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 14.78000000, 2.96000000, 17.74000000),
(9109, 1465, NULL, 1586752, NULL, 'purgeur de condensats 380 m3/h', 20.000, '', 0.000, '0', 0.000, '0', 2, 15, 0, NULL, 192.00000000, NULL, 326.40000000, 65.28000000, 0.00000000, 0.00000000, 391.68000000, 0, NULL, NULL, 0, 105.60000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 192.00000000, 326.40000000, 65.28000000, 391.68000000),
(9110, 1465, NULL, 1586753, NULL, 'purgeur de condensats 450M3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 239.00000000, NULL, 203.15000000, 40.63000000, 0.00000000, 0.00000000, 243.78000000, 0, NULL, NULL, 0, 131.45000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 239.00000000, 203.15000000, 40.63000000, 243.78000000),
(9111, 1465, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 648.70000000, NULL, 648.70000000, 129.74000000, 0.00000000, 0.00000000, 778.44000000, 0, NULL, NULL, 0, 499.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 648.70000000, 648.70000000, 129.74000000, 778.44000000),
(9112, 1466, NULL, NULL, NULL, 'reedition', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 21.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(9113, 1467, NULL, 966691, NULL, 'Mamelon conique G1/4x1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.65000000, NULL, 6.50000000, 1.30000000, 0.00000000, 0.00000000, 7.80000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.65000000, 6.50000000, 1.30000000, 7.80000000),
(9114, 1467, NULL, 966696, NULL, 'Mamelon conique G3/8x3/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.80000000, NULL, 8.00000000, 1.60000000, 0.00000000, 0.00000000, 9.60000000, 0, NULL, NULL, 0, 0.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.80000000, 8.00000000, 1.60000000, 9.60000000),
(9115, 1467, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.40000000, NULL, 14.00000000, 2.80000000, 0.00000000, 0.00000000, 16.80000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.40000000, 14.00000000, 2.80000000, 16.80000000),
(9116, 1467, NULL, 966703, NULL, 'Mamelon conique G3/4x3/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.45000000, NULL, 24.50000000, 4.90000000, 0.00000000, 0.00000000, 29.40000000, 0, NULL, NULL, 0, 1.23000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.45000000, 24.50000000, 4.90000000, 29.40000000),
(9117, 1467, NULL, 966810, NULL, 'Manchon égal F/F G1/8x1/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.45000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 0, NULL, NULL, 0, 0.23000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.45000000, 4.50000000, 0.90000000, 5.40000000),
(9118, 1467, NULL, 966811, NULL, 'Manchon égal F/F G1/4x1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.65000000, NULL, 6.50000000, 1.30000000, 0.00000000, 0.00000000, 7.80000000, 0, NULL, NULL, 0, 0.33000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.65000000, 6.50000000, 1.30000000, 7.80000000),
(9119, 1467, NULL, 966814, NULL, 'Manchon égal F/F G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.60000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.60000000, 16.00000000, 3.20000000, 19.20000000),
(9120, 1467, NULL, 966815, NULL, 'Manchon égal F/F G3/4x3/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.10000000, NULL, 41.00000000, 8.20000000, 0.00000000, 0.00000000, 49.20000000, 0, NULL, NULL, 0, 2.05000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.10000000, 41.00000000, 8.20000000, 49.20000000),
(9121, 1467, NULL, 966935, NULL, 'Coude F/F G1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.85000000, NULL, 28.50000000, 5.70000000, 0.00000000, 0.00000000, 34.20000000, 0, NULL, NULL, 0, 1.42000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.85000000, 28.50000000, 5.70000000, 34.20000000),
(9122, 1467, NULL, 966933, NULL, 'Coude F/F G1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.45000000, NULL, 14.50000000, 2.90000000, 0.00000000, 0.00000000, 17.40000000, 0, NULL, NULL, 0, 0.72500000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.45000000, 14.50000000, 2.90000000, 17.40000000),
(9123, 1467, NULL, 966946, NULL, 'Coude M/F G1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.80000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 1.40000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.80000000, 28.00000000, 5.60000000, 33.60000000),
(9124, 1467, NULL, 966962, NULL, 'Té égal FFF G1/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.30000000, NULL, 13.00000000, 2.60000000, 0.00000000, 0.00000000, 15.60000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.30000000, 13.00000000, 2.60000000, 15.60000000),
(9125, 1467, NULL, 966964, NULL, 'Té égal FFF G1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.80000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 0.90000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.80000000, 18.00000000, 3.60000000, 21.60000000),
(9126, 1467, NULL, 966965, NULL, 'Té égal FFF G3/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.55000000, NULL, 25.50000000, 5.10000000, 0.00000000, 0.00000000, 30.60000000, 0, NULL, NULL, 0, 1.27500000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.55000000, 25.50000000, 5.10000000, 30.60000000),
(9127, 1467, NULL, 966823, NULL, 'Manchon réducteur F/F G1/8x1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.70000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 0.35000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.70000000, 7.00000000, 1.40000000, 8.40000000),
(9128, 1467, NULL, 966827, NULL, 'Manchon réducteur F/F G1/4x3/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.00000000, NULL, 10.00000000, 2.00000000, 0.00000000, 0.00000000, 12.00000000, 0, NULL, NULL, 0, 0.50000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.00000000, 10.00000000, 2.00000000, 12.00000000),
(9129, 1467, NULL, 966829, NULL, 'Manchon réducteur F/F G3/8x1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.40000000, NULL, 14.00000000, 2.80000000, 0.00000000, 0.00000000, 16.80000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.40000000, 14.00000000, 2.80000000, 16.80000000),
(9130, 1467, NULL, 966725, NULL, 'Réduction conique M/F G1/4x1/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.50000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 0.25000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.50000000, 5.00000000, 1.00000000, 6.00000000),
(9131, 1467, NULL, 966726, NULL, 'Réduction conique M/F G3/8x1/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.60000000, NULL, 6.00000000, 1.20000000, 0.00000000, 0.00000000, 7.20000000, 0, NULL, NULL, 0, 0.30000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.60000000, 6.00000000, 1.20000000, 7.20000000),
(9132, 1467, NULL, 966727, NULL, 'Réduction conique M/F G3/8x1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.55000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 0, NULL, NULL, 0, 0.27000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.55000000, 5.50000000, 1.10000000, 6.60000000),
(9133, 1467, NULL, 966729, NULL, 'Réduction conique M/F G1/2x1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.95000000, NULL, 9.50000000, 1.90000000, 0.00000000, 0.00000000, 11.40000000, 0, NULL, NULL, 0, 0.47500000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 9.50000000, 1.90000000, 11.40000000),
(9134, 1467, NULL, 966728, NULL, 'Réduction conique M/F G1/2x1/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.95000000, NULL, 9.50000000, 1.90000000, 0.00000000, 0.00000000, 11.40000000, 0, NULL, NULL, 0, 0.47500000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 9.50000000, 1.90000000, 11.40000000),
(9135, 1467, NULL, 966730, NULL, 'Réduction conique M/F G1/2x3/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.85000000, NULL, 8.50000000, 1.70000000, 0.00000000, 0.00000000, 10.20000000, 0, NULL, NULL, 0, 0.42000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.85000000, 8.50000000, 1.70000000, 10.20000000),
(9136, 1467, NULL, 966732, NULL, 'Réduction conique M/F G3/4x3/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.90000000, NULL, 19.00000000, 3.80000000, 0.00000000, 0.00000000, 22.80000000, 0, NULL, NULL, 0, 0.95000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.90000000, 19.00000000, 3.80000000, 22.80000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(9137, 1467, NULL, 966733, NULL, 'Réduction M/F G3/4xG1/2 Acier', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 3.05000000, NULL, 30.50000000, 6.10000000, 0.00000000, 0.00000000, 36.60000000, 0, NULL, NULL, 0, 0.90000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.05000000, 30.50000000, 6.10000000, 36.60000000),
(9138, 1468, NULL, NULL, NULL, 'ZIEHL -ABEGG FE 035 VDK-OC-V7 380V', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.00000000, NULL, 394.00000000, 78.80000000, 0.00000000, 0.00000000, 472.80000000, 0, NULL, NULL, 0, 339.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.00000000, 394.00000000, 78.80000000, 472.80000000),
(9139, 1468, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.20000000, NULL, 394.20000000, 78.84000000, 0.00000000, 0.00000000, 473.04000000, 0, NULL, NULL, 0, 296.39000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.20000000, 394.20000000, 78.84000000, 473.04000000),
(9140, 1469, NULL, NULL, NULL, 'LC1D18 avec bobine', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.00000000, NULL, 65.00000000, 13.00000000, 0.00000000, 0.00000000, 78.00000000, 0, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.00000000, 65.00000000, 13.00000000, 78.00000000),
(9141, 1469, NULL, NULL, NULL, 'LRo07 relai thermique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.00000000, NULL, 99.00000000, 19.80000000, 0.00000000, 0.00000000, 118.80000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.00000000, 99.00000000, 19.80000000, 118.80000000),
(9142, 1470, NULL, NULL, NULL, 'GE6500N-&nbsp;G&eacute;n&eacute;rateur Mod&egrave;le&nbsp; Moteur 4 temps - Essence', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 750.00000000, NULL, 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 700.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(9143, 1471, NULL, 1586817, NULL, 'compresseur à vis vitesse fixe 15 KW', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5230.00000000, NULL, 5230.00000000, 1046.00000000, 0.00000000, 0.00000000, 6276.00000000, 0, NULL, NULL, 0, 4015.80000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5230.00000000, 5230.00000000, 1046.00000000, 6276.00000000),
(9144, 1471, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.00000000, NULL, 200.00000000, 40.00000000, 0.00000000, 0.00000000, 240.00000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.00000000, 200.00000000, 40.00000000, 240.00000000),
(9145, 1472, NULL, 1221003, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5439.96000000, NULL, 5439.96000000, 1087.99000000, 0.00000000, 0.00000000, 6527.95000000, 0, NULL, NULL, 0, 4139.18000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5439.96000000, 5439.96000000, 1087.99000000, 6527.95000000),
(9146, 1472, NULL, 1305878, NULL, 'Filtre Fin (montage sortie sécheur)  0.1 micron et 0.02 mg/m3  RF-M 0120', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.00000000, NULL, 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 115.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(9147, 1472, NULL, 1297967, NULL, 'flexible 1/2\" long 1600 mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 51.84000000, NULL, 51.84000000, 10.37000000, 0.00000000, 0.00000000, 62.21000000, 0, NULL, NULL, 0, 28.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 51.84000000, 51.84000000, 10.37000000, 62.21000000),
(9148, 1472, NULL, 1222106, NULL, 'kit de silencblocs pour reservoir', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 30.72000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.00000000, 40.00000000, 8.00000000, 48.00000000),
(9149, 1472, NULL, 958250, NULL, 'ÖWAMAT 10 oil/water separator', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 220.00000000, NULL, 220.00000000, 44.00000000, 0.00000000, 0.00000000, 264.00000000, 0, NULL, NULL, 0, 164.47000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 220.00000000, 220.00000000, 44.00000000, 264.00000000),
(9150, 1472, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 379.00000000, NULL, 379.00000000, 75.80000000, 0.00000000, 0.00000000, 454.80000000, 0, NULL, NULL, 0, 290.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 379.00000000, 379.00000000, 75.80000000, 454.80000000),
(9151, 1472, NULL, 969249, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 68.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 0.00000000, 0.00000000, 0.00000000),
(9152, 1473, NULL, NULL, NULL, 'Mensualit&eacute;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1419.00000000, NULL, 1419.00000000, 283.80000000, 0.00000000, 0.00000000, 1702.80000000, 0, '2019-05-16 12:00:00', NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1419.00000000, 1419.00000000, 283.80000000, 1702.80000000),
(9153, 1474, NULL, NULL, NULL, 'Mensualit&eacute;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1419.00000000, NULL, 1419.00000000, 283.80000000, 0.00000000, 0.00000000, 1702.80000000, 0, '2019-05-16 12:00:00', NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1419.00000000, 1419.00000000, 283.80000000, 1702.80000000),
(9154, 1475, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9155, 1475, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(9156, 1475, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(9157, 1475, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(9158, 1475, NULL, 1222591, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(9159, 1475, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(9160, 1476, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9161, 1476, NULL, 1222593, NULL, 'courroies_optibelt', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(9162, 1476, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(9163, 1476, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(9164, 1476, NULL, 952657, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(9165, 1476, NULL, 1176433, NULL, 'TEMPERATURE PROBE PT1000', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(9166, 1477, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(9167, 1477, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 71, 0, 0, NULL, 0.97000000, NULL, 68.87000000, 13.77000000, 0.00000000, 0.00000000, 82.64000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 68.87000000, 13.77000000, 82.64000000),
(9168, 1477, NULL, 954041, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.59000000, NULL, 11.59000000, 2.32000000, 0.00000000, 0.00000000, 13.91000000, 0, NULL, NULL, 0, 5.32000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.59000000, 11.59000000, 2.32000000, 13.91000000),
(9170, 1478, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9171, 1478, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(9172, 1478, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(9173, 1478, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(9174, 1478, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 65.31000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(9175, 1478, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 105.67000000, NULL, 211.34000000, 42.27000000, 0.00000000, 0.00000000, 253.61000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 211.34000000, 42.27000000, 253.61000000),
(9176, 1478, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(9177, 1478, NULL, 1153599, NULL, 'MOD.LOG12 E-S 100-240 VAC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 246.96000000, NULL, 246.96000000, 49.39000000, 0.00000000, 0.00000000, 296.35000000, 0, NULL, NULL, 0, 175.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 246.96000000, 246.96000000, 49.39000000, 296.35000000),
(9178, 1478, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(9179, 1478, NULL, 1222171, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(9180, 1479, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(9181, 1479, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9182, 1479, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(9183, 1479, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(9184, 1479, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(9185, 1479, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(9186, 1480, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(9187, 1480, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 147.65000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(9188, 1480, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9189, 1480, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(9190, 1480, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.13000000, NULL, 51.39000000, 10.28000000, 0.00000000, 0.00000000, 61.67000000, 0, NULL, NULL, 0, 8.62000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 51.39000000, 10.28000000, 61.67000000),
(9191, 1481, NULL, 1222641, NULL, '<em>e</em>', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 356.79000000, NULL, 356.79000000, 71.36000000, 0.00000000, 0.00000000, 428.15000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 356.79000000, 356.79000000, 71.36000000, 428.15000000),
(9192, 1481, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.88000000, NULL, 4.88000000, 0.98000000, 0.00000000, 0.00000000, 5.86000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.88000000, 4.88000000, 0.98000000, 5.86000000),
(9193, 1481, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 265.12000000, NULL, 265.12000000, 53.02000000, 0.00000000, 0.00000000, 318.14000000, 0, NULL, NULL, 0, 129.05000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 265.12000000, 265.12000000, 53.02000000, 318.14000000),
(9194, 1481, NULL, 1305188, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 106.40000000, NULL, 106.40000000, 21.28000000, 0.00000000, 0.00000000, 127.68000000, 0, NULL, NULL, 0, 53.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 106.40000000, 106.40000000, 21.28000000, 127.68000000),
(9195, 1481, NULL, 1222601, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 15.93000000, NULL, 47.79000000, 9.56000000, 0.00000000, 0.00000000, 57.35000000, 0, NULL, NULL, 0, 9.69000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.93000000, 47.79000000, 9.56000000, 57.35000000),
(9196, 1482, NULL, 1221778, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.89000000, NULL, 22.89000000, 4.58000000, 0.00000000, 0.00000000, 27.47000000, 0, NULL, NULL, 0, 11.22000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.89000000, 22.89000000, 4.58000000, 27.47000000),
(9197, 1482, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(9198, 1483, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(9199, 1483, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9200, 1483, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(9201, 1484, NULL, 971031, NULL, 'About femelle inox ISO B 6 G1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 9.32000000, NULL, 93.20000000, 18.64000000, 0.00000000, 0.00000000, 111.84000000, 0, NULL, NULL, 0, 5.12600000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.32000000, 93.20000000, 18.64000000, 111.84000000),
(9202, 1485, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(9203, 1485, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 58, 0, 0, NULL, 0.97000000, NULL, 56.26000000, 11.25000000, 0.00000000, 0.00000000, 67.51000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 56.26000000, 11.25000000, 67.51000000),
(9204, 1485, NULL, 1586816, NULL, 'ventilateur armoire electrique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.00000000, NULL, 90.00000000, 18.00000000, 0.00000000, 0.00000000, 108.00000000, 0, NULL, NULL, 0, 60.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.00000000, 90.00000000, 18.00000000, 108.00000000),
(9205, 1486, NULL, 1586818, NULL, 'filtre regulateur lubrificateur en 1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 158.00000000, NULL, 158.00000000, 31.60000000, 0.00000000, 0.00000000, 189.60000000, 0, NULL, NULL, 0, 86.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 158.00000000, 158.00000000, 31.60000000, 189.60000000),
(9206, 1487, NULL, 1079930, NULL, 'Raccord mixte mâle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.54000000, NULL, 8.54000000, 1.71000000, 0.00000000, 0.00000000, 10.25000000, 0, NULL, NULL, 0, 6.01000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.54000000, 8.54000000, 1.71000000, 10.25000000),
(9207, 1487, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.38000000, NULL, 42.76000000, 8.55000000, 0.00000000, 0.00000000, 51.31000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.38000000, 42.76000000, 8.55000000, 51.31000000),
(9208, 1487, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.42000000, NULL, 25.68000000, 5.14000000, 0.00000000, 0.00000000, 30.82000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 25.68000000, 5.14000000, 30.82000000),
(9209, 1487, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.58000000, NULL, 29.16000000, 5.83000000, 0.00000000, 0.00000000, 34.99000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.58000000, 29.16000000, 5.83000000, 34.99000000),
(9210, 1487, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 5.34000000, NULL, 16.02000000, 3.20000000, 0.00000000, 0.00000000, 19.22000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 16.02000000, 3.20000000, 19.22000000),
(9211, 1487, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.18000000, NULL, 8.18000000, 1.64000000, 0.00000000, 0.00000000, 9.82000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.18000000, 8.18000000, 1.64000000, 9.82000000),
(9212, 1487, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.98000000, NULL, 9.96000000, 1.99000000, 0.00000000, 0.00000000, 11.95000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 9.96000000, 1.99000000, 11.95000000),
(9213, 1487, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 7.39000000, NULL, 22.17000000, 4.43000000, 0.00000000, 0.00000000, 26.60000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 22.17000000, 4.43000000, 26.60000000),
(9214, 1487, NULL, 966972, NULL, 'Té égal FFF G1\" laiton', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.60000000, NULL, 8.60000000, 1.72000000, 0.00000000, 0.00000000, 10.32000000, 0, NULL, NULL, 0, 4.30000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.60000000, 8.60000000, 1.72000000, 10.32000000),
(9215, 1487, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.70000000, NULL, 7.40000000, 1.48000000, 0.00000000, 0.00000000, 8.88000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.70000000, 7.40000000, 1.48000000, 8.88000000),
(9216, 1487, NULL, 966670, NULL, 'Mamelon cylindrique G1\"x1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.45000000, NULL, 3.45000000, 0.69000000, 0.00000000, 0.00000000, 4.14000000, 0, NULL, NULL, 0, 1.72500000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.45000000, 3.45000000, 0.69000000, 4.14000000),
(9217, 1487, NULL, 966664, NULL, 'Mamelon cylindrique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.40000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.40000000, 7.00000000, 1.40000000, 8.40000000),
(9218, 1487, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 473.48000000, NULL, 473.48000000, 94.70000000, 0.00000000, 0.00000000, 568.18000000, 0, NULL, NULL, 0, 356.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 473.48000000, 473.48000000, 94.70000000, 568.18000000),
(9219, 1487, NULL, 1217860, NULL, 'SOUPAPE 2800/D7 1/4\" 10.5bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.07000000, NULL, 30.07000000, 6.01000000, 0.00000000, 0.00000000, 36.08000000, 0, NULL, NULL, 0, 14.60000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.07000000, 30.07000000, 6.01000000, 36.08000000),
(9220, 1487, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.30000000, NULL, 10.30000000, 2.06000000, 0.00000000, 0.00000000, 12.36000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 10.30000000, 2.06000000, 12.36000000),
(9221, 1487, NULL, NULL, NULL, 'CNR 1&quot; FF', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.00000000, NULL, 26.00000000, 5.20000000, 0.00000000, 0.00000000, 31.20000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.00000000, 26.00000000, 5.20000000, 31.20000000),
(9222, 1487, NULL, NULL, NULL, 'CNR 1/2&quot; FF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.00000000, NULL, 13.00000000, 2.60000000, 0.00000000, 0.00000000, 15.60000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.00000000, 13.00000000, 2.60000000, 15.60000000),
(9223, 1488, NULL, 1190374, NULL, 'Forfait intervention ZONE A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 221.10000000, NULL, 221.10000000, 44.22000000, 0.00000000, 0.00000000, 265.32000000, 0, NULL, NULL, 0, 199.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 221.10000000, 221.10000000, 44.22000000, 265.32000000),
(9224, 1489, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 226.79000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(9225, 1490, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(9226, 1490, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9227, 1490, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(9228, 1490, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(9229, 1490, NULL, 1222601, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.96000000, NULL, 53.88000000, 10.78000000, 0.00000000, 0.00000000, 64.66000000, 0, NULL, NULL, 0, 9.69000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.96000000, 53.88000000, 10.78000000, 64.66000000),
(9230, 1490, NULL, 1189212, NULL, 'Huile compresseur &agrave; vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(9231, 1491, NULL, NULL, NULL, 'LEG078802L - olaque 2M blanc', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 2.19000000, NULL, 8.76000000, 1.75000000, 0.00000000, 0.00000000, 10.51000000, 0, NULL, NULL, 0, 1.69000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.19000000, 8.76000000, 1.75000000, 10.51000000),
(9232, 1491, NULL, NULL, NULL, 'LEG080281 - cadre losaic 2 MOD prof40mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.29000000, NULL, 17.16000000, 3.43000000, 0.00000000, 0.00000000, 20.59000000, 0, NULL, NULL, 0, 3.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.29000000, 17.16000000, 3.43000000, 20.59000000),
(9233, 1491, NULL, NULL, NULL, 'LEG076565 - RJ45 C 6 FTP 2M MOSAIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.25000000, NULL, 17.25000000, 3.45000000, 0.00000000, 0.00000000, 20.70000000, 0, NULL, NULL, 0, 13.27000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.25000000, 17.25000000, 3.45000000, 20.70000000),
(9234, 1491, NULL, NULL, NULL, 'LEG077111L - 2P+T FB BA SFC BLANC', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.18000000, NULL, 12.36000000, 2.47000000, 0.00000000, 0.00000000, 14.83000000, 0, NULL, NULL, 0, 4.76000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.18000000, 12.36000000, 2.47000000, 14.83000000),
(9235, 1491, NULL, NULL, NULL, 'LEG080251- SUPPORT BATIBOX 1 POSTE 2M&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.36000000, NULL, 4.72000000, 0.94000000, 0.00000000, 0.00000000, 5.66000000, 0, NULL, NULL, 0, 1.82000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.36000000, 4.72000000, 0.94000000, 5.66000000),
(9236, 1491, NULL, NULL, NULL, 'POUOCK6F8 - LOT8 NOYAU RJ45 K6 FTP', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 87.68000000, NULL, 87.68000000, 17.54000000, 0.00000000, 0.00000000, 105.22000000, 0, NULL, NULL, 0, 67.45000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 87.68000000, 87.68000000, 17.54000000, 105.22000000),
(9237, 1491, NULL, NULL, NULL, 'POUVOLSPK16- PANNEAU 16 PORT VOLITION RJ45 ND ANTHRACITE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 80.87000000, NULL, 80.87000000, 16.17000000, 0.00000000, 0.00000000, 97.04000000, 0, NULL, NULL, 0, 61.74000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 80.87000000, 80.87000000, 16.17000000, 97.04000000),
(9238, 1491, NULL, NULL, NULL, 'PLW16280- VIADIS 40X25BA', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 16.06000000, NULL, 64.24000000, 12.85000000, 0.00000000, 0.00000000, 77.09000000, 0, NULL, NULL, 0, 12.36000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.06000000, 64.24000000, 12.85000000, 77.09000000),
(9239, 1491, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(9240, 1491, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 5.5, 0, 0, NULL, 63.84000000, NULL, 351.12000000, 70.22000000, 0.00000000, 0.00000000, 421.34000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 351.12000000, 70.22000000, 421.34000000),
(9241, 1492, NULL, 952487, NULL, 'alumine 4,5 à 5,5 mm poids au kg', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 5.74000000, NULL, 20.09000000, 4.02000000, 0.00000000, 0.00000000, 24.11000000, 0, NULL, NULL, 0, 2.79000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.74000000, 20.09000000, 4.02000000, 24.11000000),
(9242, 1492, NULL, 1231706, NULL, 'recyclage alumine au kg', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 0.65000000, NULL, 2.28000000, 0.45000000, 0.00000000, 0.00000000, 2.73000000, 0, NULL, NULL, 0, 0.45000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.65000000, 2.28000000, 0.45000000, 2.73000000),
(9243, 1492, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(9244, 1492, NULL, 954141, NULL, 'PF005', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 47.00000000, NULL, 47.00000000, 9.40000000, 0.00000000, 0.00000000, 56.40000000, 0, NULL, NULL, 0, 23.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 47.00000000, 47.00000000, 9.40000000, 56.40000000),
(9245, 1492, NULL, 954292, NULL, 'PF0010', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 47.00000000, NULL, 47.00000000, 9.40000000, 0.00000000, 0.00000000, 56.40000000, 0, NULL, NULL, 0, 23.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 47.00000000, 47.00000000, 9.40000000, 56.40000000),
(9246, 1493, NULL, 1180022, NULL, 'KIT MAINTENANCE  V11 - V22', 20.000, '', 0.000, '0', 0.000, '0', 1, 30, 0, NULL, 509.00000000, NULL, 356.30000000, 71.26000000, 0.00000000, 0.00000000, 427.56000000, 0, NULL, NULL, 0, 224.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 509.00000000, 356.30000000, 71.26000000, 427.56000000),
(9247, 1494, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 328.38000000, NULL, 328.38000000, 65.68000000, 0.00000000, 0.00000000, 394.06000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 328.38000000, 328.38000000, 65.68000000, 394.06000000),
(9248, 1494, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9249, 1494, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 314.34000000, NULL, 314.34000000, 62.87000000, 0.00000000, 0.00000000, 377.21000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 314.34000000, 314.34000000, 62.87000000, 377.21000000),
(9250, 1494, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9251, 1494, NULL, NULL, NULL, 'Separateur de condensats et filtres reseaux Parker', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9252, 1494, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 122.76000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(9253, 1494, NULL, 1230960, NULL, 'ELEMENT AE080XL', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 302.00000000, NULL, 302.00000000, 60.40000000, 0.00000000, 0.00000000, 362.40000000, 0, NULL, NULL, 0, 227.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 302.00000000, 302.00000000, 60.40000000, 362.40000000),
(9254, 1494, NULL, 1230961, NULL, 'ELEMENT AE080L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 302.00000000, NULL, 302.00000000, 60.40000000, 0.00000000, 0.00000000, 362.40000000, 0, NULL, NULL, 0, 227.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 302.00000000, 302.00000000, 60.40000000, 362.40000000),
(9255, 1494, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9256, 1495, NULL, 1222543, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 24.98000000, NULL, 99.92000000, 19.98000000, 0.00000000, 0.00000000, 119.90000000, 0, NULL, NULL, 0, 12.13000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.98000000, 99.92000000, 19.98000000, 119.90000000),
(9257, 1495, NULL, 1586798, NULL, 'roulement 1211kj30', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 65.16000000, NULL, 130.32000000, 26.06000000, 0.00000000, 0.00000000, 156.38000000, 0, NULL, NULL, 0, 32.58000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.16000000, 130.32000000, 26.06000000, 156.38000000),
(9258, 1495, NULL, NULL, NULL, 'CONTACT MA + BOUTON TOURNAT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.00000000, NULL, 26.00000000, 5.20000000, 0.00000000, 0.00000000, 31.20000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.00000000, 26.00000000, 5.20000000, 31.20000000),
(9259, 1495, NULL, NULL, NULL, 'CONTACTEUR D09 + RELAIS THERMIQUE&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 139.65000000, NULL, 139.65000000, 27.93000000, 0.00000000, 0.00000000, 167.58000000, 0, NULL, NULL, 0, 105.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 139.65000000, 139.65000000, 27.93000000, 167.58000000),
(9260, 1495, NULL, NULL, NULL, 'PHI389109 - LAMPE SABLEUSE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.00000000, NULL, 78.00000000, 15.60000000, 0.00000000, 0.00000000, 93.60000000, 0, NULL, NULL, 0, 60.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.00000000, 78.00000000, 15.60000000, 93.60000000),
(9261, 1495, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 100, 0, 0, NULL, 0.97000000, NULL, 97.00000000, 19.40000000, 0.00000000, 0.00000000, 116.40000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 97.00000000, 19.40000000, 116.40000000),
(9262, 1495, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 19, 0, 0, NULL, 63.84000000, NULL, 1212.96000000, 242.59000000, 0.00000000, 0.00000000, 1455.55000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 1212.96000000, 242.59000000, 1455.55000000),
(9263, 1496, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 613.29000000, NULL, 613.29000000, 122.66000000, 0.00000000, 0.00000000, 735.95000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 613.29000000, 613.29000000, 122.66000000, 735.95000000),
(9264, 1496, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1476.83000000, NULL, 1476.83000000, 295.37000000, 0.00000000, 0.00000000, 1772.20000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1476.83000000, 1476.83000000, 295.37000000, 1772.20000000),
(9265, 1496, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.38000000, NULL, 8.38000000, 1.68000000, 0.00000000, 0.00000000, 10.06000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.38000000, 8.38000000, 1.68000000, 10.06000000),
(9266, 1497, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 643.72000000, NULL, 643.72000000, 128.74000000, 0.00000000, 0.00000000, 772.46000000, 0, NULL, NULL, 0, 484.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 643.72000000, 643.72000000, 128.74000000, 772.46000000),
(9267, 1498, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(9268, 1498, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(9269, 1498, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9270, 1498, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(9271, 1498, NULL, 1213335, NULL, 'CARTOUCHE E75 1\"1/2 FILTRE S-AIR XA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.68000000, NULL, 160.68000000, 32.14000000, 0.00000000, 0.00000000, 192.82000000, 0, NULL, NULL, 0, 78.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.68000000, 160.68000000, 32.14000000, 192.82000000),
(9272, 1498, NULL, 1213333, NULL, 'CARTOUCHE E75 1\"1/2 FILTRE S-AIR X1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.68000000, NULL, 160.68000000, 32.14000000, 0.00000000, 0.00000000, 192.82000000, 0, NULL, NULL, 0, 78.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.68000000, 160.68000000, 32.14000000, 192.82000000),
(9273, 1499, NULL, NULL, NULL, 'Maintenance L30RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9274, 1499, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(9275, 1499, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 378.25000000, NULL, 340.43000000, 68.08000000, 0.00000000, 0.00000000, 408.51000000, 0, NULL, NULL, 0, 226.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 378.25000000, 340.43000000, 68.08000000, 408.51000000),
(9276, 1499, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9277, 1499, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9278, 1499, NULL, NULL, NULL, 'Filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9279, 1499, NULL, 952690, NULL, 'cartouche media filtrant pne610rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 215.47000000, NULL, 215.47000000, 43.09000000, 0.00000000, 0.00000000, 258.56000000, 0, NULL, NULL, 0, 104.60000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 215.47000000, 215.47000000, 43.09000000, 258.56000000),
(9280, 1499, NULL, 1221466, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.36000000, NULL, 214.36000000, 42.87000000, 0.00000000, 0.00000000, 257.23000000, 0, NULL, NULL, 0, 104.06000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.36000000, 214.36000000, 42.87000000, 257.23000000),
(9281, 1499, NULL, 952863, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.28000000, NULL, 118.28000000, 23.66000000, 0.00000000, 0.00000000, 141.94000000, 0, NULL, NULL, 0, 57.42000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.28000000, 118.28000000, 23.66000000, 141.94000000),
(9282, 1499, NULL, 952864, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.28000000, NULL, 118.28000000, 23.66000000, 0.00000000, 0.00000000, 141.94000000, 0, NULL, NULL, 0, 57.42000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.28000000, 118.28000000, 23.66000000, 141.94000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(9283, 1499, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9284, 1499, NULL, NULL, NULL, 'Separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9285, 1499, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(9286, 1499, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9287, 1500, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 61.44000000, NULL, 245.76000000, 49.15000000, 0.00000000, 0.00000000, 294.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.44000000, 245.76000000, 49.15000000, 294.91000000),
(9288, 1500, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 95, 0, 0, NULL, 0.97000000, NULL, 92.15000000, 18.43000000, 0.00000000, 0.00000000, 110.58000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 92.15000000, 18.43000000, 110.58000000),
(9290, 1500, NULL, NULL, NULL, 'BY3 position', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.37000000, NULL, 24.37000000, 4.87000000, 0.00000000, 0.00000000, 29.24000000, 0, NULL, NULL, 0, 18.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.37000000, 24.37000000, 4.87000000, 29.24000000),
(9295, 1501, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(9296, 1501, NULL, 1190776, NULL, 'nombre de kilometres', 20.000, '', 0.000, '0', 0.000, '0', 80, 0, 0, NULL, 0.95000000, NULL, 76.00000000, 15.20000000, 0.00000000, 0.00000000, 91.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 76.00000000, 15.20000000, 91.20000000),
(9297, 1501, NULL, NULL, NULL, 'ZBE-102', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.98000000, NULL, 7.98000000, 1.60000000, 0.00000000, 0.00000000, 9.58000000, 0, NULL, NULL, 0, 6.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.98000000, 7.98000000, 1.60000000, 9.58000000),
(9299, 1502, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 112, 0, 0, NULL, 0.97000000, NULL, 108.64000000, 21.73000000, 0.00000000, 0.00000000, 130.37000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 108.64000000, 21.73000000, 130.37000000),
(9300, 1502, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(9301, 1503, NULL, 971028, NULL, 'About mâle inox ISO B 6 G1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 9.28000000, NULL, 92.80000000, 18.56000000, 0.00000000, 0.00000000, 111.36000000, 0, NULL, NULL, 0, 5.10400000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.28000000, 92.80000000, 18.56000000, 111.36000000),
(9302, 1504, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9303, 1504, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(9304, 1504, NULL, 955099, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.20000000, NULL, 123.20000000, 24.64000000, 0.00000000, 0.00000000, 147.84000000, 0, NULL, NULL, 0, 59.81000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.20000000, 123.20000000, 24.64000000, 147.84000000),
(9305, 1504, NULL, 954128, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.35000000, NULL, 14.35000000, 2.87000000, 0.00000000, 0.00000000, 17.22000000, 0, NULL, NULL, 0, 6.97000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.35000000, 14.35000000, 2.87000000, 17.22000000),
(9306, 1504, NULL, 952450, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 29.93000000, NULL, 29.93000000, 5.99000000, 0.00000000, 0.00000000, 35.92000000, 0, NULL, NULL, 0, 14.53000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.93000000, 29.93000000, 5.99000000, 35.92000000),
(9307, 1505, NULL, NULL, NULL, 'ESESC00001 -ESESC00001<br />\r\nSCHEDA XR60CX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.20000000, NULL, 150.20000000, 30.04000000, 0.00000000, 0.00000000, 180.24000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.20000000, 150.20000000, 30.04000000, 180.24000000),
(9308, 1505, NULL, NULL, NULL, '36518800015 -&nbsp;36518800015<br />\r\nSonde NTC<br />\r\nTPR 6X15 3.OMT IP67 INT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.74000000, NULL, 21.74000000, 4.35000000, 0.00000000, 0.00000000, 26.09000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.74000000, 21.74000000, 4.35000000, 26.09000000),
(9309, 1505, NULL, NULL, NULL, 'EQ1<br />\r\nPort EXAPAQ 0-10 kg brut<br />\r\nlivraison J+2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.00000000, NULL, 19.00000000, 3.80000000, 0.00000000, 0.00000000, 22.80000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.00000000, 19.00000000, 3.80000000, 22.80000000),
(9310, 1506, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 0.97000000, NULL, 38.80000000, 7.76000000, 0.00000000, 0.00000000, 46.56000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 38.80000000, 7.76000000, 46.56000000),
(9311, 1506, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(9312, 1506, NULL, NULL, NULL, 'a11507074 - capteur d&#39;occasion', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.00000000, NULL, 90.00000000, 18.00000000, 0.00000000, 0.00000000, 108.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.00000000, 90.00000000, 18.00000000, 108.00000000),
(9313, 1507, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 0.97000000, NULL, 38.80000000, 7.76000000, 0.00000000, 0.00000000, 46.56000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 38.80000000, 7.76000000, 46.56000000),
(9314, 1507, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(9316, 1502, NULL, NULL, NULL, 'LE1D12V7- DEM COFF 1S 12A 400V50 6002', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.27000000, NULL, 76.27000000, 15.25000000, 0.00000000, 0.00000000, 91.52000000, 0, NULL, NULL, 0, 58.67000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.27000000, 76.27000000, 15.25000000, 91.52000000),
(9317, 1502, NULL, NULL, NULL, 'LRD14- REL PROT 7A n10A 02', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 104.36000000, NULL, 104.36000000, 20.87000000, 0.00000000, 0.00000000, 125.23000000, 0, NULL, NULL, 0, 80.28000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 104.36000000, 104.36000000, 20.87000000, 125.23000000),
(9318, 1508, NULL, 944321, NULL, 'compresseur rotatif à vis librifiees à vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18269.85000000, NULL, 18269.85000000, 3653.97000000, 0.00000000, 0.00000000, 21923.82000000, 0, NULL, NULL, 0, 12400.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18269.85000000, 18269.85000000, 3653.97000000, 21923.82000000),
(9319, 1508, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.43000000, NULL, 144.43000000, 28.89000000, 0.00000000, 0.00000000, 173.32000000, 0, NULL, NULL, 0, 259.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.43000000, 144.43000000, 28.89000000, 173.32000000),
(9320, 1508, NULL, 952824, NULL, 'sécheur d\'air par réfrigération 480 m3/h racc 1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4579.47000000, NULL, 4579.47000000, 915.89000000, 0.00000000, 0.00000000, 5495.36000000, 0, NULL, NULL, 0, 2057.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4579.47000000, 4579.47000000, 915.89000000, 5495.36000000),
(9321, 1508, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1597.44000000, NULL, 1597.44000000, 319.49000000, 0.00000000, 0.00000000, 1916.93000000, 0, NULL, NULL, 0, 698.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1597.44000000, 1597.44000000, 319.49000000, 1916.93000000),
(9322, 1508, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 122.21000000, NULL, 122.21000000, 24.44000000, 0.00000000, 0.00000000, 146.65000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 122.21000000, 122.21000000, 24.44000000, 146.65000000),
(9323, 1508, NULL, 952654, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 494.34000000, NULL, 494.34000000, 98.87000000, 0.00000000, 0.00000000, 593.21000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 494.34000000, 494.34000000, 98.87000000, 593.21000000),
(9324, 1508, NULL, 952653, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 494.34000000, NULL, 494.34000000, 98.87000000, 0.00000000, 0.00000000, 593.21000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 494.34000000, 494.34000000, 98.87000000, 593.21000000),
(9325, 1508, NULL, 966221, NULL, 'Rouleau Teflon PTFE', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 0.72000000, NULL, 2.16000000, 0.43000000, 0.00000000, 0.00000000, 2.59000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.72000000, 2.16000000, 0.43000000, 2.59000000),
(9326, 1508, NULL, 1180510, NULL, 'OWAMAT 12 FILTER SET', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 376.62000000, NULL, 376.62000000, 75.32000000, 0.00000000, 0.00000000, 451.94000000, 0, NULL, NULL, 0, 186.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 376.62000000, 376.62000000, 75.32000000, 451.94000000),
(9327, 1508, NULL, 972631, NULL, 'Té égal Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.24000000, NULL, 16.20000000, 3.24000000, 0.00000000, 0.00000000, 19.44000000, 0, NULL, NULL, 0, 1.60600000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.24000000, 16.20000000, 3.24000000, 19.44000000),
(9328, 1508, NULL, 972586, NULL, 'Raccord droit mâle G1/4 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.31000000, NULL, 6.55000000, 1.31000000, 0.00000000, 0.00000000, 7.86000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.31000000, 6.55000000, 1.31000000, 7.86000000),
(9329, 1508, NULL, 972160, NULL, 'Tube polyamide Rilsan incolore 6x8 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.42000000, NULL, 52.42000000, 10.48000000, 0.00000000, 0.00000000, 62.90000000, 0, NULL, NULL, 0, 25.95000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.42000000, 52.42000000, 10.48000000, 62.90000000),
(9330, 1508, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.11000000, NULL, 8.22000000, 1.64000000, 0.00000000, 0.00000000, 9.86000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.11000000, 8.22000000, 1.64000000, 9.86000000),
(9331, 1508, NULL, 966729, NULL, 'Réduction conique M/F G1/2x1/4', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 1.06000000, NULL, 4.24000000, 0.85000000, 0.00000000, 0.00000000, 5.09000000, 0, NULL, NULL, 0, 0.47500000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.06000000, 4.24000000, 0.85000000, 5.09000000),
(9332, 1508, NULL, 972770, NULL, 'Coude tournant mâle G1/4 Ø8mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 2.72000000, NULL, 10.88000000, 2.18000000, 0.00000000, 0.00000000, 13.06000000, 0, NULL, NULL, 0, 1.35000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.72000000, 10.88000000, 2.18000000, 13.06000000),
(9333, 1508, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 10.44000000, NULL, 125.28000000, 25.06000000, 0.00000000, 0.00000000, 150.34000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.44000000, 125.28000000, 25.06000000, 150.34000000),
(9334, 1508, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 5.51000000, NULL, 22.04000000, 4.41000000, 0.00000000, 0.00000000, 26.45000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.51000000, 22.04000000, 4.41000000, 26.45000000),
(9335, 1508, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 11.82000000, NULL, 236.40000000, 47.28000000, 0.00000000, 0.00000000, 283.68000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.82000000, 236.40000000, 47.28000000, 283.68000000),
(9336, 1508, NULL, 1079818, NULL, 'Coude à 45° diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 11.03000000, NULL, 110.30000000, 22.06000000, 0.00000000, 0.00000000, 132.36000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.03000000, 110.30000000, 22.06000000, 132.36000000),
(9337, 1508, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 14.31000000, NULL, 114.48000000, 22.90000000, 0.00000000, 0.00000000, 137.38000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.31000000, 114.48000000, 22.90000000, 137.38000000),
(9338, 1508, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 30.27000000, NULL, 302.70000000, 60.54000000, 0.00000000, 0.00000000, 363.24000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.27000000, 302.70000000, 60.54000000, 363.24000000),
(9339, 1508, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 13.90000000, NULL, 139.00000000, 27.80000000, 0.00000000, 0.00000000, 166.80000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.90000000, 139.00000000, 27.80000000, 166.80000000),
(9340, 1508, NULL, 1079934, NULL, 'Raccord mixte mâle diam. ext. 35.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 16.06000000, NULL, 160.60000000, 32.12000000, 0.00000000, 0.00000000, 192.72000000, 0, NULL, NULL, 0, 10.18000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.06000000, 160.60000000, 32.12000000, 192.72000000),
(9341, 1508, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.33000000, NULL, 13.30000000, 2.66000000, 0.00000000, 0.00000000, 15.96000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.33000000, 13.30000000, 2.66000000, 15.96000000),
(9342, 1508, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.21000000, NULL, 8.21000000, 1.64000000, 0.00000000, 0.00000000, 9.85000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.21000000, 8.21000000, 1.64000000, 9.85000000),
(9343, 1508, NULL, 966508, NULL, 'Vanne F/F G1\"1/2 PN30 DN40', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 43.51000000, NULL, 435.10000000, 87.02000000, 0.00000000, 0.00000000, 522.12000000, 0, NULL, NULL, 0, 19.58000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 43.51000000, 435.10000000, 87.02000000, 522.12000000),
(9344, 1508, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.56000000, NULL, 1.56000000, 0.31000000, 0.00000000, 0.00000000, 1.87000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.56000000, 1.56000000, 0.31000000, 1.87000000),
(9345, 1508, NULL, 967552, NULL, 'Ensemble soufflage2 m 1/4 FetT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.22000000, NULL, 27.22000000, 5.44000000, 0.00000000, 0.00000000, 32.66000000, 0, NULL, NULL, 0, 13.47500000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.22000000, 27.22000000, 5.44000000, 32.66000000),
(9346, 1508, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.74000000, NULL, 27.74000000, 5.55000000, 0.00000000, 0.00000000, 33.29000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.74000000, 27.74000000, 5.55000000, 33.29000000),
(9347, 1508, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3499.55000000, NULL, 3499.55000000, 699.91000000, 0.00000000, 0.00000000, 4199.46000000, 0, NULL, NULL, 0, 5000.00000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3499.55000000, 3499.55000000, 699.91000000, 4199.46000000),
(9348, 1508, NULL, 1023874, NULL, 'Grille de reprise à ailettes fixes alu 600 X 600 URC600600ALU', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 104.13000000, NULL, 624.78000000, 124.96000000, 0.00000000, 0.00000000, 749.74000000, 0, NULL, NULL, 0, 50.96000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 104.13000000, 624.78000000, 124.96000000, 749.74000000),
(9349, 1508, NULL, 1024074, NULL, 'Volet de surpression 800 X 600 WSE800600', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 225.88000000, NULL, 225.88000000, 45.18000000, 0.00000000, 0.00000000, 271.06000000, 0, NULL, NULL, 0, 110.54400000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 225.88000000, 225.88000000, 45.18000000, 271.06000000),
(9350, 1508, NULL, 1024094, NULL, 'Volet de dépression 800 X 600 WSI800600', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 225.88000000, NULL, 225.88000000, 45.18000000, 0.00000000, 0.00000000, 271.06000000, 0, NULL, NULL, 0, 110.54400000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 225.88000000, 225.88000000, 45.18000000, 271.06000000),
(9351, 1508, NULL, NULL, NULL, 'vcf 22244- gaine complete', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 321.93000000, NULL, 321.93000000, 64.39000000, 0.00000000, 0.00000000, 386.32000000, 0, NULL, NULL, 0, 1980.00000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 321.93000000, 321.93000000, 64.39000000, 386.32000000),
(9352, 1508, NULL, NULL, NULL, 'isolant 22 et scotch', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 133.29000000, NULL, 133.29000000, 26.66000000, 0.00000000, 0.00000000, 159.95000000, 0, NULL, NULL, 0, 1132.00000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 133.29000000, 133.29000000, 26.66000000, 159.95000000),
(9353, 1509, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 492.10000000, NULL, 492.10000000, 98.42000000, 0.00000000, 0.00000000, 590.52000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 492.10000000, 492.10000000, 98.42000000, 590.52000000),
(9354, 1509, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9355, 1509, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 429.00000000, NULL, 429.00000000, 85.80000000, 0.00000000, 0.00000000, 514.80000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 429.00000000, 429.00000000, 85.80000000, 514.80000000),
(9356, 1509, NULL, 955221, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 281.89000000, NULL, 281.89000000, 56.38000000, 0.00000000, 0.00000000, 338.27000000, 0, NULL, NULL, 0, 136.84000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 281.89000000, 281.89000000, 56.38000000, 338.27000000),
(9357, 1510, NULL, 952836, NULL, 'sécheur a masse thermique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6100.00000000, NULL, 6100.00000000, 1220.00000000, 0.00000000, 0.00000000, 7320.00000000, 0, NULL, NULL, 0, 4600.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6100.00000000, 6100.00000000, 1220.00000000, 7320.00000000),
(9358, 1510, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 643.72000000, NULL, 643.72000000, 128.74000000, 0.00000000, 0.00000000, 772.46000000, 0, NULL, NULL, 0, 484.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 643.72000000, 643.72000000, 128.74000000, 772.46000000),
(9359, 1510, NULL, 1190349, NULL, 'girair diam 63', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 145.74000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(9360, 1511, NULL, NULL, NULL, 'Mensualit&eacute;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1419.00000000, NULL, 1419.00000000, 283.80000000, 0.00000000, 0.00000000, 1702.80000000, 0, '2019-05-16 12:00:00', NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1419.00000000, 1419.00000000, 283.80000000, 1702.80000000),
(9361, 1512, NULL, NULL, '1 Maintenance 4000Heures', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9362, 1512, NULL, 1179631, NULL, 'MINOR KIT C  L90-L132', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 352.17000000, NULL, 352.17000000, 70.43000000, 0.00000000, 0.00000000, 422.60000000, 0, NULL, NULL, 0, 161.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 352.17000000, 352.17000000, 70.43000000, 422.60000000),
(9363, 1512, NULL, 1179676, NULL, 'MINOR KIT D  L90 + L132 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1442.00000000, NULL, 1442.00000000, 288.40000000, 0.00000000, 0.00000000, 1730.40000000, 0, NULL, NULL, 0, 865.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1442.00000000, 1442.00000000, 288.40000000, 1730.40000000),
(9364, 1512, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9365, 1512, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 299.00000000, NULL, 598.00000000, 119.60000000, 0.00000000, 0.00000000, 717.60000000, 0, NULL, NULL, 0, 128.95000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 598.00000000, 119.60000000, 717.60000000),
(9366, 1512, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(9367, 1512, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9368, 1513, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.95000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(9369, 1514, NULL, NULL, 'Graisseurs : BL N° 17 du 31/10/2019', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9370, 1514, NULL, 1180339, NULL, 'MLS-CARTRIDGE 120 - CompAir', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 90.00000000, NULL, 180.00000000, 36.00000000, 0.00000000, 0.00000000, 216.00000000, 0, NULL, NULL, 0, 67.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.00000000, 180.00000000, 36.00000000, 216.00000000),
(9371, 1514, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(9372, 1514, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9373, 1514, NULL, NULL, NULL, 'bl N° 1 du 08/10/2019 - Sécheur COMPAIR F285C+ mise en place d\'un ventilateur provisoire', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9374, 1514, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 90, 0, 0, NULL, 0.97000000, NULL, 87.30000000, 17.46000000, 0.00000000, 0.00000000, 104.76000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 87.30000000, 17.46000000, 104.76000000),
(9375, 1514, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(9376, 1514, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9377, 1514, NULL, NULL, 'BL N°42 du 07/10/2019 - recherche de panne sur sécheur F285C+ ', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9378, 1514, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 90, 0, 0, NULL, 0.97000000, NULL, 87.30000000, 17.46000000, 0.00000000, 0.00000000, 104.76000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 87.30000000, 17.46000000, 104.76000000),
(9379, 1514, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(9380, 1514, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9381, 1514, NULL, NULL, NULL, 'BL N° 34 du 20/09/2019 - dépannage sur compresseur ALUP SCK101-8 - courroies cassées', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9382, 1514, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 90, 0, 0, NULL, 0.97000000, NULL, 87.30000000, 17.46000000, 0.00000000, 0.00000000, 104.76000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 87.30000000, 17.46000000, 104.76000000),
(9383, 1514, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(9384, 1514, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9385, 1515, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(9386, 1515, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9387, 1515, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(9388, 1515, NULL, 1222588, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(9389, 1515, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(9390, 1515, NULL, 969229, NULL, 'Cartouche 3 microns pour F602', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.93000000, NULL, 53.93000000, 10.79000000, 0.00000000, 0.00000000, 64.72000000, 0, NULL, NULL, 0, 26.18000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.93000000, 53.93000000, 10.79000000, 64.72000000),
(9391, 1516, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 114, 0, 0, NULL, 0.97000000, NULL, 110.58000000, 22.12000000, 0.00000000, 0.00000000, 132.70000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 110.58000000, 22.12000000, 132.70000000),
(9392, 1516, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(9393, 1516, NULL, 1586853, NULL, 'solenoid valve', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 362.95000000, NULL, 362.95000000, 72.59000000, 0.00000000, 0.00000000, 435.54000000, 0, NULL, NULL, 0, 252.90000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 362.95000000, 362.95000000, 72.59000000, 435.54000000),
(9394, 1517, NULL, 1221761, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.81000000, NULL, 16.81000000, 3.36000000, 0.00000000, 0.00000000, 20.17000000, 0, NULL, NULL, 0, 8.16000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.81000000, 16.81000000, 3.36000000, 20.17000000),
(9395, 1517, NULL, 954037, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.26000000, NULL, 35.26000000, 7.05000000, 0.00000000, 0.00000000, 42.31000000, 0, NULL, NULL, 0, 17.12000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.26000000, 35.26000000, 7.05000000, 42.31000000),
(9396, 1517, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 66.58000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(9397, 1517, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9398, 1517, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(9399, 1517, NULL, 954294, NULL, 'huile ingersolrand COOLANT - 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 110.82000000, NULL, 221.64000000, 44.33000000, 0.00000000, 0.00000000, 265.97000000, 0, NULL, NULL, 0, 85.25000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.82000000, 221.64000000, 44.33000000, 265.97000000),
(9400, 1518, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(9401, 1519, NULL, NULL, NULL, 'Acompte (10 800,00 &euro;) - CO2001-1276', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10800.00000000, NULL, 10800.00000000, 2160.00000000, 0.00000000, 0.00000000, 12960.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10800.00000000, 10800.00000000, 2160.00000000, 12960.00000000),
(9402, 1520, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(9403, 1520, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(9404, 1520, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9405, 1520, NULL, 955042, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 124.98000000, NULL, 124.98000000, 25.00000000, 0.00000000, 0.00000000, 149.98000000, 0, NULL, NULL, 0, 60.67000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 124.98000000, 124.98000000, 25.00000000, 149.98000000),
(9406, 1520, NULL, 951703, NULL, 'purgeur auto trou lisse 3/8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.27000000, NULL, 34.27000000, 6.85000000, 0.00000000, 0.00000000, 41.12000000, 0, NULL, NULL, 0, 16.64000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.27000000, 34.27000000, 6.85000000, 41.12000000),
(9407, 1521, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 47.5, 0, 0, NULL, -0.97000000, NULL, -46.08000000, -9.21000000, 0.00000000, 0.00000000, -55.29000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 46.08000000, 9.21000000, 55.29000000),
(9408, 1523, NULL, NULL, NULL, 'location BDS22 SULLAIR', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, -250.00000000, NULL, -2000.00000000, -400.00000000, 0.00000000, 0.00000000, -2400.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -250.00000000, -2000.00000000, -400.00000000, -2400.00000000),
(9409, 1524, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 90, 0, 0, NULL, -0.97000000, NULL, -87.30000000, -17.46000000, 0.00000000, 0.00000000, -104.76000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -0.97000000, -87.30000000, -17.46000000, -104.76000000),
(9410, 1524, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, -63.84000000, NULL, -319.20000000, -63.84000000, 0.00000000, 0.00000000, -383.04000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -63.84000000, -319.20000000, -63.84000000, -383.04000000),
(9411, 1524, NULL, NULL, NULL, 'boite canalys 50A 3x50AM', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -186.87000000, NULL, -186.87000000, -37.37000000, 0.00000000, 0.00000000, -224.24000000, 0, NULL, NULL, 0, 143.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -186.87000000, -186.87000000, -37.37000000, -224.24000000),
(9412, 1525, NULL, 971001, NULL, 'About mâle standard ISO B 6 G1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.30000000, NULL, 23.00000000, 4.60000000, 0.00000000, 0.00000000, 27.60000000, 0, NULL, NULL, 0, 1.27000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.30000000, 23.00000000, 4.60000000, 27.60000000),
(9413, 1525, NULL, 971003, NULL, 'About mâle standard ISO B 6 G3/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 3.10000000, NULL, 31.00000000, 6.20000000, 0.00000000, 0.00000000, 37.20000000, 0, NULL, NULL, 0, 1.71000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.10000000, 31.00000000, 6.20000000, 37.20000000),
(9414, 1525, NULL, 970936, NULL, 'Raccord mâle standard ISO B 6 G3/8', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 8.10000000, NULL, 121.50000000, 24.30000000, 0.00000000, 0.00000000, 145.80000000, 0, NULL, NULL, 0, 4.45500000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.10000000, 121.50000000, 24.30000000, 145.80000000),
(9415, 1525, NULL, 966730, NULL, 'Réduction conique M/F G1/2x3/8', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 0.85000000, NULL, 12.75000000, 2.55000000, 0.00000000, 0.00000000, 15.30000000, 0, NULL, NULL, 0, 0.43000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.85000000, 12.75000000, 2.55000000, 15.30000000),
(9416, 1525, NULL, 966265, NULL, 'Silencieux M cylindrique G1/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.95000000, NULL, 9.50000000, 1.90000000, 0.00000000, 0.00000000, 11.40000000, 0, NULL, NULL, 0, 0.47500000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 9.50000000, 1.90000000, 11.40000000),
(9417, 1525, NULL, 966266, NULL, 'Silencieux M cylindrique G1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.35000000, NULL, 13.50000000, 2.70000000, 0.00000000, 0.00000000, 16.20000000, 0, NULL, NULL, 0, 0.67500000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.35000000, 13.50000000, 2.70000000, 16.20000000),
(9418, 1526, NULL, 1186817, NULL, 'fan motor f. f0018h + f0024h; 50 hz', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 87.00000000, NULL, 87.00000000, 17.40000000, 0.00000000, 0.00000000, 104.40000000, 0, NULL, NULL, 0, 51.05000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 87.00000000, 87.00000000, 17.40000000, 104.40000000),
(9419, 1526, NULL, 1177967, NULL, 'THERMOST.INSERT 55 DGR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 321.00000000, NULL, 321.00000000, 64.20000000, 0.00000000, 0.00000000, 385.20000000, 0, NULL, NULL, 0, 176.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 321.00000000, 321.00000000, 64.20000000, 385.20000000),
(9420, 1526, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 110, 0, 0, NULL, 0.97000000, NULL, 106.70000000, 21.34000000, 0.00000000, 0.00000000, 128.04000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 106.70000000, 21.34000000, 128.04000000),
(9421, 1526, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 63.84000000, NULL, 383.04000000, 76.61000000, 0.00000000, 0.00000000, 459.65000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 383.04000000, 76.61000000, 459.65000000),
(9422, 1527, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(9423, 1527, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9424, 1527, NULL, 1221761, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.81000000, NULL, 16.81000000, 3.36000000, 0.00000000, 0.00000000, 20.17000000, 0, NULL, NULL, 0, 8.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.81000000, 16.81000000, 3.36000000, 20.17000000),
(9425, 1527, NULL, 955022, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 137.81000000, NULL, 137.81000000, 27.56000000, 0.00000000, 0.00000000, 165.37000000, 0, NULL, NULL, 0, 66.90000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 137.81000000, 137.81000000, 27.56000000, 165.37000000),
(9426, 1527, NULL, 1221774, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.14000000, NULL, 19.14000000, 3.83000000, 0.00000000, 0.00000000, 22.97000000, 0, NULL, NULL, 0, 9.38000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.14000000, 19.14000000, 3.83000000, 22.97000000),
(9427, 1528, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 90, 0, 0, NULL, -0.97000000, NULL, -87.30000000, -17.46000000, 0.00000000, 0.00000000, -104.76000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -0.97000000, -87.30000000, -17.46000000, -104.76000000),
(9428, 1528, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, -63.84000000, NULL, -191.52000000, -38.30000000, 0.00000000, 0.00000000, -229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -63.84000000, -191.52000000, -38.30000000, -229.82000000),
(9429, 1529, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 226.79000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(9430, 1530, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 538.00000000, NULL, 538.00000000, 107.60000000, 0.00000000, 0.00000000, 645.60000000, 0, NULL, NULL, 0, 399.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 538.00000000, 538.00000000, 107.60000000, 645.60000000),
(9431, 1530, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 340.00000000, NULL, 340.00000000, 68.00000000, 0.00000000, 0.00000000, 408.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 340.00000000, 340.00000000, 68.00000000, 408.00000000),
(9432, 1531, NULL, 954045, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(9433, 1531, NULL, 951970, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.06000000, NULL, 9.06000000, 1.81000000, 0.00000000, 0.00000000, 10.87000000, 0, NULL, NULL, 0, 4.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.06000000, 9.06000000, 1.81000000, 10.87000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(9434, 1531, NULL, 954296, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 56.56000000, NULL, 56.56000000, 11.31000000, 0.00000000, 0.00000000, 67.87000000, 0, NULL, NULL, 0, 27.46000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.56000000, 56.56000000, 11.31000000, 67.87000000),
(9435, 1531, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(9436, 1531, NULL, 1222512, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.86000000, NULL, 27.72000000, 5.54000000, 0.00000000, 0.00000000, 33.26000000, 0, NULL, NULL, 0, 7.19000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.86000000, 27.72000000, 5.54000000, 33.26000000),
(9437, 1531, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(9438, 1531, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9439, 1532, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(9440, 1532, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9441, 1532, NULL, 952668, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 98.88000000, NULL, 98.88000000, 19.78000000, 0.00000000, 0.00000000, 118.66000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 98.88000000, 98.88000000, 19.78000000, 118.66000000),
(9442, 1532, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(9443, 1532, NULL, 1222601, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.96000000, NULL, 53.88000000, 10.78000000, 0.00000000, 0.00000000, 64.66000000, 0, NULL, NULL, 0, 8.72000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.96000000, 53.88000000, 10.78000000, 64.66000000),
(9444, 1532, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(9445, 1532, NULL, 1190716, NULL, 'monture à niveau compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.40000000, NULL, 82.40000000, 16.48000000, 0.00000000, 0.00000000, 98.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.40000000, 82.40000000, 16.48000000, 98.88000000),
(9446, 1533, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9447, 1533, NULL, 1189329, NULL, 'filtre  711/715 (39x39x2)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.65000000, NULL, 39.65000000, 7.93000000, 0.00000000, 0.00000000, 47.58000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.65000000, 39.65000000, 7.93000000, 47.58000000),
(9448, 1533, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(9449, 1533, NULL, 1180048, NULL, 'KIT OIL CHANGE  VERTICAL CONCEPT MK2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 183.00000000, NULL, 183.00000000, 36.60000000, 0.00000000, 0.00000000, 219.60000000, 0, NULL, NULL, 0, 101.64000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 183.00000000, 183.00000000, 36.60000000, 219.60000000),
(9450, 1534, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(9451, 1534, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9452, 1534, NULL, 1221721, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 148.44000000, NULL, 148.44000000, 29.69000000, 0.00000000, 0.00000000, 178.13000000, 0, NULL, NULL, 0, 74.22000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 148.44000000, 148.44000000, 29.69000000, 178.13000000),
(9453, 1534, NULL, 1221771, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.34000000, NULL, 48.34000000, 9.67000000, 0.00000000, 0.00000000, 58.01000000, 0, NULL, NULL, 0, 24.17000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.34000000, 48.34000000, 9.67000000, 58.01000000),
(9454, 1534, NULL, 1221754, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.34000000, NULL, 48.34000000, 9.67000000, 0.00000000, 0.00000000, 58.01000000, 0, NULL, NULL, 0, 24.17000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.34000000, 48.34000000, 9.67000000, 58.01000000),
(9455, 1534, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(9456, 1535, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(9457, 1535, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9458, 1535, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(9459, 1535, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(9460, 1535, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(9461, 1535, NULL, 959162, NULL, 'OEKOSORB filter set for ÖWAMAT 1 & 2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.93000000, NULL, 99.93000000, 19.99000000, 0.00000000, 0.00000000, 119.92000000, 0, NULL, NULL, 0, 51.46000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.93000000, 99.93000000, 19.99000000, 119.92000000),
(9462, 1535, NULL, 952919, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 47.13000000, NULL, 47.13000000, 9.43000000, 0.00000000, 0.00000000, 56.56000000, 0, NULL, NULL, 0, 22.88000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 47.13000000, 47.13000000, 9.43000000, 56.56000000),
(9463, 1535, NULL, 952931, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.32000000, NULL, 57.32000000, 11.46000000, 0.00000000, 0.00000000, 68.78000000, 0, NULL, NULL, 0, 27.83000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.32000000, 57.32000000, 11.46000000, 68.78000000),
(9464, 1535, NULL, 1222521, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.88000000, NULL, 9.88000000, 1.98000000, 0.00000000, 0.00000000, 11.86000000, 0, NULL, NULL, 0, 4.80000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.88000000, 9.88000000, 1.98000000, 11.86000000),
(9465, 1535, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(9466, 1536, NULL, NULL, NULL, 'Maintenance L11RS sous contrat lissé', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9467, 1536, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 555.00000000, NULL, 555.00000000, 111.00000000, 0.00000000, 0.00000000, 666.00000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 555.00000000, 555.00000000, 111.00000000, 666.00000000),
(9468, 1536, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 101.69000000, NULL, 101.69000000, 20.34000000, 0.00000000, 0.00000000, 122.03000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 101.69000000, 101.69000000, 20.34000000, 122.03000000),
(9469, 1536, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.46000000, NULL, 109.46000000, 21.89000000, 0.00000000, 0.00000000, 131.35000000, 0, NULL, NULL, 0, 74.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.46000000, 109.46000000, 21.89000000, 131.35000000),
(9470, 1536, NULL, 1230901, NULL, 'SEPARATOR ST005 0-0101/SP015-022', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 222.00000000, NULL, 222.00000000, 44.40000000, 0.00000000, 0.00000000, 266.40000000, 0, NULL, NULL, 0, 133.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 222.00000000, 222.00000000, 44.40000000, 266.40000000),
(9471, 1536, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9472, 1536, NULL, NULL, NULL, 'filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9473, 1536, NULL, 953660, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 145.51000000, NULL, 145.51000000, 29.10000000, 0.00000000, 0.00000000, 174.61000000, 0, NULL, NULL, 0, 64.29000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 145.51000000, 145.51000000, 29.10000000, 174.61000000),
(9474, 1536, NULL, 953659, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 145.51000000, NULL, 145.51000000, 29.10000000, 0.00000000, 0.00000000, 174.61000000, 0, NULL, NULL, 0, 64.29000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 145.51000000, 145.51000000, 29.10000000, 174.61000000),
(9475, 1536, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9476, 1536, NULL, NULL, NULL, 'Separateur de condensats PURO MINI :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9477, 1536, NULL, 1297961, NULL, 'kit pour sep de cond puro mini', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 195.31000000, NULL, 195.31000000, 39.06000000, 0.00000000, 0.00000000, 234.37000000, 0, NULL, NULL, 0, 103.23000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 195.31000000, 195.31000000, 39.06000000, 234.37000000),
(9478, 1536, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9479, 1536, NULL, 954273, NULL, 'purgeur filtre BEA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(9480, 1536, NULL, NULL, NULL, 'Plus value - nombre d\'heures superieur à contrat lissé', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9481, 1536, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9482, 1536, NULL, NULL, NULL, 'changement purgeur filtre reseau', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9483, 1536, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9484, 1537, NULL, 1190376, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 331.44000000, NULL, 331.44000000, 66.29000000, 0.00000000, 0.00000000, 397.73000000, 0, NULL, NULL, 0, 249.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 331.44000000, 331.44000000, 66.29000000, 397.73000000),
(9485, 1538, NULL, 1231814, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 10.67000000, NULL, 53.35000000, 10.67000000, 0.00000000, 0.00000000, 64.02000000, 0, NULL, NULL, 0, 7.85000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.67000000, 53.35000000, 10.67000000, 64.02000000),
(9486, 1539, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 71, 0, 0, NULL, 0.97000000, NULL, 68.87000000, 13.77000000, 0.00000000, 0.00000000, 82.64000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 68.87000000, 13.77000000, 82.64000000),
(9487, 1539, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(9488, 1539, NULL, 1297968, NULL, 'pressostat', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.00000000, NULL, 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 60.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.00000000, 110.00000000, 22.00000000, 132.00000000),
(9489, 1540, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 52, 0, 0, NULL, 0.97000000, NULL, 50.44000000, 10.09000000, 0.00000000, 0.00000000, 60.53000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 50.44000000, 10.09000000, 60.53000000),
(9490, 1540, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(9492, 1541, NULL, NULL, NULL, 'Acompte (90%) - CO1910-1187', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7410.27000000, NULL, 7410.27000000, 1482.05000000, 0.00000000, 0.00000000, 8892.32000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7410.27000000, 7410.27000000, 1482.05000000, 8892.32000000),
(9493, 1542, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(9494, 1542, NULL, 1190535, NULL, 'main d&#39;oeuvre &amp; tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(9500, 1543, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(9501, 1544, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 226.79000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(9502, 1545, NULL, 1217860, NULL, 'SOUPAPE 2800/D7 1/4\" 10.5bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.07000000, NULL, 30.07000000, 6.01000000, 0.00000000, 0.00000000, 36.08000000, 0, NULL, NULL, 0, 14.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.07000000, 30.07000000, 6.01000000, 36.08000000),
(9503, 1545, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.30000000, NULL, 10.30000000, 2.06000000, 0.00000000, 0.00000000, 12.36000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 10.30000000, 2.06000000, 12.36000000),
(9504, 1545, NULL, 1211823, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 1, NULL, NULL, 0, 18.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(9505, 1545, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(9506, 1546, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 350.00000000, NULL, 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(9507, 1546, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9508, 1546, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(9509, 1546, NULL, 955041, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(9510, 1546, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(9511, 1546, NULL, 952001, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.37000000, NULL, 33.37000000, 6.67000000, 0.00000000, 0.00000000, 40.04000000, 0, NULL, NULL, 0, 16.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.37000000, 33.37000000, 6.67000000, 40.04000000),
(9512, 1546, NULL, 1297968, NULL, 'pressostat', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.00000000, NULL, 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 60.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.00000000, 110.00000000, 22.00000000, 132.00000000),
(9513, 1547, NULL, NULL, NULL, 'L07RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9514, 1547, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(9515, 1547, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9516, 1547, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(9517, 1547, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.25000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 32.50000000, 6.50000000, 39.00000000),
(9518, 1547, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 32.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(9519, 1547, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(9520, 1547, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 8.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(9521, 1547, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9522, 1548, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.95000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(9523, 1549, NULL, NULL, NULL, '438-015-22 DISTRIB 3/2 NF MONO 1/8', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 54.58000000, NULL, 1091.60000000, 218.32000000, 0.00000000, 0.00000000, 1309.92000000, 0, NULL, NULL, 0, 41.22000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 54.58000000, 1091.60000000, 218.32000000, 1309.92000000),
(9524, 1549, NULL, NULL, NULL, 'cam 01- frais de port&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.00000000, NULL, 21.00000000, 4.20000000, 0.00000000, 0.00000000, 25.20000000, 0, NULL, NULL, 0, 21.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.00000000, 21.00000000, 4.20000000, 25.20000000),
(9525, 1550, NULL, 1586854, NULL, 'secheur par réfrigeration 18 m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 719.44000000, NULL, 719.44000000, 143.89000000, 0.00000000, 0.00000000, 863.33000000, 0, NULL, NULL, 0, 529.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 719.44000000, 719.44000000, 143.89000000, 863.33000000),
(9526, 1550, NULL, 952645, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.35000000, NULL, 120.35000000, 24.07000000, 0.00000000, 0.00000000, 144.42000000, 0, NULL, NULL, 0, 83.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.35000000, 120.35000000, 24.07000000, 144.42000000),
(9527, 1550, NULL, 952644, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.35000000, NULL, 120.35000000, 24.07000000, 0.00000000, 0.00000000, 144.42000000, 0, NULL, NULL, 0, 83.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.35000000, 120.35000000, 24.07000000, 144.42000000),
(9528, 1550, NULL, 966744, NULL, 'Réduction cylind. M/F G3/8x1/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 0.55000000, NULL, 1.10000000, 0.22000000, 0.00000000, 0.00000000, 1.32000000, 0, NULL, NULL, 0, 0.27500000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.55000000, 1.10000000, 0.22000000, 1.32000000),
(9529, 1550, NULL, 966927, NULL, 'Coude M/M G1/4x1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.10000000, NULL, 1.10000000, 0.22000000, 0.00000000, 0.00000000, 1.32000000, 0, NULL, NULL, 0, 0.55000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.10000000, 1.10000000, 0.22000000, 1.32000000),
(9530, 1550, NULL, 966811, NULL, 'Manchon égal F/F G1/4x1/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.65000000, NULL, 0.65000000, 0.13000000, 0.00000000, 0.00000000, 0.78000000, 0, NULL, NULL, 0, 0.33000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.65000000, 0.65000000, 0.13000000, 0.78000000),
(9531, 1551, NULL, NULL, '1 Pour l\'ensemble des compresseurs :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9532, 1551, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(9533, 1551, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9534, 1551, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 28.42000000, NULL, 56.84000000, 11.37000000, 0.00000000, 0.00000000, 68.21000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 56.84000000, 11.37000000, 68.21000000),
(9535, 1551, NULL, 1223588, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 38.08000000, NULL, 152.32000000, 30.46000000, 0.00000000, 0.00000000, 182.78000000, 0, NULL, NULL, 0, 19.04000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.08000000, 152.32000000, 30.46000000, 182.78000000),
(9537, 1551, NULL, 966503, NULL, 'Vanne F/F G3/8 PN50 DN10', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.98000000, NULL, 11.96000000, 2.39000000, 0.00000000, 0.00000000, 14.35000000, 0, NULL, NULL, 0, 2.99000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.98000000, 11.96000000, 2.39000000, 14.35000000),
(9538, 1551, NULL, 966934, NULL, 'Coude F/F G3/8', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.95000000, NULL, 3.90000000, 0.78000000, 0.00000000, 0.00000000, 4.68000000, 0, NULL, NULL, 0, 0.97500000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.95000000, 3.90000000, 0.78000000, 4.68000000),
(9539, 1551, NULL, 966697, NULL, 'Mamelon conique G3/8x1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.20000000, NULL, 2.40000000, 0.48000000, 0.00000000, 0.00000000, 2.88000000, 0, NULL, NULL, 0, 0.60000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.20000000, 2.40000000, 0.48000000, 2.88000000),
(9540, 1552, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(9541, 1552, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9542, 1552, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(9543, 1552, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(9544, 1552, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 59.69000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(9545, 1553, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 106, 0, 0, NULL, 0.97000000, NULL, 102.82000000, 20.56000000, 0.00000000, 0.00000000, 123.38000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 102.82000000, 20.56000000, 123.38000000),
(9546, 1553, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(9547, 1554, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(9548, 1554, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 0, NULL, NULL, 0, 171.25000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(9549, 1554, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9550, 1555, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(9551, 1555, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9552, 1555, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(9553, 1555, NULL, 1231578, NULL, 'cartouche E80 1\"1/2 xa', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.00000000, NULL, 91.00000000, 18.20000000, 0.00000000, 0.00000000, 109.20000000, 0, NULL, NULL, 0, 59.15000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.00000000, 91.00000000, 18.20000000, 109.20000000),
(9554, 1555, NULL, 1231579, NULL, 'cartouche e80 1\"1/2 x1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.00000000, NULL, 91.00000000, 18.20000000, 0.00000000, 0.00000000, 109.20000000, 0, NULL, NULL, 0, 59.15000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.00000000, 91.00000000, 18.20000000, 109.20000000),
(9555, 1555, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 122.76000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(9562, 1557, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(9563, 1557, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(9564, 1558, NULL, NULL, NULL, 'GROUPE FROID OMI', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 375.00000000, NULL, 375.00000000, 75.00000000, 0.00000000, 0.00000000, 450.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 375.00000000, 375.00000000, 75.00000000, 450.00000000),
(9565, 1558, NULL, NULL, NULL, 'FRAIS DE PORT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 1, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(9566, 1559, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(9567, 1559, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9568, 1559, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(9569, 1559, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 243.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(9570, 1559, NULL, 1179719, NULL, 'MAJOR KIT E                     L 15- 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 178.40000000, NULL, 178.40000000, 35.68000000, 0.00000000, 0.00000000, 214.08000000, 0, NULL, NULL, 0, 109.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 178.40000000, 178.40000000, 35.68000000, 214.08000000),
(9571, 1559, NULL, 1586816, NULL, 'ventilateur armoire electrique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.00000000, NULL, 90.00000000, 18.00000000, 0.00000000, 0.00000000, 108.00000000, 0, NULL, NULL, 0, 60.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.00000000, 90.00000000, 18.00000000, 108.00000000),
(9572, 1560, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(9573, 1561, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 510.72000000, NULL, 510.72000000, 102.14000000, 0.00000000, 0.00000000, 612.86000000, 0, NULL, NULL, 0, 384.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 510.72000000, 510.72000000, 102.14000000, 612.86000000),
(9574, 1561, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(9575, 1561, NULL, 1223702, NULL, 'adaptation filtre &agrave; air - site poussiereux', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 80.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(9576, 1561, NULL, 1586846, NULL, 'compresseur à régime lent montés sur réservoir', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2492.60000000, NULL, 2492.60000000, 498.52000000, 0.00000000, 0.00000000, 2991.12000000, 0, NULL, NULL, 0, 2061.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2492.60000000, 2492.60000000, 498.52000000, 2991.12000000),
(9577, 1561, NULL, NULL, NULL, 'roulettes diam&egrave;tre 150 mm&nbsp;comprenant&nbsp;deux&nbsp; montures pivotantes &agrave; frein et deux montures pivotantes pour une charge de 1050 KG.&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 19.95000000, NULL, 79.80000000, 15.96000000, 0.00000000, 0.00000000, 95.76000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.95000000, 79.80000000, 15.96000000, 95.76000000),
(9578, 1561, NULL, 1586851, NULL, 'filtre regulateur 1/2 2600 l/min', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 88.40000000, NULL, 88.40000000, 17.68000000, 0.00000000, 0.00000000, 106.08000000, 0, NULL, NULL, 0, 48.62000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.40000000, 88.40000000, 17.68000000, 106.08000000),
(9579, 1561, NULL, 1222643, NULL, 'Main d&#39;oeuvre&nbsp;<br />\r\nmontage en atelier roues sur reservoir&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.00000000, NULL, 200.00000000, 40.00000000, 0.00000000, 0.00000000, 240.00000000, 0, NULL, NULL, 0, 144.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.00000000, 200.00000000, 40.00000000, 240.00000000),
(9580, 1562, NULL, NULL, '2 Maintenance compresseur :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9581, 1562, NULL, 955044, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.32000000, NULL, 76.32000000, 15.26000000, 0.00000000, 0.00000000, 91.58000000, 0, NULL, NULL, 0, 41.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.32000000, 76.32000000, 15.26000000, 91.58000000),
(9582, 1562, NULL, 952140, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.99000000, NULL, 30.99000000, 6.20000000, 0.00000000, 0.00000000, 37.19000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.99000000, 30.99000000, 6.20000000, 37.19000000),
(9583, 1562, NULL, 954053, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.56000000, NULL, 35.56000000, 7.11000000, 0.00000000, 0.00000000, 42.67000000, 0, NULL, NULL, 0, 19.54000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.56000000, 35.56000000, 7.11000000, 42.67000000),
(9584, 1562, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9585, 1562, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.30000000, NULL, 27.30000000, 5.46000000, 0.00000000, 0.00000000, 32.76000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.30000000, 27.30000000, 5.46000000, 32.76000000),
(9586, 1562, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(9587, 1562, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9588, 1562, NULL, NULL, NULL, 'renner', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9589, 1562, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(9590, 1562, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9591, 1562, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(9592, 1562, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(9593, 1562, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.00000000, NULL, 113.00000000, 22.60000000, 0.00000000, 0.00000000, 135.60000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.00000000, 113.00000000, 22.60000000, 135.60000000),
(9594, 1562, NULL, NULL, NULL, '00719 - courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9595, 1562, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9596, 1562, NULL, NULL, NULL, 'filtres reseaux', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9597, 1562, NULL, 1231554, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 60.24000000, NULL, 60.24000000, 12.05000000, 0.00000000, 0.00000000, 72.29000000, 0, NULL, NULL, 0, 22.12000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 60.24000000, 60.24000000, 12.05000000, 72.29000000),
(9598, 1562, NULL, 952679, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(9599, 1562, NULL, 952678, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 76.83000000, NULL, 153.66000000, 30.73000000, 0.00000000, 0.00000000, 184.39000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 153.66000000, 30.73000000, 184.39000000),
(9600, 1562, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9601, 1563, NULL, 1223832, NULL, 'element seprateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 168.48000000, NULL, 168.48000000, 33.70000000, 0.00000000, 0.00000000, 202.18000000, 0, NULL, NULL, 0, 129.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 168.48000000, 168.48000000, 33.70000000, 202.18000000),
(9602, 1563, NULL, 1223833, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 44.46000000, NULL, 44.46000000, 8.89000000, 0.00000000, 0.00000000, 53.35000000, 0, NULL, NULL, 0, 34.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 44.46000000, 44.46000000, 8.89000000, 53.35000000),
(9603, 1563, NULL, 1298108, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 36.12000000, NULL, 36.12000000, 7.22000000, 0.00000000, 0.00000000, 43.34000000, 0, NULL, NULL, 0, 18.06000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.12000000, 36.12000000, 7.22000000, 43.34000000),
(9604, 1563, NULL, 1222540, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 22.45000000, NULL, 67.35000000, 13.47000000, 0.00000000, 0.00000000, 80.82000000, 0, NULL, NULL, 0, 12.14000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.45000000, 67.35000000, 13.47000000, 80.82000000),
(9605, 1563, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9606, 1563, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(9607, 1563, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(9608, 1564, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9609, 1564, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(9610, 1564, NULL, 1179637, NULL, 'MINOR SERVICE KIT L11VS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.40000000, NULL, 63.40000000, 12.68000000, 0.00000000, 0.00000000, 76.08000000, 0, NULL, NULL, 0, 24.25000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.40000000, 63.40000000, 12.68000000, 76.08000000),
(9611, 1564, NULL, 1188120, NULL, 'INTERIM SERVICE KIT L11VS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 847.77000000, NULL, 847.77000000, 169.55000000, 0.00000000, 0.00000000, 1017.32000000, 0, NULL, NULL, 0, 411.54000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 847.77000000, 847.77000000, 169.55000000, 1017.32000000),
(9612, 1564, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 53.32000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(9613, 1564, NULL, 944529, NULL, 'filtre reseau cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 146.26000000, NULL, 146.26000000, 29.25000000, 0.00000000, 0.00000000, 175.51000000, 0, NULL, NULL, 0, 71.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 146.26000000, 146.26000000, 29.25000000, 175.51000000),
(9614, 1564, NULL, 1179748, NULL, 'MAJOR SERVICE KIT L11VS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 293.00000000, NULL, 293.00000000, 58.60000000, 0.00000000, 0.00000000, 351.60000000, 0, NULL, NULL, 0, 176.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 293.00000000, 293.00000000, 58.60000000, 351.60000000),
(9615, 1565, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 540.00000000, NULL, 540.00000000, 108.00000000, 0.00000000, 0.00000000, 648.00000000, 0, NULL, NULL, 0, 379.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 540.00000000, 540.00000000, 108.00000000, 648.00000000),
(9616, 1565, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 84.00000000, NULL, 84.00000000, 16.80000000, 0.00000000, 0.00000000, 100.80000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 84.00000000, 84.00000000, 16.80000000, 100.80000000),
(9617, 1565, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 450.00000000, NULL, 450.00000000, 90.00000000, 0.00000000, 0.00000000, 540.00000000, 0, NULL, NULL, 0, 338.34000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 450.00000000, 450.00000000, 90.00000000, 540.00000000),
(9618, 1566, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 577.22000000, NULL, 577.22000000, 115.44000000, 0.00000000, 0.00000000, 692.66000000, 0, NULL, NULL, 0, 434.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 577.22000000, 577.22000000, 115.44000000, 692.66000000),
(9619, 1566, NULL, 1079856, NULL, 'Té égal diam. ext. 76', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 115.23000000, NULL, 230.46000000, 46.09000000, 0.00000000, 0.00000000, 276.55000000, 0, NULL, NULL, 0, 81.15000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 115.23000000, 230.46000000, 46.09000000, 276.55000000),
(9620, 1566, NULL, 1079981, NULL, 'Raccord mixte à bride diam. ext. 76.DN65 PN16', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 126.29000000, NULL, 252.58000000, 50.52000000, 0.00000000, 0.00000000, 303.10000000, 0, NULL, NULL, 0, 88.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 126.29000000, 252.58000000, 50.52000000, 303.10000000),
(9621, 1566, NULL, 1079791, NULL, 'Courbe à 90° diamètre extérieur 76', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.99000000, NULL, 127.98000000, 25.60000000, 0.00000000, 0.00000000, 153.58000000, 0, NULL, NULL, 0, 45.07000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.99000000, 127.98000000, 25.60000000, 153.58000000),
(9622, 1566, NULL, 1080073, NULL, 'Tube \"air comprimé\" diam. ext. 76', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 20.55000000, NULL, 123.30000000, 24.66000000, 0.00000000, 0.00000000, 147.96000000, 0, NULL, NULL, 0, 14.47000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.55000000, 123.30000000, 24.66000000, 147.96000000),
(9623, 1566, NULL, 1190649, NULL, 'console', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.42000000, NULL, 24.42000000, 4.88000000, 0.00000000, 0.00000000, 29.30000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.42000000, 24.42000000, 4.88000000, 29.30000000),
(9624, 1566, NULL, 1080117, NULL, 'Collier protégé pour tube diam. 76 - M8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.15000000, NULL, 2.15000000, 0.43000000, 0.00000000, 0.00000000, 2.58000000, 0, NULL, NULL, 0, 1.51000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.15000000, 2.15000000, 0.43000000, 2.58000000),
(9625, 1566, NULL, 1079997, NULL, 'Manchon diamètre extérieur 76', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 41.35000000, NULL, 41.35000000, 8.27000000, 0.00000000, 0.00000000, 49.62000000, 0, NULL, NULL, 0, 29.12000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.35000000, 41.35000000, 8.27000000, 49.62000000),
(9626, 1566, NULL, NULL, NULL, 'boulons + ecrous+ rondelles', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 3.50000000, NULL, 84.00000000, 16.80000000, 0.00000000, 0.00000000, 100.80000000, 0, NULL, NULL, 0, 2.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.50000000, 84.00000000, 16.80000000, 100.80000000),
(9627, 1566, NULL, NULL, NULL, 'VP OC ACIER DN80 PN25<br />\r\nAIR COMPRIME 20 BARS MAXI', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 585.00000000, NULL, 1170.00000000, 234.00000000, 0.00000000, 0.00000000, 1404.00000000, 0, NULL, NULL, 0, 450.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 585.00000000, 1170.00000000, 234.00000000, 1404.00000000),
(9628, 1566, NULL, NULL, NULL, 'VP OC ACIER DN65 PN25<br />\r\nAIR COMPRIME 20 BARS MAXI', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 494.00000000, NULL, 494.00000000, 98.80000000, 0.00000000, 0.00000000, 592.80000000, 0, NULL, NULL, 0, 380.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 494.00000000, 494.00000000, 98.80000000, 592.80000000),
(9629, 1567, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9630, 1567, NULL, 1230990, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 407.10000000, NULL, 407.10000000, 81.42000000, 0.00000000, 0.00000000, 488.52000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.10000000, 407.10000000, 81.42000000, 488.52000000),
(9631, 1567, NULL, 953186, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 191.25000000, NULL, 191.25000000, 38.25000000, 0.00000000, 0.00000000, 229.50000000, 0, NULL, NULL, 0, 92.84000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 191.25000000, 191.25000000, 38.25000000, 229.50000000),
(9632, 1567, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(9633, 1567, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(9634, 1567, NULL, 1213316, NULL, 'CARTOUCHE E100 1\"1/2 FILTRE S-AIR XAC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(9635, 1567, NULL, 1213315, NULL, 'CARTOUCHE E100 1\"1/2 FILTRE S-AIR XA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(9636, 1567, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(9637, 1568, NULL, NULL, NULL, 'Acompte (1 946,40 &euro;) - PR2002-1408', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1946.40000000, NULL, 1946.40000000, 389.28000000, 0.00000000, 0.00000000, 2335.68000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1946.40000000, 1946.40000000, 389.28000000, 2335.68000000),
(9638, 1570, NULL, NULL, NULL, 'Acompte (30%) - CO1907-1001', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -2680.50000000, NULL, -2680.50000000, -536.10000000, 0.00000000, 0.00000000, -3216.60000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -2680.50000000, -2680.50000000, -536.10000000, -3216.60000000),
(9639, 1571, NULL, 1222494, NULL, 'courroie_extra_clasica_a70', 20.000, '', 0.000, '0', 0.000, '0', 2, 20, 0, NULL, 29.75000000, NULL, 47.60000000, 9.52000000, 0.00000000, 0.00000000, 57.12000000, 0, NULL, NULL, 0, 6.59000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.75000000, 47.60000000, 9.52000000, 57.12000000),
(9640, 1571, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 18.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 18.00000000, 3.60000000, 21.60000000),
(9641, 1572, NULL, 969798, NULL, 'Manchon égal Ø32mm', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 3.68000000, NULL, 25.76000000, 5.15000000, 0.00000000, 0.00000000, 30.91000000, 0, NULL, NULL, 0, 2.20800000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.68000000, 25.76000000, 5.15000000, 30.91000000),
(9642, 1572, NULL, 969796, NULL, 'Manchon égal Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.33000000, NULL, 11.65000000, 2.33000000, 0.00000000, 0.00000000, 13.98000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 11.65000000, 2.33000000, 13.98000000),
(9643, 1572, NULL, 969825, NULL, 'Té égal Ø32mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.68000000, NULL, 26.72000000, 5.34000000, 0.00000000, 0.00000000, 32.06000000, 0, NULL, NULL, 0, 4.00800000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.68000000, 26.72000000, 5.34000000, 32.06000000),
(9644, 1572, NULL, 969870, NULL, 'Réduction double Ø32x20mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.13000000, NULL, 16.52000000, 3.30000000, 0.00000000, 0.00000000, 19.82000000, 0, NULL, NULL, 0, 2.47800000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.13000000, 16.52000000, 3.30000000, 19.82000000),
(9645, 1572, NULL, 969972, NULL, 'Applique murale G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.10000000, NULL, 10.20000000, 2.04000000, 0.00000000, 0.00000000, 12.24000000, 0, NULL, NULL, 0, 3.06000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.10000000, 10.20000000, 2.04000000, 12.24000000),
(9646, 1573, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(9647, 1573, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(9648, 1574, NULL, 1178077, NULL, 'INTAKE CONTROLLER', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1360.00000000, NULL, 1360.00000000, 272.00000000, 0.00000000, 0.00000000, 1632.00000000, 0, NULL, NULL, 0, 1088.64000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1360.00000000, 1360.00000000, 272.00000000, 1632.00000000),
(9649, 1574, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.00000000, 40.00000000, 8.00000000, 48.00000000),
(9650, 1574, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 5, 0, NULL, 63.84000000, NULL, 60.65000000, 12.13000000, 0.00000000, 0.00000000, 72.78000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 60.65000000, 12.13000000, 72.78000000),
(9651, 1575, NULL, NULL, NULL, 'l80', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9652, 1575, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(9653, 1575, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9654, 1575, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 429.00000000, NULL, 429.00000000, 85.80000000, 0.00000000, 0.00000000, 514.80000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 429.00000000, 429.00000000, 85.80000000, 514.80000000),
(9655, 1575, NULL, 1305524, NULL, 'SEPARATOR KIT D  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1387.00000000, NULL, 1387.00000000, 277.40000000, 0.00000000, 0.00000000, 1664.40000000, 0, NULL, NULL, 0, 610.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1387.00000000, 1387.00000000, 277.40000000, 1664.40000000),
(9656, 1575, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.95000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(9657, 1575, NULL, 953196, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 296.61000000, NULL, 296.61000000, 59.32000000, 0.00000000, 0.00000000, 355.93000000, 0, NULL, NULL, 0, 143.99000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 296.61000000, 296.61000000, 59.32000000, 355.93000000),
(9658, 1575, NULL, 1238456, NULL, 'micro filtre 0.1 mic', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 172.72000000, NULL, 172.72000000, 34.54000000, 0.00000000, 0.00000000, 207.26000000, 0, NULL, NULL, 0, 86.36000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 172.72000000, 172.72000000, 34.54000000, 207.26000000),
(9659, 1575, NULL, 1238457, NULL, 'SUBMICROFILTRE 0,01 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 127.72000000, NULL, 127.72000000, 25.54000000, 0.00000000, 0.00000000, 153.26000000, 0, NULL, NULL, 0, 63.86000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 127.72000000, 127.72000000, 25.54000000, 153.26000000),
(9660, 1575, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9661, 1576, NULL, 1176433, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(9662, 1576, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 90, 0, 0, NULL, 0.97000000, NULL, 87.30000000, 17.46000000, 0.00000000, 0.00000000, 104.76000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 87.30000000, 17.46000000, 104.76000000),
(9663, 1576, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(9664, 1577, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 6.20000000, NULL, 310.00000000, 62.00000000, 0.00000000, 0.00000000, 372.00000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 310.00000000, 62.00000000, 372.00000000),
(9665, 1577, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 45, 0, 0, NULL, 9.40000000, NULL, 423.00000000, 84.60000000, 0.00000000, 0.00000000, 507.60000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.40000000, 423.00000000, 84.60000000, 507.60000000),
(9666, 1577, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 16.54000000, NULL, 66.16000000, 13.23000000, 0.00000000, 0.00000000, 79.39000000, 0, NULL, NULL, 0, 8.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.54000000, 66.16000000, 13.23000000, 79.39000000),
(9667, 1577, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 21.38000000, NULL, 171.04000000, 34.21000000, 0.00000000, 0.00000000, 205.25000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.38000000, 171.04000000, 34.21000000, 205.25000000),
(9668, 1577, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 12.88000000, NULL, 38.64000000, 7.73000000, 0.00000000, 0.00000000, 46.37000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.88000000, 38.64000000, 7.73000000, 46.37000000),
(9669, 1577, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 9.07000000, NULL, 136.05000000, 27.21000000, 0.00000000, 0.00000000, 163.26000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.07000000, 136.05000000, 27.21000000, 163.26000000),
(9670, 1577, NULL, 1080050, NULL, 'Courbe à 180° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 8.27000000, NULL, 165.40000000, 33.08000000, 0.00000000, 0.00000000, 198.48000000, 0, NULL, NULL, 0, 5.82000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.27000000, 165.40000000, 33.08000000, 198.48000000),
(9671, 1577, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 7.39000000, NULL, 147.80000000, 29.56000000, 0.00000000, 0.00000000, 177.36000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 147.80000000, 29.56000000, 177.36000000),
(9672, 1577, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 14.58000000, NULL, 291.60000000, 58.32000000, 0.00000000, 0.00000000, 349.92000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.58000000, 291.60000000, 58.32000000, 349.92000000),
(9673, 1577, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 1.20000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.20000000, 18.00000000, 3.60000000, 21.60000000),
(9674, 1577, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 1.12000000, NULL, 22.40000000, 4.48000000, 0.00000000, 0.00000000, 26.88000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 22.40000000, 4.48000000, 26.88000000),
(9675, 1577, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 480.00000000, NULL, 480.00000000, 96.00000000, 0.00000000, 0.00000000, 576.00000000, 0, NULL, NULL, 0, 400.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 480.00000000, 480.00000000, 96.00000000, 576.00000000),
(9676, 1577, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2350.00000000, NULL, 2350.00000000, 470.00000000, 0.00000000, 0.00000000, 2820.00000000, 0, NULL, NULL, 0, 1800.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2350.00000000, 2350.00000000, 470.00000000, 2820.00000000),
(9677, 1577, NULL, 1190653, NULL, 'Supportage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 180.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(9678, 1577, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 1.14000000, NULL, 22.80000000, 4.56000000, 0.00000000, 0.00000000, 27.36000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 22.80000000, 4.56000000, 27.36000000),
(9679, 1577, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 24.97000000, NULL, 499.40000000, 99.88000000, 0.00000000, 0.00000000, 599.28000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.97000000, 499.40000000, 99.88000000, 599.28000000),
(9680, 1577, NULL, 966723, NULL, 'Raccord Y mâle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 4.70000000, NULL, 94.00000000, 18.80000000, 0.00000000, 0.00000000, 112.80000000, 0, NULL, NULL, 0, 2.35000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.70000000, 94.00000000, 18.80000000, 112.80000000),
(9681, 1577, NULL, 966892, NULL, 'Bouchon M. cylindrique G1/2', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 0.85000000, NULL, 17.00000000, 3.40000000, 0.00000000, 0.00000000, 20.40000000, 0, NULL, NULL, 0, 0.42000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.85000000, 17.00000000, 3.40000000, 20.40000000),
(9682, 1577, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 10.64000000, NULL, 212.80000000, 42.56000000, 0.00000000, 0.00000000, 255.36000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.64000000, 212.80000000, 42.56000000, 255.36000000),
(9683, 1577, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 6.77000000, NULL, 101.55000000, 20.31000000, 0.00000000, 0.00000000, 121.86000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 101.55000000, 20.31000000, 121.86000000),
(9684, 1577, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 6.62000000, NULL, 66.20000000, 13.24000000, 0.00000000, 0.00000000, 79.44000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.62000000, 66.20000000, 13.24000000, 79.44000000),
(9685, 1577, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.28000000, NULL, 42.80000000, 8.56000000, 0.00000000, 0.00000000, 51.36000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.28000000, 42.80000000, 8.56000000, 51.36000000),
(9686, 1577, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.96000000, NULL, 49.60000000, 9.92000000, 0.00000000, 0.00000000, 59.52000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.96000000, 49.60000000, 9.92000000, 59.52000000),
(9687, 1577, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.58000000, NULL, 17.90000000, 3.58000000, 0.00000000, 0.00000000, 21.48000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.58000000, 17.90000000, 3.58000000, 21.48000000),
(9688, 1578, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(9689, 1578, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9690, 1578, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(9691, 1578, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(9692, 1579, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 87, 0, 0, NULL, 0.97000000, NULL, 84.39000000, 16.88000000, 0.00000000, 0.00000000, 101.27000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 84.39000000, 16.88000000, 101.27000000),
(9693, 1579, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4.5, 0, 0, NULL, 63.84000000, NULL, 287.28000000, 57.46000000, 0.00000000, 0.00000000, 344.74000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 287.28000000, 57.46000000, 344.74000000),
(9694, 1579, NULL, 1586914, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.00000000, NULL, 27.00000000, 5.40000000, 0.00000000, 0.00000000, 32.40000000, 0, NULL, NULL, 0, 13.51000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.00000000, 27.00000000, 5.40000000, 32.40000000),
(9695, 1579, NULL, 1586915, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 20.72000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.00000000, 40.00000000, 8.00000000, 48.00000000),
(9696, 1580, NULL, NULL, '1 Site de Tence', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 47, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9697, 1580, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 725.00000000, NULL, 725.00000000, 145.00000000, 0.00000000, 0.00000000, 870.00000000, 0, NULL, NULL, 0, 545.11000000, NULL, 0, 0, 48, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 725.00000000, 725.00000000, 145.00000000, 870.00000000),
(9698, 1580, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 49, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9699, 1580, NULL, 1221764, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.58000000, NULL, 16.58000000, 3.32000000, 0.00000000, 0.00000000, 19.90000000, 0, NULL, NULL, 0, 8.05000000, NULL, 0, 0, 50, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.58000000, 16.58000000, 3.32000000, 19.90000000),
(9700, 1580, NULL, 1221717, NULL, 'separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 94.62000000, NULL, 94.62000000, 18.92000000, 0.00000000, 0.00000000, 113.54000000, 0, NULL, NULL, 0, 45.93000000, NULL, 0, 0, 51, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 94.62000000, 94.62000000, 18.92000000, 113.54000000),
(9701, 1580, NULL, 1221788, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.84000000, NULL, 24.84000000, 4.97000000, 0.00000000, 0.00000000, 29.81000000, 0, NULL, NULL, 0, 12.06000000, NULL, 0, 0, 52, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.84000000, 24.84000000, 4.97000000, 29.81000000),
(9702, 1580, NULL, 953644, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 115.33000000, NULL, 115.33000000, 23.07000000, 0.00000000, 0.00000000, 138.40000000, 0, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 53, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 115.33000000, 115.33000000, 23.07000000, 138.40000000),
(9704, 1580, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 55, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9705, 1580, NULL, NULL, '2 Site du Cheylard', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 56, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9706, 1580, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 57, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(9707, 1580, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 58, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9708, 1580, NULL, 954294, NULL, 'huile ingersolrand COOLANT - 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.82000000, NULL, 110.82000000, 22.16000000, 0.00000000, 0.00000000, 132.98000000, 0, NULL, NULL, 0, 85.25000000, NULL, 0, 0, 59, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.82000000, 110.82000000, 22.16000000, 132.98000000),
(9710, 1580, NULL, 1221757, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.12000000, NULL, 21.12000000, 4.22000000, 0.00000000, 0.00000000, 25.34000000, 0, NULL, NULL, 0, 10.25000000, NULL, 0, 0, 61, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.12000000, 21.12000000, 4.22000000, 25.34000000),
(9711, 1580, NULL, 1221780, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.02000000, NULL, 24.02000000, 4.80000000, 0.00000000, 0.00000000, 28.82000000, 0, NULL, NULL, 0, 11.66000000, NULL, 0, 0, 62, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.02000000, 24.02000000, 4.80000000, 28.82000000),
(9712, 1580, NULL, 1221740, NULL, 'separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.28000000, NULL, 78.28000000, 15.66000000, 0.00000000, 0.00000000, 93.94000000, 0, NULL, NULL, 0, 38.00000000, NULL, 0, 0, 63, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.28000000, 78.28000000, 15.66000000, 93.94000000),
(9713, 1580, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 64, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9714, 1581, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(9715, 1581, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9716, 1581, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(9717, 1581, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(9718, 1581, NULL, 953527, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.28000000, NULL, 61.28000000, 12.26000000, 0.00000000, 0.00000000, 73.54000000, 0, NULL, NULL, 0, 29.75000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.28000000, 61.28000000, 12.26000000, 73.54000000),
(9719, 1582, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(9720, 1582, NULL, 1305851, NULL, 'KIT JOINTS 3A-3B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.00000000, NULL, 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 55.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.00000000, 110.00000000, 22.00000000, 132.00000000),
(9721, 1582, NULL, 1586921, NULL, 'KIT JOINT 2A-2B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 149.20000000, NULL, 149.20000000, 29.84000000, 0.00000000, 0.00000000, 179.04000000, 0, NULL, NULL, 0, 74.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 149.20000000, 149.20000000, 29.84000000, 179.04000000),
(9722, 1582, NULL, 1231630, NULL, 'kit joints v04', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.38000000, NULL, 78.38000000, 15.68000000, 0.00000000, 0.00000000, 94.06000000, 0, NULL, NULL, 0, 32.10000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.38000000, 78.38000000, 15.68000000, 94.06000000),
(9723, 1583, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9724, 1583, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 291.60000000, NULL, 583.20000000, 116.64000000, 0.00000000, 0.00000000, 699.84000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 291.60000000, 583.20000000, 116.64000000, 699.84000000),
(9725, 1583, NULL, 1179631, NULL, 'MINOR KIT C  L90-L132', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 433.70000000, NULL, 433.70000000, 86.74000000, 0.00000000, 0.00000000, 520.44000000, 0, NULL, NULL, 0, 161.84000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 433.70000000, 433.70000000, 86.74000000, 520.44000000),
(9726, 1583, NULL, 1179676, NULL, 'MINOR KIT D  L90 + L132 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1442.00000000, NULL, 1442.00000000, 288.40000000, 0.00000000, 0.00000000, 1730.40000000, 0, NULL, NULL, 0, 865.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1442.00000000, 1442.00000000, 288.40000000, 1730.40000000),
(9727, 1583, NULL, 1245852, NULL, 'grade : HF', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 201.40000000, NULL, 402.80000000, 80.56000000, 0.00000000, 0.00000000, 483.36000000, 0, NULL, NULL, 0, 120.84000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 201.40000000, 402.80000000, 80.56000000, 483.36000000),
(9728, 1583, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(9729, 1584, NULL, NULL, NULL, '&nbsp;Charbon actif, sac de 25 kg', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 319.20000000, NULL, 319.20000000, 63.84000000, 0.00000000, 0.00000000, 383.04000000, 0, NULL, NULL, 0, 240.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 319.20000000, 319.20000000, 63.84000000, 383.04000000),
(9730, 1584, NULL, NULL, NULL, 'R&eacute;sine lit m&eacute;lang&eacute;, sac de 25l', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 483.85000000, NULL, 967.70000000, 193.54000000, 0.00000000, 0.00000000, 1161.24000000, 0, NULL, NULL, 0, 363.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 483.85000000, 967.70000000, 193.54000000, 1161.24000000),
(9731, 1584, NULL, NULL, NULL, '&nbsp;Participation Frais De Port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.00000000, NULL, 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 1, NULL, NULL, 0, 48.10000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.00000000, 50.00000000, 10.00000000, 60.00000000),
(9732, 1585, NULL, NULL, NULL, '&nbsp;Charbon actif, sac de 15 kg', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 191.52000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 144.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 191.52000000, 191.52000000, 38.30000000, 229.82000000),
(9733, 1585, NULL, NULL, NULL, 'R&eacute;sine lit m&eacute;lang&eacute;, sac de 25l', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 483.85000000, NULL, 967.70000000, 193.54000000, 0.00000000, 0.00000000, 1161.24000000, 0, NULL, NULL, 0, 363.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 483.85000000, 967.70000000, 193.54000000, 1161.24000000),
(9734, 1585, NULL, NULL, NULL, '&nbsp;Participation Frais De Port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.00000000, NULL, 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 1, NULL, NULL, 0, 48.10000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.00000000, 50.00000000, 10.00000000, 60.00000000),
(9735, 1585, NULL, NULL, NULL, 'Sable de filtration 3.15-5.6 mm, sac de 25kg', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.07000000, NULL, 92.07000000, 18.41000000, 0.00000000, 0.00000000, 110.48000000, 0, NULL, NULL, 0, 68.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.07000000, 92.07000000, 18.41000000, 110.48000000),
(9736, 1586, NULL, 1586919, NULL, 'AKP 04-20ULTRAFILTER', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 71.00000000, NULL, 213.00000000, 42.60000000, 0.00000000, 0.00000000, 255.60000000, 0, NULL, NULL, 0, 36.98000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 71.00000000, 213.00000000, 42.60000000, 255.60000000),
(9737, 1587, NULL, 1220976, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3908.10000000, NULL, 3908.10000000, 781.62000000, 0.00000000, 0.00000000, 4689.72000000, 0, NULL, NULL, 0, 2935.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3908.10000000, 3908.10000000, 781.62000000, 4689.72000000),
(9738, 1587, NULL, 952631, NULL, 'filtre reseau R1/2 grade 1µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 176.99000000, NULL, 176.99000000, 35.40000000, 0.00000000, 0.00000000, 212.39000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 176.99000000, 176.99000000, 35.40000000, 212.39000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(9739, 1587, NULL, 952630, NULL, 'filtre BEA105ra 1/2\'\' grade 0.01µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 176.99000000, NULL, 176.99000000, 35.40000000, 0.00000000, 0.00000000, 212.39000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 176.99000000, 176.99000000, 35.40000000, 212.39000000),
(9740, 1587, NULL, 952816, NULL, 'secheur à réfrigération 108m3/h rac 3/4\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 937.99000000, NULL, 937.99000000, 187.60000000, 0.00000000, 0.00000000, 1125.59000000, 0, NULL, NULL, 0, 706.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 937.99000000, 937.99000000, 187.60000000, 1125.59000000),
(9741, 1587, NULL, 958250, NULL, 'ÖWAMAT 10 oil/water separator', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 349.87000000, NULL, 349.87000000, 69.97000000, 0.00000000, 0.00000000, 419.84000000, 0, NULL, NULL, 0, 164.47000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 349.87000000, 349.87000000, 69.97000000, 419.84000000),
(9742, 1587, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 708.39000000, NULL, 708.39000000, 141.68000000, 0.00000000, 0.00000000, 850.07000000, 0, NULL, NULL, 0, 500.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 708.39000000, 708.39000000, 141.68000000, 850.07000000),
(9743, 1587, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 60.23000000, NULL, 60.23000000, 12.05000000, 0.00000000, 0.00000000, 72.28000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 60.23000000, 60.23000000, 12.05000000, 72.28000000),
(9744, 1587, NULL, NULL, NULL, 'fourniture inox avec by pass secheur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 333.11000000, NULL, 333.11000000, 66.62000000, 0.00000000, 0.00000000, 399.73000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 333.11000000, 333.11000000, 66.62000000, 399.73000000),
(9762, 1590, NULL, 944298, NULL, 'compresseur rotatif à vis librifiees à vitesse fixe', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5330.00000000, NULL, 5330.00000000, 1066.00000000, 0.00000000, 0.00000000, 6396.00000000, 0, NULL, NULL, 0, 3950.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5330.00000000, 5330.00000000, 1066.00000000, 6396.00000000),
(9763, 1590, NULL, 1586759, NULL, 'pre filtre grade B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.20000000, NULL, 200.20000000, 40.04000000, 0.00000000, 0.00000000, 240.24000000, 0, NULL, NULL, 0, 154.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.20000000, 200.20000000, 40.04000000, 240.24000000),
(9764, 1590, NULL, 1223539, NULL, 'Sécheur par réfrigeration pt de rosée à +3°C mono capacité 108m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1030.71000000, NULL, 1030.71000000, 206.14000000, 0.00000000, 0.00000000, 1236.85000000, 0, NULL, NULL, 0, 799.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1030.71000000, 1030.71000000, 206.14000000, 1236.85000000),
(9765, 1590, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 540.00000000, NULL, 540.00000000, 108.00000000, 0.00000000, 0.00000000, 648.00000000, 0, NULL, NULL, 0, 399.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 540.00000000, 540.00000000, 108.00000000, 648.00000000),
(9766, 1590, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(9767, 1590, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 6.20000000, NULL, 74.40000000, 14.88000000, 0.00000000, 0.00000000, 89.28000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 74.40000000, 14.88000000, 89.28000000),
(9768, 1590, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.14000000, NULL, 6.84000000, 1.37000000, 0.00000000, 0.00000000, 8.21000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 6.84000000, 1.37000000, 8.21000000),
(9769, 1590, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 4.28000000, NULL, 21.40000000, 4.28000000, 0.00000000, 0.00000000, 25.68000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.28000000, 21.40000000, 4.28000000, 25.68000000),
(9770, 1590, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 11.54000000, NULL, 57.70000000, 11.54000000, 0.00000000, 0.00000000, 69.24000000, 0, NULL, NULL, 0, 8.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.54000000, 57.70000000, 11.54000000, 69.24000000),
(9771, 1590, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 21.38000000, NULL, 128.28000000, 25.66000000, 0.00000000, 0.00000000, 153.94000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.38000000, 128.28000000, 25.66000000, 153.94000000),
(9772, 1590, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.59000000, NULL, 19.18000000, 3.84000000, 0.00000000, 0.00000000, 23.02000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.59000000, 19.18000000, 3.84000000, 23.02000000),
(9773, 1590, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.77000000, NULL, 13.54000000, 2.71000000, 0.00000000, 0.00000000, 16.25000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 13.54000000, 2.71000000, 16.25000000),
(9774, 1590, NULL, 1079930, NULL, 'Raccord mixte mâle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.54000000, NULL, 17.08000000, 3.42000000, 0.00000000, 0.00000000, 20.50000000, 0, NULL, NULL, 0, 6.01000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.54000000, 17.08000000, 3.42000000, 20.50000000),
(9775, 1590, NULL, 972026, NULL, 'Tuyau caoutchouc OUTILAIR 19x29 mm en couronne de 40 Mètres PS:15 Bar', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.30000000, NULL, 17.20000000, 3.44000000, 0.00000000, 0.00000000, 20.64000000, 0, NULL, NULL, 0, 2.36500000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.30000000, 17.20000000, 3.44000000, 20.64000000),
(9776, 1590, NULL, 967470, NULL, 'About collerette G1/2 Ø19mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.45000000, NULL, 14.90000000, 2.98000000, 0.00000000, 0.00000000, 17.88000000, 0, NULL, NULL, 0, 3.73000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.45000000, 14.90000000, 2.98000000, 17.88000000),
(9777, 1590, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 694.20000000, NULL, 694.20000000, 138.84000000, 0.00000000, 0.00000000, 833.04000000, 0, NULL, NULL, 0, 534.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 694.20000000, 694.20000000, 138.84000000, 833.04000000),
(9778, 1591, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.95000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(9779, 1591, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 10.30000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 30.90000000, 6.18000000, 37.08000000),
(9780, 1591, NULL, 1217962, NULL, 'SOUPAPE 2800/D10 1/2\" 15.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 36.33000000, NULL, 36.33000000, 7.27000000, 0.00000000, 0.00000000, 43.60000000, 0, NULL, NULL, 0, 17.64000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.33000000, 36.33000000, 7.27000000, 43.60000000),
(9781, 1591, NULL, 1218148, NULL, 'SOUPAPE 2800/F32 1\"1/2 10.5bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.00000000, NULL, 199.00000000, 39.80000000, 0.00000000, 0.00000000, 238.80000000, 0, NULL, NULL, 0, 102.21000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.00000000, 199.00000000, 39.80000000, 238.80000000),
(9782, 1591, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1154.44000000, NULL, 1154.44000000, 230.89000000, 0.00000000, 0.00000000, 1385.33000000, 0, NULL, NULL, 0, 868.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1154.44000000, 1154.44000000, 230.89000000, 1385.33000000),
(9783, 1592, NULL, 1190364, NULL, 'Maintenance compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 386.63000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(9784, 1592, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(9785, 1592, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(9786, 1592, NULL, 1222096, NULL, 'filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.00000000, NULL, 23.00000000, 4.60000000, 0.00000000, 0.00000000, 27.60000000, 0, NULL, NULL, 0, 16.10000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.00000000, 23.00000000, 4.60000000, 27.60000000),
(9787, 1592, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(9788, 1592, NULL, NULL, NULL, 'COurroies 10168', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 15.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 30.00000000, 6.00000000, 36.00000000),
(9789, 1593, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 57.13000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(9790, 1593, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(9791, 1593, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 47, 0, 0, NULL, 0.97000000, NULL, 45.59000000, 9.12000000, 0.00000000, 0.00000000, 54.71000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 45.59000000, 9.12000000, 54.71000000),
(9792, 1594, NULL, NULL, '5 Rollair 15', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9793, 1594, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 379.12000000, NULL, 379.12000000, 75.82000000, 0.00000000, 0.00000000, 454.94000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 379.12000000, 379.12000000, 75.82000000, 454.94000000),
(9794, 1594, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.40000000, NULL, 5.40000000, 1.08000000, 0.00000000, 0.00000000, 6.48000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.40000000, 5.40000000, 1.08000000, 6.48000000),
(9795, 1594, NULL, 955042, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 122.75000000, NULL, 122.75000000, 24.55000000, 0.00000000, 0.00000000, 147.30000000, 0, NULL, NULL, 0, 60.67000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 122.75000000, 122.75000000, 24.55000000, 147.30000000),
(9796, 1594, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.32000000, NULL, 19.32000000, 3.86000000, 0.00000000, 0.00000000, 23.18000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.32000000, 19.32000000, 3.86000000, 23.18000000),
(9797, 1594, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.23000000, NULL, 24.23000000, 4.85000000, 0.00000000, 0.00000000, 29.08000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.23000000, 24.23000000, 4.85000000, 29.08000000),
(9798, 1594, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9799, 1594, NULL, NULL, '6 filtres reseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9800, 1594, NULL, 952859, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.90000000, NULL, 90.90000000, 18.18000000, 0.00000000, 0.00000000, 109.08000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.90000000, 90.90000000, 18.18000000, 109.08000000),
(9801, 1594, NULL, 952861, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.90000000, NULL, 90.90000000, 18.18000000, 0.00000000, 0.00000000, 109.08000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.90000000, 90.90000000, 18.18000000, 109.08000000),
(9802, 1594, NULL, 952860, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.90000000, NULL, 90.90000000, 18.18000000, 0.00000000, 0.00000000, 109.08000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.90000000, 90.90000000, 18.18000000, 109.08000000),
(9803, 1594, NULL, 952862, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.55000000, NULL, 92.55000000, 18.51000000, 0.00000000, 0.00000000, 111.06000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.55000000, 92.55000000, 18.51000000, 111.06000000),
(9804, 1594, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(9805, 1594, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(9806, 1594, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9807, 1595, NULL, NULL, NULL, 'Acompte (30%) - CO2003-1338', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3382.80000000, NULL, 3382.80000000, 676.56000000, 0.00000000, 0.00000000, 4059.36000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3382.80000000, 3382.80000000, 676.56000000, 4059.36000000),
(9808, 1596, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(9809, 1597, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.79000000, NULL, 226.79000000, 45.36000000, 0.00000000, 0.00000000, 272.15000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 226.79000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.79000000, 226.79000000, 45.36000000, 272.15000000),
(9810, 1598, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(9811, 1598, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 42, 0, 0, NULL, 0.97000000, NULL, 40.74000000, 8.15000000, 0.00000000, 0.00000000, 48.89000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 40.74000000, 8.15000000, 48.89000000),
(9812, 1599, NULL, 955140, NULL, 'purgeur auto interne', 20.000, '', 0.000, '0', 0.000, '0', 2, 10, 0, NULL, 63.00000000, NULL, 113.40000000, 22.68000000, 0.00000000, 0.00000000, 136.08000000, 0, NULL, NULL, 0, 34.65000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.00000000, 113.40000000, 22.68000000, 136.08000000),
(9813, 1600, NULL, 1222124, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 95.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(9814, 1600, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(9815, 1600, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9816, 1600, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(9817, 1601, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9818, 1601, NULL, 1230990, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 407.10000000, NULL, 346.04000000, 69.20000000, 0.00000000, 0.00000000, 415.24000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.10000000, 346.04000000, 69.20000000, 415.24000000),
(9819, 1601, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(9820, 1601, NULL, 1307019, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 138.00000000, NULL, 138.00000000, 27.60000000, 0.00000000, 0.00000000, 165.60000000, 0, NULL, NULL, 0, 69.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 138.00000000, 138.00000000, 27.60000000, 165.60000000),
(9821, 1601, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 86.10000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(9822, 1602, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(9823, 1602, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(9824, 1602, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(9825, 1602, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9826, 1602, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.13000000, NULL, 34.26000000, 6.85000000, 0.00000000, 0.00000000, 41.11000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 34.26000000, 6.85000000, 41.11000000),
(9827, 1602, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(9828, 1602, NULL, 1305086, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.00000000, NULL, 79.00000000, 15.80000000, 0.00000000, 0.00000000, 94.80000000, 0, NULL, NULL, 0, 34.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 79.00000000, 15.80000000, 94.80000000),
(9829, 1603, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(9830, 1603, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 62, 0, 0, NULL, 0.97000000, NULL, 60.14000000, 12.03000000, 0.00000000, 0.00000000, 72.17000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 60.14000000, 12.03000000, 72.17000000),
(9831, 1604, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 230.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(9832, 1605, NULL, 1221761, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.81000000, NULL, 33.62000000, 6.72000000, 0.00000000, 0.00000000, 40.34000000, 0, NULL, NULL, 0, 8.16000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.81000000, 33.62000000, 6.72000000, 40.34000000),
(9833, 1606, NULL, 1586902, NULL, 'Moyeu avec rainure de clavette pour poulie profil 1, 2, et 3 gorges', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 25.00000000, NULL, 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 0, NULL, NULL, 0, 18.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.00000000, 50.00000000, 10.00000000, 60.00000000),
(9834, 1606, NULL, 1586901, NULL, 'poulie 2 gorges profil SPA 13', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 31.50000000, NULL, 63.00000000, 12.60000000, 0.00000000, 0.00000000, 75.60000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 31.50000000, 63.00000000, 12.60000000, 75.60000000),
(9835, 1606, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 280.00000000, NULL, 280.00000000, 56.00000000, 0.00000000, 0.00000000, 336.00000000, 0, NULL, NULL, 0, 230.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 280.00000000, 280.00000000, 56.00000000, 336.00000000),
(9836, 1606, NULL, 1223588, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 100, 0, NULL, 38.08000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 19.04000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.08000000, 0.00000000, 0.00000000, 0.00000000),
(9837, 1607, NULL, 1222601, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.96000000, NULL, 53.88000000, 10.78000000, 0.00000000, 0.00000000, 64.66000000, 0, NULL, NULL, 0, 9.69000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.96000000, 53.88000000, 10.78000000, 64.66000000),
(9838, 1608, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(9839, 1608, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(9840, 1609, NULL, 952663, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 264.81000000, NULL, 264.81000000, 52.96000000, 0.00000000, 0.00000000, 317.77000000, 0, NULL, NULL, 0, 128.55000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 264.81000000, 264.81000000, 52.96000000, 317.77000000),
(9841, 1609, NULL, 952664, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 264.81000000, NULL, 264.81000000, 52.96000000, 0.00000000, 0.00000000, 317.77000000, 0, NULL, NULL, 0, 128.55000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 264.81000000, 264.81000000, 52.96000000, 317.77000000),
(9842, 1610, NULL, 954273, NULL, 'purgeur filtre BEA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.70000000, NULL, 86.70000000, 17.34000000, 0.00000000, 0.00000000, 104.04000000, 0, NULL, NULL, 0, 47.68000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.70000000, 86.70000000, 17.34000000, 104.04000000),
(9843, 1611, NULL, NULL, NULL, 'Acompte (30%) - CO2002-1334', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2700.00000000, NULL, 2700.00000000, 540.00000000, 0.00000000, 0.00000000, 3240.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2700.00000000, 2700.00000000, 540.00000000, 3240.00000000),
(9844, 1612, NULL, 1586924, NULL, 'VALISE DE DÉPANNAGE Y-114C JET PROMAC - 114 PIÈCES', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 120.00000000, NULL, 1200.00000000, 240.00000000, 0.00000000, 0.00000000, 1440.00000000, 0, NULL, NULL, 0, 95.13000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 1200.00000000, 240.00000000, 1440.00000000),
(9845, 1612, NULL, 1222626, NULL, 'COFFRET OUTILLAGE 135 PIECES', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 270.00000000, NULL, 270.00000000, 54.00000000, 0.00000000, 0.00000000, 324.00000000, 0, NULL, NULL, 0, 229.42000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 270.00000000, 270.00000000, 54.00000000, 324.00000000),
(9846, 1613, NULL, 1222626, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 270.00000000, NULL, 270.00000000, 54.00000000, 0.00000000, 0.00000000, 324.00000000, 0, NULL, NULL, 0, 220.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 270.00000000, 270.00000000, 54.00000000, 324.00000000),
(9847, 1614, NULL, NULL, NULL, 'Maintenance L07RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9848, 1614, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9849, 1614, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.25000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 32.50000000, 6.50000000, 39.00000000),
(9850, 1614, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(9851, 1614, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(9852, 1614, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9853, 1614, NULL, 952683, NULL, 'cartouche 180RB', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.69000000, NULL, 105.69000000, 21.14000000, 0.00000000, 0.00000000, 126.83000000, 0, NULL, NULL, 0, 51.31000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.69000000, 105.69000000, 21.14000000, 126.83000000),
(9854, 1614, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 53.32000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(9855, 1615, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 53, 0, 0, NULL, 0.97000000, NULL, 51.41000000, 10.28000000, 0.00000000, 0.00000000, 61.69000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 51.41000000, 10.28000000, 61.69000000),
(9856, 1615, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(9857, 1616, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 248.65000000, NULL, 248.65000000, 49.73000000, 0.00000000, 0.00000000, 298.38000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 248.65000000, 248.65000000, 49.73000000, 298.38000000),
(9858, 1616, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.48000000, NULL, 4.48000000, 0.90000000, 0.00000000, 0.00000000, 5.38000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.48000000, 4.48000000, 0.90000000, 5.38000000),
(9859, 1616, NULL, 955042, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 101.77000000, NULL, 101.77000000, 20.35000000, 0.00000000, 0.00000000, 122.12000000, 0, NULL, NULL, 0, 60.67000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 101.77000000, 101.77000000, 20.35000000, 122.12000000),
(9860, 1616, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.02000000, NULL, 16.02000000, 3.20000000, 0.00000000, 0.00000000, 19.22000000, 0, NULL, NULL, 0, 9.14000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.02000000, 16.02000000, 3.20000000, 19.22000000),
(9861, 1616, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.09000000, NULL, 20.09000000, 4.02000000, 0.00000000, 0.00000000, 24.11000000, 0, NULL, NULL, 0, 11.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.09000000, 20.09000000, 4.02000000, 24.11000000),
(9862, 1616, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.15000000, NULL, 90.15000000, 18.03000000, 0.00000000, 0.00000000, 108.18000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.15000000, 90.15000000, 18.03000000, 108.18000000),
(9863, 1617, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(9864, 1617, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9865, 1617, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1020.00000000, NULL, 1020.00000000, 204.00000000, 0.00000000, 0.00000000, 1224.00000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1020.00000000, 1020.00000000, 204.00000000, 1224.00000000),
(9866, 1617, NULL, 1179723, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 468.00000000, NULL, 468.00000000, 93.60000000, 0.00000000, 0.00000000, 561.60000000, 0, NULL, NULL, 0, 281.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 468.00000000, 468.00000000, 93.60000000, 561.60000000),
(9867, 1617, NULL, 953625, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.68000000, NULL, 156.68000000, 31.34000000, 0.00000000, 0.00000000, 188.02000000, 0, NULL, NULL, 0, 76.06000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.68000000, 156.68000000, 31.34000000, 188.02000000),
(9868, 1617, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(9869, 1618, NULL, 1586855, NULL, 'Raccord droit male isiflo 40', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 26.00000000, NULL, 52.00000000, 10.40000000, 0.00000000, 0.00000000, 62.40000000, 0, NULL, NULL, 0, 22.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.00000000, 52.00000000, 10.40000000, 62.40000000),
(9870, 1618, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.51000000, NULL, 25.02000000, 5.00000000, 0.00000000, 0.00000000, 30.02000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.51000000, 25.02000000, 5.00000000, 30.02000000),
(9871, 1618, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 9.40000000, NULL, 112.80000000, 22.56000000, 0.00000000, 0.00000000, 135.36000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.40000000, 112.80000000, 22.56000000, 135.36000000),
(9872, 1618, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.96000000, NULL, 9.92000000, 1.98000000, 0.00000000, 0.00000000, 11.90000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.96000000, 9.92000000, 1.98000000, 11.90000000),
(9873, 1618, NULL, 1079867, NULL, 'Té réduit diam. ext. 35 . 22 . 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.90000000, NULL, 10.90000000, 2.18000000, 0.00000000, 0.00000000, 13.08000000, 0, NULL, NULL, 0, 7.67000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.90000000, 10.90000000, 2.18000000, 13.08000000),
(9874, 1618, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 10.64000000, NULL, 42.56000000, 8.51000000, 0.00000000, 0.00000000, 51.07000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.64000000, 42.56000000, 8.51000000, 51.07000000),
(9875, 1618, NULL, 1079818, NULL, 'Coude à 45° diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 9.93000000, NULL, 39.72000000, 7.94000000, 0.00000000, 0.00000000, 47.66000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.93000000, 39.72000000, 7.94000000, 47.66000000),
(9876, 1618, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.98000000, NULL, 19.92000000, 3.98000000, 0.00000000, 0.00000000, 23.90000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 19.92000000, 3.98000000, 23.90000000),
(9877, 1618, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.42000000, NULL, 6.42000000, 1.28000000, 0.00000000, 0.00000000, 7.70000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 6.42000000, 1.28000000, 7.70000000),
(9878, 1618, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 5.34000000, NULL, 21.36000000, 4.27000000, 0.00000000, 0.00000000, 25.63000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 21.36000000, 4.27000000, 25.63000000),
(9879, 1618, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.62000000, NULL, 26.48000000, 5.30000000, 0.00000000, 0.00000000, 31.78000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.62000000, 26.48000000, 5.30000000, 31.78000000),
(9880, 1618, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.20000000, NULL, 6.00000000, 1.20000000, 0.00000000, 0.00000000, 7.20000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.20000000, 6.00000000, 1.20000000, 7.20000000),
(9881, 1618, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 1.12000000, NULL, 3.36000000, 0.67000000, 0.00000000, 0.00000000, 4.03000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 3.36000000, 0.67000000, 4.03000000),
(9882, 1618, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 478.20000000, NULL, 478.20000000, 95.64000000, 0.00000000, 0.00000000, 573.84000000, 0, NULL, NULL, 0, 350.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 478.20000000, 478.20000000, 95.64000000, 573.84000000),
(9883, 1619, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(9884, 1619, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9885, 1619, NULL, 954385, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 177.81000000, NULL, 177.81000000, 35.56000000, 0.00000000, 0.00000000, 213.37000000, 0, NULL, NULL, 0, 86.32000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 177.81000000, 177.81000000, 35.56000000, 213.37000000),
(9886, 1619, NULL, 954060, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.14000000, NULL, 42.14000000, 8.43000000, 0.00000000, 0.00000000, 50.57000000, 0, NULL, NULL, 0, 22.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.14000000, 42.14000000, 8.43000000, 50.57000000),
(9887, 1619, NULL, 952165, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.20000000, NULL, 57.20000000, 11.44000000, 0.00000000, 0.00000000, 68.64000000, 0, NULL, NULL, 0, 27.77000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.20000000, 57.20000000, 11.44000000, 68.64000000),
(9888, 1619, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(9889, 1619, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(9890, 1619, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(9891, 1620, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(9892, 1620, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9893, 1620, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(9894, 1620, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(9895, 1620, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.00000000, NULL, 113.00000000, 22.60000000, 0.00000000, 0.00000000, 135.60000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.00000000, 113.00000000, 22.60000000, 135.60000000),
(9896, 1620, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(9897, 1621, NULL, NULL, '1 Local Air Comprimé', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9898, 1621, NULL, 1220934, NULL, '15 bars', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2900.00000000, NULL, 2900.00000000, 580.00000000, 0.00000000, 0.00000000, 3480.00000000, 0, NULL, NULL, 0, 2376.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2900.00000000, 2900.00000000, 580.00000000, 3480.00000000),
(9899, 1621, NULL, 1245929, NULL, 'Sécheur par réfrigération 34.8 m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 578.00000000, NULL, 578.00000000, 115.60000000, 0.00000000, 0.00000000, 693.60000000, 0, NULL, NULL, 0, 444.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 578.00000000, 578.00000000, 115.60000000, 693.60000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(9900, 1621, NULL, 1245930, NULL, 'Filtre Réseau fin 1micron', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.00000000, NULL, 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 115.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(9901, 1621, NULL, 1219935, NULL, 'RESERV. AIR COMPRIME GALVA 500L-15b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 890.00000000, NULL, 890.00000000, 178.00000000, 0.00000000, 0.00000000, 1068.00000000, 0, NULL, NULL, 0, 639.16000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 890.00000000, 890.00000000, 178.00000000, 1068.00000000),
(9902, 1621, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(9903, 1621, NULL, 1190340, NULL, 'Fournitures plomberies', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 320.00000000, NULL, 320.00000000, 64.00000000, 0.00000000, 0.00000000, 384.00000000, 0, NULL, NULL, 0, 200.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 320.00000000, 320.00000000, 64.00000000, 384.00000000),
(9904, 1621, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 490.00000000, NULL, 490.00000000, 98.00000000, 0.00000000, 0.00000000, 588.00000000, 0, NULL, NULL, 0, 350.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 490.00000000, 490.00000000, 98.00000000, 588.00000000),
(9905, 1621, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9906, 1622, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 112, 0, 0, NULL, 0.97000000, NULL, 108.64000000, 21.73000000, 0.00000000, 0.00000000, 130.37000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 108.64000000, 21.73000000, 130.37000000),
(9907, 1622, NULL, 1190535, NULL, 'main d&#39;oeuvre &amp; tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 100, 0, NULL, 63.84000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 0.00000000, 0.00000000, 0.00000000),
(9910, 1622, NULL, 1297968, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.00000000, NULL, 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 60.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.00000000, 110.00000000, 22.00000000, 132.00000000),
(9911, 1623, NULL, 1231698, NULL, 'bidons huiles 10L minéral 68', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 91.67000000, NULL, 183.34000000, 36.67000000, 0.00000000, 0.00000000, 220.01000000, 0, NULL, NULL, 0, 39.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.67000000, 183.34000000, 36.67000000, 220.01000000),
(9912, 1623, NULL, 1231699, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.07000000, NULL, 53.07000000, 10.61000000, 0.00000000, 0.00000000, 63.68000000, 0, NULL, NULL, 0, 23.10000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.07000000, 53.07000000, 10.61000000, 63.68000000),
(9913, 1623, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 684.48000000, NULL, 684.48000000, 136.90000000, 0.00000000, 0.00000000, 821.38000000, 0, NULL, NULL, 0, 514.64000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 684.48000000, 684.48000000, 136.90000000, 821.38000000),
(9914, 1623, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.24000000, NULL, 7.24000000, 1.45000000, 0.00000000, 0.00000000, 8.69000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.24000000, 7.24000000, 1.45000000, 8.69000000),
(9915, 1623, NULL, 1222117, NULL, 'CARTOUCHE SEPARATRICE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 273.40000000, NULL, 273.40000000, 54.68000000, 0.00000000, 0.00000000, 328.08000000, 0, NULL, NULL, 0, 119.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 273.40000000, 273.40000000, 54.68000000, 328.08000000),
(9916, 1623, NULL, 1231700, NULL, 'Filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.11000000, NULL, 61.11000000, 12.22000000, 0.00000000, 0.00000000, 73.33000000, 0, NULL, NULL, 0, 26.60000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.11000000, 61.11000000, 12.22000000, 73.33000000),
(9917, 1623, NULL, 1222552, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 53.43000000, NULL, 213.72000000, 42.74000000, 0.00000000, 0.00000000, 256.46000000, 0, NULL, NULL, 0, 16.13000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.43000000, 213.72000000, 42.74000000, 256.46000000),
(9918, 1623, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 453.88000000, NULL, 453.88000000, 90.78000000, 0.00000000, 0.00000000, 544.66000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 453.88000000, 453.88000000, 90.78000000, 544.66000000),
(9919, 1623, NULL, 1222111, NULL, 'filtre 1µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 173.11000000, NULL, 173.11000000, 34.62000000, 0.00000000, 0.00000000, 207.73000000, 0, NULL, NULL, 0, 149.28000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 173.11000000, 173.11000000, 34.62000000, 207.73000000),
(9920, 1623, NULL, 1231702, NULL, 'Elément filtrant grade S pour filtre RF 0320', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.34000000, NULL, 154.34000000, 30.87000000, 0.00000000, 0.00000000, 185.21000000, 0, NULL, NULL, 0, 84.96000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 154.34000000, 154.34000000, 30.87000000, 185.21000000),
(9921, 1624, NULL, NULL, '1 Installation d\'un bras Nederman supplémentaire 3M', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9922, 1624, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 995.00000000, NULL, 995.00000000, 199.00000000, 0.00000000, 0.00000000, 1194.00000000, 0, NULL, NULL, 0, 768.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 995.00000000, 995.00000000, 199.00000000, 1194.00000000),
(9923, 1624, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.00000000, NULL, 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(9924, 1624, NULL, 1190765, NULL, 'partie electrique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.00000000, NULL, 200.00000000, 40.00000000, 0.00000000, 0.00000000, 240.00000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.00000000, 200.00000000, 40.00000000, 240.00000000),
(9925, 1624, NULL, 1586762, NULL, 'tuyau spiralé D160', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 85.00000000, NULL, 255.00000000, 51.00000000, 0.00000000, 0.00000000, 306.00000000, 0, NULL, NULL, 0, 45.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.00000000, 255.00000000, 51.00000000, 306.00000000),
(9926, 1624, NULL, 1586805, NULL, 'Bras de 2 mètres aspiration standard', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 607.00000000, NULL, 607.00000000, 121.40000000, 0.00000000, 0.00000000, 728.40000000, 0, NULL, NULL, 0, 467.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 607.00000000, 607.00000000, 121.40000000, 728.40000000),
(9927, 1624, NULL, 1017555, NULL, 'Coude embouti à joint Safe 45° Ø 160 BU16045', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.44000000, NULL, 24.88000000, 4.98000000, 0.00000000, 0.00000000, 29.86000000, 0, NULL, NULL, 0, 6.76480000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.44000000, 24.88000000, 4.98000000, 29.86000000),
(9928, 1624, NULL, NULL, 'Sous-total Installation d\'un bras Nederman supplémentaire', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9929, 1624, NULL, NULL, '2 Modification vide comme vu ensemble :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9930, 1624, NULL, 1223700, NULL, 'Diamtre 42 et main d&#39;oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 462.50000000, NULL, 462.50000000, 92.50000000, 0.00000000, 0.00000000, 555.00000000, 0, NULL, NULL, 0, 350.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 462.50000000, 462.50000000, 92.50000000, 555.00000000),
(9931, 1624, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9932, 1625, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9933, 1625, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(9934, 1625, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(9935, 1625, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 229.58000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(9936, 1625, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(9937, 1625, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 57.13000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(9938, 1625, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 406.00000000, NULL, 406.00000000, 81.20000000, 0.00000000, 0.00000000, 487.20000000, 0, NULL, NULL, 0, 178.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 406.00000000, 406.00000000, 81.20000000, 487.20000000),
(9939, 1625, NULL, 1305285, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 265.00000000, NULL, 265.00000000, 53.00000000, 0.00000000, 0.00000000, 318.00000000, 0, NULL, NULL, 0, 146.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 265.00000000, 265.00000000, 53.00000000, 318.00000000),
(9941, 1627, NULL, NULL, NULL, 'Acompte (30%) - CO2001-1276', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10800.00000000, NULL, 10800.00000000, 2160.00000000, 0.00000000, 0.00000000, 12960.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10800.00000000, 10800.00000000, 2160.00000000, 12960.00000000),
(9942, 1628, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(9943, 1628, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(9944, 1628, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(9945, 1628, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9946, 1628, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(9947, 1628, NULL, 952936, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.07000000, NULL, 102.07000000, 20.41000000, 0.00000000, 0.00000000, 122.48000000, 0, NULL, NULL, 0, 49.55000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.07000000, 102.07000000, 20.41000000, 122.48000000),
(9948, 1628, NULL, 952937, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.07000000, NULL, 102.07000000, 20.41000000, 0.00000000, 0.00000000, 122.48000000, 0, NULL, NULL, 0, 49.55000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.07000000, 102.07000000, 20.41000000, 122.48000000),
(9949, 1628, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(9950, 1629, NULL, NULL, NULL, 'Mensualit&eacute;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1419.00000000, NULL, 1419.00000000, 283.80000000, 0.00000000, 0.00000000, 1702.80000000, 0, '2019-05-16 12:00:00', NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1419.00000000, 1419.00000000, 283.80000000, 1702.80000000),
(9951, 1630, NULL, NULL, NULL, 'Mensualit&eacute;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1419.00000000, NULL, 1419.00000000, 283.80000000, 0.00000000, 0.00000000, 1702.80000000, 0, '2019-05-16 12:00:00', NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1419.00000000, 1419.00000000, 283.80000000, 1702.80000000),
(9952, 1631, NULL, 1586925, NULL, '8951000290, 591 ml,', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 12.88000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(9953, 1632, NULL, 1229995, NULL, 'CHAUFFAGE AIR PULSE PORTABLE AU GAZ PROPANE A ALLUMAGE AUTOMATIQUE -PUISSANCE REGLABLE DE 18 A 33 KW -', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 441.00000000, NULL, 441.00000000, 88.20000000, 0.00000000, 0.00000000, 529.20000000, 0, NULL, NULL, 0, 286.65000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 441.00000000, 441.00000000, 88.20000000, 529.20000000),
(9954, 1632, NULL, 1230597, NULL, 'THERMOSTAT D\'AMBIANCE ETANCHE LIVRE AVEC 10 METRES DE CABLE ELECTRIQUE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 108.00000000, NULL, 108.00000000, 21.60000000, 0.00000000, 0.00000000, 129.60000000, 0, NULL, NULL, 0, 79.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 108.00000000, 108.00000000, 21.60000000, 129.60000000),
(9955, 1633, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 643.72000000, NULL, 643.72000000, 128.74000000, 0.00000000, 0.00000000, 772.46000000, 0, NULL, NULL, 0, 484.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 643.72000000, 643.72000000, 128.74000000, 772.46000000),
(9956, 1633, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 928.34000000, NULL, 928.34000000, 185.67000000, 0.00000000, 0.00000000, 1114.01000000, 0, NULL, NULL, 0, 698.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 928.34000000, 928.34000000, 185.67000000, 1114.01000000),
(9957, 1634, NULL, 1222521, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.88000000, NULL, 19.76000000, 3.95000000, 0.00000000, 0.00000000, 23.71000000, 0, NULL, NULL, 0, 4.80000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.88000000, 19.76000000, 3.95000000, 23.71000000),
(9958, 1634, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(9959, 1634, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(9960, 1634, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(9961, 1634, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9962, 1634, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(9963, 1634, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(9964, 1635, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 492.10000000, NULL, 492.10000000, 98.42000000, 0.00000000, 0.00000000, 590.52000000, 0, NULL, NULL, 0, 390.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 492.10000000, 492.10000000, 98.42000000, 590.52000000),
(9965, 1635, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(9966, 1635, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(9967, 1636, NULL, 1222524, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 20.10000000, NULL, 40.20000000, 8.04000000, 0.00000000, 0.00000000, 48.24000000, 0, NULL, NULL, 0, 9.76000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.10000000, 40.20000000, 8.04000000, 48.24000000),
(9968, 1636, NULL, 955157, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.30000000, NULL, 96.30000000, 19.26000000, 0.00000000, 0.00000000, 115.56000000, 0, NULL, NULL, 0, 46.75000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.30000000, 96.30000000, 19.26000000, 115.56000000),
(9969, 1636, NULL, 955159, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.30000000, NULL, 10.30000000, 2.06000000, 0.00000000, 0.00000000, 12.36000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 10.30000000, 2.06000000, 12.36000000),
(9970, 1636, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9971, 1636, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(9972, 1636, NULL, 952213, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.07000000, NULL, 10.07000000, 2.01000000, 0.00000000, 0.00000000, 12.08000000, 0, NULL, NULL, 0, 4.89000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.07000000, 10.07000000, 2.01000000, 12.08000000),
(9973, 1636, NULL, 1221778, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.89000000, NULL, 22.89000000, 4.58000000, 0.00000000, 0.00000000, 27.47000000, 0, NULL, NULL, 0, 11.22000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.89000000, 22.89000000, 4.58000000, 27.47000000),
(9974, 1636, NULL, 1221734, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.43000000, NULL, 68.43000000, 13.69000000, 0.00000000, 0.00000000, 82.12000000, 0, NULL, NULL, 0, 33.22000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.43000000, 68.43000000, 13.69000000, 82.12000000),
(9975, 1636, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 450.00000000, NULL, 450.00000000, 90.00000000, 0.00000000, 0.00000000, 540.00000000, 0, NULL, NULL, 0, 338.34000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 450.00000000, 450.00000000, 90.00000000, 540.00000000),
(9976, 1637, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 369.33000000, NULL, 369.33000000, 73.87000000, 0.00000000, 0.00000000, 443.20000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 369.33000000, 369.33000000, 73.87000000, 443.20000000),
(9977, 1637, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.22000000, NULL, 4.22000000, 0.84000000, 0.00000000, 0.00000000, 5.06000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.22000000, 4.22000000, 0.84000000, 5.06000000),
(9978, 1637, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.23000000, NULL, 26.23000000, 5.25000000, 0.00000000, 0.00000000, 31.48000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.23000000, 26.23000000, 5.25000000, 31.48000000),
(9979, 1637, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.80000000, NULL, 76.80000000, 15.36000000, 0.00000000, 0.00000000, 92.16000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.80000000, 76.80000000, 15.36000000, 92.16000000),
(9980, 1637, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.24000000, NULL, 11.24000000, 2.25000000, 0.00000000, 0.00000000, 13.49000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.24000000, 11.24000000, 2.25000000, 13.49000000),
(9981, 1637, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 36.53000000, NULL, 36.53000000, 7.31000000, 0.00000000, 0.00000000, 43.84000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.53000000, 36.53000000, 7.31000000, 43.84000000),
(9982, 1637, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.76000000, NULL, 35.52000000, 7.10000000, 0.00000000, 0.00000000, 42.62000000, 0, NULL, NULL, 0, 10.01000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.76000000, 35.52000000, 7.10000000, 42.62000000),
(9983, 1638, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(9984, 1638, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9985, 1638, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(9986, 1639, NULL, NULL, NULL, 'L 37 N°002', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9987, 1639, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(9988, 1639, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9989, 1639, NULL, 1305490, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 387.00000000, NULL, 387.00000000, 77.40000000, 0.00000000, 0.00000000, 464.40000000, 0, NULL, NULL, 0, 170.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 387.00000000, 387.00000000, 77.40000000, 464.40000000),
(9990, 1639, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(9991, 1639, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9992, 1639, NULL, NULL, NULL, 'L37 N°001', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(9993, 1639, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(9994, 1639, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(9995, 1639, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.95000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(9996, 1639, NULL, 1305514, NULL, 'MINOR KIT DS  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 601.00000000, NULL, 601.00000000, 120.20000000, 0.00000000, 0.00000000, 721.20000000, 0, NULL, NULL, 0, 264.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 601.00000000, 601.00000000, 120.20000000, 721.20000000),
(9997, 1639, NULL, 1305490, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 387.00000000, NULL, 387.00000000, 77.40000000, 0.00000000, 0.00000000, 464.40000000, 0, NULL, NULL, 0, 170.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 387.00000000, 387.00000000, 77.40000000, 464.40000000),
(9998, 1639, NULL, 1305290, NULL, 'SERVICE PACKAGE  E   L30-L50+L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 772.00000000, NULL, 772.00000000, 154.40000000, 0.00000000, 0.00000000, 926.40000000, 0, NULL, NULL, 0, 424.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 772.00000000, 772.00000000, 154.40000000, 926.40000000),
(9999, 1639, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10000, 1640, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(10001, 1640, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10002, 1640, NULL, 1221721, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 148.44000000, NULL, 148.44000000, 29.69000000, 0.00000000, 0.00000000, 178.13000000, 0, NULL, NULL, 0, 74.22000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 148.44000000, 148.44000000, 29.69000000, 178.13000000),
(10003, 1640, NULL, 1221771, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.34000000, NULL, 48.34000000, 9.67000000, 0.00000000, 0.00000000, 58.01000000, 0, NULL, NULL, 0, 24.17000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.34000000, 48.34000000, 9.67000000, 58.01000000),
(10004, 1640, NULL, 1221754, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.34000000, NULL, 48.34000000, 9.67000000, 0.00000000, 0.00000000, 58.01000000, 0, NULL, NULL, 0, 24.17000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.34000000, 48.34000000, 9.67000000, 58.01000000),
(10005, 1640, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(10006, 1640, NULL, 1221800, NULL, 'carouche reseau HFD135', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.04000000, NULL, 113.04000000, 22.61000000, 0.00000000, 0.00000000, 135.65000000, 0, NULL, NULL, 0, 56.52000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.04000000, 113.04000000, 22.61000000, 135.65000000),
(10007, 1640, NULL, 1221800, NULL, 'carouche reseau HFD135', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.04000000, NULL, 113.04000000, 22.61000000, 0.00000000, 0.00000000, 135.65000000, 0, NULL, NULL, 0, 56.52000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.04000000, 113.04000000, 22.61000000, 135.65000000),
(10008, 1641, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 92, 0, 0, NULL, 0.97000000, NULL, 89.24000000, 17.85000000, 0.00000000, 0.00000000, 107.09000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 89.24000000, 17.85000000, 107.09000000),
(10009, 1641, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(10010, 1642, NULL, NULL, NULL, 'Maintenance L45RS :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10011, 1642, NULL, 1231581, NULL, 'kit adaptable ck2140-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.81000000, NULL, 156.81000000, 31.36000000, 0.00000000, 0.00000000, 188.17000000, 0, NULL, NULL, 0, 73.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.81000000, 156.81000000, 31.36000000, 188.17000000),
(10012, 1642, NULL, 1231582, NULL, 'separateur ck4140-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 119.67000000, NULL, 119.67000000, 23.93000000, 0.00000000, 0.00000000, 143.60000000, 0, NULL, NULL, 0, 55.71000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 119.67000000, 119.67000000, 23.93000000, 143.60000000),
(10013, 1642, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.61000000, NULL, 109.61000000, 21.92000000, 0.00000000, 0.00000000, 131.53000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.61000000, 109.61000000, 21.92000000, 131.53000000),
(10014, 1642, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 407.88000000, NULL, 407.88000000, 81.58000000, 0.00000000, 0.00000000, 489.46000000, 0, NULL, NULL, 0, 306.67000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.88000000, 407.88000000, 81.58000000, 489.46000000),
(10015, 1642, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10016, 1642, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10017, 1642, NULL, NULL, NULL, 'Maintenance separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10018, 1642, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 197.66000000, NULL, 197.66000000, 39.53000000, 0.00000000, 0.00000000, 237.19000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 197.66000000, 197.66000000, 39.53000000, 237.19000000),
(10019, 1642, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10020, 1642, NULL, NULL, NULL, 'Filtres reseaux', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10021, 1642, NULL, 952680, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(10022, 1642, NULL, 952681, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(10023, 1642, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10024, 1643, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10025, 1643, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(10026, 1643, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(10027, 1643, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(10028, 1643, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(10029, 1644, NULL, NULL, '1 Maintenance compresseur L29RS :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10030, 1644, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 652.58000000, NULL, 652.58000000, 130.52000000, 0.00000000, 0.00000000, 783.10000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 652.58000000, 652.58000000, 130.52000000, 783.10000000),
(10031, 1644, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.45000000, NULL, 7.45000000, 1.49000000, 0.00000000, 0.00000000, 8.94000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.45000000, 7.45000000, 1.49000000, 8.94000000),
(10032, 1644, NULL, 1179651, NULL, 'SERVICE KIT D L23RS-L29RS replaced', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 1609.29000000, NULL, 1206.97000000, 241.39000000, 0.00000000, 0.00000000, 1448.36000000, 1, NULL, NULL, 0, 554.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1609.29000000, 1206.97000000, 241.39000000, 1448.36000000),
(10033, 1644, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 296.26000000, NULL, 296.26000000, 59.25000000, 0.00000000, 0.00000000, 355.51000000, 0, NULL, NULL, 0, 129.27000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 296.26000000, 296.26000000, 59.25000000, 355.51000000),
(10034, 1644, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10035, 1644, NULL, NULL, '2 Maintenance filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10036, 1644, NULL, 952676, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.02000000, NULL, 155.02000000, 31.00000000, 0.00000000, 0.00000000, 186.02000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.02000000, 155.02000000, 31.00000000, 186.02000000),
(10037, 1644, NULL, 952677, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.02000000, NULL, 155.02000000, 31.00000000, 0.00000000, 0.00000000, 186.02000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.02000000, 155.02000000, 31.00000000, 186.02000000),
(10038, 1644, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10039, 1644, NULL, NULL, '3 Maintenance separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10040, 1644, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 279.63000000, NULL, 279.63000000, 55.93000000, 0.00000000, 0.00000000, 335.56000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 279.63000000, 279.63000000, 55.93000000, 335.56000000),
(10041, 1644, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10042, 1645, NULL, 952654, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 444.96000000, NULL, 889.92000000, 177.98000000, 0.00000000, 0.00000000, 1067.90000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 444.96000000, 889.92000000, 177.98000000, 1067.90000000),
(10043, 1645, NULL, NULL, NULL, 'sid920201- coude galva n92 mf20 27', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.00000000, NULL, 3.00000000, 0.60000000, 0.00000000, 0.00000000, 3.60000000, 0, NULL, NULL, 0, 2.08000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.00000000, 3.00000000, 0.60000000, 3.60000000),
(10044, 1645, NULL, NULL, NULL, 'sid341201 - union galva n341 mf20 27', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.50000000, NULL, 8.50000000, 1.70000000, 0.00000000, 0.00000000, 10.20000000, 0, NULL, NULL, 0, 7.09000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.50000000, 8.50000000, 1.70000000, 10.20000000),
(10045, 1645, NULL, 966757, NULL, 'Réduction cyl. M/F 1\"1/2 X 3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.00000000, NULL, 23.00000000, 4.60000000, 0.00000000, 0.00000000, 27.60000000, 0, NULL, NULL, 0, 11.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.00000000, 23.00000000, 4.60000000, 27.60000000),
(10046, 1645, NULL, 967141, NULL, 'Réduction M/F 1\"1/2 x 1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.94000000, NULL, 4.94000000, 0.99000000, 0.00000000, 0.00000000, 5.93000000, 0, NULL, NULL, 0, 2.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.94000000, 4.94000000, 0.99000000, 5.93000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(10047, 1645, NULL, 966737, NULL, 'Réduction conique M/F G1\"x3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.95000000, NULL, 3.95000000, 0.79000000, 0.00000000, 0.00000000, 4.74000000, 0, NULL, NULL, 0, 1.98000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.95000000, 3.95000000, 0.79000000, 4.74000000),
(10048, 1645, NULL, 967515, NULL, 'Réduction MxF 2\"x 1\"1/2 galva', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.14000000, NULL, 6.14000000, 1.23000000, 0.00000000, 0.00000000, 7.37000000, 0, NULL, NULL, 0, 3.07000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.14000000, 6.14000000, 1.23000000, 7.37000000),
(10049, 1645, NULL, 966971, NULL, 'Te égal FFF G3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.20000000, NULL, 8.20000000, 1.64000000, 0.00000000, 0.00000000, 9.84000000, 0, NULL, NULL, 0, 4.10000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.20000000, 8.20000000, 1.64000000, 9.84000000),
(10050, 1645, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(10051, 1646, NULL, 1305188, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 53.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(10052, 1647, NULL, 952492, NULL, 'union simple pour tube', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 8.73000000, NULL, 34.92000000, 6.98000000, 0.00000000, 0.00000000, 41.90000000, 0, NULL, NULL, 0, 4.24000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.73000000, 34.92000000, 6.98000000, 41.90000000),
(10053, 1647, NULL, 952493, NULL, 'union simple pour tube', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 11.18000000, NULL, 44.72000000, 8.94000000, 0.00000000, 0.00000000, 53.66000000, 0, NULL, NULL, 0, 5.43000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.18000000, 44.72000000, 8.94000000, 53.66000000),
(10054, 1647, NULL, 952494, NULL, 'union simple pour tube', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 16.10000000, NULL, 64.40000000, 12.88000000, 0.00000000, 0.00000000, 77.28000000, 0, NULL, NULL, 0, 7.82000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.10000000, 64.40000000, 12.88000000, 77.28000000),
(10055, 1647, NULL, 952597, NULL, 'te egal pour tube', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.17000000, NULL, 14.17000000, 2.83000000, 0.00000000, 0.00000000, 17.00000000, 0, NULL, NULL, 0, 6.88000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.17000000, 14.17000000, 2.83000000, 17.00000000),
(10056, 1647, NULL, 952598, NULL, 'te egal pour tube', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.90000000, NULL, 17.90000000, 3.58000000, 0.00000000, 0.00000000, 21.48000000, 0, NULL, NULL, 0, 8.69000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.90000000, 17.90000000, 3.58000000, 21.48000000),
(10057, 1647, NULL, 952593, NULL, 'te reduit pour tube', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.88000000, NULL, 20.88000000, 4.18000000, 0.00000000, 0.00000000, 25.06000000, 0, NULL, NULL, 0, 10.14000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.88000000, 20.88000000, 4.18000000, 25.06000000),
(10058, 1648, NULL, 1223813, NULL, '1500w 230v 255 m3/h&nbsp;<br />\r\ncuve inox 27 litres1 moteur<br />\r\n8 kg&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 166.40000000, NULL, 166.40000000, 33.28000000, 0.00000000, 0.00000000, 199.68000000, 0, NULL, NULL, 0, 148.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 166.40000000, 166.40000000, 33.28000000, 199.68000000),
(10059, 1649, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 428.92000000, NULL, 428.92000000, 85.78000000, 0.00000000, 0.00000000, 514.70000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 428.92000000, 428.92000000, 85.78000000, 514.70000000),
(10060, 1649, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.86000000, NULL, 5.86000000, 1.17000000, 0.00000000, 0.00000000, 7.03000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.86000000, 5.86000000, 1.17000000, 7.03000000),
(10061, 1649, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 29.85000000, NULL, 29.85000000, 5.97000000, 0.00000000, 0.00000000, 35.82000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.85000000, 29.85000000, 5.97000000, 35.82000000),
(10062, 1649, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.05000000, NULL, 17.05000000, 3.41000000, 0.00000000, 0.00000000, 20.46000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.05000000, 17.05000000, 3.41000000, 20.46000000),
(10063, 1649, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.45000000, NULL, 120.45000000, 24.09000000, 0.00000000, 0.00000000, 144.54000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.45000000, 120.45000000, 24.09000000, 144.54000000),
(10064, 1649, NULL, 1231770, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.32000000, NULL, 42.64000000, 8.53000000, 0.00000000, 0.00000000, 51.17000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.32000000, 42.64000000, 8.53000000, 51.17000000),
(10065, 1649, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 41.57000000, NULL, 41.57000000, 8.31000000, 0.00000000, 0.00000000, 49.88000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.57000000, 41.57000000, 8.31000000, 49.88000000),
(10066, 1649, NULL, 1305888, NULL, 'V0120 element de filtre fin', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.79000000, NULL, 109.79000000, 21.96000000, 0.00000000, 0.00000000, 131.75000000, 0, NULL, NULL, 0, 49.44000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.79000000, 109.79000000, 21.96000000, 131.75000000),
(10067, 1649, NULL, 1305889, NULL, 'M0120 element de microfiltre fin', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.79000000, NULL, 109.79000000, 21.96000000, 0.00000000, 0.00000000, 131.75000000, 0, NULL, NULL, 0, 49.44000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.79000000, 109.79000000, 21.96000000, 131.75000000),
(10068, 1649, NULL, 1305890, NULL, 'jeu de maintenance ROS3', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 159.89000000, NULL, 159.89000000, 31.98000000, 0.00000000, 0.00000000, 191.87000000, 0, NULL, NULL, 0, 105.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 159.89000000, 159.89000000, 31.98000000, 191.87000000),
(10069, 1650, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10070, 1650, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(10071, 1650, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(10072, 1650, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(10073, 1650, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(10074, 1650, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(10075, 1650, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 73.10000000, NULL, 146.20000000, 29.24000000, 0.00000000, 0.00000000, 175.44000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 146.20000000, 29.24000000, 175.44000000),
(10076, 1651, NULL, 1297968, NULL, 'pressostat', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.00000000, NULL, 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 60.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.00000000, 110.00000000, 22.00000000, 132.00000000),
(10077, 1651, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(10078, 1651, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(10079, 1652, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10080, 1652, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(10081, 1652, NULL, 1221752, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.60000000, NULL, 22.60000000, 4.52000000, 0.00000000, 0.00000000, 27.12000000, 0, NULL, NULL, 0, 11.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.60000000, 22.60000000, 4.52000000, 27.12000000),
(10082, 1652, NULL, 1221738, NULL, 'SEPARATEUR AIR/HUILE 6221372450', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.36000000, NULL, 79.36000000, 15.87000000, 0.00000000, 0.00000000, 95.23000000, 0, NULL, NULL, 0, 39.68000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.36000000, 79.36000000, 15.87000000, 95.23000000),
(10083, 1652, NULL, 1221770, NULL, 'filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.28000000, NULL, 14.28000000, 2.86000000, 0.00000000, 0.00000000, 17.14000000, 0, NULL, NULL, 0, 7.14000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.28000000, 14.28000000, 2.86000000, 17.14000000),
(10084, 1652, NULL, 1221804, NULL, 'filtre 8973015221', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.82000000, NULL, 42.82000000, 8.56000000, 0.00000000, 0.00000000, 51.38000000, 0, NULL, NULL, 0, 21.41000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.82000000, 42.82000000, 8.56000000, 51.38000000),
(10085, 1652, NULL, 1221803, NULL, 'filtre 8973015191', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.86000000, NULL, 42.86000000, 8.57000000, 0.00000000, 0.00000000, 51.43000000, 0, NULL, NULL, 0, 21.43000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.86000000, 42.86000000, 8.57000000, 51.43000000),
(10086, 1652, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 23.25000000, NULL, 93.00000000, 18.60000000, 0.00000000, 0.00000000, 111.60000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 93.00000000, 18.60000000, 111.60000000),
(10087, 1652, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(10088, 1653, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 492.10000000, NULL, 492.10000000, 98.42000000, 0.00000000, 0.00000000, 590.52000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 492.10000000, 492.10000000, 98.42000000, 590.52000000),
(10089, 1653, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10090, 1653, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 299.00000000, NULL, 269.10000000, 53.82000000, 0.00000000, 0.00000000, 322.92000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 269.10000000, 53.82000000, 322.92000000),
(10091, 1653, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 429.00000000, NULL, 386.10000000, 77.22000000, 0.00000000, 0.00000000, 463.32000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 429.00000000, 386.10000000, 77.22000000, 463.32000000),
(10092, 1653, NULL, 1305524, NULL, 'SEPARATOR KIT D  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 1387.00000000, NULL, 1040.25000000, 208.05000000, 0.00000000, 0.00000000, 1248.30000000, 0, NULL, NULL, 0, 610.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1387.00000000, 1040.25000000, 208.05000000, 1248.30000000),
(10093, 1653, NULL, 955221, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 281.89000000, NULL, 281.89000000, 56.38000000, 0.00000000, 0.00000000, 338.27000000, 0, NULL, NULL, 0, 136.84000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 281.89000000, 281.89000000, 56.38000000, 338.27000000),
(10094, 1653, NULL, 954020, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 295.03000000, NULL, 295.03000000, 59.01000000, 0.00000000, 0.00000000, 354.04000000, 0, NULL, NULL, 0, 106.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 295.03000000, 295.03000000, 59.01000000, 354.04000000),
(10095, 1653, NULL, 959172, NULL, 'Filter Set for ÖWAMAT 15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 373.76000000, NULL, 373.76000000, 74.75000000, 0.00000000, 0.00000000, 448.51000000, 0, NULL, NULL, 0, 198.40000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 373.76000000, 373.76000000, 74.75000000, 448.51000000),
(10096, 1654, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(10097, 1654, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10098, 1654, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 72.56000000, NULL, 72.56000000, 14.51000000, 0.00000000, 0.00000000, 87.07000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 72.56000000, 72.56000000, 14.51000000, 87.07000000),
(10099, 1654, NULL, 1221755, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.38000000, NULL, 34.38000000, 6.88000000, 0.00000000, 0.00000000, 41.26000000, 0, NULL, NULL, 0, 17.19000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.38000000, 34.38000000, 6.88000000, 41.26000000),
(10100, 1654, NULL, 1221774, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.14000000, NULL, 19.14000000, 3.83000000, 0.00000000, 0.00000000, 22.97000000, 0, NULL, NULL, 0, 9.38000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.14000000, 19.14000000, 3.83000000, 22.97000000),
(10101, 1654, NULL, 1221721, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.33000000, NULL, 111.33000000, 22.27000000, 0.00000000, 0.00000000, 133.60000000, 0, NULL, NULL, 0, 74.22000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.33000000, 111.33000000, 22.27000000, 133.60000000),
(10102, 1655, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(10103, 1655, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10104, 1655, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(10105, 1655, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(10106, 1655, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(10107, 1655, NULL, 1231698, NULL, 'bidons huiles 10L minéral 68', 20.000, '', 0.000, '0', 0.000, '0', 0.5, 0, 0, NULL, 57.00000000, NULL, 28.50000000, 5.70000000, 0.00000000, 0.00000000, 34.20000000, 0, NULL, NULL, 0, 39.90000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.00000000, 28.50000000, 5.70000000, 34.20000000),
(10108, 1656, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 70, 0, 0, NULL, 0.97000000, NULL, 67.90000000, 13.58000000, 0.00000000, 0.00000000, 81.48000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 67.90000000, 13.58000000, 81.48000000),
(10109, 1656, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(10110, 1657, NULL, 952656, NULL, 'cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(10111, 1657, NULL, 952657, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(10112, 1658, NULL, 1223621, NULL, 'Compresseur à Piston Sur Réservoir 100 Litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 420.00000000, NULL, 420.00000000, 84.00000000, 0.00000000, 0.00000000, 504.00000000, 0, NULL, NULL, 0, 336.41000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 420.00000000, 420.00000000, 84.00000000, 504.00000000),
(10113, 1658, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(10114, 1659, NULL, 1223621, NULL, 'Compresseur à Piston Sur Réservoir 100 Litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 420.00000000, NULL, 420.00000000, 84.00000000, 0.00000000, 0.00000000, 504.00000000, 0, NULL, NULL, 0, 364.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 420.00000000, 420.00000000, 84.00000000, 504.00000000),
(10115, 1659, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(10116, 1660, NULL, 1188146, NULL, 'comp a piston 31m2/h 5,5ch 200 litre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1065.00000000, NULL, 1065.00000000, 213.00000000, 0.00000000, 0.00000000, 1278.00000000, 0, NULL, NULL, 0, 777.42000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1065.00000000, 1065.00000000, 213.00000000, 1278.00000000),
(10117, 1660, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(10118, 1661, NULL, 969789, NULL, 'Tube rigide Ø25mm ? barre de 4m', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 6.68000000, NULL, 80.16000000, 16.03000000, 0.00000000, 0.00000000, 96.19000000, 0, NULL, NULL, 0, 4.00800000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.68000000, 80.16000000, 16.03000000, 96.19000000),
(10119, 1661, NULL, 969788, NULL, 'Tube rigide Ø20mm ? barre de 4m', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 4.35000000, NULL, 52.20000000, 10.44000000, 0.00000000, 0.00000000, 62.64000000, 0, NULL, NULL, 0, 2.61000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.35000000, 52.20000000, 10.44000000, 62.64000000),
(10120, 1661, NULL, 969797, NULL, 'Manchon égal Ø25mm', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.65000000, NULL, 26.50000000, 5.30000000, 0.00000000, 0.00000000, 31.80000000, 0, NULL, NULL, 0, 1.59000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.65000000, 26.50000000, 5.30000000, 31.80000000),
(10121, 1661, NULL, 969796, NULL, 'Manchon égal Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.33000000, NULL, 23.30000000, 4.66000000, 0.00000000, 0.00000000, 27.96000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 23.30000000, 4.66000000, 27.96000000),
(10122, 1661, NULL, 969863, NULL, 'Réduction simple Ø25x20mm', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.01000000, NULL, 10.05000000, 2.01000000, 0.00000000, 0.00000000, 12.06000000, 0, NULL, NULL, 0, 1.20600000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.01000000, 10.05000000, 2.01000000, 12.06000000),
(10123, 1661, NULL, 969804, NULL, 'Coude égal 90° Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.33000000, NULL, 11.65000000, 2.33000000, 0.00000000, 0.00000000, 13.98000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 11.65000000, 2.33000000, 13.98000000),
(10124, 1661, NULL, 969805, NULL, 'Coude égal 90° Ø25mm', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.29000000, NULL, 16.45000000, 3.29000000, 0.00000000, 0.00000000, 19.74000000, 0, NULL, NULL, 0, 1.97400000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.29000000, 16.45000000, 3.29000000, 19.74000000),
(10125, 1661, NULL, 969824, NULL, 'Té égal Ø25mm', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 4.66000000, NULL, 23.30000000, 4.66000000, 0.00000000, 0.00000000, 27.96000000, 0, NULL, NULL, 0, 2.79600000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.66000000, 23.30000000, 4.66000000, 27.96000000),
(10126, 1661, NULL, 969812, NULL, 'Coude égal 45° Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.33000000, NULL, 11.65000000, 2.33000000, 0.00000000, 0.00000000, 13.98000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 11.65000000, 2.33000000, 13.98000000),
(10127, 1661, NULL, 969813, NULL, 'Coude égal 45° Ø25mm', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.29000000, NULL, 16.45000000, 3.29000000, 0.00000000, 0.00000000, 19.74000000, 0, NULL, NULL, 0, 1.97400000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.29000000, 16.45000000, 3.29000000, 19.74000000),
(10128, 1661, NULL, 969846, NULL, 'Bouchon Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.12000000, NULL, 10.60000000, 2.12000000, 0.00000000, 0.00000000, 12.72000000, 0, NULL, NULL, 0, 1.27200000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.12000000, 10.60000000, 2.12000000, 12.72000000),
(10129, 1661, NULL, 969847, NULL, 'Bouchon Ø25mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.44000000, NULL, 4.88000000, 0.98000000, 0.00000000, 0.00000000, 5.86000000, 0, NULL, NULL, 0, 1.46400000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.44000000, 4.88000000, 0.98000000, 5.86000000),
(10130, 1661, NULL, 969992, NULL, 'Colle polymère de soudure 1 litre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 46.34000000, NULL, 46.34000000, 9.27000000, 0.00000000, 0.00000000, 55.61000000, 0, NULL, NULL, 0, 26.61000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 46.34000000, 46.34000000, 9.27000000, 55.61000000),
(10131, 1661, NULL, 970001, NULL, 'Collier coulissant DN20 7X150', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.22000000, NULL, 22.20000000, 4.44000000, 0.00000000, 0.00000000, 26.64000000, 0, NULL, NULL, 0, 1.08000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.22000000, 22.20000000, 4.44000000, 26.64000000),
(10132, 1661, NULL, 970004, NULL, 'Collier coulissant DN25 7X150', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.71000000, NULL, 27.10000000, 5.42000000, 0.00000000, 0.00000000, 32.52000000, 0, NULL, NULL, 0, 1.32000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.71000000, 27.10000000, 5.42000000, 32.52000000),
(10133, 1662, NULL, NULL, NULL, '<p>groupe electrogene 6500 sdmo</p>', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1259.25000000, NULL, 1259.25000000, 251.85000000, 0.00000000, 0.00000000, 1511.10000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1259.25000000, 1259.25000000, 251.85000000, 1511.10000000),
(10134, 1663, NULL, 1586920, NULL, 'COURROIE EXTRA CLASICA B 86', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 26.00000000, NULL, 78.00000000, 15.60000000, 0.00000000, 0.00000000, 93.60000000, 0, NULL, NULL, 0, 13.23000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.00000000, 78.00000000, 15.60000000, 93.60000000),
(10135, 1665, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10136, 1665, NULL, 1230990, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 407.10000000, NULL, 346.04000000, 69.20000000, 0.00000000, 0.00000000, 415.24000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.10000000, 346.04000000, 69.20000000, 415.24000000),
(10137, 1665, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(10138, 1665, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 86.10000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(10139, 1665, NULL, 1305515, NULL, 'SEPARATOR KIT DS  L30 RS-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 642.00000000, NULL, 642.00000000, 128.40000000, 0.00000000, 0.00000000, 770.40000000, 0, NULL, NULL, 0, 167.27000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 642.00000000, 642.00000000, 128.40000000, 770.40000000),
(10140, 1665, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(10141, 1666, NULL, 1231804, NULL, 'sonde pour sécheur frigorifique OMI', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.00000000, NULL, 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.00000000, 50.00000000, 10.00000000, 60.00000000),
(10142, 1666, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(10143, 1666, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 128, 0, 0, NULL, 0.97000000, NULL, 124.16000000, 24.83000000, 0.00000000, 0.00000000, 148.99000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 124.16000000, 24.83000000, 148.99000000),
(10144, 1667, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 0.97000000, NULL, 11.64000000, 2.33000000, 0.00000000, 0.00000000, 13.97000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 11.64000000, 2.33000000, 13.97000000),
(10145, 1667, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(10146, 1667, NULL, NULL, NULL, 'ventilateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.05000000, NULL, 113.05000000, 22.61000000, 0.00000000, 0.00000000, 135.66000000, 0, NULL, NULL, 0, 85.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.05000000, 113.05000000, 22.61000000, 135.66000000),
(10147, 1668, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(10148, 1669, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.13000000, NULL, 114.13000000, 22.83000000, 0.00000000, 0.00000000, 136.96000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 114.13000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.13000000, 114.13000000, 22.83000000, 136.96000000),
(10149, 1678, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 377.50000000, NULL, 302.00000000, 60.40000000, 0.00000000, 0.00000000, 362.40000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 302.00000000, 60.40000000, 362.40000000),
(10150, 1678, NULL, 1305514, NULL, 'MINOR KIT DS  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 601.00000000, NULL, 480.80000000, 96.16000000, 0.00000000, 0.00000000, 576.96000000, 0, NULL, NULL, 0, 264.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 601.00000000, 480.80000000, 96.16000000, 576.96000000),
(10151, 1678, NULL, 953191, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 228.41000000, NULL, 228.41000000, 45.68000000, 0.00000000, 0.00000000, 274.09000000, 0, NULL, NULL, 0, 110.88000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 228.41000000, 228.41000000, 45.68000000, 274.09000000),
(10152, 1678, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(10153, 1678, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10154, 1678, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(10155, 1679, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(10156, 1679, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10157, 1679, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(10158, 1679, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(10159, 1679, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(10160, 1679, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(10161, 1679, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(10162, 1679, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(10163, 1679, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 71.92000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(10164, 1680, NULL, 1586945, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 128, 0, 0, NULL, 52.50000000, NULL, 6720.00000000, 1344.00000000, 0.00000000, 0.00000000, 8064.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 6720.00000000, 1344.00000000, 8064.00000000),
(10165, 1681, NULL, 1586944, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.00000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 5.00000000, 1.00000000, 6.00000000),
(10166, 1681, NULL, 1586945, NULL, 'bidon gel hydroalcooliques', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 52.50000000, NULL, 210.00000000, 42.00000000, 0.00000000, 0.00000000, 252.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 210.00000000, 42.00000000, 252.00000000),
(10167, 1682, NULL, NULL, '2 filtres reseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10168, 1682, NULL, 953002, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 101.06000000, NULL, 101.06000000, 20.21000000, 0.00000000, 0.00000000, 121.27000000, 0, NULL, NULL, 0, 49.06000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 101.06000000, 101.06000000, 20.21000000, 121.27000000),
(10169, 1682, NULL, 953004, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 101.06000000, NULL, 101.06000000, 20.21000000, 0.00000000, 0.00000000, 121.27000000, 0, NULL, NULL, 0, 49.06000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 101.06000000, 101.06000000, 20.21000000, 121.27000000),
(10170, 1682, NULL, 1245853, NULL, 'SUBMICROFILTRE 0,01 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.30000000, NULL, 100.30000000, 20.06000000, 0.00000000, 0.00000000, 120.36000000, 0, NULL, NULL, 0, 58.11000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.30000000, 100.30000000, 20.06000000, 120.36000000),
(10171, 1682, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10172, 1682, NULL, NULL, '4 Maintenance L30 :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10173, 1682, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(10174, 1682, NULL, 1222548, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 28.40000000, NULL, 85.20000000, 17.04000000, 0.00000000, 0.00000000, 102.24000000, 0, NULL, NULL, 0, 13.79000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.40000000, 85.20000000, 17.04000000, 102.24000000),
(10175, 1682, NULL, 952024, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 47.40000000, NULL, 47.40000000, 9.48000000, 0.00000000, 0.00000000, 56.88000000, 0, NULL, NULL, 0, 23.01000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 47.40000000, 47.40000000, 9.48000000, 56.88000000),
(10176, 1682, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 59.69000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(10177, 1682, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10178, 1682, NULL, 954040, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.33000000, NULL, 79.33000000, 15.87000000, 0.00000000, 0.00000000, 95.20000000, 0, NULL, NULL, 0, 38.51000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.33000000, 79.33000000, 15.87000000, 95.20000000),
(10179, 1682, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 110.72000000, NULL, 221.44000000, 44.29000000, 0.00000000, 0.00000000, 265.73000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 221.44000000, 44.29000000, 265.73000000),
(10180, 1682, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10181, 1683, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 54, 0, 0, NULL, 14.18000000, NULL, 765.72000000, 153.14000000, 0.00000000, 0.00000000, 918.86000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.18000000, 765.72000000, 153.14000000, 918.86000000),
(10182, 1683, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 7.48000000, NULL, 74.80000000, 14.96000000, 0.00000000, 0.00000000, 89.76000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.48000000, 74.80000000, 14.96000000, 89.76000000),
(10183, 1683, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 16.05000000, NULL, 321.00000000, 64.20000000, 0.00000000, 0.00000000, 385.20000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.05000000, 321.00000000, 64.20000000, 385.20000000),
(10184, 1683, NULL, 1079818, NULL, 'Coude à 45° diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 14.98000000, NULL, 59.92000000, 11.98000000, 0.00000000, 0.00000000, 71.90000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.98000000, 59.92000000, 11.98000000, 71.90000000),
(10185, 1683, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 19.43000000, NULL, 77.72000000, 15.54000000, 0.00000000, 0.00000000, 93.26000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.43000000, 77.72000000, 15.54000000, 93.26000000),
(10186, 1683, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 41.11000000, NULL, 164.44000000, 32.89000000, 0.00000000, 0.00000000, 197.33000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.11000000, 164.44000000, 32.89000000, 197.33000000),
(10187, 1683, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.88000000, NULL, 37.76000000, 7.55000000, 0.00000000, 0.00000000, 45.31000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.88000000, 37.76000000, 7.55000000, 45.31000000),
(10188, 1683, NULL, 1080014, NULL, 'Manchon d\'extrémité diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.17000000, NULL, 10.17000000, 2.03000000, 0.00000000, 0.00000000, 12.20000000, 0, NULL, NULL, 0, 4.74000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.17000000, 10.17000000, 2.03000000, 12.20000000),
(10189, 1683, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 54, 0, 0, NULL, 9.35000000, NULL, 504.90000000, 100.98000000, 0.00000000, 0.00000000, 605.88000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.35000000, 504.90000000, 100.98000000, 605.88000000),
(10190, 1683, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 6.46000000, NULL, 64.60000000, 12.92000000, 0.00000000, 0.00000000, 77.52000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.46000000, 64.60000000, 12.92000000, 77.52000000),
(10191, 1683, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 10.21000000, NULL, 122.52000000, 24.50000000, 0.00000000, 0.00000000, 147.02000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.21000000, 122.52000000, 24.50000000, 147.02000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(10192, 1683, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.65000000, NULL, 23.30000000, 4.66000000, 0.00000000, 0.00000000, 27.96000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.65000000, 23.30000000, 4.66000000, 27.96000000),
(10193, 1683, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.47000000, NULL, 14.47000000, 2.89000000, 0.00000000, 0.00000000, 17.36000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.47000000, 14.47000000, 2.89000000, 17.36000000),
(10194, 1683, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 32.26000000, NULL, 96.78000000, 19.36000000, 0.00000000, 0.00000000, 116.14000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.26000000, 96.78000000, 19.36000000, 116.14000000),
(10195, 1683, NULL, 1079930, NULL, 'Raccord mixte mâle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.89000000, NULL, 12.89000000, 2.58000000, 0.00000000, 0.00000000, 15.47000000, 0, NULL, NULL, 0, 6.01000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.89000000, 12.89000000, 2.58000000, 15.47000000),
(10196, 1683, NULL, 1080013, NULL, 'Manchon d\'extrémité diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.05000000, NULL, 9.05000000, 1.81000000, 0.00000000, 0.00000000, 10.86000000, 0, NULL, NULL, 0, 4.22000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.05000000, 9.05000000, 1.81000000, 10.86000000),
(10197, 1683, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 54, 0, 0, NULL, 7.51000000, NULL, 405.54000000, 81.11000000, 0.00000000, 0.00000000, 486.65000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.51000000, 405.54000000, 81.11000000, 486.65000000),
(10198, 1683, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 54, 0, 0, NULL, 7.51000000, NULL, 405.54000000, 81.11000000, 0.00000000, 0.00000000, 486.65000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.51000000, 405.54000000, 81.11000000, 486.65000000),
(10199, 1683, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 5.40000000, NULL, 54.00000000, 10.80000000, 0.00000000, 0.00000000, 64.80000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.40000000, 54.00000000, 10.80000000, 64.80000000),
(10200, 1683, NULL, 1079871, NULL, 'Té réduit diam. ext. 42 . 22 . 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.66000000, NULL, 22.66000000, 4.53000000, 0.00000000, 0.00000000, 27.19000000, 0, NULL, NULL, 0, 10.58000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.66000000, 22.66000000, 4.53000000, 27.19000000),
(10201, 1683, NULL, 1079876, NULL, 'Té réduit diam. ext. 54 . 22 . 54', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.10000000, NULL, 27.10000000, 5.42000000, 0.00000000, 0.00000000, 32.52000000, 0, NULL, NULL, 0, 12.65000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.10000000, 27.10000000, 5.42000000, 32.52000000),
(10202, 1683, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 8.06000000, NULL, 96.72000000, 19.34000000, 0.00000000, 0.00000000, 116.06000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.06000000, 96.72000000, 19.34000000, 116.06000000),
(10203, 1683, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 9.99000000, NULL, 119.88000000, 23.98000000, 0.00000000, 0.00000000, 143.86000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.99000000, 119.88000000, 23.98000000, 143.86000000),
(10204, 1683, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.34000000, NULL, 24.68000000, 4.94000000, 0.00000000, 0.00000000, 29.62000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.34000000, 24.68000000, 4.94000000, 29.62000000),
(10205, 1683, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 22.00000000, NULL, 88.00000000, 17.60000000, 0.00000000, 0.00000000, 105.60000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.00000000, 88.00000000, 17.60000000, 105.60000000),
(10206, 1683, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.69000000, NULL, 9.69000000, 1.94000000, 0.00000000, 0.00000000, 11.63000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.69000000, 9.69000000, 1.94000000, 11.63000000),
(10207, 1683, NULL, 1080012, NULL, 'Manchon d\'extrémité diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.83000000, NULL, 6.83000000, 1.37000000, 0.00000000, 0.00000000, 8.20000000, 0, NULL, NULL, 0, 3.19000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.83000000, 6.83000000, 1.37000000, 8.20000000),
(10208, 1683, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 1.69000000, NULL, 50.70000000, 10.14000000, 0.00000000, 0.00000000, 60.84000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.69000000, 50.70000000, 10.14000000, 60.84000000),
(10209, 1683, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 1.72000000, NULL, 51.60000000, 10.32000000, 0.00000000, 0.00000000, 61.92000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.72000000, 51.60000000, 10.32000000, 61.92000000),
(10210, 1683, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 1.81000000, NULL, 54.30000000, 10.86000000, 0.00000000, 0.00000000, 65.16000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.81000000, 54.30000000, 10.86000000, 65.16000000),
(10211, 1683, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 11.15000000, NULL, 44.60000000, 8.92000000, 0.00000000, 0.00000000, 53.52000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.15000000, 44.60000000, 8.92000000, 53.52000000),
(10212, 1683, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 24.96000000, NULL, 49.92000000, 9.98000000, 0.00000000, 0.00000000, 59.90000000, 0, NULL, NULL, 0, 8.20000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.96000000, 49.92000000, 9.98000000, 59.90000000),
(10213, 1683, NULL, 966507, NULL, 'Vanne F/F G1\"1/4 PN30 DN32', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 39.70000000, NULL, 119.10000000, 23.82000000, 0.00000000, 0.00000000, 142.92000000, 0, NULL, NULL, 0, 13.16000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.70000000, 119.10000000, 23.82000000, 142.92000000),
(10214, 1683, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.58000000, NULL, 11.16000000, 2.23000000, 0.00000000, 0.00000000, 13.39000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.58000000, 11.16000000, 2.23000000, 13.39000000),
(10215, 1683, NULL, 966957, NULL, 'Croix FFFF G1\" fonte galva', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.23000000, NULL, 14.23000000, 2.85000000, 0.00000000, 0.00000000, 17.08000000, 0, NULL, NULL, 0, 4.58000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.23000000, 14.23000000, 2.85000000, 17.08000000),
(10216, 1683, NULL, 966973, NULL, 'Té égal FFF G1\"1/4 laiton', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.86000000, NULL, 37.72000000, 7.54000000, 0.00000000, 0.00000000, 45.26000000, 0, NULL, NULL, 0, 6.25000000, NULL, 0, 0, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.86000000, 37.72000000, 7.54000000, 45.26000000),
(10217, 1683, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.11000000, NULL, 4.22000000, 0.84000000, 0.00000000, 0.00000000, 5.06000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 37, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.11000000, 4.22000000, 0.84000000, 5.06000000),
(10218, 1683, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 37.67000000, NULL, 75.34000000, 15.07000000, 0.00000000, 0.00000000, 90.41000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 38, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 37.67000000, 75.34000000, 15.07000000, 90.41000000),
(10219, 1683, NULL, 967061, NULL, 'About de jonction pour tuyau 25mm Mâle G1\'\' Acier', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.29000000, NULL, 18.29000000, 3.66000000, 0.00000000, 0.00000000, 21.95000000, 0, NULL, NULL, 0, 6.06000000, NULL, 0, 0, 39, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.29000000, 18.29000000, 3.66000000, 21.95000000),
(10220, 1683, NULL, 972944, NULL, 'About collerette G1\"1/4 Ø32mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 47.23000000, NULL, 94.46000000, 18.89000000, 0.00000000, 0.00000000, 113.35000000, 0, NULL, NULL, 0, 15.65000000, NULL, 0, 0, 40, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 47.23000000, 94.46000000, 18.89000000, 113.35000000),
(10221, 1683, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4753.68000000, NULL, 4753.68000000, 950.74000000, 0.00000000, 0.00000000, 5704.42000000, 0, NULL, NULL, 0, 5000.00000000, NULL, 0, 0, 41, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4753.68000000, 4753.68000000, 950.74000000, 5704.42000000),
(10222, 1684, NULL, NULL, NULL, 'branchement en direct sur machine en air et eau', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10223, 1684, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 6.20000000, NULL, 37.20000000, 7.44000000, 0.00000000, 0.00000000, 44.64000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 37.20000000, 7.44000000, 44.64000000),
(10224, 1684, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 6.77000000, NULL, 20.31000000, 4.06000000, 0.00000000, 0.00000000, 24.37000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 20.31000000, 4.06000000, 24.37000000),
(10225, 1684, NULL, 1231628, NULL, 'crapaud', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.69000000, NULL, 5.38000000, 1.08000000, 0.00000000, 0.00000000, 6.46000000, 0, NULL, NULL, 0, 1.69000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.69000000, 5.38000000, 1.08000000, 6.46000000),
(10226, 1684, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.14000000, NULL, 2.28000000, 0.46000000, 0.00000000, 0.00000000, 2.74000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 2.28000000, 0.46000000, 2.74000000),
(10227, 1684, NULL, NULL, NULL, 'vanne bs aster 15x21', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 10.30000000, NULL, 20.60000000, 4.12000000, 0.00000000, 0.00000000, 24.72000000, 0, NULL, NULL, 0, 5.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 20.60000000, 4.12000000, 24.72000000),
(10228, 1684, NULL, NULL, NULL, 'courbe cu a sertir', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 8.00000000, NULL, 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 4.27000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.00000000, 48.00000000, 9.60000000, 57.60000000),
(10229, 1684, NULL, NULL, NULL, 'manchon cu a sertir', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 7.00000000, NULL, 42.00000000, 8.40000000, 0.00000000, 0.00000000, 50.40000000, 0, NULL, NULL, 0, 3.20000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 42.00000000, 8.40000000, 50.40000000),
(10230, 1684, NULL, NULL, NULL, 'te egal cu a sertir d16', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.11000000, NULL, 24.22000000, 4.84000000, 0.00000000, 0.00000000, 29.06000000, 0, NULL, NULL, 0, 6.31000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.11000000, 24.22000000, 4.84000000, 29.06000000),
(10231, 1684, NULL, NULL, NULL, 'te egal cu asertir d14', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 10.90000000, NULL, 21.80000000, 4.36000000, 0.00000000, 0.00000000, 26.16000000, 0, NULL, NULL, 0, 5.36000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.90000000, 21.80000000, 4.36000000, 26.16000000),
(10232, 1684, NULL, NULL, NULL, 'te egal femel a visser', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.00000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 2.73000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 5.00000000, 1.00000000, 6.00000000),
(10233, 1684, NULL, NULL, NULL, 'tube en cuivre', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 7.00000000, NULL, 70.00000000, 14.00000000, 0.00000000, 0.00000000, 84.00000000, 0, NULL, NULL, 0, 4.25000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 70.00000000, 14.00000000, 84.00000000),
(10234, 1684, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 63.84000000, NULL, 383.04000000, 76.61000000, 0.00000000, 0.00000000, 459.65000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 383.04000000, 76.61000000, 459.65000000),
(10235, 1685, NULL, 1188148, NULL, 'compresseur à piston 31 m3/h 5,5 cv', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1105.00000000, NULL, 1105.00000000, 221.00000000, 0.00000000, 0.00000000, 1326.00000000, 0, NULL, NULL, 0, 863.80000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1105.00000000, 1105.00000000, 221.00000000, 1326.00000000),
(10236, 1685, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(10237, 1685, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 174.00000000, NULL, 174.00000000, 34.80000000, 0.00000000, 0.00000000, 208.80000000, 0, NULL, NULL, 0, 120.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 174.00000000, 174.00000000, 34.80000000, 208.80000000),
(10238, 1685, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 372.40000000, NULL, 372.40000000, 74.48000000, 0.00000000, 0.00000000, 446.88000000, 0, NULL, NULL, 0, 280.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 372.40000000, 372.40000000, 74.48000000, 446.88000000),
(10239, 1686, NULL, 1223621, NULL, 'Compresseur à Piston Sur Réservoir 100 Litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 420.00000000, NULL, 420.00000000, 84.00000000, 0.00000000, 0.00000000, 504.00000000, 0, NULL, NULL, 0, 336.41000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 420.00000000, 420.00000000, 84.00000000, 504.00000000),
(10240, 1686, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(10247, 1688, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 643.72000000, NULL, 643.72000000, 128.74000000, 0.00000000, 0.00000000, 772.46000000, 0, NULL, NULL, 0, 484.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 643.72000000, 643.72000000, 128.74000000, 772.46000000),
(10248, 1688, NULL, 1586932, NULL, 'VLV THERMO 185F 1 1/2 18', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 225.30000000, NULL, 225.30000000, 45.06000000, 0.00000000, 0.00000000, 270.36000000, 0, NULL, NULL, 0, 169.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 225.30000000, 225.30000000, 45.06000000, 270.36000000),
(10249, 1688, NULL, 1221771, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 48.34000000, NULL, 38.67000000, 7.74000000, 0.00000000, 0.00000000, 46.41000000, 0, NULL, NULL, 0, 24.17000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.34000000, 38.67000000, 7.74000000, 46.41000000),
(10250, 1688, NULL, 1586933, NULL, 'bidon 25L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.50000000, NULL, 214.50000000, 42.90000000, 0.00000000, 0.00000000, 257.40000000, 0, NULL, NULL, 0, 165.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.50000000, 214.50000000, 42.90000000, 257.40000000),
(10251, 1688, NULL, 1223702, NULL, 'specifique - pompe / acetone&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.00000000, NULL, 90.00000000, 18.00000000, 0.00000000, 0.00000000, 108.00000000, 0, NULL, NULL, 0, 80.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.00000000, 90.00000000, 18.00000000, 108.00000000),
(10252, 1688, NULL, 1586934, NULL, 'SUPER DEGRAISSANT NETTOYANT 5 Litres', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 42.50000000, NULL, 127.50000000, 25.50000000, 0.00000000, 0.00000000, 153.00000000, 0, NULL, NULL, 0, 23.37000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.50000000, 127.50000000, 25.50000000, 153.00000000),
(10253, 1689, NULL, NULL, NULL, 'Corps de vanne filtre 2750', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 448.56000000, NULL, 448.56000000, 89.71000000, 0.00000000, 0.00000000, 538.27000000, 0, NULL, NULL, 0, 320.40000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 448.56000000, 448.56000000, 89.71000000, 538.27000000),
(10254, 1689, NULL, NULL, NULL, 'adaptateur bouteille', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 209.16000000, NULL, 209.16000000, 41.83000000, 0.00000000, 0.00000000, 250.99000000, 0, NULL, NULL, 0, 149.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 209.16000000, 209.16000000, 41.83000000, 250.99000000),
(10255, 1689, NULL, NULL, NULL, 'piston filtre 2750 toises et entoises', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 168.00000000, NULL, 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 120.25000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 168.00000000, 168.00000000, 33.60000000, 201.60000000),
(10256, 1689, NULL, NULL, NULL, 'tube distributeur avec crepine', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 47.60000000, NULL, 95.20000000, 19.04000000, 0.00000000, 0.00000000, 114.24000000, 0, NULL, NULL, 0, 34.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 47.60000000, 95.20000000, 19.04000000, 114.24000000),
(10257, 1690, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(10258, 1690, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10259, 1690, NULL, 959169, NULL, 'Filter Set for &Ouml;WAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(10260, 1690, NULL, 1179624, NULL, 'MINOR KIT C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 117.70000000, NULL, 94.16000000, 18.83000000, 0.00000000, 0.00000000, 112.99000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 94.16000000, 18.83000000, 112.99000000),
(10261, 1690, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(10262, 1690, NULL, 1179649, NULL, 'SEPARATOR KIT D L15RS -L22RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 461.80000000, NULL, 369.44000000, 73.89000000, 0.00000000, 0.00000000, 443.33000000, 0, NULL, NULL, 0, 277.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 461.80000000, 369.44000000, 73.89000000, 443.33000000),
(10263, 1691, NULL, 951736, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.30000000, NULL, 24.30000000, 4.86000000, 0.00000000, 0.00000000, 29.16000000, 0, NULL, NULL, 0, 11.80000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.30000000, 24.30000000, 4.86000000, 29.16000000),
(10264, 1691, NULL, 954045, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(10265, 1691, NULL, 954297, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.16000000, NULL, 68.16000000, 13.63000000, 0.00000000, 0.00000000, 81.79000000, 0, NULL, NULL, 0, 33.09000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.16000000, 68.16000000, 13.63000000, 81.79000000),
(10266, 1691, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10267, 1691, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(10269, 1691, NULL, 1222545, NULL, 'courroies_textrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 26.92000000, NULL, 53.84000000, 10.77000000, 0.00000000, 0.00000000, 64.61000000, 0, NULL, NULL, 0, 14.89000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.92000000, 53.84000000, 10.77000000, 64.61000000),
(10270, 1691, NULL, 1222640, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(10272, 1692, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(10273, 1692, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(10274, 1692, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(10275, 1692, NULL, NULL, NULL, 'courroie 00716', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.70000000, NULL, 24.70000000, 4.94000000, 0.00000000, 0.00000000, 29.64000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.70000000, 24.70000000, 4.94000000, 29.64000000),
(10276, 1692, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10277, 1692, NULL, 952661, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(10278, 1692, NULL, 952662, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(10279, 1692, NULL, 1222640, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(10280, 1693, NULL, 1586908, NULL, '<ul>\r\n	<li>Puissance&nbsp;: 2.2 KW</li>\r\n	<li>Pression Maxi&nbsp;: 8 bar</li>\r\n	<li>D&eacute;bit&nbsp;: 14.28 m3/h</li>\r\n	<li>Niveau Sonore&nbsp;: 67 dB(A)</li>\r\n	<li>Commande&nbsp;: Standard</li>\r\n	<li>R&eacute;servoir&nbsp;: 250 L <strong>galvanis&eacute;</strong></li>\r\n	<li>S&eacute;cheur&nbsp;: Frigorifique +3&deg;C</li>\r\n	<li>Longueur&nbsp;: 1405 mm</li>\r\n	<li>Profondeur&nbsp;: 617 mm</li>\r\n	<li>Hauteur&nbsp;: 1535 mm</li>\r\n	<li>Poids&nbsp;: 255 Kg</li>\r\n</ul>', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5168.56000000, NULL, 5168.56000000, 1033.71000000, 0.00000000, 0.00000000, 6202.27000000, 0, NULL, NULL, 0, 4229.98000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5168.56000000, 5168.56000000, 1033.71000000, 6202.27000000),
(10281, 1693, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 103.38000000, NULL, 103.38000000, 20.68000000, 0.00000000, 0.00000000, 124.06000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.38000000, 103.38000000, 20.68000000, 124.06000000),
(10282, 1693, NULL, 1586909, NULL, '<ul>\r\n	<li>Filtration Micronique</li>\r\n	<li>Filtration Submicronique</li>\r\n	<li>Filtration charbon actif</li>\r\n	<li>Montage en sortie s&eacute;cheur</li>\r\n</ul>', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.77000000, NULL, 394.77000000, 78.95000000, 0.00000000, 0.00000000, 473.72000000, 0, NULL, NULL, 0, 201.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.77000000, 394.77000000, 78.95000000, 473.72000000),
(10283, 1693, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 676.07000000, NULL, 676.07000000, 135.21000000, 0.00000000, 0.00000000, 811.28000000, 0, NULL, NULL, 0, 500.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 676.07000000, 676.07000000, 135.21000000, 811.28000000),
(10284, 1693, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 145.22000000, NULL, 145.22000000, 29.04000000, 0.00000000, 0.00000000, 174.26000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 145.22000000, 145.22000000, 29.04000000, 174.26000000),
(10285, 1694, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 278.30000000, NULL, 278.30000000, 55.66000000, 0.00000000, 0.00000000, 333.96000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 278.30000000, 278.30000000, 55.66000000, 333.96000000),
(10286, 1694, NULL, 1230990, NULL, 'MINOR KIT C L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 278.30000000, NULL, 278.30000000, 55.66000000, 0.00000000, 0.00000000, 333.96000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 278.30000000, 278.30000000, 55.66000000, 333.96000000),
(10287, 1694, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 278.30000000, NULL, 278.30000000, 55.66000000, 0.00000000, 0.00000000, 333.96000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 278.30000000, 278.30000000, 55.66000000, 333.96000000),
(10288, 1694, NULL, 953188, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 278.30000000, NULL, 278.30000000, 55.66000000, 0.00000000, 0.00000000, 333.96000000, 0, NULL, NULL, 0, 110.88000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 278.30000000, 278.30000000, 55.66000000, 333.96000000),
(10289, 1694, NULL, 953190, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 278.32000000, NULL, 278.32000000, 55.66000000, 0.00000000, 0.00000000, 333.98000000, 0, NULL, NULL, 0, 67.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 278.32000000, 278.32000000, 55.66000000, 333.98000000),
(10290, 1695, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 538.00000000, NULL, 538.00000000, 107.60000000, 0.00000000, 0.00000000, 645.60000000, 0, NULL, NULL, 0, 379.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 538.00000000, 538.00000000, 107.60000000, 645.60000000),
(10291, 1695, NULL, 970058, NULL, 'Flexible tréssé INOX 1 mètre M/Femelle écrou tournant G3/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 36.97000000, NULL, 73.94000000, 14.79000000, 0.00000000, 0.00000000, 88.73000000, 0, NULL, NULL, 0, 22.18200000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.97000000, 73.94000000, 14.79000000, 88.73000000),
(10292, 1695, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 332.50000000, NULL, 332.50000000, 66.50000000, 0.00000000, 0.00000000, 399.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 332.50000000, 332.50000000, 66.50000000, 399.00000000),
(10293, 1695, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.00000000, NULL, 100.00000000, 20.00000000, 0.00000000, 0.00000000, 120.00000000, 0, NULL, NULL, 0, 80.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.00000000, 100.00000000, 20.00000000, 120.00000000),
(10294, 1696, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 398.36000000, NULL, 398.36000000, 79.67000000, 0.00000000, 0.00000000, 478.03000000, 0, NULL, NULL, 0, 310.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 398.36000000, 398.36000000, 79.67000000, 478.03000000),
(10295, 1696, NULL, 1190349, NULL, 'raccordement tuyau et raccords', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 134.09000000, NULL, 134.09000000, 26.82000000, 0.00000000, 0.00000000, 160.91000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 134.09000000, 134.09000000, 26.82000000, 160.91000000),
(10296, 1696, NULL, 1221764, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.58000000, NULL, 16.58000000, 3.32000000, 0.00000000, 0.00000000, 19.90000000, 0, NULL, NULL, 0, 8.05000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.58000000, 16.58000000, 3.32000000, 19.90000000),
(10297, 1696, NULL, 1221788, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.84000000, NULL, 24.84000000, 4.97000000, 0.00000000, 0.00000000, 29.81000000, 0, NULL, NULL, 0, 12.06000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.84000000, 24.84000000, 4.97000000, 29.81000000),
(10298, 1696, NULL, 1221717, NULL, 'separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 94.62000000, NULL, 94.62000000, 18.92000000, 0.00000000, 0.00000000, 113.54000000, 0, NULL, NULL, 0, 45.93000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 94.62000000, 94.62000000, 18.92000000, 113.54000000),
(10299, 1696, NULL, 953645, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 115.33000000, NULL, 115.33000000, 23.07000000, 0.00000000, 0.00000000, 138.40000000, 0, NULL, NULL, 0, 57.04000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 115.33000000, 115.33000000, 23.07000000, 138.40000000),
(10300, 1696, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(10301, 1696, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10302, 1696, NULL, 1222502, NULL, 'pvl1333_006h__courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.76000000, NULL, 68.76000000, 13.75000000, 0.00000000, 0.00000000, 82.51000000, 0, NULL, NULL, 0, 51.70000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.76000000, 68.76000000, 13.75000000, 82.51000000),
(10303, 1697, NULL, 1586935, NULL, 'accouplement 30KW', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 162.60000000, NULL, 162.60000000, 32.52000000, 0.00000000, 0.00000000, 195.12000000, 0, NULL, NULL, 0, 105.69000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 162.60000000, 162.60000000, 32.52000000, 195.12000000),
(10304, 1697, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 643.72000000, NULL, 643.72000000, 128.74000000, 0.00000000, 0.00000000, 772.46000000, 0, NULL, NULL, 0, 484.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 643.72000000, 643.72000000, 128.74000000, 772.46000000),
(10305, 1698, NULL, 1221766, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.42000000, NULL, 90.42000000, 18.08000000, 0.00000000, 0.00000000, 108.50000000, 0, NULL, NULL, 0, 43.03000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.42000000, 90.42000000, 18.08000000, 108.50000000),
(10306, 1698, NULL, 1297963, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.36000000, NULL, 35.36000000, 7.07000000, 0.00000000, 0.00000000, 42.43000000, 0, NULL, NULL, 0, 14.07000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.36000000, 35.36000000, 7.07000000, 42.43000000),
(10307, 1698, NULL, 1221739, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 98.60000000, NULL, 295.80000000, 59.16000000, 0.00000000, 0.00000000, 354.96000000, 0, NULL, NULL, 0, 48.40000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 98.60000000, 295.80000000, 59.16000000, 354.96000000),
(10308, 1698, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 90.42000000, NULL, 180.84000000, 36.17000000, 0.00000000, 0.00000000, 217.01000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.42000000, 180.84000000, 36.17000000, 217.01000000),
(10309, 1698, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10310, 1698, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 320.23000000, NULL, 320.23000000, 64.05000000, 0.00000000, 0.00000000, 384.28000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 320.23000000, 320.23000000, 64.05000000, 384.28000000),
(10311, 1699, NULL, 1586945, NULL, 'bidon gel hydroalcooliques', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.50000000, NULL, 52.50000000, 10.50000000, 0.00000000, 0.00000000, 63.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 52.50000000, 10.50000000, 63.00000000),
(10312, 1700, NULL, 1223620, NULL, 'Compresseur à Piston 8 Bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 180.00000000, NULL, 180.00000000, 36.00000000, 0.00000000, 0.00000000, 216.00000000, 0, NULL, NULL, 0, 147.96000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 180.00000000, 180.00000000, 36.00000000, 216.00000000),
(10313, 1700, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(10314, 1700, NULL, 972509, NULL, 'Spiralé PU 8x12 long.10m G3/8 fixes', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 62.20000000, NULL, 62.20000000, 12.44000000, 0.00000000, 0.00000000, 74.64000000, 0, NULL, NULL, 0, 34.21000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 62.20000000, 62.20000000, 12.44000000, 74.64000000),
(10315, 1700, NULL, 1006530, NULL, 'nettoyeur haute pression', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 267.84000000, NULL, 267.84000000, 53.57000000, 0.00000000, 0.00000000, 321.41000000, 0, NULL, NULL, 0, 223.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 267.84000000, 267.84000000, 53.57000000, 321.41000000),
(10316, 1700, NULL, 1223620, NULL, 'hors garantie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 125.00000000, NULL, 125.00000000, 25.00000000, 0.00000000, 0.00000000, 150.00000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 125.00000000, 125.00000000, 25.00000000, 150.00000000),
(10317, 1701, NULL, 1586951, NULL, 'solution hydro-alcoolique  5L', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 52.50000000, NULL, 210.00000000, 42.00000000, 0.00000000, 0.00000000, 252.00000000, 0, NULL, NULL, 0, 37.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 210.00000000, 42.00000000, 252.00000000),
(10318, 1702, NULL, 1586951, NULL, 'solution hydro-alcoolique  5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.50000000, NULL, 52.50000000, 10.50000000, 0.00000000, 0.00000000, 63.00000000, 0, NULL, NULL, 0, 37.50000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 52.50000000, 10.50000000, 63.00000000),
(10319, 1703, NULL, 1586951, NULL, 'solution hydro-alcoolique  5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.50000000, NULL, 52.50000000, 10.50000000, 0.00000000, 0.00000000, 63.00000000, 0, NULL, NULL, 0, 37.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 52.50000000, 10.50000000, 63.00000000),
(10320, 1704, NULL, NULL, NULL, 'Remise commerciale', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -77.20000000, NULL, -77.20000000, -15.44000000, 0.00000000, 0.00000000, -92.64000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.20000000, 77.20000000, 15.44000000, 92.64000000),
(10321, 1705, NULL, NULL, NULL, 'Acompte (50%) - CO2004-1427', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3750.00000000, NULL, 3750.00000000, 750.00000000, 0.00000000, 0.00000000, 4500.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3750.00000000, 3750.00000000, 750.00000000, 4500.00000000),
(10322, 1706, NULL, 1177967, NULL, 'THERMOST.INSERT 55 DGR', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 321.00000000, NULL, 240.75000000, 48.15000000, 0.00000000, 0.00000000, 288.90000000, 0, NULL, NULL, 0, 176.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 321.00000000, 240.75000000, 48.15000000, 288.90000000),
(10324, 1706, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 92, 0, 0, NULL, 0.97000000, NULL, 89.24000000, 17.85000000, 0.00000000, 0.00000000, 107.09000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 89.24000000, 17.85000000, 107.09000000),
(10325, 1706, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(10326, 1707, NULL, 1586945, NULL, 'bidon gel hydroalcooliques', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 52.50000000, NULL, 630.00000000, 126.00000000, 0.00000000, 0.00000000, 756.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 630.00000000, 126.00000000, 756.00000000),
(10327, 1708, NULL, 1586945, NULL, 'bidon gel hydroalcooliques', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 52.50000000, NULL, 367.50000000, 73.50000000, 0.00000000, 0.00000000, 441.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 367.50000000, 73.50000000, 441.00000000),
(10328, 1709, NULL, 1586945, NULL, 'bidon gel hydroalcooliques', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 52.50000000, NULL, 105.00000000, 21.00000000, 0.00000000, 0.00000000, 126.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 105.00000000, 21.00000000, 126.00000000),
(10329, 1709, NULL, 1586944, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.00000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 5.00000000, 1.00000000, 6.00000000),
(10330, 1710, NULL, 1586943, NULL, 'Carton 12Bouteilles format 1Litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 126.00000000, NULL, 126.00000000, 25.20000000, 0.00000000, 0.00000000, 151.20000000, 0, NULL, NULL, 0, 96.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 126.00000000, 126.00000000, 25.20000000, 151.20000000),
(10331, 1711, NULL, 1586945, NULL, 'bidon gel hydroalcooliques', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.50000000, NULL, 52.50000000, 10.50000000, 0.00000000, 0.00000000, 63.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 52.50000000, 10.50000000, 63.00000000),
(10332, 1711, NULL, 1586944, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.00000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 5.00000000, 1.00000000, 6.00000000),
(10333, 1712, NULL, 1586945, NULL, 'bidon gel hydroalcooliques', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 52.50000000, NULL, 210.00000000, 42.00000000, 0.00000000, 0.00000000, 252.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 210.00000000, 42.00000000, 252.00000000),
(10334, 1712, NULL, 1586944, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.00000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 5.00000000, 1.00000000, 6.00000000),
(10335, 1713, NULL, 1586945, NULL, 'bidon gel hydroalcooliques', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.50000000, NULL, 52.50000000, 10.50000000, 0.00000000, 0.00000000, 63.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 52.50000000, 10.50000000, 63.00000000),
(10336, 1714, NULL, 1586945, NULL, 'bidon gel hydroalcooliques', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 52.50000000, NULL, 105.00000000, 21.00000000, 0.00000000, 0.00000000, 126.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 105.00000000, 21.00000000, 126.00000000),
(10337, 1715, NULL, 1586944, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.00000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 5.00000000, 1.00000000, 6.00000000),
(10338, 1715, NULL, 1586945, NULL, 'bidon gel hydroalcooliques', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 52.50000000, NULL, 210.00000000, 42.00000000, 0.00000000, 0.00000000, 252.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 210.00000000, 42.00000000, 252.00000000),
(10339, 1716, NULL, 1586945, NULL, 'bidon gel hydroalcooliques', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.50000000, NULL, 52.50000000, 10.50000000, 0.00000000, 0.00000000, 63.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 52.50000000, 10.50000000, 63.00000000),
(10340, 1716, NULL, 1586944, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.00000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 5.00000000, 1.00000000, 6.00000000),
(10341, 1717, NULL, 1586951, NULL, 'solution hydro-alcoolique  5L', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 52.50000000, NULL, 315.00000000, 63.00000000, 0.00000000, 0.00000000, 378.00000000, 0, NULL, NULL, 0, 37.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 315.00000000, 63.00000000, 378.00000000),
(10342, 1718, NULL, NULL, '1 L29RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(10343, 1718, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(10344, 1718, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10345, 1718, NULL, 1179651, NULL, 'SERVICE KIT D L23RS-L29RS replaced', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 972.50000000, NULL, 972.50000000, 194.50000000, 0.00000000, 0.00000000, 1167.00000000, 1, NULL, NULL, 0, 554.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 972.50000000, 972.50000000, 194.50000000, 1167.00000000),
(10346, 1718, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(10347, 1718, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10348, 1718, NULL, NULL, NULL, 'Filtres reseaux', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10349, 1718, NULL, 952658, NULL, 'cartouche grade ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(10350, 1718, NULL, 952684, NULL, 'cartouche grade rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(10351, 1718, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10352, 1719, NULL, NULL, '1 hv02', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10353, 1719, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 305.35000000, NULL, 229.01000000, 45.81000000, 0.00000000, 0.00000000, 274.82000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 229.01000000, 45.81000000, 274.82000000),
(10354, 1719, NULL, 1180029, NULL, 'MAINTENANCE KIT HYDROVANE 501/502', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 106.80000000, NULL, 106.80000000, 21.36000000, 0.00000000, 0.00000000, 128.16000000, 0, NULL, NULL, 0, 64.08000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 106.80000000, 106.80000000, 21.36000000, 128.16000000),
(10355, 1719, NULL, 1180449, NULL, 'HUILE  HYDROVANE  COMP PALETTE BD 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 107.50000000, NULL, 107.50000000, 21.50000000, 0.00000000, 0.00000000, 129.00000000, 0, NULL, NULL, 0, 64.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 107.50000000, 107.50000000, 21.50000000, 129.00000000),
(10356, 1719, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10357, 1719, NULL, NULL, '2 Separateur de condensats : si necessaire', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10358, 1719, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(10359, 1719, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10360, 1719, NULL, NULL, '3 Maintenance  maco :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10361, 1719, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10362, 1719, NULL, 954060, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.14000000, NULL, 42.14000000, 8.43000000, 0.00000000, 0.00000000, 50.57000000, 0, NULL, NULL, 0, 20.46000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.14000000, 42.14000000, 8.43000000, 50.57000000),
(10363, 1719, NULL, 952164, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.06000000, NULL, 11.06000000, 2.21000000, 0.00000000, 0.00000000, 13.27000000, 0, NULL, NULL, 0, 5.37000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.06000000, 11.06000000, 2.21000000, 13.27000000),
(10364, 1719, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(10365, 1719, NULL, 1222481, NULL, 'si necessaire', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 97.25000000, NULL, 97.25000000, 19.45000000, 0.00000000, 0.00000000, 116.70000000, 0, NULL, NULL, 0, 47.21000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 97.25000000, 97.25000000, 19.45000000, 116.70000000),
(10366, 1719, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(10367, 1719, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.00000000, NULL, 286.00000000, 57.20000000, 0.00000000, 0.00000000, 343.20000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.00000000, 286.00000000, 57.20000000, 343.20000000),
(10368, 1719, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10369, 1720, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(10370, 1720, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10373, 1720, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(10374, 1720, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(10375, 1720, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(10377, 1721, NULL, 1188160, NULL, 'compresseur a piston 53 m²/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2530.00000000, NULL, 2530.00000000, 506.00000000, 0.00000000, 0.00000000, 3036.00000000, 0, NULL, NULL, 0, 1868.40000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2530.00000000, 2530.00000000, 506.00000000, 3036.00000000),
(10378, 1721, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(10379, 1722, NULL, 1223621, NULL, 'Compresseur à Piston Sur Réservoir 100 Litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 420.00000000, NULL, 420.00000000, 84.00000000, 0.00000000, 0.00000000, 504.00000000, 0, NULL, NULL, 0, 336.41000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 420.00000000, 420.00000000, 84.00000000, 504.00000000),
(10380, 1722, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(10381, 1723, NULL, 972631, NULL, 'Té égal Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 5.03000000, NULL, 25.15000000, 5.03000000, 0.00000000, 0.00000000, 30.18000000, 0, NULL, NULL, 0, 1.60600000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.03000000, 25.15000000, 5.03000000, 30.18000000),
(10382, 1723, NULL, 972586, NULL, 'Raccord droit mâle G1/4 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.03000000, NULL, 10.15000000, 2.03000000, 0.00000000, 0.00000000, 12.18000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.03000000, 10.15000000, 2.03000000, 12.18000000),
(10383, 1723, NULL, 972160, NULL, 'Tube polyamide Rilsan incolore 6x8 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.18000000, NULL, 81.18000000, 16.24000000, 0.00000000, 0.00000000, 97.42000000, 0, NULL, NULL, 0, 25.95000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.18000000, 81.18000000, 16.24000000, 97.42000000),
(10384, 1723, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 72, 0, 0, NULL, 16.18000000, NULL, 1164.96000000, 232.99000000, 0.00000000, 0.00000000, 1397.95000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.18000000, 1164.96000000, 232.99000000, 1397.95000000),
(10385, 1723, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 8.54000000, NULL, 102.48000000, 20.50000000, 0.00000000, 0.00000000, 122.98000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.54000000, 102.48000000, 20.50000000, 122.98000000),
(10386, 1723, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 18.31000000, NULL, 366.20000000, 73.24000000, 0.00000000, 0.00000000, 439.44000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.31000000, 366.20000000, 73.24000000, 439.44000000),
(10387, 1723, NULL, 1079818, NULL, 'Coude à 45° diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 17.09000000, NULL, 170.90000000, 34.18000000, 0.00000000, 0.00000000, 205.08000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.09000000, 170.90000000, 34.18000000, 205.08000000),
(10388, 1723, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 22.17000000, NULL, 44.34000000, 8.87000000, 0.00000000, 0.00000000, 53.21000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.17000000, 44.34000000, 8.87000000, 53.21000000),
(10389, 1723, NULL, 1079867, NULL, 'Té réduit diam. ext. 35 . 22 . 35', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 18.76000000, NULL, 225.12000000, 45.02000000, 0.00000000, 0.00000000, 270.14000000, 0, NULL, NULL, 0, 7.67000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.76000000, 225.12000000, 45.02000000, 270.14000000),
(10390, 1723, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 46.89000000, NULL, 93.78000000, 18.76000000, 0.00000000, 0.00000000, 112.54000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 46.89000000, 93.78000000, 18.76000000, 112.54000000),
(10391, 1723, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.53000000, NULL, 43.06000000, 8.61000000, 0.00000000, 0.00000000, 51.67000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.53000000, 43.06000000, 8.61000000, 51.67000000),
(10392, 1723, NULL, 1080014, NULL, 'Manchon d\'extrémité diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.60000000, NULL, 23.20000000, 4.64000000, 0.00000000, 0.00000000, 27.84000000, 0, NULL, NULL, 0, 4.74000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.60000000, 23.20000000, 4.64000000, 27.84000000),
(10393, 1723, NULL, 1080054, NULL, 'Crosse d\'évêque diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 21.24000000, NULL, 254.88000000, 50.98000000, 0.00000000, 0.00000000, 305.86000000, 0, NULL, NULL, 0, 8.69000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.24000000, 254.88000000, 50.98000000, 305.86000000),
(10394, 1723, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 8.57000000, NULL, 514.20000000, 102.84000000, 0.00000000, 0.00000000, 617.04000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.57000000, 514.20000000, 102.84000000, 617.04000000),
(10395, 1723, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 6.16000000, NULL, 73.92000000, 14.78000000, 0.00000000, 0.00000000, 88.70000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.16000000, 73.92000000, 14.78000000, 88.70000000),
(10396, 1723, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 9.19000000, NULL, 91.90000000, 18.38000000, 0.00000000, 0.00000000, 110.28000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.19000000, 91.90000000, 18.38000000, 110.28000000),
(10397, 1723, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 11.39000000, NULL, 273.36000000, 54.67000000, 0.00000000, 0.00000000, 328.03000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.39000000, 273.36000000, 54.67000000, 328.03000000),
(10398, 1723, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.08000000, NULL, 28.16000000, 5.63000000, 0.00000000, 0.00000000, 33.79000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.08000000, 28.16000000, 5.63000000, 33.79000000),
(10399, 1723, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 25.09000000, NULL, 301.08000000, 60.22000000, 0.00000000, 0.00000000, 361.30000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.09000000, 301.08000000, 60.22000000, 361.30000000),
(10400, 1723, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 36, 0, 0, NULL, 1.93000000, NULL, 69.48000000, 13.90000000, 0.00000000, 0.00000000, 83.38000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.93000000, 69.48000000, 13.90000000, 83.38000000),
(10401, 1723, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 48, 0, 0, NULL, 2.07000000, NULL, 99.36000000, 19.87000000, 0.00000000, 0.00000000, 119.23000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.07000000, 99.36000000, 19.87000000, 119.23000000),
(10402, 1723, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 12.72000000, NULL, 152.64000000, 30.53000000, 0.00000000, 0.00000000, 183.17000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.72000000, 152.64000000, 30.53000000, 183.17000000),
(10403, 1723, NULL, 966507, NULL, 'Vanne F/F G1\"1/4 PN30 DN32', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 45.28000000, NULL, 90.56000000, 18.11000000, 0.00000000, 0.00000000, 108.67000000, 0, NULL, NULL, 0, 13.16000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.28000000, 90.56000000, 18.11000000, 108.67000000),
(10404, 1723, NULL, 966956, NULL, 'Croix égale FFFF F1/2', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 14.03000000, NULL, 168.36000000, 33.67000000, 0.00000000, 0.00000000, 202.03000000, 0, NULL, NULL, 0, 4.07000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.03000000, 168.36000000, 33.67000000, 202.03000000),
(10405, 1723, NULL, 966892, NULL, 'Bouchon M. cylindrique G1/2', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 1.46000000, NULL, 35.04000000, 7.01000000, 0.00000000, 0.00000000, 42.05000000, 0, NULL, NULL, 0, 0.42000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.46000000, 35.04000000, 7.01000000, 42.05000000),
(10406, 1723, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 2.41000000, NULL, 28.92000000, 5.78000000, 0.00000000, 0.00000000, 34.70000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.41000000, 28.92000000, 5.78000000, 34.70000000),
(10407, 1723, NULL, 967552, NULL, 'Ensemble soufflage2 m 1/4 FetT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.16000000, NULL, 42.16000000, 8.43000000, 0.00000000, 0.00000000, 50.59000000, 0, NULL, NULL, 0, 13.47500000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.16000000, 42.16000000, 8.43000000, 50.59000000),
(10408, 1723, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 42.97000000, NULL, 515.64000000, 103.13000000, 0.00000000, 0.00000000, 618.77000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.97000000, 515.64000000, 103.13000000, 618.77000000),
(10409, 1723, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5420.48000000, NULL, 5420.48000000, 1084.10000000, 0.00000000, 0.00000000, 6504.58000000, 0, NULL, NULL, 0, 5008.00000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5420.48000000, 5420.48000000, 1084.10000000, 6504.58000000),
(10410, 1723, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 765.65000000, NULL, 765.65000000, 153.13000000, 0.00000000, 0.00000000, 918.78000000, 0, NULL, NULL, 0, 444.96000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 765.65000000, 765.65000000, 153.13000000, 918.78000000),
(10412, 1725, NULL, 1179662, NULL, 'SEPARATOR KIT D            L55-L75+L75SR', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 912.90000000, NULL, 775.97000000, 155.19000000, 0.00000000, 0.00000000, 931.16000000, 0, NULL, NULL, 0, 461.10000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 912.90000000, 775.97000000, 155.19000000, 931.16000000),
(10413, 1725, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(10414, 1725, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 277.00000000, NULL, 554.00000000, 110.80000000, 0.00000000, 0.00000000, 664.80000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 554.00000000, 110.80000000, 664.80000000),
(10415, 1725, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10416, 1725, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(10417, 1726, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 22, 0, 0, NULL, 0.97000000, NULL, 21.34000000, 4.27000000, 0.00000000, 0.00000000, 25.61000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 21.34000000, 4.27000000, 25.61000000),
(10418, 1726, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(10419, 1726, NULL, 954278, NULL, 'MDR3-16*ou*+3x*16barTri7,5', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.17000000, NULL, 95.17000000, 19.03000000, 0.00000000, 0.00000000, 114.20000000, 0, NULL, NULL, 0, 46.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.17000000, 95.17000000, 19.03000000, 114.20000000),
(10420, 1727, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(10421, 1727, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10422, 1727, NULL, 1245864, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 22.80000000, NULL, 45.60000000, 9.12000000, 0.00000000, 0.00000000, 54.72000000, 0, NULL, NULL, 0, 10.53000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.80000000, 45.60000000, 9.12000000, 54.72000000),
(10423, 1727, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(10424, 1727, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(10425, 1727, NULL, 1305890, NULL, 'jeu de maintenance ROS3', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.00000000, NULL, 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 105.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(10426, 1727, NULL, 1307775, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 142.00000000, NULL, 142.00000000, 28.40000000, 0.00000000, 0.00000000, 170.40000000, 0, NULL, NULL, 0, 99.40000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 142.00000000, 142.00000000, 28.40000000, 170.40000000),
(10427, 1727, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(10428, 1727, NULL, 1222096, NULL, 'filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.00000000, NULL, 23.00000000, 4.60000000, 0.00000000, 0.00000000, 27.60000000, 0, NULL, NULL, 0, 16.10000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.00000000, 23.00000000, 4.60000000, 27.60000000),
(10429, 1728, NULL, NULL, '1 reseau inox Ø 22mm', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10430, 1728, NULL, 1080068, NULL, '36', 20.000, '', 0.000, '0', 0.000, '0', 36, 0, 0, NULL, 4.98000000, NULL, 179.28000000, 35.86000000, 0.00000000, 0.00000000, 215.14000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 179.28000000, 35.86000000, 215.14000000),
(10431, 1728, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 3.58000000, NULL, 21.48000000, 4.30000000, 0.00000000, 0.00000000, 25.78000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.58000000, 21.48000000, 4.30000000, 25.78000000),
(10432, 1728, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 5.34000000, NULL, 32.04000000, 6.41000000, 0.00000000, 0.00000000, 38.45000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 32.04000000, 6.41000000, 38.45000000),
(10433, 1728, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.42000000, NULL, 12.84000000, 2.57000000, 0.00000000, 0.00000000, 15.41000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 12.84000000, 2.57000000, 15.41000000),
(10434, 1728, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 1.12000000, NULL, 16.80000000, 3.36000000, 0.00000000, 0.00000000, 20.16000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 16.80000000, 3.36000000, 20.16000000),
(10435, 1728, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 330.00000000, NULL, 330.00000000, 66.00000000, 0.00000000, 0.00000000, 396.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 330.00000000, 330.00000000, 66.00000000, 396.00000000),
(10436, 1728, NULL, NULL, 'Sous-total reseau inox Ø 22mm', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10437, 1728, NULL, NULL, '2 Bas de descente', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10438, 1728, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.39000000, NULL, 7.39000000, 1.48000000, 0.00000000, 0.00000000, 8.87000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 7.39000000, 1.48000000, 8.87000000),
(10439, 1728, NULL, 967468, NULL, 'About collerette G1/2 Ø13mm', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 6.45000000, NULL, 32.25000000, 6.45000000, 0.00000000, 0.00000000, 38.70000000, 0, NULL, NULL, 0, 3.22000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.45000000, 32.25000000, 6.45000000, 38.70000000),
(10440, 1728, NULL, 966719, NULL, 'Raccord Y femelle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.70000000, NULL, 4.70000000, 0.94000000, 0.00000000, 0.00000000, 5.64000000, 0, NULL, NULL, 0, 2.35000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.70000000, 4.70000000, 0.94000000, 5.64000000),
(10441, 1728, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.95000000, NULL, 0.95000000, 0.19000000, 0.00000000, 0.00000000, 1.14000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 0.95000000, 0.19000000, 1.14000000),
(10442, 1728, NULL, 971766, NULL, 'Raccord rapide sécurité à bouton DN8 Profil IS0 6150C Femelle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 33.30000000, NULL, 166.50000000, 33.30000000, 0.00000000, 0.00000000, 199.80000000, 0, NULL, NULL, 0, 19.98000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.30000000, 166.50000000, 33.30000000, 199.80000000),
(10443, 1728, NULL, NULL, 'Sous-total Bas de descente', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10444, 1728, NULL, NULL, '3 nourrice sortie compresseur 5 departs. Tuyau souple caoutchouc fournit par le client', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10445, 1728, NULL, 966886, NULL, 'Barette  2x1/2F - 4x3/8F', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.50000000, NULL, 27.00000000, 5.40000000, 0.00000000, 0.00000000, 32.40000000, 0, NULL, NULL, 0, 8.90000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.50000000, 27.00000000, 5.40000000, 32.40000000),
(10446, 1728, NULL, 966503, NULL, 'Vanne F/F G3/8 PN50 DN10', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 4.50000000, NULL, 22.50000000, 4.50000000, 0.00000000, 0.00000000, 27.00000000, 0, NULL, NULL, 0, 2.99000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 22.50000000, 4.50000000, 27.00000000),
(10447, 1728, NULL, 966696, NULL, 'Mamelon conique G3/8x3/8', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 0.80000000, NULL, 4.00000000, 0.80000000, 0.00000000, 0.00000000, 4.80000000, 0, NULL, NULL, 0, 0.40000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.80000000, 4.00000000, 0.80000000, 4.80000000),
(10448, 1728, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(10449, 1728, NULL, 966923, NULL, 'Bouchon M cylindrique G3/8', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 0.55000000, NULL, 2.75000000, 0.55000000, 0.00000000, 0.00000000, 3.30000000, 0, NULL, NULL, 0, 0.27500000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.55000000, 2.75000000, 0.55000000, 3.30000000),
(10450, 1728, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(10451, 1728, NULL, 967767, NULL, 'Colliers à vis 12-22mm', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.60000000, NULL, 6.00000000, 1.20000000, 0.00000000, 0.00000000, 7.20000000, 0, NULL, NULL, 0, 0.40000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.60000000, 6.00000000, 1.20000000, 7.20000000),
(10452, 1728, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10457, 1728, NULL, NULL, '5 Enrouleur', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10458, 1728, NULL, 1245193, NULL, 'Enrouleur fermé ABS Ø13 16m 15BAR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 360.00000000, NULL, 360.00000000, 72.00000000, 0.00000000, 0.00000000, 432.00000000, 0, NULL, NULL, 0, 230.00000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 360.00000000, 360.00000000, 72.00000000, 432.00000000),
(10459, 1728, NULL, 968385, NULL, 'Support pivotant pour E270', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 64.00000000, NULL, 64.00000000, 12.80000000, 0.00000000, 0.00000000, 76.80000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 64.00000000, 64.00000000, 12.80000000, 76.80000000),
(10460, 1728, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(10461, 1728, NULL, NULL, 'Sous-total Enrouleur', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10462, 1729, NULL, NULL, '1 reseau inox Ø 22mm', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10463, 1729, NULL, 1080068, NULL, '36', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 4.98000000, NULL, 149.40000000, 29.88000000, 0.00000000, 0.00000000, 179.28000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 149.40000000, 29.88000000, 179.28000000),
(10464, 1729, NULL, 1079992, NULL, 'Manchon diam&egrave;tre ext&eacute;rieur 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.58000000, NULL, 7.16000000, 1.43000000, 0.00000000, 0.00000000, 8.59000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.58000000, 7.16000000, 1.43000000, 8.59000000),
(10465, 1729, NULL, 1079786, NULL, 'Courbe &agrave; 90&deg; diam&egrave;tre ext&eacute;rieur 22', 20.000, '', 0.000, '0', 0.000, '0', 11, 0, 0, NULL, 5.34000000, NULL, 58.74000000, 11.75000000, 0.00000000, 0.00000000, 70.49000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 58.74000000, 11.75000000, 70.49000000),
(10466, 1729, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.42000000, NULL, 12.84000000, 2.57000000, 0.00000000, 0.00000000, 15.41000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 12.84000000, 2.57000000, 15.41000000),
(10467, 1729, NULL, 1080112, NULL, 'Collier prot&eacute;g&eacute; pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 14, 0, 0, NULL, 1.12000000, NULL, 15.68000000, 3.14000000, 0.00000000, 0.00000000, 18.82000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 15.68000000, 3.14000000, 18.82000000),
(10468, 1729, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 330.00000000, NULL, 330.00000000, 66.00000000, 0.00000000, 0.00000000, 396.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 330.00000000, 330.00000000, 66.00000000, 396.00000000),
(10469, 1729, NULL, NULL, 'Sous-total reseau inox Ø 22mm', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10471, 1729, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.39000000, NULL, 14.78000000, 2.96000000, 0.00000000, 0.00000000, 17.74000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 14.78000000, 2.96000000, 17.74000000),
(10491, 1729, NULL, 1079864, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.07000000, NULL, 9.07000000, 1.81000000, 0.00000000, 0.00000000, 10.88000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.07000000, 9.07000000, 1.81000000, 10.88000000),
(10492, 1729, NULL, 1079962, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.58000000, NULL, 14.58000000, 2.92000000, 0.00000000, 0.00000000, 17.50000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.58000000, 14.58000000, 2.92000000, 17.50000000),
(10493, 1729, NULL, 1079816, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 6.62000000, NULL, 46.34000000, 9.27000000, 0.00000000, 0.00000000, 55.61000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.62000000, 46.34000000, 9.27000000, 55.61000000),
(10494, 1729, NULL, 1231628, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 14, 0, 0, NULL, 2.69000000, NULL, 37.66000000, 7.53000000, 0.00000000, 0.00000000, 45.19000000, 0, NULL, NULL, 0, 1.69000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.69000000, 37.66000000, 7.53000000, 45.19000000),
(10495, 1730, NULL, 954276, NULL, 'MDR1*ou*11barMono4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 60.04000000, NULL, 60.04000000, 12.01000000, 0.00000000, 0.00000000, 72.05000000, 0, NULL, NULL, 0, 29.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 60.04000000, 60.04000000, 12.01000000, 72.05000000),
(10496, 1730, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(10497, 1731, NULL, 1231810, NULL, 'Main d\'oeuvre Industriel', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.52000000, NULL, 77.52000000, 15.50000000, 0.00000000, 0.00000000, 93.02000000, 0, NULL, NULL, 0, 57.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.52000000, 77.52000000, 15.50000000, 93.02000000),
(10498, 1731, NULL, 1231811, NULL, 'deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.36000000, NULL, 100.36000000, 20.07000000, 0.00000000, 0.00000000, 120.43000000, 0, NULL, NULL, 0, 73.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.36000000, 100.36000000, 20.07000000, 120.43000000),
(10499, 1731, NULL, 1231812, NULL, 'cartouche 20/5µ pour filtre garde', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.05000000, NULL, 19.05000000, 3.81000000, 0.00000000, 0.00000000, 22.86000000, 0, NULL, NULL, 0, 10.05000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.05000000, 19.05000000, 3.81000000, 22.86000000),
(10500, 1731, NULL, 1231813, NULL, 'net.des résines réactif appro', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.93000000, NULL, 85.93000000, 17.19000000, 0.00000000, 0.00000000, 103.12000000, 0, NULL, NULL, 0, 63.19000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.93000000, 85.93000000, 17.19000000, 103.12000000),
(10501, 1731, NULL, 1231814, NULL, 'sel regenerant en sac de 25kg', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 10.67000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 7.85000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.67000000, 42.68000000, 8.54000000, 51.22000000),
(10502, 1732, NULL, NULL, NULL, 'SMFP04/20', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 84.00000000, NULL, 252.00000000, 50.40000000, 0.00000000, 0.00000000, 302.40000000, 0, NULL, NULL, 0, 56.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 84.00000000, 252.00000000, 50.40000000, 302.40000000),
(10503, 1733, NULL, 1586943, NULL, 'Norme OMS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.50000000, NULL, 10.50000000, 2.10000000, 0.00000000, 0.00000000, 12.60000000, 0, NULL, NULL, 0, 8.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.50000000, 10.50000000, 2.10000000, 12.60000000),
(10504, 1733, NULL, 1586945, NULL, 'bidon gel hydroalcooliques', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.50000000, NULL, 52.50000000, 10.50000000, 0.00000000, 0.00000000, 63.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 52.50000000, 10.50000000, 63.00000000),
(10505, 1734, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 496.24000000, NULL, 496.24000000, 99.25000000, 0.00000000, 0.00000000, 595.49000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 496.24000000, 496.24000000, 99.25000000, 595.49000000),
(10506, 1734, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.66000000, NULL, 5.66000000, 1.13000000, 0.00000000, 0.00000000, 6.79000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.66000000, 5.66000000, 1.13000000, 6.79000000),
(10507, 1734, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 49.08000000, NULL, 49.08000000, 9.82000000, 0.00000000, 0.00000000, 58.90000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 49.08000000, 49.08000000, 9.82000000, 58.90000000),
(10508, 1734, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.24000000, NULL, 35.24000000, 7.05000000, 0.00000000, 0.00000000, 42.29000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.24000000, 35.24000000, 7.05000000, 42.29000000),
(10509, 1734, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.14000000, NULL, 20.14000000, 4.03000000, 0.00000000, 0.00000000, 24.17000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.14000000, 20.14000000, 4.03000000, 24.17000000),
(10511, 1734, NULL, 1238453, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.42000000, NULL, 76.42000000, 15.28000000, 0.00000000, 0.00000000, 91.70000000, 0, NULL, NULL, 0, 38.11000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.42000000, 76.42000000, 15.28000000, 91.70000000),
(10512, 1735, NULL, 1586945, NULL, 'bidon gel hydroalcooliques', 5.500, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.08000000, NULL, 53.08000000, 2.92000000, 0.00000000, 0.00000000, 56.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.08000000, 53.08000000, 2.92000000, 56.00000000),
(10513, 1736, NULL, NULL, NULL, 'Acompte (30%) - CO2004-1451', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7500.00000000, NULL, 7500.00000000, 1500.00000000, 0.00000000, 0.00000000, 9000.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7500.00000000, 7500.00000000, 1500.00000000, 9000.00000000),
(10514, 1737, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 9.40000000, NULL, 56.40000000, 11.28000000, 0.00000000, 0.00000000, 67.68000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.40000000, 56.40000000, 11.28000000, 67.68000000),
(10515, 1737, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 10.64000000, NULL, 42.56000000, 8.51000000, 0.00000000, 0.00000000, 51.07000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.64000000, 42.56000000, 8.51000000, 51.07000000),
(10516, 1737, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.96000000, NULL, 9.92000000, 1.98000000, 0.00000000, 0.00000000, 11.90000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.96000000, 9.92000000, 1.98000000, 11.90000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(10517, 1737, NULL, 1079867, NULL, 'Té réduit diam. ext. 35 . 22 . 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.90000000, NULL, 10.90000000, 2.18000000, 0.00000000, 0.00000000, 13.08000000, 0, NULL, NULL, 0, 7.67000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.90000000, 10.90000000, 2.18000000, 13.08000000),
(10518, 1737, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.25000000, NULL, 27.25000000, 5.45000000, 0.00000000, 0.00000000, 32.70000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.25000000, 27.25000000, 5.45000000, 32.70000000),
(10519, 1737, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.42000000, NULL, 6.42000000, 1.28000000, 0.00000000, 0.00000000, 7.70000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 6.42000000, 1.28000000, 7.70000000),
(10520, 1737, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.39000000, NULL, 7.39000000, 1.48000000, 0.00000000, 0.00000000, 8.87000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 7.39000000, 1.48000000, 8.87000000),
(10521, 1737, NULL, 1231628, NULL, 'crapaud', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.69000000, NULL, 5.38000000, 1.08000000, 0.00000000, 0.00000000, 6.46000000, 0, NULL, NULL, 0, 1.69000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.69000000, 5.38000000, 1.08000000, 6.46000000),
(10522, 1737, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 24.97000000, NULL, 74.91000000, 14.98000000, 0.00000000, 0.00000000, 89.89000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.97000000, 74.91000000, 14.98000000, 89.89000000),
(10523, 1737, NULL, 966971, NULL, 'Te égal FFF G3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.20000000, NULL, 8.20000000, 1.64000000, 0.00000000, 0.00000000, 9.84000000, 0, NULL, NULL, 0, 4.10000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.20000000, 8.20000000, 1.64000000, 9.84000000),
(10524, 1737, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.90000000, NULL, 305.90000000, 61.18000000, 0.00000000, 0.00000000, 367.08000000, 0, NULL, NULL, 0, 230.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.90000000, 305.90000000, 61.18000000, 367.08000000),
(10525, 1738, NULL, 1586945, NULL, '', 5.500, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.08000000, NULL, 53.08000000, 2.92000000, 0.00000000, 0.00000000, 56.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 53.08000000, 53.08000000, 2.92000000, 56.00000000),
(10526, 1739, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(10527, 1740, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.13000000, NULL, 114.13000000, 22.83000000, 0.00000000, 0.00000000, 136.96000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 136.96000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.13000000, 114.13000000, 22.83000000, 136.96000000),
(10528, 1741, NULL, 1586955, NULL, 'EMBRAYAGE EK123 DLT0407', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 345.00000000, NULL, 345.00000000, 69.00000000, 0.00000000, 0.00000000, 414.00000000, 0, NULL, NULL, 0, 196.65000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 345.00000000, 345.00000000, 69.00000000, 414.00000000),
(10529, 1741, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(10530, 1742, NULL, 1586943, NULL, 'Norme OMS', 5.500, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 10.00000000, NULL, 30.00000000, 1.65000000, 0.00000000, 0.00000000, 31.65000000, 0, NULL, NULL, 0, 8.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.00000000, 30.00000000, 1.65000000, 31.65000000),
(10533, 1743, NULL, NULL, '2 LIvraison :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10534, 1743, NULL, 952820, NULL, 'secheur frigorifique 225m3/h rac1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1610.00000000, NULL, 1610.00000000, 322.00000000, 0.00000000, 0.00000000, 1932.00000000, 0, NULL, NULL, 0, 1208.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1610.00000000, 1610.00000000, 322.00000000, 1932.00000000),
(10535, 1743, NULL, 1305572, NULL, 'Frais de port et d\'emballage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.00000000, NULL, 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 0, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.00000000, 50.00000000, 10.00000000, 60.00000000),
(10536, 1743, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10537, 1744, NULL, 1586945, NULL, 'bidon gel hydroalcooliques', 5.500, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 52.50000000, NULL, 315.00000000, 17.33000000, 0.00000000, 0.00000000, 332.33000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.50000000, 315.00000000, 17.33000000, 332.33000000),
(10538, 1744, NULL, 1586943, NULL, 'Norme OMS', 5.500, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 10.50000000, NULL, 105.00000000, 5.78000000, 0.00000000, 0.00000000, 110.78000000, 0, NULL, NULL, 0, 8.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.50000000, 105.00000000, 5.78000000, 110.78000000),
(10539, 1745, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(10540, 1745, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(10542, 1745, NULL, 1176553, NULL, 'Hose DN16  L=499', 20.000, '', 0.000, '0', 0.000, '0', 2, 5, 0, NULL, 141.00000000, NULL, 267.90000000, 53.58000000, 0.00000000, 0.00000000, 321.48000000, 0, NULL, NULL, 0, 78.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 141.00000000, 267.90000000, 53.58000000, 321.48000000),
(10543, 1745, NULL, 1238484, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 300.00000000, NULL, 300.00000000, 60.00000000, 0.00000000, 0.00000000, 360.00000000, 0, NULL, NULL, 0, 165.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 300.00000000, 300.00000000, 60.00000000, 360.00000000),
(10544, 1746, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(10545, 1747, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(10546, 1747, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(10547, 1747, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(10548, 1747, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(10549, 1747, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(10550, 1747, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10551, 1747, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.97000000, NULL, 18.97000000, 3.79000000, 0.00000000, 0.00000000, 22.76000000, 0, NULL, NULL, 0, 9.39000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.97000000, 18.97000000, 3.79000000, 22.76000000),
(10552, 1748, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(10553, 1748, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10554, 1748, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(10555, 1748, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(10556, 1748, NULL, 955041, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(10557, 1748, NULL, 952001, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.37000000, NULL, 33.37000000, 6.67000000, 0.00000000, 0.00000000, 40.04000000, 0, NULL, NULL, 0, 16.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.37000000, 33.37000000, 6.67000000, 40.04000000),
(10558, 1748, NULL, 952657, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(10559, 1749, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10560, 1749, NULL, 1222592, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 7.77000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(10561, 1749, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(10562, 1749, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(10563, 1749, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(10564, 1749, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(10565, 1749, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(10568, 1750, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.97000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 42.68000000, 8.54000000, 51.22000000),
(10569, 1750, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(10570, 1750, NULL, 1176006, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 50, 0, NULL, 133.00000000, NULL, 66.50000000, 13.30000000, 0.00000000, 0.00000000, 79.80000000, 0, NULL, NULL, 0, 79.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 133.00000000, 66.50000000, 13.30000000, 79.80000000),
(10571, 1751, NULL, 952820, NULL, 'secheur frigorifique 225m3/h rac1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1625.00000000, NULL, 1625.00000000, 325.00000000, 0.00000000, 0.00000000, 1950.00000000, 0, NULL, NULL, 0, 1250.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1625.00000000, 1625.00000000, 325.00000000, 1950.00000000),
(10572, 1751, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(10573, 1751, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 36, 0, 0, NULL, 0.97000000, NULL, 34.92000000, 6.98000000, 0.00000000, 0.00000000, 41.90000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 34.92000000, 6.98000000, 41.90000000),
(10574, 1752, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(10575, 1752, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10576, 1752, NULL, 1189205, NULL, 'huile alimentaire 4000h pour vis bd 20l', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 881.33000000, NULL, 881.33000000, 176.27000000, 0.00000000, 0.00000000, 1057.60000000, 0, NULL, NULL, 0, 662.66000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 881.33000000, 881.33000000, 176.27000000, 1057.60000000),
(10577, 1752, NULL, 1305490, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 221.00000000, NULL, 221.00000000, 44.20000000, 0.00000000, 0.00000000, 265.20000000, 0, NULL, NULL, 0, 170.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 221.00000000, 221.00000000, 44.20000000, 265.20000000),
(10578, 1752, NULL, 1231719, NULL, 'FILTRE FIN 1 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.66000000, NULL, 111.66000000, 22.33000000, 0.00000000, 0.00000000, 133.99000000, 0, NULL, NULL, 0, 55.83000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.66000000, 111.66000000, 22.33000000, 133.99000000),
(10579, 1753, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(10580, 1753, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(10581, 1753, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10582, 1753, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(10583, 1753, NULL, 1305086, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.00000000, NULL, 79.00000000, 15.80000000, 0.00000000, 0.00000000, 94.80000000, 0, NULL, NULL, 0, 34.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 79.00000000, 15.80000000, 94.80000000),
(10584, 1753, NULL, 1230901, NULL, 'SEPARATOR ST005 0-0101/SP015-022', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 222.00000000, NULL, 222.00000000, 44.40000000, 0.00000000, 0.00000000, 266.40000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 222.00000000, 222.00000000, 44.40000000, 266.40000000),
(10585, 1753, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 70.00000000, NULL, 70.00000000, 14.00000000, 0.00000000, 0.00000000, 84.00000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 70.00000000, 70.00000000, 14.00000000, 84.00000000),
(10586, 1754, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(10587, 1754, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10588, 1754, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(10589, 1754, NULL, 1222587, NULL, 'courroies_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 14.29000000, NULL, 42.87000000, 8.57000000, 0.00000000, 0.00000000, 51.44000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 42.87000000, 8.57000000, 51.44000000),
(10590, 1754, NULL, 952140, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 17.03000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(10591, 1754, NULL, 954045, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(10592, 1754, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(10593, 1755, NULL, 1305859, NULL, 'kit complet RH25E', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 135.00000000, NULL, 135.00000000, 27.00000000, 0.00000000, 0.00000000, 162.00000000, 0, NULL, NULL, 0, 74.25000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 135.00000000, 135.00000000, 27.00000000, 162.00000000),
(10594, 1755, NULL, 1231560, NULL, 'electrovanne nf 230VAC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.00000000, NULL, 102.00000000, 20.40000000, 0.00000000, 0.00000000, 122.40000000, 0, NULL, NULL, 0, 56.10000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.00000000, 102.00000000, 20.40000000, 122.40000000),
(10595, 1755, NULL, 1190357, NULL, 'Forfait Dépannage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.00000000, NULL, 100.00000000, 20.00000000, 0.00000000, 0.00000000, 120.00000000, 0, NULL, NULL, 0, 80.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.00000000, 100.00000000, 20.00000000, 120.00000000),
(10596, 1756, NULL, NULL, NULL, '1503023400', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.26000000, NULL, 22.52000000, 4.50000000, 0.00000000, 0.00000000, 27.02000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.26000000, 22.52000000, 4.50000000, 27.02000000),
(10597, 1756, NULL, NULL, NULL, '1503295300', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 11.26000000, NULL, 22.52000000, 4.50000000, 0.00000000, 0.00000000, 27.02000000, 0, NULL, NULL, 0, 5.63000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.26000000, 22.52000000, 4.50000000, 27.02000000),
(10598, 1756, NULL, NULL, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.00000000, NULL, 21.00000000, 4.20000000, 0.00000000, 0.00000000, 25.20000000, 1, NULL, NULL, 0, 18.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.00000000, 21.00000000, 4.20000000, 25.20000000),
(10599, 1757, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.88000000, NULL, 3.88000000, 0.78000000, 0.00000000, 0.00000000, 4.66000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.88000000, 3.88000000, 0.78000000, 4.66000000),
(10600, 1757, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 371.16000000, NULL, 371.16000000, 74.23000000, 0.00000000, 0.00000000, 445.39000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 371.16000000, 371.16000000, 74.23000000, 445.39000000),
(10601, 1757, NULL, 1222098, NULL, 'filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.66000000, NULL, 35.66000000, 7.13000000, 0.00000000, 0.00000000, 42.79000000, 0, NULL, NULL, 0, 24.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.66000000, 35.66000000, 7.13000000, 42.79000000),
(10602, 1757, NULL, 1297935, NULL, 'Filtre à Air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.42000000, NULL, 19.42000000, 3.88000000, 0.00000000, 0.00000000, 23.30000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.42000000, 19.42000000, 3.88000000, 23.30000000),
(10603, 1757, NULL, 1222117, NULL, 'CARTOUCHE SEPARATRICE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.13000000, NULL, 120.13000000, 24.03000000, 0.00000000, 0.00000000, 144.16000000, 0, NULL, NULL, 0, 119.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.13000000, 120.13000000, 24.03000000, 144.16000000),
(10604, 1757, NULL, 1305886, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.02000000, NULL, 54.06000000, 10.81000000, 0.00000000, 0.00000000, 64.87000000, 0, NULL, NULL, 0, 17.85000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.02000000, 54.06000000, 10.81000000, 64.87000000),
(10607, 1757, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 40.33000000, NULL, 80.66000000, 16.13000000, 0.00000000, 0.00000000, 96.79000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.33000000, 80.66000000, 16.13000000, 96.79000000),
(10608, 1757, NULL, 1305885, NULL, 'Lot de 10 nattes filtrantes', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.53000000, NULL, 86.53000000, 17.31000000, 0.00000000, 0.00000000, 103.84000000, 0, NULL, NULL, 0, 53.20000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.53000000, 86.53000000, 17.31000000, 103.84000000),
(10609, 1758, NULL, NULL, 'Remplacement cartouches filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10610, 1758, NULL, 1221464, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(10611, 1758, NULL, 953426, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 207.79000000, NULL, 207.79000000, 41.56000000, 0.00000000, 0.00000000, 249.35000000, 0, NULL, NULL, 0, 100.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 207.79000000, 207.79000000, 41.56000000, 249.35000000),
(10612, 1758, NULL, 953532, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 207.79000000, NULL, 207.79000000, 41.56000000, 0.00000000, 0.00000000, 249.35000000, 0, NULL, NULL, 0, 100.87000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 207.79000000, 207.79000000, 41.56000000, 249.35000000),
(10613, 1758, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10614, 1758, NULL, NULL, '2 Maintenance :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10615, 1758, NULL, 1190506, NULL, 'Forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 455.83000000, NULL, 455.83000000, 91.17000000, 0.00000000, 0.00000000, 547.00000000, 0, NULL, NULL, 0, 342.72000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 455.83000000, 455.83000000, 91.17000000, 547.00000000),
(10616, 1758, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10617, 1758, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 255.59000000, NULL, 255.59000000, 51.12000000, 0.00000000, 0.00000000, 306.71000000, 0, NULL, NULL, 0, 202.99000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 255.59000000, 255.59000000, 51.12000000, 306.71000000),
(10618, 1758, NULL, NULL, 'Sous-total Maintenance :', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10619, 1759, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 328.38000000, NULL, 328.38000000, 65.68000000, 0.00000000, 0.00000000, 394.06000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 328.38000000, 328.38000000, 65.68000000, 394.06000000),
(10620, 1759, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10621, 1759, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 242.81000000, NULL, 242.81000000, 48.56000000, 0.00000000, 0.00000000, 291.37000000, 1, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 242.81000000, 242.81000000, 48.56000000, 291.37000000),
(10622, 1759, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 314.34000000, NULL, 314.34000000, 62.87000000, 0.00000000, 0.00000000, 377.21000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 314.34000000, 314.34000000, 62.87000000, 377.21000000),
(10623, 1759, NULL, 1179655, NULL, 'SEPARATOR KIT D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 510.77000000, NULL, 510.77000000, 102.15000000, 0.00000000, 0.00000000, 612.92000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 510.77000000, 510.77000000, 102.15000000, 612.92000000),
(10624, 1759, NULL, 1305290, NULL, 'SERVICE PACKAGE  E   L30-L50+L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 772.00000000, NULL, 772.00000000, 154.40000000, 0.00000000, 0.00000000, 926.40000000, 0, NULL, NULL, 0, 424.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 772.00000000, 772.00000000, 154.40000000, 926.40000000),
(10625, 1759, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10626, 1759, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 122.76000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(10627, 1759, NULL, 953186, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 159.25000000, NULL, 159.25000000, 31.85000000, 0.00000000, 0.00000000, 191.10000000, 0, NULL, NULL, 0, 92.84000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 159.25000000, 159.25000000, 31.85000000, 191.10000000),
(10628, 1760, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 92, 0, 0, NULL, 0.97000000, NULL, 89.24000000, 17.85000000, 0.00000000, 0.00000000, 107.09000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 89.24000000, 17.85000000, 107.09000000),
(10629, 1760, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(10630, 1761, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.30000000, NULL, 10.30000000, 2.06000000, 0.00000000, 0.00000000, 12.36000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 10.30000000, 2.06000000, 12.36000000),
(10631, 1761, NULL, 1217956, NULL, 'SOUPAPE 2800/D10 1/2\" 12.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.58000000, NULL, 32.58000000, 6.52000000, 0.00000000, 0.00000000, 39.10000000, 0, NULL, NULL, 0, 15.82000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.58000000, 32.58000000, 6.52000000, 39.10000000),
(10632, 1761, NULL, 1211823, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.00000000, NULL, 21.00000000, 4.20000000, 0.00000000, 0.00000000, 25.20000000, 1, NULL, NULL, 0, 21.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.00000000, 21.00000000, 4.20000000, 25.20000000),
(10633, 1762, NULL, 1586903, NULL, 'steel edge sealing ring g 3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.90000000, NULL, 10.90000000, 2.18000000, 0.00000000, 0.00000000, 13.08000000, 0, NULL, NULL, 0, 5.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.90000000, 10.90000000, 2.18000000, 13.08000000),
(10634, 1762, NULL, 1586904, NULL, 'flexible', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 288.90000000, NULL, 288.90000000, 57.78000000, 0.00000000, 0.00000000, 346.68000000, 0, NULL, NULL, 0, 216.61000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 288.90000000, 288.90000000, 57.78000000, 346.68000000),
(10635, 1762, NULL, 1586905, NULL, 'flexible', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 229.11000000, NULL, 229.11000000, 45.82000000, 0.00000000, 0.00000000, 274.93000000, 0, NULL, NULL, 0, 172.27000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 229.11000000, 229.11000000, 45.82000000, 274.93000000),
(10636, 1762, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.90000000, NULL, 305.90000000, 61.18000000, 0.00000000, 0.00000000, 367.08000000, 0, NULL, NULL, 0, 230.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.90000000, 305.90000000, 61.18000000, 367.08000000),
(10637, 1763, NULL, 953048, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 123.76000000, NULL, 371.28000000, 74.26000000, 0.00000000, 0.00000000, 445.54000000, 0, NULL, NULL, 0, 93.06000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.76000000, 371.28000000, 74.26000000, 445.54000000),
(10638, 1763, NULL, 953050, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 191.70000000, NULL, 1150.20000000, 230.04000000, 0.00000000, 0.00000000, 1380.24000000, 0, NULL, NULL, 0, 93.06000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 191.70000000, 1150.20000000, 230.04000000, 1380.24000000),
(10639, 1763, NULL, 953049, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 214.98000000, NULL, 429.96000000, 85.99000000, 0.00000000, 0.00000000, 515.95000000, 0, NULL, NULL, 0, 161.64000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.98000000, 429.96000000, 85.99000000, 515.95000000),
(10640, 1763, NULL, 953515, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 78.41000000, NULL, 156.82000000, 31.36000000, 0.00000000, 0.00000000, 188.18000000, 0, NULL, NULL, 0, 58.96000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.41000000, 156.82000000, 31.36000000, 188.18000000),
(10641, 1763, NULL, 953424, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 78.41000000, NULL, 156.82000000, 31.36000000, 0.00000000, 0.00000000, 188.18000000, 0, NULL, NULL, 0, 58.96000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.41000000, 156.82000000, 31.36000000, 188.18000000),
(10642, 1763, NULL, 1586883, NULL, '8113PFD /&nbsp;ed8113ao', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 160.00000000, NULL, 320.00000000, 64.00000000, 0.00000000, 0.00000000, 384.00000000, 0, NULL, NULL, 0, 83.42000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.00000000, 320.00000000, 64.00000000, 384.00000000),
(10643, 1763, NULL, 1586884, NULL, 'CE0198G B / zs1087958', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 160.00000000, NULL, 320.00000000, 64.00000000, 0.00000000, 0.00000000, 384.00000000, 0, NULL, NULL, 0, 84.13000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.00000000, 320.00000000, 64.00000000, 384.00000000),
(10644, 1763, NULL, 1586885, NULL, 'CE0198G C / ZS1087959', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 160.00000000, NULL, 320.00000000, 64.00000000, 0.00000000, 0.00000000, 384.00000000, 0, NULL, NULL, 0, 84.13000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.00000000, 320.00000000, 64.00000000, 384.00000000),
(10645, 1764, NULL, 1179631, NULL, 'MINOR KIT C  L90-L132', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 352.17000000, NULL, 352.17000000, 70.43000000, 0.00000000, 0.00000000, 422.60000000, 0, NULL, NULL, 0, 267.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 352.17000000, 352.17000000, 70.43000000, 422.60000000),
(10647, 1765, NULL, NULL, NULL, 'VALEUR RACHAT permettant l&#39;acces &agrave; la propri&eacute;t&eacute; des biens -<br />\r\nCession globale', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 640.00000000, NULL, 640.00000000, 128.00000000, 0.00000000, 0.00000000, 768.00000000, 1, NULL, NULL, 0, 640.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 640.00000000, 640.00000000, 128.00000000, 768.00000000),
(10649, 1766, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(10650, 1766, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10651, 1766, NULL, 1586926, NULL, 'element filtre rf-M 0210', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 142.00000000, NULL, 142.00000000, 28.40000000, 0.00000000, 0.00000000, 170.40000000, 0, NULL, NULL, 0, 68.16000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 142.00000000, 142.00000000, 28.40000000, 170.40000000),
(10652, 1766, NULL, 1222096, NULL, 'filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.00000000, NULL, 23.00000000, 4.60000000, 0.00000000, 0.00000000, 27.60000000, 0, NULL, NULL, 0, 16.10000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.00000000, 23.00000000, 4.60000000, 27.60000000),
(10653, 1766, NULL, 1586927, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 60.00000000, NULL, 60.00000000, 12.00000000, 0.00000000, 0.00000000, 72.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 60.00000000, 60.00000000, 12.00000000, 72.00000000),
(10654, 1766, NULL, 1586928, NULL, 'separateur air huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 60.00000000, NULL, 60.00000000, 12.00000000, 0.00000000, 0.00000000, 72.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 60.00000000, 60.00000000, 12.00000000, 72.00000000),
(10655, 1766, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 39.00000000, NULL, 78.00000000, 15.60000000, 0.00000000, 0.00000000, 93.60000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 78.00000000, 15.60000000, 93.60000000),
(10656, 1766, NULL, 952662, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(10657, 1766, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(10658, 1766, NULL, 1189329, NULL, 'filtre  711/715 (39x39x2)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.65000000, NULL, 39.65000000, 7.93000000, 0.00000000, 0.00000000, 47.58000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.65000000, 39.65000000, 7.93000000, 47.58000000),
(10659, 1766, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(10660, 1766, NULL, 1180027, NULL, 'KIT MAINTENANCE VERTICAL NEW CONCEPT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 234.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(10661, 1767, NULL, NULL, 'Maintenance L18 N° CD10009710001', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10662, 1767, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(10663, 1767, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10664, 1767, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 117.70000000, NULL, 105.93000000, 21.19000000, 0.00000000, 0.00000000, 127.12000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 105.93000000, 21.19000000, 127.12000000),
(10665, 1767, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 73.10000000, NULL, 146.20000000, 29.24000000, 0.00000000, 0.00000000, 175.44000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 146.20000000, 29.24000000, 175.44000000),
(10666, 1767, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10667, 1769, NULL, 1586945, NULL, 'bidon gel hydroalcooliques', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, -52.50000000, NULL, -315.00000000, -63.00000000, 0.00000000, 0.00000000, -378.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -52.50000000, -315.00000000, -63.00000000, -378.00000000),
(10668, 1770, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 404.98000000, NULL, 404.98000000, 81.00000000, 0.00000000, 0.00000000, 485.98000000, 0, NULL, NULL, 0, 302.55000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 404.98000000, 404.98000000, 81.00000000, 485.98000000),
(10669, 1770, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.54000000, NULL, 5.54000000, 1.11000000, 0.00000000, 0.00000000, 6.65000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.54000000, 5.54000000, 1.11000000, 6.65000000),
(10670, 1770, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 278.78000000, NULL, 278.78000000, 55.76000000, 0.00000000, 0.00000000, 334.54000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 278.78000000, 278.78000000, 55.76000000, 334.54000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(10671, 1770, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1026.54000000, NULL, 1026.54000000, 205.31000000, 0.00000000, 0.00000000, 1231.85000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1026.54000000, 1026.54000000, 205.31000000, 1231.85000000),
(10672, 1770, NULL, 1305287, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 382.66000000, NULL, 382.66000000, 76.53000000, 0.00000000, 0.00000000, 459.19000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 382.66000000, 382.66000000, 76.53000000, 459.19000000),
(10673, 1771, NULL, 1190357, NULL, 'Forfait Dépannage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 452.20000000, NULL, 452.20000000, 90.44000000, 0.00000000, 0.00000000, 542.64000000, 0, NULL, NULL, 0, 340.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 452.20000000, 452.20000000, 90.44000000, 542.64000000),
(10674, 1771, NULL, 1586869, NULL, 'INTAKE VALVE MAINTENANCE R40E', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 327.18000000, NULL, 327.18000000, 65.44000000, 0.00000000, 0.00000000, 392.62000000, 0, NULL, NULL, 0, 218.12000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 327.18000000, 327.18000000, 65.44000000, 392.62000000),
(10675, 1771, NULL, 1586870, NULL, 'CORPO+bobinA EV VALVE SP V24', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 170.18000000, NULL, 170.18000000, 34.04000000, 0.00000000, 0.00000000, 204.22000000, 0, NULL, NULL, 0, 121.56000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 170.18000000, 170.18000000, 34.04000000, 204.22000000),
(10676, 1771, NULL, 1221752, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.60000000, NULL, 22.60000000, 4.52000000, 0.00000000, 0.00000000, 27.12000000, 0, NULL, NULL, 0, 11.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.60000000, 22.60000000, 4.52000000, 27.12000000),
(10677, 1771, NULL, 1231705, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.66000000, NULL, 14.66000000, 2.93000000, 0.00000000, 0.00000000, 17.59000000, 0, NULL, NULL, 0, 7.33000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.66000000, 14.66000000, 2.93000000, 17.59000000),
(10678, 1771, NULL, 953301, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.10000000, NULL, 59.10000000, 11.82000000, 0.00000000, 0.00000000, 70.92000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.10000000, 59.10000000, 11.82000000, 70.92000000),
(10679, 1771, NULL, 1307258, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.10000000, NULL, 59.10000000, 11.82000000, 0.00000000, 0.00000000, 70.92000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.10000000, 59.10000000, 11.82000000, 70.92000000),
(10680, 1772, NULL, NULL, NULL, 'remise vu A. BALAZARD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -99.01000000, NULL, -99.01000000, -19.80000000, 0.00000000, 0.00000000, -118.81000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.01000000, 99.01000000, 19.80000000, 118.81000000),
(10681, 1773, NULL, NULL, NULL, 'Acompte (30%) - CO2006-1525', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 900.00000000, NULL, 900.00000000, 180.00000000, 0.00000000, 0.00000000, 1080.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 900.00000000, 900.00000000, 180.00000000, 1080.00000000),
(10682, 1774, NULL, NULL, '1 Intervention de reparation à faire', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10683, 1774, NULL, 1176219, NULL, '3/2 - WAY SOLENOID', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 146.00000000, NULL, 146.00000000, 29.20000000, 0.00000000, 0.00000000, 175.20000000, 0, NULL, NULL, 0, 80.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 146.00000000, 146.00000000, 29.20000000, 175.20000000),
(10684, 1774, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(10685, 1774, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 0.97000000, NULL, 38.80000000, 7.76000000, 0.00000000, 0.00000000, 46.56000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 38.80000000, 7.76000000, 46.56000000),
(10686, 1774, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10687, 1774, NULL, NULL, '2 BL N°23 du 17/06/2020', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10688, 1774, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 0.97000000, NULL, 38.80000000, 7.76000000, 0.00000000, 0.00000000, 46.56000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 38.80000000, 7.76000000, 46.56000000),
(10689, 1774, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(10690, 1774, NULL, 1178412, NULL, 'SERVICE PACKAGE 6C      RALLYE A', 20.000, '', 0.000, '0', 0.000, '0', 1, 40, 0, NULL, 1114.00000000, NULL, 668.40000000, 133.68000000, 0.00000000, 0.00000000, 802.08000000, 0, NULL, NULL, 0, 490.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1114.00000000, 668.40000000, 133.68000000, 802.08000000),
(10691, 1774, NULL, 1190497, NULL, 'joint metalo plastque', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.30000000, NULL, 6.30000000, 1.26000000, 0.00000000, 0.00000000, 7.56000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.30000000, 6.30000000, 1.26000000, 7.56000000),
(10692, 1774, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10693, 1775, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(10694, 1775, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(10695, 1775, NULL, 1231755, NULL, 'cartouche filtre reseau 300 charbon actif', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(10696, 1776, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(10697, 1776, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10698, 1776, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.54000000, NULL, 16.54000000, 3.31000000, 0.00000000, 0.00000000, 19.85000000, 0, NULL, NULL, 0, 8.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.54000000, 16.54000000, 3.31000000, 19.85000000),
(10699, 1776, NULL, 1190523, NULL, 'petites fournitures', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.00000000, NULL, 19.00000000, 3.80000000, 0.00000000, 0.00000000, 22.80000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.00000000, 19.00000000, 3.80000000, 22.80000000),
(10700, 1777, NULL, NULL, '1 Maintenance du Compresseur L18', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10701, 1777, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(10702, 1777, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10703, 1777, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 30, 0, NULL, 406.00000000, NULL, 284.20000000, 56.84000000, 0.00000000, 0.00000000, 341.04000000, 0, NULL, NULL, 0, 243.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 406.00000000, 284.20000000, 56.84000000, 341.04000000),
(10704, 1778, NULL, NULL, NULL, 'Acompte (30%) - CO2006-1505', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1800.00000000, NULL, 1800.00000000, 360.00000000, 0.00000000, 0.00000000, 2160.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1800.00000000, 1800.00000000, 360.00000000, 2160.00000000),
(10705, 1779, NULL, 1238428, NULL, 'plateau velcros', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 25.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 19.64000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.00000000, 250.00000000, 50.00000000, 300.00000000),
(10706, 1779, NULL, 1223624, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(10707, 1780, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(10708, 1780, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10709, 1780, NULL, 1305486, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.00000000, NULL, 123.00000000, 24.60000000, 0.00000000, 0.00000000, 147.60000000, 0, NULL, NULL, 0, 54.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.00000000, 123.00000000, 24.60000000, 147.60000000),
(10710, 1780, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 53.32000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(10711, 1780, NULL, 952683, NULL, 'cartouche 180RB', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.69000000, NULL, 105.69000000, 21.14000000, 0.00000000, 0.00000000, 126.83000000, 0, NULL, NULL, 0, 51.31000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.69000000, 105.69000000, 21.14000000, 126.83000000),
(10712, 1780, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.62000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(10713, 1781, NULL, NULL, NULL, 'WS1508', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10714, 1781, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(10715, 1781, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10716, 1781, NULL, 1221767, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.06000000, NULL, 35.06000000, 7.01000000, 0.00000000, 0.00000000, 42.07000000, 0, NULL, NULL, 0, 17.53000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.06000000, 35.06000000, 7.01000000, 42.07000000),
(10717, 1781, NULL, 959341, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.77000000, NULL, 27.77000000, 5.55000000, 0.00000000, 0.00000000, 33.32000000, 0, NULL, NULL, 0, 13.48000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.77000000, 27.77000000, 5.55000000, 33.32000000),
(10718, 1781, NULL, 1221715, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.80000000, NULL, 112.80000000, 22.56000000, 0.00000000, 0.00000000, 135.36000000, 0, NULL, NULL, 0, 75.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.80000000, 112.80000000, 22.56000000, 135.36000000),
(10719, 1781, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(10720, 1781, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.13000000, NULL, 51.39000000, 10.28000000, 0.00000000, 0.00000000, 61.67000000, 0, NULL, NULL, 0, 8.62000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 51.39000000, 10.28000000, 61.67000000),
(10721, 1781, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10722, 1781, NULL, NULL, NULL, 'BEL AIR', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10723, 1781, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(10724, 1781, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10725, 1781, NULL, 1222168, NULL, 'Compressor P 100 ( 25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 142.14000000, NULL, 142.14000000, 28.43000000, 0.00000000, 0.00000000, 170.57000000, 0, NULL, NULL, 0, 69.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 142.14000000, 142.14000000, 28.43000000, 170.57000000),
(10726, 1781, NULL, 954049, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.32000000, NULL, 13.32000000, 2.66000000, 0.00000000, 0.00000000, 15.98000000, 0, NULL, NULL, 0, 6.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.32000000, 13.32000000, 2.66000000, 15.98000000),
(10727, 1781, NULL, 951770, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.16000000, NULL, 11.16000000, 2.23000000, 0.00000000, 0.00000000, 13.39000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.16000000, 11.16000000, 2.23000000, 13.39000000),
(10728, 1781, NULL, 955048, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 174.48000000, NULL, 174.48000000, 34.90000000, 0.00000000, 0.00000000, 209.38000000, 0, NULL, NULL, 0, 87.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 174.48000000, 174.48000000, 34.90000000, 209.38000000),
(10729, 1781, NULL, 1222536, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.64000000, NULL, 55.92000000, 11.18000000, 0.00000000, 0.00000000, 67.10000000, 0, NULL, NULL, 0, 9.05000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.64000000, 55.92000000, 11.18000000, 67.10000000),
(10730, 1781, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10731, 1782, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(10732, 1782, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10733, 1782, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(10734, 1782, NULL, 954112, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 171.78000000, NULL, 171.78000000, 34.36000000, 0.00000000, 0.00000000, 206.14000000, 0, NULL, NULL, 0, 83.39000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 171.78000000, 171.78000000, 34.36000000, 206.14000000),
(10735, 1782, NULL, 952405, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 133.83000000, NULL, 133.83000000, 26.77000000, 0.00000000, 0.00000000, 160.60000000, 0, NULL, NULL, 0, 64.97000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 133.83000000, 133.83000000, 26.77000000, 160.60000000),
(10736, 1782, NULL, 955091, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 259.64000000, NULL, 259.64000000, 51.93000000, 0.00000000, 0.00000000, 311.57000000, 0, NULL, NULL, 0, 126.04000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 259.64000000, 259.64000000, 51.93000000, 311.57000000),
(10737, 1782, NULL, 953634, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.07000000, NULL, 286.07000000, 57.21000000, 0.00000000, 0.00000000, 343.28000000, 0, NULL, NULL, 0, 91.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.07000000, 286.07000000, 57.21000000, 343.28000000),
(10738, 1782, NULL, 953632, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.07000000, NULL, 286.07000000, 57.21000000, 0.00000000, 0.00000000, 343.28000000, 0, NULL, NULL, 0, 138.87000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.07000000, 286.07000000, 57.21000000, 343.28000000),
(10739, 1782, NULL, 953635, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.07000000, NULL, 286.07000000, 57.21000000, 0.00000000, 0.00000000, 343.28000000, 0, NULL, NULL, 0, 91.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.07000000, 286.07000000, 57.21000000, 343.28000000),
(10740, 1783, NULL, 952823, NULL, 'secheur refrigeration 360m3/h racc1&quot;1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2349.00000000, NULL, 2349.00000000, 469.80000000, 0.00000000, 0.00000000, 2818.80000000, 0, NULL, NULL, 0, 1740.12000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2349.00000000, 2349.00000000, 469.80000000, 2818.80000000),
(10741, 1783, NULL, 1223700, NULL, 'Fourniture Plomberie', 20.000, '', 0.000, '0', 0.000, '0', 1, 50, 0, NULL, 202.50000000, NULL, 101.25000000, 20.25000000, 0.00000000, 0.00000000, 121.50000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 202.50000000, 101.25000000, 20.25000000, 121.50000000),
(10742, 1783, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 50, 0, NULL, 310.50000000, NULL, 155.25000000, 31.05000000, 0.00000000, 0.00000000, 186.30000000, 0, NULL, NULL, 0, 230.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 310.50000000, 155.25000000, 31.05000000, 186.30000000),
(10743, 1784, NULL, 952823, NULL, 'secheur refrigeration 360m3/h racc1&quot;1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2349.00000000, NULL, 2349.00000000, 469.80000000, 0.00000000, 0.00000000, 2818.80000000, 0, NULL, NULL, 0, 1740.12000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2349.00000000, 2349.00000000, 469.80000000, 2818.80000000),
(10744, 1784, NULL, 1223700, NULL, 'Fourniture Plomberie', 20.000, '', 0.000, '0', 0.000, '0', 1, 50, 0, NULL, 202.50000000, NULL, 101.25000000, 20.25000000, 0.00000000, 0.00000000, 121.50000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 202.50000000, 101.25000000, 20.25000000, 121.50000000),
(10745, 1784, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 50, 0, NULL, 310.50000000, NULL, 155.25000000, 31.05000000, 0.00000000, 0.00000000, 186.30000000, 0, NULL, NULL, 0, 230.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 310.50000000, 155.25000000, 31.05000000, 186.30000000),
(10746, 1785, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(10747, 1785, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(10748, 1785, NULL, 955221, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 281.89000000, NULL, 281.89000000, 56.38000000, 0.00000000, 0.00000000, 338.27000000, 0, NULL, NULL, 0, 136.84000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 281.89000000, 281.89000000, 56.38000000, 338.27000000),
(10749, 1786, NULL, 1586957, NULL, 'purgeur de condensats 450M3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.55000000, NULL, 160.55000000, 32.11000000, 0.00000000, 0.00000000, 192.66000000, 0, NULL, NULL, 0, 123.42000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.55000000, 160.55000000, 32.11000000, 192.66000000),
(10750, 1786, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 310.50000000, NULL, 310.50000000, 62.10000000, 0.00000000, 0.00000000, 372.60000000, 0, NULL, NULL, 0, 230.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 310.50000000, 310.50000000, 62.10000000, 372.60000000),
(10751, 1787, NULL, 1586957, NULL, 'purgeur de condensats 450M3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.55000000, NULL, 160.55000000, 32.11000000, 0.00000000, 0.00000000, 192.66000000, 0, NULL, NULL, 0, 123.42000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.55000000, 160.55000000, 32.11000000, 192.66000000),
(10752, 1787, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 310.50000000, NULL, 310.50000000, 62.10000000, 0.00000000, 0.00000000, 372.60000000, 0, NULL, NULL, 0, 230.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 310.50000000, 310.50000000, 62.10000000, 372.60000000),
(10753, 1788, NULL, NULL, NULL, 'Maintenance L11', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10754, 1788, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10755, 1788, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.58000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(10756, 1788, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 8.24000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(10757, 1788, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(10758, 1788, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(10759, 1788, NULL, 1221736, NULL, 'FILTRE SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.80000000, NULL, 59.80000000, 11.96000000, 0.00000000, 0.00000000, 71.76000000, 0, NULL, NULL, 0, 29.03000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.80000000, 59.80000000, 11.96000000, 71.76000000),
(10760, 1788, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(10761, 1788, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10762, 1788, NULL, NULL, NULL, 'Filtres reseaux', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10763, 1788, NULL, 953164, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 32.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(10764, 1788, NULL, 953167, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 32.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(10765, 1788, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10766, 1788, NULL, NULL, NULL, 'Séparateur de condensats', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10767, 1788, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(10768, 1788, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10769, 1789, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(10770, 1789, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10771, 1789, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(10772, 1789, NULL, 1231792, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 49.60000000, NULL, 49.60000000, 9.92000000, 0.00000000, 0.00000000, 59.52000000, 0, NULL, NULL, 0, 29.81000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 49.60000000, 49.60000000, 9.92000000, 59.52000000),
(10773, 1789, NULL, 1231794, NULL, 'SEPARATEUR AIR/HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 166.86000000, NULL, 166.86000000, 33.37000000, 0.00000000, 0.00000000, 200.23000000, 0, NULL, NULL, 0, 97.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 166.86000000, 166.86000000, 33.37000000, 200.23000000),
(10774, 1789, NULL, 1231793, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.59000000, NULL, 30.59000000, 6.12000000, 0.00000000, 0.00000000, 36.71000000, 0, NULL, NULL, 0, 18.36000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.59000000, 30.59000000, 6.12000000, 36.71000000),
(10775, 1789, NULL, 1222584, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 15, 0, NULL, 14.13000000, NULL, 24.02000000, 4.81000000, 0.00000000, 0.00000000, 28.83000000, 0, NULL, NULL, 0, 6.66000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.13000000, 24.02000000, 4.81000000, 28.83000000),
(10776, 1790, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(10777, 1790, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10778, 1790, NULL, 952920, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 55.51000000, NULL, 55.51000000, 11.10000000, 0.00000000, 0.00000000, 66.61000000, 0, NULL, NULL, 0, 26.95000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 55.51000000, 55.51000000, 11.10000000, 66.61000000),
(10779, 1790, NULL, 952934, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.26000000, NULL, 65.26000000, 13.05000000, 0.00000000, 0.00000000, 78.31000000, 0, NULL, NULL, 0, 31.68000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.26000000, 65.26000000, 13.05000000, 78.31000000),
(10780, 1790, NULL, 1222521, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.88000000, NULL, 19.76000000, 3.95000000, 0.00000000, 0.00000000, 23.71000000, 0, NULL, NULL, 0, 4.80000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.88000000, 19.76000000, 3.95000000, 23.71000000),
(10781, 1790, NULL, 954041, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.59000000, NULL, 11.59000000, 2.32000000, 0.00000000, 0.00000000, 13.91000000, 0, NULL, NULL, 0, 5.63000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.59000000, 11.59000000, 2.32000000, 13.91000000),
(10782, 1790, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(10783, 1790, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(10784, 1790, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(10785, 1791, NULL, NULL, NULL, 'L26RS CD10027118001', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10786, 1791, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 451.82000000, NULL, 451.82000000, 90.36000000, 0.00000000, 0.00000000, 542.18000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 451.82000000, 451.82000000, 90.36000000, 542.18000000),
(10787, 1791, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(10788, 1791, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1020.00000000, NULL, 1020.00000000, 204.00000000, 0.00000000, 0.00000000, 1224.00000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1020.00000000, 1020.00000000, 204.00000000, 1224.00000000),
(10789, 1791, NULL, 952658, NULL, 'cartouche grade ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(10790, 1791, NULL, 1221463, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.45000000, NULL, 156.45000000, 31.29000000, 0.00000000, 0.00000000, 187.74000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.45000000, 156.45000000, 31.29000000, 187.74000000),
(10791, 1791, NULL, 952684, NULL, 'cartouche grade rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(10792, 1791, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 88.66000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(10793, 1791, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.95000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(10794, 1791, NULL, 1305287, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 468.00000000, NULL, 468.00000000, 93.60000000, 0.00000000, 0.00000000, 561.60000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 468.00000000, 468.00000000, 93.60000000, 561.60000000),
(10795, 1791, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10796, 1792, NULL, 952816, NULL, 'secheur à réfrigération 108m3/h rac 3/4\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 920.00000000, NULL, 920.00000000, 184.00000000, 0.00000000, 0.00000000, 1104.00000000, 0, NULL, NULL, 0, 706.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 920.00000000, 920.00000000, 184.00000000, 1104.00000000),
(10797, 1792, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 332.50000000, NULL, 332.50000000, 66.50000000, 0.00000000, 0.00000000, 399.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 332.50000000, 332.50000000, 66.50000000, 399.00000000),
(10798, 1793, NULL, 1586796, NULL, 'compresseur à piston 7.5 KW', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3477.03000000, NULL, 3477.03000000, 695.41000000, 0.00000000, 0.00000000, 4172.44000000, 0, NULL, NULL, 0, 2723.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3477.03000000, 3477.03000000, 695.41000000, 4172.44000000),
(10799, 1793, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 528.35000000, NULL, 528.35000000, 105.67000000, 0.00000000, 0.00000000, 634.02000000, 0, NULL, NULL, 0, 399.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 528.35000000, 528.35000000, 105.67000000, 634.02000000),
(10800, 1793, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 294.62000000, NULL, 294.62000000, 58.92000000, 0.00000000, 0.00000000, 353.54000000, 0, NULL, NULL, 0, 230.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 294.62000000, 294.62000000, 58.92000000, 353.54000000),
(10801, 1794, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 443.14000000, NULL, 443.14000000, 88.63000000, 0.00000000, 0.00000000, 531.77000000, 0, NULL, NULL, 0, 333.18000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 443.14000000, 443.14000000, 88.63000000, 531.77000000),
(10802, 1794, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(10803, 1794, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 993.20000000, NULL, 993.20000000, 198.64000000, 0.00000000, 0.00000000, 1191.84000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 993.20000000, 993.20000000, 198.64000000, 1191.84000000),
(10805, 1794, NULL, 1305287, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 468.00000000, NULL, 468.00000000, 93.60000000, 0.00000000, 0.00000000, 561.60000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 468.00000000, 468.00000000, 93.60000000, 561.60000000),
(10806, 1794, NULL, 953624, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.68000000, NULL, 156.68000000, 31.34000000, 0.00000000, 0.00000000, 188.02000000, 0, NULL, NULL, 0, 71.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.68000000, 156.68000000, 31.34000000, 188.02000000),
(10933, 1797, NULL, NULL, NULL, 'Mise à la terre du Batiment', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10934, 1797, NULL, 1190556, NULL, 'CUIVRE NU RECUIT 25 C50M', 20.000, '', 0.000, '0', 0.000, '0', 150, 0, 0, NULL, 6.18000000, NULL, 927.00000000, 185.40000000, 0.00000000, 0.00000000, 1112.40000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.18000000, 927.00000000, 185.40000000, 1112.40000000),
(10935, 1797, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 600.00000000, NULL, 600.00000000, 120.00000000, 0.00000000, 0.00000000, 720.00000000, 0, NULL, NULL, 0, 450.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 600.00000000, 600.00000000, 120.00000000, 720.00000000),
(10936, 1797, NULL, 1586754, NULL, 'Borne de mise à la terre M6 x 25 mm²', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 3.40000000, NULL, 136.00000000, 27.20000000, 0.00000000, 0.00000000, 163.20000000, 0, NULL, NULL, 0, 2.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.40000000, 136.00000000, 27.20000000, 163.20000000),
(10937, 1797, NULL, NULL, 'Sous-total Mise à la terre du Batiment', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10938, 1797, NULL, NULL, NULL, 'Alimentation portail TRI', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10939, 1797, NULL, 1298028, NULL, 'R2V CU 5G2,5  DISTINGO', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 2.60000000, NULL, 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 2.05000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.60000000, 130.00000000, 26.00000000, 156.00000000),
(10940, 1797, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 230.00000000, NULL, 230.00000000, 46.00000000, 0.00000000, 0.00000000, 276.00000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 230.00000000, 230.00000000, 46.00000000, 276.00000000),
(10941, 1797, NULL, NULL, 'Sous-total Alimentation portail TRI', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10942, 1797, NULL, NULL, NULL, 'Prises mono et tri', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(10943, 1797, NULL, 1298079, NULL, 'Coffret d\'atelier monophase & triphasé 4 prises 16A 230V et 2 prises 16A 400V', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 472.50000000, NULL, 945.00000000, 189.00000000, 0.00000000, 0.00000000, 1134.00000000, 0, NULL, NULL, 0, 350.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 472.50000000, 945.00000000, 189.00000000, 1134.00000000),
(10944, 1797, NULL, 1190527, NULL, 'R2V CU 5G6 TGL', 20.000, '', 0.000, '0', 0.000, '0', 70, 0, 0, NULL, 11.53000000, NULL, 807.10000000, 161.42000000, 0.00000000, 0.00000000, 968.52000000, 0, NULL, NULL, 0, 5.60000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.53000000, 807.10000000, 161.42000000, 968.52000000),
(10945, 1797, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 450.00000000, NULL, 450.00000000, 90.00000000, 0.00000000, 0.00000000, 540.00000000, 0, NULL, NULL, 0, 350.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 450.00000000, 450.00000000, 90.00000000, 540.00000000),
(10946, 1797, NULL, 1107645, NULL, 'iC60N 4P 40A  C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 135.00000000, NULL, 135.00000000, 27.00000000, 0.00000000, 0.00000000, 162.00000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 135.00000000, 135.00000000, 27.00000000, 162.00000000),
(10947, 1797, NULL, 1305844, NULL, 'Acti9, Vigi iC60, bloc différentiel 4P 40A 300mA type AC 230-240/400-415V', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 175.00000000, NULL, 175.00000000, 35.00000000, 0.00000000, 0.00000000, 210.00000000, 0, NULL, NULL, 0, 135.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 175.00000000, 175.00000000, 35.00000000, 210.00000000),
(10948, 1797, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1300.00000000, NULL, 1300.00000000, 260.00000000, 0.00000000, 0.00000000, 1560.00000000, 0, NULL, NULL, 0, 1000.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1300.00000000, 1300.00000000, 260.00000000, 1560.00000000),
(10949, 1797, NULL, NULL, 'Sous-total Prises mono et tri', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10950, 1797, NULL, NULL, NULL, 'eclairage securité', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10951, 1797, NULL, 1190653, NULL, 'Supportage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 550.00000000, NULL, 550.00000000, 110.00000000, 0.00000000, 0.00000000, 660.00000000, 0, NULL, NULL, 0, 450.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 550.00000000, 550.00000000, 110.00000000, 660.00000000),
(10952, 1797, NULL, 1190618, NULL, '000061cf54/50 bs ez au metre', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 16.99000000, NULL, 679.60000000, 135.92000000, 0.00000000, 0.00000000, 815.52000000, 0, NULL, NULL, 0, 12.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.99000000, 679.60000000, 135.92000000, 815.52000000),
(10953, 1797, NULL, 1461946, NULL, 'Exiway Smart - Bloc de secours évacuat - report défaut - SATI - led - IP42', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 155.00000000, NULL, 310.00000000, 62.00000000, 0.00000000, 0.00000000, 372.00000000, 0, NULL, NULL, 0, 130.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.00000000, 310.00000000, 62.00000000, 372.00000000),
(10954, 1797, NULL, 1190554, NULL, 'R2V CU 5G1,5 C100M', 20.000, '', 0.000, '0', 0.000, '0', 150, 0, 0, NULL, 2.63000000, NULL, 394.50000000, 78.90000000, 0.00000000, 0.00000000, 473.40000000, 0, NULL, NULL, 0, 1.28000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.63000000, 394.50000000, 78.90000000, 473.40000000),
(10955, 1797, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 400.00000000, NULL, 400.00000000, 80.00000000, 0.00000000, 0.00000000, 480.00000000, 0, NULL, NULL, 0, 300.00000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 400.00000000, 400.00000000, 80.00000000, 480.00000000),
(10956, 1797, NULL, NULL, 'Sous-total eclairage securité', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10957, 1797, NULL, NULL, NULL, '3 Lignes éclairage atelier', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10958, 1797, NULL, 1190644, NULL, 'R2V CU 3G1,5 C100M', 20.000, '', 0.000, '0', 0.000, '0', 100, 0, 0, NULL, 1.64000000, NULL, 164.00000000, 32.80000000, 0.00000000, 0.00000000, 196.80000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.64000000, 164.00000000, 32.80000000, 196.80000000),
(10959, 1797, NULL, 1463348, NULL, 'Acti9 iDD40K - disjoncteur différentiel - 1P+N C 16A 4500A/4,5A 30mA type AC', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 135.00000000, NULL, 405.00000000, 81.00000000, 0.00000000, 0.00000000, 486.00000000, 0, NULL, NULL, 0, 105.00000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 135.00000000, 405.00000000, 81.00000000, 486.00000000),
(10960, 1797, NULL, 1071258, NULL, 'BOITE DERIVATION 105X105 PLEXO', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.05000000, NULL, 54.15000000, 10.83000000, 0.00000000, 0.00000000, 64.98000000, 0, NULL, NULL, 0, 8.76000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.05000000, 54.15000000, 10.83000000, 64.98000000),
(10961, 1797, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 400.00000000, NULL, 400.00000000, 80.00000000, 0.00000000, 0.00000000, 480.00000000, 0, NULL, NULL, 0, 300.00000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 400.00000000, 400.00000000, 80.00000000, 480.00000000),
(10962, 1797, NULL, 1071286, NULL, 'TELERUPTEUR 16A 1F BOB 230V GP', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 84.03000000, NULL, 252.09000000, 50.42000000, 0.00000000, 0.00000000, 302.51000000, 0, NULL, NULL, 0, 40.79000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 84.03000000, 252.09000000, 50.42000000, 302.51000000),
(10963, 1797, NULL, 1190794, NULL, 'poussoir plexo 6 amp', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 15.00000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 11.00000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 45.00000000, 9.00000000, 54.00000000),
(10964, 1797, NULL, NULL, 'Sous-total 3 Lignes éclairage atelier', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10965, 1797, NULL, NULL, NULL, 'Eclairage exterieur', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10966, 1797, NULL, 1586755, NULL, 'WINK 50 - Proj. Ext. IP65 IK08, blanc, LED intég. 110DEG 50W', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 85.00000000, NULL, 170.00000000, 34.00000000, 0.00000000, 0.00000000, 204.00000000, 0, NULL, NULL, 0, 55.00000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.00000000, 170.00000000, 34.00000000, 204.00000000),
(10967, 1797, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 480.00000000, NULL, 480.00000000, 96.00000000, 0.00000000, 0.00000000, 576.00000000, 0, NULL, NULL, 0, 400.00000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 480.00000000, 480.00000000, 96.00000000, 576.00000000),
(10968, 1797, NULL, 1069834, NULL, 'VV GRIS SAILLIE PLEXO CPT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 22.81000000, NULL, 45.62000000, 9.12000000, 0.00000000, 0.00000000, 54.74000000, 0, NULL, NULL, 0, 11.07000000, NULL, 0, 0, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.81000000, 45.62000000, 9.12000000, 54.74000000),
(10969, 1797, NULL, 1190554, NULL, 'R2V CU 5G1,5 C100M', 20.000, '', 0.000, '0', 0.000, '0', 80, 0, 0, NULL, 2.63000000, NULL, 210.40000000, 42.08000000, 0.00000000, 0.00000000, 252.48000000, 0, NULL, NULL, 0, 1.28000000, NULL, 0, 0, 37, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.63000000, 210.40000000, 42.08000000, 252.48000000),
(10970, 1797, NULL, NULL, 'Sous-total Eclairage exterieur', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 38, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10971, 1797, NULL, NULL, NULL, 'Air comprimé', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 39, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10972, 1797, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 48, 0, 0, NULL, 4.98000000, NULL, 239.04000000, 47.81000000, 0.00000000, 0.00000000, 286.85000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 40, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 239.04000000, 47.81000000, 286.85000000),
(10973, 1797, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 5.34000000, NULL, 53.40000000, 10.68000000, 0.00000000, 0.00000000, 64.08000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 41, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 53.40000000, 10.68000000, 64.08000000),
(10974, 1797, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 6.62000000, NULL, 39.72000000, 7.94000000, 0.00000000, 0.00000000, 47.66000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 42, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.62000000, 39.72000000, 7.94000000, 47.66000000),
(10975, 1797, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 3.58000000, NULL, 35.80000000, 7.16000000, 0.00000000, 0.00000000, 42.96000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 43, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.58000000, 35.80000000, 7.16000000, 42.96000000),
(10976, 1797, NULL, 1079867, NULL, 'Té réduit diam. ext. 35 . 22 . 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.90000000, NULL, 10.90000000, 2.18000000, 0.00000000, 0.00000000, 13.08000000, 0, NULL, NULL, 0, 7.67000000, NULL, 0, 0, 44, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.90000000, 10.90000000, 2.18000000, 13.08000000),
(10977, 1797, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.58000000, NULL, 29.16000000, 5.83000000, 0.00000000, 0.00000000, 34.99000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 45, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.58000000, 29.16000000, 5.83000000, 34.99000000),
(10978, 1797, NULL, 1080004, NULL, 'Manchon d\'ajustage diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.01000000, NULL, 14.02000000, 2.80000000, 0.00000000, 0.00000000, 16.82000000, 0, NULL, NULL, 0, 4.93000000, NULL, 0, 0, 46, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.01000000, 14.02000000, 2.80000000, 16.82000000),
(10979, 1797, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.39000000, NULL, 14.78000000, 2.96000000, 0.00000000, 0.00000000, 17.74000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 47, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 14.78000000, 2.96000000, 17.74000000),
(10980, 1797, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 1.12000000, NULL, 22.40000000, 4.48000000, 0.00000000, 0.00000000, 26.88000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 48, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 22.40000000, 4.48000000, 26.88000000),
(10981, 1797, NULL, 1190635, NULL, 'pince de charpente', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 3.50000000, NULL, 70.00000000, 14.00000000, 0.00000000, 0.00000000, 84.00000000, 0, NULL, NULL, 0, 1.70000000, NULL, 0, 0, 49, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.50000000, 70.00000000, 14.00000000, 84.00000000),
(10982, 1797, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 24.97000000, NULL, 99.88000000, 19.98000000, 0.00000000, 0.00000000, 119.86000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 50, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.97000000, 99.88000000, 19.98000000, 119.86000000),
(10983, 1797, NULL, 966723, NULL, 'Raccord Y mâle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.70000000, NULL, 9.40000000, 1.88000000, 0.00000000, 0.00000000, 11.28000000, 0, NULL, NULL, 0, 2.35000000, NULL, 0, 0, 51, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.70000000, 9.40000000, 1.88000000, 11.28000000),
(10984, 1797, NULL, 1190649, NULL, 'console', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 14.42000000, NULL, 57.68000000, 11.54000000, 0.00000000, 0.00000000, 69.22000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 52, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.42000000, 57.68000000, 11.54000000, 69.22000000),
(10985, 1797, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 800.00000000, NULL, 800.00000000, 160.00000000, 0.00000000, 0.00000000, 960.00000000, 0, NULL, NULL, 0, 650.00000000, NULL, 0, 0, 53, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 800.00000000, 800.00000000, 160.00000000, 960.00000000),
(10986, 1797, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 600.00000000, NULL, 600.00000000, 120.00000000, 0.00000000, 0.00000000, 720.00000000, 0, NULL, NULL, 0, 450.00000000, NULL, 0, 0, 54, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 600.00000000, 600.00000000, 120.00000000, 720.00000000),
(10987, 1797, NULL, NULL, 'Sous-total Air comprimé', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 55, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10988, 1797, NULL, NULL, NULL, 'Ligne informatique', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 56, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10989, 1797, NULL, 1223608, NULL, '4 paires Catégorie 6 U/FTP LSOH', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 1.05000000, NULL, 52.50000000, 10.50000000, 0.00000000, 0.00000000, 63.00000000, 0, NULL, NULL, 0, 0.76000000, NULL, 0, 0, 57, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.05000000, 52.50000000, 10.50000000, 63.00000000),
(10990, 1797, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 350.00000000, NULL, 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 300.00000000, NULL, 0, 0, 58, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(10991, 1797, NULL, 1070790, NULL, 'PRISE RJ45 CAT.6 FTP SAILLIE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.62000000, NULL, 50.62000000, 10.12000000, 0.00000000, 0.00000000, 60.74000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 59, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.62000000, 50.62000000, 10.12000000, 60.74000000),
(10992, 1797, NULL, NULL, 'Sous-total Ligne informatique', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 60, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10993, 1797, NULL, NULL, NULL, 'Fourniture diverses', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 61, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10994, 1797, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 598.58000000, NULL, 598.58000000, 119.72000000, 0.00000000, 0.00000000, 718.30000000, 0, NULL, NULL, 0, 400.00000000, NULL, 0, 0, 62, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 598.58000000, 598.58000000, 119.72000000, 718.30000000),
(10995, 1797, NULL, NULL, 'Sous-total Fourniture diverses', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 63, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(10996, 1798, NULL, NULL, NULL, '069720- poussoir plexo&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.00000000, NULL, 19.00000000, 3.80000000, 0.00000000, 0.00000000, 22.80000000, 0, NULL, NULL, 0, 12.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.00000000, 19.00000000, 3.80000000, 22.80000000),
(10997, 1798, NULL, 966505, NULL, 'Vanne F/F G3/4 PN40 DN20', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.78000000, NULL, 10.78000000, 2.16000000, 0.00000000, 0.00000000, 12.94000000, 0, NULL, NULL, 0, 5.39000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.78000000, 10.78000000, 2.16000000, 12.94000000),
(10998, 1798, NULL, 966536, NULL, 'About M conique G1/2 tuy.16mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.75000000, NULL, 1.75000000, 0.35000000, 0.00000000, 0.00000000, 2.10000000, 0, NULL, NULL, 0, 0.87500000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.75000000, 1.75000000, 0.35000000, 2.10000000),
(10999, 1798, NULL, 966733, NULL, 'Réduction M/F G3/4xG1/2 Acier', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.05000000, NULL, 6.10000000, 1.22000000, 0.00000000, 0.00000000, 7.32000000, 0, NULL, NULL, 0, 1.53000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.05000000, 6.10000000, 1.22000000, 7.32000000),
(11000, 1798, NULL, 969941, NULL, 'Manchon fileté avec insert laiton Ø25mm G3/4\'\'', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.51000000, NULL, 12.51000000, 2.50000000, 0.00000000, 0.00000000, 15.01000000, 0, NULL, NULL, 0, 7.50600000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.51000000, 12.51000000, 2.50000000, 15.01000000),
(11001, 1798, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(11002, 1798, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(11003, 1799, NULL, NULL, NULL, 'Acompte (30%) - CO2006-1528', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2439.00000000, NULL, 2439.00000000, 487.80000000, 0.00000000, 0.00000000, 2926.80000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2439.00000000, 2439.00000000, 487.80000000, 2926.80000000),
(11004, 1800, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(11005, 1800, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11006, 1800, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(11007, 1800, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(11008, 1800, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.00000000, NULL, 92.00000000, 18.40000000, 0.00000000, 0.00000000, 110.40000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.00000000, 92.00000000, 18.40000000, 110.40000000),
(11009, 1801, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(11010, 1801, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11011, 1801, NULL, 1305888, NULL, 'V0120 element de filtre fin', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 103.00000000, NULL, 103.00000000, 20.60000000, 0.00000000, 0.00000000, 123.60000000, 0, NULL, NULL, 0, 49.44000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.00000000, 103.00000000, 20.60000000, 123.60000000),
(11012, 1801, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(11013, 1801, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(11014, 1801, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(11015, 1801, NULL, NULL, NULL, 'courroie 06440', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(11016, 1801, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(11017, 1802, NULL, NULL, NULL, 'adaptateur bouteille bronze et yoke', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.06000000, NULL, 250.06000000, 50.01000000, 0.00000000, 0.00000000, 300.07000000, 0, NULL, NULL, 0, 192.36000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.06000000, 250.06000000, 50.01000000, 300.07000000),
(11018, 1802, NULL, NULL, NULL, 'tube plongeur eau chaude et crepine', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 72.09000000, NULL, 144.18000000, 28.84000000, 0.00000000, 0.00000000, 173.02000000, 0, NULL, NULL, 0, 54.21000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 72.09000000, 144.18000000, 28.84000000, 173.02000000),
(11019, 1802, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 1, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(11020, 1803, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(11021, 1803, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11022, 1803, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(11023, 1803, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 406.00000000, NULL, 406.00000000, 81.20000000, 0.00000000, 0.00000000, 487.20000000, 0, NULL, NULL, 0, 243.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 406.00000000, 406.00000000, 81.20000000, 487.20000000),
(11024, 1803, NULL, 1305285, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 265.00000000, NULL, 265.00000000, 53.00000000, 0.00000000, 0.00000000, 318.00000000, 0, NULL, NULL, 0, 146.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 265.00000000, 265.00000000, 53.00000000, 318.00000000),
(11025, 1803, NULL, 1305086, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.00000000, NULL, 79.00000000, 15.80000000, 0.00000000, 0.00000000, 94.80000000, 0, NULL, NULL, 0, 34.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 79.00000000, 15.80000000, 94.80000000),
(11026, 1804, NULL, NULL, NULL, 'TRI 7077440 - reglette led 840 ETPC', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 78.00000000, NULL, 312.00000000, 62.40000000, 0.00000000, 0.00000000, 374.40000000, 0, NULL, NULL, 0, 60.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.00000000, 312.00000000, 62.40000000, 374.40000000),
(11027, 1804, NULL, NULL, NULL, 'EBE70700- HUBLOT VERNOSC T1 800lm blanc', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.00000000, NULL, 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.00000000, 50.00000000, 10.00000000, 60.00000000),
(11028, 1804, NULL, NULL, NULL, 'BUREAU', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11029, 1804, NULL, NULL, NULL, 'OSR 225176- PANEL led 60050', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 65.00000000, NULL, 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.00000000, 130.00000000, 26.00000000, 156.00000000),
(11030, 1804, NULL, NULL, NULL, 'OSR-075795 kit montage saillie 600x600', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 68.00000000, NULL, 136.00000000, 27.20000000, 0.00000000, 0.00000000, 163.20000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 136.00000000, 27.20000000, 163.20000000),
(11031, 1804, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11032, 1804, NULL, NULL, 'Eclairage bat ext bat b', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 0, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11033, 1804, NULL, NULL, NULL, 'THB-1810151 horloge mecanique avec r&eacute;serve de marche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 181.25000000, NULL, 181.25000000, 36.25000000, 0.00000000, 0.00000000, 217.50000000, 0, NULL, NULL, 0, 101.25000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 181.25000000, 181.25000000, 36.25000000, 217.50000000),
(11034, 1804, NULL, NULL, NULL, 'SCH3XB4BD21- harmony xb4 - bouton tournant 2 position fixe 1F diam 22 noir', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(11035, 1804, NULL, NULL, NULL, 'F50053155 - u1000ro2v cu 5g 2.5mm', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 4.50000000, NULL, 67.50000000, 13.50000000, 0.00000000, 0.00000000, 81.00000000, 0, NULL, NULL, 0, 2.09000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 67.50000000, 13.50000000, 81.00000000),
(11036, 1804, NULL, NULL, NULL, 'SCHXB5AK123M5- harmony bouton tournant lumineux vert diam 22 &agrave; manette 2 positions 240V 1o+1f', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 37.68000000, NULL, 37.68000000, 7.54000000, 0.00000000, 0.00000000, 45.22000000, 0, NULL, NULL, 0, 26.58000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 37.68000000, 37.68000000, 7.54000000, 45.22000000),
(11037, 1804, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11038, 1804, NULL, NULL, NULL, 'EXT', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11039, 1804, NULL, NULL, NULL, 'ARI-50839 - projecteur leds twister 3 100W /3000K', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 189.00000000, NULL, 378.00000000, 75.60000000, 0.00000000, 0.00000000, 453.60000000, 0, NULL, NULL, 0, 125.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 189.00000000, 378.00000000, 75.60000000, 453.60000000),
(11040, 1804, NULL, NULL, NULL, 'leg-092001- boite de derivation plexo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.00000000, NULL, 3.00000000, 0.60000000, 0.00000000, 0.00000000, 3.60000000, 0, NULL, NULL, 0, 2.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.00000000, 3.00000000, 0.60000000, 3.60000000),
(11041, 1804, NULL, NULL, NULL, 'leg092014- boite derivation 80x80 plexo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.00000000, NULL, 4.00000000, 0.80000000, 0.00000000, 0.00000000, 4.80000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.00000000, 4.00000000, 0.80000000, 4.80000000),
(11042, 1804, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11043, 1804, NULL, NULL, NULL, 'local peinture', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11044, 1804, NULL, NULL, NULL, 'TRI 7077440 - reglette led 840 ETPC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.00000000, NULL, 78.00000000, 15.60000000, 0.00000000, 0.00000000, 93.60000000, 0, NULL, NULL, 0, 60.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.00000000, 78.00000000, 15.60000000, 93.60000000),
(11045, 1804, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11046, 1804, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 29, 0, 0, NULL, 63.84000000, NULL, 1851.36000000, 370.27000000, 0.00000000, 0.00000000, 2221.63000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 1851.36000000, 370.27000000, 2221.63000000),
(11047, 1804, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 100, 0, 0, NULL, 0.97000000, NULL, 97.00000000, 19.40000000, 0.00000000, 0.00000000, 116.40000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 97.00000000, 19.40000000, 116.40000000),
(11048, 1805, NULL, 1586907, NULL, 'bouteille 10*54 eau chaude vinylester avec embase', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 341.21000000, NULL, 682.42000000, 136.48000000, 0.00000000, 0.00000000, 818.90000000, 0, NULL, NULL, 0, 256.55000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 341.21000000, 682.42000000, 136.48000000, 818.90000000),
(11049, 1805, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 1, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.00000000, 40.00000000, 8.00000000, 48.00000000),
(11050, 1806, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11051, 1806, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(11052, 1806, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(11053, 1806, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(11054, 1806, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(11055, 1806, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(11056, 1806, NULL, 1222594, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(11057, 1807, NULL, 1223816, NULL, '2400w 230v 420m3/h<br />\r\n62litres 17.5kg<br />\r\ncuve inox', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 429.00000000, NULL, 429.00000000, 85.80000000, 0.00000000, 0.00000000, 514.80000000, 0, NULL, NULL, 0, 343.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 429.00000000, 429.00000000, 85.80000000, 514.80000000),
(11058, 1808, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.00000000, NULL, 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.00000000, 110.00000000, 22.00000000, 132.00000000),
(11059, 1808, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(11060, 1808, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 0.97000000, NULL, 23.28000000, 4.66000000, 0.00000000, 0.00000000, 27.94000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 23.28000000, 4.66000000, 27.94000000),
(11061, 1809, NULL, 1178170, NULL, 'AIR END EXTERNAL EK140NK', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5642.67000000, NULL, 5642.67000000, 1128.53000000, 0.00000000, 0.00000000, 6771.20000000, 0, NULL, NULL, 0, 3625.85000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5642.67000000, 5642.67000000, 1128.53000000, 6771.20000000),
(11062, 1809, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1419.54000000, NULL, 1419.54000000, 283.91000000, 0.00000000, 0.00000000, 1703.45000000, 0, NULL, NULL, 0, 1000.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1419.54000000, 1419.54000000, 283.91000000, 1703.45000000),
(11063, 1809, NULL, 1176132, NULL, 'SPIDER ROTEX 55 COUPLING red 98ShA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 115.93000000, NULL, 115.93000000, 23.19000000, 0.00000000, 0.00000000, 139.12000000, 0, NULL, NULL, 0, 54.36000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 115.93000000, 115.93000000, 23.19000000, 139.12000000),
(11064, 1809, NULL, 1305512, NULL, 'MINOR KIT D  L30-L50 - idem ck4140-2', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 697.94000000, NULL, 558.35000000, 111.67000000, 0.00000000, 0.00000000, 670.02000000, 0, NULL, NULL, 0, 259.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 697.94000000, 558.35000000, 111.67000000, 670.02000000),
(11065, 1809, NULL, 1305490, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 457.80000000, NULL, 366.24000000, 73.25000000, 0.00000000, 0.00000000, 439.49000000, 0, NULL, NULL, 0, 170.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 457.80000000, 366.24000000, 73.25000000, 439.49000000),
(11066, 1809, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 406.76000000, NULL, 325.41000000, 65.08000000, 0.00000000, 0.00000000, 390.49000000, 0, NULL, NULL, 0, 128.95000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 406.76000000, 325.41000000, 65.08000000, 390.49000000),
(11067, 1809, NULL, 1177957, NULL, 'CONTROL SET            55 °C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 583.19000000, NULL, 583.19000000, 116.64000000, 0.00000000, 0.00000000, 699.83000000, 0, NULL, NULL, 0, 271.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 583.19000000, 583.19000000, 116.64000000, 699.83000000),
(11068, 1809, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.68000000, NULL, 23.68000000, 4.74000000, 0.00000000, 0.00000000, 28.42000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.68000000, 23.68000000, 4.74000000, 28.42000000),
(11069, 1810, NULL, NULL, '1 Compresseur GA15SP :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11070, 1810, NULL, 951752, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.82000000, NULL, 13.82000000, 2.76000000, 0.00000000, 0.00000000, 16.58000000, 0, NULL, NULL, 0, 6.71000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.82000000, 13.82000000, 2.76000000, 16.58000000),
(11071, 1810, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.67000000, NULL, 24.67000000, 4.93000000, 0.00000000, 0.00000000, 29.60000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 24.67000000, 4.93000000, 29.60000000),
(11072, 1810, NULL, 1231593, NULL, 'kit 3 courroies', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 186.13000000, NULL, 186.13000000, 37.23000000, 0.00000000, 0.00000000, 223.36000000, 0, NULL, NULL, 0, 123.18000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 186.13000000, 186.13000000, 37.23000000, 223.36000000),
(11073, 1810, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11074, 1810, NULL, NULL, '3 filtre a air sortie cuve', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11075, 1810, NULL, 1180664, NULL, 'si34251', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 178.20000000, NULL, 178.20000000, 35.64000000, 0.00000000, 0.00000000, 213.84000000, 0, NULL, NULL, 0, 28.44000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 178.20000000, 178.20000000, 35.64000000, 213.84000000),
(11076, 1810, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11077, 1810, NULL, 1231603, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 57.62000000, NULL, 115.24000000, 23.05000000, 0.00000000, 0.00000000, 138.29000000, 0, NULL, NULL, 0, 44.33000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.62000000, 115.24000000, 23.05000000, 138.29000000),
(11078, 1810, NULL, 1231604, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 52.24000000, NULL, 104.48000000, 20.90000000, 0.00000000, 0.00000000, 125.38000000, 0, NULL, NULL, 0, 40.19000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.24000000, 104.48000000, 20.90000000, 125.38000000),
(11079, 1810, NULL, 1231605, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.62000000, NULL, 57.62000000, 11.52000000, 0.00000000, 0.00000000, 69.14000000, 0, NULL, NULL, 0, 44.33000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.62000000, 57.62000000, 11.52000000, 69.14000000),
(11080, 1810, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11081, 1810, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11082, 1810, NULL, NULL, '5 huile pour compresseurs :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11083, 1810, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(11084, 1810, NULL, 1231649, NULL, 'huile synthétique équivalent sullube 32 - 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 294.00000000, NULL, 294.00000000, 58.80000000, 0.00000000, 0.00000000, 352.80000000, 0, NULL, NULL, 0, 225.50000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 294.00000000, 294.00000000, 58.80000000, 352.80000000),
(11085, 1810, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11086, 1810, NULL, NULL, '6 Filtre air sortie compresseur compair', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(11087, 1810, NULL, 1231607, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 26.89000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.00000000, 40.00000000, 8.00000000, 48.00000000),
(11088, 1810, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11089, 1810, NULL, NULL, '7 Jeu de 3 courroies compresseur compair', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11090, 1810, NULL, 1175968, NULL, 'V-BELT     SET = 3', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 74.00000000, NULL, 74.00000000, 14.80000000, 0.00000000, 0.00000000, 88.80000000, 0, NULL, NULL, 0, 43.00000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 74.00000000, 74.00000000, 14.80000000, 88.80000000),
(11091, 1810, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11092, 1810, NULL, 1221779, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.12000000, NULL, 20.12000000, 4.02000000, 0.00000000, 0.00000000, 24.14000000, 0, NULL, NULL, 0, 10.06000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.12000000, 20.12000000, 4.02000000, 24.14000000),
(11093, 1810, NULL, 954898, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 157.54000000, NULL, 157.54000000, 31.51000000, 0.00000000, 0.00000000, 189.05000000, 0, NULL, NULL, 0, 78.74000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 157.54000000, 157.54000000, 31.51000000, 189.05000000),
(11094, 1810, NULL, 1221739, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.98000000, NULL, 78.98000000, 15.80000000, 0.00000000, 0.00000000, 94.78000000, 0, NULL, NULL, 0, 48.40000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.98000000, 78.98000000, 15.80000000, 94.78000000),
(11095, 1811, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 399.00000000, NULL, 399.00000000, 79.80000000, 0.00000000, 0.00000000, 478.80000000, 0, NULL, NULL, 0, 300.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 399.00000000, 399.00000000, 79.80000000, 478.80000000),
(11096, 1811, NULL, 1218019, NULL, 'SOUPAPE 2800/D14 3/4\" 10.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 56.40000000, NULL, 56.40000000, 11.28000000, 0.00000000, 0.00000000, 67.68000000, 0, NULL, NULL, 0, 27.38000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.40000000, 56.40000000, 11.28000000, 67.68000000),
(11097, 1811, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.30000000, NULL, 10.30000000, 2.06000000, 0.00000000, 0.00000000, 12.36000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 10.30000000, 2.06000000, 12.36000000),
(11099, 1812, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 418.00000000, NULL, 334.40000000, 66.88000000, 0.00000000, 0.00000000, 401.28000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 334.40000000, 66.88000000, 401.28000000),
(11100, 1812, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11102, 1812, NULL, 952691, NULL, 'cartouche pour filtre reseau 930RB', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 285.28000000, NULL, 285.28000000, 57.06000000, 0.00000000, 0.00000000, 342.34000000, 0, NULL, NULL, 0, 138.49000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 285.28000000, 285.28000000, 57.06000000, 342.34000000),
(11103, 1812, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 305.35000000, NULL, 610.70000000, 122.14000000, 0.00000000, 0.00000000, 732.84000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 610.70000000, 122.14000000, 732.84000000),
(11104, 1812, NULL, 1180029, NULL, 'MAINTENANCE KIT HYDROVANE 501/502', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 115.00000000, NULL, 230.00000000, 46.00000000, 0.00000000, 0.00000000, 276.00000000, 0, NULL, NULL, 0, 69.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 115.00000000, 230.00000000, 46.00000000, 276.00000000),
(11105, 1812, NULL, 1231045, NULL, '2000HR 5 L VANE OIL', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 116.00000000, NULL, 116.00000000, 23.20000000, 0.00000000, 0.00000000, 139.20000000, 1, NULL, NULL, 0, 69.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 116.00000000, 116.00000000, 23.20000000, 139.20000000),
(11106, 1812, NULL, 955157, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.30000000, NULL, 96.30000000, 19.26000000, 0.00000000, 0.00000000, 115.56000000, 0, NULL, NULL, 0, 46.75000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.30000000, 96.30000000, 19.26000000, 115.56000000),
(11107, 1812, NULL, 955160, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.25000000, NULL, 25.25000000, 5.05000000, 0.00000000, 0.00000000, 30.30000000, 0, NULL, NULL, 0, 12.26000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.25000000, 25.25000000, 5.05000000, 30.30000000),
(11108, 1812, NULL, 1222640, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(11109, 1813, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11110, 1813, NULL, 1230990, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 407.10000000, NULL, 407.10000000, 81.42000000, 0.00000000, 0.00000000, 488.52000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.10000000, 407.10000000, 81.42000000, 488.52000000),
(11111, 1813, NULL, 953186, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 191.25000000, NULL, 191.25000000, 38.25000000, 0.00000000, 0.00000000, 229.50000000, 0, NULL, NULL, 0, 92.84000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 191.25000000, 191.25000000, 38.25000000, 229.50000000),
(11112, 1813, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(11113, 1813, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(11114, 1813, NULL, 1230993, NULL, 'SEPARATOR KIT DS  L30 RS-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 642.00000000, NULL, 642.00000000, 128.40000000, 0.00000000, 0.00000000, 770.40000000, 0, NULL, NULL, 0, 385.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 642.00000000, 642.00000000, 128.40000000, 770.40000000),
(11115, 1813, NULL, 1213316, NULL, 'CARTOUCHE E100 1\"1/2 FILTRE S-AIR XAC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(11116, 1813, NULL, 1213315, NULL, 'CARTOUCHE E100 1\"1/2 FILTRE S-AIR XA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(11117, 1813, NULL, 1189205, NULL, 'huile alimentaire 4000h pour vis bd 20l', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 861.45000000, NULL, 861.45000000, 172.29000000, 0.00000000, 0.00000000, 1033.74000000, 0, NULL, NULL, 0, 662.66000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 861.45000000, 861.45000000, 172.29000000, 1033.74000000),
(11118, 1814, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(11119, 1814, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11120, 1814, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(11121, 1814, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(11122, 1814, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(11123, 1814, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(11124, 1815, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.98000000, NULL, 109.98000000, 22.00000000, 0.00000000, 0.00000000, 131.98000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.98000000, 109.98000000, 22.00000000, 131.98000000),
(11125, 1815, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 279.63000000, NULL, 279.63000000, 55.93000000, 0.00000000, 0.00000000, 335.56000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 279.63000000, 279.63000000, 55.93000000, 335.56000000),
(11126, 1815, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.21000000, NULL, 4.21000000, 0.84000000, 0.00000000, 0.00000000, 5.05000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.21000000, 4.21000000, 0.84000000, 5.05000000),
(11127, 1815, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 71.96000000, NULL, 71.96000000, 14.39000000, 0.00000000, 0.00000000, 86.35000000, 1, NULL, NULL, 0, 46.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 71.96000000, 71.96000000, 14.39000000, 86.35000000),
(11128, 1815, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 134.85000000, NULL, 134.85000000, 26.97000000, 0.00000000, 0.00000000, 161.82000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 134.85000000, 134.85000000, 26.97000000, 161.82000000),
(11129, 1815, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 98.74000000, NULL, 197.48000000, 39.50000000, 0.00000000, 0.00000000, 236.98000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 98.74000000, 197.48000000, 39.50000000, 236.98000000),
(11130, 1815, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 98.74000000, NULL, 98.74000000, 19.75000000, 0.00000000, 0.00000000, 118.49000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 98.74000000, 98.74000000, 19.75000000, 118.49000000),
(11131, 1815, NULL, 1231755, NULL, 'cartouche filtre reseau 300 charbon actif', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 98.74000000, NULL, 98.74000000, 19.75000000, 0.00000000, 0.00000000, 118.49000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 98.74000000, 98.74000000, 19.75000000, 118.49000000),
(11132, 1815, NULL, 1179649, NULL, 'SEPARATOR KIT D             L15RS -L22RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 276.60000000, NULL, 276.60000000, 55.32000000, 0.00000000, 0.00000000, 331.92000000, 0, NULL, NULL, 0, 284.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 276.60000000, 276.60000000, 55.32000000, 331.92000000),
(11133, 1815, NULL, 1305285, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 225.15000000, NULL, 225.15000000, 45.03000000, 0.00000000, 0.00000000, 270.18000000, 0, NULL, NULL, 0, 146.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 225.15000000, 225.15000000, 45.03000000, 270.18000000),
(11134, 1816, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 7.39000000, NULL, 22.17000000, 4.43000000, 0.00000000, 0.00000000, 26.60000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 22.17000000, 4.43000000, 26.60000000),
(11135, 1816, NULL, 966956, NULL, 'Croix égale FFFF F1/2', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 8.15000000, NULL, 24.45000000, 4.89000000, 0.00000000, 0.00000000, 29.34000000, 0, NULL, NULL, 0, 4.08000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.15000000, 24.45000000, 4.89000000, 29.34000000),
(11136, 1816, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.40000000, NULL, 8.40000000, 1.68000000, 0.00000000, 0.00000000, 10.08000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.40000000, 8.40000000, 1.68000000, 10.08000000),
(11137, 1816, NULL, 966892, NULL, 'Bouchon M. cylindrique G1/2', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 0.85000000, NULL, 2.55000000, 0.51000000, 0.00000000, 0.00000000, 3.06000000, 0, NULL, NULL, 0, 0.43000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.85000000, 2.55000000, 0.51000000, 3.06000000),
(11138, 1816, NULL, 968362, NULL, 'Enrouleur fermé ABS Ø10 20m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 230.00000000, NULL, 230.00000000, 46.00000000, 0.00000000, 0.00000000, 276.00000000, 0, NULL, NULL, 0, 126.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 230.00000000, 230.00000000, 46.00000000, 276.00000000),
(11139, 1816, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 24.97000000, NULL, 74.91000000, 14.98000000, 0.00000000, 0.00000000, 89.89000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.97000000, 74.91000000, 14.98000000, 89.89000000),
(11140, 1816, NULL, 1221396, NULL, 'PONCEUSE ORBITALE 10mm  8951000070', 20.000, '', 0.000, '0', 0.000, '0', 1, 35, 0, NULL, 315.00000000, NULL, 204.75000000, 40.95000000, 0.00000000, 0.00000000, 245.70000000, 0, NULL, NULL, 0, 144.90000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 315.00000000, 204.75000000, 40.95000000, 245.70000000),
(11141, 1816, NULL, 967554, NULL, 'Ensemble soufflage 6m G1/4 F/T', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 35.10000000, NULL, 105.30000000, 21.06000000, 0.00000000, 0.00000000, 126.36000000, 0, NULL, NULL, 0, 19.30500000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.10000000, 105.30000000, 21.06000000, 126.36000000),
(11142, 1817, NULL, 971001, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.30000000, NULL, 11.50000000, 2.30000000, 0.00000000, 0.00000000, 13.80000000, 0, NULL, NULL, 0, 1.27000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.30000000, 11.50000000, 2.30000000, 13.80000000),
(11143, 1817, NULL, 966811, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 0.65000000, NULL, 3.25000000, 0.65000000, 0.00000000, 0.00000000, 3.90000000, 0, NULL, NULL, 0, 0.33000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.65000000, 3.25000000, 0.65000000, 3.90000000),
(11144, 1817, NULL, 966729, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 0.95000000, NULL, 1.90000000, 0.38000000, 0.00000000, 0.00000000, 2.28000000, 0, NULL, NULL, 0, 0.48000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 1.90000000, 0.38000000, 2.28000000),
(11145, 1817, NULL, 971583, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.97000000, NULL, 24.97000000, 4.99000000, 0.00000000, 0.00000000, 29.96000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.97000000, 24.97000000, 4.99000000, 29.96000000),
(11146, 1817, NULL, 966730, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 0.85000000, NULL, 1.70000000, 0.34000000, 0.00000000, 0.00000000, 2.04000000, 0, NULL, NULL, 0, 0.43000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.85000000, 1.70000000, 0.34000000, 2.04000000),
(11147, 1817, NULL, 966829, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.40000000, NULL, 2.80000000, 0.56000000, 0.00000000, 0.00000000, 3.36000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.40000000, 2.80000000, 0.56000000, 3.36000000),
(11148, 1817, NULL, 967553, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 29.65000000, NULL, 29.65000000, 5.93000000, 0.00000000, 0.00000000, 35.58000000, 0, NULL, NULL, 0, 16.30750000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.65000000, 29.65000000, 5.93000000, 35.58000000),
(11149, 1817, NULL, 1245850, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 45.00000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 36.08000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.00000000, 45.00000000, 9.00000000, 54.00000000),
(11150, 1818, NULL, NULL, NULL, 'Acompte (6 230,00 &euro;) - CO2001-1276', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6230.00000000, NULL, 6230.00000000, 1246.00000000, 0.00000000, 0.00000000, 7476.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6230.00000000, 6230.00000000, 1246.00000000, 7476.00000000),
(11151, 1819, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(11152, 1819, NULL, 1188156, NULL, 'compresseur apiston 43m3/h 7,5ch 10 bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1715.00000000, NULL, 1715.00000000, 343.00000000, 0.00000000, 0.00000000, 2058.00000000, 0, NULL, NULL, 0, 1319.22000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1715.00000000, 1715.00000000, 343.00000000, 2058.00000000),
(11153, 1820, NULL, NULL, '1 Mise en place , raccordement et recuperation du compresseur de pret', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11154, 1820, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(11155, 1820, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 108, 0, 0, NULL, 0.97000000, NULL, 104.76000000, 20.95000000, 0.00000000, 0.00000000, 125.71000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 104.76000000, 20.95000000, 125.71000000),
(11156, 1820, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11157, 1820, NULL, NULL, '2 Location d\'un compresseur : prix location hebdomadaire', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11158, 1820, NULL, NULL, NULL, 'location compresseur 5kw', 20.000, '', 0.000, '0', 0.000, '0', 14, 0, 0, NULL, 50.00000000, NULL, 700.00000000, 140.00000000, 0.00000000, 0.00000000, 840.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.00000000, 700.00000000, 140.00000000, 840.00000000),
(11159, 1820, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11160, 1821, NULL, 953515, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.09000000, NULL, 100.09000000, 20.02000000, 0.00000000, 0.00000000, 120.11000000, 0, NULL, NULL, 0, 58.96000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.09000000, 100.09000000, 20.02000000, 120.11000000),
(11161, 1821, NULL, 953424, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.09000000, NULL, 100.09000000, 20.02000000, 0.00000000, 0.00000000, 120.11000000, 0, NULL, NULL, 0, 58.96000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.09000000, 100.09000000, 20.02000000, 120.11000000),
(11162, 1821, NULL, 955062, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 133.93000000, NULL, 133.93000000, 26.79000000, 0.00000000, 0.00000000, 160.72000000, 0, NULL, NULL, 0, 78.89000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 133.93000000, 133.93000000, 26.79000000, 160.72000000),
(11163, 1821, NULL, 952194, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.16000000, NULL, 30.16000000, 6.03000000, 0.00000000, 0.00000000, 36.19000000, 0, NULL, NULL, 0, 17.77000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.16000000, 30.16000000, 6.03000000, 36.19000000),
(11164, 1821, NULL, 954042, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.02000000, NULL, 14.02000000, 2.80000000, 0.00000000, 0.00000000, 16.82000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.02000000, 14.02000000, 2.80000000, 16.82000000),
(11165, 1821, NULL, 954042, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.02000000, NULL, 14.02000000, 2.80000000, 0.00000000, 0.00000000, 16.82000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.02000000, 14.02000000, 2.80000000, 16.82000000),
(11166, 1821, NULL, 952194, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.16000000, NULL, 30.16000000, 6.03000000, 0.00000000, 0.00000000, 36.19000000, 0, NULL, NULL, 0, 17.77000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.16000000, 30.16000000, 6.03000000, 36.19000000),
(11167, 1821, NULL, 955060, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 106.14000000, NULL, 106.14000000, 21.23000000, 0.00000000, 0.00000000, 127.37000000, 0, NULL, NULL, 0, 62.52000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 106.14000000, 106.14000000, 21.23000000, 127.37000000),
(11168, 1821, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.25000000, NULL, 91.25000000, 18.25000000, 0.00000000, 0.00000000, 109.50000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.25000000, 91.25000000, 18.25000000, 109.50000000),
(11169, 1821, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(11170, 1822, NULL, 944304, NULL, '7.5B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11980.03000000, NULL, 11980.03000000, 2396.01000000, 0.00000000, 0.00000000, 14376.04000000, 0, NULL, NULL, 0, 9660.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11980.03000000, 11980.03000000, 2396.01000000, 14376.04000000),
(11171, 1822, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 131.65000000, NULL, 131.65000000, 26.33000000, 0.00000000, 0.00000000, 157.98000000, 0, NULL, NULL, 0, 198.30000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 131.65000000, 131.65000000, 26.33000000, 157.98000000),
(11172, 1822, NULL, 952823, NULL, 'secheur refrigeration 360m3/h racc1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3242.60000000, NULL, 3242.60000000, 648.52000000, 0.00000000, 0.00000000, 3891.12000000, 0, NULL, NULL, 0, 1601.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3242.60000000, 3242.60000000, 648.52000000, 3891.12000000),
(11173, 1822, NULL, 952648, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 369.25000000, NULL, 369.25000000, 73.85000000, 0.00000000, 0.00000000, 443.10000000, 0, NULL, NULL, 0, 177.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 369.25000000, 369.25000000, 73.85000000, 443.10000000),
(11174, 1822, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 9.52000000, NULL, 57.12000000, 11.42000000, 0.00000000, 0.00000000, 68.54000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.52000000, 57.12000000, 11.42000000, 68.54000000),
(11175, 1822, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 5.02000000, NULL, 30.12000000, 6.02000000, 0.00000000, 0.00000000, 36.14000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.02000000, 30.12000000, 6.02000000, 36.14000000),
(11176, 1822, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 10.78000000, NULL, 215.60000000, 43.12000000, 0.00000000, 0.00000000, 258.72000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.78000000, 215.60000000, 43.12000000, 258.72000000),
(11177, 1822, NULL, 1079818, NULL, 'Coude à 45° diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 10.06000000, NULL, 40.24000000, 8.05000000, 0.00000000, 0.00000000, 48.29000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.06000000, 40.24000000, 8.05000000, 48.29000000),
(11178, 1822, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 13.04000000, NULL, 65.20000000, 13.04000000, 0.00000000, 0.00000000, 78.24000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.04000000, 65.20000000, 13.04000000, 78.24000000),
(11179, 1822, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 27.59000000, NULL, 220.72000000, 44.14000000, 0.00000000, 0.00000000, 264.86000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.59000000, 220.72000000, 44.14000000, 264.86000000),
(11180, 1822, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 12.67000000, NULL, 101.36000000, 20.27000000, 0.00000000, 0.00000000, 121.63000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.67000000, 101.36000000, 20.27000000, 121.63000000),
(11181, 1822, NULL, 1079934, NULL, 'Raccord mixte mâle diam. ext. 35.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.64000000, NULL, 29.28000000, 5.86000000, 0.00000000, 0.00000000, 35.14000000, 0, NULL, NULL, 0, 10.18000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.64000000, 29.28000000, 5.86000000, 35.14000000),
(11182, 1822, NULL, 1079932, NULL, 'Raccord mixte mâle diam. ext. 35. 1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.98000000, NULL, 10.98000000, 2.20000000, 0.00000000, 0.00000000, 13.18000000, 0, NULL, NULL, 0, 7.63000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.98000000, 10.98000000, 2.20000000, 13.18000000),
(11183, 1822, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.21000000, NULL, 6.05000000, 1.21000000, 0.00000000, 0.00000000, 7.26000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.21000000, 6.05000000, 1.21000000, 7.26000000),
(11184, 1822, NULL, 966507, NULL, 'Vanne F/F G1\"1/4 PN30 DN32', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 26.65000000, NULL, 159.90000000, 31.98000000, 0.00000000, 0.00000000, 191.88000000, 0, NULL, NULL, 0, 13.16000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.65000000, 159.90000000, 31.98000000, 191.88000000),
(11185, 1822, NULL, 966508, NULL, 'Vanne F/F G1\"1/2 PN30 DN40', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 39.65000000, NULL, 79.30000000, 15.86000000, 0.00000000, 0.00000000, 95.16000000, 0, NULL, NULL, 0, 19.58000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.65000000, 79.30000000, 15.86000000, 95.16000000),
(11186, 1822, NULL, 1190563, NULL, 'Gaignage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4172.25000000, NULL, 4172.25000000, 834.45000000, 0.00000000, 0.00000000, 5006.70000000, 0, NULL, NULL, 0, 1500.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4172.25000000, 4172.25000000, 834.45000000, 5006.70000000),
(11187, 1822, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3189.96000000, NULL, 3189.96000000, 637.99000000, 0.00000000, 0.00000000, 3827.95000000, 0, NULL, NULL, 0, 3600.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3189.96000000, 3189.96000000, 637.99000000, 3827.95000000),
(11188, 1822, NULL, 958253, NULL, 'ÖWAMAT 12 oil/water separatot without pre-separation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 898.44000000, NULL, 898.44000000, 179.69000000, 0.00000000, 0.00000000, 1078.13000000, 0, NULL, NULL, 0, 479.26000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 898.44000000, 898.44000000, 179.69000000, 1078.13000000),
(11189, 1823, NULL, 1190374, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 221.10000000, NULL, 221.10000000, 44.22000000, 0.00000000, 0.00000000, 265.32000000, 0, NULL, NULL, 0, 199.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 221.10000000, 221.10000000, 44.22000000, 265.32000000),
(11190, 1823, NULL, NULL, NULL, 'boite de derivation 100x100', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(11191, 1823, NULL, NULL, NULL, 'wago', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 0.75000000, NULL, 2.25000000, 0.45000000, 0.00000000, 0.00000000, 2.70000000, 0, NULL, NULL, 0, 0.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.75000000, 2.25000000, 0.45000000, 2.70000000),
(11192, 1824, NULL, 1179622, NULL, 'MINOR KIT C L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 231.18000000, NULL, 231.18000000, 46.23000000, 0.00000000, 0.00000000, 277.41000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 231.18000000, 231.18000000, 46.23000000, 277.41000000),
(11193, 1824, NULL, 1189212, NULL, 'Huile compresseur &agrave; vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 231.18000000, NULL, 231.18000000, 46.23000000, 0.00000000, 0.00000000, 277.41000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 231.18000000, 231.18000000, 46.23000000, 277.41000000),
(11194, 1824, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 231.18000000, NULL, 231.18000000, 46.23000000, 0.00000000, 0.00000000, 277.41000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 231.18000000, 231.18000000, 46.23000000, 277.41000000),
(11195, 1824, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 231.18000000, NULL, 231.18000000, 46.23000000, 0.00000000, 0.00000000, 277.41000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 231.18000000, 231.18000000, 46.23000000, 277.41000000),
(11196, 1824, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 231.18000000, NULL, 231.18000000, 46.23000000, 0.00000000, 0.00000000, 277.41000000, 0, NULL, NULL, 0, 138.96000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 231.18000000, 231.18000000, 46.23000000, 277.41000000),
(11197, 1825, NULL, 969825, NULL, 'Té égal Ø32mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.68000000, NULL, 13.36000000, 2.67000000, 0.00000000, 0.00000000, 16.03000000, 0, NULL, NULL, 0, 4.00800000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.68000000, 13.36000000, 2.67000000, 16.03000000),
(11198, 1825, NULL, 969798, NULL, 'Manchon égal Ø32mm', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 3.68000000, NULL, 22.08000000, 4.42000000, 0.00000000, 0.00000000, 26.50000000, 0, NULL, NULL, 0, 2.20800000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.68000000, 22.08000000, 4.42000000, 26.50000000),
(11199, 1825, NULL, 969824, NULL, 'Té égal Ø25mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.66000000, NULL, 18.64000000, 3.73000000, 0.00000000, 0.00000000, 22.37000000, 0, NULL, NULL, 0, 2.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.66000000, 18.64000000, 3.73000000, 22.37000000),
(11200, 1825, NULL, 969863, NULL, 'Réduction simple Ø25x20mm', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.01000000, NULL, 10.05000000, 2.01000000, 0.00000000, 0.00000000, 12.06000000, 0, NULL, NULL, 0, 1.21000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.01000000, 10.05000000, 2.01000000, 12.06000000),
(11201, 1826, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(11202, 1826, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 5, 0, NULL, 358.60000000, NULL, 340.67000000, 68.13000000, 0.00000000, 0.00000000, 408.80000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 340.67000000, 68.13000000, 408.80000000),
(11203, 1826, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(11204, 1826, NULL, 952680, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(11205, 1826, NULL, 952681, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(11206, 1826, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11207, 1827, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 32, 0, 0, NULL, 0.97000000, NULL, 31.04000000, 6.21000000, 0.00000000, 0.00000000, 37.25000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 31.04000000, 6.21000000, 37.25000000),
(11208, 1827, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(11209, 1828, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(11210, 1828, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11211, 1828, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.62000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(11212, 1828, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 44.29000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(11213, 1828, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 8.24000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(11214, 1828, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(11215, 1828, NULL, 1221736, NULL, 'FILTRE SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.80000000, NULL, 59.80000000, 11.96000000, 0.00000000, 0.00000000, 71.76000000, 0, NULL, NULL, 0, 29.03000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.80000000, 59.80000000, 11.96000000, 71.76000000),
(11216, 1829, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(11217, 1829, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 243.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(11218, 1830, NULL, NULL, NULL, 'ws3008v', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11219, 1830, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(11220, 1830, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11221, 1830, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(11222, 1830, NULL, 1221771, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.34000000, NULL, 48.34000000, 9.67000000, 0.00000000, 0.00000000, 58.01000000, 0, NULL, NULL, 0, 24.17000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.34000000, 48.34000000, 9.67000000, 58.01000000),
(11223, 1830, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11224, 1830, NULL, NULL, NULL, 'l26rs', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11225, 1830, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(11226, 1830, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11227, 1830, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(11228, 1830, NULL, 1305511, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1020.00000000, NULL, 1020.00000000, 204.00000000, 0.00000000, 0.00000000, 1224.00000000, 0, NULL, NULL, 0, 449.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1020.00000000, 1020.00000000, 204.00000000, 1224.00000000),
(11229, 1830, NULL, 1305287, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 468.00000000, NULL, 468.00000000, 93.60000000, 0.00000000, 0.00000000, 561.60000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 468.00000000, 468.00000000, 93.60000000, 561.60000000),
(11230, 1830, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11231, 1831, NULL, 1307773, NULL, 'VLV,BLWDN 1/4 NPT HI PRS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.00000000, NULL, 117.00000000, 23.40000000, 0.00000000, 0.00000000, 140.40000000, 0, NULL, NULL, 0, 90.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.00000000, 117.00000000, 23.40000000, 140.40000000),
(11232, 1831, NULL, 1586938, NULL, 'valve poressure mini 30 37 45/5', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.97000000, NULL, 282.97000000, 56.59000000, 0.00000000, 0.00000000, 339.56000000, 0, NULL, NULL, 0, 216.90000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.97000000, 282.97000000, 56.59000000, 339.56000000),
(11233, 1831, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement<br />\r\n1/2 journee &agrave; 1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 390.00000000, NULL, 390.00000000, 78.00000000, 0.00000000, 0.00000000, 468.00000000, 0, NULL, NULL, 0, 300.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 390.00000000, 390.00000000, 78.00000000, 468.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(11234, 1832, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 42, 0, 0, NULL, 0.97000000, NULL, 40.74000000, 8.15000000, 0.00000000, 0.00000000, 48.89000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 40.74000000, 8.15000000, 48.89000000),
(11235, 1832, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(11236, 1832, NULL, 969249, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(11237, 1833, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 408.82000000, NULL, 408.82000000, 81.76000000, 0.00000000, 0.00000000, 490.58000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 408.82000000, 408.82000000, 81.76000000, 490.58000000),
(11238, 1833, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.59000000, NULL, 5.59000000, 1.12000000, 0.00000000, 0.00000000, 6.71000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.59000000, 5.59000000, 1.12000000, 6.71000000),
(11239, 1833, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.45000000, NULL, 28.45000000, 5.69000000, 0.00000000, 0.00000000, 34.14000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.45000000, 28.45000000, 5.69000000, 34.14000000),
(11240, 1833, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.26000000, NULL, 16.26000000, 3.25000000, 0.00000000, 0.00000000, 19.51000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.26000000, 16.26000000, 3.25000000, 19.51000000),
(11241, 1833, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.80000000, NULL, 114.80000000, 22.96000000, 0.00000000, 0.00000000, 137.76000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.80000000, 114.80000000, 22.96000000, 137.76000000),
(11242, 1833, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.62000000, NULL, 39.62000000, 7.92000000, 0.00000000, 0.00000000, 47.54000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.62000000, 39.62000000, 7.92000000, 47.54000000),
(11243, 1833, NULL, 1231770, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 20.32000000, NULL, 40.64000000, 8.13000000, 0.00000000, 0.00000000, 48.77000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.32000000, 40.64000000, 8.13000000, 48.77000000),
(11244, 1833, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 107.35000000, NULL, 107.35000000, 21.47000000, 0.00000000, 0.00000000, 128.82000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 107.35000000, 107.35000000, 21.47000000, 128.82000000),
(11245, 1834, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(11246, 1834, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11247, 1834, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(11248, 1834, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(11249, 1834, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.00000000, NULL, 113.00000000, 22.60000000, 0.00000000, 0.00000000, 135.60000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.00000000, 113.00000000, 22.60000000, 135.60000000),
(11250, 1834, NULL, 1231786, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.00000000, NULL, 60.00000000, 12.00000000, 0.00000000, 0.00000000, 72.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 60.00000000, 12.00000000, 72.00000000),
(11251, 1834, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(11252, 1835, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(11253, 1836, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(11254, 1836, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11255, 1836, NULL, 954039, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.57000000, NULL, 11.57000000, 2.31000000, 0.00000000, 0.00000000, 13.88000000, 0, NULL, NULL, 0, 5.62000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.57000000, 11.57000000, 2.31000000, 13.88000000),
(11256, 1836, NULL, 952144, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.40000000, NULL, 15.40000000, 3.08000000, 0.00000000, 0.00000000, 18.48000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.40000000, 15.40000000, 3.08000000, 18.48000000),
(11257, 1836, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(11258, 1836, NULL, 1223571, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(11259, 1837, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.97000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 58.20000000, 11.64000000, 69.84000000),
(11260, 1837, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(11261, 1837, NULL, 1176214, NULL, 'SPIDER ROTEX 42 COUPLING', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 66.00000000, NULL, 66.00000000, 13.20000000, 0.00000000, 0.00000000, 79.20000000, 0, NULL, NULL, 0, 37.83000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 66.00000000, 66.00000000, 13.20000000, 79.20000000),
(11262, 1838, NULL, 972027, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 12.50000000, NULL, 87.50000000, 17.50000000, 0.00000000, 0.00000000, 105.00000000, 0, NULL, NULL, 0, 9.40000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.50000000, 87.50000000, 17.50000000, 105.00000000),
(11263, 1838, NULL, 967771, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 0.02, 0, 0, NULL, 44.80000000, NULL, 0.90000000, 0.18000000, 0.00000000, 0.00000000, 1.08000000, 0, NULL, NULL, 0, 21.75000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 44.80000000, 0.90000000, 0.18000000, 1.08000000),
(11264, 1839, NULL, NULL, '1 L90 ( secoure L90RS ) - 4000 HRS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11265, 1839, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(11266, 1839, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11267, 1839, NULL, 1305495, NULL, 'MINOR KIT C  L90-L132', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 445.00000000, NULL, 333.75000000, 66.75000000, 0.00000000, 0.00000000, 400.50000000, 0, NULL, NULL, 0, 196.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 445.00000000, 333.75000000, 66.75000000, 400.50000000),
(11268, 1839, NULL, 1305536, NULL, 'SEPARATOR  KIT D  L90-L140', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 1377.00000000, NULL, 1032.75000000, 206.55000000, 0.00000000, 0.00000000, 1239.30000000, 0, NULL, NULL, 0, 605.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1377.00000000, 1032.75000000, 206.55000000, 1239.30000000),
(11269, 1839, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 25, 0, NULL, 299.00000000, NULL, 448.50000000, 89.70000000, 0.00000000, 0.00000000, 538.20000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 448.50000000, 89.70000000, 538.20000000),
(11270, 1839, NULL, 1305086, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 79.00000000, NULL, 59.25000000, 11.85000000, 0.00000000, 0.00000000, 71.10000000, 0, NULL, NULL, 0, 34.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 59.25000000, 11.85000000, 71.10000000),
(11271, 1839, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11272, 1840, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(11273, 1840, NULL, 1222597, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.18000000, NULL, 34.36000000, 6.87000000, 0.00000000, 0.00000000, 41.23000000, 0, NULL, NULL, 0, 8.34000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.18000000, 34.36000000, 6.87000000, 41.23000000),
(11274, 1840, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(11275, 1840, NULL, 952683, NULL, 'cartouche 180RB', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.69000000, NULL, 105.69000000, 21.14000000, 0.00000000, 0.00000000, 126.83000000, 0, NULL, NULL, 0, 51.31000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.69000000, 105.69000000, 21.14000000, 126.83000000),
(11276, 1840, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(11277, 1840, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(11278, 1840, NULL, NULL, NULL, 'L11', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11279, 1840, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11280, 1840, NULL, NULL, NULL, 'Filtre reseau', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11281, 1840, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11282, 1840, NULL, NULL, NULL, 'Séparateur de condensats', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11283, 1840, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11284, 1841, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 382.50000000, NULL, 382.50000000, 76.50000000, 0.00000000, 0.00000000, 459.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 382.50000000, 382.50000000, 76.50000000, 459.00000000),
(11285, 1841, NULL, 952827, NULL, 'secheur 72m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 856.80000000, NULL, 856.80000000, 171.36000000, 0.00000000, 0.00000000, 1028.16000000, 0, NULL, NULL, 0, 659.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 856.80000000, 856.80000000, 171.36000000, 1028.16000000),
(11286, 1842, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.13000000, NULL, 114.13000000, 22.83000000, 0.00000000, 0.00000000, 136.96000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 136.96000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.13000000, 114.13000000, 22.83000000, 136.96000000),
(11287, 1843, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(11288, 1843, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11289, 1843, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(11290, 1844, NULL, NULL, NULL, 'Jauge reniflard', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.16000000, NULL, 8.16000000, 1.63000000, 0.00000000, 0.00000000, 9.79000000, 0, NULL, NULL, 0, 6.18000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.16000000, 8.16000000, 1.63000000, 9.79000000),
(11291, 1844, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 1, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 18.00000000, 3.60000000, 21.60000000),
(11292, 1845, NULL, 1190724, NULL, 'CONNECTEUR 25A POUR FUS 10,3x38', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 93.24000000, NULL, 93.24000000, 18.65000000, 0.00000000, 0.00000000, 111.89000000, 0, NULL, NULL, 0, 73.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 93.24000000, 93.24000000, 18.65000000, 111.89000000),
(11293, 1845, NULL, 1586971, NULL, 'H07 RNF 5G6 TGL', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 6.50000000, NULL, 58.50000000, 11.70000000, 0.00000000, 0.00000000, 70.20000000, 0, NULL, NULL, 0, 4.89000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.50000000, 58.50000000, 11.70000000, 70.20000000),
(11294, 1845, NULL, 1071255, NULL, 'BOITE DERIVATION 80X80 PLEXO', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.44000000, NULL, 7.44000000, 1.49000000, 0.00000000, 0.00000000, 8.93000000, 0, NULL, NULL, 0, 3.61000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.44000000, 7.44000000, 1.49000000, 8.93000000),
(11295, 1845, NULL, 1298028, NULL, 'R2V CU 5G2,5  DISTINGO', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 2.25000000, NULL, 13.50000000, 2.70000000, 0.00000000, 0.00000000, 16.20000000, 0, NULL, NULL, 0, 2.05000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.25000000, 13.50000000, 2.70000000, 16.20000000),
(11296, 1845, NULL, 972698, NULL, 'Union réduite Ø10mm ? Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.57000000, NULL, 3.57000000, 0.71000000, 0.00000000, 0.00000000, 4.28000000, 0, NULL, NULL, 0, 1.96000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.57000000, 3.57000000, 0.71000000, 4.28000000),
(11297, 1845, NULL, 972631, NULL, 'Té égal Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.92000000, NULL, 2.92000000, 0.58000000, 0.00000000, 0.00000000, 3.50000000, 0, NULL, NULL, 0, 1.61000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.92000000, 2.92000000, 0.58000000, 3.50000000),
(11298, 1845, NULL, 972616, NULL, 'Union égale Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.18000000, NULL, 2.18000000, 0.44000000, 0.00000000, 0.00000000, 2.62000000, 0, NULL, NULL, 0, 1.19000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.18000000, 2.18000000, 0.44000000, 2.62000000),
(11299, 1845, NULL, 972161, NULL, 'Tube Rilsan incolore 6x8 100m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.00000000, NULL, 3.00000000, 0.60000000, 0.00000000, 0.00000000, 3.60000000, 0, NULL, NULL, 0, 1.74000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.00000000, 3.00000000, 0.60000000, 3.60000000),
(11300, 1845, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 9.5, 0, 0, NULL, 63.84000000, NULL, 606.48000000, 121.30000000, 0.00000000, 0.00000000, 727.78000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 606.48000000, 121.30000000, 727.78000000),
(11301, 1845, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 212, 0, 0, NULL, 0.97000000, NULL, 205.64000000, 41.13000000, 0.00000000, 0.00000000, 246.77000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 205.64000000, 41.13000000, 246.77000000),
(11302, 1846, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11303, 1846, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(11304, 1846, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(11305, 1846, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(11306, 1846, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 65.31000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(11307, 1846, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 105.67000000, NULL, 211.34000000, 42.27000000, 0.00000000, 0.00000000, 253.61000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 211.34000000, 42.27000000, 253.61000000),
(11308, 1846, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(11309, 1847, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 94.66000000, NULL, 94.66000000, 18.93000000, 0.00000000, 0.00000000, 113.59000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 94.66000000, 94.66000000, 18.93000000, 113.59000000),
(11310, 1847, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.37000000, NULL, 2.37000000, 0.47000000, 0.00000000, 0.00000000, 2.84000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.37000000, 2.37000000, 0.47000000, 2.84000000),
(11311, 1847, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 207.88000000, NULL, 207.88000000, 41.58000000, 0.00000000, 0.00000000, 249.46000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 207.88000000, 207.88000000, 41.58000000, 249.46000000),
(11312, 1847, NULL, 1222600, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 15.03000000, NULL, 45.09000000, 9.02000000, 0.00000000, 0.00000000, 54.11000000, 0, NULL, NULL, 0, 8.72000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.03000000, 45.09000000, 9.02000000, 54.11000000),
(11313, 1847, NULL, 1245868, NULL, 'filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.31000000, NULL, 34.31000000, 6.86000000, 0.00000000, 0.00000000, 41.17000000, 0, NULL, NULL, 0, 20.61000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.31000000, 34.31000000, 6.86000000, 41.17000000),
(11314, 1847, NULL, 1305507, NULL, 'SEPARATOR KIT D             L15RS -L22RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 396.65000000, NULL, 396.65000000, 79.33000000, 0.00000000, 0.00000000, 475.98000000, 0, NULL, NULL, 0, 208.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 396.65000000, 396.65000000, 79.33000000, 475.98000000),
(11315, 1848, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 239.31000000, NULL, 239.31000000, 47.86000000, 0.00000000, 0.00000000, 287.17000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 239.31000000, 239.31000000, 47.86000000, 287.17000000),
(11316, 1848, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.27000000, NULL, 3.27000000, 0.65000000, 0.00000000, 0.00000000, 3.92000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.27000000, 3.27000000, 0.65000000, 3.92000000),
(11317, 1848, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 606.60000000, NULL, 606.60000000, 121.32000000, 0.00000000, 0.00000000, 727.92000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 606.60000000, 606.60000000, 121.32000000, 727.92000000),
(11318, 1848, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 177.82000000, NULL, 177.82000000, 35.56000000, 0.00000000, 0.00000000, 213.38000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 177.82000000, 177.82000000, 35.56000000, 213.38000000),
(11319, 1849, NULL, NULL, NULL, 'Maintenance L11RS sous contrat lissé', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11320, 1849, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 127.69000000, NULL, 127.69000000, 25.54000000, 0.00000000, 0.00000000, 153.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 127.69000000, 127.69000000, 25.54000000, 153.23000000),
(11321, 1849, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 127.69000000, NULL, 127.69000000, 25.54000000, 0.00000000, 0.00000000, 153.23000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 127.69000000, 127.69000000, 25.54000000, 153.23000000),
(11322, 1849, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 127.69000000, NULL, 127.69000000, 25.54000000, 0.00000000, 0.00000000, 153.23000000, 0, NULL, NULL, 0, 74.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 127.69000000, 127.69000000, 25.54000000, 153.23000000),
(11323, 1849, NULL, 1230901, NULL, 'SEPARATOR ST005 0-0101/SP015-022', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 127.69000000, NULL, 127.69000000, 25.54000000, 0.00000000, 0.00000000, 153.23000000, 0, NULL, NULL, 0, 133.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 127.69000000, 127.69000000, 25.54000000, 153.23000000),
(11324, 1849, NULL, 1305086, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.00000000, NULL, 79.00000000, 15.80000000, 0.00000000, 0.00000000, 94.80000000, 0, NULL, NULL, 0, 34.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 79.00000000, 15.80000000, 94.80000000),
(11325, 1849, NULL, 1305282, NULL, 'MAJOR KIT E               L07 - L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 176.39000000, NULL, 176.39000000, 35.28000000, 0.00000000, 0.00000000, 211.67000000, 0, NULL, NULL, 0, 138.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 176.39000000, 176.39000000, 35.28000000, 211.67000000),
(11326, 1849, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11327, 1849, NULL, NULL, NULL, 'Separateur de condensats PURO MINI :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11328, 1849, NULL, 1297961, NULL, 'kit pour sep de cond puro mini', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 195.31000000, NULL, 195.31000000, 39.06000000, 0.00000000, 0.00000000, 234.37000000, 0, NULL, NULL, 0, 103.23000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 195.31000000, 195.31000000, 39.06000000, 234.37000000),
(11329, 1849, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11330, 1849, NULL, NULL, NULL, 'remplacement filtre reseau', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11331, 1849, NULL, 952641, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 267.80000000, NULL, 267.80000000, 53.56000000, 0.00000000, 0.00000000, 321.36000000, 0, NULL, NULL, 0, 130.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 267.80000000, 267.80000000, 53.56000000, 321.36000000),
(11332, 1849, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11333, 1850, NULL, 955264, NULL, 'purgeur de condensats 400m3/h racc1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 194.31000000, NULL, 194.31000000, 38.86000000, 0.00000000, 0.00000000, 233.17000000, 0, NULL, NULL, 0, 94.33000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 194.31000000, 194.31000000, 38.86000000, 233.17000000),
(11334, 1850, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(11335, 1850, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 52, 0, 0, NULL, 0.97000000, NULL, 50.44000000, 10.09000000, 0.00000000, 0.00000000, 60.53000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 50.44000000, 10.09000000, 60.53000000),
(11336, 1851, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 114.40000000, NULL, 102.96000000, 20.59000000, 0.00000000, 0.00000000, 123.55000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 102.96000000, 20.59000000, 123.55000000),
(11337, 1851, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(11338, 1851, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(11339, 1851, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11340, 1851, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(11341, 1851, NULL, 953164, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(11342, 1851, NULL, 953167, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 32.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(11343, 1851, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(11344, 1852, NULL, 1180028, NULL, 'KIT MAINTENANCE VERTICAL CONCEPT MK2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 283.00000000, NULL, 283.00000000, 56.60000000, 0.00000000, 0.00000000, 339.60000000, 0, NULL, NULL, 0, 209.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 283.00000000, 283.00000000, 56.60000000, 339.60000000),
(11345, 1852, NULL, 1189329, NULL, 'filtre  711/715 (39x39x2)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.00000000, NULL, 32.00000000, 6.40000000, 0.00000000, 0.00000000, 38.40000000, 0, NULL, NULL, 0, 16.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.00000000, 32.00000000, 6.40000000, 38.40000000),
(11346, 1852, NULL, 1231045, NULL, '2000HR 5 L VANE OIL', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.00000000, NULL, 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 1, NULL, NULL, 0, 50.74000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(11347, 1852, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 450.00000000, NULL, 450.00000000, 90.00000000, 0.00000000, 0.00000000, 540.00000000, 0, NULL, NULL, 0, 390.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 450.00000000, 450.00000000, 90.00000000, 540.00000000),
(11348, 1852, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11349, 1853, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11350, 1853, NULL, NULL, NULL, 'Compresseur GA11C', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11351, 1853, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(11352, 1853, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11353, 1853, NULL, 952144, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.40000000, NULL, 15.40000000, 3.08000000, 0.00000000, 0.00000000, 18.48000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.40000000, 15.40000000, 3.08000000, 18.48000000),
(11354, 1853, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.67000000, NULL, 24.67000000, 4.93000000, 0.00000000, 0.00000000, 29.60000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 24.67000000, 4.93000000, 29.60000000),
(11355, 1853, NULL, 955027, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.19000000, NULL, 91.19000000, 18.24000000, 0.00000000, 0.00000000, 109.43000000, 0, NULL, NULL, 0, 44.27000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.19000000, 91.19000000, 18.24000000, 109.43000000),
(11357, 1853, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11358, 1853, NULL, NULL, NULL, 'compresseur KA10', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11359, 1853, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(11361, 1853, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11362, 1853, NULL, 952419, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.03000000, NULL, 12.03000000, 2.41000000, 0.00000000, 0.00000000, 14.44000000, 0, NULL, NULL, 0, 5.84000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.03000000, 12.03000000, 2.41000000, 14.44000000),
(11363, 1853, NULL, 954045, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(11364, 1853, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(11365, 1853, NULL, 1222505, NULL, 'cour_polyV_hutch_1200J12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.04000000, NULL, 53.04000000, 10.61000000, 0.00000000, 0.00000000, 63.65000000, 0, NULL, NULL, 0, 25.75000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.04000000, 53.04000000, 10.61000000, 63.65000000),
(11366, 1853, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11367, 1854, NULL, NULL, NULL, 'Acompte (30%) - CO2007-1551', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3822.00000000, NULL, 3822.00000000, 764.40000000, 0.00000000, 0.00000000, 4586.40000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3822.00000000, 3822.00000000, 764.40000000, 4586.40000000),
(11368, 1855, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1.51, 0, 0, NULL, -63.84000000, NULL, -96.40000000, -19.28000000, 0.00000000, 0.00000000, -115.68000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -63.84000000, -96.40000000, -19.28000000, -115.68000000),
(11369, 1856, NULL, 952816, NULL, 'secheur à réfrigération 108m3/h rac 3/4\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 939.00000000, NULL, 939.00000000, 187.80000000, 0.00000000, 0.00000000, 1126.80000000, 0, NULL, NULL, 0, 720.40000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 939.00000000, 939.00000000, 187.80000000, 1126.80000000),
(11370, 1856, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 332.50000000, NULL, 332.50000000, 66.50000000, 0.00000000, 0.00000000, 399.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 332.50000000, 332.50000000, 66.50000000, 399.00000000),
(11371, 1857, NULL, NULL, '1 Reseau Ø28 environ 50m + 5 descentes en Ø22mm, avec vannes de coupure et ygrec bas de desc', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11372, 1857, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 48, 0, 0, NULL, 5.71000000, NULL, 274.08000000, 54.82000000, 0.00000000, 0.00000000, 328.90000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.71000000, 274.08000000, 54.82000000, 328.90000000),
(11373, 1857, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.77000000, NULL, 8.77000000, 1.75000000, 0.00000000, 0.00000000, 10.52000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.77000000, 8.77000000, 1.75000000, 10.52000000),
(11374, 1857, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 3.94000000, NULL, 23.64000000, 4.73000000, 0.00000000, 0.00000000, 28.37000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.94000000, 23.64000000, 4.73000000, 28.37000000),
(11375, 1857, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 8.35000000, NULL, 41.75000000, 8.35000000, 0.00000000, 0.00000000, 50.10000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.35000000, 41.75000000, 8.35000000, 50.10000000),
(11376, 1857, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 7.11000000, NULL, 71.10000000, 14.22000000, 0.00000000, 0.00000000, 85.32000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.11000000, 71.10000000, 14.22000000, 85.32000000),
(11377, 1857, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 6.23000000, NULL, 99.68000000, 19.94000000, 0.00000000, 0.00000000, 119.62000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.23000000, 99.68000000, 19.94000000, 119.62000000),
(11378, 1857, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 5.91000000, NULL, 29.55000000, 5.91000000, 0.00000000, 0.00000000, 35.46000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.91000000, 29.55000000, 5.91000000, 35.46000000),
(11379, 1857, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 6.80000000, NULL, 34.00000000, 6.80000000, 0.00000000, 0.00000000, 40.80000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.80000000, 34.00000000, 6.80000000, 40.80000000),
(11380, 1857, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 4.58000000, NULL, 82.44000000, 16.49000000, 0.00000000, 0.00000000, 98.93000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.58000000, 82.44000000, 16.49000000, 98.93000000),
(11381, 1857, NULL, 1080050, NULL, 'Courbe à 180° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 7.61000000, NULL, 38.05000000, 7.61000000, 0.00000000, 0.00000000, 45.66000000, 0, NULL, NULL, 0, 5.82000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.61000000, 38.05000000, 7.61000000, 45.66000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(11382, 1857, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 1.03000000, NULL, 12.36000000, 2.47000000, 0.00000000, 0.00000000, 14.83000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.03000000, 12.36000000, 2.47000000, 14.83000000),
(11383, 1857, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 35, 0, 0, NULL, 1.05000000, NULL, 36.75000000, 7.35000000, 0.00000000, 0.00000000, 44.10000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.05000000, 36.75000000, 7.35000000, 44.10000000),
(11384, 1857, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1994.57000000, NULL, 1994.57000000, 398.91000000, 0.00000000, 0.00000000, 2393.48000000, 0, NULL, NULL, 0, 1536.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1994.57000000, 1994.57000000, 398.91000000, 2393.48000000),
(11385, 1857, NULL, 1190653, NULL, 'Supportage', 20.000, '', 0.000, '0', 0.000, '0', 25, 0, 0, NULL, 4.60000000, NULL, 115.00000000, 23.00000000, 0.00000000, 0.00000000, 138.00000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.60000000, 115.00000000, 23.00000000, 138.00000000),
(11386, 1857, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 19.68000000, NULL, 78.72000000, 15.74000000, 0.00000000, 0.00000000, 94.46000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.68000000, 78.72000000, 15.74000000, 94.46000000),
(11387, 1857, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.29000000, NULL, 6.45000000, 1.29000000, 0.00000000, 0.00000000, 7.74000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.29000000, 6.45000000, 1.29000000, 7.74000000),
(11388, 1857, NULL, 1079930, NULL, 'Raccord mixte mâle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 7.86000000, NULL, 31.44000000, 6.29000000, 0.00000000, 0.00000000, 37.73000000, 0, NULL, NULL, 0, 6.01000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.86000000, 31.44000000, 6.29000000, 37.73000000),
(11389, 1857, NULL, 966719, NULL, 'Raccord Y femelle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 4.33000000, NULL, 21.65000000, 4.33000000, 0.00000000, 0.00000000, 25.98000000, 0, NULL, NULL, 0, 2.35000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.33000000, 21.65000000, 4.33000000, 25.98000000),
(11390, 1857, NULL, NULL, 'Sous-total Reseau Ø28 environ 50m + 5 descentes en Ø22mm, avec vannes de coupure et ygrec bas de desc', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11391, 1858, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 415.50000000, NULL, 415.50000000, 83.10000000, 0.00000000, 0.00000000, 498.60000000, 0, NULL, NULL, 0, 292.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 415.50000000, 415.50000000, 83.10000000, 498.60000000),
(11392, 1858, NULL, 1586966, NULL, 'sécheur par réfrigeration', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1084.50000000, NULL, 1084.50000000, 216.90000000, 0.00000000, 0.00000000, 1301.40000000, 0, NULL, NULL, 0, 882.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1084.50000000, 1084.50000000, 216.90000000, 1301.40000000),
(11393, 1859, NULL, 1586877, NULL, '<ul>\r\n	<li>Puissance&nbsp;: <strong>5.5 KW</strong></li>\r\n	<li>Pression maxi&nbsp;: <strong>7.5 bar</strong></li>\r\n	<li>D&eacute;bit&nbsp;: <strong>54.60 m3/h</strong></li>\r\n	<li>R&eacute;servoir&nbsp;: Horizontal peint de 270 L</li>\r\n	<li>S&eacute;cheur&nbsp;: Frigo +3&deg;C</li>\r\n	<li>Niveau sonore&nbsp;: <strong>63 dB(A)</strong></li>\r\n	<li>Longueur&nbsp;: 1490 mm</li>\r\n	<li>Profondeur&nbsp;: 554 mm</li>\r\n	<li>Hauteur&nbsp;: 1609 mm</li>\r\n	<li>Poids&nbsp;: 316 Kg</li>\r\n	<li>Sortie air&nbsp;: &frac12;&rsquo;&rsquo;</li>\r\n	<li>Commande&nbsp;: Standard</li>\r\n	<li>Coffret d&#39;isolation phonique inclus</li>\r\n</ul>', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5031.81000000, NULL, 5031.81000000, 1006.36000000, 0.00000000, 0.00000000, 6038.17000000, 0, NULL, NULL, 0, 4005.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5031.81000000, 5031.81000000, 1006.36000000, 6038.17000000),
(11394, 1859, NULL, 1586878, NULL, 'grade V - filtre fin 1 Micron', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 217.42000000, NULL, 217.42000000, 43.48000000, 0.00000000, 0.00000000, 260.90000000, 0, NULL, NULL, 0, 108.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 217.42000000, 217.42000000, 43.48000000, 260.90000000),
(11395, 1859, NULL, 1222106, NULL, 'kit de silencblocs pour reservoir', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 37.09000000, NULL, 37.09000000, 7.42000000, 0.00000000, 0.00000000, 44.51000000, 0, NULL, NULL, 0, 30.72000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 37.09000000, 37.09000000, 7.42000000, 44.51000000),
(11396, 1859, NULL, 1297967, NULL, 'flexible 1/2\" long 1600 mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 38.96000000, NULL, 38.96000000, 7.79000000, 0.00000000, 0.00000000, 46.75000000, 0, NULL, NULL, 0, 28.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.96000000, 38.96000000, 7.79000000, 46.75000000),
(11397, 1859, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.52000000, NULL, 386.52000000, 77.30000000, 0.00000000, 0.00000000, 463.82000000, 0, NULL, NULL, 0, 300.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.52000000, 386.52000000, 77.30000000, 463.82000000),
(11398, 1859, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.71000000, NULL, 65.71000000, 13.14000000, 0.00000000, 0.00000000, 78.85000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.71000000, 65.71000000, 13.14000000, 78.85000000),
(11399, 1859, NULL, 958250, NULL, 'ÖWAMAT 10 oil/water separator', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 222.49000000, NULL, 222.49000000, 44.50000000, 0.00000000, 0.00000000, 266.99000000, 0, NULL, NULL, 0, 164.47000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 222.49000000, 222.49000000, 44.50000000, 266.99000000),
(11400, 1860, NULL, 1231686, NULL, 'réédition de certificat égaré', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.50000000, NULL, 28.50000000, 5.70000000, 0.00000000, 0.00000000, 34.20000000, 0, NULL, NULL, 0, 21.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.50000000, 28.50000000, 5.70000000, 34.20000000),
(11401, 1861, NULL, 969834, NULL, 'Té réduit au centre Ø32mm ? Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 50, 0, NULL, 9.75000000, NULL, 9.75000000, 1.95000000, 0.00000000, 0.00000000, 11.70000000, 0, NULL, NULL, 0, 5.85000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.75000000, 9.75000000, 1.95000000, 11.70000000),
(11402, 1861, NULL, 969798, NULL, 'Manchon égal Ø32mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 50, 0, NULL, 3.68000000, NULL, 1.84000000, 0.37000000, 0.00000000, 0.00000000, 2.21000000, 0, NULL, NULL, 0, 2.20800000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.68000000, 1.84000000, 0.37000000, 2.21000000),
(11403, 1861, NULL, 969796, NULL, 'Manchon égal Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 5, 50, 0, NULL, 2.33000000, NULL, 5.83000000, 1.16000000, 0.00000000, 0.00000000, 6.99000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 5.83000000, 1.16000000, 6.99000000),
(11404, 1861, NULL, 969804, NULL, 'Coude égal 90° Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 50, 0, NULL, 2.33000000, NULL, 4.66000000, 0.93000000, 0.00000000, 0.00000000, 5.59000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 4.66000000, 0.93000000, 5.59000000),
(11405, 1861, NULL, 969812, NULL, 'Coude égal 45° Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 50, 0, NULL, 2.33000000, NULL, 2.33000000, 0.47000000, 0.00000000, 0.00000000, 2.80000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 2.33000000, 0.47000000, 2.80000000),
(11406, 1861, NULL, 969806, NULL, 'Coude égal 90° Ø32mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 50, 0, NULL, 4.98000000, NULL, 4.98000000, 1.00000000, 0.00000000, 0.00000000, 5.98000000, 0, NULL, NULL, 0, 2.98800000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 4.98000000, 1.00000000, 5.98000000),
(11407, 1861, NULL, 969848, NULL, 'Bouchon Ø32mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 50, 0, NULL, 3.18000000, NULL, 1.59000000, 0.32000000, 0.00000000, 0.00000000, 1.91000000, 0, NULL, NULL, 0, 1.90800000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.18000000, 1.59000000, 0.32000000, 1.91000000),
(11408, 1862, NULL, 1245193, NULL, 'Enrouleur fermé ABS Ø13 16m 15BAR', 20.000, '', 0.000, '0', 0.000, '0', 1, 5, 0, NULL, 360.00000000, NULL, 342.00000000, 68.40000000, 0.00000000, 0.00000000, 410.40000000, 0, NULL, NULL, 0, 198.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 360.00000000, 342.00000000, 68.40000000, 410.40000000),
(11409, 1862, NULL, 968385, NULL, 'Support pivotant pour E270', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 64.00000000, NULL, 64.00000000, 12.80000000, 0.00000000, 0.00000000, 76.80000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 64.00000000, 64.00000000, 12.80000000, 76.80000000),
(11410, 1862, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(11411, 1862, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 32, 0, 0, NULL, 0.97000000, NULL, 31.04000000, 6.21000000, 0.00000000, 0.00000000, 37.25000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 31.04000000, 6.21000000, 37.25000000),
(11412, 1863, NULL, NULL, NULL, '<br />\r\nD&eacute;signation Qt&eacute; Prix Net HT<br />\r\nFOURNITURES DIVERSES 1&nbsp;<br />\r\nMINI Y PACKING 1<br />\r\nUPPER GASKET 1&nbsp;<br />\r\nCHAMBER 1<br />\r\nLOWER GASKET 2&nbsp;<br />\r\nUPPER PLATE 1&nbsp;<br />\r\nMANDREL GUIDE 1&nbsp;<br />\r\nMAIN D OEUVRE 02h00&nbsp;<br />\r\nFRAIS DE PORT LOGISTIQUE 1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 348.04000000, NULL, 348.04000000, 69.61000000, 0.00000000, 0.00000000, 417.65000000, 0, NULL, NULL, 0, 267.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 348.04000000, 348.04000000, 69.61000000, 417.65000000),
(11413, 1864, NULL, 955074, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 129.96000000, NULL, 129.96000000, 25.99000000, 0.00000000, 0.00000000, 155.95000000, 0, NULL, NULL, 0, 63.09000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 129.96000000, 129.96000000, 25.99000000, 155.95000000),
(11414, 1864, NULL, 951885, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.90000000, NULL, 27.80000000, 5.56000000, 0.00000000, 0.00000000, 33.36000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.90000000, 27.80000000, 5.56000000, 33.36000000),
(11415, 1864, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(11416, 1865, NULL, 952818, NULL, 'sécheur réfrigeration 144m3/h racc 3/4\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1450.00000000, NULL, 1450.00000000, 290.00000000, 0.00000000, 0.00000000, 1740.00000000, 0, NULL, NULL, 0, 771.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1450.00000000, 1450.00000000, 290.00000000, 1740.00000000),
(11417, 1865, NULL, NULL, NULL, 'Livré, installé', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11418, 1866, NULL, 1221739, NULL, 'equivalence&nbsp;10525274', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 96.80000000, NULL, 193.60000000, 38.72000000, 0.00000000, 0.00000000, 232.32000000, 0, NULL, NULL, 0, 48.40000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.80000000, 193.60000000, 38.72000000, 232.32000000),
(11419, 1866, NULL, 1586975, NULL, 'filtre huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.90000000, NULL, 59.90000000, 11.98000000, 0.00000000, 0.00000000, 71.88000000, 0, NULL, NULL, 0, 29.97000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.90000000, 59.90000000, 11.98000000, 71.88000000),
(11420, 1867, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 100, 0, 0, NULL, 0.97000000, NULL, 97.00000000, 19.40000000, 0.00000000, 0.00000000, 116.40000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 97.00000000, 19.40000000, 116.40000000),
(11421, 1867, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(11422, 1868, NULL, 955044, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.39000000, NULL, 86.39000000, 17.28000000, 0.00000000, 0.00000000, 103.67000000, 0, NULL, NULL, 0, 33.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.39000000, 86.39000000, 17.28000000, 103.67000000),
(11423, 1868, NULL, 1223837, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.64000000, NULL, 27.64000000, 5.53000000, 0.00000000, 0.00000000, 33.17000000, 0, NULL, NULL, 0, 13.82000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.64000000, 27.64000000, 5.53000000, 33.17000000),
(11424, 1868, NULL, 1305086, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.00000000, NULL, 79.00000000, 15.80000000, 0.00000000, 0.00000000, 94.80000000, 0, NULL, NULL, 0, 34.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 79.00000000, 15.80000000, 94.80000000),
(11425, 1869, NULL, 1179653, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 769.03000000, NULL, 769.03000000, 153.81000000, 0.00000000, 0.00000000, 922.84000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 769.03000000, 769.03000000, 153.81000000, 922.84000000),
(11426, 1869, NULL, 1179723, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 468.40000000, NULL, 468.40000000, 93.68000000, 0.00000000, 0.00000000, 562.08000000, 0, NULL, NULL, 0, 174.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 468.40000000, 468.40000000, 93.68000000, 562.08000000),
(11427, 1869, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 259.00000000, NULL, 259.00000000, 51.80000000, 0.00000000, 0.00000000, 310.80000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 259.00000000, 259.00000000, 51.80000000, 310.80000000),
(11428, 1869, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 425.60000000, NULL, 425.60000000, 85.12000000, 0.00000000, 0.00000000, 510.72000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 425.60000000, 425.60000000, 85.12000000, 510.72000000),
(11429, 1869, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11430, 1870, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(11431, 1870, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11432, 1870, NULL, 1230990, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 407.10000000, NULL, 346.04000000, 69.20000000, 0.00000000, 0.00000000, 415.24000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.10000000, 346.04000000, 69.20000000, 415.24000000),
(11433, 1870, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 86.10000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(11434, 1870, NULL, 1222124, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 69.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(11435, 1870, NULL, 1307019, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 69.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(11436, 1871, NULL, NULL, '1 compresseur l30rs', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11437, 1871, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(11438, 1871, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(11439, 1871, NULL, 1179655, NULL, 'SEPARATOR KIT D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 630.00000000, NULL, 630.00000000, 126.00000000, 0.00000000, 0.00000000, 756.00000000, 0, NULL, NULL, 0, 378.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 630.00000000, 630.00000000, 126.00000000, 756.00000000),
(11440, 1871, NULL, 1305291, NULL, 'MAJOR KIT E   L30 with intake valve R90E', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 793.00000000, NULL, 793.00000000, 158.60000000, 0.00000000, 0.00000000, 951.60000000, 0, NULL, NULL, 0, 436.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 793.00000000, 793.00000000, 158.60000000, 951.60000000),
(11441, 1871, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11442, 1871, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11443, 1871, NULL, NULL, '2 filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11444, 1871, NULL, 952864, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.28000000, NULL, 118.28000000, 23.66000000, 0.00000000, 0.00000000, 141.94000000, 0, NULL, NULL, 0, 57.42000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.28000000, 118.28000000, 23.66000000, 141.94000000),
(11445, 1871, NULL, 1221466, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.36000000, NULL, 214.36000000, 42.87000000, 0.00000000, 0.00000000, 257.23000000, 0, NULL, NULL, 0, 104.06000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.36000000, 214.36000000, 42.87000000, 257.23000000),
(11446, 1871, NULL, 952863, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.28000000, NULL, 118.28000000, 23.66000000, 0.00000000, 0.00000000, 141.94000000, 0, NULL, NULL, 0, 57.42000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.28000000, 118.28000000, 23.66000000, 141.94000000),
(11447, 1871, NULL, 952690, NULL, 'cartouche media filtrant pne610rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.36000000, NULL, 214.36000000, 42.87000000, 0.00000000, 0.00000000, 257.23000000, 0, NULL, NULL, 0, 104.60000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.36000000, 214.36000000, 42.87000000, 257.23000000),
(11448, 1871, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11449, 1871, NULL, NULL, '3 separateur de condensats', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11450, 1871, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(11451, 1871, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11452, 1872, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(11453, 1872, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11454, 1872, NULL, 955041, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(11455, 1872, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(11456, 1872, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(11457, 1873, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 492.10000000, NULL, 492.10000000, 98.42000000, 0.00000000, 0.00000000, 590.52000000, 0, NULL, NULL, 0, 390.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 492.10000000, 492.10000000, 98.42000000, 590.52000000),
(11458, 1873, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11459, 1873, NULL, 1179629, NULL, 'MINOR KIT C L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 418.00000000, NULL, 376.20000000, 75.24000000, 0.00000000, 0.00000000, 451.44000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 376.20000000, 75.24000000, 451.44000000),
(11460, 1873, NULL, 1179664, NULL, 'SEPARATOR KIT D L75RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 1395.00000000, NULL, 1255.50000000, 251.10000000, 0.00000000, 0.00000000, 1506.60000000, 0, NULL, NULL, 0, 837.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1395.00000000, 1255.50000000, 251.10000000, 1506.60000000),
(11461, 1873, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 277.00000000, NULL, 554.00000000, 110.80000000, 0.00000000, 0.00000000, 664.80000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 554.00000000, 110.80000000, 664.80000000),
(11462, 1873, NULL, 1179733, NULL, 'SERVICE PACKAGE E L55-L75 (A)', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 849.30000000, NULL, 764.37000000, 152.87000000, 0.00000000, 0.00000000, 917.24000000, 0, NULL, NULL, 0, 509.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 849.30000000, 764.37000000, 152.87000000, 917.24000000),
(11463, 1873, NULL, 953196, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 296.61000000, NULL, 296.61000000, 59.32000000, 0.00000000, 0.00000000, 355.93000000, 0, NULL, NULL, 0, 80.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 296.61000000, 296.61000000, 59.32000000, 355.93000000),
(11464, 1874, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(11465, 1874, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11466, 1874, NULL, 1222070, NULL, 'avec courroie 8 bars 06316', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 168.50000000, NULL, 168.50000000, 33.70000000, 0.00000000, 0.00000000, 202.20000000, 0, NULL, NULL, 0, 117.95000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 168.50000000, 168.50000000, 33.70000000, 202.20000000),
(11467, 1874, NULL, 1221462, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(11468, 1874, NULL, 952662, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(11469, 1874, NULL, 952661, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(11470, 1874, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(11471, 1875, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 384.76000000, NULL, 384.76000000, 76.95000000, 0.00000000, 0.00000000, 461.71000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 384.76000000, 384.76000000, 76.95000000, 461.71000000),
(11472, 1875, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.39000000, NULL, 4.39000000, 0.88000000, 0.00000000, 0.00000000, 5.27000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.39000000, 4.39000000, 0.88000000, 5.27000000),
(11473, 1875, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 38.05000000, NULL, 38.05000000, 7.61000000, 0.00000000, 0.00000000, 45.66000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.05000000, 38.05000000, 7.61000000, 45.66000000),
(11474, 1875, NULL, 951970, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.89000000, NULL, 13.89000000, 2.78000000, 0.00000000, 0.00000000, 16.67000000, 0, NULL, NULL, 0, 4.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.89000000, 13.89000000, 2.78000000, 16.67000000),
(11475, 1875, NULL, 954054, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.03000000, NULL, 35.03000000, 7.01000000, 0.00000000, 0.00000000, 42.04000000, 0, NULL, NULL, 0, 17.43000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.03000000, 35.03000000, 7.01000000, 42.04000000),
(11476, 1875, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 80.01000000, NULL, 80.01000000, 16.00000000, 0.00000000, 0.00000000, 96.01000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 80.01000000, 80.01000000, 16.00000000, 96.01000000),
(11477, 1875, NULL, 1222608, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 19.24000000, NULL, 38.48000000, 7.70000000, 0.00000000, 0.00000000, 46.18000000, 0, NULL, NULL, 0, 9.52000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.24000000, 38.48000000, 7.70000000, 46.18000000),
(11478, 1876, NULL, NULL, '1 l37rs', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11479, 1876, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(11480, 1876, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11481, 1876, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 171.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(11482, 1876, NULL, 1305086, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.00000000, NULL, 79.00000000, 15.80000000, 0.00000000, 0.00000000, 94.80000000, 0, NULL, NULL, 0, 34.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 79.00000000, 15.80000000, 94.80000000),
(11483, 1876, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11484, 1876, NULL, NULL, '2 filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11485, 1876, NULL, 953180, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.55000000, NULL, 155.55000000, 31.11000000, 0.00000000, 0.00000000, 186.66000000, 0, NULL, NULL, 0, 75.51000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.55000000, 155.55000000, 31.11000000, 186.66000000),
(11486, 1876, NULL, 952676, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.45000000, NULL, 156.45000000, 31.29000000, 0.00000000, 0.00000000, 187.74000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.45000000, 156.45000000, 31.29000000, 187.74000000),
(11487, 1876, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11488, 1877, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(11489, 1877, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11490, 1877, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(11491, 1877, NULL, 1222588, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(11492, 1877, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(11493, 1877, NULL, 969229, NULL, 'Cartouche 3 microns pour F602', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.93000000, NULL, 53.93000000, 10.79000000, 0.00000000, 0.00000000, 64.72000000, 0, NULL, NULL, 0, 26.18000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.93000000, 53.93000000, 10.79000000, 64.72000000),
(11494, 1877, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(11495, 1877, NULL, 1305282, NULL, 'MAJOR KIT E               L07 - L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 251.00000000, NULL, 251.00000000, 50.20000000, 0.00000000, 0.00000000, 301.20000000, 0, NULL, NULL, 0, 138.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 251.00000000, 251.00000000, 50.20000000, 301.20000000),
(11496, 1877, NULL, NULL, NULL, 'Maintenance', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11497, 1877, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11498, 1877, NULL, NULL, NULL, 'Réservoir 500Litres', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11499, 1877, NULL, 1219895, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 538.00000000, NULL, 538.00000000, 107.60000000, 0.00000000, 0.00000000, 645.60000000, 0, NULL, NULL, 0, 399.50000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 538.00000000, 538.00000000, 107.60000000, 645.60000000),
(11500, 1877, NULL, 1222643, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 255.36000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 192.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 255.36000000, 255.36000000, 51.07000000, 306.43000000),
(11501, 1877, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11502, 1878, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 36, 0, 0, NULL, 9.40000000, NULL, 338.40000000, 67.68000000, 0.00000000, 0.00000000, 406.08000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.40000000, 338.40000000, 67.68000000, 406.08000000),
(11503, 1878, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 4.96000000, NULL, 29.76000000, 5.95000000, 0.00000000, 0.00000000, 35.71000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.96000000, 29.76000000, 5.95000000, 35.71000000),
(11504, 1878, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 10.64000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.64000000, 127.68000000, 25.54000000, 153.22000000),
(11505, 1878, NULL, 1079818, NULL, 'Coude à 45° diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 9.93000000, NULL, 39.72000000, 7.94000000, 0.00000000, 0.00000000, 47.66000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.93000000, 39.72000000, 7.94000000, 47.66000000),
(11506, 1878, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.88000000, NULL, 25.76000000, 5.15000000, 0.00000000, 0.00000000, 30.91000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.88000000, 25.76000000, 5.15000000, 30.91000000),
(11507, 1878, NULL, 1079867, NULL, 'Té réduit diam. ext. 35 . 22 . 35', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 10.90000000, NULL, 54.50000000, 10.90000000, 0.00000000, 0.00000000, 65.40000000, 0, NULL, NULL, 0, 7.67000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.90000000, 54.50000000, 10.90000000, 65.40000000),
(11508, 1878, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 27.25000000, NULL, 54.50000000, 10.90000000, 0.00000000, 0.00000000, 65.40000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.25000000, 54.50000000, 10.90000000, 65.40000000),
(11509, 1878, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.51000000, NULL, 25.02000000, 5.00000000, 0.00000000, 0.00000000, 30.02000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.51000000, 25.02000000, 5.00000000, 30.02000000),
(11510, 1878, NULL, 1080014, NULL, 'Manchon d\'extrémité diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.74000000, NULL, 13.48000000, 2.70000000, 0.00000000, 0.00000000, 16.18000000, 0, NULL, NULL, 0, 4.74000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.74000000, 13.48000000, 2.70000000, 16.18000000),
(11511, 1878, NULL, 1080054, NULL, 'Crosse d\'évêque diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 12.34000000, NULL, 61.70000000, 12.34000000, 0.00000000, 0.00000000, 74.04000000, 0, NULL, NULL, 0, 8.69000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.34000000, 61.70000000, 12.34000000, 74.04000000),
(11512, 1878, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 4.98000000, NULL, 89.64000000, 17.93000000, 0.00000000, 0.00000000, 107.57000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 89.64000000, 17.93000000, 107.57000000),
(11513, 1878, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.58000000, NULL, 17.90000000, 3.58000000, 0.00000000, 0.00000000, 21.48000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.58000000, 17.90000000, 3.58000000, 21.48000000),
(11514, 1878, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 5.34000000, NULL, 53.40000000, 10.68000000, 0.00000000, 0.00000000, 64.08000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 53.40000000, 10.68000000, 64.08000000),
(11515, 1878, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 6.62000000, NULL, 66.20000000, 13.24000000, 0.00000000, 0.00000000, 79.44000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.62000000, 66.20000000, 13.24000000, 79.44000000),
(11516, 1878, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.18000000, NULL, 16.36000000, 3.27000000, 0.00000000, 0.00000000, 19.63000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.18000000, 16.36000000, 3.27000000, 19.63000000),
(11517, 1878, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 14.58000000, NULL, 72.90000000, 14.58000000, 0.00000000, 0.00000000, 87.48000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.58000000, 72.90000000, 14.58000000, 87.48000000),
(11518, 1878, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 1.12000000, NULL, 16.80000000, 3.36000000, 0.00000000, 0.00000000, 20.16000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 16.80000000, 3.36000000, 20.16000000),
(11519, 1878, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 1.20000000, NULL, 24.00000000, 4.80000000, 0.00000000, 0.00000000, 28.80000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.20000000, 24.00000000, 4.80000000, 28.80000000),
(11520, 1878, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 7.39000000, NULL, 36.95000000, 7.39000000, 0.00000000, 0.00000000, 44.34000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 36.95000000, 7.39000000, 44.34000000),
(11521, 1878, NULL, 966507, NULL, 'Vanne F/F G1\"1/4 PN30 DN32', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.31000000, NULL, 26.31000000, 5.26000000, 0.00000000, 0.00000000, 31.57000000, 0, NULL, NULL, 0, 13.16000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.31000000, 26.31000000, 5.26000000, 31.57000000),
(11522, 1878, NULL, 966956, NULL, 'Croix égale FFFF F1/2', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 8.15000000, NULL, 40.75000000, 8.15000000, 0.00000000, 0.00000000, 48.90000000, 0, NULL, NULL, 0, 4.08000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.15000000, 40.75000000, 8.15000000, 48.90000000),
(11523, 1878, NULL, 966892, NULL, 'Bouchon M. cylindrique G1/2', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 0.85000000, NULL, 4.25000000, 0.85000000, 0.00000000, 0.00000000, 5.10000000, 0, NULL, NULL, 0, 0.43000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.85000000, 4.25000000, 0.85000000, 5.10000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(11524, 1878, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.40000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.40000000, 7.00000000, 1.40000000, 8.40000000),
(11525, 1878, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 24.97000000, NULL, 249.70000000, 49.94000000, 0.00000000, 0.00000000, 299.64000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.97000000, 249.70000000, 49.94000000, 299.64000000),
(11526, 1878, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1596.00000000, NULL, 1596.00000000, 319.20000000, 0.00000000, 0.00000000, 1915.20000000, 0, NULL, NULL, 0, 1200.00000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1596.00000000, 1596.00000000, 319.20000000, 1915.20000000),
(11527, 1879, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(11528, 1879, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11529, 1879, NULL, 1180029, NULL, 'MAINTENANCE KIT HYDROVANE 501/502', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.40000000, NULL, 112.40000000, 22.48000000, 0.00000000, 0.00000000, 134.88000000, 0, NULL, NULL, 0, 69.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.40000000, 112.40000000, 22.48000000, 134.88000000),
(11530, 1879, NULL, 1180449, NULL, 'HUILE  HYDROVANE  COMP PALETTE BD 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 107.50000000, NULL, 107.50000000, 21.50000000, 0.00000000, 0.00000000, 129.00000000, 0, NULL, NULL, 0, 64.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 107.50000000, 107.50000000, 21.50000000, 129.00000000),
(11531, 1879, NULL, 1245891, NULL, 'ce0006gb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.26000000, NULL, 42.26000000, 8.45000000, 0.00000000, 0.00000000, 50.71000000, 0, NULL, NULL, 0, 21.13000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.26000000, 42.26000000, 8.45000000, 50.71000000),
(11532, 1879, NULL, 1245890, NULL, 'ce0006gc', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.26000000, NULL, 42.26000000, 8.45000000, 0.00000000, 0.00000000, 50.71000000, 0, NULL, NULL, 0, 21.13000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.26000000, 42.26000000, 8.45000000, 50.71000000),
(11533, 1880, NULL, NULL, NULL, '<p>Maintenance Compresseur (Huile alimentaire) + Filtres reseau + separateur de condensats</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11534, 1880, NULL, NULL, '1 maintenance COMPAIR L18RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11535, 1880, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.00000000, NULL, 114.00000000, 22.80000000, 0.00000000, 0.00000000, 136.80000000, 0, NULL, NULL, 0, 70.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.00000000, 114.00000000, 22.80000000, 136.80000000),
(11536, 1880, NULL, 1222598, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 13.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 8.48000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.00000000, 39.00000000, 7.80000000, 46.80000000),
(11537, 1880, NULL, 953173, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.00000000, NULL, 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(11538, 1880, NULL, 953170, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.00000000, NULL, 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(11539, 1880, NULL, 1190364, NULL, 'Maintenance compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 325.00000000, NULL, 325.00000000, 65.00000000, 0.00000000, 0.00000000, 390.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 325.00000000, 325.00000000, 65.00000000, 390.00000000),
(11541, 1880, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11542, 1880, NULL, 1221464, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(11543, 1880, NULL, 1223699, NULL, 'Huile anderol FGC46  prix au litre', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 15.77000000, NULL, 126.16000000, 25.23000000, 0.00000000, 0.00000000, 151.39000000, 0, NULL, NULL, 0, 11.27000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.77000000, 126.16000000, 25.23000000, 151.39000000),
(11544, 1880, NULL, NULL, 'Sous-total maintenance COMPAIR L18RS', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11545, 1880, NULL, NULL, '2 Maintenance KAESER', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11546, 1880, NULL, NULL, NULL, '<p>Maintenance Compresseur KAESER en Huile alimentaire</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11547, 1880, NULL, 1221777, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 45.55000000, NULL, 45.55000000, 9.11000000, 0.00000000, 0.00000000, 54.66000000, 0, NULL, NULL, 0, 22.11000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.55000000, 45.55000000, 9.11000000, 54.66000000),
(11548, 1880, NULL, 1221724, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.33000000, NULL, 81.33000000, 16.27000000, 0.00000000, 0.00000000, 97.60000000, 0, NULL, NULL, 0, 39.48000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.33000000, 81.33000000, 16.27000000, 97.60000000),
(11549, 1880, NULL, 1221709, NULL, 'filtre a air (natte)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.00000000, NULL, 35.00000000, 7.00000000, 0.00000000, 0.00000000, 42.00000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.00000000, 35.00000000, 7.00000000, 42.00000000),
(11550, 1880, NULL, 1231873, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.47000000, NULL, 19.47000000, 3.89000000, 0.00000000, 0.00000000, 23.36000000, 0, NULL, NULL, 0, 13.55000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.47000000, 19.47000000, 3.89000000, 23.36000000),
(11551, 1880, NULL, 1223699, NULL, 'Huile anderol FGC46  prix au litre', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 15.77000000, NULL, 126.16000000, 25.23000000, 0.00000000, 0.00000000, 151.39000000, 0, NULL, NULL, 0, 11.27000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.77000000, 126.16000000, 25.23000000, 151.39000000),
(11552, 1880, NULL, 1190364, NULL, 'Maintenance compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 325.00000000, NULL, 325.00000000, 65.00000000, 0.00000000, 0.00000000, 390.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 325.00000000, 325.00000000, 65.00000000, 390.00000000),
(11553, 1880, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11554, 1880, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(11555, 1880, NULL, NULL, 'Sous-total Maintenance KAESER', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11556, 1880, NULL, 1231755, NULL, 'cartouche filtre reseau 300 charbon actif', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(11557, 1880, NULL, NULL, 'ecotron 50', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11558, 1880, NULL, 1586889, NULL, 'kit ecotron50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 313.10000000, NULL, 313.10000000, 62.62000000, 0.00000000, 0.00000000, 375.72000000, 0, NULL, NULL, 0, 172.20000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 313.10000000, 313.10000000, 62.62000000, 375.72000000),
(11559, 1880, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11560, 1880, NULL, NULL, NULL, 'Maintenance L11', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11561, 1880, NULL, 1222181, NULL, 'Huile anderol ANDEROL FGXL 46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 464.32000000, NULL, 464.32000000, 92.86000000, 0.00000000, 0.00000000, 557.18000000, 0, NULL, NULL, 0, 209.00000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 464.32000000, 464.32000000, 92.86000000, 557.18000000),
(11562, 1880, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(11563, 1880, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11564, 1880, NULL, 1305486, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.00000000, NULL, 123.00000000, 24.60000000, 0.00000000, 0.00000000, 147.60000000, 0, NULL, NULL, 0, 54.00000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.00000000, 123.00000000, 24.60000000, 147.60000000),
(11565, 1880, NULL, 1230901, NULL, 'SEPARATOR ST005 0-0101/SP015-022', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 222.00000000, NULL, 222.00000000, 44.40000000, 0.00000000, 0.00000000, 266.40000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 222.00000000, 222.00000000, 44.40000000, 266.40000000),
(11566, 1880, NULL, 953170, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 125.98000000, NULL, 125.98000000, 25.20000000, 0.00000000, 0.00000000, 151.18000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 125.98000000, 125.98000000, 25.20000000, 151.18000000),
(11567, 1880, NULL, 953173, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 125.98000000, NULL, 125.98000000, 25.20000000, 0.00000000, 0.00000000, 151.18000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 125.98000000, 125.98000000, 25.20000000, 151.18000000),
(11568, 1880, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11569, 1881, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(11570, 1881, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11571, 1881, NULL, 1221761, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.81000000, NULL, 16.81000000, 3.36000000, 0.00000000, 0.00000000, 20.17000000, 0, NULL, NULL, 0, 8.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.81000000, 16.81000000, 3.36000000, 20.17000000),
(11572, 1881, NULL, 955022, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 137.81000000, NULL, 137.81000000, 27.56000000, 0.00000000, 0.00000000, 165.37000000, 0, NULL, NULL, 0, 66.90000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 137.81000000, 137.81000000, 27.56000000, 165.37000000),
(11573, 1881, NULL, 1221774, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.14000000, NULL, 19.14000000, 3.83000000, 0.00000000, 0.00000000, 22.97000000, 0, NULL, NULL, 0, 8.86000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.14000000, 19.14000000, 3.83000000, 22.97000000),
(11575, 1881, NULL, 1223571, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(11576, 1882, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(11577, 1882, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11578, 1882, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(11579, 1882, NULL, 1189329, NULL, 'filtre  711/715 (39x39x2)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.65000000, NULL, 39.65000000, 7.93000000, 0.00000000, 0.00000000, 47.58000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.65000000, 39.65000000, 7.93000000, 47.58000000),
(11580, 1882, NULL, 1180027, NULL, 'KIT MAINTENANCE VERTICAL NEW CONCEPT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 220.00000000, NULL, 220.00000000, 44.00000000, 0.00000000, 0.00000000, 264.00000000, 0, NULL, NULL, 0, 234.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 220.00000000, 220.00000000, 44.00000000, 264.00000000),
(11581, 1883, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 6.20000000, NULL, 186.00000000, 37.20000000, 0.00000000, 0.00000000, 223.20000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 186.00000000, 37.20000000, 223.20000000),
(11582, 1883, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.38000000, NULL, 21.38000000, 4.28000000, 0.00000000, 0.00000000, 25.66000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.38000000, 21.38000000, 4.28000000, 25.66000000),
(11583, 1883, NULL, 1079930, NULL, 'Raccord mixte mâle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.54000000, NULL, 8.54000000, 1.71000000, 0.00000000, 0.00000000, 10.25000000, 0, NULL, NULL, 0, 6.01000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.54000000, 8.54000000, 1.71000000, 10.25000000),
(11584, 1883, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.28000000, NULL, 4.28000000, 0.86000000, 0.00000000, 0.00000000, 5.14000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.28000000, 4.28000000, 0.86000000, 5.14000000),
(11585, 1883, NULL, 1080003, NULL, 'Manchon d\'ajustage diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.27000000, NULL, 12.54000000, 2.51000000, 0.00000000, 0.00000000, 15.05000000, 0, NULL, NULL, 0, 4.42000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.27000000, 12.54000000, 2.51000000, 15.05000000),
(11586, 1883, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 6.77000000, NULL, 20.31000000, 4.06000000, 0.00000000, 0.00000000, 24.37000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 20.31000000, 4.06000000, 24.37000000),
(11587, 1883, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.72000000, NULL, 15.44000000, 3.09000000, 0.00000000, 0.00000000, 18.53000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.72000000, 15.44000000, 3.09000000, 18.53000000),
(11588, 1883, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 1.14000000, NULL, 10.26000000, 2.05000000, 0.00000000, 0.00000000, 12.31000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 10.26000000, 2.05000000, 12.31000000),
(11589, 1883, NULL, 1231628, NULL, 'crapaud', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 2.69000000, NULL, 24.21000000, 4.84000000, 0.00000000, 0.00000000, 29.05000000, 0, NULL, NULL, 0, 1.69000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.69000000, 24.21000000, 4.84000000, 29.05000000),
(11590, 1883, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 598.50000000, NULL, 598.50000000, 119.70000000, 0.00000000, 0.00000000, 718.20000000, 0, NULL, NULL, 0, 450.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 598.50000000, 598.50000000, 119.70000000, 718.20000000),
(11591, 1884, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 403.53000000, NULL, 403.53000000, 80.71000000, 0.00000000, 0.00000000, 484.24000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 403.53000000, 403.53000000, 80.71000000, 484.24000000),
(11592, 1884, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 29.23000000, NULL, 29.23000000, 5.85000000, 0.00000000, 0.00000000, 35.08000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.23000000, 29.23000000, 5.85000000, 35.08000000),
(11593, 1884, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.53000000, NULL, 12.53000000, 2.51000000, 0.00000000, 0.00000000, 15.04000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.53000000, 12.53000000, 2.51000000, 15.04000000),
(11594, 1884, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 69.93000000, NULL, 69.93000000, 13.99000000, 0.00000000, 0.00000000, 83.92000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 69.93000000, 69.93000000, 13.99000000, 83.92000000),
(11595, 1884, NULL, 1222593, NULL, 'courroies_optibelt', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.91000000, NULL, 14.91000000, 2.98000000, 0.00000000, 0.00000000, 17.89000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.91000000, 14.91000000, 2.98000000, 17.89000000),
(11596, 1884, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.53000000, NULL, 81.53000000, 16.31000000, 0.00000000, 0.00000000, 97.84000000, 0, NULL, NULL, 0, 53.32000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.53000000, 81.53000000, 16.31000000, 97.84000000),
(11597, 1884, NULL, 952661, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 80.19000000, NULL, 80.19000000, 16.04000000, 0.00000000, 0.00000000, 96.23000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 80.19000000, 80.19000000, 16.04000000, 96.23000000),
(11598, 1884, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.73000000, NULL, 5.73000000, 1.15000000, 0.00000000, 0.00000000, 6.88000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.73000000, 5.73000000, 1.15000000, 6.88000000),
(11599, 1885, NULL, NULL, '1 LUCHARD 6000EL', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11600, 1885, NULL, 951736, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.30000000, NULL, 24.30000000, 4.86000000, 0.00000000, 0.00000000, 29.16000000, 0, NULL, NULL, 0, 11.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.30000000, 24.30000000, 4.86000000, 29.16000000),
(11601, 1885, NULL, 954045, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(11602, 1885, NULL, 954297, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.16000000, NULL, 68.16000000, 13.63000000, 0.00000000, 0.00000000, 81.79000000, 0, NULL, NULL, 0, 33.09000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.16000000, 68.16000000, 13.63000000, 81.79000000),
(11603, 1885, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11604, 1885, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(11605, 1885, NULL, 1222609, NULL, 'courroies_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 24.74000000, NULL, 74.22000000, 14.84000000, 0.00000000, 0.00000000, 89.06000000, 0, NULL, NULL, 0, 12.01000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.74000000, 74.22000000, 14.84000000, 89.06000000),
(11606, 1885, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(11607, 1885, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11608, 1885, NULL, NULL, '2 filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11609, 1885, NULL, 952690, NULL, 'cartouche media filtrant pne610rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 215.47000000, NULL, 193.92000000, 38.79000000, 0.00000000, 0.00000000, 232.71000000, 0, NULL, NULL, 0, 104.60000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 215.47000000, 193.92000000, 38.79000000, 232.71000000),
(11610, 1885, NULL, 952689, NULL, 'cartouche 610ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 214.36000000, NULL, 192.92000000, 38.59000000, 0.00000000, 0.00000000, 231.51000000, 0, NULL, NULL, 0, 104.06000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.36000000, 192.92000000, 38.59000000, 231.51000000),
(11611, 1885, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11612, 1886, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(11613, 1886, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 77.00000000, NULL, 154.00000000, 30.80000000, 0.00000000, 0.00000000, 184.80000000, 1, NULL, NULL, 0, 46.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.00000000, 154.00000000, 30.80000000, 184.80000000),
(11614, 1886, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11615, 1886, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(11616, 1887, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 62.00000000, NULL, 62.00000000, 12.40000000, 0.00000000, 0.00000000, 74.40000000, 0, NULL, NULL, 0, 43.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 62.00000000, 62.00000000, 12.40000000, 74.40000000),
(11617, 1887, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 186, 0, 0, NULL, 0.97000000, NULL, 180.42000000, 36.08000000, 0.00000000, 0.00000000, 216.50000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 180.42000000, 36.08000000, 216.50000000),
(11618, 1887, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(11619, 1888, NULL, NULL, '1 BDS7.5H', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11620, 1888, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 259.60000000, NULL, 259.60000000, 51.92000000, 0.00000000, 0.00000000, 311.52000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 259.60000000, 259.60000000, 51.92000000, 311.52000000),
(11621, 1888, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.68000000, NULL, 4.68000000, 0.94000000, 0.00000000, 0.00000000, 5.62000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.68000000, 4.68000000, 0.94000000, 5.62000000),
(11622, 1888, NULL, 1245924, NULL, 'COMPRESSOR VRS 46 - 5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 35.88000000, NULL, 71.76000000, 14.35000000, 0.00000000, 0.00000000, 86.11000000, 0, NULL, NULL, 0, 37.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.88000000, 71.76000000, 14.35000000, 86.11000000),
(11623, 1888, NULL, 1221764, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.10000000, NULL, 14.10000000, 2.82000000, 0.00000000, 0.00000000, 16.92000000, 0, NULL, NULL, 0, 8.05000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.10000000, 14.10000000, 2.82000000, 16.92000000),
(11624, 1888, NULL, 1221788, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.12000000, NULL, 21.12000000, 4.22000000, 0.00000000, 0.00000000, 25.34000000, 0, NULL, NULL, 0, 12.06000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.12000000, 21.12000000, 4.22000000, 25.34000000),
(11625, 1888, NULL, 1221717, NULL, 'separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 80.44000000, NULL, 80.44000000, 16.09000000, 0.00000000, 0.00000000, 96.53000000, 0, NULL, NULL, 0, 45.93000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 80.44000000, 80.44000000, 16.09000000, 96.53000000),
(11626, 1888, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11627, 1888, NULL, NULL, '2 UP5-7-10', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11628, 1888, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 259.60000000, NULL, 259.60000000, 51.92000000, 0.00000000, 0.00000000, 311.52000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 259.60000000, 259.60000000, 51.92000000, 311.52000000),
(11629, 1888, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.68000000, NULL, 4.68000000, 0.94000000, 0.00000000, 0.00000000, 5.62000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.68000000, 4.68000000, 0.94000000, 5.62000000),
(11630, 1888, NULL, 1245924, NULL, 'COMPRESSOR VRS 46 - 5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 35.88000000, NULL, 71.76000000, 14.35000000, 0.00000000, 0.00000000, 86.11000000, 0, NULL, NULL, 0, 37.20000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.88000000, 71.76000000, 14.35000000, 86.11000000),
(11631, 1888, NULL, 1221757, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.96000000, NULL, 17.96000000, 3.59000000, 0.00000000, 0.00000000, 21.55000000, 0, NULL, NULL, 0, 10.25000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.96000000, 17.96000000, 3.59000000, 21.55000000),
(11632, 1888, NULL, 1221780, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.42000000, NULL, 20.42000000, 4.08000000, 0.00000000, 0.00000000, 24.50000000, 0, NULL, NULL, 0, 11.66000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.42000000, 20.42000000, 4.08000000, 24.50000000),
(11633, 1888, NULL, 1221740, NULL, 'separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 66.55000000, NULL, 66.55000000, 13.31000000, 0.00000000, 0.00000000, 79.86000000, 0, NULL, NULL, 0, 38.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 66.55000000, 66.55000000, 13.31000000, 79.86000000),
(11634, 1888, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11638, 1889, NULL, 1230023, NULL, 'RAFRAICHISSEUR D\'AIR EVAPORATIF MOBILE - DEBIT D\'AIR MAXI 3000 M3/HALIMENTATION 230 V MONOPHASE -', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 360.00000000, NULL, 360.00000000, 72.00000000, 0.00000000, 0.00000000, 432.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 360.00000000, 360.00000000, 72.00000000, 432.00000000),
(11639, 1890, NULL, 1230023, NULL, 'RAFRAICHISSEUR D\'AIR EVAPORATIF MOBILE - DEBIT D\'AIR MAXI 3000 M3/HALIMENTATION 230 V MONOPHASE -', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 360.00000000, NULL, 360.00000000, 72.00000000, 0.00000000, 0.00000000, 432.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 360.00000000, 360.00000000, 72.00000000, 432.00000000),
(11640, 1891, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 266.79000000, NULL, 266.79000000, 53.36000000, 0.00000000, 0.00000000, 320.15000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 266.79000000, 266.79000000, 53.36000000, 320.15000000),
(11641, 1891, NULL, 1189329, NULL, 'filtre  711/715 (39x39x2)', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 35.35000000, NULL, 28.28000000, 5.66000000, 0.00000000, 0.00000000, 33.94000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.35000000, 28.28000000, 5.66000000, 33.94000000),
(11642, 1891, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11643, 1891, NULL, 1180028, NULL, 'KIT MAINTENANCE VERTICAL CONCEPT MK2', 20.000, '', 0.000, '0', 0.000, '0', 1, 30, 0, NULL, 475.00000000, NULL, 332.50000000, 66.50000000, 0.00000000, 0.00000000, 399.00000000, 0, NULL, NULL, 0, 209.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 475.00000000, 332.50000000, 66.50000000, 399.00000000),
(11644, 1892, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11645, 1892, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(11646, 1892, NULL, 1179647, NULL, 'SERVICE-KIT D55-275 A+W  24V/50+60Hz', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 401.40000000, NULL, 401.40000000, 80.28000000, 0.00000000, 0.00000000, 481.68000000, 0, NULL, NULL, 0, 240.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 401.40000000, 401.40000000, 80.28000000, 481.68000000),
(11647, 1892, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(11648, 1892, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(11649, 1892, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(11650, 1892, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 73.10000000, NULL, 146.20000000, 29.24000000, 0.00000000, 0.00000000, 175.44000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 146.20000000, 29.24000000, 175.44000000),
(11651, 1892, NULL, 1305285, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 265.00000000, NULL, 265.00000000, 53.00000000, 0.00000000, 0.00000000, 318.00000000, 0, NULL, NULL, 0, 146.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 265.00000000, 265.00000000, 53.00000000, 318.00000000),
(11652, 1892, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(11653, 1893, NULL, 1080071, NULL, 'Tube \"air comprimé\" diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 24, 0, 0, NULL, 3.57000000, NULL, 85.68000000, 17.14000000, 0.00000000, 0.00000000, 102.82000000, 0, NULL, NULL, 0, 7.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.57000000, 85.68000000, 17.14000000, 102.82000000),
(11654, 1893, NULL, 1079967, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 10.79000000, NULL, 21.58000000, 4.32000000, 0.00000000, 0.00000000, 25.90000000, 0, NULL, NULL, 0, 23.83000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.79000000, 21.58000000, 4.32000000, 25.90000000),
(11655, 1893, NULL, 1079995, NULL, 'Manchon diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 2.05000000, NULL, 12.30000000, 2.46000000, 0.00000000, 0.00000000, 14.76000000, 0, NULL, NULL, 0, 4.54000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.05000000, 12.30000000, 2.46000000, 14.76000000),
(11656, 1893, NULL, 1080015, NULL, 'Manchon d\'extrémité diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.00000000, NULL, 3.00000000, 0.60000000, 0.00000000, 0.00000000, 3.60000000, 0, NULL, NULL, 0, 6.63000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.00000000, 3.00000000, 0.60000000, 3.60000000),
(11657, 1893, NULL, 1079854, NULL, 'Té égal diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.74000000, NULL, 5.74000000, 1.15000000, 0.00000000, 0.00000000, 6.89000000, 0, NULL, NULL, 0, 12.67000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.74000000, 5.74000000, 1.15000000, 6.89000000),
(11658, 1893, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 2.16000000, NULL, 6.48000000, 1.30000000, 0.00000000, 0.00000000, 7.78000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.16000000, 6.48000000, 1.30000000, 7.78000000),
(11659, 1893, NULL, 1080115, NULL, 'Collier protégé pour tube diam. 42 - M8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.42000000, NULL, 4.20000000, 0.84000000, 0.00000000, 0.00000000, 5.04000000, 0, NULL, NULL, 0, 0.94000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.42000000, 4.20000000, 0.84000000, 5.04000000),
(11660, 1893, NULL, 1079872, NULL, 'Té réduit diam. ext. 42 . 28 . 42', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 4.97000000, NULL, 24.85000000, 4.97000000, 0.00000000, 0.00000000, 29.82000000, 0, NULL, NULL, 0, 10.98000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.97000000, 24.85000000, 4.97000000, 29.82000000),
(11661, 1893, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.05000000, NULL, 10.25000000, 2.05000000, 0.00000000, 0.00000000, 12.30000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.05000000, 10.25000000, 2.05000000, 12.30000000),
(11662, 1893, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.36000000, NULL, 11.80000000, 2.36000000, 0.00000000, 0.00000000, 14.16000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.36000000, 11.80000000, 2.36000000, 14.16000000),
(11663, 1893, NULL, 1080054, NULL, 'Crosse d\'évêque diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.94000000, NULL, 19.70000000, 3.94000000, 0.00000000, 0.00000000, 23.64000000, 0, NULL, NULL, 0, 8.69000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.94000000, 19.70000000, 3.94000000, 23.64000000),
(11664, 1893, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement<br>\n1 journ&eacute;e 1 technicien', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1004.52000000, NULL, 1004.52000000, 200.90000000, 0.00000000, 0.00000000, 1205.42000000, 0, NULL, NULL, 0, 484.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1004.52000000, 1004.52000000, 200.90000000, 1205.42000000),
(11665, 1894, NULL, 969790, NULL, 'Tube rigide Ø32mm ? barre de 4m', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 9.33000000, NULL, 37.32000000, 7.46000000, 0.00000000, 0.00000000, 44.78000000, 0, NULL, NULL, 0, 5.59800000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.33000000, 37.32000000, 7.46000000, 44.78000000),
(11666, 1894, NULL, 969798, NULL, 'Manchon égal Ø32mm', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 3.68000000, NULL, 29.44000000, 5.89000000, 0.00000000, 0.00000000, 35.33000000, 0, NULL, NULL, 0, 2.20800000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.68000000, 29.44000000, 5.89000000, 35.33000000),
(11667, 1894, NULL, 969806, NULL, 'Coude égal 90° Ø32mm', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 4.98000000, NULL, 59.76000000, 11.95000000, 0.00000000, 0.00000000, 71.71000000, 0, NULL, NULL, 0, 2.98800000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 59.76000000, 11.95000000, 71.71000000),
(11668, 1894, NULL, 969825, NULL, 'Té égal Ø32mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.68000000, NULL, 26.72000000, 5.34000000, 0.00000000, 0.00000000, 32.06000000, 0, NULL, NULL, 0, 4.00800000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.68000000, 26.72000000, 5.34000000, 32.06000000),
(11669, 1894, NULL, 969870, NULL, 'Réduction double Ø32x20mm', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 4.13000000, NULL, 12.39000000, 2.48000000, 0.00000000, 0.00000000, 14.87000000, 0, NULL, NULL, 0, 2.47800000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.13000000, 12.39000000, 2.48000000, 14.87000000),
(11670, 1894, NULL, 969834, NULL, 'Té réduit au centre Ø32mm ? Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.75000000, NULL, 9.75000000, 1.95000000, 0.00000000, 0.00000000, 11.70000000, 0, NULL, NULL, 0, 5.85000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.75000000, 9.75000000, 1.95000000, 11.70000000),
(11671, 1895, NULL, NULL, NULL, 'Maintenance L18RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11672, 1895, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(11673, 1895, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(11674, 1895, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(11675, 1895, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11676, 1895, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11677, 1895, NULL, NULL, NULL, 'Maintenance separateur de condensats', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11678, 1895, NULL, 955222, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.73000000, NULL, 78.73000000, 15.75000000, 0.00000000, 0.00000000, 94.48000000, 0, NULL, NULL, 0, 38.23000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.73000000, 78.73000000, 15.75000000, 94.48000000),
(11679, 1895, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11680, 1895, NULL, NULL, NULL, 'filtre reseau', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11681, 1895, NULL, 954012, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 83.38000000, NULL, 83.38000000, 16.68000000, 0.00000000, 0.00000000, 100.06000000, 0, NULL, NULL, 0, 35.74000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 83.38000000, 83.38000000, 16.68000000, 100.06000000),
(11682, 1895, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11683, 1896, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 369.91000000, NULL, 369.91000000, 73.98000000, 0.00000000, 0.00000000, 443.89000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 369.91000000, 369.91000000, 73.98000000, 443.89000000),
(11684, 1896, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.16000000, NULL, 5.16000000, 1.03000000, 0.00000000, 0.00000000, 6.19000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.16000000, 5.16000000, 1.03000000, 6.19000000),
(11685, 1896, NULL, 952144, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.45000000, NULL, 14.45000000, 2.89000000, 0.00000000, 0.00000000, 17.34000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.45000000, 14.45000000, 2.89000000, 17.34000000),
(11686, 1896, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.14000000, NULL, 23.14000000, 4.63000000, 0.00000000, 0.00000000, 27.77000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.14000000, 23.14000000, 4.63000000, 27.77000000),
(11687, 1896, NULL, 955027, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.54000000, NULL, 85.54000000, 17.11000000, 0.00000000, 0.00000000, 102.65000000, 0, NULL, NULL, 0, 44.27000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.54000000, 85.54000000, 17.11000000, 102.65000000),
(11688, 1897, NULL, 952819, NULL, 'secheur par refrigeration 180m3/h 3/4\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1237.65000000, NULL, 1237.65000000, 247.53000000, 0.00000000, 0.00000000, 1485.18000000, 0, NULL, NULL, 0, 952.04000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1237.65000000, 1237.65000000, 247.53000000, 1485.18000000),
(11689, 1898, NULL, NULL, '1 l15', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11690, 1898, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(11691, 1898, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11692, 1898, NULL, 1222522, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 11.76000000, NULL, 35.28000000, 7.06000000, 0.00000000, 0.00000000, 42.34000000, 0, NULL, NULL, 0, 5.71000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.76000000, 35.28000000, 7.06000000, 42.34000000),
(11693, 1898, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(11694, 1898, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(11695, 1898, NULL, 955041, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(11696, 1898, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(11697, 1898, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11698, 1898, NULL, NULL, '2 filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11699, 1898, NULL, 953173, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 125.98000000, NULL, 125.98000000, 25.20000000, 0.00000000, 0.00000000, 151.18000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 125.98000000, 125.98000000, 25.20000000, 151.18000000),
(11700, 1898, NULL, 953170, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 125.98000000, NULL, 125.98000000, 25.20000000, 0.00000000, 0.00000000, 151.18000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 125.98000000, 125.98000000, 25.20000000, 151.18000000),
(11701, 1898, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11702, 1898, NULL, NULL, '3 owamat 11', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11703, 1898, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(11704, 1898, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11707, 1900, NULL, 954010, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 40, 0, NULL, -56.19000000, NULL, -33.71000000, -6.75000000, 0.00000000, 0.00000000, -40.46000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.19000000, 33.71000000, 6.75000000, 40.46000000),
(11708, 1900, NULL, 953895, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 40, 0, NULL, -56.87000000, NULL, -34.12000000, -6.83000000, 0.00000000, 0.00000000, -40.95000000, 0, NULL, NULL, 0, 25.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.87000000, 34.12000000, 6.83000000, 40.95000000),
(11709, 1901, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(11710, 1902, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 415.64000000, NULL, 415.64000000, 83.13000000, 0.00000000, 0.00000000, 498.77000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 415.64000000, 415.64000000, 83.13000000, 498.77000000),
(11711, 1902, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.68000000, NULL, 5.68000000, 1.14000000, 0.00000000, 0.00000000, 6.82000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.68000000, 5.68000000, 1.14000000, 6.82000000),
(11712, 1902, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.92000000, NULL, 28.92000000, 5.78000000, 0.00000000, 0.00000000, 34.70000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.92000000, 28.92000000, 5.78000000, 34.70000000),
(11713, 1902, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.53000000, NULL, 16.53000000, 3.31000000, 0.00000000, 0.00000000, 19.84000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.53000000, 16.53000000, 3.31000000, 19.84000000),
(11714, 1902, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 116.72000000, NULL, 116.72000000, 23.34000000, 0.00000000, 0.00000000, 140.06000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 116.72000000, 116.72000000, 23.34000000, 140.06000000),
(11715, 1902, NULL, 1231698, NULL, 'bidons huiles 10L minéral 68', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 58.88000000, NULL, 58.88000000, 11.78000000, 0.00000000, 0.00000000, 70.66000000, 0, NULL, NULL, 0, 39.90000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 58.88000000, 58.88000000, 11.78000000, 70.66000000),
(11716, 1902, NULL, 1231786, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.98000000, NULL, 30.98000000, 6.20000000, 0.00000000, 0.00000000, 37.18000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.98000000, 30.98000000, 6.20000000, 37.18000000),
(11717, 1903, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 415.64000000, NULL, 415.64000000, 83.13000000, 0.00000000, 0.00000000, 498.77000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 415.64000000, 415.64000000, 83.13000000, 498.77000000),
(11718, 1903, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.68000000, NULL, 5.68000000, 1.14000000, 0.00000000, 0.00000000, 6.82000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.68000000, 5.68000000, 1.14000000, 6.82000000),
(11719, 1903, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.92000000, NULL, 28.92000000, 5.78000000, 0.00000000, 0.00000000, 34.70000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.92000000, 28.92000000, 5.78000000, 34.70000000),
(11720, 1903, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.53000000, NULL, 16.53000000, 3.31000000, 0.00000000, 0.00000000, 19.84000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.53000000, 16.53000000, 3.31000000, 19.84000000),
(11721, 1903, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 116.72000000, NULL, 116.72000000, 23.34000000, 0.00000000, 0.00000000, 140.06000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 116.72000000, 116.72000000, 23.34000000, 140.06000000),
(11722, 1903, NULL, 1231698, NULL, 'bidons huiles 10L minéral 68', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 58.88000000, NULL, 58.88000000, 11.78000000, 0.00000000, 0.00000000, 70.66000000, 0, NULL, NULL, 0, 39.90000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 58.88000000, 58.88000000, 11.78000000, 70.66000000),
(11723, 1903, NULL, 1231786, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.98000000, NULL, 30.98000000, 6.20000000, 0.00000000, 0.00000000, 37.18000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.98000000, 30.98000000, 6.20000000, 37.18000000),
(11724, 1904, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 524.48000000, NULL, 524.48000000, 104.90000000, 0.00000000, 0.00000000, 629.38000000, 0, NULL, NULL, 0, 500.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 524.48000000, 524.48000000, 104.90000000, 629.38000000),
(11725, 1904, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 278.34000000, NULL, 278.34000000, 55.67000000, 0.00000000, 0.00000000, 334.01000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 278.34000000, 278.34000000, 55.67000000, 334.01000000),
(11726, 1904, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.32000000, NULL, 14.64000000, 2.93000000, 0.00000000, 0.00000000, 17.57000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.32000000, 14.64000000, 2.93000000, 17.57000000),
(11727, 1904, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 4.02000000, NULL, 48.24000000, 9.65000000, 0.00000000, 0.00000000, 57.89000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.02000000, 48.24000000, 9.65000000, 57.89000000),
(11728, 1904, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.18000000, NULL, 10.36000000, 2.07000000, 0.00000000, 0.00000000, 12.43000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.18000000, 10.36000000, 2.07000000, 12.43000000),
(11729, 1904, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.31000000, NULL, 43.10000000, 8.62000000, 0.00000000, 0.00000000, 51.72000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.31000000, 43.10000000, 8.62000000, 51.72000000),
(11730, 1904, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 5.34000000, NULL, 32.04000000, 6.41000000, 0.00000000, 0.00000000, 38.45000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 32.04000000, 6.41000000, 38.45000000),
(11731, 1904, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 0.90000000, NULL, 10.80000000, 2.16000000, 0.00000000, 0.00000000, 12.96000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.90000000, 10.80000000, 2.16000000, 12.96000000),
(11732, 1904, NULL, 1586872, NULL, 'regulateur en 1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 96.83000000, NULL, 193.66000000, 38.73000000, 0.00000000, 0.00000000, 232.39000000, 0, NULL, NULL, 0, 35.42000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.83000000, 193.66000000, 38.73000000, 232.39000000),
(11733, 1904, NULL, 1586818, NULL, 'filtre regulateur lubrificateur en 1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 127.49000000, NULL, 254.98000000, 51.00000000, 0.00000000, 0.00000000, 305.98000000, 0, NULL, NULL, 0, 86.90000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 127.49000000, 254.98000000, 51.00000000, 305.98000000),
(11734, 1904, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 20.15000000, NULL, 80.60000000, 16.12000000, 0.00000000, 0.00000000, 96.72000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.15000000, 80.60000000, 16.12000000, 96.72000000),
(11735, 1904, NULL, 971607, NULL, 'Raccord sécurité M G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.41000000, NULL, 28.82000000, 5.76000000, 0.00000000, 0.00000000, 34.58000000, 0, NULL, NULL, 0, 8.67000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.41000000, 28.82000000, 5.76000000, 34.58000000),
(11736, 1904, NULL, NULL, NULL, 'plaque acier 60x30 &agrave; souder pour fixation FRL', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.10000000, NULL, 24.20000000, 4.84000000, 0.00000000, 0.00000000, 29.04000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.10000000, 24.20000000, 4.84000000, 29.04000000),
(11737, 1904, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.99000000, NULL, 5.98000000, 1.20000000, 0.00000000, 0.00000000, 7.18000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.99000000, 5.98000000, 1.20000000, 7.18000000),
(11738, 1904, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.96000000, NULL, 11.92000000, 2.38000000, 0.00000000, 0.00000000, 14.30000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.96000000, 11.92000000, 2.38000000, 14.30000000),
(11739, 1904, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.13000000, NULL, 6.78000000, 1.36000000, 0.00000000, 0.00000000, 8.14000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.13000000, 6.78000000, 1.36000000, 8.14000000),
(11740, 1904, NULL, 966946, NULL, 'Coude M/F G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.26000000, NULL, 4.52000000, 0.90000000, 0.00000000, 0.00000000, 5.42000000, 0, NULL, NULL, 0, 1.40000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.26000000, 4.52000000, 0.90000000, 5.42000000),
(11741, 1905, NULL, NULL, NULL, 'frais de port Express', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.00000000, NULL, 23.00000000, 4.60000000, 0.00000000, 0.00000000, 27.60000000, 1, NULL, NULL, 0, 23.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.00000000, 23.00000000, 4.60000000, 27.60000000),
(11742, 1905, NULL, 967048, NULL, 'About de jonction pour tuyau 8mm Mâle G3/8 Acier', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.91000000, NULL, 2.91000000, 0.58000000, 0.00000000, 0.00000000, 3.49000000, 0, NULL, NULL, 0, 1.45500000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.91000000, 2.91000000, 0.58000000, 3.49000000),
(11743, 1905, NULL, 971818, NULL, 'About rectifié DN11 Profil ISO 6150C Acier INOX 13% de chrome Femelle G3/8\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.60000000, NULL, 15.60000000, 3.12000000, 0.00000000, 0.00000000, 18.72000000, 0, NULL, NULL, 0, 9.36000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.60000000, 15.60000000, 3.12000000, 18.72000000),
(11744, 1906, NULL, 952992, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 88.70000000, NULL, 88.70000000, 17.74000000, 0.00000000, 0.00000000, 106.44000000, 0, NULL, NULL, 0, 34.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.70000000, 88.70000000, 17.74000000, 106.44000000),
(11745, 1906, NULL, 952994, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 88.70000000, NULL, 88.70000000, 17.74000000, 0.00000000, 0.00000000, 106.44000000, 0, NULL, NULL, 0, 34.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.70000000, 88.70000000, 17.74000000, 106.44000000),
(11746, 1907, NULL, 1178171, NULL, 'AIR END SHAFT SEAL KIT EK140NK', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 463.98000000, NULL, 463.98000000, 92.80000000, 0.00000000, 0.00000000, 556.78000000, 0, NULL, NULL, 0, 356.91000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 463.98000000, 463.98000000, 92.80000000, 556.78000000),
(11747, 1907, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 520.00000000, NULL, 520.00000000, 104.00000000, 0.00000000, 0.00000000, 624.00000000, 0, NULL, NULL, 0, 400.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 520.00000000, 520.00000000, 104.00000000, 624.00000000),
(11748, 1908, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(11749, 1908, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11750, 1908, NULL, 1586987, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 54.00000000, NULL, 54.00000000, 10.80000000, 0.00000000, 0.00000000, 64.80000000, 0, NULL, NULL, 0, 29.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 54.00000000, 54.00000000, 10.80000000, 64.80000000),
(11751, 1908, NULL, 1221754, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.34000000, NULL, 48.34000000, 9.67000000, 0.00000000, 0.00000000, 58.01000000, 0, NULL, NULL, 0, 24.17000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.34000000, 48.34000000, 9.67000000, 58.01000000),
(11752, 1908, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(11753, 1909, NULL, 1179629, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(11754, 1909, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11755, 1909, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(11756, 1909, NULL, 1305086, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.00000000, NULL, 79.00000000, 15.80000000, 0.00000000, 0.00000000, 94.80000000, 0, NULL, NULL, 0, 34.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 79.00000000, 15.80000000, 94.80000000),
(11757, 1910, NULL, 1178170, NULL, 'AIR END EXTERNAL EK140NK', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 7760.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7760.00000000, 0.00000000, 0.00000000, 0.00000000),
(11758, 1910, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 62, 0, 0, NULL, 0.97000000, NULL, 60.14000000, 12.03000000, 0.00000000, 0.00000000, 72.17000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 60.14000000, 12.03000000, 72.17000000),
(11759, 1910, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 5.5, 0, 0, NULL, 63.84000000, NULL, 351.12000000, 70.22000000, 0.00000000, 0.00000000, 421.34000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 351.12000000, 70.22000000, 421.34000000),
(11760, 1911, NULL, NULL, '1 Maintenance compresseur L11RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11761, 1911, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(11762, 1911, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(11763, 1911, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11764, 1911, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.62000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(11765, 1911, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(11766, 1911, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11767, 1911, NULL, NULL, '2 Maintenance separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11768, 1911, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(11769, 1911, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11770, 1912, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 0.25, 0, 0, NULL, 63.84000000, NULL, 15.96000000, 3.19000000, 0.00000000, 0.00000000, 19.15000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 15.96000000, 3.19000000, 19.15000000),
(11771, 1912, NULL, NULL, NULL, 'Ressort N084', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.00000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.00000000, 5.00000000, 1.00000000, 6.00000000),
(11772, 1913, NULL, 1190716, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.40000000, NULL, 82.40000000, 16.48000000, 0.00000000, 0.00000000, 98.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.40000000, 82.40000000, 16.48000000, 98.88000000),
(11773, 1913, NULL, 1190376, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 331.44000000, NULL, 331.44000000, 66.29000000, 0.00000000, 0.00000000, 397.73000000, 0, NULL, NULL, 0, 249.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 331.44000000, 331.44000000, 66.29000000, 397.73000000),
(11774, 1914, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(11775, 1914, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11776, 1914, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(11777, 1914, NULL, 1586780, NULL, 'KIT DE MAINTENANCE / équivalent à: COMPAIR-HOLMAN - CK 2100-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.90000000, NULL, 39.90000000, 7.98000000, 0.00000000, 0.00000000, 47.88000000, 0, NULL, NULL, 0, 17.58000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.90000000, 39.90000000, 7.98000000, 47.88000000),
(11778, 1914, NULL, 1221739, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.80000000, NULL, 96.80000000, 19.36000000, 0.00000000, 0.00000000, 116.16000000, 0, NULL, NULL, 0, 48.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.80000000, 96.80000000, 19.36000000, 116.16000000),
(11779, 1915, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11780, 1915, NULL, 1222568, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(11781, 1915, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(11782, 1915, NULL, 1305086, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.00000000, NULL, 79.00000000, 15.80000000, 0.00000000, 0.00000000, 94.80000000, 0, NULL, NULL, 0, 34.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 79.00000000, 15.80000000, 94.80000000),
(11783, 1915, NULL, 1230901, NULL, 'SEPARATOR ST005 0-0101/SP015-022', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 222.00000000, NULL, 222.00000000, 44.40000000, 0.00000000, 0.00000000, 266.40000000, 0, NULL, NULL, 0, 110.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 222.00000000, 222.00000000, 44.40000000, 266.40000000),
(11784, 1915, NULL, 1305281, NULL, 'SERVICE PACKAGE  E      L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 248.00000000, NULL, 248.00000000, 49.60000000, 0.00000000, 0.00000000, 297.60000000, 0, NULL, NULL, 0, 136.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 248.00000000, 248.00000000, 49.60000000, 297.60000000),
(11785, 1915, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(11786, 1916, NULL, NULL, '1 Compresseur RLR50BX6 N° 6240330700 N° série WCO103351 de 2003', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11787, 1916, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11788, 1916, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.07000000, NULL, 99.07000000, 19.81000000, 0.00000000, 0.00000000, 118.88000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.07000000, 99.07000000, 19.81000000, 118.88000000),
(11789, 1916, NULL, 955106, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 171.00000000, NULL, 171.00000000, 34.20000000, 0.00000000, 0.00000000, 205.20000000, 0, NULL, NULL, 0, 99.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 171.00000000, 171.00000000, 34.20000000, 205.20000000),
(11790, 1916, NULL, 951973, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.01000000, NULL, 57.01000000, 11.40000000, 0.00000000, 0.00000000, 68.41000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.01000000, 57.01000000, 11.40000000, 68.41000000),
(11791, 1916, NULL, 954138, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.73000000, NULL, 34.73000000, 6.95000000, 0.00000000, 0.00000000, 41.68000000, 0, NULL, NULL, 0, 18.84000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.73000000, 34.73000000, 6.95000000, 41.68000000),
(11792, 1916, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 360.07000000, NULL, 360.07000000, 72.01000000, 0.00000000, 0.00000000, 432.08000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 360.07000000, 360.07000000, 72.01000000, 432.08000000),
(11793, 1916, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11794, 1916, NULL, NULL, '2 RLR40 BME8 N° 6240367700 N° série WCF151422 de 2006', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11795, 1916, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11796, 1916, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 128.16000000, NULL, 128.16000000, 25.63000000, 0.00000000, 0.00000000, 153.79000000, 0, NULL, NULL, 0, 69.53000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 128.16000000, 128.16000000, 25.63000000, 153.79000000),
(11797, 1916, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.60000000, NULL, 17.60000000, 3.52000000, 0.00000000, 0.00000000, 21.12000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.60000000, 17.60000000, 3.52000000, 21.12000000),
(11798, 1916, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.07000000, NULL, 22.07000000, 4.41000000, 0.00000000, 0.00000000, 26.48000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.07000000, 22.07000000, 4.41000000, 26.48000000),
(11799, 1916, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.07000000, NULL, 99.07000000, 19.81000000, 0.00000000, 0.00000000, 118.88000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.07000000, 99.07000000, 19.81000000, 118.88000000),
(11800, 1916, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 360.07000000, NULL, 360.07000000, 72.01000000, 0.00000000, 0.00000000, 432.08000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 360.07000000, 360.07000000, 72.01000000, 432.08000000),
(11801, 1916, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11802, 1916, NULL, NULL, '3 Filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11803, 1916, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 0.5, 0, 0, NULL, 57.12000000, NULL, 28.56000000, 5.71000000, 0.00000000, 0.00000000, 34.27000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.12000000, 28.56000000, 5.71000000, 34.27000000),
(11804, 1916, NULL, 1307260, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.81000000, NULL, 85.81000000, 17.16000000, 0.00000000, 0.00000000, 102.97000000, 0, NULL, NULL, 0, 52.74000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.81000000, 85.81000000, 17.16000000, 102.97000000),
(11805, 1916, NULL, 953303, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.19000000, NULL, 102.19000000, 20.44000000, 0.00000000, 0.00000000, 122.63000000, 0, NULL, NULL, 0, 55.44000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.19000000, 102.19000000, 20.44000000, 122.63000000),
(11806, 1916, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11807, 1916, NULL, NULL, '4 Séparateur de condensats OWAMAT5R', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11808, 1916, NULL, 955150, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 166.96000000, NULL, 166.96000000, 33.39000000, 0.00000000, 0.00000000, 200.35000000, 0, NULL, NULL, 0, 90.58000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 166.96000000, 166.96000000, 33.39000000, 200.35000000),
(11809, 1916, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.12000000, NULL, 57.12000000, 11.42000000, 0.00000000, 0.00000000, 68.54000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.12000000, 57.12000000, 11.42000000, 68.54000000),
(11810, 1916, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11811, 1916, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11812, 1917, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.12000000, NULL, 418.12000000, 83.62000000, 0.00000000, 0.00000000, 501.74000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.12000000, 418.12000000, 83.62000000, 501.74000000),
(11813, 1917, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.71000000, NULL, 5.71000000, 1.14000000, 0.00000000, 0.00000000, 6.85000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.71000000, 5.71000000, 1.14000000, 6.85000000),
(11814, 1917, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 29.09000000, NULL, 29.09000000, 5.82000000, 0.00000000, 0.00000000, 34.91000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.09000000, 29.09000000, 5.82000000, 34.91000000),
(11815, 1917, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.62000000, NULL, 16.62000000, 3.32000000, 0.00000000, 0.00000000, 19.94000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.62000000, 16.62000000, 3.32000000, 19.94000000),
(11816, 1917, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.41000000, NULL, 117.41000000, 23.48000000, 0.00000000, 0.00000000, 140.89000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.41000000, 117.41000000, 23.48000000, 140.89000000),
(11817, 1917, NULL, 1231698, NULL, 'bidons huiles 10L minéral 68', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.24000000, NULL, 59.24000000, 11.85000000, 0.00000000, 0.00000000, 71.09000000, 0, NULL, NULL, 0, 39.90000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.24000000, 59.24000000, 11.85000000, 71.09000000),
(11818, 1918, NULL, 1180530, NULL, 'PRESSURE SENSOR -1...15 bar / 4-20 mA', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 192.00000000, NULL, 153.60000000, 30.72000000, 0.00000000, 0.00000000, 184.32000000, 0, NULL, NULL, 0, 105.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 192.00000000, 153.60000000, 30.72000000, 184.32000000),
(11819, 1918, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(11820, 1919, NULL, 1179627, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(11821, 1919, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11822, 1919, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(11823, 1919, NULL, 1213335, NULL, 'CARTOUCHE E75 1\"1/2 FILTRE S-AIR XA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.68000000, NULL, 160.68000000, 32.14000000, 0.00000000, 0.00000000, 192.82000000, 0, NULL, NULL, 0, 78.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.68000000, 160.68000000, 32.14000000, 192.82000000),
(11824, 1919, NULL, 1213333, NULL, 'CARTOUCHE E75 1\"1/2 FILTRE S-AIR X1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.68000000, NULL, 160.68000000, 32.14000000, 0.00000000, 0.00000000, 192.82000000, 0, NULL, NULL, 0, 78.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.68000000, 160.68000000, 32.14000000, 192.82000000),
(11825, 1919, NULL, 1179655, NULL, 'SEPARATOR KIT D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 613.40000000, NULL, 613.40000000, 122.68000000, 0.00000000, 0.00000000, 736.08000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 613.40000000, 613.40000000, 122.68000000, 736.08000000),
(11826, 1919, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(11827, 1919, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(11828, 1920, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11829, 1920, NULL, 955041, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.22000000, NULL, 123.22000000, 24.64000000, 0.00000000, 0.00000000, 147.86000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.22000000, 123.22000000, 24.64000000, 147.86000000),
(11830, 1920, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.67000000, NULL, 24.67000000, 4.93000000, 0.00000000, 0.00000000, 29.60000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 24.67000000, 4.93000000, 29.60000000),
(11831, 1920, NULL, 951949, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.53000000, NULL, 24.53000000, 4.91000000, 0.00000000, 0.00000000, 29.44000000, 0, NULL, NULL, 0, 11.91000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.53000000, 24.53000000, 4.91000000, 29.44000000),
(11832, 1920, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(11833, 1921, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(11834, 1921, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11835, 1921, NULL, 1222603, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 15.64000000, NULL, 31.28000000, 6.26000000, 0.00000000, 0.00000000, 37.54000000, 0, NULL, NULL, 0, 7.82000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.64000000, 31.28000000, 6.26000000, 37.54000000),
(11836, 1921, NULL, 1179622, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(11837, 1921, NULL, 1230901, NULL, 'SEPARATOR ST005 0-0101/SP015-022', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 222.00000000, NULL, 222.00000000, 44.40000000, 0.00000000, 0.00000000, 266.40000000, 0, NULL, NULL, 0, 100.60000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 222.00000000, 222.00000000, 44.40000000, 266.40000000),
(11838, 1921, NULL, 1305282, NULL, 'MAJOR KIT E               L07 - L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 251.00000000, NULL, 251.00000000, 50.20000000, 0.00000000, 0.00000000, 301.20000000, 0, NULL, NULL, 0, 138.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 251.00000000, 251.00000000, 50.20000000, 301.20000000),
(11839, 1922, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 303.35000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(11840, 1922, NULL, 1230694, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 3.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(11841, 1922, NULL, 1221769, NULL, 'filtre huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.47000000, NULL, 28.47000000, 5.69000000, 0.00000000, 0.00000000, 34.16000000, 0, NULL, NULL, 0, 13.82000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.47000000, 28.47000000, 5.69000000, 34.16000000),
(11842, 1922, NULL, 1221733, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.66000000, NULL, 61.66000000, 12.33000000, 0.00000000, 0.00000000, 73.99000000, 0, NULL, NULL, 0, 29.93000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.66000000, 61.66000000, 12.33000000, 73.99000000),
(11843, 1922, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11844, 1923, NULL, NULL, '1 Maintenance l15', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11845, 1923, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 332.59000000, NULL, 332.59000000, 66.52000000, 0.00000000, 0.00000000, 399.11000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 332.59000000, 332.59000000, 66.52000000, 399.11000000),
(11846, 1923, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.00000000, NULL, 8.00000000, 1.60000000, 0.00000000, 0.00000000, 9.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.00000000, 8.00000000, 1.60000000, 9.60000000),
(11847, 1923, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 26.06000000, NULL, 52.12000000, 10.42000000, 0.00000000, 0.00000000, 62.54000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.06000000, 52.12000000, 10.42000000, 62.54000000),
(11848, 1923, NULL, 1222522, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 10.57000000, NULL, 31.71000000, 6.34000000, 0.00000000, 0.00000000, 38.05000000, 0, NULL, NULL, 0, 5.71000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.57000000, 31.71000000, 6.34000000, 38.05000000),
(11849, 1923, NULL, 1586780, NULL, 'KIT DE MAINTENANCE / équivalent à: COMPAIR-HOLMAN - CK 2100-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.87000000, NULL, 35.87000000, 7.17000000, 0.00000000, 0.00000000, 43.04000000, 0, NULL, NULL, 0, 17.58000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.87000000, 35.87000000, 7.17000000, 43.04000000),
(11850, 1923, NULL, 1221739, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 87.03000000, NULL, 87.03000000, 17.41000000, 0.00000000, 0.00000000, 104.44000000, 0, NULL, NULL, 0, 48.40000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 87.03000000, 87.03000000, 17.41000000, 104.44000000),
(11851, 1923, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11852, 1923, NULL, NULL, '2 Changement cuve 500Litres de 96 - travaux en meme temps que la maintenance :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11853, 1923, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 538.00000000, NULL, 538.00000000, 107.60000000, 0.00000000, 0.00000000, 645.60000000, 0, NULL, NULL, 0, 399.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 538.00000000, 538.00000000, 107.60000000, 645.60000000),
(11854, 1923, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(11855, 1923, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(11856, 1923, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11857, 1923, NULL, NULL, '3 remplacement de cartouches des 2 filtres réseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11858, 1923, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(11859, 1923, NULL, 1586969, NULL, 'CARTOUCHE 3µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.18000000, NULL, 48.18000000, 9.64000000, 0.00000000, 0.00000000, 57.82000000, 0, NULL, NULL, 0, 24.09000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.18000000, 48.18000000, 9.64000000, 57.82000000),
(11860, 1923, NULL, 1586970, NULL, 'CARTOUCHE 1µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.18000000, NULL, 48.18000000, 9.64000000, 0.00000000, 0.00000000, 57.82000000, 0, NULL, NULL, 0, 24.09000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.18000000, 48.18000000, 9.64000000, 57.82000000),
(11861, 1923, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11862, 1923, NULL, NULL, '4 Suppression de tous les flexibles par de l\'inox diametre 28 avec un bypass cuve et un bypass secheur', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11863, 1923, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1094.96000000, NULL, 1094.96000000, 218.99000000, 0.00000000, 0.00000000, 1313.95000000, 0, NULL, NULL, 0, 900.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1094.96000000, 1094.96000000, 218.99000000, 1313.95000000),
(11864, 1923, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11865, 1924, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11866, 1924, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(11867, 1924, NULL, 1222601, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.96000000, NULL, 53.88000000, 10.78000000, 0.00000000, 0.00000000, 64.66000000, 0, NULL, NULL, 0, 9.69000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.96000000, 53.88000000, 10.78000000, 64.66000000),
(11868, 1924, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(11869, 1925, NULL, 1190375, NULL, 'Forfait intervention ZONE C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 652.12000000, NULL, 652.12000000, 130.42000000, 0.00000000, 0.00000000, 782.54000000, 0, NULL, NULL, 0, 500.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 652.12000000, 652.12000000, 130.42000000, 782.54000000),
(11870, 1925, NULL, NULL, '1 SCREW 10', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11871, 1925, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(11872, 1925, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11873, 1925, NULL, 1231653, NULL, 'SEPRATEUR AIR/HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 41.82000000, NULL, 41.82000000, 8.36000000, 0.00000000, 0.00000000, 50.18000000, 0, NULL, NULL, 0, 19.41000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.82000000, 41.82000000, 8.36000000, 50.18000000),
(11874, 1925, NULL, 1231765, NULL, 'FILTRE HYDRAULIQUE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.00000000, NULL, 11.00000000, 2.20000000, 0.00000000, 0.00000000, 13.20000000, 0, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.00000000, 11.00000000, 2.20000000, 13.20000000),
(11875, 1925, NULL, 952012, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.83000000, NULL, 19.83000000, 3.97000000, 0.00000000, 0.00000000, 23.80000000, 0, NULL, NULL, 0, 9.63000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.83000000, 19.83000000, 3.97000000, 23.80000000),
(11876, 1925, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11877, 1925, NULL, NULL, '2 piston', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11878, 1925, NULL, 1231740, NULL, 'filre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 1.87000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(11879, 1925, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11880, 1925, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(11881, 1925, NULL, 952661, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(11882, 1925, NULL, 952662, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(11883, 1925, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11884, 1925, NULL, NULL, '3 star20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11885, 1925, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11886, 1925, NULL, 952140, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.08000000, NULL, 35.08000000, 7.02000000, 0.00000000, 0.00000000, 42.10000000, 0, NULL, NULL, 0, 16.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.08000000, 35.08000000, 7.02000000, 42.10000000),
(11887, 1925, NULL, 954045, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 8.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(11888, 1925, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 32.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(11889, 1925, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(11890, 1925, NULL, 1222604, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.10000000, NULL, 32.20000000, 6.44000000, 0.00000000, 0.00000000, 38.64000000, 0, NULL, NULL, 0, 7.82000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.10000000, 32.20000000, 6.44000000, 38.64000000),
(11891, 1925, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11892, 1926, NULL, NULL, NULL, 'Maintenance GA90', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11893, 1926, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(11894, 1926, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11895, 1926, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(11896, 1926, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 24.67000000, NULL, 49.34000000, 9.87000000, 0.00000000, 0.00000000, 59.21000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 49.34000000, 9.87000000, 59.21000000),
(11897, 1926, NULL, 952269, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 137.42000000, NULL, 137.42000000, 27.48000000, 0.00000000, 0.00000000, 164.90000000, 0, NULL, NULL, 0, 66.71000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 137.42000000, 137.42000000, 27.48000000, 164.90000000),
(11898, 1926, NULL, 954983, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 252.74000000, NULL, 252.74000000, 50.55000000, 0.00000000, 0.00000000, 303.29000000, 0, NULL, NULL, 0, 122.69000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 252.74000000, 252.74000000, 50.55000000, 303.29000000),
(11899, 1926, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11900, 1926, NULL, NULL, NULL, 'Filtre reseau :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11901, 1926, NULL, 953519, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 229.99000000, NULL, 229.99000000, 46.00000000, 0.00000000, 0.00000000, 275.99000000, 0, NULL, NULL, 0, 105.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 229.99000000, 229.99000000, 46.00000000, 275.99000000),
(11902, 1926, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11903, 1926, NULL, NULL, NULL, 'Maintenance GA30 :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11904, 1926, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11905, 1926, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(11906, 1926, NULL, 954856, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 164.12000000, NULL, 164.12000000, 32.82000000, 0.00000000, 0.00000000, 196.94000000, 0, NULL, NULL, 0, 84.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 164.12000000, 164.12000000, 32.82000000, 196.94000000),
(11907, 1926, NULL, 955244, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.18000000, NULL, 20.18000000, 4.04000000, 0.00000000, 0.00000000, 24.22000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.18000000, 20.18000000, 4.04000000, 24.22000000),
(11908, 1926, NULL, 951728, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 43.87000000, NULL, 43.87000000, 8.77000000, 0.00000000, 0.00000000, 52.64000000, 0, NULL, NULL, 0, 19.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 43.87000000, 43.87000000, 8.77000000, 52.64000000),
(11909, 1926, NULL, 954034, NULL, 'ck2004-2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.67000000, NULL, 24.67000000, 4.93000000, 0.00000000, 0.00000000, 29.60000000, 0, NULL, NULL, 0, 11.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 24.67000000, 4.93000000, 29.60000000),
(11910, 1926, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11911, 1927, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.91000000, NULL, 377.91000000, 75.58000000, 0.00000000, 0.00000000, 453.49000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.91000000, 377.91000000, 75.58000000, 453.49000000),
(11912, 1927, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11913, 1927, NULL, 955030, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 187.25000000, NULL, 168.53000000, 33.70000000, 0.00000000, 0.00000000, 202.23000000, 0, NULL, NULL, 0, 90.90000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 187.25000000, 168.53000000, 33.70000000, 202.23000000),
(11914, 1927, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(11915, 1927, NULL, 954034, NULL, 'ck2004-2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.67000000, NULL, 24.67000000, 4.93000000, 0.00000000, 0.00000000, 29.60000000, 0, NULL, NULL, 0, 11.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 24.67000000, 4.93000000, 29.60000000),
(11916, 1927, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(11917, 1928, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(11918, 1928, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.97000000, NULL, 58.20000000, 11.64000000, 0.00000000, 0.00000000, 69.84000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 58.20000000, 11.64000000, 69.84000000),
(11919, 1928, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 62.00000000, NULL, 62.00000000, 12.40000000, 0.00000000, 0.00000000, 74.40000000, 0, NULL, NULL, 0, 43.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 62.00000000, 62.00000000, 12.40000000, 74.40000000),
(11920, 1929, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(11921, 1929, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11922, 1929, NULL, 1180343, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 5L', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 77.00000000, NULL, 154.00000000, 30.80000000, 0.00000000, 0.00000000, 184.80000000, 1, NULL, NULL, 0, 47.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.00000000, 154.00000000, 30.80000000, 184.80000000),
(11923, 1929, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(11924, 1929, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(11925, 1929, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(11926, 1929, NULL, 1177750, NULL, 'AIR-OIL SEPAR. BOX', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 147.65000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(11927, 1929, NULL, 1305285, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 265.00000000, NULL, 265.00000000, 53.00000000, 0.00000000, 0.00000000, 318.00000000, 0, NULL, NULL, 0, 146.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 265.00000000, 265.00000000, 53.00000000, 318.00000000),
(11928, 1930, NULL, 1179624, NULL, 'Kit de service C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.47000000, NULL, 76.47000000, 15.29000000, 0.00000000, 0.00000000, 91.76000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.47000000, 76.47000000, 15.29000000, 91.76000000),
(11929, 1930, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.05000000, NULL, 50.05000000, 10.01000000, 0.00000000, 0.00000000, 60.06000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.05000000, 50.05000000, 10.01000000, 60.06000000),
(11930, 1930, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 244.40000000, NULL, 244.40000000, 48.88000000, 0.00000000, 0.00000000, 293.28000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 244.40000000, 244.40000000, 48.88000000, 293.28000000),
(11931, 1930, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.87000000, NULL, 4.87000000, 0.97000000, 0.00000000, 0.00000000, 5.84000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.87000000, 4.87000000, 0.97000000, 5.84000000),
(11932, 1930, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 37.29000000, NULL, 37.29000000, 7.46000000, 0.00000000, 0.00000000, 44.75000000, 0, NULL, NULL, 0, 42.79000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 37.29000000, 37.29000000, 7.46000000, 44.75000000),
(11933, 1930, NULL, 1177750, NULL, 'Elément filtre séparateur air-huile #QR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 226.33000000, NULL, 226.33000000, 45.27000000, 0.00000000, 0.00000000, 271.60000000, 0, NULL, NULL, 0, 243.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 226.33000000, 226.33000000, 45.27000000, 271.60000000),
(11934, 1930, NULL, 1305285, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 147.73000000, NULL, 147.73000000, 29.55000000, 0.00000000, 0.00000000, 177.28000000, 0, NULL, NULL, 0, 146.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 147.73000000, 147.73000000, 29.55000000, 177.28000000),
(11935, 1931, NULL, 1219895, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 538.00000000, NULL, 538.00000000, 107.60000000, 0.00000000, 0.00000000, 645.60000000, 0, NULL, NULL, 0, 379.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 538.00000000, 538.00000000, 107.60000000, 645.60000000),
(11936, 1931, NULL, 952653, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(11937, 1931, NULL, 1222643, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 532.00000000, NULL, 532.00000000, 106.40000000, 0.00000000, 0.00000000, 638.40000000, 0, NULL, NULL, 0, 400.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 532.00000000, 532.00000000, 106.40000000, 638.40000000),
(11939, 1932, NULL, 952818, NULL, 'sécheur réfrigeration 144m3/h racc 3/4\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 998.23000000, NULL, 998.23000000, 199.65000000, 0.00000000, 0.00000000, 1197.88000000, 0, NULL, NULL, 0, 771.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 998.23000000, 998.23000000, 199.65000000, 1197.88000000),
(11940, 1932, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 694.00000000, NULL, 694.00000000, 138.80000000, 0.00000000, 0.00000000, 832.80000000, 0, NULL, NULL, 0, 534.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 694.00000000, 694.00000000, 138.80000000, 832.80000000),
(11941, 1933, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11942, 1933, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(11943, 1933, NULL, 1230993, NULL, 'Kit de service DS  L30 RS-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 642.00000000, NULL, 642.00000000, 128.40000000, 0.00000000, 0.00000000, 770.40000000, 0, NULL, NULL, 0, 385.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 642.00000000, 642.00000000, 128.40000000, 770.40000000),
(11944, 1933, NULL, 1305490, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 387.00000000, NULL, 387.00000000, 77.40000000, 0.00000000, 0.00000000, 464.40000000, 0, NULL, NULL, 0, 170.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 387.00000000, 387.00000000, 77.40000000, 464.40000000),
(11945, 1933, NULL, 1222181, NULL, 'Huile anderol ANDEROL FGXL 46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 464.32000000, NULL, 464.32000000, 92.86000000, 0.00000000, 0.00000000, 557.18000000, 0, NULL, NULL, 0, 209.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 464.32000000, 464.32000000, 92.86000000, 557.18000000),
(11946, 1934, NULL, NULL, '1 Maintenance L07RS  EN FULL SERVICE', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11947, 1934, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 100, 0, NULL, 16.25000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 0.00000000, 0.00000000, 0.00000000),
(11948, 1934, NULL, 1179622, NULL, 'Kit de service C L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 114.40000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 0.00000000, 0.00000000, 0.00000000),
(11949, 1934, NULL, 1179646, NULL, 'Kit de service D      L07-L11RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 292.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 175.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 292.00000000, 0.00000000, 0.00000000, 0.00000000),
(11950, 1934, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 73.10000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 0.00000000, 0.00000000, 0.00000000),
(11951, 1934, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 284.89000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 0.00000000, 0.00000000, 0.00000000),
(11952, 1934, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 5.50000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 0.00000000, 0.00000000, 0.00000000),
(11953, 1934, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11954, 1934, NULL, NULL, '2 Maintenance Rollair', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11955, 1934, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11956, 1934, NULL, 954116, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.62000000, NULL, 23.62000000, 4.72000000, 0.00000000, 0.00000000, 28.34000000, 0, NULL, NULL, 0, 11.47000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.62000000, 23.62000000, 4.72000000, 28.34000000),
(11957, 1934, NULL, 952382, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 38.89000000, NULL, 38.89000000, 7.78000000, 0.00000000, 0.00000000, 46.67000000, 0, NULL, NULL, 0, 18.88000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.89000000, 38.89000000, 7.78000000, 46.67000000),
(11958, 1934, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(11959, 1934, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(11960, 1934, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.58000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(11961, 1934, NULL, 955070, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.85000000, NULL, 109.85000000, 21.97000000, 0.00000000, 0.00000000, 131.82000000, 0, NULL, NULL, 0, 53.33000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.85000000, 109.85000000, 21.97000000, 131.82000000),
(11962, 1934, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11963, 1935, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(11964, 1935, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(11965, 1935, NULL, 1180449, NULL, 'HUILE  HYDROVANE  COMP PALETTE BD 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 107.50000000, NULL, 107.50000000, 21.50000000, 0.00000000, 0.00000000, 129.00000000, 0, NULL, NULL, 0, 64.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 107.50000000, 107.50000000, 21.50000000, 129.00000000),
(11966, 1935, NULL, 1180029, NULL, 'MAINTENANCE KIT HYDROVANE 501/502', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.40000000, NULL, 112.40000000, 22.48000000, 0.00000000, 0.00000000, 134.88000000, 0, NULL, NULL, 0, 69.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.40000000, 112.40000000, 22.48000000, 134.88000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(11967, 1935, NULL, 953507, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.17000000, NULL, 32.17000000, 6.43000000, 0.00000000, 0.00000000, 38.60000000, 0, NULL, NULL, 0, 15.62000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.17000000, 32.17000000, 6.43000000, 38.60000000),
(11968, 1935, NULL, 953416, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.17000000, NULL, 32.17000000, 6.43000000, 0.00000000, 0.00000000, 38.60000000, 0, NULL, NULL, 0, 15.62000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.17000000, 32.17000000, 6.43000000, 38.60000000),
(11969, 1936, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.13000000, NULL, 114.13000000, 22.83000000, 0.00000000, 0.00000000, 136.96000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 136.96000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.13000000, 114.13000000, 22.83000000, 136.96000000),
(11970, 1937, NULL, 1180449, NULL, 'HUILE  HYDROVANE  COMP PALETTE BD 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 107.50000000, NULL, 107.50000000, 21.50000000, 0.00000000, 0.00000000, 129.00000000, 0, NULL, NULL, 0, 64.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 107.50000000, 107.50000000, 21.50000000, 129.00000000),
(11971, 1938, NULL, 1190388, NULL, 'u1000r2v 5g16', 20.000, '', 0.000, '0', 0.000, '0', 72, 0, 0, NULL, 10.46000000, NULL, 753.12000000, 150.62000000, 0.00000000, 0.00000000, 903.74000000, 0, NULL, NULL, 0, 8.37000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.46000000, 753.12000000, 150.62000000, 903.74000000),
(11972, 1938, NULL, 1073891, NULL, 'DX3 BDA 4P 63A AC 300MA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 350.00000000, NULL, 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 277.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(11973, 1938, NULL, 1073461, NULL, 'DX3 4P D63 6000A/10KA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 350.00000000, NULL, 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 280.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(11974, 1938, NULL, NULL, NULL, '<p>Vu la configuration de l&#39;atelier, necessit&eacute; d&#39;avoir une nacelle type toucan et une nacelle type bras deport&eacute;</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11975, 1938, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.00000000, NULL, 500.00000000, 100.00000000, 0.00000000, 0.00000000, 600.00000000, 0, NULL, NULL, 0, 444.96000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.00000000, 500.00000000, 100.00000000, 600.00000000),
(11976, 1938, NULL, NULL, NULL, '<p>1 journ&eacute;e&nbsp;a deux avec temps de deplacement</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11977, 1938, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1021.00000000, NULL, 1021.00000000, 204.20000000, 0.00000000, 0.00000000, 1225.20000000, 0, NULL, NULL, 0, 768.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1021.00000000, 1021.00000000, 204.20000000, 1225.20000000),
(11978, 1938, NULL, 1190776, NULL, 'nombre de kilometres', 20.000, '', 0.000, '0', 0.000, '0', 95, 0, 0, NULL, 0.95000000, NULL, 90.25000000, 18.05000000, 0.00000000, 0.00000000, 108.30000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 90.25000000, 18.05000000, 108.30000000),
(11979, 1938, NULL, 1062670, NULL, 'INTERRUPTEUR PROXIMITE 4P 63A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 321.00000000, NULL, 321.00000000, 64.20000000, 0.00000000, 0.00000000, 385.20000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 321.00000000, 321.00000000, 64.20000000, 385.20000000),
(11980, 1938, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.00000000, NULL, 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(11981, 1939, NULL, NULL, '1 Compresseur L22-10b debit 192m3/h avec séparateur cyclonique', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11982, 1939, NULL, NULL, NULL, '<p>Le raccordement electrique n&#39;est pas compris dans l&#39;offre et devra faire l&#39;objet d&#39;un devis &agrave; part</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11983, 1939, NULL, 944301, NULL, 'compresseur rotatif à vis librifiees à vitesse fixe', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7235.00000000, NULL, 7235.00000000, 1447.00000000, 0.00000000, 0.00000000, 8682.00000000, 0, NULL, NULL, 0, 5650.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7235.00000000, 7235.00000000, 1447.00000000, 8682.00000000),
(11984, 1939, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.00000000, NULL, 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 113.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.00000000, 130.00000000, 26.00000000, 156.00000000),
(11985, 1939, NULL, 1268120, NULL, 'Separateur cyclonique 1&quot; 300 m&sup3; H', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 165.00000000, NULL, 165.00000000, 33.00000000, 0.00000000, 0.00000000, 198.00000000, 0, NULL, NULL, 0, 100.42000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 165.00000000, 165.00000000, 33.00000000, 198.00000000),
(11986, 1939, NULL, NULL, NULL, '<p>Raccordement au reseau (hors electrique), mise en service, depart de la garantie.</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11987, 1939, NULL, 1223700, NULL, 'Fourniture Plomberie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.00000000, NULL, 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 80.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(11988, 1939, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 450.00000000, NULL, 450.00000000, 90.00000000, 0.00000000, 0.00000000, 540.00000000, 0, NULL, NULL, 0, 350.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 450.00000000, 450.00000000, 90.00000000, 540.00000000),
(11989, 1939, NULL, NULL, 'Sous-total Compresseur L22-10b debit 192m3/h', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(11990, 1940, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(11991, 1940, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(11992, 1940, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 72.56000000, NULL, 72.56000000, 14.51000000, 0.00000000, 0.00000000, 87.07000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 72.56000000, 72.56000000, 14.51000000, 87.07000000),
(11993, 1940, NULL, 1221755, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.38000000, NULL, 34.38000000, 6.88000000, 0.00000000, 0.00000000, 41.26000000, 0, NULL, NULL, 0, 17.19000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.38000000, 34.38000000, 6.88000000, 41.26000000),
(11994, 1940, NULL, 1221774, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.14000000, NULL, 19.14000000, 3.83000000, 0.00000000, 0.00000000, 22.97000000, 0, NULL, NULL, 0, 9.38000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.14000000, 19.14000000, 3.83000000, 22.97000000),
(11995, 1940, NULL, 1221721, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.33000000, NULL, 111.33000000, 22.27000000, 0.00000000, 0.00000000, 133.60000000, 0, NULL, NULL, 0, 74.22000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.33000000, 111.33000000, 22.27000000, 133.60000000),
(11996, 1941, NULL, NULL, NULL, '(DEPOSIT) (30%) - CO2007-1565', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8468.13000000, NULL, 8468.13000000, 1693.62000000, 0.00000000, 0.00000000, 10161.75000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8468.13000000, 8468.13000000, 1693.62000000, 10161.75000000),
(12045, 1943, NULL, NULL, NULL, '(DEPOSIT) (30%) - CO2008-1610', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3769.20000000, NULL, 3769.20000000, 753.84000000, 0.00000000, 0.00000000, 4523.04000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3769.20000000, 3769.20000000, 753.84000000, 4523.04000000),
(12046, 1944, NULL, 1231810, NULL, 'Main d\'oeuvre Industriel', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.52000000, NULL, 77.52000000, 15.50000000, 0.00000000, 0.00000000, 93.02000000, 0, NULL, NULL, 0, 57.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.52000000, 77.52000000, 15.50000000, 93.02000000),
(12047, 1944, NULL, 1231811, NULL, 'deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 100.36000000, NULL, 100.36000000, 20.07000000, 0.00000000, 0.00000000, 120.43000000, 0, NULL, NULL, 0, 73.80000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 100.36000000, 100.36000000, 20.07000000, 120.43000000),
(12048, 1944, NULL, 1231812, NULL, 'cartouche 20/5µ pour filtre garde', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.05000000, NULL, 19.05000000, 3.81000000, 0.00000000, 0.00000000, 22.86000000, 0, NULL, NULL, 0, 14.01000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.05000000, 19.05000000, 3.81000000, 22.86000000),
(12049, 1944, NULL, 1231813, NULL, 'net.des résines réactif appro', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.93000000, NULL, 85.93000000, 17.19000000, 0.00000000, 0.00000000, 103.12000000, 0, NULL, NULL, 0, 63.19000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.93000000, 85.93000000, 17.19000000, 103.12000000),
(12050, 1945, NULL, NULL, '1 Repere 2 Page 6/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12051, 1945, NULL, 1109387, NULL, 'couvercle de goulottes:', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 31.65000000, NULL, 253.20000000, 50.64000000, 0.00000000, 0.00000000, 303.84000000, 0, NULL, NULL, 0, 15.36000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 31.65000000, 253.20000000, 50.64000000, 303.84000000),
(12052, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12053, 1945, NULL, NULL, '2 Repere 3 page 6/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12054, 1945, NULL, NULL, NULL, 'realisation etiquettes a la DYMO', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12055, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12056, 1945, NULL, NULL, '3 Repere 4 page 6/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12057, 1945, NULL, 1586979, NULL, 'Prestation MO', 20.000, '', 0.000, '0', 0.000, '0', 0.5, 0, 0, NULL, 63.81000000, NULL, 31.91000000, 6.38000000, 0.00000000, 0.00000000, 38.29000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.81000000, 31.91000000, 6.38000000, 38.29000000),
(12058, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12059, 1945, NULL, NULL, '4 Repere 5 page 6/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12060, 1945, NULL, NULL, NULL, 'isolement cable aux extremit&eacute;s', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12061, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12062, 1945, NULL, NULL, '5 Repere 6 page 6/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12063, 1945, NULL, 1586979, NULL, 'Prestation MO', 20.000, '', 0.000, '0', 0.000, '0', 0, 0, 0, NULL, 63.81000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 3, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.81000000, 0.00000000, 0.00000000, 0.00000000),
(12064, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12065, 1945, NULL, NULL, '6 Repere 7 page 6/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12066, 1945, NULL, NULL, NULL, 'Duplicata documents Schneider', 20.000, '', 0.000, '0', 0.000, '0', 0, 0, 0, NULL, 15.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 3, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 0.00000000, 0.00000000, 0.00000000),
(12067, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12068, 1945, NULL, NULL, '7 Repere 8 page 6/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12069, 1945, NULL, 1586979, NULL, 'Prestation MO', 20.000, '', 0.000, '0', 0.000, '0', 0, 0, 0, NULL, 63.81000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 3, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.81000000, 0.00000000, 0.00000000, 0.00000000),
(12070, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12071, 1945, NULL, NULL, '8 Repere 9 page 6/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12072, 1945, NULL, 1190686, NULL, 'goulotte 60x40 pas 6/6.5 bleu', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 36.00000000, NULL, 108.00000000, 21.60000000, 0.00000000, 0.00000000, 129.60000000, 0, NULL, NULL, 0, 28.09000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.00000000, 108.00000000, 21.60000000, 129.60000000),
(12073, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12074, 1945, NULL, NULL, '9 Repere 10 page 6/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12075, 1945, NULL, 1586979, NULL, 'Prestation MO', 20.000, '', 0.000, '0', 0.000, '0', 0, 0, 0, NULL, 63.81000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 3, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.81000000, 0.00000000, 0.00000000, 0.00000000),
(12076, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12077, 1945, NULL, NULL, '10 Repere 11-12 page 6/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12078, 1945, NULL, 1586979, NULL, 'Prestation MO', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.81000000, NULL, 63.81000000, 12.76000000, 0.00000000, 0.00000000, 76.57000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.81000000, 63.81000000, 12.76000000, 76.57000000),
(12079, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12080, 1945, NULL, NULL, '11 Repere 13 page 6/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12081, 1945, NULL, 1586979, NULL, 'Prestation MO', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.81000000, NULL, 63.81000000, 12.76000000, 0.00000000, 0.00000000, 76.57000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.81000000, 63.81000000, 12.76000000, 76.57000000),
(12082, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12083, 1945, NULL, NULL, '12 Repere 14 page 6/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12084, 1945, NULL, 1586979, NULL, 'Prestation MO', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.81000000, NULL, 63.81000000, 12.76000000, 0.00000000, 0.00000000, 76.57000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.81000000, 63.81000000, 12.76000000, 76.57000000),
(12085, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12086, 1945, NULL, NULL, '13 Repere 15 page 6/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 37, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12087, 1945, NULL, 1586980, NULL, 'LDV DP LED 1500 55W 4000K 6400lm IP65 ETANCHE LEDVANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.00000000, NULL, 90.00000000, 18.00000000, 0.00000000, 0.00000000, 108.00000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 38, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.00000000, 90.00000000, 18.00000000, 108.00000000),
(12088, 1945, NULL, 1586979, NULL, 'Prestation MO', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.81000000, NULL, 63.81000000, 12.76000000, 0.00000000, 0.00000000, 76.57000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 39, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.81000000, 63.81000000, 12.76000000, 76.57000000),
(12089, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 40, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12090, 1945, NULL, NULL, '14 Repere 16 page 7/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 41, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12091, 1945, NULL, 1586979, NULL, 'Prestation MO', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.81000000, NULL, 63.81000000, 12.76000000, 0.00000000, 0.00000000, 76.57000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 42, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.81000000, 63.81000000, 12.76000000, 76.57000000),
(12092, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 43, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12093, 1945, NULL, NULL, '15 Repere 17-18-19-20 page 7/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 44, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12094, 1945, NULL, 1065007, NULL, 'GOULOTTE 60X40 PAS 6/6,5 BLEU', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 36.00000000, NULL, 108.00000000, 21.60000000, 0.00000000, 0.00000000, 129.60000000, 0, NULL, NULL, 0, 28.09000000, NULL, 0, 0, 45, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.00000000, 108.00000000, 21.60000000, 129.60000000),
(12095, 1945, NULL, 1586979, NULL, 'Prestation MO', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.81000000, NULL, 127.62000000, 25.52000000, 0.00000000, 0.00000000, 153.14000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 46, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.81000000, 127.62000000, 25.52000000, 153.14000000),
(12096, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 47, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12097, 1945, NULL, NULL, '16 Repere 21-22-23 page 7/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 48, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12098, 1945, NULL, 1586979, NULL, 'Prestation MO', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.81000000, NULL, 95.72000000, 19.14000000, 0.00000000, 0.00000000, 114.86000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 49, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.81000000, 95.72000000, 19.14000000, 114.86000000),
(12099, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 50, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12100, 1945, NULL, NULL, '17 Repere 24 page 7/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 51, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12101, 1945, NULL, 1461943, NULL, 'Exiway ESI - Bloc autonome éclairage sécurité - SATI - led - IP65', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 124.00000000, NULL, 124.00000000, 24.80000000, 0.00000000, 0.00000000, 148.80000000, 0, NULL, NULL, 0, 93.00000000, NULL, 0, 0, 52, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 124.00000000, 124.00000000, 24.80000000, 148.80000000),
(12102, 1945, NULL, 1190627, NULL, 'r2v cu 5g1,5 c50m', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.35000000, NULL, 13.50000000, 2.70000000, 0.00000000, 0.00000000, 16.20000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 53, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.35000000, 13.50000000, 2.70000000, 16.20000000),
(12103, 1945, NULL, 1586979, NULL, 'Prestation MO', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.81000000, NULL, 127.62000000, 25.52000000, 0.00000000, 0.00000000, 153.14000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 54, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.81000000, 127.62000000, 25.52000000, 153.14000000),
(12104, 1945, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 55, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12105, 1945, NULL, NULL, '18 Repere 25 page 7/20', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 56, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12106, 1945, NULL, 1069838, NULL, 'POUS GRIS SAILLIE PLEXO CPT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.08000000, NULL, 26.08000000, 5.22000000, 0.00000000, 0.00000000, 31.30000000, 0, NULL, NULL, 0, 12.66000000, NULL, 0, 0, 57, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.08000000, 26.08000000, 5.22000000, 31.30000000),
(12107, 1945, NULL, 1586979, NULL, 'Prestation MO', 20.000, '', 0.000, '0', 0.000, '0', 0.5, 0, 0, NULL, 63.81000000, NULL, 31.91000000, 6.38000000, 0.00000000, 0.00000000, 38.29000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 58, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.81000000, 31.91000000, 6.38000000, 38.29000000),
(12108, 1946, NULL, 1588456, NULL, 'LAVEUSE CT 5 B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1888.53000000, NULL, 1888.53000000, 377.71000000, 0.00000000, 0.00000000, 2266.24000000, 0, NULL, NULL, 0, 1380.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1888.53000000, 1888.53000000, 377.71000000, 2266.24000000),
(12109, 1946, NULL, 1588457, NULL, 'PLATEAU PORTE DISQUE CT5', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 84.51000000, NULL, 84.51000000, 16.90000000, 0.00000000, 0.00000000, 101.41000000, 0, NULL, NULL, 0, 61.75000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 84.51000000, 84.51000000, 16.90000000, 101.41000000),
(12110, 1946, NULL, 995717, NULL, 'DISQUE ROUGE    D.280 MM', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.96000000, NULL, 7.96000000, 1.59000000, 0.00000000, 0.00000000, 9.55000000, 0, NULL, NULL, 0, 5.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.96000000, 7.96000000, 1.59000000, 9.55000000),
(12111, 1947, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(12112, 1948, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.45000000, NULL, 19.80000000, 3.96000000, 0.00000000, 0.00000000, 23.76000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.45000000, 19.80000000, 3.96000000, 23.76000000),
(12113, 1948, NULL, 1230693, NULL, 'route', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 45.00000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.00000000, 45.00000000, 9.00000000, 54.00000000),
(12114, 1948, NULL, 1230693, NULL, 'intervention', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 48.00000000, NULL, 240.00000000, 48.00000000, 0.00000000, 0.00000000, 288.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.00000000, 240.00000000, 48.00000000, 288.00000000),
(12115, 1949, NULL, 1221033, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8510.71000000, NULL, 8510.71000000, 1702.14000000, 0.00000000, 0.00000000, 10212.85000000, 0, NULL, NULL, 0, 6928.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8510.71000000, 8510.71000000, 1702.14000000, 10212.85000000),
(12116, 1949, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 106.00000000, NULL, 106.00000000, 21.20000000, 0.00000000, 0.00000000, 127.20000000, 0, NULL, NULL, 0, 43.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 106.00000000, 106.00000000, 21.20000000, 127.20000000),
(12117, 1949, NULL, 1168566, NULL, 'dilatoflex vulcanisé nbr avec renfort interne en nylon 1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.75000000, NULL, 18.75000000, 3.75000000, 0.00000000, 0.00000000, 22.50000000, 0, NULL, NULL, 0, 9.45000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.75000000, 18.75000000, 3.75000000, 22.50000000),
(12118, 1949, NULL, 952641, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 258.05000000, NULL, 258.05000000, 51.61000000, 0.00000000, 0.00000000, 309.66000000, 0, NULL, NULL, 0, 130.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 258.05000000, 258.05000000, 51.61000000, 309.66000000),
(12119, 1949, NULL, 966221, NULL, 'Rouleau Teflon PTFE', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 0.63000000, NULL, 1.89000000, 0.38000000, 0.00000000, 0.00000000, 2.27000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.63000000, 1.89000000, 0.38000000, 2.27000000),
(12120, 1949, NULL, 958250, NULL, 'ÖWAMAT 10 oil/water separator', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 380.62000000, NULL, 380.62000000, 76.12000000, 0.00000000, 0.00000000, 456.74000000, 0, NULL, NULL, 0, 182.99000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 380.62000000, 380.62000000, 76.12000000, 456.74000000),
(12121, 1949, NULL, 972631, NULL, 'Té égal Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.81000000, NULL, 14.05000000, 2.81000000, 0.00000000, 0.00000000, 16.86000000, 0, NULL, NULL, 0, 1.61000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.81000000, 14.05000000, 2.81000000, 16.86000000),
(12122, 1949, NULL, 972586, NULL, 'Raccord droit mâle G1/4 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.14000000, NULL, 5.70000000, 1.14000000, 0.00000000, 0.00000000, 6.84000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 5.70000000, 1.14000000, 6.84000000),
(12123, 1949, NULL, 972160, NULL, 'Tube polyamide Rilsan incolore 6x8 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 45.46000000, NULL, 45.46000000, 9.09000000, 0.00000000, 0.00000000, 54.55000000, 0, NULL, NULL, 0, 25.95000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.46000000, 45.46000000, 9.09000000, 54.55000000),
(12124, 1949, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.57000000, NULL, 7.14000000, 1.43000000, 0.00000000, 0.00000000, 8.57000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.57000000, 7.14000000, 1.43000000, 8.57000000),
(12125, 1949, NULL, 966729, NULL, 'Réduction conique M/F G1/2x1/4', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 0.92000000, NULL, 3.68000000, 0.74000000, 0.00000000, 0.00000000, 4.42000000, 0, NULL, NULL, 0, 0.48000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.92000000, 3.68000000, 0.74000000, 4.42000000),
(12126, 1949, NULL, 972770, NULL, 'Coude tournant mâle G1/4 Ø8mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 2.36000000, NULL, 9.44000000, 1.89000000, 0.00000000, 0.00000000, 11.33000000, 0, NULL, NULL, 0, 1.35000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.36000000, 9.44000000, 1.89000000, 11.33000000),
(12127, 1949, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 5.97000000, NULL, 71.64000000, 14.33000000, 0.00000000, 0.00000000, 85.97000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.97000000, 71.64000000, 14.33000000, 85.97000000),
(12128, 1949, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 4.12000000, NULL, 12.36000000, 2.47000000, 0.00000000, 0.00000000, 14.83000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.12000000, 12.36000000, 2.47000000, 14.83000000),
(12129, 1949, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 6.52000000, NULL, 78.24000000, 15.65000000, 0.00000000, 0.00000000, 93.89000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.52000000, 78.24000000, 15.65000000, 93.89000000),
(12130, 1949, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 7.44000000, NULL, 29.76000000, 5.95000000, 0.00000000, 0.00000000, 35.71000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.44000000, 29.76000000, 5.95000000, 35.71000000),
(12131, 1949, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.24000000, NULL, 9.24000000, 1.85000000, 0.00000000, 0.00000000, 11.09000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.24000000, 9.24000000, 1.85000000, 11.09000000),
(12132, 1949, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 20.60000000, NULL, 41.20000000, 8.24000000, 0.00000000, 0.00000000, 49.44000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.60000000, 41.20000000, 8.24000000, 49.44000000),
(12133, 1949, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.12000000, NULL, 7.12000000, 1.42000000, 0.00000000, 0.00000000, 8.54000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.12000000, 7.12000000, 1.42000000, 8.54000000),
(12134, 1949, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 15.94000000, NULL, 31.88000000, 6.38000000, 0.00000000, 0.00000000, 38.26000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.94000000, 31.88000000, 6.38000000, 38.26000000),
(12135, 1949, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.57000000, NULL, 3.57000000, 0.71000000, 0.00000000, 0.00000000, 4.28000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.57000000, 3.57000000, 0.71000000, 4.28000000),
(12136, 1949, NULL, 966957, NULL, 'Croix FFFF G1\" fonte galva', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.09000000, NULL, 9.09000000, 1.82000000, 0.00000000, 0.00000000, 10.91000000, 0, NULL, NULL, 0, 4.58000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.09000000, 9.09000000, 1.82000000, 10.91000000),
(12137, 1949, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.35000000, NULL, 1.35000000, 0.27000000, 0.00000000, 0.00000000, 1.62000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.35000000, 1.35000000, 0.27000000, 1.62000000),
(12138, 1949, NULL, 967552, NULL, 'Ensemble soufflage2 m 1/4 FetT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.61000000, NULL, 23.61000000, 4.72000000, 0.00000000, 0.00000000, 28.33000000, 0, NULL, NULL, 0, 13.47500000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.61000000, 23.61000000, 4.72000000, 28.33000000),
(12139, 1949, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.06000000, NULL, 24.06000000, 4.81000000, 0.00000000, 0.00000000, 28.87000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.06000000, 24.06000000, 4.81000000, 28.87000000),
(12140, 1949, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3035.39000000, NULL, 3035.39000000, 607.08000000, 0.00000000, 0.00000000, 3642.47000000, 0, NULL, NULL, 0, 1250.00000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3035.39000000, 3035.39000000, 607.08000000, 3642.47000000),
(12143, 1951, NULL, 1190535, NULL, 'main d&#39;oeuvre &amp; tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, -63.84000000, NULL, -255.36000000, -51.07000000, 0.00000000, 0.00000000, -306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -63.84000000, -255.36000000, -51.07000000, -306.43000000),
(12154, 1953, NULL, 1586876, NULL, 'CARTE CONTROL ETII', 20.000, '', 0.000, '0', 0.000, '0', 1, 5, 0, NULL, 747.37000000, NULL, 710.00000000, 142.00000000, 0.00000000, 0.00000000, 852.00000000, 0, NULL, NULL, 0, 574.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 747.37000000, 710.00000000, 142.00000000, 852.00000000),
(12155, 1953, NULL, 1190374, NULL, 'Forfait intervention ZONE A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 221.10000000, NULL, 221.10000000, 44.22000000, 0.00000000, 0.00000000, 265.32000000, 0, NULL, NULL, 0, 160.07000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 221.10000000, 221.10000000, 44.22000000, 265.32000000),
(12156, 1954, NULL, NULL, 'fourniture d’un système d’extraction de gaz d’échappement prévu pour 2 postes comprenant :', 'A - MATERIEL', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 0, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12157, 1954, NULL, NULL, NULL, '<span style=\"font-size:12pt\"><strong>1 Ventilateur centrifuge HP type SAV7 5429</strong> m&eacute;tal &agrave; entrainement direct en fonte d&rsquo;aluminium et anti&eacute;tincelle</span><br />\r\n<span style=\"font-size:12pt\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; . Puissance&nbsp;: 1,5 CV en 400Vtri + terre</span><br />\r\n<span style=\"font-size:12pt\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; . D&eacute;bit&nbsp;: 1910 m3/h &agrave; vide</span><br />\r\n<span style=\"font-size:12pt\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; . Pression totale&nbsp;: 1960 Pa (200mmCE)</span><br />\r\n<span style=\"font-size:12pt\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; . Vitesse&nbsp;: 2800 Trs/mn</span><br />\r\n<span style=\"font-size:12pt\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; . Protection IP55</span><br />\r\n<span style=\"font-size:12pt\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; . Turbine &eacute;quilibr&eacute;e en usine</span><br />\r\n<span style=\"font-size:12pt\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; . Poids&nbsp;: 28 kgs</span><br />\r\n<span style=\"font-size:12pt\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; . Brides aspiration et collerette en diam. 200 mm</span><br />\r\n<span style=\"font-size:12pt\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; . Peinture HD afin de r&eacute;duire le niveau sonore</span><br />\r\n&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3087.00000000, NULL, 3087.00000000, 617.40000000, 0.00000000, 0.00000000, 3704.40000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3087.00000000, 3087.00000000, 617.40000000, 3704.40000000),
(12158, 1954, NULL, NULL, NULL, '<span style=\"font-size:12pt\"><strong>Bras d&rsquo;aspiration articul&eacute;s diam. 160 x 4 m</strong> &agrave; structure portante avec 2 pantographes + Support mural articul&eacute; 360&deg; + Tubes aspirants en t&ocirc;le d&rsquo;acier zingu&eacute; (3 articulations avec flexible en tissu enduit) pr&eacute;vus pour&nbsp;:</span><br />\r\n<span style=\"font-size:12pt\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; . Temp&eacute;rature de _20&deg; &agrave; + 70&deg;C</span><br />\r\n<span style=\"font-size:12pt\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; . D&eacute;pression maxi&nbsp;: 1600Pa &agrave; 20 &deg;C</span><br />\r\n<span style=\"font-size:12pt\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; . Diam. 160mm</span><br />\r\n<span style=\"font-size:12pt\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; . Equilibrage par 4 ressorts en acier harmonique et 14 pts friction</span><br />\r\n<span style=\"font-size:12pt\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; . Hotte m&eacute;tallique diam. 200 ovalis&eacute;e + r&eacute;gistre d&rsquo;isolement ou/et r&eacute;glage</span><br />\r\n&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 771.75000000, NULL, 1543.50000000, 308.70000000, 0.00000000, 0.00000000, 1852.20000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 771.75000000, 1543.50000000, 308.70000000, 1852.20000000),
(12159, 1954, NULL, NULL, NULL, '<span style=\"font-size:12pt\"><strong>1 R&eacute;seau en Acier galvanis&eacute; diam. 200/160 mm</strong> + T&eacute; &eacute;gal en 200 + coudes&nbsp; + mastic ciment + colliers isol&eacute;s + Ferraillage et supports sur poteaux IPN + Liaisons &eacute;quipotentielles et mise &agrave; la terre de l&rsquo;ensemble </span><br />\r\n&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1543.50000000, NULL, 1543.50000000, 308.70000000, 0.00000000, 0.00000000, 1852.20000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1543.50000000, 1543.50000000, 308.70000000, 1852.20000000),
(12160, 1954, NULL, NULL, 'Sous-total fourniture d’un système d’extraction de gaz d’échappement prévu pour 2 postes comprenant :', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 0, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12161, 1954, NULL, NULL, 'Main d\'oeuvre et déplacement', 'B- PRESTATION', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 0, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(12162, 1954, NULL, 1222643, NULL, '<span style=\"font-size:12pt\">Fournitures a&eacute;rauliques habituelles</span><br />\r\n<span style=\"font-size:12pt\">. Tirage et pose des tuyauteries en a&eacute;rien (collecteur &agrave; 3/4m du sol et supports bras pr&eacute;vus &agrave; 2m du sol) et liaison &agrave; la chemin&eacute;e existante</span><br />\r\n<span style=\"font-size:12pt\">. Mise en route, mise au point de l&rsquo;installation et r&eacute;glage</span><br />\r\n<span style=\"font-size:12pt\"><strong>. RELEVE avec CERTIFICAT d&eacute;bit et d&eacute;cibels par nos soins &agrave; la r&eacute;ception du chantier</strong></span><br />\r\n<span style=\"font-size:12pt\">. Main d&rsquo;&oelig;uvre</span><br />\r\n<span style=\"font-size:12pt\">. D&eacute;placements</span><br />\r\n<span style=\"font-size:12pt\">. <u>Nacelle pour travail en hauteur</u></span><br />\r\n&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2980.00000000, NULL, 2980.00000000, 596.00000000, 0.00000000, 0.00000000, 3576.00000000, 0, NULL, NULL, 0, 1000.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2980.00000000, 2980.00000000, 596.00000000, 3576.00000000),
(12163, 1954, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12164, 1955, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.13000000, NULL, 114.13000000, 22.83000000, 0.00000000, 0.00000000, 136.96000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 136.96000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.13000000, 114.13000000, 22.83000000, 136.96000000),
(12165, 1956, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.13000000, NULL, 114.13000000, 22.83000000, 0.00000000, 0.00000000, 136.96000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 136.96000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.13000000, 114.13000000, 22.83000000, 136.96000000),
(12166, 1957, NULL, NULL, NULL, '<p>Maintenance Compresseur (Huile alimentaire) + Filtres reseau + separateur de condensats</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12167, 1957, NULL, NULL, '1 maintenance COMPAIR L18RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12168, 1957, NULL, 1179624, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -114.00000000, NULL, -114.00000000, -22.80000000, 0.00000000, 0.00000000, -136.80000000, 0, NULL, NULL, 0, 70.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -114.00000000, -114.00000000, -22.80000000, -136.80000000),
(12169, 1957, NULL, 1222598, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, -13.00000000, NULL, -39.00000000, -7.80000000, 0.00000000, 0.00000000, -46.80000000, 0, NULL, NULL, 0, 8.48000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -13.00000000, -39.00000000, -7.80000000, -46.80000000),
(12170, 1957, NULL, 953173, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -95.00000000, NULL, -95.00000000, -19.00000000, 0.00000000, 0.00000000, -114.00000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -95.00000000, -95.00000000, -19.00000000, -114.00000000),
(12171, 1957, NULL, 953170, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -95.00000000, NULL, -95.00000000, -19.00000000, 0.00000000, 0.00000000, -114.00000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -95.00000000, -95.00000000, -19.00000000, -114.00000000),
(12172, 1957, NULL, 1190364, NULL, 'Maintenance compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -325.00000000, NULL, -325.00000000, -65.00000000, 0.00000000, 0.00000000, -390.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -325.00000000, -325.00000000, -65.00000000, -390.00000000),
(12173, 1957, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -4.50000000, NULL, -4.50000000, -0.90000000, 0.00000000, 0.00000000, -5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -4.50000000, -4.50000000, -0.90000000, -5.40000000),
(12174, 1957, NULL, 1221464, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -200.33000000, NULL, -200.33000000, -40.07000000, 0.00000000, 0.00000000, -240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -200.33000000, -200.33000000, -40.07000000, -240.40000000),
(12175, 1957, NULL, 1223699, NULL, 'Huile anderol FGC46  prix au litre', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, -15.77000000, NULL, -126.16000000, -25.23000000, 0.00000000, 0.00000000, -151.39000000, 0, NULL, NULL, 0, 11.27000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -15.77000000, -126.16000000, -25.23000000, -151.39000000),
(12176, 1957, NULL, NULL, 'Sous-total maintenance COMPAIR L18RS', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12177, 1957, NULL, NULL, '2 Maintenance KAESER', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12178, 1957, NULL, NULL, NULL, '<p>Maintenance Compresseur KAESER en Huile alimentaire</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12179, 1957, NULL, 1221777, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -45.55000000, NULL, -45.55000000, -9.11000000, 0.00000000, 0.00000000, -54.66000000, 0, NULL, NULL, 0, 22.11000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -45.55000000, -45.55000000, -9.11000000, -54.66000000),
(12180, 1957, NULL, 1221724, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -81.33000000, NULL, -81.33000000, -16.27000000, 0.00000000, 0.00000000, -97.60000000, 0, NULL, NULL, 0, 39.48000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -81.33000000, -81.33000000, -16.27000000, -97.60000000),
(12181, 1957, NULL, 1221709, NULL, 'filtre a air (natte)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -35.00000000, NULL, -35.00000000, -7.00000000, 0.00000000, 0.00000000, -42.00000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -35.00000000, -35.00000000, -7.00000000, -42.00000000),
(12182, 1957, NULL, 1231873, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -19.47000000, NULL, -19.47000000, -3.89000000, 0.00000000, 0.00000000, -23.36000000, 0, NULL, NULL, 0, 13.55000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -19.47000000, -19.47000000, -3.89000000, -23.36000000),
(12183, 1957, NULL, 1223699, NULL, 'Huile anderol FGC46  prix au litre', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, -15.77000000, NULL, -126.16000000, -25.23000000, 0.00000000, 0.00000000, -151.39000000, 0, NULL, NULL, 0, 11.27000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -15.77000000, -126.16000000, -25.23000000, -151.39000000),
(12184, 1957, NULL, 1190364, NULL, 'Maintenance compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -325.00000000, NULL, -325.00000000, -65.00000000, 0.00000000, 0.00000000, -390.00000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -325.00000000, -325.00000000, -65.00000000, -390.00000000),
(12185, 1957, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -4.50000000, NULL, -4.50000000, -0.90000000, 0.00000000, 0.00000000, -5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -4.50000000, -4.50000000, -0.90000000, -5.40000000),
(12186, 1957, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -105.67000000, NULL, -105.67000000, -21.13000000, 0.00000000, 0.00000000, -126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -105.67000000, -105.67000000, -21.13000000, -126.80000000),
(12187, 1957, NULL, 1231755, NULL, 'cartouche filtre reseau 300 charbon actif', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -105.67000000, NULL, -105.67000000, -21.13000000, 0.00000000, 0.00000000, -126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -105.67000000, -105.67000000, -21.13000000, -126.80000000),
(12188, 1957, NULL, NULL, 'Sous-total Maintenance KAESER', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12189, 1957, NULL, NULL, 'ecotron 50', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12190, 1957, NULL, 1586889, NULL, 'kit ecotron50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -313.10000000, NULL, -313.10000000, -62.62000000, 0.00000000, 0.00000000, -375.72000000, 0, NULL, NULL, 0, 172.20000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -313.10000000, -313.10000000, -62.62000000, -375.72000000),
(12191, 1957, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12192, 1957, NULL, NULL, NULL, 'Maintenance L11', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12193, 1957, NULL, 1222181, NULL, 'Huile anderol ANDEROL FGXL 46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -464.32000000, NULL, -464.32000000, -92.86000000, 0.00000000, 0.00000000, -557.18000000, 0, NULL, NULL, 0, 209.00000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -464.32000000, -464.32000000, -92.86000000, -557.18000000),
(12194, 1957, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -402.40000000, NULL, -402.40000000, -80.48000000, 0.00000000, 0.00000000, -482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -402.40000000, -402.40000000, -80.48000000, -482.88000000),
(12195, 1957, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -5.50000000, NULL, -5.50000000, -1.10000000, 0.00000000, 0.00000000, -6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -5.50000000, -5.50000000, -1.10000000, -6.60000000),
(12196, 1957, NULL, 1305486, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -123.00000000, NULL, -123.00000000, -24.60000000, 0.00000000, 0.00000000, -147.60000000, 0, NULL, NULL, 0, 54.00000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -123.00000000, -123.00000000, -24.60000000, -147.60000000),
(12197, 1957, NULL, 1230901, NULL, 'SEPARATOR ST005 0-0101/SP015-022', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -222.00000000, NULL, -222.00000000, -44.40000000, 0.00000000, 0.00000000, -266.40000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -222.00000000, -222.00000000, -44.40000000, -266.40000000),
(12198, 1957, NULL, 953170, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -125.98000000, NULL, -125.98000000, -25.20000000, 0.00000000, 0.00000000, -151.18000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -125.98000000, -125.98000000, -25.20000000, -151.18000000),
(12199, 1957, NULL, 953173, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -125.98000000, NULL, -125.98000000, -25.20000000, 0.00000000, 0.00000000, -151.18000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -125.98000000, -125.98000000, -25.20000000, -151.18000000),
(12200, 1957, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12201, 1958, NULL, NULL, NULL, '<p>Maintenance Compresseur (Huile alimentaire) + Filtres reseau + separateur de condensats</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12202, 1958, NULL, NULL, '1 maintenance COMPAIR L18RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12203, 1958, NULL, 1179624, NULL, 'MINOR KIT C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 177.72000000, NULL, 177.72000000, 35.55000000, 0.00000000, 0.00000000, 213.27000000, 0, NULL, NULL, 0, 70.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 177.72000000, 177.72000000, 35.55000000, 213.27000000),
(12204, 1958, NULL, 1222598, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 59.25000000, NULL, 177.75000000, 35.55000000, 0.00000000, 0.00000000, 213.30000000, 0, NULL, NULL, 0, 8.48000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.25000000, 177.75000000, 35.55000000, 213.30000000),
(12205, 1958, NULL, 953173, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 177.72000000, NULL, 177.72000000, 35.55000000, 0.00000000, 0.00000000, 213.27000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 177.72000000, 177.72000000, 35.55000000, 213.27000000),
(12206, 1958, NULL, 953170, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 177.72000000, NULL, 177.72000000, 35.55000000, 0.00000000, 0.00000000, 213.27000000, 0, NULL, NULL, 0, 61.16000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 177.72000000, 177.72000000, 35.55000000, 213.27000000),
(12207, 1958, NULL, 1190364, NULL, 'Maintenance compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 177.72000000, NULL, 177.72000000, 35.55000000, 0.00000000, 0.00000000, 213.27000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 177.72000000, 177.72000000, 35.55000000, 213.27000000),
(12208, 1958, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 177.72000000, NULL, 177.72000000, 35.55000000, 0.00000000, 0.00000000, 213.27000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 177.72000000, 177.72000000, 35.55000000, 213.27000000),
(12209, 1958, NULL, 1221464, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 177.72000000, NULL, 177.72000000, 35.55000000, 0.00000000, 0.00000000, 213.27000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 177.72000000, 177.72000000, 35.55000000, 213.27000000),
(12210, 1958, NULL, 1223699, NULL, 'Huile anderol FGC46 prix au litre', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 22.22000000, NULL, 177.72000000, 35.55000000, 0.00000000, 0.00000000, 213.27000000, 0, NULL, NULL, 0, 11.27000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.22000000, 177.72000000, 35.55000000, 213.27000000),
(12211, 1958, NULL, NULL, 'Sous-total maintenance COMPAIR L18RS', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12212, 1958, NULL, NULL, '2 Maintenance KAESER', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12213, 1958, NULL, NULL, NULL, '<p>Maintenance Compresseur KAESER en Huile alimentaire</p>', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12214, 1958, NULL, 1221777, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.54000000, NULL, 130.54000000, 26.11000000, 0.00000000, 0.00000000, 156.65000000, 0, NULL, NULL, 0, 22.11000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.54000000, 130.54000000, 26.11000000, 156.65000000),
(12215, 1958, NULL, 1221724, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.54000000, NULL, 130.54000000, 26.11000000, 0.00000000, 0.00000000, 156.65000000, 0, NULL, NULL, 0, 39.48000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.54000000, 130.54000000, 26.11000000, 156.65000000),
(12216, 1958, NULL, 1221709, NULL, 'filtre a air (natte)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.54000000, NULL, 130.54000000, 26.11000000, 0.00000000, 0.00000000, 156.65000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.54000000, 130.54000000, 26.11000000, 156.65000000),
(12217, 1958, NULL, 1231873, NULL, 'Filtre &agrave; air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.54000000, NULL, 130.54000000, 26.11000000, 0.00000000, 0.00000000, 156.65000000, 0, NULL, NULL, 0, 13.55000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.54000000, 130.54000000, 26.11000000, 156.65000000),
(12218, 1958, NULL, 1223699, NULL, 'Huile anderol FGC46 prix au litre', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 16.32000000, NULL, 130.54000000, 26.11000000, 0.00000000, 0.00000000, 156.65000000, 0, NULL, NULL, 0, 11.27000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.32000000, 130.54000000, 26.11000000, 156.65000000),
(12219, 1958, NULL, 1190364, NULL, 'Maintenance compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.54000000, NULL, 130.54000000, 26.11000000, 0.00000000, 0.00000000, 156.65000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.54000000, 130.54000000, 26.11000000, 156.65000000),
(12220, 1958, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.54000000, NULL, 130.54000000, 26.11000000, 0.00000000, 0.00000000, 156.65000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.54000000, 130.54000000, 26.11000000, 156.65000000),
(12221, 1958, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.53000000, NULL, 130.53000000, 26.11000000, 0.00000000, 0.00000000, 156.64000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.53000000, 130.53000000, 26.11000000, 156.64000000),
(12222, 1958, NULL, 1231755, NULL, 'cartouche filtre reseau 300 charbon actif', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.53000000, NULL, 130.53000000, 26.11000000, 0.00000000, 0.00000000, 156.64000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.53000000, 130.53000000, 26.11000000, 156.64000000),
(12223, 1958, NULL, NULL, 'Sous-total Maintenance KAESER', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12225, 1958, NULL, 1586889, NULL, 'kit ecotron50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 177.72000000, NULL, 177.72000000, 35.55000000, 0.00000000, 0.00000000, 213.27000000, 0, NULL, NULL, 0, 172.20000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 177.72000000, 177.72000000, 35.55000000, 213.27000000),
(12227, 1958, NULL, NULL, NULL, 'Maintenance L11', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12228, 1958, NULL, 1222181, NULL, 'Huile anderol ANDEROL FGXL 46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 176.91000000, NULL, 176.91000000, 35.38000000, 0.00000000, 0.00000000, 212.29000000, 0, NULL, NULL, 0, 209.00000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 176.91000000, 176.91000000, 35.38000000, 212.29000000),
(12229, 1958, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 176.91000000, NULL, 176.91000000, 35.38000000, 0.00000000, 0.00000000, 212.29000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 176.91000000, 176.91000000, 35.38000000, 212.29000000),
(12230, 1958, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 176.91000000, NULL, 176.91000000, 35.38000000, 0.00000000, 0.00000000, 212.29000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 176.91000000, 176.91000000, 35.38000000, 212.29000000),
(12231, 1958, NULL, 1305486, NULL, 'MINOR KIT C L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 176.91000000, NULL, 176.91000000, 35.38000000, 0.00000000, 0.00000000, 212.29000000, 0, NULL, NULL, 0, 54.00000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 176.91000000, 176.91000000, 35.38000000, 212.29000000),
(12232, 1958, NULL, 1230901, NULL, 'SEPARATOR ST005 0-0101/SP015-022', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 176.90000000, NULL, 176.90000000, 35.38000000, 0.00000000, 0.00000000, 212.28000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 176.90000000, 176.90000000, 35.38000000, 212.28000000),
(12233, 1958, NULL, 953170, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 176.90000000, NULL, 176.90000000, 35.38000000, 0.00000000, 0.00000000, 212.28000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 176.90000000, 176.90000000, 35.38000000, 212.28000000),
(12234, 1958, NULL, 953173, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 176.90000000, NULL, 176.90000000, 35.38000000, 0.00000000, 0.00000000, 212.28000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 176.90000000, 176.90000000, 35.38000000, 212.28000000),
(12235, 1958, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12236, 1959, NULL, 954138, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 25.51000000, NULL, 51.02000000, 10.20000000, 0.00000000, 0.00000000, 61.22000000, 0, NULL, NULL, 0, 18.67000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.51000000, 51.02000000, 10.20000000, 61.22000000),
(12237, 1959, NULL, 955095, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 66.91000000, NULL, 133.82000000, 26.76000000, 0.00000000, 0.00000000, 160.58000000, 0, NULL, NULL, 0, 52.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 66.91000000, 133.82000000, 26.76000000, 160.58000000),
(12238, 1959, NULL, 954138, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 25.51000000, NULL, 51.02000000, 10.20000000, 0.00000000, 0.00000000, 61.22000000, 0, NULL, NULL, 0, 18.67000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.51000000, 51.02000000, 10.20000000, 61.22000000),
(12239, 1959, NULL, 951953, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 21.77000000, NULL, 43.54000000, 8.71000000, 0.00000000, 0.00000000, 52.25000000, 0, NULL, NULL, 0, 17.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.77000000, 43.54000000, 8.71000000, 52.25000000),
(12240, 1959, NULL, 955105, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 103.02000000, NULL, 206.04000000, 41.21000000, 0.00000000, 0.00000000, 247.25000000, 0, NULL, NULL, 0, 76.08000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.02000000, 206.04000000, 41.21000000, 247.25000000),
(12241, 1959, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(12242, 1960, NULL, 1223816, NULL, '2400w 230v 420m3/h<br />\r\n62litres 17.5kg<br />\r\ncuve inox', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 431.20000000, NULL, 431.20000000, 86.24000000, 0.00000000, 0.00000000, 517.44000000, 0, NULL, NULL, 0, 343.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 431.20000000, 431.20000000, 86.24000000, 517.44000000),
(12243, 1961, NULL, NULL, '1 Maintenace HV05', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12244, 1961, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 220.00000000, NULL, 220.00000000, 44.00000000, 0.00000000, 0.00000000, 264.00000000, 0, NULL, NULL, 0, 180.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 220.00000000, 220.00000000, 44.00000000, 264.00000000),
(12245, 1961, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(12246, 1961, NULL, 1180047, NULL, 'KIT OIL CHANGE VERTICAL NEW CONCEPT', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 146.11000000, NULL, 131.50000000, 26.30000000, 0.00000000, 0.00000000, 157.80000000, 0, NULL, NULL, 0, 80.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 146.11000000, 131.50000000, 26.30000000, 157.80000000),
(12247, 1961, NULL, 1189329, NULL, 'filtre  711/715 (39x39x2)', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 39.65000000, NULL, 35.69000000, 7.13000000, 0.00000000, 0.00000000, 42.82000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.65000000, 35.69000000, 7.13000000, 42.82000000),
(12248, 1961, NULL, 955044, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 97.37000000, NULL, 87.63000000, 17.53000000, 0.00000000, 0.00000000, 105.16000000, 0, NULL, NULL, 0, 33.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 97.37000000, 87.63000000, 17.53000000, 105.16000000),
(12249, 1961, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.50000000, NULL, 6.50000000, 1.30000000, 0.00000000, 0.00000000, 7.80000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.50000000, 6.50000000, 1.30000000, 7.80000000),
(12250, 1961, NULL, NULL, 'Sous-total Maintenace HV05', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12251, 1961, NULL, NULL, '2 reinstalllation de l\'ensemble (compresseur, cuve, secheur, filtres, mise en place d\'une telecommande à distance)', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12252, 1961, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 180.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(12253, 1961, NULL, 1190696, NULL, 'boite derivation 100x100 plexo', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.16000000, NULL, 15.16000000, 3.03000000, 0.00000000, 0.00000000, 18.19000000, 0, NULL, NULL, 0, 7.36000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.16000000, 15.16000000, 3.03000000, 18.19000000),
(12254, 1961, NULL, 1190557, NULL, 'u1000ro2v cu 5 g 2.5 mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.50000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 1.33000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.50000000, 5.00000000, 1.00000000, 6.00000000),
(12255, 1961, NULL, 1071436, NULL, 'FICHE PLEXO 2P+T 16 A FB GSB', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.98000000, NULL, 9.98000000, 2.00000000, 0.00000000, 0.00000000, 11.98000000, 0, NULL, NULL, 0, 4.84000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.98000000, 9.98000000, 2.00000000, 11.98000000),
(12256, 1961, NULL, 1190555, NULL, 'R2V CU 3G1,5 TGL', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.64000000, NULL, 16.40000000, 3.28000000, 0.00000000, 0.00000000, 19.68000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.64000000, 16.40000000, 3.28000000, 19.68000000),
(12257, 1961, NULL, 1566272, NULL, 'Harmony boite - 1 bouton tournant Ø22 à manette - 1F', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 55.00000000, NULL, 55.00000000, 11.00000000, 0.00000000, 0.00000000, 66.00000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 55.00000000, 55.00000000, 11.00000000, 66.00000000),
(12258, 1961, NULL, NULL, 'Sous-total reinstalllation de l\'ensemble (compresseur, cuve, secheur, filtres, mise en place d\'une telecommande à distance)', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12259, 1962, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3.15, 0, 0, NULL, 63.84000000, NULL, 201.10000000, 40.22000000, 0.00000000, 0.00000000, 241.32000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 201.10000000, 40.22000000, 241.32000000),
(12260, 1962, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 66, 0, 0, NULL, 0.97000000, NULL, 64.02000000, 12.80000000, 0.00000000, 0.00000000, 76.82000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 64.02000000, 12.80000000, 76.82000000),
(12261, 1962, NULL, NULL, NULL, 'manchon reparation 60/64', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 88.00000000, NULL, 88.00000000, 17.60000000, 0.00000000, 0.00000000, 105.60000000, 0, NULL, NULL, 0, 66.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.00000000, 88.00000000, 17.60000000, 105.60000000),
(12267, 1964, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 609.59000000, NULL, 609.59000000, 121.92000000, 0.00000000, 0.00000000, 731.51000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 609.59000000, 609.59000000, 121.92000000, 731.51000000),
(12268, 1964, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.33000000, NULL, 8.33000000, 1.67000000, 0.00000000, 0.00000000, 10.00000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.33000000, 8.33000000, 1.67000000, 10.00000000),
(12269, 1964, NULL, 1180343, NULL, 'Huile Vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 122.71000000, NULL, 122.71000000, 24.54000000, 0.00000000, 0.00000000, 147.25000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 122.71000000, 122.71000000, 24.54000000, 147.25000000),
(12270, 1964, NULL, 1305188, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 181.78000000, NULL, 181.78000000, 36.36000000, 0.00000000, 0.00000000, 218.14000000, 0, NULL, NULL, 0, 53.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 181.78000000, 181.78000000, 36.36000000, 218.14000000),
(12271, 1964, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.93000000, NULL, 53.79000000, 10.76000000, 0.00000000, 0.00000000, 64.55000000, 0, NULL, NULL, 0, 10.01000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.93000000, 53.79000000, 10.76000000, 64.55000000),
(12272, 1965, NULL, NULL, NULL, 'AIR COMPRIME', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12273, 1965, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 4.83000000, NULL, 28.98000000, 5.80000000, 0.00000000, 0.00000000, 34.78000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.83000000, 28.98000000, 5.80000000, 34.78000000),
(12274, 1965, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 2.55000000, NULL, 15.30000000, 3.06000000, 0.00000000, 0.00000000, 18.36000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.55000000, 15.30000000, 3.06000000, 18.36000000),
(12275, 1965, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 5.47000000, NULL, 32.82000000, 6.56000000, 0.00000000, 0.00000000, 39.38000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.47000000, 32.82000000, 6.56000000, 39.38000000),
(12276, 1965, NULL, 1079818, NULL, 'Coude à 45° diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 5.11000000, NULL, 20.44000000, 4.09000000, 0.00000000, 0.00000000, 24.53000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.11000000, 20.44000000, 4.09000000, 24.53000000),
(12277, 1965, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.63000000, NULL, 6.63000000, 1.33000000, 0.00000000, 0.00000000, 7.96000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.63000000, 6.63000000, 1.33000000, 7.96000000),
(12278, 1965, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 14.01000000, NULL, 42.03000000, 8.41000000, 0.00000000, 0.00000000, 50.44000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.01000000, 42.03000000, 8.41000000, 50.44000000),
(12279, 1965, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 6.44000000, NULL, 19.32000000, 3.86000000, 0.00000000, 0.00000000, 23.18000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.44000000, 19.32000000, 3.86000000, 23.18000000),
(12280, 1965, NULL, 1079932, NULL, 'Raccord mixte mâle diam. ext. 35. 1\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 5.58000000, NULL, 16.74000000, 3.35000000, 0.00000000, 0.00000000, 20.09000000, 0, NULL, NULL, 0, 7.63000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.58000000, 16.74000000, 3.35000000, 20.09000000),
(12281, 1965, NULL, 1080014, NULL, 'Manchon d\'extrémité diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.47000000, NULL, 3.47000000, 0.69000000, 0.00000000, 0.00000000, 4.16000000, 0, NULL, NULL, 0, 4.74000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.47000000, 3.47000000, 0.69000000, 4.16000000),
(12282, 1965, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 0.61000000, NULL, 3.66000000, 0.73000000, 0.00000000, 0.00000000, 4.39000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.61000000, 3.66000000, 0.73000000, 4.39000000),
(12283, 1965, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.51000000, NULL, 17.02000000, 3.40000000, 0.00000000, 0.00000000, 20.42000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.51000000, 17.02000000, 3.40000000, 20.42000000),
(12284, 1965, NULL, 966507, NULL, 'Vanne F/F G1\"1/4 PN30 DN32', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.53000000, NULL, 27.06000000, 5.41000000, 0.00000000, 0.00000000, 32.47000000, 0, NULL, NULL, 0, 13.16000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.53000000, 27.06000000, 5.41000000, 32.47000000),
(12285, 1965, NULL, 966671, NULL, 'Mamelon MxM G1\"1/4xG1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.29000000, NULL, 6.58000000, 1.32000000, 0.00000000, 0.00000000, 7.90000000, 0, NULL, NULL, 0, 3.20000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.29000000, 6.58000000, 1.32000000, 7.90000000),
(12286, 1965, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1620.10000000, NULL, 1620.10000000, 324.02000000, 0.00000000, 0.00000000, 1944.12000000, 0, NULL, NULL, 0, 700.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1620.10000000, 1620.10000000, 324.02000000, 1944.12000000),
(12287, 1965, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12288, 1965, NULL, NULL, NULL, 'EAU', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12289, 1965, NULL, 1080071, NULL, 'Tube \"air comprimé\" diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 102, 0, 0, NULL, 11.64000000, NULL, 1187.28000000, 237.46000000, 0.00000000, 0.00000000, 1424.74000000, 0, NULL, NULL, 0, 7.90000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.64000000, 1187.28000000, 237.46000000, 1424.74000000),
(12290, 1965, NULL, 1079995, NULL, 'Manchon diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 6.69000000, NULL, 133.80000000, 26.76000000, 0.00000000, 0.00000000, 160.56000000, 0, NULL, NULL, 0, 4.54000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.69000000, 133.80000000, 26.76000000, 160.56000000),
(12291, 1965, NULL, 1079789, NULL, 'Courbe à 90° diamètre extérieur 42', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 20.27000000, NULL, 405.40000000, 81.08000000, 0.00000000, 0.00000000, 486.48000000, 0, NULL, NULL, 0, 13.75000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.27000000, 405.40000000, 81.08000000, 486.48000000),
(12292, 1965, NULL, 1079819, NULL, 'Coude à 45° diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 16.60000000, NULL, 166.00000000, 33.20000000, 0.00000000, 0.00000000, 199.20000000, 0, NULL, NULL, 0, 11.25000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.60000000, 166.00000000, 33.20000000, 199.20000000),
(12293, 1965, NULL, 1079854, NULL, 'Té égal diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 18.69000000, NULL, 93.45000000, 18.69000000, 0.00000000, 0.00000000, 112.14000000, 0, NULL, NULL, 0, 12.67000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.69000000, 93.45000000, 18.69000000, 112.14000000),
(12294, 1965, NULL, 1079967, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 35.16000000, NULL, 281.28000000, 56.26000000, 0.00000000, 0.00000000, 337.54000000, 0, NULL, NULL, 0, 23.83000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.16000000, 281.28000000, 56.26000000, 337.54000000),
(12295, 1965, NULL, 1079936, NULL, 'Raccord mixte mâle diam. ext. 42.1½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.93000000, NULL, 37.86000000, 7.57000000, 0.00000000, 0.00000000, 45.43000000, 0, NULL, NULL, 0, 12.84000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.93000000, 37.86000000, 7.57000000, 45.43000000),
(12296, 1965, NULL, 1080015, NULL, 'Manchon d\'extrémité diam. ext. 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.77000000, NULL, 9.77000000, 1.95000000, 0.00000000, 0.00000000, 11.72000000, 0, NULL, NULL, 0, 6.63000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.77000000, 9.77000000, 1.95000000, 11.72000000),
(12297, 1965, NULL, 1080115, NULL, 'Collier protégé pour tube diam. 42 - M8', 20.000, '', 0.000, '0', 0.000, '0', 70, 0, 0, NULL, 1.38000000, NULL, 96.60000000, 19.32000000, 0.00000000, 0.00000000, 115.92000000, 0, NULL, NULL, 0, 0.94000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.38000000, 96.60000000, 19.32000000, 115.92000000),
(12298, 1965, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.18000000, NULL, 34.36000000, 6.87000000, 0.00000000, 0.00000000, 41.23000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.18000000, 34.36000000, 6.87000000, 41.23000000),
(12299, 1965, NULL, 966507, NULL, 'Vanne F/F G1\"1/4 PN30 DN32', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 27.33000000, NULL, 109.32000000, 21.86000000, 0.00000000, 0.00000000, 131.18000000, 0, NULL, NULL, 0, 13.16000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.33000000, 109.32000000, 21.86000000, 131.18000000),
(12300, 1965, NULL, 966508, NULL, 'Vanne F/F G1\"1/2 PN30 DN40', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 40.67000000, NULL, 162.68000000, 32.54000000, 0.00000000, 0.00000000, 195.22000000, 0, NULL, NULL, 0, 19.58000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.67000000, 162.68000000, 32.54000000, 195.22000000),
(12301, 1965, NULL, 966705, NULL, 'Mamelon conique G1\"x1\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 5.56000000, NULL, 22.24000000, 4.45000000, 0.00000000, 0.00000000, 26.69000000, 0, NULL, NULL, 0, 2.68000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.56000000, 22.24000000, 4.45000000, 26.69000000),
(12302, 1965, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3271.53000000, NULL, 3271.53000000, 654.31000000, 0.00000000, 0.00000000, 3925.84000000, 0, NULL, NULL, 0, 2612.00000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3271.53000000, 3271.53000000, 654.31000000, 3925.84000000),
(12303, 1965, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12304, 1965, NULL, NULL, NULL, 'RESEAU FUEL', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12305, 1965, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 90, 0, 0, NULL, 6.44000000, NULL, 579.60000000, 115.92000000, 0.00000000, 0.00000000, 695.52000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.44000000, 579.60000000, 115.92000000, 695.52000000),
(12306, 1965, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 4.45000000, NULL, 89.00000000, 17.80000000, 0.00000000, 0.00000000, 106.80000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.45000000, 89.00000000, 17.80000000, 106.80000000),
(12307, 1965, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 7.03000000, NULL, 140.60000000, 28.12000000, 0.00000000, 0.00000000, 168.72000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.03000000, 140.60000000, 28.12000000, 168.72000000),
(12308, 1965, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 8.02000000, NULL, 80.20000000, 16.04000000, 0.00000000, 0.00000000, 96.24000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 37, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.02000000, 80.20000000, 16.04000000, 96.24000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(12309, 1965, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 9.96000000, NULL, 39.84000000, 7.97000000, 0.00000000, 0.00000000, 47.81000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 38, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.96000000, 39.84000000, 7.97000000, 47.81000000),
(12310, 1965, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 22.20000000, NULL, 177.60000000, 35.52000000, 0.00000000, 0.00000000, 213.12000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 39, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.20000000, 177.60000000, 35.52000000, 213.12000000),
(12311, 1965, NULL, 1079930, NULL, 'Raccord mixte mâle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.87000000, NULL, 17.74000000, 3.55000000, 0.00000000, 0.00000000, 21.29000000, 0, NULL, NULL, 0, 6.01000000, NULL, 0, 0, 40, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.87000000, 17.74000000, 3.55000000, 21.29000000),
(12312, 1965, NULL, 1080013, NULL, 'Manchon d\'extrémité diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.23000000, NULL, 12.46000000, 2.49000000, 0.00000000, 0.00000000, 14.95000000, 0, NULL, NULL, 0, 4.22000000, NULL, 0, 0, 41, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.23000000, 12.46000000, 2.49000000, 14.95000000),
(12313, 1965, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 1.18000000, NULL, 70.80000000, 14.16000000, 0.00000000, 0.00000000, 84.96000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 42, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.18000000, 70.80000000, 14.16000000, 84.96000000),
(12314, 1965, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 17.18000000, NULL, 85.90000000, 17.18000000, 0.00000000, 0.00000000, 103.08000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 43, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.18000000, 85.90000000, 17.18000000, 103.08000000),
(12315, 1965, NULL, 966894, NULL, 'Bouchon M. cylindrique G1\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 2.49000000, NULL, 9.96000000, 1.99000000, 0.00000000, 0.00000000, 11.95000000, 0, NULL, NULL, 0, 1.20000000, NULL, 0, 0, 44, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.49000000, 9.96000000, 1.99000000, 11.95000000),
(12316, 1965, NULL, 966705, NULL, 'Mamelon conique G1\"x1\"', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 5.56000000, NULL, 27.80000000, 5.56000000, 0.00000000, 0.00000000, 33.36000000, 0, NULL, NULL, 0, 2.68000000, NULL, 0, 0, 45, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.56000000, 27.80000000, 5.56000000, 33.36000000),
(12317, 1965, NULL, 1080089, NULL, 'Joint FKM pour raccords diam. 28', 20.000, '', 0.000, '0', 0.000, '0', 150, 0, 0, NULL, 0.59000000, NULL, 88.50000000, 17.70000000, 0.00000000, 0.00000000, 106.20000000, 0, NULL, NULL, 0, 0.40000000, NULL, 0, 0, 46, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.59000000, 88.50000000, 17.70000000, 106.20000000),
(12318, 1965, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3271.52000000, NULL, 3271.52000000, 654.30000000, 0.00000000, 0.00000000, 3925.82000000, 0, NULL, NULL, 0, 1749.00000000, NULL, 0, 0, 47, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3271.52000000, 3271.52000000, 654.30000000, 3925.82000000),
(12319, 1965, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 48, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12320, 1966, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.90000000, NULL, 305.90000000, 61.18000000, 0.00000000, 0.00000000, 367.08000000, 0, NULL, NULL, 0, 230.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.90000000, 305.90000000, 61.18000000, 367.08000000),
(12321, 1966, NULL, 1586894, NULL, 'flexible', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 87.10000000, NULL, 87.10000000, 17.42000000, 0.00000000, 0.00000000, 104.52000000, 0, NULL, NULL, 0, 49.65000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 87.10000000, 87.10000000, 17.42000000, 104.52000000),
(12322, 1966, NULL, 1586895, NULL, 'flexible haute temperature 3/8x730-180D', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.70000000, NULL, 82.70000000, 16.54000000, 0.00000000, 0.00000000, 99.24000000, 0, NULL, NULL, 0, 47.14000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.70000000, 82.70000000, 16.54000000, 99.24000000),
(12323, 1966, NULL, 1586896, NULL, 'flexible', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.70000000, NULL, 82.70000000, 16.54000000, 0.00000000, 0.00000000, 99.24000000, 0, NULL, NULL, 0, 47.14000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.70000000, 82.70000000, 16.54000000, 99.24000000),
(12324, 1966, NULL, 1586897, NULL, 'flexible', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 55.50000000, NULL, 55.50000000, 11.10000000, 0.00000000, 0.00000000, 66.60000000, 0, NULL, NULL, 0, 31.64000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 55.50000000, 55.50000000, 11.10000000, 66.60000000),
(12325, 1966, NULL, 1586898, NULL, 'flexible haute temperature', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.70000000, NULL, 63.70000000, 12.74000000, 0.00000000, 0.00000000, 76.44000000, 0, NULL, NULL, 0, 36.31000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.70000000, 63.70000000, 12.74000000, 76.44000000),
(12326, 1966, NULL, 1586899, NULL, 'flexible', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 70.30000000, NULL, 70.30000000, 14.06000000, 0.00000000, 0.00000000, 84.36000000, 0, NULL, NULL, 0, 40.07000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 70.30000000, 70.30000000, 14.06000000, 84.36000000),
(12327, 1967, NULL, 1221269, NULL, 'CLE A CHOCS CARRE 1/2 COMPOSITE 8951000044', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 220.00000000, NULL, 220.00000000, 44.00000000, 0.00000000, 0.00000000, 264.00000000, 0, NULL, NULL, 0, 143.06000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 220.00000000, 220.00000000, 44.00000000, 264.00000000),
(12328, 1967, NULL, 1586988, NULL, '1/2 DR 14 PC MET DEEP SET = 20 895101235', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 75.00000000, NULL, 75.00000000, 15.00000000, 0.00000000, 0.00000000, 90.00000000, 0, NULL, NULL, 0, 55.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 75.00000000, 75.00000000, 15.00000000, 90.00000000),
(12330, 1968, NULL, 968362, NULL, 'Enrouleur fermé ABS Ø10 20m', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 185.00000000, NULL, 370.00000000, 74.00000000, 0.00000000, 0.00000000, 444.00000000, 0, NULL, NULL, 0, 137.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 185.00000000, 370.00000000, 74.00000000, 444.00000000),
(12331, 1969, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.13000000, NULL, 34.26000000, 6.85000000, 0.00000000, 0.00000000, 41.11000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.13000000, 34.26000000, 6.85000000, 41.11000000),
(12332, 1969, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12333, 1969, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(12334, 1969, NULL, 1586806, NULL, 'KIT DE MAINTENANCE ck2076-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 15.87000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(12335, 1969, NULL, 1221736, NULL, 'FILTRE SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.80000000, NULL, 59.80000000, 11.96000000, 0.00000000, 0.00000000, 71.76000000, 0, NULL, NULL, 0, 29.03000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.80000000, 59.80000000, 11.96000000, 71.76000000),
(12336, 1970, NULL, 944321, NULL, 'compresseur rotatif &agrave; vis librifiees &agrave; vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17555.86000000, NULL, 17555.86000000, 3511.17000000, 0.00000000, 0.00000000, 21067.03000000, 0, NULL, NULL, 0, 12490.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17555.86000000, 17555.86000000, 3511.17000000, 21067.03000000),
(12337, 1970, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 138.78000000, NULL, 138.78000000, 27.76000000, 0.00000000, 0.00000000, 166.54000000, 0, NULL, NULL, 0, 258.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 138.78000000, 138.78000000, 27.76000000, 166.54000000),
(12338, 1970, NULL, 952826, NULL, 'secheur par réfrigération 660m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5409.89000000, NULL, 5409.89000000, 1081.98000000, 0.00000000, 0.00000000, 6491.87000000, 0, NULL, NULL, 0, 2530.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5409.89000000, 5409.89000000, 1081.98000000, 6491.87000000),
(12339, 1970, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1535.00000000, NULL, 1535.00000000, 307.00000000, 0.00000000, 0.00000000, 1842.00000000, 0, NULL, NULL, 0, 698.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1535.00000000, 1535.00000000, 307.00000000, 1842.00000000),
(12340, 1970, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.43000000, NULL, 117.43000000, 23.49000000, 0.00000000, 0.00000000, 140.92000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.43000000, 117.43000000, 23.49000000, 140.92000000),
(12341, 1970, NULL, 952654, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 475.01000000, NULL, 475.01000000, 95.00000000, 0.00000000, 0.00000000, 570.01000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 475.01000000, 475.01000000, 95.00000000, 570.01000000),
(12342, 1970, NULL, 952653, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 475.01000000, NULL, 475.01000000, 95.00000000, 0.00000000, 0.00000000, 570.01000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 475.01000000, 475.01000000, 95.00000000, 570.01000000),
(12343, 1970, NULL, 966221, NULL, 'Rouleau Teflon PTFE', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 0.69000000, NULL, 2.07000000, 0.41000000, 0.00000000, 0.00000000, 2.48000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.69000000, 2.07000000, 0.41000000, 2.48000000),
(12344, 1970, NULL, 958255, NULL, 'ÖWAMAT 14 oil/water separatot without pre-separation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1244.27000000, NULL, 1244.27000000, 248.85000000, 0.00000000, 0.00000000, 1493.12000000, 0, NULL, NULL, 0, 599.54000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1244.27000000, 1244.27000000, 248.85000000, 1493.12000000),
(12345, 1970, NULL, 972631, NULL, 'Té égal Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.12000000, NULL, 15.60000000, 3.12000000, 0.00000000, 0.00000000, 18.72000000, 0, NULL, NULL, 0, 1.60600000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.12000000, 15.60000000, 3.12000000, 18.72000000),
(12346, 1970, NULL, 972586, NULL, 'Raccord droit mâle G1/4 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.26000000, NULL, 1.26000000, 0.25000000, 0.00000000, 0.00000000, 1.51000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.26000000, 1.26000000, 0.25000000, 1.51000000),
(12347, 1970, NULL, 972160, NULL, 'Tube polyamide Rilsan incolore 6x8 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.37000000, NULL, 50.37000000, 10.07000000, 0.00000000, 0.00000000, 60.44000000, 0, NULL, NULL, 0, 25.95000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.37000000, 50.37000000, 10.07000000, 60.44000000),
(12348, 1970, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 10.03000000, NULL, 180.54000000, 36.11000000, 0.00000000, 0.00000000, 216.65000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.03000000, 180.54000000, 36.11000000, 216.65000000),
(12349, 1970, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 5.30000000, NULL, 31.80000000, 6.36000000, 0.00000000, 0.00000000, 38.16000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.30000000, 31.80000000, 6.36000000, 38.16000000),
(12350, 1970, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 11.36000000, NULL, 227.20000000, 45.44000000, 0.00000000, 0.00000000, 272.64000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.36000000, 227.20000000, 45.44000000, 272.64000000),
(12351, 1970, NULL, 1079818, NULL, 'Coude à 45° diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 10.60000000, NULL, 63.60000000, 12.72000000, 0.00000000, 0.00000000, 76.32000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.60000000, 63.60000000, 12.72000000, 76.32000000),
(12352, 1970, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 13.75000000, NULL, 137.50000000, 27.50000000, 0.00000000, 0.00000000, 165.00000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.75000000, 137.50000000, 27.50000000, 165.00000000),
(12353, 1970, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 29.09000000, NULL, 290.90000000, 58.18000000, 0.00000000, 0.00000000, 349.08000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.09000000, 290.90000000, 58.18000000, 349.08000000),
(12354, 1970, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 13.35000000, NULL, 133.50000000, 26.70000000, 0.00000000, 0.00000000, 160.20000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.35000000, 133.50000000, 26.70000000, 160.20000000),
(12355, 1970, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 1.28000000, NULL, 15.36000000, 3.07000000, 0.00000000, 0.00000000, 18.43000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.28000000, 15.36000000, 3.07000000, 18.43000000),
(12356, 1970, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.89000000, NULL, 7.89000000, 1.58000000, 0.00000000, 0.00000000, 9.47000000, 0, NULL, NULL, 0, 3.52000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.89000000, 7.89000000, 1.58000000, 9.47000000),
(12357, 1970, NULL, 967225, NULL, 'Croix acier G1\"1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 18.47000000, NULL, 184.70000000, 36.94000000, 0.00000000, 0.00000000, 221.64000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.47000000, 184.70000000, 36.94000000, 221.64000000),
(12358, 1970, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.49000000, NULL, 1.49000000, 0.30000000, 0.00000000, 0.00000000, 1.79000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.49000000, 1.49000000, 0.30000000, 1.79000000),
(12359, 1970, NULL, 967552, NULL, 'Ensemble soufflage2 m 1/4 FetT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.15000000, NULL, 26.15000000, 5.23000000, 0.00000000, 0.00000000, 31.38000000, 0, NULL, NULL, 0, 13.47500000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.15000000, 26.15000000, 5.23000000, 31.38000000),
(12360, 1970, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.66000000, NULL, 26.66000000, 5.33000000, 0.00000000, 0.00000000, 31.99000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.66000000, 26.66000000, 5.33000000, 31.99000000),
(12361, 1970, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3847.43000000, NULL, 3847.43000000, 769.49000000, 0.00000000, 0.00000000, 4616.92000000, 0, NULL, NULL, 0, 3850.00000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3847.43000000, 3847.43000000, 769.49000000, 4616.92000000),
(12362, 1970, NULL, NULL, NULL, 'vcf - gainage acier extraction air chaud&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3484.47000000, NULL, 3484.47000000, 696.89000000, 0.00000000, 0.00000000, 4181.36000000, 0, NULL, NULL, 0, 2400.00000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3484.47000000, 3484.47000000, 696.89000000, 4181.36000000),
(12363, 1970, NULL, NULL, NULL, 'LIN grille &agrave; ventile amovible', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 320.26000000, NULL, 320.26000000, 64.05000000, 0.00000000, 0.00000000, 384.31000000, 0, NULL, NULL, 0, 200.00000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 320.26000000, 320.26000000, 64.05000000, 384.31000000),
(12364, 1971, NULL, NULL, '1 L29RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12365, 1971, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(12366, 1971, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12367, 1971, NULL, 1179651, NULL, 'SERVICE KIT D L23RS-L29RS replaced', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 972.50000000, NULL, 972.50000000, 194.50000000, 0.00000000, 0.00000000, 1167.00000000, 1, NULL, NULL, 0, 554.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 972.50000000, 972.50000000, 194.50000000, 1167.00000000),
(12368, 1971, NULL, 1305287, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 468.00000000, NULL, 468.00000000, 93.60000000, 0.00000000, 0.00000000, 561.60000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 468.00000000, 468.00000000, 93.60000000, 561.60000000),
(12369, 1971, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(12370, 1971, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12371, 1971, NULL, NULL, NULL, 'Filtres reseaux', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12372, 1971, NULL, 952658, NULL, 'cartouche grade ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(12373, 1971, NULL, 952684, NULL, 'cartouche grade rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.11000000, NULL, 155.11000000, 31.02000000, 0.00000000, 0.00000000, 186.13000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.11000000, 155.11000000, 31.02000000, 186.13000000),
(12374, 1971, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12375, 1971, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 88.66000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(12376, 1972, NULL, 1190376, NULL, 'Forfait intervention ZONE B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 331.44000000, NULL, 331.44000000, 66.29000000, 0.00000000, 0.00000000, 397.73000000, 0, NULL, NULL, 0, 249.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 331.44000000, 331.44000000, 66.29000000, 397.73000000),
(12377, 1972, NULL, 1588453, NULL, 'PRESSOSTAT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 115.63000000, NULL, 115.63000000, 23.13000000, 0.00000000, 0.00000000, 138.76000000, 0, NULL, NULL, 0, 89.79000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 115.63000000, 115.63000000, 23.13000000, 138.76000000),
(12378, 1972, NULL, 1588454, NULL, 'TEMP SENSOR PT1000', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.87000000, NULL, 99.87000000, 19.97000000, 0.00000000, 0.00000000, 119.84000000, 0, NULL, NULL, 0, 67.89000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.87000000, 99.87000000, 19.97000000, 119.84000000),
(12379, 1972, NULL, 1588455, NULL, 'KIT VANNE THERMOSTATIQUE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.32000000, NULL, 130.32000000, 26.06000000, 0.00000000, 0.00000000, 156.38000000, 0, NULL, NULL, 0, 102.27000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.32000000, 130.32000000, 26.06000000, 156.38000000),
(12380, 1973, NULL, 1188172, NULL, 'Compresseur a piston lubrifié sur reserv. sur roues', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 392.00000000, NULL, 392.00000000, 78.40000000, 0.00000000, 0.00000000, 470.40000000, 0, NULL, NULL, 0, 262.98000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 392.00000000, 392.00000000, 78.40000000, 470.40000000),
(12381, 1973, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(12382, 1973, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(12383, 1974, NULL, 952631, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 100.90000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(12384, 1974, NULL, 952631, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 100.90000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(12385, 1974, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3.5, 0, 0, NULL, 63.84000000, NULL, 223.44000000, 44.69000000, 0.00000000, 0.00000000, 268.13000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 223.44000000, 44.69000000, 268.13000000),
(12386, 1974, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 72, 0, 0, NULL, 0.97000000, NULL, 69.84000000, 13.97000000, 0.00000000, 0.00000000, 83.81000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 69.84000000, 13.97000000, 83.81000000),
(12387, 1974, NULL, 971583, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 24.97000000, NULL, 49.94000000, 9.99000000, 0.00000000, 0.00000000, 59.93000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.97000000, 49.94000000, 9.99000000, 59.93000000),
(12388, 1975, NULL, NULL, NULL, '(DEPOSIT) (80%) - CO2008-1612', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4000.00000000, NULL, 4000.00000000, 800.00000000, 0.00000000, 0.00000000, 4800.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4000.00000000, 4000.00000000, 800.00000000, 4800.00000000),
(12390, 1977, NULL, 967552, NULL, 'Ensemble soufflage2 m 1/4 FetT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 24.50000000, NULL, 49.00000000, 9.80000000, 0.00000000, 0.00000000, 58.80000000, 0, NULL, NULL, 0, 13.48000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.50000000, 49.00000000, 9.80000000, 58.80000000),
(12391, 1978, NULL, 972364, NULL, 'Spiralé 8x10 long. 10m G1/4 fixes', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 25.45000000, NULL, 50.90000000, 10.18000000, 0.00000000, 0.00000000, 61.08000000, 0, NULL, NULL, 0, 13.99750000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.45000000, 50.90000000, 10.18000000, 61.08000000),
(12392, 1978, NULL, 971584, NULL, 'Raccord sécurité F G1/4 ISOB 6', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.72000000, NULL, 37.44000000, 7.49000000, 0.00000000, 0.00000000, 44.93000000, 0, NULL, NULL, 0, 9.09000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.72000000, 37.44000000, 7.49000000, 44.93000000),
(12393, 1978, NULL, 971001, NULL, 'About mâle standard ISO B 6 G1/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.30000000, NULL, 4.60000000, 0.92000000, 0.00000000, 0.00000000, 5.52000000, 0, NULL, NULL, 0, 1.27000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.30000000, 4.60000000, 0.92000000, 5.52000000),
(12394, 1978, NULL, 966811, NULL, 'Manchon égal F/F G1/4x1/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 0.65000000, NULL, 1.30000000, 0.26000000, 0.00000000, 0.00000000, 1.56000000, 0, NULL, NULL, 0, 0.33000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.65000000, 1.30000000, 0.26000000, 1.56000000),
(12395, 1978, NULL, 1222625, NULL, 'autoreel pro devidoir auto multi usage lg 20m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.45000000, NULL, 299.45000000, 59.89000000, 0.00000000, 0.00000000, 359.34000000, 0, NULL, NULL, 0, 199.07000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.45000000, 299.45000000, 59.89000000, 359.34000000),
(12396, 1979, NULL, NULL, NULL, 'Maintenance L45rs', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12397, 1979, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 311.10000000, NULL, 311.10000000, 62.22000000, 0.00000000, 0.00000000, 373.32000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 311.10000000, 311.10000000, 62.22000000, 373.32000000),
(12398, 1979, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 311.10000000, NULL, 311.10000000, 62.22000000, 0.00000000, 0.00000000, 373.32000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 311.10000000, 311.10000000, 62.22000000, 373.32000000),
(12399, 1979, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 311.10000000, NULL, 311.10000000, 62.22000000, 0.00000000, 0.00000000, 373.32000000, 0, NULL, NULL, 0, 129.27000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 311.10000000, 311.10000000, 62.22000000, 373.32000000),
(12400, 1979, NULL, 1179627, NULL, 'Kit de service C L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 311.10000000, NULL, 311.10000000, 62.22000000, 0.00000000, 0.00000000, 373.32000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 311.10000000, 311.10000000, 62.22000000, 373.32000000),
(12401, 1979, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12402, 1979, NULL, NULL, NULL, 'Maintenance L15', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12403, 1979, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.71000000, NULL, 76.71000000, 15.34000000, 0.00000000, 0.00000000, 92.05000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.71000000, 76.71000000, 15.34000000, 92.05000000),
(12404, 1979, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.71000000, NULL, 76.71000000, 15.34000000, 0.00000000, 0.00000000, 92.05000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.71000000, 76.71000000, 15.34000000, 92.05000000),
(12405, 1979, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 25.56000000, NULL, 76.68000000, 15.34000000, 0.00000000, 0.00000000, 92.02000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.56000000, 76.68000000, 15.34000000, 92.02000000),
(12406, 1979, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.71000000, NULL, 76.71000000, 15.34000000, 0.00000000, 0.00000000, 92.05000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.71000000, 76.71000000, 15.34000000, 92.05000000),
(12407, 1979, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.71000000, NULL, 76.71000000, 15.34000000, 0.00000000, 0.00000000, 92.05000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.71000000, 76.71000000, 15.34000000, 92.05000000),
(12408, 1979, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.29000000, NULL, 154.29000000, 30.86000000, 0.00000000, 0.00000000, 185.15000000, 0, NULL, NULL, 0, 51.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 154.29000000, 154.29000000, 30.86000000, 185.15000000),
(12409, 1979, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.71000000, NULL, 76.71000000, 15.34000000, 0.00000000, 0.00000000, 92.05000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.71000000, 76.71000000, 15.34000000, 92.05000000),
(12410, 1979, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12411, 1979, NULL, NULL, NULL, 'Maintenance sécheur alumine et filtres réseaux', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12412, 1979, NULL, 952487, NULL, 'alumine 4,5 à 5,5 mm poids au kg', 20.000, '', 0.000, '0', 0.000, '0', 26, 0, 0, NULL, 6.39000000, NULL, 166.14000000, 33.23000000, 0.00000000, 0.00000000, 199.37000000, 0, NULL, NULL, 0, 2.79000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.39000000, 166.14000000, 33.23000000, 199.37000000),
(12413, 1979, NULL, 1231706, NULL, 'recyclage alumine au kg', 20.000, '', 0.000, '0', 0.000, '0', 26, 0, 0, NULL, 6.39000000, NULL, 166.14000000, 33.23000000, 0.00000000, 0.00000000, 199.37000000, 0, NULL, NULL, 0, 0.68000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.39000000, 166.14000000, 33.23000000, 199.37000000),
(12414, 1979, NULL, 953418, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 166.36000000, NULL, 166.36000000, 33.27000000, 0.00000000, 0.00000000, 199.63000000, 0, NULL, NULL, 0, 23.54000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 166.36000000, 166.36000000, 33.27000000, 199.63000000),
(12415, 1979, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 166.36000000, NULL, 166.36000000, 33.27000000, 0.00000000, 0.00000000, 199.63000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 166.36000000, 166.36000000, 33.27000000, 199.63000000),
(12416, 1979, NULL, 954018, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 166.36000000, NULL, 166.36000000, 33.27000000, 0.00000000, 0.00000000, 199.63000000, 0, NULL, NULL, 0, 89.76000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 166.36000000, 166.36000000, 33.27000000, 199.63000000),
(12417, 1979, NULL, 953524, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 166.36000000, NULL, 166.36000000, 33.27000000, 0.00000000, 0.00000000, 199.63000000, 0, NULL, NULL, 0, 23.54000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 166.36000000, 166.36000000, 33.27000000, 199.63000000),
(12418, 1979, NULL, 1221471, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 166.36000000, NULL, 166.36000000, 33.27000000, 0.00000000, 0.00000000, 199.63000000, 0, NULL, NULL, 0, 29.00000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 166.36000000, 166.36000000, 33.27000000, 199.63000000),
(12419, 1979, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12420, 1980, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 230.19000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(12421, 1980, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12422, 1980, NULL, 1222578, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.66000000, NULL, 37.32000000, 7.46000000, 0.00000000, 0.00000000, 44.78000000, 0, NULL, NULL, 0, 9.06000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.66000000, 37.32000000, 7.46000000, 44.78000000),
(12423, 1980, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(12424, 1980, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(12425, 1980, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(12426, 1981, NULL, 1221779, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.12000000, NULL, 20.12000000, 4.02000000, 0.00000000, 0.00000000, 24.14000000, 0, NULL, NULL, 0, 10.06000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.12000000, 20.12000000, 4.02000000, 24.14000000),
(12427, 1981, NULL, 1221739, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.80000000, NULL, 96.80000000, 19.36000000, 0.00000000, 0.00000000, 116.16000000, 0, NULL, NULL, 0, 48.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.80000000, 96.80000000, 19.36000000, 116.16000000),
(12428, 1981, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(12429, 1981, NULL, 1222594, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 14.29000000, NULL, 42.87000000, 8.57000000, 0.00000000, 0.00000000, 51.44000000, 0, NULL, NULL, 0, 8.30000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 42.87000000, 8.57000000, 51.44000000),
(12430, 1981, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.57000000, NULL, 23.57000000, 4.71000000, 0.00000000, 0.00000000, 28.28000000, 0, NULL, NULL, 0, 9.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.57000000, 23.57000000, 4.71000000, 28.28000000),
(12431, 1982, NULL, 1305188, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 53.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(12432, 1983, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12433, 1983, NULL, 1222568, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(12434, 1983, NULL, 1179622, NULL, 'Kit de service C L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(12435, 1983, NULL, 953167, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.90000000, NULL, 92.90000000, 18.58000000, 0.00000000, 0.00000000, 111.48000000, 0, NULL, NULL, 0, 32.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.90000000, 92.90000000, 18.58000000, 111.48000000),
(12436, 1983, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(12437, 1984, NULL, NULL, '1 Compresseur RLR900', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12438, 1984, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(12439, 1984, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(12441, 1984, NULL, 1221757, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.03000000, NULL, 6.03000000, 1.21000000, 0.00000000, 0.00000000, 7.24000000, 0, NULL, NULL, 0, 10.25000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.03000000, 6.03000000, 1.21000000, 7.24000000),
(12442, 1984, NULL, 1221778, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.89000000, NULL, 22.89000000, 4.58000000, 0.00000000, 0.00000000, 27.47000000, 0, NULL, NULL, 0, 11.22000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.89000000, 22.89000000, 4.58000000, 27.47000000),
(12443, 1984, NULL, 1221734, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.43000000, NULL, 68.43000000, 13.69000000, 0.00000000, 0.00000000, 82.12000000, 0, NULL, NULL, 0, 33.22000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.43000000, 68.43000000, 13.69000000, 82.12000000),
(12444, 1984, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12445, 1984, NULL, NULL, '2 Filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12446, 1984, NULL, 1586992, NULL, 'E08PFD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 129.70000000, NULL, 129.70000000, 25.94000000, 0.00000000, 0.00000000, 155.64000000, 0, NULL, NULL, 0, 64.85000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 129.70000000, 129.70000000, 25.94000000, 155.64000000),
(12447, 1984, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12448, 1985, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 99.2, 0, 0, NULL, 0.97000000, NULL, 96.22000000, 19.25000000, 0.00000000, 0.00000000, 115.47000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 96.22000000, 19.25000000, 115.47000000),
(12449, 1985, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(12450, 1985, NULL, 969249, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 43.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(12451, 1985, NULL, 1186816, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 70.00000000, NULL, 70.00000000, 14.00000000, 0.00000000, 0.00000000, 84.00000000, 0, NULL, NULL, 0, 39.42000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 70.00000000, 70.00000000, 14.00000000, 84.00000000),
(12452, 1986, NULL, NULL, NULL, '(DEPOSIT) (1 038,19 &euro;) - CO2006-1473', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1038.19000000, NULL, 1038.19000000, 207.64000000, 0.00000000, 0.00000000, 1245.83000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1038.19000000, 1038.19000000, 207.64000000, 1245.83000000),
(12453, 1987, NULL, 966831, NULL, 'Manchon réducteur F/F G1/2x3/4', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 4.35000000, NULL, 21.75000000, 4.35000000, 0.00000000, 0.00000000, 26.10000000, 0, NULL, NULL, 0, 2.17000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.35000000, 21.75000000, 4.35000000, 26.10000000),
(12454, 1987, NULL, 966833, NULL, 'Manchon réduit F/F G1\"xG3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.15000000, NULL, 5.15000000, 1.03000000, 0.00000000, 0.00000000, 6.18000000, 0, NULL, NULL, 0, 2.58000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.15000000, 5.15000000, 1.03000000, 6.18000000),
(12455, 1987, NULL, 966815, NULL, 'Manchon égal F/F G3/4x3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.10000000, NULL, 4.10000000, 0.82000000, 0.00000000, 0.00000000, 4.92000000, 0, NULL, NULL, 0, 2.05000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.10000000, 4.10000000, 0.82000000, 4.92000000),
(12456, 1987, NULL, 966733, NULL, 'Réduction M/F G3/4xG1/2 Acier', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.05000000, NULL, 3.05000000, 0.61000000, 0.00000000, 0.00000000, 3.66000000, 0, NULL, NULL, 0, 1.53000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.05000000, 3.05000000, 0.61000000, 3.66000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(12457, 1987, NULL, 966729, NULL, 'Réduction conique M/F G1/2x1/4', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 0.95000000, NULL, 7.60000000, 1.52000000, 0.00000000, 0.00000000, 9.12000000, 0, NULL, NULL, 0, 0.48000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 7.60000000, 1.52000000, 9.12000000),
(12458, 1987, NULL, 966697, NULL, 'Mamelon conique G3/8x1/2', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 1.20000000, NULL, 3.60000000, 0.72000000, 0.00000000, 0.00000000, 4.32000000, 0, NULL, NULL, 0, 0.60000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.20000000, 3.60000000, 0.72000000, 4.32000000),
(12459, 1987, NULL, 966811, NULL, 'Manchon égal F/F G1/4x1/4', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 0.65000000, NULL, 2.60000000, 0.52000000, 0.00000000, 0.00000000, 3.12000000, 0, NULL, NULL, 0, 0.33000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.65000000, 2.60000000, 0.52000000, 3.12000000),
(12460, 1987, NULL, 967450, NULL, 'Collier sécurité acier 19-21mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.50000000, NULL, 3.00000000, 0.60000000, 0.00000000, 0.00000000, 3.60000000, 0, NULL, NULL, 0, 0.75000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.50000000, 3.00000000, 0.60000000, 3.60000000),
(12461, 1987, NULL, 967468, NULL, 'About collerette G1/2 Ø13mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.45000000, NULL, 12.90000000, 2.58000000, 0.00000000, 0.00000000, 15.48000000, 0, NULL, NULL, 0, 3.22000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.45000000, 12.90000000, 2.58000000, 15.48000000),
(12462, 1987, NULL, 967467, NULL, 'About collerette G1/2 Ø10mm', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.45000000, NULL, 12.90000000, 2.58000000, 0.00000000, 0.00000000, 15.48000000, 0, NULL, NULL, 0, 3.22000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.45000000, 12.90000000, 2.58000000, 15.48000000),
(12463, 1987, NULL, 971946, NULL, 'Tuyau PVC tressé POLYFLEXAIR Ø13x20 Couleur bleue en couronne de 50 mètres -PS :15 Bar', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 1.65000000, NULL, 66.00000000, 13.20000000, 0.00000000, 0.00000000, 79.20000000, 0, NULL, NULL, 0, 0.90750000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.65000000, 66.00000000, 13.20000000, 79.20000000),
(12464, 1987, NULL, 971943, NULL, 'Tuyau PVC tressé POLYFLEXAIR Ø10x16 Couleur bleue en couronne de 50 mètres- PS:15 Bar', 20.000, '', 0.000, '0', 0.000, '0', 25, 0, 0, NULL, 1.19000000, NULL, 29.75000000, 5.95000000, 0.00000000, 0.00000000, 35.70000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.19000000, 29.75000000, 5.95000000, 35.70000000),
(12465, 1987, NULL, 972376, NULL, 'Spiralé 8x10 long. 10m 2 raccords tournants G1/4', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 30.70000000, NULL, 92.10000000, 18.42000000, 0.00000000, 0.00000000, 110.52000000, 0, NULL, NULL, 0, 16.88500000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.70000000, 92.10000000, 18.42000000, 110.52000000),
(12472, 1989, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(12473, 1989, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12474, 1989, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(12475, 1989, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(12476, 1989, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(12477, 1989, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 24.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(12478, 1990, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(12479, 1990, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(12480, 1991, NULL, NULL, '1 Maintenance Kaeser', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12481, 1991, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(12482, 1991, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(12483, 1991, NULL, 954100, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 93.21000000, NULL, 93.21000000, 18.64000000, 0.00000000, 0.00000000, 111.85000000, 0, NULL, NULL, 0, 45.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 93.21000000, 93.21000000, 18.64000000, 111.85000000),
(12484, 1991, NULL, 955091, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 259.64000000, NULL, 259.64000000, 51.93000000, 0.00000000, 0.00000000, 311.57000000, 0, NULL, NULL, 0, 126.04000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 259.64000000, 259.64000000, 51.93000000, 311.57000000),
(12485, 1991, NULL, 952405, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 133.83000000, NULL, 133.83000000, 26.77000000, 0.00000000, 0.00000000, 160.60000000, 0, NULL, NULL, 0, 64.97000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 133.83000000, 133.83000000, 26.77000000, 160.60000000),
(12486, 1991, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(12487, 1991, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12488, 1992, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(12489, 1992, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12490, 1992, NULL, 1179629, NULL, 'Kit de service C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 397.00000000, NULL, 397.00000000, 79.40000000, 0.00000000, 0.00000000, 476.40000000, 0, NULL, NULL, 0, 238.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 397.00000000, 397.00000000, 79.40000000, 476.40000000),
(12491, 1992, NULL, 1305295, NULL, 'SERVICE PACKAGE  E          L55-L75 (A)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 849.00000000, NULL, 849.00000000, 169.80000000, 0.00000000, 0.00000000, 1018.80000000, 0, NULL, NULL, 0, 467.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 849.00000000, 849.00000000, 169.80000000, 1018.80000000),
(12492, 1993, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(12493, 1993, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12494, 1993, NULL, 1179624, NULL, 'Kit de service C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(12495, 1993, NULL, 1179649, NULL, 'Kit de service D           L15RS - L22RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 474.00000000, NULL, 474.00000000, 94.80000000, 0.00000000, 0.00000000, 568.80000000, 0, NULL, NULL, 0, 284.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 474.00000000, 474.00000000, 94.80000000, 568.80000000),
(12496, 1993, NULL, 1305285, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 265.00000000, NULL, 265.00000000, 53.00000000, 0.00000000, 0.00000000, 318.00000000, 0, NULL, NULL, 0, 146.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 265.00000000, 265.00000000, 53.00000000, 318.00000000),
(12497, 1993, NULL, 1222578, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.66000000, NULL, 55.98000000, 11.20000000, 0.00000000, 0.00000000, 67.18000000, 0, NULL, NULL, 0, 9.14000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.66000000, 55.98000000, 11.20000000, 67.18000000),
(12498, 1993, NULL, 953527, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.28000000, NULL, 61.28000000, 12.26000000, 0.00000000, 0.00000000, 73.54000000, 0, NULL, NULL, 0, 29.75000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.28000000, 61.28000000, 12.26000000, 73.54000000),
(12499, 1993, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(12500, 1994, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(12502, 1994, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12504, 1994, NULL, 1179622, NULL, 'Kit de service C L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(12505, 1994, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 286.25000000, NULL, 286.25000000, 57.25000000, 0.00000000, 0.00000000, 343.50000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 286.25000000, 57.25000000, 343.50000000),
(12506, 1994, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.58000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(12508, 1994, NULL, 1222641, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(12509, 1994, NULL, 1305282, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 251.00000000, NULL, 251.00000000, 50.20000000, 0.00000000, 0.00000000, 301.20000000, 0, NULL, NULL, 0, 138.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 251.00000000, 251.00000000, 50.20000000, 301.20000000),
(12510, 1995, NULL, NULL, NULL, 'location hebdomadaire', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 150.00000000, NULL, 600.00000000, 120.00000000, 0.00000000, 0.00000000, 720.00000000, 1, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 600.00000000, 120.00000000, 720.00000000),
(12511, 1996, NULL, NULL, NULL, 'l30', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12512, 1996, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(12513, 1996, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(12514, 1996, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(12515, 1996, NULL, 1586930, NULL, 'Filtre/Separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.29000000, NULL, 110.29000000, 22.06000000, 0.00000000, 0.00000000, 132.35000000, 0, NULL, NULL, 0, 73.53000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.29000000, 110.29000000, 22.06000000, 132.35000000),
(12516, 1996, NULL, 1230691, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.32000000, NULL, 34.32000000, 6.86000000, 0.00000000, 0.00000000, 41.18000000, 0, NULL, NULL, 0, 17.16000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.32000000, 34.32000000, 6.86000000, 41.18000000),
(12517, 1996, NULL, 1305512, NULL, 'MINOR KIT D  L30-L50 - idem ck4140-2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 590.00000000, NULL, 590.00000000, 118.00000000, 0.00000000, 0.00000000, 708.00000000, 0, NULL, NULL, 0, 259.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 590.00000000, 590.00000000, 118.00000000, 708.00000000),
(12518, 1996, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12519, 1996, NULL, NULL, NULL, 'l11', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12520, 1996, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(12521, 1996, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(12522, 1996, NULL, 1222597, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.18000000, NULL, 34.36000000, 6.87000000, 0.00000000, 0.00000000, 41.23000000, 0, NULL, NULL, 0, 8.62000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.18000000, 34.36000000, 6.87000000, 41.23000000),
(12523, 1996, NULL, 1305486, NULL, 'MINOR KIT C  L07-11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.00000000, NULL, 123.00000000, 24.60000000, 0.00000000, 0.00000000, 147.60000000, 0, NULL, NULL, 0, 54.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.00000000, 123.00000000, 24.60000000, 147.60000000),
(12524, 1996, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12525, 1997, NULL, NULL, NULL, 'Maintenance L45RS :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12526, 1997, NULL, 1231581, NULL, 'kit adaptable ck2140-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.81000000, NULL, 156.81000000, 31.36000000, 0.00000000, 0.00000000, 188.17000000, 0, NULL, NULL, 0, 73.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.81000000, 156.81000000, 31.36000000, 188.17000000),
(12527, 1997, NULL, 1231582, NULL, 'separateur ck4140-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 119.67000000, NULL, 119.67000000, 23.93000000, 0.00000000, 0.00000000, 143.60000000, 0, NULL, NULL, 0, 55.71000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 119.67000000, 119.67000000, 23.93000000, 143.60000000),
(12528, 1997, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.61000000, NULL, 109.61000000, 21.92000000, 0.00000000, 0.00000000, 131.53000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.61000000, 109.61000000, 21.92000000, 131.53000000),
(12529, 1997, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 407.88000000, NULL, 407.88000000, 81.58000000, 0.00000000, 0.00000000, 489.46000000, 0, NULL, NULL, 0, 306.67000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.88000000, 407.88000000, 81.58000000, 489.46000000),
(12530, 1997, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12531, 1997, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12532, 1997, NULL, NULL, NULL, 'Maintenance separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12533, 1997, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 197.66000000, NULL, 197.66000000, 39.53000000, 0.00000000, 0.00000000, 237.19000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 197.66000000, 197.66000000, 39.53000000, 237.19000000),
(12534, 1997, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12535, 1997, NULL, NULL, NULL, 'Filtres reseaux', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12536, 1997, NULL, 952680, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(12537, 1997, NULL, 952681, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(12538, 1997, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12539, 1998, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 492.10000000, NULL, 492.10000000, 98.42000000, 0.00000000, 0.00000000, 590.52000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 492.10000000, 492.10000000, 98.42000000, 590.52000000),
(12540, 1998, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(12541, 1998, NULL, 1179629, NULL, 'Kit de service C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 429.00000000, NULL, 386.10000000, 77.22000000, 0.00000000, 0.00000000, 463.32000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 429.00000000, 386.10000000, 77.22000000, 463.32000000),
(12542, 1998, NULL, 955221, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 281.89000000, NULL, 281.89000000, 56.38000000, 0.00000000, 0.00000000, 338.27000000, 0, NULL, NULL, 0, 136.84000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 281.89000000, 281.89000000, 56.38000000, 338.27000000),
(12543, 1998, NULL, 954020, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 295.03000000, NULL, 295.03000000, 59.01000000, 0.00000000, 0.00000000, 354.04000000, 0, NULL, NULL, 0, 106.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 295.03000000, 295.03000000, 59.01000000, 354.04000000),
(12544, 1998, NULL, 959172, NULL, 'Filter Set for ÖWAMAT 15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 373.76000000, NULL, 373.76000000, 74.75000000, 0.00000000, 0.00000000, 448.51000000, 0, NULL, NULL, 0, 198.40000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 373.76000000, 373.76000000, 74.75000000, 448.51000000),
(12545, 1999, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.00000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 43.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.00000000, 68.00000000, 13.60000000, 81.60000000),
(12546, 1999, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(12547, 1999, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(12548, 2000, NULL, 1185498, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.00000000, NULL, 112.00000000, 22.40000000, 0.00000000, 0.00000000, 134.40000000, 0, NULL, NULL, 0, 88.26000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.00000000, 112.00000000, 22.40000000, 134.40000000),
(12549, 2000, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 92, 0, 0, NULL, 0.97000000, NULL, 89.24000000, 17.85000000, 0.00000000, 0.00000000, 107.09000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 89.24000000, 17.85000000, 107.09000000),
(12550, 2000, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(12551, 2001, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(12552, 2001, NULL, 1179624, NULL, 'Kit de service C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 94.66000000, NULL, 94.66000000, 18.93000000, 0.00000000, 0.00000000, 113.59000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 94.66000000, 94.66000000, 18.93000000, 113.59000000),
(12553, 2001, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(12554, 2002, NULL, 952419, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.03000000, NULL, 12.03000000, 2.41000000, 0.00000000, 0.00000000, 14.44000000, 0, NULL, NULL, 0, 5.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.03000000, 12.03000000, 2.41000000, 14.44000000),
(12555, 2002, NULL, 955044, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.39000000, NULL, 86.39000000, 17.28000000, 0.00000000, 0.00000000, 103.67000000, 0, NULL, NULL, 0, 41.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.39000000, 86.39000000, 17.28000000, 103.67000000),
(12556, 2002, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12557, 2002, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(12558, 2002, NULL, 1222616, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.06000000, NULL, 26.12000000, 5.22000000, 0.00000000, 0.00000000, 31.34000000, 0, NULL, NULL, 0, 6.34000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.06000000, 26.12000000, 5.22000000, 31.34000000),
(12559, 2002, NULL, 1223837, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.64000000, NULL, 27.64000000, 5.53000000, 0.00000000, 0.00000000, 33.17000000, 0, NULL, NULL, 0, 13.82000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.64000000, 27.64000000, 5.53000000, 33.17000000),
(12560, 2003, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 450.67000000, NULL, 450.67000000, 90.13000000, 0.00000000, 0.00000000, 540.80000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 450.67000000, 450.67000000, 90.13000000, 540.80000000),
(12561, 2003, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 486.88000000, NULL, 486.88000000, 97.38000000, 0.00000000, 0.00000000, 584.26000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 486.88000000, 486.88000000, 97.38000000, 584.26000000),
(12562, 2003, NULL, 1230990, NULL, 'Kit de service C L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 453.97000000, NULL, 453.97000000, 90.79000000, 0.00000000, 0.00000000, 544.76000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 453.97000000, 453.97000000, 90.79000000, 544.76000000),
(12563, 2004, NULL, 1222093, NULL, 'Filtre &agrave; huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.34000000, NULL, 102.34000000, 20.47000000, 0.00000000, 0.00000000, 122.81000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.34000000, 102.34000000, 20.47000000, 122.81000000),
(12564, 2004, NULL, 1222092, NULL, 'huile minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.34000000, NULL, 102.34000000, 20.47000000, 0.00000000, 0.00000000, 122.81000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.34000000, 102.34000000, 20.47000000, 122.81000000),
(12565, 2004, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.34000000, NULL, 102.34000000, 20.47000000, 0.00000000, 0.00000000, 122.81000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.34000000, 102.34000000, 20.47000000, 122.81000000),
(12566, 2004, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.34000000, NULL, 102.34000000, 20.47000000, 0.00000000, 0.00000000, 122.81000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.34000000, 102.34000000, 20.47000000, 122.81000000),
(12567, 2004, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.34000000, NULL, 102.34000000, 20.47000000, 0.00000000, 0.00000000, 122.81000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.34000000, 102.34000000, 20.47000000, 122.81000000),
(12568, 2004, NULL, 1222097, NULL, 'filtre &agrave; air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.34000000, NULL, 102.34000000, 20.47000000, 0.00000000, 0.00000000, 122.81000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.34000000, 102.34000000, 20.47000000, 122.81000000),
(12569, 2004, NULL, 1222578, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 51.15000000, NULL, 102.30000000, 20.46000000, 0.00000000, 0.00000000, 122.76000000, 0, NULL, NULL, 0, 9.14000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 51.15000000, 102.30000000, 20.46000000, 122.76000000),
(12570, 2005, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(12571, 2005, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 58, 0, 0, NULL, 0.97000000, NULL, 56.26000000, 11.25000000, 0.00000000, 0.00000000, 67.51000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 56.26000000, 11.25000000, 67.51000000),
(12573, 2005, NULL, 954273, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 45.10000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(12574, 2006, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(12575, 2006, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(12576, 2006, NULL, 1305188, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 53.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(12577, 2006, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 53.32000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(12578, 2006, NULL, 954015, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.84000000, NULL, 112.84000000, 22.57000000, 0.00000000, 0.00000000, 135.41000000, 0, NULL, NULL, 0, 41.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.84000000, 112.84000000, 22.57000000, 135.41000000),
(12579, 2006, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 16.25000000, NULL, 48.75000000, 9.75000000, 0.00000000, 0.00000000, 58.50000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 48.75000000, 9.75000000, 58.50000000),
(12580, 2007, NULL, NULL, NULL, 'Maintenance L45rs', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12581, 2007, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 328.38000000, NULL, 328.38000000, 65.68000000, 0.00000000, 0.00000000, 394.06000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 328.38000000, 328.38000000, 65.68000000, 394.06000000),
(12582, 2007, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12583, 2007, NULL, 1179627, NULL, 'Kit de service C L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 314.34000000, NULL, 314.34000000, 62.87000000, 0.00000000, 0.00000000, 377.21000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 314.34000000, 314.34000000, 62.87000000, 377.21000000),
(12584, 2007, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12585, 2007, NULL, NULL, NULL, 'Séparateur de condensats', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12586, 2007, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 122.76000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(12587, 2007, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12588, 2007, NULL, NULL, NULL, 'Piston CLV507', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12589, 2007, NULL, 1179750, NULL, 'Lube General', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 25.00000000, NULL, 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 0, NULL, NULL, 0, 14.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.00000000, 50.00000000, 10.00000000, 60.00000000),
(12590, 2007, NULL, 951820, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.05000000, NULL, 12.05000000, 2.41000000, 0.00000000, 0.00000000, 14.46000000, 0, NULL, NULL, 0, 5.85000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.05000000, 12.05000000, 2.41000000, 14.46000000),
(12591, 2007, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12592, 2008, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(12593, 2008, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12594, 2008, NULL, 1222594, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(12595, 2008, NULL, 954099, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.90000000, NULL, 13.90000000, 2.78000000, 0.00000000, 0.00000000, 16.68000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.90000000, 13.90000000, 2.78000000, 16.68000000),
(12596, 2008, NULL, 952144, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.40000000, NULL, 15.40000000, 3.08000000, 0.00000000, 0.00000000, 18.48000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.40000000, 15.40000000, 3.08000000, 18.48000000),
(12597, 2008, NULL, 954493, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 52.73000000, NULL, 52.73000000, 10.55000000, 0.00000000, 0.00000000, 63.28000000, 0, NULL, NULL, 0, 25.60000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 52.73000000, 52.73000000, 10.55000000, 63.28000000),
(12598, 2008, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(12599, 2008, NULL, 953304, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.21000000, NULL, 114.21000000, 22.84000000, 0.00000000, 0.00000000, 137.05000000, 0, NULL, NULL, 0, 55.44000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.21000000, 114.21000000, 22.84000000, 137.05000000),
(12600, 2008, NULL, 953303, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.21000000, NULL, 114.21000000, 22.84000000, 0.00000000, 0.00000000, 137.05000000, 0, NULL, NULL, 0, 55.44000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.21000000, 114.21000000, 22.84000000, 137.05000000),
(12601, 2009, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(12602, 2009, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(12603, 2009, NULL, 1221715, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.80000000, NULL, 112.80000000, 22.56000000, 0.00000000, 0.00000000, 135.36000000, 0, NULL, NULL, 0, 75.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.80000000, 112.80000000, 22.56000000, 135.36000000),
(12604, 2009, NULL, 1221767, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.06000000, NULL, 35.06000000, 7.01000000, 0.00000000, 0.00000000, 42.07000000, 0, NULL, NULL, 0, 17.53000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.06000000, 35.06000000, 7.01000000, 42.07000000),
(12605, 2009, NULL, 954041, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.59000000, NULL, 11.59000000, 2.32000000, 0.00000000, 0.00000000, 13.91000000, 0, NULL, NULL, 0, 5.63000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.59000000, 11.59000000, 2.32000000, 13.91000000),
(12606, 2009, NULL, 953645, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 115.33000000, NULL, 115.33000000, 23.07000000, 0.00000000, 0.00000000, 138.40000000, 0, NULL, NULL, 0, 57.04000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 115.33000000, 115.33000000, 23.07000000, 138.40000000),
(12607, 2009, NULL, 953644, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 115.33000000, NULL, 115.33000000, 23.07000000, 0.00000000, 0.00000000, 138.40000000, 0, NULL, NULL, 0, 55.99000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 115.33000000, 115.33000000, 23.07000000, 138.40000000),
(12608, 2009, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(12609, 2010, NULL, NULL, '1 Maintenance L11', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12610, 2010, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(12611, 2010, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12612, 2010, NULL, 1179622, NULL, 'Kit de service C L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(12613, 2010, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12614, 2010, NULL, NULL, '2 Maintenance kaeser BS61', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12615, 2010, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(12616, 2010, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12617, 2010, NULL, 1221755, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.38000000, NULL, 34.38000000, 6.88000000, 0.00000000, 0.00000000, 41.26000000, 0, NULL, NULL, 0, 17.19000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.38000000, 34.38000000, 6.88000000, 41.26000000),
(12618, 2010, NULL, 1221772, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.50000000, NULL, 22.50000000, 4.50000000, 0.00000000, 0.00000000, 27.00000000, 0, NULL, NULL, 0, 11.25000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.50000000, 22.50000000, 4.50000000, 27.00000000),
(12619, 2010, NULL, 1221716, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 132.10000000, NULL, 132.10000000, 26.42000000, 0.00000000, 0.00000000, 158.52000000, 0, NULL, NULL, 0, 66.05000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 132.10000000, 132.10000000, 26.42000000, 158.52000000),
(12620, 2010, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(12621, 2010, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12622, 2010, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12623, 2011, NULL, 1297929, NULL, 'remplace ZS1136294', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 574.00000000, NULL, 574.00000000, 114.80000000, 0.00000000, 0.00000000, 688.80000000, 0, NULL, NULL, 0, 442.80000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 574.00000000, 574.00000000, 114.80000000, 688.80000000),
(12625, 2012, NULL, 1190376, NULL, 'Forfait intervention ZONE B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 331.44000000, NULL, 331.44000000, 66.29000000, 0.00000000, 0.00000000, 397.73000000, 0, NULL, NULL, 0, 249.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 331.44000000, 331.44000000, 66.29000000, 397.73000000),
(12626, 2012, NULL, NULL, NULL, 'ressort HL1500OMI', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.00000000, NULL, 33.00000000, 6.60000000, 0.00000000, 0.00000000, 39.60000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.00000000, 33.00000000, 6.60000000, 39.60000000),
(12627, 2013, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 417.47000000, NULL, 417.47000000, 83.49000000, 0.00000000, 0.00000000, 500.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 417.47000000, 417.47000000, 83.49000000, 500.96000000),
(12628, 2013, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.71000000, NULL, 5.71000000, 1.14000000, 0.00000000, 0.00000000, 6.85000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.71000000, 5.71000000, 1.14000000, 6.85000000),
(12629, 2013, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 310.19000000, NULL, 310.19000000, 62.04000000, 0.00000000, 0.00000000, 372.23000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 310.19000000, 310.19000000, 62.04000000, 372.23000000),
(12630, 2013, NULL, 1305511, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1058.19000000, NULL, 1058.19000000, 211.64000000, 0.00000000, 0.00000000, 1269.83000000, 0, NULL, NULL, 0, 449.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1058.19000000, 1058.19000000, 211.64000000, 1269.83000000),
(12631, 2013, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 292.79000000, NULL, 292.79000000, 58.56000000, 0.00000000, 0.00000000, 351.35000000, 0, NULL, NULL, 0, 88.66000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 292.79000000, 292.79000000, 58.56000000, 351.35000000),
(12632, 2013, NULL, 952680, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 207.83000000, NULL, 207.83000000, 41.57000000, 0.00000000, 0.00000000, 249.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 207.83000000, 207.83000000, 41.57000000, 249.40000000),
(12633, 2013, NULL, 952681, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 207.82000000, NULL, 207.82000000, 41.56000000, 0.00000000, 0.00000000, 249.38000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 207.82000000, 207.82000000, 41.56000000, 249.38000000),
(12634, 2014, NULL, 972929, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 17.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(12635, 2014, NULL, 966927, NULL, 'Coude M/M G1/4x1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.10000000, NULL, 11.00000000, 2.20000000, 0.00000000, 0.00000000, 13.20000000, 0, NULL, NULL, 0, 0.55000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.10000000, 11.00000000, 2.20000000, 13.20000000),
(12636, 2014, NULL, 966945, NULL, 'Coude M/F G3/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.95000000, NULL, 19.50000000, 3.90000000, 0.00000000, 0.00000000, 23.40000000, 0, NULL, NULL, 0, 0.98000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.95000000, 19.50000000, 3.90000000, 23.40000000),
(12637, 2014, NULL, 966814, NULL, 'Manchon égal F/F G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.60000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.60000000, 16.00000000, 3.20000000, 19.20000000),
(12638, 2014, NULL, 966811, NULL, 'Manchon égal F/F G1/4x1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.65000000, NULL, 6.50000000, 1.30000000, 0.00000000, 0.00000000, 7.80000000, 0, NULL, NULL, 0, 0.33000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.65000000, 6.50000000, 1.30000000, 7.80000000),
(12639, 2014, NULL, 966810, NULL, 'Manchon égal F/F G1/8x1/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.45000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 0, NULL, NULL, 0, 0.23000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.45000000, 4.50000000, 0.90000000, 5.40000000),
(12640, 2014, NULL, 966687, NULL, 'Mamelon conique G1/8x1/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.50000000, NULL, 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 0.25000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.50000000, 5.00000000, 1.00000000, 6.00000000),
(12641, 2014, NULL, 966829, NULL, 'Manchon réducteur F/F G3/8x1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.40000000, NULL, 14.00000000, 2.80000000, 0.00000000, 0.00000000, 16.80000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.40000000, 14.00000000, 2.80000000, 16.80000000),
(12642, 2014, NULL, 966828, NULL, 'Manchon réducteur F/F G1/4x1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.35000000, NULL, 13.50000000, 2.70000000, 0.00000000, 0.00000000, 16.20000000, 0, NULL, NULL, 0, 0.67500000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.35000000, 13.50000000, 2.70000000, 16.20000000),
(12643, 2014, NULL, 966827, NULL, 'Manchon réducteur F/F G1/4x3/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.00000000, NULL, 10.00000000, 2.00000000, 0.00000000, 0.00000000, 12.00000000, 0, NULL, NULL, 0, 0.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.00000000, 10.00000000, 2.00000000, 12.00000000),
(12644, 2014, NULL, 966696, NULL, 'Mamelon conique G3/8x3/8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.80000000, NULL, 8.00000000, 1.60000000, 0.00000000, 0.00000000, 9.60000000, 0, NULL, NULL, 0, 0.40000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.80000000, 8.00000000, 1.60000000, 9.60000000),
(12645, 2014, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.40000000, NULL, 14.00000000, 2.80000000, 0.00000000, 0.00000000, 16.80000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.40000000, 14.00000000, 2.80000000, 16.80000000),
(12646, 2014, NULL, 966693, NULL, 'Mamelon conique G1/4x1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.30000000, NULL, 13.00000000, 2.60000000, 0.00000000, 0.00000000, 15.60000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.30000000, 13.00000000, 2.60000000, 15.60000000),
(12647, 2014, NULL, 966778, NULL, 'Prolongateur M/F G3/8x3/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.50000000, NULL, 25.00000000, 5.00000000, 0.00000000, 0.00000000, 30.00000000, 0, NULL, NULL, 0, 1.25000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.50000000, 25.00000000, 5.00000000, 30.00000000),
(12648, 2014, NULL, 966692, NULL, 'Mamelon conique G3/8x1/4', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.80000000, NULL, 8.00000000, 1.60000000, 0.00000000, 0.00000000, 9.60000000, 0, NULL, NULL, 0, 0.40000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.80000000, 8.00000000, 1.60000000, 9.60000000),
(12649, 2014, NULL, 966690, NULL, 'Mamelon conique G1/8x1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.30000000, NULL, 13.00000000, 2.60000000, 0.00000000, 0.00000000, 15.60000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.30000000, 13.00000000, 2.60000000, 15.60000000),
(12650, 2014, NULL, 966773, NULL, 'Prolongateur M/F G1/4x1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.30000000, NULL, 13.00000000, 2.60000000, 0.00000000, 0.00000000, 15.60000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.30000000, 13.00000000, 2.60000000, 15.60000000),
(12651, 2014, NULL, 966697, NULL, 'Mamelon conique G3/8x1/2', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.20000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 0.60000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.20000000, 12.00000000, 2.40000000, 14.40000000),
(12652, 2014, NULL, 972613, NULL, 'Union égale Ø4mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.95000000, NULL, 19.50000000, 3.90000000, 0.00000000, 0.00000000, 23.40000000, 0, NULL, NULL, 0, 1.07250000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.95000000, 19.50000000, 3.90000000, 23.40000000),
(12653, 2014, NULL, 972615, NULL, 'Union égale Ø6mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 1.10000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.00000000, 20.00000000, 4.00000000, 24.00000000),
(12654, 2014, NULL, 972616, NULL, 'Union égale Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.18000000, NULL, 21.80000000, 4.36000000, 0.00000000, 0.00000000, 26.16000000, 0, NULL, NULL, 0, 1.20000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.18000000, 21.80000000, 4.36000000, 26.16000000),
(12655, 2014, NULL, 972617, NULL, 'Union égale Ø10mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.98000000, NULL, 29.80000000, 5.96000000, 0.00000000, 0.00000000, 35.76000000, 0, NULL, NULL, 0, 1.63900000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.98000000, 29.80000000, 5.96000000, 35.76000000),
(12658, 2016, NULL, 954287, NULL, 'presostats reglables haute et basse pression', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 87.45000000, NULL, 87.45000000, 17.49000000, 0.00000000, 0.00000000, 104.94000000, 0, NULL, NULL, 0, 58.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 87.45000000, 87.45000000, 17.49000000, 104.94000000),
(12659, 2016, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(12660, 2017, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(12661, 2017, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12662, 2017, NULL, 1179622, NULL, 'Kit de service C L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(12663, 2017, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 53.32000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(12664, 2017, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(12665, 2018, NULL, 954288, NULL, 'joint pour filtre huile ps407', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.29000000, NULL, 9.29000000, 1.86000000, 0.00000000, 0.00000000, 11.15000000, 0, NULL, NULL, 0, 4.51000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.29000000, 9.29000000, 1.86000000, 11.15000000),
(12666, 2018, NULL, 954291, NULL, 'FILTRE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.93000000, NULL, 95.93000000, 19.19000000, 0.00000000, 0.00000000, 115.12000000, 0, NULL, NULL, 0, 46.57000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.93000000, 95.93000000, 19.19000000, 115.12000000),
(12667, 2018, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(12668, 2018, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(12669, 2018, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12670, 2018, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(12671, 2018, NULL, 954289, NULL, 'FILTRE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.76000000, NULL, 18.76000000, 3.75000000, 0.00000000, 0.00000000, 22.51000000, 0, NULL, NULL, 0, 9.11000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.76000000, 18.76000000, 3.75000000, 22.51000000),
(12672, 2019, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 313.28000000, NULL, 313.28000000, 62.66000000, 0.00000000, 0.00000000, 375.94000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 313.28000000, 313.28000000, 62.66000000, 375.94000000),
(12673, 2019, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.65000000, NULL, 5.65000000, 1.13000000, 0.00000000, 0.00000000, 6.78000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.65000000, 5.65000000, 1.13000000, 6.78000000),
(12674, 2019, NULL, 1179624, NULL, 'Kit de service C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 123.12000000, NULL, 123.12000000, 24.62000000, 0.00000000, 0.00000000, 147.74000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 123.12000000, 123.12000000, 24.62000000, 147.74000000),
(12675, 2019, NULL, 1177750, NULL, 'Filtre/Separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 259.31000000, NULL, 259.31000000, 51.86000000, 0.00000000, 0.00000000, 311.17000000, 0, NULL, NULL, 0, 178.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 259.31000000, 259.31000000, 51.86000000, 311.17000000),
(12676, 2019, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 115.91000000, NULL, 115.91000000, 23.18000000, 0.00000000, 0.00000000, 139.09000000, 0, NULL, NULL, 0, 71.92000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 115.91000000, 115.91000000, 23.18000000, 139.09000000),
(12677, 2019, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.67000000, NULL, 56.01000000, 11.20000000, 0.00000000, 0.00000000, 67.21000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.67000000, 56.01000000, 11.20000000, 67.21000000),
(12678, 2020, NULL, 1222604, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.10000000, NULL, 32.20000000, 6.44000000, 0.00000000, 0.00000000, 38.64000000, 0, NULL, NULL, 0, 7.82000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.10000000, 32.20000000, 6.44000000, 38.64000000),
(12679, 2020, NULL, 952683, NULL, 'cartouche 180RB', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.69000000, NULL, 105.69000000, 21.14000000, 0.00000000, 0.00000000, 126.83000000, 0, NULL, NULL, 0, 51.31000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.69000000, 105.69000000, 21.14000000, 126.83000000),
(12680, 2020, NULL, 1179622, NULL, 'Kit de service C L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(12681, 2020, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12682, 2020, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(12683, 2021, NULL, 955221, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.72000000, NULL, 112.72000000, 22.54000000, 0.00000000, 0.00000000, 135.26000000, 0, NULL, NULL, 0, 136.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.72000000, 112.72000000, 22.54000000, 135.26000000),
(12684, 2022, NULL, NULL, '1 site blanchisserie st vallier - BOGE S31-3', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12685, 2022, NULL, 951714, NULL, 'nattes de prefiltration boge', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.44000000, NULL, 22.44000000, 4.49000000, 0.00000000, 0.00000000, 26.93000000, 0, NULL, NULL, 0, 17.58000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.44000000, 22.44000000, 4.49000000, 26.93000000),
(12686, 2022, NULL, 1222524, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 19.74000000, NULL, 59.22000000, 11.84000000, 0.00000000, 0.00000000, 71.06000000, 0, NULL, NULL, 0, 11.07000000, NULL, 0, 0, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.74000000, 59.22000000, 11.84000000, 71.06000000),
(12687, 2022, NULL, 951715, NULL, 'kit cairpac 3000', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 820.57000000, NULL, 820.57000000, 164.11000000, 0.00000000, 0.00000000, 984.68000000, 0, NULL, NULL, 0, 642.67000000, NULL, 0, 0, 37, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 820.57000000, 820.57000000, 164.11000000, 984.68000000),
(12688, 2022, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.22000000, NULL, 395.22000000, 79.04000000, 0.00000000, 0.00000000, 474.26000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 38, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.22000000, 395.22000000, 79.04000000, 474.26000000),
(12689, 2022, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 108.75000000, NULL, 108.75000000, 21.75000000, 0.00000000, 0.00000000, 130.50000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 39, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 108.75000000, 108.75000000, 21.75000000, 130.50000000),
(12690, 2022, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 40, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12691, 2022, NULL, NULL, '3 Site blanchisserie st vallier BOGE S31-2', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 46, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12692, 2022, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.22000000, NULL, 395.22000000, 79.04000000, 0.00000000, 0.00000000, 474.26000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 47, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.22000000, 395.22000000, 79.04000000, 474.26000000),
(12693, 2022, NULL, 1221739, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.07000000, NULL, 95.07000000, 19.01000000, 0.00000000, 0.00000000, 114.08000000, 0, NULL, NULL, 0, 48.40000000, NULL, 0, 0, 48, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.07000000, 95.07000000, 19.01000000, 114.08000000),
(12694, 2022, NULL, 951714, NULL, 'nattes de prefiltration boge', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 22.44000000, NULL, 22.44000000, 4.49000000, 0.00000000, 0.00000000, 26.93000000, 0, NULL, NULL, 0, 17.58000000, NULL, 0, 0, 49, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.44000000, 22.44000000, 4.49000000, 26.93000000),
(12695, 2022, NULL, 1221779, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.76000000, NULL, 19.76000000, 3.95000000, 0.00000000, 0.00000000, 23.71000000, 0, NULL, NULL, 0, 10.06000000, NULL, 0, 0, 50, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.76000000, 19.76000000, 3.95000000, 23.71000000),
(12696, 2022, NULL, 1221744, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.41000000, NULL, 19.41000000, 3.88000000, 0.00000000, 0.00000000, 23.29000000, 0, NULL, NULL, 0, 9.88000000, NULL, 0, 0, 51, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.41000000, 19.41000000, 3.88000000, 23.29000000),
(12697, 2022, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 108.75000000, NULL, 108.75000000, 21.75000000, 0.00000000, 0.00000000, 130.50000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 52, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 108.75000000, 108.75000000, 21.75000000, 130.50000000),
(12698, 2022, NULL, 1222538, NULL, 'courroies_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.69000000, NULL, 56.07000000, 11.21000000, 0.00000000, 0.00000000, 67.28000000, 0, NULL, NULL, 0, 11.07000000, NULL, 0, 0, 53, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.69000000, 56.07000000, 11.21000000, 67.28000000),
(12699, 2022, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 54, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12701, 2023, NULL, 952631, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -59.82000000, NULL, -59.82000000, -11.96000000, 0.00000000, 0.00000000, -71.78000000, 0, NULL, NULL, 0, 100.90000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -59.82000000, -59.82000000, -11.96000000, -71.78000000),
(12702, 2023, NULL, 952631, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -59.82000000, NULL, -59.82000000, -11.96000000, 0.00000000, 0.00000000, -71.78000000, 0, NULL, NULL, 0, 100.90000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -59.82000000, -59.82000000, -11.96000000, -71.78000000),
(12703, 2023, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, -63.84000000, NULL, -95.76000000, -19.15000000, 0.00000000, 0.00000000, -114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -63.84000000, -95.76000000, -19.15000000, -114.91000000),
(12705, 2024, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 99.2, 50, 0, NULL, -0.97000000, NULL, -48.11000000, -9.62000000, 0.00000000, 0.00000000, -57.73000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -0.97000000, -48.11000000, -9.62000000, -57.73000000),
(12706, 2024, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -63.84000000, NULL, -63.84000000, -12.77000000, 0.00000000, 0.00000000, -76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -63.84000000, -63.84000000, -12.77000000, -76.61000000),
(12710, 1834, NULL, NULL, NULL, 'avoir', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, 80, -654.85000000, NULL, -654.85000000, -130.97000000, 0.00000000, 0.00000000, -785.82000000, 0, NULL, NULL, 2, 0.00000000, NULL, 0, 0, -1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, '', -654.85000000, -654.85000000, -130.97000000, -785.82000000),
(12711, 2025, NULL, 952816, NULL, 'secheur à réfrigération 108m3/h rac 3/4\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 917.00000000, NULL, 917.00000000, 183.40000000, 0.00000000, 0.00000000, 1100.40000000, 0, NULL, NULL, 0, 706.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 917.00000000, 917.00000000, 183.40000000, 1100.40000000),
(12712, 2025, NULL, 1190374, NULL, 'Forfait intervention ZONE A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 221.10000000, NULL, 221.10000000, 44.22000000, 0.00000000, 0.00000000, 265.32000000, 0, NULL, NULL, 0, 169.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 221.10000000, 221.10000000, 44.22000000, 265.32000000),
(12713, 2025, NULL, NULL, NULL, 'Remise exceptionelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, 82, -38.10000000, NULL, -38.10000000, -7.62000000, 0.00000000, 0.00000000, -45.72000000, 0, NULL, NULL, 2, 0.00000000, NULL, 0, 0, -1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, '', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12714, 2026, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 100, 0, 0, NULL, 6.11000000, NULL, 611.00000000, 122.20000000, 0.00000000, 0.00000000, 733.20000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.11000000, 611.00000000, 122.20000000, 733.20000000),
(12715, 2026, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 9.45000000, NULL, 28.35000000, 5.67000000, 0.00000000, 0.00000000, 34.02000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.45000000, 28.35000000, 5.67000000, 34.02000000),
(12716, 2026, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 45, 0, 0, NULL, 1.12000000, NULL, 50.40000000, 10.08000000, 0.00000000, 0.00000000, 60.48000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 50.40000000, 10.08000000, 60.48000000),
(12717, 2026, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 6.67000000, NULL, 66.70000000, 13.34000000, 0.00000000, 0.00000000, 80.04000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.67000000, 66.70000000, 13.34000000, 80.04000000),
(12718, 2026, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 7.61000000, NULL, 38.05000000, 7.61000000, 0.00000000, 0.00000000, 45.66000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.61000000, 38.05000000, 7.61000000, 45.66000000),
(12719, 2026, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 16, 0, 0, NULL, 4.22000000, NULL, 67.52000000, 13.50000000, 0.00000000, 0.00000000, 81.02000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.22000000, 67.52000000, 13.50000000, 81.02000000),
(12720, 2026, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 8.94000000, NULL, 89.40000000, 17.88000000, 0.00000000, 0.00000000, 107.28000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.94000000, 89.40000000, 17.88000000, 107.28000000),
(12721, 2026, NULL, 1080054, NULL, 'Crosse d\'évêque diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 12.16000000, NULL, 121.60000000, 24.32000000, 0.00000000, 0.00000000, 145.92000000, 0, NULL, NULL, 0, 8.69000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.16000000, 121.60000000, 24.32000000, 145.92000000),
(12722, 2026, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 4.91000000, NULL, 98.20000000, 19.64000000, 0.00000000, 0.00000000, 117.84000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.91000000, 98.20000000, 19.64000000, 117.84000000),
(12723, 2026, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 23, 0, 0, NULL, 1.10000000, NULL, 25.30000000, 5.06000000, 0.00000000, 0.00000000, 30.36000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.10000000, 25.30000000, 5.06000000, 30.36000000),
(12724, 2026, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 6.33000000, NULL, 63.30000000, 12.66000000, 0.00000000, 0.00000000, 75.96000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.33000000, 63.30000000, 12.66000000, 75.96000000),
(12725, 2026, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 7.28000000, NULL, 72.80000000, 14.56000000, 0.00000000, 0.00000000, 87.36000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.28000000, 72.80000000, 14.56000000, 87.36000000),
(12726, 2026, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3104.81000000, NULL, 3104.81000000, 620.96000000, 0.00000000, 0.00000000, 3725.77000000, 0, NULL, NULL, 0, 2794.20000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3104.81000000, 3104.81000000, 620.96000000, 3725.77000000),
(12727, 2026, NULL, 1190653, NULL, 'Supportage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 203.35000000, NULL, 203.35000000, 40.67000000, 0.00000000, 0.00000000, 244.02000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 203.35000000, 203.35000000, 40.67000000, 244.02000000),
(12728, 2026, NULL, 1190577, NULL, 'chainette', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 3.43000000, NULL, 34.30000000, 6.86000000, 0.00000000, 0.00000000, 41.16000000, 0, NULL, NULL, 0, 1.69000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.43000000, 34.30000000, 6.86000000, 41.16000000),
(12729, 2026, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 21.07000000, NULL, 126.42000000, 25.28000000, 0.00000000, 0.00000000, 151.70000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.07000000, 126.42000000, 25.28000000, 151.70000000),
(12730, 2026, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.30000000, NULL, 32.60000000, 6.52000000, 0.00000000, 0.00000000, 39.12000000, 0, NULL, NULL, 0, 8.20000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.30000000, 32.60000000, 6.52000000, 39.12000000),
(12731, 2026, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 6.53000000, NULL, 130.60000000, 26.12000000, 0.00000000, 0.00000000, 156.72000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.53000000, 130.60000000, 26.12000000, 156.72000000),
(12732, 2026, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 3.53000000, NULL, 35.30000000, 7.06000000, 0.00000000, 0.00000000, 42.36000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.53000000, 35.30000000, 7.06000000, 42.36000000),
(12733, 2027, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 278.97000000, NULL, 278.97000000, 55.79000000, 0.00000000, 0.00000000, 334.76000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 278.97000000, 278.97000000, 55.79000000, 334.76000000),
(12734, 2027, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.02000000, NULL, 5.02000000, 1.00000000, 0.00000000, 0.00000000, 6.02000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.02000000, 5.02000000, 1.00000000, 6.02000000),
(12735, 2027, NULL, 1179624, NULL, 'Kit de service C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.63000000, NULL, 109.63000000, 21.93000000, 0.00000000, 0.00000000, 131.56000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.63000000, 109.63000000, 21.93000000, 131.56000000),
(12736, 2027, NULL, 1180343, NULL, 'Huile compresseur à vis/garantie 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 72.18000000, NULL, 72.18000000, 14.44000000, 0.00000000, 0.00000000, 86.62000000, 0, NULL, NULL, 0, 47.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 72.18000000, 72.18000000, 14.44000000, 86.62000000),
(12737, 2027, NULL, 953186, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 174.73000000, NULL, 174.73000000, 34.95000000, 0.00000000, 0.00000000, 209.68000000, 0, NULL, NULL, 0, 55.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 174.73000000, 174.73000000, 34.95000000, 209.68000000),
(12738, 2027, NULL, 1177750, NULL, 'Elément filtre séparateur air-huile #QR', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 370.93000000, NULL, 296.74000000, 59.35000000, 0.00000000, 0.00000000, 356.09000000, 0, NULL, NULL, 0, 202.38000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 370.93000000, 296.74000000, 59.35000000, 356.09000000),
(12739, 2027, NULL, 1179720, NULL, 'Pce captive Spiros', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 253.07000000, NULL, 253.07000000, 50.61000000, 0.00000000, 0.00000000, 303.68000000, 0, NULL, NULL, 0, 159.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 253.07000000, 253.07000000, 50.61000000, 303.68000000),
(12740, 2027, NULL, 1222596, NULL, 'courroie_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 15.65000000, NULL, 46.95000000, 9.39000000, 0.00000000, 0.00000000, 56.34000000, 0, NULL, NULL, 0, 8.62000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.65000000, 46.95000000, 9.39000000, 56.34000000),
(12741, 2028, NULL, 1222174, NULL, 'Compressor VRS 46 ( 25 L) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 277.07000000, NULL, 554.14000000, 110.83000000, 0.00000000, 0.00000000, 664.97000000, 0, NULL, NULL, 0, 134.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.07000000, 554.14000000, 110.83000000, 664.97000000),
(12742, 2029, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(12743, 2029, NULL, 1179627, NULL, 'Kit de service C L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 387.00000000, NULL, 309.60000000, 61.92000000, 0.00000000, 0.00000000, 371.52000000, 0, NULL, NULL, 0, 207.69000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 387.00000000, 309.60000000, 61.92000000, 371.52000000),
(12744, 2029, NULL, 1230992, NULL, 'Kit de Service CA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 375.00000000, NULL, 375.00000000, 75.00000000, 0.00000000, 0.00000000, 450.00000000, 0, NULL, NULL, 0, 176.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 375.00000000, 375.00000000, 75.00000000, 450.00000000),
(12745, 2029, NULL, 1178172, NULL, 'Pieces General', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 563.00000000, NULL, 450.40000000, 90.08000000, 0.00000000, 0.00000000, 540.48000000, 0, NULL, NULL, 0, 320.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 563.00000000, 450.40000000, 90.08000000, 540.48000000),
(12746, 2029, NULL, 1221803, NULL, 'filtre 8973015191', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.86000000, NULL, 42.86000000, 8.57000000, 0.00000000, 0.00000000, 51.43000000, 0, NULL, NULL, 0, 21.43000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.86000000, 42.86000000, 8.57000000, 51.43000000),
(12747, 2029, NULL, 953421, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.28000000, NULL, 61.28000000, 12.26000000, 0.00000000, 0.00000000, 73.54000000, 0, NULL, NULL, 0, 29.75000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.28000000, 61.28000000, 12.26000000, 73.54000000),
(12748, 2029, NULL, 953512, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.28000000, NULL, 61.28000000, 12.26000000, 0.00000000, 0.00000000, 73.54000000, 0, NULL, NULL, 0, 29.75000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.28000000, 61.28000000, 12.26000000, 73.54000000),
(12749, 2029, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 11, 0, 0, NULL, 63.84000000, NULL, 702.24000000, 140.45000000, 0.00000000, 0.00000000, 842.69000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 702.24000000, 140.45000000, 842.69000000),
(12750, 2029, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 142, 0, 0, NULL, 0.97000000, NULL, 137.74000000, 27.55000000, 0.00000000, 0.00000000, 165.29000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 137.74000000, 27.55000000, 165.29000000),
(12751, 2030, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 399.00000000, NULL, 399.00000000, 79.80000000, 0.00000000, 0.00000000, 478.80000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 399.00000000, 399.00000000, 79.80000000, 478.80000000),
(12752, 2030, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(12753, 2030, NULL, 1179653, NULL, 'SERVICE KIT D L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 1020.00000000, NULL, 867.00000000, 173.40000000, 0.00000000, 0.00000000, 1040.40000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1020.00000000, 867.00000000, 173.40000000, 1040.40000000),
(12754, 2030, NULL, 953625, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.68000000, NULL, 156.68000000, 31.34000000, 0.00000000, 0.00000000, 188.02000000, 0, NULL, NULL, 0, 76.06000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.68000000, 156.68000000, 31.34000000, 188.02000000),
(12755, 2030, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(12756, 2030, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 71.92000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(12757, 2031, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 399.00000000, NULL, 399.00000000, 79.80000000, 0.00000000, 0.00000000, 478.80000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 399.00000000, 399.00000000, 79.80000000, 478.80000000),
(12758, 2031, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(12759, 2031, NULL, 1305188, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 53.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(12760, 2031, NULL, 1179649, NULL, 'Kit de Service CA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 506.00000000, NULL, 506.00000000, 101.20000000, 0.00000000, 0.00000000, 607.20000000, 0, NULL, NULL, 0, 284.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 506.00000000, 506.00000000, 101.20000000, 607.20000000),
(12761, 2031, NULL, 1305285, NULL, 'MAJOR KIT E     > 2009          L15- L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 265.00000000, NULL, 265.00000000, 53.00000000, 0.00000000, 0.00000000, 318.00000000, 0, NULL, NULL, 0, 146.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 265.00000000, 265.00000000, 53.00000000, 318.00000000),
(12762, 2031, NULL, 1180343, NULL, 'Huile Vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.00000000, NULL, 81.00000000, 16.20000000, 0.00000000, 0.00000000, 97.20000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.00000000, 81.00000000, 16.20000000, 97.20000000),
(12763, 2032, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(12764, 2032, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12765, 2032, NULL, 1222548, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 28.40000000, NULL, 85.20000000, 17.04000000, 0.00000000, 0.00000000, 102.24000000, 0, NULL, NULL, 0, 13.79000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.40000000, 85.20000000, 17.04000000, 102.24000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(12766, 2032, NULL, 1221739, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.80000000, NULL, 96.80000000, 19.36000000, 0.00000000, 0.00000000, 116.16000000, 0, NULL, NULL, 0, 48.40000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.80000000, 96.80000000, 19.36000000, 116.16000000),
(12767, 2032, NULL, 1230691, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.32000000, NULL, 34.32000000, 6.86000000, 0.00000000, 0.00000000, 41.18000000, 0, NULL, NULL, 0, 17.16000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.32000000, 34.32000000, 6.86000000, 41.18000000),
(12768, 2032, NULL, 1221815, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 58.56000000, NULL, 58.56000000, 11.71000000, 0.00000000, 0.00000000, 70.27000000, 0, NULL, NULL, 0, 29.28000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 58.56000000, 58.56000000, 11.71000000, 70.27000000),
(12769, 2032, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(12770, 2032, NULL, 1176145, NULL, 'Pieces General', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.00000000, NULL, 9.00000000, 1.80000000, 0.00000000, 0.00000000, 10.80000000, 0, NULL, NULL, 0, 5.92000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.00000000, 9.00000000, 1.80000000, 10.80000000),
(12771, 2032, NULL, 1177747, NULL, 'Pieces General', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 334.00000000, NULL, 334.00000000, 66.80000000, 0.00000000, 0.00000000, 400.80000000, 0, NULL, NULL, 0, 190.38000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 334.00000000, 334.00000000, 66.80000000, 400.80000000),
(12772, 2032, NULL, 1176174, NULL, 'Pieces General', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 10.52000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 18.00000000, 3.60000000, 21.60000000),
(12773, 2033, NULL, 1588477, NULL, '+ ROULEMENT AXE TETE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 904.40000000, NULL, 904.40000000, 180.88000000, 0.00000000, 0.00000000, 1085.28000000, 0, NULL, NULL, 0, 680.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 904.40000000, 904.40000000, 180.88000000, 1085.28000000),
(12774, 2033, NULL, 1588478, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 13.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(12775, 2034, NULL, 1175967, NULL, 'Pieces General', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 64.40000000, NULL, 64.40000000, 12.88000000, 0.00000000, 0.00000000, 77.28000000, 0, NULL, NULL, 0, 44.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 64.40000000, 64.40000000, 12.88000000, 77.28000000),
(12776, 2034, NULL, NULL, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 1, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(12777, 2035, NULL, NULL, '1 local compresseur,secheur, separateur cyclonique, filtres 1µ et 0.01µ, séparateur de condensats', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12778, 2035, NULL, 944323, NULL, 'compresseur rotatif à vis librifiees à vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19192.00000000, NULL, 19192.00000000, 3838.40000000, 0.00000000, 0.00000000, 23030.40000000, 0, NULL, NULL, 0, 14994.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19192.00000000, 19192.00000000, 3838.40000000, 23030.40000000),
(12779, 2035, NULL, 1268121, NULL, 'Separateur cyclonique 1&quot;1 2 570 m&sup3; H', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 195.00000000, NULL, 195.00000000, 39.00000000, 0.00000000, 0.00000000, 234.00000000, 0, NULL, NULL, 0, 115.72000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 195.00000000, 195.00000000, 39.00000000, 234.00000000),
(12780, 2035, NULL, 952824, NULL, 'sécheur d\'air par réfrigération 480 m3/h racc 1\"1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3080.00000000, NULL, 3080.00000000, 616.00000000, 0.00000000, 0.00000000, 3696.00000000, 0, NULL, NULL, 0, 2057.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3080.00000000, 3080.00000000, 616.00000000, 3696.00000000),
(12781, 2035, NULL, 952647, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 177.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(12782, 2035, NULL, 952648, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 177.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(12783, 2035, NULL, 958253, NULL, 'ÖWAMAT 12 oil/water separatot without pre-separation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 620.00000000, NULL, 620.00000000, 124.00000000, 0.00000000, 0.00000000, 744.00000000, 0, NULL, NULL, 0, 479.26000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 620.00000000, 620.00000000, 124.00000000, 744.00000000),
(12784, 2035, NULL, 1190526, NULL, 'BYPASS Secheur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 490.09000000, NULL, 490.09000000, 98.02000000, 0.00000000, 0.00000000, 588.11000000, 0, NULL, NULL, 0, 330.54000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 490.09000000, 490.09000000, 98.02000000, 588.11000000),
(12785, 2035, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1500.00000000, NULL, 1500.00000000, 300.00000000, 0.00000000, 0.00000000, 1800.00000000, 0, NULL, NULL, 0, 1200.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1500.00000000, 1500.00000000, 300.00000000, 1800.00000000),
(12786, 2035, NULL, NULL, 'Sous-total local compresseur,secheur, separateur cyclonique, filtres 1µ et 0.01µ, séparateur de condensats', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12787, 2035, NULL, NULL, '2 gainage refoulement compresseur été / hiver', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12788, 2035, NULL, 1230685, NULL, 'lot acier galva avec coude sortie 19777', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1850.00000000, NULL, 1850.00000000, 370.00000000, 0.00000000, 0.00000000, 2220.00000000, 0, NULL, NULL, 0, 1247.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1850.00000000, 1850.00000000, 370.00000000, 2220.00000000),
(12789, 2035, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 800.00000000, NULL, 800.00000000, 160.00000000, 0.00000000, 0.00000000, 960.00000000, 0, NULL, NULL, 0, 600.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 800.00000000, 800.00000000, 160.00000000, 960.00000000),
(12790, 2035, NULL, NULL, 'Sous-total gainage refoulement compresseur été / hiver', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12791, 2036, NULL, 1006105, NULL, 'LAVEUSE CT 15 B 35 PACK', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1657.18000000, NULL, 1657.18000000, 331.44000000, 0.00000000, 0.00000000, 1988.62000000, 0, NULL, NULL, 0, 1246.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1657.18000000, 1657.18000000, 331.44000000, 1988.62000000),
(12792, 2036, NULL, 1007741, NULL, 'PORTE DISQUE PR CT70 CT8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 140.00000000, NULL, 140.00000000, 28.00000000, 0.00000000, 0.00000000, 168.00000000, 0, NULL, NULL, 0, 107.29000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 140.00000000, 140.00000000, 28.00000000, 168.00000000),
(12793, 2036, NULL, 995694, NULL, 'DISQUE ROUGE    D.330 MM', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 9.00000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 6.79000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.00000000, 45.00000000, 9.00000000, 54.00000000),
(12794, 2036, NULL, 995676, NULL, 'Disque vert', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 9.00000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 6.79000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.00000000, 45.00000000, 9.00000000, 54.00000000),
(12795, 2037, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.13000000, NULL, 114.13000000, 22.83000000, 0.00000000, 0.00000000, 136.96000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 136.96000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.13000000, 114.13000000, 22.83000000, 136.96000000),
(12796, 2038, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(12797, 2038, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 0.97000000, NULL, 38.80000000, 7.76000000, 0.00000000, 0.00000000, 46.56000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 38.80000000, 7.76000000, 46.56000000),
(12798, 2039, NULL, 1222086, NULL, '<strong>Dispositifs de natte filtrante avec cadre aimant&eacute;</strong>', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 49.00000000, NULL, 98.00000000, 19.60000000, 0.00000000, 0.00000000, 117.60000000, 0, NULL, NULL, 0, 32.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 49.00000000, 98.00000000, 19.60000000, 117.60000000),
(12799, 2039, NULL, NULL, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.00000000, NULL, 25.00000000, 5.00000000, 0.00000000, 0.00000000, 30.00000000, 1, NULL, NULL, 0, 23.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.00000000, 25.00000000, 5.00000000, 30.00000000),
(12800, 2040, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(12801, 2040, NULL, 1222094, NULL, 'Filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.00000000, NULL, 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 8.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.00000000, 12.00000000, 2.40000000, 14.40000000),
(12802, 2040, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.97000000, NULL, 18.97000000, 3.79000000, 0.00000000, 0.00000000, 22.76000000, 0, NULL, NULL, 0, 9.21000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.97000000, 18.97000000, 3.79000000, 22.76000000),
(12803, 2040, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(12804, 2040, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12805, 2040, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(12806, 2041, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(12807, 2041, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(12808, 2041, NULL, 1221733, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.66000000, NULL, 61.66000000, 12.33000000, 0.00000000, 0.00000000, 73.99000000, 0, NULL, NULL, 0, 29.93000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.66000000, 61.66000000, 12.33000000, 73.99000000),
(12809, 2041, NULL, 1223837, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.64000000, NULL, 27.64000000, 5.53000000, 0.00000000, 0.00000000, 33.17000000, 0, NULL, NULL, 0, 13.82000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.64000000, 27.64000000, 5.53000000, 33.17000000),
(12810, 2041, NULL, 1230694, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 3.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(12811, 2041, NULL, 952662, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(12812, 2041, NULL, 1223611, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.48000000, NULL, 17.48000000, 3.50000000, 0.00000000, 0.00000000, 20.98000000, 0, NULL, NULL, 0, 8.74000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.48000000, 17.48000000, 3.50000000, 20.98000000),
(12813, 2042, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(12814, 2042, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(12815, 2042, NULL, 1231698, NULL, 'bidons huiles 10L minéral 68', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.00000000, NULL, 57.00000000, 11.40000000, 0.00000000, 0.00000000, 68.40000000, 0, NULL, NULL, 0, 39.90000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.00000000, 57.00000000, 11.40000000, 68.40000000),
(12816, 2042, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(12817, 2042, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(12818, 2042, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.00000000, NULL, 113.00000000, 22.60000000, 0.00000000, 0.00000000, 135.60000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.00000000, 113.00000000, 22.60000000, 135.60000000),
(12819, 2043, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(12820, 2043, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(12821, 2043, NULL, 1180343, NULL, 'Huile Vis', 20.000, '', 0.000, '0', 0.000, '0', 2, 20, 0, NULL, 81.00000000, NULL, 129.60000000, 25.92000000, 0.00000000, 0.00000000, 155.52000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.00000000, 129.60000000, 25.92000000, 155.52000000),
(12822, 2043, NULL, 1305188, NULL, 'MINOR KIT C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 120.00000000, NULL, 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 53.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 96.00000000, 19.20000000, 115.20000000),
(12823, 2043, NULL, 1177750, NULL, 'Filtre/Separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 438.00000000, NULL, 350.40000000, 70.08000000, 0.00000000, 0.00000000, 420.48000000, 0, NULL, NULL, 0, 178.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 438.00000000, 350.40000000, 70.08000000, 420.48000000),
(12824, 2044, NULL, 1588479, NULL, 'FLEXIBLE HUILE ENTREE REFROIDI', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 245.62000000, NULL, 245.62000000, 49.12000000, 0.00000000, 0.00000000, 294.74000000, 0, NULL, NULL, 0, 188.94000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 245.62000000, 245.62000000, 49.12000000, 294.74000000),
(12825, 2044, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(12826, 2044, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 62, 0, 0, NULL, 0.97000000, NULL, 60.14000000, 12.03000000, 0.00000000, 0.00000000, 72.17000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 60.14000000, 12.03000000, 72.17000000),
(12827, 2045, NULL, 1219887, NULL, 'RESERV. AIR COMPRIME  GALVA 200L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 335.40000000, NULL, 335.40000000, 67.08000000, 0.00000000, 0.00000000, 402.48000000, 0, NULL, NULL, 0, 258.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 335.40000000, 335.40000000, 67.08000000, 402.48000000),
(12828, 2046, NULL, 959033, NULL, 'Spare part BEKOMAT 13  wearing parts set CO PN25,40,50', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 64.51000000, NULL, 129.02000000, 25.80000000, 0.00000000, 0.00000000, 154.82000000, 0, NULL, NULL, 0, 55.44000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 64.51000000, 129.02000000, 25.80000000, 154.82000000),
(12829, 2046, NULL, NULL, NULL, 'Frais de port ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(12830, 2047, NULL, NULL, NULL, 'Mensualites suivant contrat', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8514.00000000, NULL, 8514.00000000, 1702.80000000, 0.00000000, 0.00000000, 10216.80000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8514.00000000, 8514.00000000, 1702.80000000, 10216.80000000),
(12831, 2048, NULL, NULL, '1 Maintenance 8000Heures', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12832, 2048, NULL, 1179631, NULL, 'LOT SERVICE C  L90-L132', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 445.00000000, NULL, 333.75000000, 66.75000000, 0.00000000, 0.00000000, 400.50000000, 0, NULL, NULL, 0, 161.84000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 445.00000000, 333.75000000, 66.75000000, 400.50000000),
(12833, 2048, NULL, 1179676, NULL, 'LOT SERVICE D  L90 + L132 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 1442.00000000, NULL, 1081.50000000, 216.30000000, 0.00000000, 0.00000000, 1297.80000000, 0, NULL, NULL, 0, 865.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1442.00000000, 1081.50000000, 216.30000000, 1297.80000000),
(12834, 2048, NULL, 1179742, NULL, 'LOT SERVICE E  L90-L132', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 1924.00000000, NULL, 1443.00000000, 288.60000000, 0.00000000, 0.00000000, 1731.60000000, 0, NULL, NULL, 0, 1154.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1924.00000000, 1443.00000000, 288.60000000, 1731.60000000),
(12835, 2048, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 2, 25, 0, NULL, 299.00000000, NULL, 448.50000000, 89.70000000, 0.00000000, 0.00000000, 538.20000000, 0, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 448.50000000, 89.70000000, 538.20000000),
(12836, 2048, NULL, 1180343, NULL, 'Huile Vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 79.00000000, NULL, 59.25000000, 11.85000000, 0.00000000, 0.00000000, 71.10000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 59.25000000, 11.85000000, 71.10000000),
(12837, 2048, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(12838, 2048, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 310.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(12839, 2048, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12840, 2049, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.30000000, NULL, 10.30000000, 2.06000000, 0.00000000, 0.00000000, 12.36000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 10.30000000, 2.06000000, 12.36000000),
(12841, 2049, NULL, 1218079, NULL, 'SOUPAPE 2800/F18 1\" 15.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.48000000, NULL, 78.48000000, 15.70000000, 0.00000000, 0.00000000, 94.18000000, 0, NULL, NULL, 0, 52.32000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.48000000, 78.48000000, 15.70000000, 94.18000000),
(12842, 2049, NULL, 1211823, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.00000000, NULL, 21.00000000, 4.20000000, 0.00000000, 0.00000000, 25.20000000, 1, NULL, NULL, 0, 21.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.00000000, 21.00000000, 4.20000000, 25.20000000),
(12843, 2049, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 93, 0, 0, NULL, 0.97000000, NULL, 90.21000000, 18.04000000, 0.00000000, 0.00000000, 108.25000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 90.21000000, 18.04000000, 108.25000000),
(12844, 2049, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(12845, 2050, NULL, NULL, NULL, 'Mensualites suivant contrat', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -8514.00000000, NULL, -8514.00000000, -1702.80000000, 0.00000000, 0.00000000, -10216.80000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -8514.00000000, -8514.00000000, -1702.80000000, -10216.80000000),
(12846, 2051, NULL, NULL, NULL, 'Mensualites suivant contrat', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8514.00000000, NULL, 8514.00000000, 1702.80000000, 0.00000000, 0.00000000, 10216.80000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8514.00000000, 8514.00000000, 1702.80000000, 10216.80000000),
(12847, 2052, NULL, 1588481, NULL, 'PROMAC 4000N', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 595.00000000, NULL, 595.00000000, 119.00000000, 0.00000000, 0.00000000, 714.00000000, 0, NULL, NULL, 0, 665.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 595.00000000, 595.00000000, 119.00000000, 714.00000000),
(12848, 2053, NULL, 1230694, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 3.40000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(12849, 2053, NULL, 1223837, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.64000000, NULL, 27.64000000, 5.53000000, 0.00000000, 0.00000000, 33.17000000, 0, NULL, NULL, 0, 13.82000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.64000000, 27.64000000, 5.53000000, 33.17000000),
(12850, 2053, NULL, 1221733, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.66000000, NULL, 61.66000000, 12.33000000, 0.00000000, 0.00000000, 73.99000000, 0, NULL, NULL, 0, 29.93000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.66000000, 61.66000000, 12.33000000, 73.99000000),
(12851, 2053, NULL, 1223611, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.48000000, NULL, 17.48000000, 3.50000000, 0.00000000, 0.00000000, 20.98000000, 0, NULL, NULL, 0, 8.74000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.48000000, 17.48000000, 3.50000000, 20.98000000),
(12852, 2053, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(12853, 2054, NULL, NULL, NULL, '(DEPOSIT) (1 038,19 &euro;) - PR2005-1503', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1038.19000000, NULL, 1038.19000000, 207.64000000, 0.00000000, 0.00000000, 1245.83000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1038.19000000, 1038.19000000, 207.64000000, 1245.83000000),
(12854, 2055, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.13000000, NULL, 114.13000000, 22.83000000, 0.00000000, 0.00000000, 136.96000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 136.96000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.13000000, 114.13000000, 22.83000000, 136.96000000),
(12855, 2056, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(12856, 2057, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(12857, 2058, NULL, 1006125, NULL, 'PW 160/10 SAB XR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 562.00000000, NULL, 562.00000000, 112.40000000, 0.00000000, 0.00000000, 674.40000000, 0, NULL, NULL, 0, 419.57000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 562.00000000, 562.00000000, 112.40000000, 674.40000000),
(12858, 2058, NULL, 999927, NULL, 'CLOCHE DE LAVAGE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.00000000, NULL, 99.00000000, 19.80000000, 0.00000000, 0.00000000, 118.80000000, 0, NULL, NULL, 0, 67.55000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.00000000, 99.00000000, 19.80000000, 118.80000000),
(12859, 2059, NULL, NULL, NULL, '(DEPOSIT) (50%) - CO2010-1707', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19456.50000000, NULL, 19456.50000000, 3891.30000000, 0.00000000, 0.00000000, 23347.80000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19456.50000000, 19456.50000000, 3891.30000000, 23347.80000000),
(12860, 2060, NULL, NULL, NULL, 'FICHE D’ANOMALIE N° 1', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 2, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12861, 2060, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 4, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(12862, 2060, NULL, NULL, 'Sous-total FICHE D’ANOMALIE N° 1', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 0, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12863, 2060, NULL, NULL, NULL, 'FICHE D’ANOMALIE N° 2', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12864, 2060, NULL, 1108294, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.36000000, NULL, 18.36000000, 3.67000000, 0.00000000, 0.00000000, 22.03000000, 0, NULL, NULL, 0, 8.91000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 18.36000000, 18.36000000, 3.67000000, 22.03000000),
(12865, 2060, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 4, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(12866, 2060, NULL, NULL, 'Sous-total FICHE D’ANOMALIE N° 2', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 0, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12867, 2060, NULL, NULL, NULL, 'FICHE D’ANOMALIE N° 3', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12868, 2060, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 4, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(12869, 2060, NULL, 1190523, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.00000000, NULL, 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 15.00000000, 15.00000000, 3.00000000, 18.00000000),
(12870, 2060, NULL, NULL, 'Sous-total FICHE D’ANOMALIE N° 3', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 0, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12871, 2060, NULL, NULL, NULL, 'FICHE D’ANOMALIE N° 4', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12872, 2060, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(12873, 2060, NULL, NULL, 'Sous-total FICHE D’ANOMALIE N° 4', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 0, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12874, 2060, NULL, NULL, NULL, 'FICHE D’ANOMALIE N° 5', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12875, 2060, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(12876, 2060, NULL, NULL, 'Sous-total FICHE D’ANOMALIE N° 5', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 0, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12879, 2060, NULL, NULL, NULL, 'FICHE D’ANOMALIE N° 6', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12880, 2060, NULL, NULL, NULL, 'bloc jonction entrelec 2.5-4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(12881, 2060, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 4, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(12882, 2060, NULL, NULL, 'Sous-total FICHE D’ANOMALIE N° 6', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 22, NULL, NULL, 0, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12883, 2060, NULL, NULL, 'FICHE D’ANOMALIE N° 7', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 23, NULL, NULL, 0, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12884, 2060, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 4, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(12885, 2060, NULL, NULL, 'Sous-total FICHE D’ANOMALIE N° 7', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 25, NULL, NULL, 0, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12886, 2060, NULL, NULL, NULL, 'FICHE D’ANOMALIE N° 8', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12887, 2060, NULL, NULL, NULL, 'remplacement des fiches', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 27, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12888, 2060, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(12889, 2060, NULL, NULL, 'Sous-total FICHE D’ANOMALIE N° 8', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 29, NULL, NULL, 0, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12890, 2060, NULL, 1190572, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 45.00000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 45.00000000, 45.00000000, 9.00000000, 54.00000000),
(12891, 2060, NULL, 1230692, NULL, '<br />\r\n&nbsp;', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 90.00000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(12892, 2061, NULL, 1588649, NULL, 'kit joint GM192', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.03000000, NULL, 26.03000000, 5.21000000, 0.00000000, 0.00000000, 31.24000000, 0, NULL, NULL, 0, 19.57000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.03000000, 26.03000000, 5.21000000, 31.24000000),
(12893, 2061, NULL, 1223578, NULL, 'FRAIS DE PORT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 18.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 18.00000000, 3.60000000, 21.60000000),
(12894, 2062, NULL, NULL, NULL, 'indemnit&eacute;s', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 122.50000000, NULL, 122.50000000, 0.00000000, 0.00000000, 0.00000000, 122.50000000, 1, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 122.50000000, 122.50000000, 0.00000000, 122.50000000),
(12895, 2063, NULL, 952827, NULL, 'secheur 72m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 935.00000000, NULL, 935.00000000, 187.00000000, 0.00000000, 0.00000000, 1122.00000000, 0, NULL, NULL, 0, 691.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 935.00000000, 935.00000000, 187.00000000, 1122.00000000),
(12896, 2063, NULL, 1268118, NULL, 'Separateur cyclonique 1 2&quot; 60 m&sup3; H', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.00000000, NULL, 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 57.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(12897, 2063, NULL, 1588654, NULL, 'Filtre Mano régulateur 1/2 F_1600 L/min', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 58.00000000, NULL, 58.00000000, 11.60000000, 0.00000000, 0.00000000, 69.60000000, 0, NULL, NULL, 0, 46.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 58.00000000, 58.00000000, 11.60000000, 69.60000000),
(12898, 2063, NULL, 1588655, NULL, 'Filtre mano régulateur lubrificateur 1/2 F_2500 L/min', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 87.00000000, NULL, 87.00000000, 17.40000000, 0.00000000, 0.00000000, 104.40000000, 0, NULL, NULL, 0, 70.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 87.00000000, 87.00000000, 17.40000000, 104.40000000),
(12899, 2063, NULL, 952631, NULL, 'filtre reseau R1/2 grade 1µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.00000000, NULL, 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 100.90000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.00000000, 130.00000000, 26.00000000, 156.00000000),
(12900, 2063, NULL, 952630, NULL, 'filtre BEA105ra 1/2\'\' grade 0.01µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.00000000, NULL, 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 100.90000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 130.00000000, 130.00000000, 26.00000000, 156.00000000),
(12901, 2060, NULL, NULL, NULL, 'Mise en conformité contrôle Thermographique', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12927, 2065, NULL, NULL, NULL, 'FICHE n°3:stockage n°1', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12928, 2065, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 4, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(12929, 2065, NULL, NULL, 'Sous-total FICHE n°3:stockage n°1', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 3, NULL, NULL, 0, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12930, 2065, NULL, NULL, NULL, 'Fiche N°4: Zone Oudissoir', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12931, 2065, NULL, 1069841, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.00000000, NULL, 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 12.19000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 18.00000000, 18.00000000, 3.60000000, 21.60000000),
(12932, 2065, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(12933, 2065, NULL, NULL, 'Sous-total Fiche N°4: Zone Oudissoir', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 0, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12934, 2065, NULL, NULL, NULL, 'Fiche N°5:Bloc autonome (Bloc Phare)', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12935, 2065, NULL, NULL, NULL, 'Devis de remplacement transmis', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12936, 2065, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12937, 2065, NULL, NULL, NULL, 'Fiche N°6 & 7:Metier SOMET Salle N°2', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(12938, 2065, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(12939, 2065, NULL, NULL, 'Sous-total Fiche N°6 & 7:Metier SOMET Salle N°2', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 0, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12940, 2065, NULL, NULL, NULL, 'Fiche N°8:Mecanique + WC + Rangement', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12941, 2065, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 4, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(12942, 2065, NULL, NULL, 'Sous-total Fiche N°8:Mecanique + WC + Rangement', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 0, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12943, 2065, NULL, NULL, NULL, 'Fiche N°9 & 10:Metier SOMET Salle N°1', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12944, 2065, NULL, 1071253, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.38000000, NULL, 7.38000000, 1.48000000, 0.00000000, 0.00000000, 8.86000000, 0, NULL, NULL, 0, 3.58000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.38000000, 7.38000000, 1.48000000, 8.86000000),
(12945, 2065, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(12946, 2065, NULL, NULL, 'Sous-total Fiche N°9 & 10:Metier SOMET Salle N°1', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 20, NULL, NULL, 0, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12947, 2065, NULL, NULL, NULL, 'Fiche N°11: Ancienne salle des Compresseurs', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12948, 2065, NULL, 1461943, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 124.00000000, NULL, 124.00000000, 24.80000000, 0.00000000, 0.00000000, 148.80000000, 0, NULL, NULL, 0, 93.00000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 124.00000000, 124.00000000, 24.80000000, 148.80000000),
(12949, 2065, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(12950, 2066, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1452.21000000, NULL, 1452.21000000, 290.44000000, 0.00000000, 0.00000000, 1742.65000000, 0, NULL, NULL, 0, 1000.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1452.21000000, 1452.21000000, 290.44000000, 1742.65000000),
(12951, 2066, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6625.79000000, NULL, 6625.79000000, 1325.16000000, 0.00000000, 0.00000000, 7950.95000000, 0, NULL, NULL, 0, 4500.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6625.79000000, 6625.79000000, 1325.16000000, 7950.95000000),
(12952, 2066, NULL, 1588624, NULL, 'flexible diam 38 prix au metre', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 22.13000000, NULL, 442.60000000, 88.52000000, 0.00000000, 0.00000000, 531.12000000, 0, NULL, NULL, 0, 12.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.13000000, 442.60000000, 88.52000000, 531.12000000),
(12953, 2066, NULL, 1588626, NULL, 'Filtre Polyester Complet VAC 50/2 & 360/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.07000000, NULL, 96.07000000, 19.21000000, 0.00000000, 0.00000000, 115.28000000, 0, NULL, NULL, 0, 54.18000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.07000000, 96.07000000, 19.21000000, 115.28000000),
(12954, 2066, NULL, 1588627, NULL, 'Filtre Nylon VAC 50/2-78/3 et 160-2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.10000000, NULL, 39.10000000, 7.82000000, 0.00000000, 0.00000000, 46.92000000, 0, NULL, NULL, 0, 22.05000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.10000000, 39.10000000, 7.82000000, 46.92000000),
(12955, 2066, NULL, 1588625, NULL, '7612375607499', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.59000000, NULL, 110.59000000, 22.12000000, 0.00000000, 0.00000000, 132.71000000, 0, NULL, NULL, 0, 72.45000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.59000000, 110.59000000, 22.12000000, 132.71000000),
(12956, 2066, NULL, 1588623, NULL, 'ASPIRATEUR EAU/POUSSIÈRES 2 moteurs', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 550.33000000, NULL, 550.33000000, 110.07000000, 0.00000000, 0.00000000, 660.40000000, 0, NULL, NULL, 0, 343.35000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 550.33000000, 550.33000000, 110.07000000, 660.40000000),
(12957, 2066, NULL, 1223702, NULL, 'EPI', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 222.27000000, NULL, 222.27000000, 44.45000000, 0.00000000, 0.00000000, 266.72000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 222.27000000, 222.27000000, 44.45000000, 266.72000000),
(12958, 2067, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 112.45000000, NULL, 112.45000000, 22.49000000, 0.00000000, 0.00000000, 134.94000000, 0, NULL, NULL, 0, 71.92000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 112.45000000, 112.45000000, 22.49000000, 134.94000000),
(12959, 2067, NULL, 972631, NULL, 'Té égal Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.28000000, NULL, 11.40000000, 2.28000000, 0.00000000, 0.00000000, 13.68000000, 0, NULL, NULL, 0, 1.61000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.28000000, 11.40000000, 2.28000000, 13.68000000),
(12960, 2067, NULL, 972586, NULL, 'Raccord droit mâle G1/4 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.92000000, NULL, 0.92000000, 0.18000000, 0.00000000, 0.00000000, 1.10000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.92000000, 0.92000000, 0.18000000, 1.10000000),
(12961, 2067, NULL, 972160, NULL, 'Tube polyamide Rilsan incolore 6x8 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 36.76000000, NULL, 36.76000000, 7.35000000, 0.00000000, 0.00000000, 44.11000000, 0, NULL, NULL, 0, 25.95000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.76000000, 36.76000000, 7.35000000, 44.11000000),
(12962, 2067, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 4.83000000, NULL, 57.96000000, 11.59000000, 0.00000000, 0.00000000, 69.55000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.83000000, 57.96000000, 11.59000000, 69.55000000),
(12963, 2067, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 3.33000000, NULL, 9.99000000, 2.00000000, 0.00000000, 0.00000000, 11.99000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.33000000, 9.99000000, 2.00000000, 11.99000000),
(12964, 2067, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 5.27000000, NULL, 52.70000000, 10.54000000, 0.00000000, 0.00000000, 63.24000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.27000000, 52.70000000, 10.54000000, 63.24000000),
(12965, 2067, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.01000000, NULL, 12.02000000, 2.40000000, 0.00000000, 0.00000000, 14.42000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.01000000, 12.02000000, 2.40000000, 14.42000000),
(12966, 2067, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.47000000, NULL, 7.47000000, 1.49000000, 0.00000000, 0.00000000, 8.96000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.47000000, 7.47000000, 1.49000000, 8.96000000),
(12967, 2067, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 16.66000000, NULL, 66.64000000, 13.33000000, 0.00000000, 0.00000000, 79.97000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.66000000, 66.64000000, 13.33000000, 79.97000000),
(12968, 2067, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.89000000, NULL, 8.90000000, 1.78000000, 0.00000000, 0.00000000, 10.68000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.89000000, 8.90000000, 1.78000000, 10.68000000),
(12969, 2067, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.89000000, NULL, 25.78000000, 5.16000000, 0.00000000, 0.00000000, 30.94000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.89000000, 25.78000000, 5.16000000, 30.94000000),
(12970, 2067, NULL, 967552, NULL, 'Ensemble soufflage2 m 1/4 FetT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.09000000, NULL, 19.09000000, 3.82000000, 0.00000000, 0.00000000, 22.91000000, 0, NULL, NULL, 0, 13.48000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.09000000, 19.09000000, 3.82000000, 22.91000000),
(12971, 2067, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2454.30000000, NULL, 2454.30000000, 490.86000000, 0.00000000, 0.00000000, 2945.16000000, 0, NULL, NULL, 0, 1600.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2454.30000000, 2454.30000000, 490.86000000, 2945.16000000),
(12972, 2068, NULL, 952825, NULL, 'sécheur à réfrigération 54m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 822.00000000, NULL, 822.00000000, 164.40000000, 0.00000000, 0.00000000, 986.40000000, 0, NULL, NULL, 0, 579.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 822.00000000, 822.00000000, 164.40000000, 986.40000000),
(12973, 2068, NULL, 1268118, NULL, 'Separateur cyclonique 1 2&quot; 60 m&sup3; H', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.00000000, NULL, 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 57.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(12974, 2068, NULL, 1190374, NULL, 'Forfait intervention ZONE A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 250.00000000, NULL, 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 199.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(12975, 2068, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.00000000, NULL, 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(12976, 2069, NULL, NULL, '1 Option 1: Remplacement des 4 réservoirs (le jeudi 12 Nov 20)', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12977, 2069, NULL, 1219923, NULL, 'RES. AIR COMPRIME GALVA 1500L-10,67b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1822.74000000, NULL, 1822.74000000, 364.55000000, 0.00000000, 0.00000000, 2187.29000000, 0, NULL, NULL, 0, 1402.11000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1822.74000000, 1822.74000000, 364.55000000, 2187.29000000),
(12978, 2069, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 900.00000000, NULL, 900.00000000, 180.00000000, 0.00000000, 0.00000000, 1080.00000000, 0, NULL, NULL, 0, 698.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 900.00000000, 900.00000000, 180.00000000, 1080.00000000),
(12979, 2069, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 538.00000000, NULL, 1076.00000000, 215.20000000, 0.00000000, 0.00000000, 1291.20000000, 0, NULL, NULL, 0, 399.90000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 538.00000000, 1076.00000000, 215.20000000, 1291.20000000),
(12980, 2069, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1350.00000000, NULL, 1350.00000000, 270.00000000, 0.00000000, 0.00000000, 1620.00000000, 0, NULL, NULL, 0, 1100.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1350.00000000, 1350.00000000, 270.00000000, 1620.00000000),
(12981, 2069, NULL, 1190340, NULL, 'Fournitures plomberies', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 350.00000000, NULL, 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 300.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(12982, 2069, NULL, NULL, 'Sous-total Option 1: Remplacement des 4 réservoirs', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12983, 2070, NULL, 1176219, NULL, 'Parts General', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 158.00000000, NULL, 158.00000000, 31.60000000, 0.00000000, 0.00000000, 189.60000000, 0, NULL, NULL, 0, 80.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 158.00000000, 158.00000000, 31.60000000, 189.60000000),
(12984, 2071, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(12985, 2071, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(12986, 2072, NULL, NULL, '1 pieces detachées', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12987, 2072, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.90000000, NULL, 25.90000000, 5.18000000, 0.00000000, 0.00000000, 31.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.90000000, 25.90000000, 5.18000000, 31.08000000),
(12988, 2072, NULL, 1222069, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.00000000, NULL, 67.00000000, 13.40000000, 0.00000000, 0.00000000, 80.40000000, 0, NULL, NULL, 0, 46.90000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.00000000, 67.00000000, 13.40000000, 80.40000000),
(12989, 2072, NULL, 952080, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.12000000, NULL, 6.12000000, 1.22000000, 0.00000000, 0.00000000, 7.34000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.12000000, 6.12000000, 1.22000000, 7.34000000),
(12990, 2072, NULL, 1223837, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.64000000, NULL, 20.64000000, 4.13000000, 0.00000000, 0.00000000, 24.77000000, 0, NULL, NULL, 0, 14.58000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.64000000, 20.64000000, 4.13000000, 24.77000000),
(12991, 2072, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(12992, 2073, NULL, 1176207, NULL, 'ACCOUPLEMENT Rotex 42', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 367.00000000, NULL, 367.00000000, 73.40000000, 0.00000000, 0.00000000, 440.40000000, 0, NULL, NULL, 0, 202.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 367.00000000, 367.00000000, 73.40000000, 440.40000000),
(12993, 2073, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(12994, 2073, NULL, 1305490, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 387.00000000, NULL, 387.00000000, 77.40000000, 0.00000000, 0.00000000, 464.40000000, 0, NULL, NULL, 0, 170.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 387.00000000, 387.00000000, 77.40000000, 464.40000000),
(12995, 2074, NULL, 970603, NULL, 'Bride de piquage TURN FIT DN25/DN25  avec rétention d\'eau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.30000000, NULL, 35.30000000, 7.06000000, 0.00000000, 0.00000000, 42.36000000, 0, NULL, NULL, 0, 21.18000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.30000000, 35.30000000, 7.06000000, 42.36000000),
(12996, 2074, NULL, 970522, NULL, 'Coude égal 90° TURN FIT DN25', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 7.70000000, NULL, 23.10000000, 4.62000000, 0.00000000, 0.00000000, 27.72000000, 0, NULL, NULL, 0, 4.62000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.70000000, 23.10000000, 4.62000000, 27.72000000),
(12997, 2074, NULL, 970638, NULL, 'Applique murale TURN FIT 90° DN25 2 Sorties 3/8 Femelle avec purge', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.50000000, NULL, 33.50000000, 6.70000000, 0.00000000, 0.00000000, 40.20000000, 0, NULL, NULL, 0, 20.10000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.50000000, 33.50000000, 6.70000000, 40.20000000),
(12999, 2075, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 174, 0, 0, NULL, 0.97000000, NULL, 168.78000000, 33.76000000, 0.00000000, 0.00000000, 202.54000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 168.78000000, 33.76000000, 202.54000000),
(13000, 2075, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(13001, 2075, NULL, 1190716, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.40000000, NULL, 82.40000000, 16.48000000, 0.00000000, 0.00000000, 98.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.40000000, 82.40000000, 16.48000000, 98.88000000),
(13002, 2076, NULL, NULL, NULL, 'frais de port usine', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.00000000, NULL, 10.00000000, 2.00000000, 0.00000000, 0.00000000, 12.00000000, 1, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.00000000, 10.00000000, 2.00000000, 12.00000000),
(13003, 2076, NULL, 1588634, NULL, 'cale en cahoutchouc H80mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 41.80000000, NULL, 167.20000000, 33.44000000, 0.00000000, 0.00000000, 200.64000000, 0, NULL, NULL, 0, 32.16000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.80000000, 167.20000000, 33.44000000, 200.64000000),
(13004, 2077, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 57.13000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(13005, 2077, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(13006, 2077, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 47, 0, 0, NULL, 0.97000000, NULL, 45.59000000, 9.12000000, 0.00000000, 0.00000000, 54.71000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 45.59000000, 9.12000000, 54.71000000),
(13007, 2078, NULL, NULL, NULL, 'ref 2547567- Silenblocs', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 11.47000000, NULL, 45.88000000, 9.18000000, 0.00000000, 0.00000000, 55.06000000, 0, NULL, NULL, 0, 8.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.47000000, 45.88000000, 9.18000000, 55.06000000),
(13008, 2078, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(13009, 2078, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(13011, 2079, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(13012, 2079, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(13013, 2080, NULL, 1231698, NULL, 'bidons huiles 10L minéral 68', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 91.67000000, NULL, 183.34000000, 36.67000000, 0.00000000, 0.00000000, 220.01000000, 0, NULL, NULL, 0, 39.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.67000000, 183.34000000, 36.67000000, 220.01000000),
(13014, 2080, NULL, 1231699, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.07000000, NULL, 53.07000000, 10.61000000, 0.00000000, 0.00000000, 63.68000000, 0, NULL, NULL, 0, 23.10000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.07000000, 53.07000000, 10.61000000, 63.68000000),
(13015, 2080, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 684.48000000, NULL, 684.48000000, 136.90000000, 0.00000000, 0.00000000, 821.38000000, 0, NULL, NULL, 0, 514.64000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 684.48000000, 684.48000000, 136.90000000, 821.38000000),
(13016, 2080, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.24000000, NULL, 7.24000000, 1.45000000, 0.00000000, 0.00000000, 8.69000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.24000000, 7.24000000, 1.45000000, 8.69000000),
(13017, 2080, NULL, 1222117, NULL, 'CARTOUCHE SEPARATRICE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 273.40000000, NULL, 273.40000000, 54.68000000, 0.00000000, 0.00000000, 328.08000000, 0, NULL, NULL, 0, 119.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 273.40000000, 273.40000000, 54.68000000, 328.08000000),
(13018, 2080, NULL, 1231700, NULL, 'Filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.11000000, NULL, 61.11000000, 12.22000000, 0.00000000, 0.00000000, 73.33000000, 0, NULL, NULL, 0, 26.60000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.11000000, 61.11000000, 12.22000000, 73.33000000),
(13019, 2080, NULL, 1222552, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 53.43000000, NULL, 213.72000000, 42.74000000, 0.00000000, 0.00000000, 256.46000000, 0, NULL, NULL, 0, 16.13000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.43000000, 213.72000000, 42.74000000, 256.46000000),
(13020, 2080, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 453.88000000, NULL, 453.88000000, 90.78000000, 0.00000000, 0.00000000, 544.66000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 453.88000000, 453.88000000, 90.78000000, 544.66000000),
(13021, 2080, NULL, 1222111, NULL, 'filtre 1µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 173.11000000, NULL, 173.11000000, 34.62000000, 0.00000000, 0.00000000, 207.73000000, 0, NULL, NULL, 0, 149.28000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 173.11000000, 173.11000000, 34.62000000, 207.73000000),
(13022, 2080, NULL, 1231702, NULL, 'Elément filtrant grade S pour filtre RF 0320', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.34000000, NULL, 154.34000000, 30.87000000, 0.00000000, 0.00000000, 185.21000000, 0, NULL, NULL, 0, 84.96000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 154.34000000, 154.34000000, 30.87000000, 185.21000000),
(13023, 2081, NULL, NULL, '1 Maintenance annuelle compresseur RENNER RSDK Pro 7.5', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13024, 2081, NULL, 1231698, NULL, 'bidons huiles 10L minéral 68', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 57.00000000, NULL, 57.00000000, 11.40000000, 0.00000000, 0.00000000, 68.40000000, 0, NULL, NULL, 0, 39.90000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 57.00000000, 57.00000000, 11.40000000, 68.40000000),
(13025, 2081, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(13026, 2081, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(13027, 2081, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.00000000, NULL, 113.00000000, 22.60000000, 0.00000000, 0.00000000, 135.60000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.00000000, 113.00000000, 22.60000000, 135.60000000),
(13028, 2081, NULL, 1190361, NULL, 'Maintenance Compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 520.00000000, NULL, 520.00000000, 104.00000000, 0.00000000, 0.00000000, 624.00000000, 0, NULL, NULL, 0, 420.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 520.00000000, 520.00000000, 104.00000000, 624.00000000),
(13029, 2081, NULL, NULL, 'Sous-total Maintenance annuelle compresseur RENNER RSDK Pro 7.5', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13030, 2081, NULL, NULL, '2 Maintenance du séparateur de condensats et du filtre réseau (si exécuté en même temps que le compresseur)', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13031, 2081, NULL, 952662, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(13032, 2081, NULL, 955198, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 177.77000000, NULL, 177.77000000, 35.55000000, 0.00000000, 0.00000000, 213.32000000, 0, NULL, NULL, 0, 86.30000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 177.77000000, 177.77000000, 35.55000000, 213.32000000),
(13033, 2081, NULL, NULL, 'Sous-total Maintenance du separateur de condensats (si executé en meme temps que le compresseur)', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13034, 2082, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.97000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 42.68000000, 8.54000000, 51.22000000),
(13035, 2082, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(13036, 2083, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13037, 2083, NULL, NULL, '3 Maintenance :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13038, 2083, NULL, 1190506, NULL, 'Forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 455.83000000, NULL, 455.83000000, 91.17000000, 0.00000000, 0.00000000, 547.00000000, 0, NULL, NULL, 0, 234.58000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 455.83000000, 455.83000000, 91.17000000, 547.00000000),
(13039, 2083, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13040, 2083, NULL, 1179629, NULL, 'Kit de service C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 255.59000000, NULL, 255.59000000, 51.12000000, 0.00000000, 0.00000000, 306.71000000, 0, NULL, NULL, 0, 202.99000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 255.59000000, 255.59000000, 51.12000000, 306.71000000),
(13041, 2083, NULL, 1179664, NULL, 'Kit de service D      L75RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 853.00000000, NULL, 853.00000000, 170.60000000, 0.00000000, 0.00000000, 1023.60000000, 0, NULL, NULL, 0, 573.34500000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 853.00000000, 853.00000000, 170.60000000, 1023.60000000),
(13042, 2083, NULL, 1222181, NULL, 'Huile anderol ANDEROL FGXL 46 Alimentaire prix bidon 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 283.91000000, NULL, 283.91000000, 56.78000000, 0.00000000, 0.00000000, 340.69000000, 0, NULL, NULL, 0, 225.40000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 283.91000000, 283.91000000, 56.78000000, 340.69000000),
(13043, 2083, NULL, NULL, 'Sous-total Maintenance :', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13044, 2083, NULL, NULL, 'un séparateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13045, 2083, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 122.76000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(13046, 2083, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13047, 2083, NULL, NULL, NULL, 'filtres reseaux', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13048, 2083, NULL, 1221464, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(13049, 2083, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13050, 2084, NULL, 1220936, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4629.58000000, NULL, 4629.58000000, 925.92000000, 0.00000000, 0.00000000, 5555.50000000, 0, NULL, NULL, 0, 3060.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4629.58000000, 4629.58000000, 925.92000000, 5555.50000000),
(13051, 2084, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 258.42000000, NULL, 258.42000000, 51.68000000, 0.00000000, 0.00000000, 310.10000000, 0, NULL, NULL, 0, 600.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 258.42000000, 258.42000000, 51.68000000, 310.10000000),
(13052, 2085, NULL, NULL, '1 Fourniture et pose reservoir JETLY 100L Vertical P Max 10B (non visitable)', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13053, 2085, NULL, 1586977, NULL, 'Réservoir à vessie Vertical 10B Jetly', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 310.00000000, NULL, 310.00000000, 62.00000000, 0.00000000, 0.00000000, 372.00000000, 0, NULL, NULL, 0, 231.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 310.00000000, 310.00000000, 62.00000000, 372.00000000),
(13054, 2085, NULL, 970058, NULL, 'Flexible tréssé INOX 1 mètre M/Femelle écrou tournant G3/4', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 36.97000000, NULL, 73.94000000, 14.79000000, 0.00000000, 0.00000000, 88.73000000, 0, NULL, NULL, 0, 22.18000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.97000000, 73.94000000, 14.79000000, 88.73000000),
(13055, 2085, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 280.00000000, NULL, 280.00000000, 56.00000000, 0.00000000, 0.00000000, 336.00000000, 0, NULL, NULL, 0, 230.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 280.00000000, 280.00000000, 56.00000000, 336.00000000),
(13056, 2085, NULL, NULL, NULL, '', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13057, 2085, NULL, NULL, '2 Couche filtrante entrée compresseur L45RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13058, 2085, NULL, 1176205, NULL, 'Natte filtrante  (L30-50)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.00000000, NULL, 105.00000000, 21.00000000, 0.00000000, 0.00000000, 126.00000000, 0, NULL, NULL, 0, 46.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.00000000, 105.00000000, 21.00000000, 126.00000000),
(13059, 2085, NULL, NULL, '3 Compresseur UP5_11', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13060, 2085, NULL, 1217954, NULL, 'SOUPAPE 2800/D10 1/2\" 11.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.58000000, NULL, 32.58000000, 6.52000000, 0.00000000, 0.00000000, 39.10000000, 0, NULL, NULL, 0, 15.82000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.58000000, 32.58000000, 6.52000000, 39.10000000),
(13061, 2085, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.30000000, NULL, 10.30000000, 2.06000000, 0.00000000, 0.00000000, 12.36000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 10.30000000, 2.06000000, 12.36000000),
(13062, 2085, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 45.00000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.00000000, 45.00000000, 9.00000000, 54.00000000),
(13063, 2085, NULL, NULL, '4 Compresseur UP5_7', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13064, 2085, NULL, 1217948, NULL, 'SOUPAPE 2800/D10 1/2\" 8.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.58000000, NULL, 32.58000000, 6.52000000, 0.00000000, 0.00000000, 39.10000000, 0, NULL, NULL, 0, 15.82000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.58000000, 32.58000000, 6.52000000, 39.10000000),
(13065, 2085, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.30000000, NULL, 10.30000000, 2.06000000, 0.00000000, 0.00000000, 12.36000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 10.30000000, 2.06000000, 12.36000000),
(13066, 2085, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 45.00000000, NULL, 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 45.00000000, 45.00000000, 9.00000000, 54.00000000),
(13067, 2086, NULL, 1305511, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 1020.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 449.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1020.00000000, 0.00000000, 0.00000000, 0.00000000),
(13068, 2086, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 299.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 0.00000000, 0.00000000, 0.00000000),
(13069, 2086, NULL, 952680, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 200.33000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 0.00000000, 0.00000000, 0.00000000),
(13070, 2086, NULL, 952681, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 200.33000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 0.00000000, 0.00000000, 0.00000000),
(13071, 2086, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 282.22000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 88.66000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 0.00000000, 0.00000000, 0.00000000),
(13072, 2086, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(13073, 2086, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13074, 2086, NULL, 955074, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 129.96000000, NULL, 129.96000000, 25.99000000, 0.00000000, 0.00000000, 155.95000000, 0, NULL, NULL, 0, 68.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 129.96000000, 129.96000000, 25.99000000, 155.95000000),
(13075, 2086, NULL, 951885, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.90000000, NULL, 13.90000000, 2.78000000, 0.00000000, 0.00000000, 16.68000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.90000000, 13.90000000, 2.78000000, 16.68000000),
(13076, 2086, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(13077, 2087, NULL, 1588638, NULL, 'Point de ros&eacute;e : +5&deg;C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 875.55000000, NULL, 875.55000000, 175.11000000, 0.00000000, 0.00000000, 1050.66000000, 0, NULL, NULL, 0, 673.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 875.55000000, 875.55000000, 175.11000000, 1050.66000000),
(13078, 2087, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 416.00000000, NULL, 416.00000000, 83.20000000, 0.00000000, 0.00000000, 499.20000000, 0, NULL, NULL, 0, 320.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 416.00000000, 416.00000000, 83.20000000, 499.20000000),
(13079, 2087, NULL, 1190526, NULL, 'diam 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 195.00000000, NULL, 195.00000000, 39.00000000, 0.00000000, 0.00000000, 234.00000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 195.00000000, 195.00000000, 39.00000000, 234.00000000),
(13080, 2088, NULL, 1305295, NULL, 'SERVICE PACKAGE  E          L55-L75 (A)', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 849.00000000, NULL, 679.20000000, 135.84000000, 0.00000000, 0.00000000, 815.04000000, 0, NULL, NULL, 0, 467.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 849.00000000, 679.20000000, 135.84000000, 815.04000000),
(13081, 2088, NULL, 1305523, NULL, 'SEPARATOR KIT D            L55-L75+L75SR', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 938.00000000, NULL, 750.40000000, 150.08000000, 0.00000000, 0.00000000, 900.48000000, 0, NULL, NULL, 0, 412.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 938.00000000, 750.40000000, 150.08000000, 900.48000000),
(13082, 2089, NULL, 955221, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 281.89000000, NULL, 563.78000000, 112.76000000, 0.00000000, 0.00000000, 676.54000000, 0, NULL, NULL, 0, 136.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 281.89000000, 563.78000000, 112.76000000, 676.54000000),
(13083, 2089, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(13084, 2090, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(13085, 2090, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 94, 0, 0, NULL, 0.97000000, NULL, 91.18000000, 18.24000000, 0.00000000, 0.00000000, 109.42000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 91.18000000, 18.24000000, 109.42000000),
(13086, 2090, NULL, NULL, NULL, '603-1461-ND - Ventilateur', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 120.00000000, NULL, 240.00000000, 48.00000000, 0.00000000, 0.00000000, 288.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 240.00000000, 48.00000000, 288.00000000),
(13087, 2092, NULL, 1305511, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, -1020.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 449.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -1020.00000000, 0.00000000, 0.00000000, 0.00000000),
(13088, 2092, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, -299.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -299.00000000, 0.00000000, 0.00000000, 0.00000000),
(13089, 2092, NULL, 952680, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, -200.33000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -200.33000000, 0.00000000, 0.00000000, 0.00000000),
(13090, 2092, NULL, 952681, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, -200.33000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -200.33000000, 0.00000000, 0.00000000, 0.00000000),
(13091, 2092, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, -282.22000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 88.66000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -282.22000000, 0.00000000, 0.00000000, 0.00000000),
(13092, 2092, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -402.40000000, NULL, -402.40000000, -80.48000000, 0.00000000, 0.00000000, -482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -402.40000000, -402.40000000, -80.48000000, -482.88000000),
(13093, 2092, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -5.50000000, NULL, -5.50000000, -1.10000000, 0.00000000, 0.00000000, -6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -5.50000000, -5.50000000, -1.10000000, -6.60000000),
(13094, 2092, NULL, 955074, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -129.96000000, NULL, -129.96000000, -25.99000000, 0.00000000, 0.00000000, -155.95000000, 0, NULL, NULL, 0, 68.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -129.96000000, -129.96000000, -25.99000000, -155.95000000),
(13095, 2092, NULL, 951885, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -13.90000000, NULL, -13.90000000, -2.78000000, 0.00000000, 0.00000000, -16.68000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -13.90000000, -13.90000000, -2.78000000, -16.68000000),
(13096, 2092, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -12.23000000, NULL, -12.23000000, -2.45000000, 0.00000000, 0.00000000, -14.68000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -12.23000000, -12.23000000, -2.45000000, -14.68000000),
(13097, 2093, NULL, 1305511, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 1020.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 449.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1020.00000000, 0.00000000, 0.00000000, 0.00000000),
(13098, 2093, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 299.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 0.00000000, 0.00000000, 0.00000000),
(13099, 2093, NULL, 952680, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 200.33000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 0.00000000, 0.00000000, 0.00000000),
(13100, 2093, NULL, 952681, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 200.33000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 0.00000000, 0.00000000, 0.00000000),
(13101, 2093, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 282.22000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 88.66000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 0.00000000, 0.00000000, 0.00000000),
(13102, 2093, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(13103, 2093, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13104, 2093, NULL, 955074, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 129.96000000, NULL, 129.96000000, 25.99000000, 0.00000000, 0.00000000, 155.95000000, 0, NULL, NULL, 0, 68.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 129.96000000, 129.96000000, 25.99000000, 155.95000000),
(13105, 2093, NULL, 951885, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.90000000, NULL, 13.90000000, 2.78000000, 0.00000000, 0.00000000, 16.68000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.90000000, 13.90000000, 2.78000000, 16.68000000),
(13106, 2093, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(13107, 2093, NULL, NULL, NULL, 'Pour L23RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13108, 2093, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13109, 2093, NULL, NULL, NULL, 'Pour KAESER', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13110, 2093, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13111, 2094, NULL, 1180713, NULL, 'SOUS GARANTIE', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 33428.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33428.00000000, 0.00000000, 0.00000000, 0.00000000),
(13112, 2094, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 63.84000000, NULL, 638.40000000, 127.68000000, 0.00000000, 0.00000000, 766.08000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 638.40000000, 127.68000000, 766.08000000),
(13113, 2094, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 94, 0, 0, NULL, 0.97000000, NULL, 91.18000000, 18.24000000, 0.00000000, 0.00000000, 109.42000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 91.18000000, 18.24000000, 109.42000000),
(13114, 2095, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 663.67000000, NULL, 663.67000000, 132.73000000, 0.00000000, 0.00000000, 796.40000000, 0, NULL, NULL, 0, 499.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 663.67000000, 663.67000000, 132.73000000, 796.40000000),
(13115, 2095, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.00000000, NULL, 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 43.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.00000000, 110.00000000, 22.00000000, 132.00000000),
(13116, 2095, NULL, 1217956, NULL, 'SOUPAPE 2800/D10 1/2\" 12.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.58000000, NULL, 32.58000000, 6.52000000, 0.00000000, 0.00000000, 39.10000000, 0, NULL, NULL, 0, 15.82000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.58000000, 32.58000000, 6.52000000, 39.10000000),
(13117, 2095, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.30000000, NULL, 10.30000000, 2.06000000, 0.00000000, 0.00000000, 12.36000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 10.30000000, 2.06000000, 12.36000000),
(13118, 2096, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(13119, 2098, NULL, NULL, NULL, '(DEPOSIT) (1 038,19 &euro;) - CO2006-1473', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1038.19000000, NULL, 1038.19000000, 207.64000000, 0.00000000, 0.00000000, 1245.83000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1038.19000000, 1038.19000000, 207.64000000, 1245.83000000),
(13120, 2099, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(13121, 2100, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.98000000, NULL, 49.80000000, 9.96000000, 0.00000000, 0.00000000, 59.76000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 49.80000000, 9.96000000, 59.76000000),
(13122, 2100, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.42000000, NULL, 12.84000000, 2.57000000, 0.00000000, 0.00000000, 15.41000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 12.84000000, 2.57000000, 15.41000000),
(13123, 2100, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.58000000, NULL, 14.58000000, 2.92000000, 0.00000000, 0.00000000, 17.50000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.58000000, 14.58000000, 2.92000000, 17.50000000),
(13124, 2100, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.34000000, NULL, 10.68000000, 2.14000000, 0.00000000, 0.00000000, 12.82000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 10.68000000, 2.14000000, 12.82000000),
(13125, 2100, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.62000000, NULL, 26.48000000, 5.30000000, 0.00000000, 0.00000000, 31.78000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.62000000, 26.48000000, 5.30000000, 31.78000000),
(13126, 2100, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 1.12000000, NULL, 7.84000000, 1.57000000, 0.00000000, 0.00000000, 9.41000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 7.84000000, 1.57000000, 9.41000000),
(13127, 2100, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.18000000, NULL, 8.18000000, 1.64000000, 0.00000000, 0.00000000, 9.82000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.18000000, 8.18000000, 1.64000000, 9.82000000),
(13128, 2100, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.58000000, NULL, 3.58000000, 0.72000000, 0.00000000, 0.00000000, 4.30000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.58000000, 3.58000000, 0.72000000, 4.30000000),
(13129, 2100, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.39000000, NULL, 14.78000000, 2.96000000, 0.00000000, 0.00000000, 17.74000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 14.78000000, 2.96000000, 17.74000000),
(13130, 2100, NULL, 1190756, NULL, 'flexible inox long 50cm 3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.50000000, NULL, 40.50000000, 8.10000000, 0.00000000, 0.00000000, 48.60000000, 0, NULL, NULL, 0, 20.25000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.50000000, 40.50000000, 8.10000000, 48.60000000),
(13131, 2100, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 632.47000000, NULL, 632.47000000, 126.49000000, 0.00000000, 0.00000000, 758.96000000, 0, NULL, NULL, 0, 475.54000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 632.47000000, 632.47000000, 126.49000000, 758.96000000),
(13132, 2100, NULL, NULL, NULL, 'CUIVE TUYAU DIAM 16', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 11.91000000, NULL, 142.92000000, 28.58000000, 0.00000000, 0.00000000, 171.50000000, 0, NULL, NULL, 0, 9.16666000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.91000000, 142.92000000, 28.58000000, 171.50000000),
(13133, 2100, NULL, NULL, NULL, 'r3m cuivre diam 16 1/2 ', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.65000000, NULL, 18.60000000, 3.72000000, 0.00000000, 0.00000000, 22.32000000, 0, NULL, NULL, 0, 3.57500000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.65000000, 18.60000000, 3.72000000, 22.32000000),
(13134, 2100, NULL, NULL, NULL, 'coude 90 diam 16', 20.000, '', 0.000, '0', 0.000, '0', 11, 0, 0, NULL, 8.10000000, NULL, 89.10000000, 17.82000000, 0.00000000, 0.00000000, 106.92000000, 0, NULL, NULL, 0, 6.22700000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.10000000, 89.10000000, 17.82000000, 106.92000000),
(13135, 2100, NULL, NULL, NULL, 'coude 45 diam 16', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 10.50000000, NULL, 52.50000000, 10.50000000, 0.00000000, 0.00000000, 63.00000000, 0, NULL, NULL, 0, 8.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.50000000, 52.50000000, 10.50000000, 63.00000000),
(13136, 2100, NULL, NULL, NULL, 'manchon diam 16', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 10.59000000, NULL, 21.18000000, 4.24000000, 0.00000000, 0.00000000, 25.42000000, 0, NULL, NULL, 0, 8.15000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.59000000, 21.18000000, 4.24000000, 25.42000000),
(13137, 2100, NULL, NULL, NULL, 'collier double diam 16 ', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 0.98000000, NULL, 7.84000000, 1.57000000, 0.00000000, 0.00000000, 9.41000000, 0, NULL, NULL, 0, 0.75000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.98000000, 7.84000000, 1.57000000, 9.41000000),
(13138, 2100, NULL, 1190523, NULL, 'petites fournitures', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.00000000, NULL, 65.00000000, 13.00000000, 0.00000000, 0.00000000, 78.00000000, 0, NULL, NULL, 0, 50.00000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 65.00000000, 65.00000000, 13.00000000, 78.00000000),
(13139, 2101, NULL, 966833, NULL, 'Manchon réduit F/F G1\"xG3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.15000000, NULL, 5.15000000, 1.03000000, 0.00000000, 0.00000000, 6.18000000, 0, NULL, NULL, 0, 2.58000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.15000000, 5.15000000, 1.03000000, 6.18000000),
(13140, 2101, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(13141, 2101, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.97000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 42.68000000, 8.54000000, 51.22000000),
(13142, 2101, NULL, NULL, NULL, '2864140 -raccord laiton droit M diam 25 1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.74000000, NULL, 12.74000000, 2.55000000, 0.00000000, 0.00000000, 15.29000000, 0, NULL, NULL, 0, 9.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.74000000, 12.74000000, 2.55000000, 15.29000000),
(13143, 2101, NULL, NULL, NULL, '2864157 - machon diam 25', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.04000000, NULL, 15.04000000, 3.01000000, 0.00000000, 0.00000000, 18.05000000, 0, NULL, NULL, 0, 11.57000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.04000000, 15.04000000, 3.01000000, 18.05000000),
(13144, 2102, NULL, 1221305, NULL, 'PERCEUSE 10 MM NON REVERSIBLE MAS 8951073000', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 103.00000000, NULL, 412.00000000, 82.40000000, 0.00000000, 0.00000000, 494.40000000, 0, NULL, NULL, 0, 77.28000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 103.00000000, 412.00000000, 82.40000000, 494.40000000),
(13145, 2102, NULL, 1588658, NULL, 'mandrin avec clé 13mm', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 29.18000000, NULL, 116.72000000, 23.34000000, 0.00000000, 0.00000000, 140.06000000, 0, NULL, NULL, 0, 21.62000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.18000000, 116.72000000, 23.34000000, 140.06000000),
(13146, 2103, NULL, 1179627, NULL, 'Kit de service C L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 377.50000000, NULL, 302.00000000, 60.40000000, 0.00000000, 0.00000000, 362.40000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 302.00000000, 60.40000000, 362.40000000),
(13147, 2103, NULL, 953191, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 228.41000000, NULL, 228.41000000, 45.68000000, 0.00000000, 0.00000000, 274.09000000, 0, NULL, NULL, 0, 110.88000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 228.41000000, 228.41000000, 45.68000000, 274.09000000),
(13148, 2103, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(13149, 2103, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13150, 2103, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(13151, 2104, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 62.37000000, NULL, 374.22000000, 74.84000000, 0.00000000, 0.00000000, 449.06000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 62.37000000, 374.22000000, 74.84000000, 449.06000000),
(13152, 2104, NULL, 1080072, NULL, 'Tube \"air comprimé\" diam. ext. 54', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.08000000, NULL, 28.16000000, 5.63000000, 0.00000000, 0.00000000, 33.79000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.08000000, 28.16000000, 5.63000000, 33.79000000),
(13153, 2104, NULL, 1079968, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 54.2\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 53.22000000, NULL, 106.44000000, 21.29000000, 0.00000000, 0.00000000, 127.73000000, 0, NULL, NULL, 0, 38.36000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.22000000, 106.44000000, 21.29000000, 127.73000000),
(13154, 2104, NULL, 1079790, NULL, 'Courbe à 90° diamètre extérieur 54', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 26.05000000, NULL, 104.20000000, 20.84000000, 0.00000000, 0.00000000, 125.04000000, 0, NULL, NULL, 0, 18.78000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.05000000, 104.20000000, 20.84000000, 125.04000000),
(13155, 2104, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.95000000, NULL, 150.95000000, 30.19000000, 0.00000000, 0.00000000, 181.14000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.95000000, 150.95000000, 30.19000000, 181.14000000),
(13156, 2104, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 936.01000000, NULL, 936.01000000, 187.20000000, 0.00000000, 0.00000000, 1123.21000000, 0, NULL, NULL, 0, 725.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 936.01000000, 936.01000000, 187.20000000, 1123.21000000),
(13157, 2105, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(13158, 2105, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13159, 2105, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(13160, 2105, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(13161, 2105, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(13162, 2105, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(13163, 2105, NULL, 952661, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(13164, 2106, NULL, 1222124, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 95.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(13165, 2106, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13166, 2106, NULL, 1230990, NULL, 'Kit de service C L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 407.10000000, NULL, 346.04000000, 69.20000000, 0.00000000, 0.00000000, 415.24000000, 0, NULL, NULL, 0, 250.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 407.10000000, 346.04000000, 69.20000000, 415.24000000),
(13167, 2106, NULL, 1230993, NULL, 'Kit de service DS  L30 RS-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 642.00000000, NULL, 545.70000000, 109.14000000, 0.00000000, 0.00000000, 654.84000000, 0, NULL, NULL, 0, 385.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 642.00000000, 545.70000000, 109.14000000, 654.84000000),
(13168, 2106, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(13169, 2106, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(13170, 2106, NULL, 1179727, NULL, 'LOT SERVICE E  L30-L50+L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 772.00000000, NULL, 656.20000000, 131.24000000, 0.00000000, 0.00000000, 787.44000000, 0, NULL, NULL, 0, 288.21000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 772.00000000, 656.20000000, 131.24000000, 787.44000000),
(13171, 2106, NULL, 1307019, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.01000000, NULL, 196.01000000, 39.20000000, 0.00000000, 0.00000000, 235.21000000, 0, NULL, NULL, 0, 69.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.01000000, 196.01000000, 39.20000000, 235.21000000),
(13172, 2106, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 122.76000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(13173, 2107, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1120.71000000, NULL, 1120.71000000, 224.14000000, 0.00000000, 0.00000000, 1344.85000000, 0, NULL, NULL, 0, 842.64000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1120.71000000, 1120.71000000, 224.14000000, 1344.85000000),
(13174, 2107, NULL, 1105968, NULL, 'PLATINE DE FIXATION INOX 2 TROUS 30MM', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.27000000, NULL, 48.27000000, 9.65000000, 0.00000000, 0.00000000, 57.92000000, 0, NULL, NULL, 0, 23.43000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.27000000, 48.27000000, 9.65000000, 57.92000000),
(13175, 2107, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 1.12000000, NULL, 11.20000000, 2.24000000, 0.00000000, 0.00000000, 13.44000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 11.20000000, 2.24000000, 13.44000000),
(13176, 2107, NULL, 1080058, NULL, 'Tube \"sanitaire\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 18, 0, 0, NULL, 7.74000000, NULL, 139.32000000, 27.86000000, 0.00000000, 0.00000000, 167.18000000, 0, NULL, NULL, 0, 5.45000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.74000000, 139.32000000, 27.86000000, 167.18000000),
(13177, 2107, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 5.34000000, NULL, 42.72000000, 8.54000000, 0.00000000, 0.00000000, 51.26000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 42.72000000, 8.54000000, 51.26000000),
(13178, 2107, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.62000000, NULL, 26.48000000, 5.30000000, 0.00000000, 0.00000000, 31.78000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.62000000, 26.48000000, 5.30000000, 31.78000000),
(13179, 2107, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.39000000, NULL, 14.78000000, 2.96000000, 0.00000000, 0.00000000, 17.74000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 14.78000000, 2.96000000, 17.74000000),
(13180, 2107, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.58000000, NULL, 29.16000000, 5.83000000, 0.00000000, 0.00000000, 34.99000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.58000000, 29.16000000, 5.83000000, 34.99000000),
(13181, 2107, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.18000000, NULL, 16.36000000, 3.27000000, 0.00000000, 0.00000000, 19.63000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.18000000, 16.36000000, 3.27000000, 19.63000000),
(13182, 2107, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.40000000, NULL, 2.80000000, 0.56000000, 0.00000000, 0.00000000, 3.36000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.40000000, 2.80000000, 0.56000000, 3.36000000),
(13183, 2107, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 24.97000000, NULL, 49.94000000, 9.99000000, 0.00000000, 0.00000000, 59.93000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.97000000, 49.94000000, 9.99000000, 59.93000000),
(13184, 2108, NULL, 1220948, NULL, '7.5Bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3024.06000000, NULL, 3024.06000000, 604.81000000, 0.00000000, 0.00000000, 3628.87000000, 0, NULL, NULL, 0, 3287.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3024.06000000, 3024.06000000, 604.81000000, 3628.87000000),
(13185, 2108, NULL, 1222106, NULL, 'kit de silencblocs pour reservoir', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.91000000, NULL, 30.91000000, 6.18000000, 0.00000000, 0.00000000, 37.09000000, 0, NULL, NULL, 0, 33.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.91000000, 30.91000000, 6.18000000, 37.09000000),
(13186, 2108, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 88.58000000, NULL, 88.58000000, 17.72000000, 0.00000000, 0.00000000, 106.30000000, 0, NULL, NULL, 0, 43.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.58000000, 88.58000000, 17.72000000, 106.30000000),
(13187, 2108, NULL, 967552, NULL, 'Ensemble soufflage2 m 1/4 FetT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.73000000, NULL, 19.73000000, 3.95000000, 0.00000000, 0.00000000, 23.68000000, 0, NULL, NULL, 0, 13.48000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.73000000, 19.73000000, 3.95000000, 23.68000000),
(13188, 2108, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2536.72000000, NULL, 2536.72000000, 507.34000000, 0.00000000, 0.00000000, 3044.06000000, 0, NULL, NULL, 0, 750.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2536.72000000, 2536.72000000, 507.34000000, 3044.06000000),
(13189, 2109, NULL, 955221, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 281.89000000, NULL, 281.89000000, 56.38000000, 0.00000000, 0.00000000, 338.27000000, 0, NULL, NULL, 0, 136.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 281.89000000, 281.89000000, 56.38000000, 338.27000000),
(13190, 2110, NULL, NULL, '1 START25', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13191, 2110, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 379.12000000, NULL, 379.12000000, 75.82000000, 0.00000000, 0.00000000, 454.94000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 379.12000000, 379.12000000, 75.82000000, 454.94000000),
(13192, 2110, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.40000000, NULL, 5.40000000, 1.08000000, 0.00000000, 0.00000000, 6.48000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.40000000, 5.40000000, 1.08000000, 6.48000000),
(13193, 2110, NULL, 955041, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 121.02000000, NULL, 121.02000000, 24.20000000, 0.00000000, 0.00000000, 145.22000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 121.02000000, 121.02000000, 24.20000000, 145.22000000),
(13194, 2110, NULL, 952001, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.77000000, NULL, 32.77000000, 6.55000000, 0.00000000, 0.00000000, 39.32000000, 0, NULL, NULL, 0, 16.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.77000000, 32.77000000, 6.55000000, 39.32000000),
(13195, 2110, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.01000000, NULL, 12.01000000, 2.40000000, 0.00000000, 0.00000000, 14.41000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.01000000, 12.01000000, 2.40000000, 14.41000000),
(13196, 2110, NULL, 1222606, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 18.02000000, NULL, 54.06000000, 10.81000000, 0.00000000, 0.00000000, 64.87000000, 0, NULL, NULL, 0, 8.91000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.02000000, 54.06000000, 10.81000000, 64.87000000),
(13197, 2110, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 108.75000000, NULL, 108.75000000, 21.75000000, 0.00000000, 0.00000000, 130.50000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 108.75000000, 108.75000000, 21.75000000, 130.50000000),
(13198, 2110, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13199, 2110, NULL, NULL, '2 MAUGUIERE CA1150', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13200, 2110, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 62.70000000, NULL, 62.70000000, 12.54000000, 0.00000000, 0.00000000, 75.24000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 62.70000000, 62.70000000, 12.54000000, 75.24000000),
(13201, 2110, NULL, 951965, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.68000000, NULL, 14.68000000, 2.94000000, 0.00000000, 0.00000000, 17.62000000, 0, NULL, NULL, 0, 7.26000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.68000000, 14.68000000, 2.94000000, 17.62000000),
(13202, 2110, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13203, 2110, NULL, NULL, '3 Filtre AG', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13204, 2110, NULL, 954013, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 98.15000000, NULL, 98.15000000, 19.63000000, 0.00000000, 0.00000000, 117.78000000, 0, NULL, NULL, 0, 48.51000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 98.15000000, 98.15000000, 19.63000000, 117.78000000),
(13205, 2110, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13206, 2110, NULL, NULL, '4 Separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13207, 2110, NULL, 955222, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 77.33000000, NULL, 77.33000000, 15.47000000, 0.00000000, 0.00000000, 92.80000000, 0, NULL, NULL, 0, 38.22000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.33000000, 77.33000000, 15.47000000, 92.80000000),
(13208, 2110, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13209, 2110, NULL, NULL, '5 Rollair 15', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13210, 2110, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 379.12000000, NULL, 379.12000000, 75.82000000, 0.00000000, 0.00000000, 454.94000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 379.12000000, 379.12000000, 75.82000000, 454.94000000),
(13211, 2110, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.40000000, NULL, 5.40000000, 1.08000000, 0.00000000, 0.00000000, 6.48000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.40000000, 5.40000000, 1.08000000, 6.48000000),
(13212, 2110, NULL, 955042, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 122.75000000, NULL, 122.75000000, 24.55000000, 0.00000000, 0.00000000, 147.30000000, 0, NULL, NULL, 0, 60.67000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 122.75000000, 122.75000000, 24.55000000, 147.30000000),
(13213, 2110, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.32000000, NULL, 19.32000000, 3.86000000, 0.00000000, 0.00000000, 23.18000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.32000000, 19.32000000, 3.86000000, 23.18000000),
(13214, 2110, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.23000000, NULL, 24.23000000, 4.85000000, 0.00000000, 0.00000000, 29.08000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.23000000, 24.23000000, 4.85000000, 29.08000000),
(13215, 2110, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13216, 2110, NULL, NULL, '6 filtres reseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13217, 2110, NULL, 952859, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.90000000, NULL, 90.90000000, 18.18000000, 0.00000000, 0.00000000, 109.08000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.90000000, 90.90000000, 18.18000000, 109.08000000),
(13218, 2110, NULL, 952861, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.90000000, NULL, 90.90000000, 18.18000000, 0.00000000, 0.00000000, 109.08000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.90000000, 90.90000000, 18.18000000, 109.08000000),
(13219, 2110, NULL, 952860, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.90000000, NULL, 90.90000000, 18.18000000, 0.00000000, 0.00000000, 109.08000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.90000000, 90.90000000, 18.18000000, 109.08000000),
(13220, 2110, NULL, 952862, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 92.55000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.55000000, 0.00000000, 0.00000000, 0.00000000),
(13221, 2110, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(13222, 2110, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(13223, 2110, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13224, 2111, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(13225, 2111, NULL, 1231706, NULL, 'recyclage alumine au kg', 20.000, '', 0.000, '0', 0.000, '0', 23, 0, 0, NULL, 0.88000000, NULL, 20.24000000, 4.05000000, 0.00000000, 0.00000000, 24.29000000, 0, NULL, NULL, 0, 0.68000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.88000000, 20.24000000, 4.05000000, 24.29000000),
(13226, 2111, NULL, 952487, NULL, 'alumine 4,5 à 5,5 mm poids au kg', 20.000, '', 0.000, '0', 0.000, '0', 23, 0, 0, NULL, 5.74000000, NULL, 132.02000000, 26.40000000, 0.00000000, 0.00000000, 158.42000000, 0, NULL, NULL, 0, 2.90000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.74000000, 132.02000000, 26.40000000, 158.42000000),
(13227, 2112, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 63.84000000, NULL, 510.72000000, 102.14000000, 0.00000000, 0.00000000, 612.86000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 510.72000000, 102.14000000, 612.86000000),
(13228, 2112, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 112, 0, 0, NULL, 0.97000000, NULL, 108.64000000, 21.73000000, 0.00000000, 0.00000000, 130.37000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 108.64000000, 21.73000000, 130.37000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(13229, 2112, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 16.54000000, NULL, 49.62000000, 9.92000000, 0.00000000, 0.00000000, 59.54000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.54000000, 49.62000000, 9.92000000, 59.54000000),
(13230, 2112, NULL, 966948, NULL, 'Coude conique M/F G1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.75000000, NULL, 13.50000000, 2.70000000, 0.00000000, 0.00000000, 16.20000000, 0, NULL, NULL, 0, 3.38000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.75000000, 13.50000000, 2.70000000, 16.20000000),
(13231, 2112, NULL, 966670, NULL, 'Mamelon cylindrique G1\"x1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.45000000, NULL, 3.45000000, 0.69000000, 0.00000000, 0.00000000, 4.14000000, 0, NULL, NULL, 0, 1.72500000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.45000000, 3.45000000, 0.69000000, 4.14000000),
(13232, 2112, NULL, 967061, NULL, 'About de jonction pour tuyau 25mm Mâle G1\'\' Acier', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 12.12000000, NULL, 24.24000000, 4.85000000, 0.00000000, 0.00000000, 29.09000000, 0, NULL, NULL, 0, 6.06000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.12000000, 24.24000000, 4.85000000, 29.09000000),
(13233, 2112, NULL, 972027, NULL, 'Tuyau caoutchouc OUTILAIR 25x35 mm Couronne de 40 metres PS:15 Bar', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 13.50000000, NULL, 40.50000000, 8.10000000, 0.00000000, 0.00000000, 48.60000000, 0, NULL, NULL, 0, 9.40000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.50000000, 40.50000000, 8.10000000, 48.60000000),
(13234, 2112, NULL, 1190388, NULL, 'u1000r2v 5g16', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 13.98000000, NULL, 69.90000000, 13.98000000, 0.00000000, 0.00000000, 83.88000000, 0, NULL, NULL, 0, 6.79000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.98000000, 69.90000000, 13.98000000, 83.88000000),
(13235, 2112, NULL, 970105, NULL, 'Collier point fixe DN32 M8', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 3.05000000, NULL, 9.15000000, 1.83000000, 0.00000000, 0.00000000, 10.98000000, 0, NULL, NULL, 0, 1.83000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.05000000, 9.15000000, 1.83000000, 10.98000000),
(13236, 2112, NULL, 966665, NULL, 'Mamelon cylindrique G1/2x3/4', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.35000000, NULL, 2.35000000, 0.47000000, 0.00000000, 0.00000000, 2.82000000, 0, NULL, NULL, 0, 1.17500000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.35000000, 2.35000000, 0.47000000, 2.82000000),
(13237, 2113, NULL, NULL, '1 BT TGBT Legrand T11', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13238, 2113, NULL, 1464971, NULL, 'Acti9, iC60N disjoncteur 4P 32A courbe C', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 95.00000000, NULL, 190.00000000, 38.00000000, 0.00000000, 0.00000000, 228.00000000, 0, NULL, NULL, 0, 76.25000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 95.00000000, 190.00000000, 38.00000000, 228.00000000),
(13239, 2113, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.00000000, NULL, 126.00000000, 25.20000000, 0.00000000, 0.00000000, 151.20000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 63.00000000, 126.00000000, 25.20000000, 151.20000000),
(13240, 2113, NULL, NULL, 'Sous-total BT TGBT Legrand T11', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13241, 2113, NULL, 1463545, NULL, 'Acti9 iDD40N - disjoncteur différentiel - 3P+N C 20A 6000A/10kA 300mA type AC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 220.00000000, NULL, 220.00000000, 44.00000000, 0.00000000, 0.00000000, 264.00000000, 0, NULL, NULL, 0, 176.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 220.00000000, 220.00000000, 44.00000000, 264.00000000),
(13242, 2113, NULL, NULL, '2 protection secheur OMI armoire T2', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13243, 2113, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.00000000, NULL, 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 65.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(13244, 2113, NULL, NULL, 'Sous-total protection secheur OMI armoire T2', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13245, 2113, NULL, NULL, '3 armoire T1  fusibles et modification alimentation bungalow', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13246, 2113, NULL, 1111853, NULL, 'FUSIBLE 10X38 GF 20A', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 2.20000000, NULL, 22.00000000, 4.40000000, 0.00000000, 0.00000000, 26.40000000, 0, NULL, NULL, 0, 1.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 2.20000000, 22.00000000, 4.40000000, 26.40000000),
(13247, 2113, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.00000000, NULL, 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 120.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(13248, 2113, NULL, NULL, 'Sous-total armoire T1  fusibles et modification alimentation bungalow', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13249, 2113, NULL, NULL, '4 Materiels BT Usine A.Bureaux RdC', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13250, 2113, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(13251, 2113, NULL, 1223582, NULL, 'BLOC EVAC BAES FLUO IP42 02', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 98.00000000, NULL, 196.00000000, 39.20000000, 0.00000000, 0.00000000, 235.20000000, 0, NULL, NULL, 0, 76.00000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 98.00000000, 196.00000000, 39.20000000, 235.20000000),
(13252, 2113, NULL, NULL, 'Sous-total Materiels BT Usine A.Bureaux RdC', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13253, 2113, NULL, NULL, '5 Materiels BT Usine A. zone vestiaire', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13254, 2113, NULL, 1223582, NULL, 'BLOC EVAC BAES FLUO IP42 02', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 98.00000000, NULL, 98.00000000, 19.60000000, 0.00000000, 0.00000000, 117.60000000, 0, NULL, NULL, 0, 76.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 98.00000000, 98.00000000, 19.60000000, 117.60000000),
(13255, 2113, NULL, 1108712, NULL, 'ACTI9 IID 2P 40A 30MA AC-TYPE INTERRUPTE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 130.00000000, NULL, 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 103.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 130.00000000, 130.00000000, 26.00000000, 156.00000000),
(13256, 2113, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(13257, 2113, NULL, NULL, '6 Materiels BT Usine A Hall grenailleuse auto', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 22, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13259, 2113, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(13260, 2113, NULL, 1069729, NULL, '2P+T F/B PRECAB. 3PH G. COMPO.', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.43000000, NULL, 61.43000000, 12.29000000, 0.00000000, 0.00000000, 73.72000000, 0, NULL, NULL, 0, 29.82000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 61.43000000, 61.43000000, 12.29000000, 73.72000000),
(13261, 2113, NULL, 1223582, NULL, 'BLOC EVAC BAES FLUO IP42 02', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 98.00000000, NULL, 98.00000000, 19.60000000, 0.00000000, 0.00000000, 117.60000000, 0, NULL, NULL, 0, 76.00000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 98.00000000, 98.00000000, 19.60000000, 117.60000000),
(13262, 2113, NULL, NULL, '7 hall grenailleuse auto stockage peinture coffret T5', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13263, 2113, NULL, 1463542, NULL, 'Acti9 iDD40N - disjoncteur différentiel - 3P+N C 32A 6000A/10kA 30mA type AC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 270.00000000, NULL, 270.00000000, 54.00000000, 0.00000000, 0.00000000, 324.00000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 270.00000000, 270.00000000, 54.00000000, 324.00000000),
(13264, 2113, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 95.00000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(13265, 2113, NULL, NULL, 'Sous-total hall grenailleuse auto stockage peinture coffret T5', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 31, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13273, 2113, NULL, NULL, '11 STOCKAGE Peinture EXTERIEUR', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 32, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13274, 2113, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(13275, 2113, NULL, 1069841, NULL, '2P+T GRIS SAILLIE PLEXO CPT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.12000000, NULL, 25.12000000, 5.02000000, 0.00000000, 0.00000000, 30.14000000, 0, NULL, NULL, 0, 12.19000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 25.12000000, 25.12000000, 5.02000000, 30.14000000),
(13279, 2113, NULL, NULL, '13 Coffret T15 rhod', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 36, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13280, 2113, NULL, 1463410, NULL, 'Acti9 iDT40N - disjoncteur modulaire - 1P+N C 10A 6000A/10kA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 65.00000000, NULL, 65.00000000, 13.00000000, 0.00000000, 0.00000000, 78.00000000, 0, NULL, NULL, 0, 49.00000000, NULL, 0, 0, 37, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 65.00000000, 65.00000000, 13.00000000, 78.00000000),
(13281, 2113, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 50.00000000, NULL, 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 38, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 50.00000000, 50.00000000, 10.00000000, 60.00000000),
(13282, 2113, NULL, NULL, 'Sous-total Coffret T15 rhod', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 39, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13291, 2113, NULL, NULL, '15 coffret four poudre T18', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 40, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13292, 2113, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 41, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(13295, 2113, NULL, NULL, '17 ALGECO VESTIAIRE', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 42, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13296, 2113, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 43, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(13297, 2113, NULL, NULL, '18 Materiels BT Usine B. Hall grenailleuse', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 44, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13299, 2113, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 45, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(13300, 2113, NULL, NULL, '19 T29 coffret grenailleuse', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 46, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13301, 2113, NULL, 1463542, NULL, 'Acti9 iDD40N - disjoncteur différentiel - 3P+N C 32A 6000A/10kA 30mA type AC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 225.00000000, NULL, 225.00000000, 45.00000000, 0.00000000, 0.00000000, 270.00000000, 0, NULL, NULL, 0, 177.00000000, NULL, 0, 0, 47, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 225.00000000, 225.00000000, 45.00000000, 270.00000000),
(13302, 2113, NULL, 1222643, NULL, 'Main d&#39;oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 225.00000000, NULL, 225.00000000, 45.00000000, 0.00000000, 0.00000000, 270.00000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 48, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 225.00000000, 225.00000000, 45.00000000, 270.00000000),
(13303, 2113, NULL, NULL, 'Sous-total T29 coffret grenailleuse', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 49, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13306, 2113, NULL, 1190739, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 154.50000000, NULL, 154.50000000, 30.90000000, 0.00000000, 0.00000000, 185.40000000, 0, NULL, NULL, 0, 75.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 154.50000000, 154.50000000, 30.90000000, 185.40000000),
(13307, 2113, NULL, 1190394, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 22.26000000, NULL, 44.52000000, 8.90000000, 0.00000000, 0.00000000, 53.42000000, 0, NULL, NULL, 0, 17.50000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 22.26000000, 44.52000000, 8.90000000, 53.42000000),
(13308, 2113, NULL, NULL, NULL, 'remise en etat serrure et cadenas', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.00000000, NULL, 25.00000000, 5.00000000, 0.00000000, 0.00000000, 30.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 25.00000000, 25.00000000, 5.00000000, 30.00000000),
(13309, 2113, NULL, NULL, NULL, 'remise en etat serrure et cadenas', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.00000000, NULL, 25.00000000, 5.00000000, 0.00000000, 0.00000000, 30.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 25.00000000, 25.00000000, 5.00000000, 30.00000000),
(13310, 2113, NULL, NULL, NULL, 'Correction des fiches d\'anomalies thermographique', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 50, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13311, 2113, NULL, NULL, NULL, 'Fiche N°1', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 51, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13312, 2113, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 52, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(13313, 2113, NULL, NULL, NULL, 'Fiche N°2', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 53, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13314, 2113, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.84000000, NULL, 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 54, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(13315, 2113, NULL, NULL, NULL, 'Fiche N°3 & Fiche N°4', 0.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 55, NULL, NULL, 0, NULL, NULL, 4, 4, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13316, 2113, NULL, 1230693, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 56, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(13318, 2113, NULL, 1498830, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 42.00000000, NULL, 84.00000000, 16.80000000, 0.00000000, 0.00000000, 100.80000000, 0, NULL, NULL, 0, 31.00000000, NULL, 0, 0, 57, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 42.00000000, 84.00000000, 16.80000000, 100.80000000),
(13319, 2113, NULL, 1119040, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 105.02000000, NULL, 210.04000000, 42.01000000, 0.00000000, 0.00000000, 252.05000000, 0, NULL, NULL, 0, 50.98000000, NULL, 0, 0, 59, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 105.02000000, 210.04000000, 42.01000000, 252.05000000),
(13320, 2113, NULL, 1120458, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 35.00000000, NULL, 70.00000000, 14.00000000, 0.00000000, 0.00000000, 84.00000000, 0, NULL, NULL, 0, 18.40000000, NULL, 0, 0, 58, NULL, NULL, 100, NULL, NULL, 4, 4, 0, 'EUR', 35.00000000, 70.00000000, 14.00000000, 84.00000000),
(13321, 2114, NULL, NULL, '1 START25', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13322, 2114, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -379.12000000, NULL, -379.12000000, -75.82000000, 0.00000000, 0.00000000, -454.94000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -379.12000000, -379.12000000, -75.82000000, -454.94000000),
(13323, 2114, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -5.40000000, NULL, -5.40000000, -1.08000000, 0.00000000, 0.00000000, -6.48000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -5.40000000, -5.40000000, -1.08000000, -6.48000000),
(13324, 2114, NULL, 955041, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -121.02000000, NULL, -121.02000000, -24.20000000, 0.00000000, 0.00000000, -145.22000000, 0, NULL, NULL, 0, 59.82000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -121.02000000, -121.02000000, -24.20000000, -145.22000000),
(13325, 2114, NULL, 952001, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -32.77000000, NULL, -32.77000000, -6.55000000, 0.00000000, 0.00000000, -39.32000000, 0, NULL, NULL, 0, 16.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -32.77000000, -32.77000000, -6.55000000, -39.32000000),
(13326, 2114, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -12.01000000, NULL, -12.01000000, -2.40000000, 0.00000000, 0.00000000, -14.41000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -12.01000000, -12.01000000, -2.40000000, -14.41000000),
(13327, 2114, NULL, 1222606, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, -18.02000000, NULL, -54.06000000, -10.81000000, 0.00000000, 0.00000000, -64.87000000, 0, NULL, NULL, 0, 8.91000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -18.02000000, -54.06000000, -10.81000000, -64.87000000),
(13328, 2114, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -108.75000000, NULL, -108.75000000, -21.75000000, 0.00000000, 0.00000000, -130.50000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -108.75000000, -108.75000000, -21.75000000, -130.50000000),
(13329, 2114, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13330, 2114, NULL, NULL, '2 MAUGUIERE CA1150', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13331, 2114, NULL, 1230693, NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -62.70000000, NULL, -62.70000000, -12.54000000, 0.00000000, 0.00000000, -75.24000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -62.70000000, -62.70000000, -12.54000000, -75.24000000),
(13332, 2114, NULL, 951965, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -14.68000000, NULL, -14.68000000, -2.94000000, 0.00000000, 0.00000000, -17.62000000, 0, NULL, NULL, 0, 7.26000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -14.68000000, -14.68000000, -2.94000000, -17.62000000),
(13333, 2114, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13334, 2114, NULL, NULL, '3 Filtre AG', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13335, 2114, NULL, 954013, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -98.15000000, NULL, -98.15000000, -19.63000000, 0.00000000, 0.00000000, -117.78000000, 0, NULL, NULL, 0, 48.51000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -98.15000000, -98.15000000, -19.63000000, -117.78000000),
(13336, 2114, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13337, 2114, NULL, NULL, '4 Separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13338, 2114, NULL, 955222, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -77.33000000, NULL, -77.33000000, -15.47000000, 0.00000000, 0.00000000, -92.80000000, 0, NULL, NULL, 0, 38.22000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -77.33000000, -77.33000000, -15.47000000, -92.80000000),
(13339, 2114, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13340, 2114, NULL, NULL, '5 Rollair 15', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13341, 2114, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -379.12000000, NULL, -379.12000000, -75.82000000, 0.00000000, 0.00000000, -454.94000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -379.12000000, -379.12000000, -75.82000000, -454.94000000),
(13342, 2114, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -5.40000000, NULL, -5.40000000, -1.08000000, 0.00000000, 0.00000000, -6.48000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -5.40000000, -5.40000000, -1.08000000, -6.48000000),
(13343, 2114, NULL, 955042, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -122.75000000, NULL, -122.75000000, -24.55000000, 0.00000000, 0.00000000, -147.30000000, 0, NULL, NULL, 0, 60.67000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -122.75000000, -122.75000000, -24.55000000, -147.30000000),
(13344, 2114, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -19.32000000, NULL, -19.32000000, -3.86000000, 0.00000000, 0.00000000, -23.18000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -19.32000000, -19.32000000, -3.86000000, -23.18000000),
(13345, 2114, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -24.23000000, NULL, -24.23000000, -4.85000000, 0.00000000, 0.00000000, -29.08000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -24.23000000, -24.23000000, -4.85000000, -29.08000000),
(13346, 2114, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13347, 2114, NULL, NULL, '6 filtres reseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13348, 2114, NULL, 952859, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -90.90000000, NULL, -90.90000000, -18.18000000, 0.00000000, 0.00000000, -109.08000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -90.90000000, -90.90000000, -18.18000000, -109.08000000),
(13349, 2114, NULL, 952861, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -90.90000000, NULL, -90.90000000, -18.18000000, 0.00000000, 0.00000000, -109.08000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -90.90000000, -90.90000000, -18.18000000, -109.08000000),
(13350, 2114, NULL, 952860, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -90.90000000, NULL, -90.90000000, -18.18000000, 0.00000000, 0.00000000, -109.08000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -90.90000000, -90.90000000, -18.18000000, -109.08000000),
(13351, 2114, NULL, 952862, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, -92.55000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -92.55000000, 0.00000000, 0.00000000, 0.00000000),
(13352, 2114, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -105.67000000, NULL, -105.67000000, -21.13000000, 0.00000000, 0.00000000, -126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 34, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -105.67000000, -105.67000000, -21.13000000, -126.80000000),
(13353, 2114, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -105.67000000, NULL, -105.67000000, -21.13000000, 0.00000000, 0.00000000, -126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -105.67000000, -105.67000000, -21.13000000, -126.80000000),
(13354, 2114, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13355, 2115, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -402.40000000, NULL, -402.40000000, -80.48000000, 0.00000000, 0.00000000, -482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -402.40000000, -402.40000000, -80.48000000, -482.88000000),
(13356, 2115, NULL, 1231706, NULL, 'recyclage alumine au kg', 20.000, '', 0.000, '0', 0.000, '0', 23, 0, 0, NULL, -0.88000000, NULL, -20.24000000, -4.05000000, 0.00000000, 0.00000000, -24.29000000, 0, NULL, NULL, 0, 0.68000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -0.88000000, -20.24000000, -4.05000000, -24.29000000),
(13357, 2115, NULL, 952487, NULL, 'alumine 4,5 à 5,5 mm poids au kg', 20.000, '', 0.000, '0', 0.000, '0', 23, 0, 0, NULL, -5.74000000, NULL, -132.02000000, -26.40000000, 0.00000000, 0.00000000, -158.42000000, 0, NULL, NULL, 0, 2.90000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -5.74000000, -132.02000000, -26.40000000, -158.42000000),
(13371, 2116, NULL, NULL, '3 Filtre AG', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13372, 2116, NULL, 954013, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.26000000, NULL, 418.26000000, 83.65000000, 0.00000000, 0.00000000, 501.91000000, 0, NULL, NULL, 0, 48.51000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.26000000, 418.26000000, 83.65000000, 501.91000000),
(13374, 2116, NULL, NULL, '4 Separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13375, 2116, NULL, 955222, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.98000000, NULL, 27.98000000, 5.60000000, 0.00000000, 0.00000000, 33.58000000, 0, NULL, NULL, 0, 38.22000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.98000000, 27.98000000, 5.60000000, 33.58000000),
(13377, 2116, NULL, NULL, '5 Rollair 15', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13378, 2116, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.95000000, NULL, 1.95000000, 0.39000000, 0.00000000, 0.00000000, 2.34000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.95000000, 1.95000000, 0.39000000, 2.34000000),
(13379, 2116, NULL, 955042, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 44.41000000, NULL, 44.41000000, 8.88000000, 0.00000000, 0.00000000, 53.29000000, 0, NULL, NULL, 0, 60.67000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 44.41000000, 44.41000000, 8.88000000, 53.29000000),
(13380, 2116, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.99000000, NULL, 6.99000000, 1.40000000, 0.00000000, 0.00000000, 8.39000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.99000000, 6.99000000, 1.40000000, 8.39000000),
(13381, 2116, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.77000000, NULL, 8.77000000, 1.75000000, 0.00000000, 0.00000000, 10.52000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.77000000, 8.77000000, 1.75000000, 10.52000000),
(13383, 2116, NULL, NULL, '6 filtres reseaux :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13384, 2116, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.98000000, NULL, 233.98000000, 46.80000000, 0.00000000, 0.00000000, 280.78000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.98000000, 233.98000000, 46.80000000, 280.78000000),
(13385, 2116, NULL, 952859, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.89000000, NULL, 32.89000000, 6.58000000, 0.00000000, 0.00000000, 39.47000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.89000000, 32.89000000, 6.58000000, 39.47000000),
(13386, 2116, NULL, 952861, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.89000000, NULL, 32.89000000, 6.58000000, 0.00000000, 0.00000000, 39.47000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.89000000, 32.89000000, 6.58000000, 39.47000000),
(13387, 2116, NULL, 952860, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.89000000, NULL, 32.89000000, 6.58000000, 0.00000000, 0.00000000, 39.47000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.89000000, 32.89000000, 6.58000000, 39.47000000),
(13388, 2116, NULL, 952862, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 33.49000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 44.93000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.49000000, 0.00000000, 0.00000000, 0.00000000),
(13389, 2116, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 38.23000000, NULL, 38.23000000, 7.65000000, 0.00000000, 0.00000000, 45.88000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.23000000, 38.23000000, 7.65000000, 45.88000000),
(13390, 2116, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 38.23000000, NULL, 38.23000000, 7.65000000, 0.00000000, 0.00000000, 45.88000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 33, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.23000000, 38.23000000, 7.65000000, 45.88000000),
(13392, 2116, NULL, NULL, NULL, 'secheur parker', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 35, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13393, 2116, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.98000000, NULL, 233.98000000, 46.80000000, 0.00000000, 0.00000000, 280.78000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 36, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.98000000, 233.98000000, 46.80000000, 280.78000000),
(13394, 2116, NULL, 952487, NULL, 'alumine 4,5 à 5,5 mm poids au kg', 20.000, '', 0.000, '0', 0.000, '0', 23, 0, 0, NULL, 2.08000000, NULL, 47.84000000, 9.57000000, 0.00000000, 0.00000000, 57.41000000, 0, NULL, NULL, 0, 2.90000000, NULL, 0, 0, 37, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.08000000, 47.84000000, 9.57000000, 57.41000000),
(13395, 2116, NULL, 1231706, NULL, 'recyclage alumine au kg', 20.000, '', 0.000, '0', 0.000, '0', 23, 0, 0, NULL, 0.32000000, NULL, 7.36000000, 1.47000000, 0.00000000, 0.00000000, 8.83000000, 0, NULL, NULL, 0, 0.68000000, NULL, 0, 0, 38, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.32000000, 7.36000000, 1.47000000, 8.83000000),
(13397, 2117, NULL, 1080271, NULL, 'generateur essence 230v 2 prises 5,5kw', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 950.00000000, NULL, 950.00000000, 190.00000000, 0.00000000, 0.00000000, 1140.00000000, 0, NULL, NULL, 0, 730.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 950.00000000, 950.00000000, 190.00000000, 1140.00000000),
(13398, 2117, NULL, 1588476, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(13399, 2118, NULL, NULL, NULL, '(DEPOSIT) (30%) - CO2012-1766', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6655.04000000, NULL, 6655.04000000, 1331.01000000, 0.00000000, 0.00000000, 7986.05000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6655.04000000, 6655.04000000, 1331.01000000, 7986.05000000),
(13400, 2119, NULL, NULL, NULL, '(DEPOSIT) (30%) - CO2012-1767', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4626.30000000, NULL, 4626.30000000, 925.26000000, 0.00000000, 0.00000000, 5551.56000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4626.30000000, 4626.30000000, 925.26000000, 5551.56000000),
(13401, 2120, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.95000000, NULL, 299.95000000, 59.99000000, 0.00000000, 0.00000000, 359.94000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.95000000, 299.95000000, 59.99000000, 359.94000000),
(13402, 2120, NULL, 1231706, NULL, 'recyclage alumine au kg', 20.000, '', 0.000, '0', 0.000, '0', 3.2, 0, 0, NULL, 0.88000000, NULL, 2.82000000, 0.56000000, 0.00000000, 0.00000000, 3.38000000, 0, NULL, NULL, 0, 0.68000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.88000000, 2.82000000, 0.56000000, 3.38000000),
(13403, 2120, NULL, NULL, NULL, 'kit HL0030', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 576.55000000, NULL, 576.55000000, 115.31000000, 0.00000000, 0.00000000, 691.86000000, 0, NULL, NULL, 0, 433.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 576.55000000, 576.55000000, 115.31000000, 691.86000000),
(13404, 2120, NULL, 1586850, NULL, 'cartouche 33 m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 32.50000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 17.87000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.50000000, 32.50000000, 6.50000000, 39.00000000),
(13405, 2120, NULL, 1586849, NULL, 'cartouche 70 m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 37.00000000, NULL, 37.00000000, 7.40000000, 0.00000000, 0.00000000, 44.40000000, 0, NULL, NULL, 0, 16.65000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 37.00000000, 37.00000000, 7.40000000, 44.40000000),
(13406, 2121, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 393.88000000, NULL, 393.88000000, 78.78000000, 0.00000000, 0.00000000, 472.66000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 393.88000000, 393.88000000, 78.78000000, 472.66000000),
(13407, 2121, NULL, 1179653, NULL, 'SERVICE KIT D L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 948.48000000, NULL, 948.48000000, 189.70000000, 0.00000000, 0.00000000, 1138.18000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 948.48000000, 948.48000000, 189.70000000, 1138.18000000),
(13408, 2121, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.38000000, NULL, 5.38000000, 1.08000000, 0.00000000, 0.00000000, 6.46000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.38000000, 5.38000000, 1.08000000, 6.46000000),
(13409, 2121, NULL, 1305287, NULL, 'SERVICE PACKAGE  E          L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 458.09000000, NULL, 458.09000000, 91.62000000, 0.00000000, 0.00000000, 549.71000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 458.09000000, 458.09000000, 91.62000000, 549.71000000),
(13410, 2121, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 292.67000000, NULL, 292.67000000, 58.53000000, 0.00000000, 0.00000000, 351.20000000, 0, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 292.67000000, 292.67000000, 58.53000000, 351.20000000),
(13411, 2122, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(13412, 2122, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13413, 2122, NULL, 1179629, NULL, 'Kit de service C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 155.98000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(13414, 2122, NULL, 953196, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 296.61000000, NULL, 296.61000000, 59.32000000, 0.00000000, 0.00000000, 355.93000000, 0, NULL, NULL, 0, 80.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 296.61000000, 296.61000000, 59.32000000, 355.93000000),
(13415, 2123, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(13416, 2123, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(13417, 2123, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 30.90000000, NULL, 61.80000000, 12.36000000, 0.00000000, 0.00000000, 74.16000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 61.80000000, 12.36000000, 74.16000000),
(13418, 2123, NULL, 1221761, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.81000000, NULL, 16.81000000, 3.36000000, 0.00000000, 0.00000000, 20.17000000, 0, NULL, NULL, 0, 8.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.81000000, 16.81000000, 3.36000000, 20.17000000),
(13419, 2123, NULL, 1221774, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.14000000, NULL, 19.14000000, 3.83000000, 0.00000000, 0.00000000, 22.97000000, 0, NULL, NULL, 0, 9.38000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.14000000, 19.14000000, 3.83000000, 22.97000000),
(13420, 2123, NULL, 1305873, NULL, 'Filtre séparateur air/huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.40000000, NULL, 150.40000000, 30.08000000, 0.00000000, 0.00000000, 180.48000000, 0, NULL, NULL, 0, 75.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.40000000, 150.40000000, 30.08000000, 180.48000000),
(13421, 2124, NULL, 1588656, NULL, 'purgeur magné 1/2 Ps 0 -16B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 96.00000000, NULL, 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.00000000, 96.00000000, 19.20000000, 115.20000000),
(13422, 2124, NULL, 1588657, NULL, 'adaptateur blocage d\'air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 13.50000000, NULL, 13.50000000, 2.70000000, 0.00000000, 0.00000000, 16.20000000, 0, NULL, NULL, 0, 10.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.50000000, 13.50000000, 2.70000000, 16.20000000),
(13423, 2124, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(13424, 2125, NULL, 1222594, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(13425, 2125, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 321.69000000, NULL, 321.69000000, 64.34000000, 0.00000000, 0.00000000, 386.03000000, 0, NULL, NULL, 0, 241.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 321.69000000, 321.69000000, 64.34000000, 386.03000000),
(13426, 2125, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13427, 2125, NULL, 1179622, NULL, 'Kit de service C L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.40000000, NULL, 120.40000000, 24.08000000, 0.00000000, 0.00000000, 144.48000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 120.40000000, 24.08000000, 144.48000000),
(13428, 2125, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(13429, 2126, NULL, NULL, NULL, 'L07RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13430, 2126, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(13431, 2126, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13432, 2126, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(13433, 2126, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.25000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 8.32000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 32.50000000, 6.50000000, 39.00000000),
(13434, 2126, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 32.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(13435, 2126, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(13436, 2126, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 8.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(13437, 2126, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13438, 2127, NULL, 972929, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 17.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(13439, 2127, NULL, 971713, NULL, 'Raccord rapide sécurité à bouton DN5.5 Profil IS0 6150C Femelle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 33.30000000, NULL, 166.50000000, 33.30000000, 0.00000000, 0.00000000, 199.80000000, 0, NULL, NULL, 0, 12.90000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.30000000, 166.50000000, 33.30000000, 199.80000000),
(13440, 2128, NULL, 1190357, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 361.76000000, NULL, 361.76000000, 72.35000000, 0.00000000, 0.00000000, 434.11000000, 0, NULL, NULL, 0, 272.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 361.76000000, 361.76000000, 72.35000000, 434.11000000),
(13441, 2129, NULL, 1245950, NULL, 'bulbe seul', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 53.00000000, NULL, 53.00000000, 10.60000000, 0.00000000, 0.00000000, 63.60000000, 0, NULL, NULL, 0, 29.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.00000000, 53.00000000, 10.60000000, 63.60000000),
(13442, 2129, NULL, 1190357, NULL, 'Forfait Dépannage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 260.00000000, NULL, 260.00000000, 52.00000000, 0.00000000, 0.00000000, 312.00000000, 0, NULL, NULL, 0, 200.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 260.00000000, 260.00000000, 52.00000000, 312.00000000),
(13443, 2130, NULL, 969249, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.00000000, NULL, 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 43.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.00000000, 110.00000000, 22.00000000, 132.00000000),
(13444, 2130, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1.5, 0, 0, NULL, 63.84000000, NULL, 95.76000000, 19.15000000, 0.00000000, 0.00000000, 114.91000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 95.76000000, 19.15000000, 114.91000000),
(13445, 2130, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.97000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 42.68000000, 8.54000000, 51.22000000),
(13446, 2131, NULL, 1589430, NULL, 'secheur par refrigeration 54m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 674.76000000, NULL, 674.76000000, 134.95000000, 0.00000000, 0.00000000, 809.71000000, 0, NULL, NULL, 0, 505.92000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 674.76000000, 674.76000000, 134.95000000, 809.71000000),
(13447, 2131, NULL, 966532, NULL, 'About M conique G3/8 tuy.16mm', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 0.93000000, NULL, 9.30000000, 1.86000000, 0.00000000, 0.00000000, 11.16000000, 0, NULL, NULL, 0, 0.55000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.93000000, 9.30000000, 1.86000000, 11.16000000),
(13448, 2131, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 1.18000000, NULL, 3.54000000, 0.71000000, 0.00000000, 0.00000000, 4.25000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.18000000, 3.54000000, 0.71000000, 4.25000000),
(13449, 2131, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.23000000, NULL, 6.23000000, 1.25000000, 0.00000000, 0.00000000, 7.48000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.23000000, 6.23000000, 1.25000000, 7.48000000),
(13450, 2131, NULL, 966829, NULL, 'Manchon réducteur F/F G3/8x1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.18000000, NULL, 2.36000000, 0.47000000, 0.00000000, 0.00000000, 2.83000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.18000000, 2.36000000, 0.47000000, 2.83000000),
(13451, 2131, NULL, 971951, NULL, 'Tuyau PVC tressé POLYFLEXAIR Ø16x22 Couleur bleue en couronne de 50 mètres -PS: 15 Bar', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 1.81000000, NULL, 5.43000000, 1.09000000, 0.00000000, 0.00000000, 6.52000000, 0, NULL, NULL, 0, 1.18000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.81000000, 5.43000000, 1.09000000, 6.52000000),
(13452, 2131, NULL, 969161, NULL, 'Bidon d\'huile pneumatique 1L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.51000000, NULL, 15.51000000, 3.10000000, 0.00000000, 0.00000000, 18.61000000, 0, NULL, NULL, 0, 8.93000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.51000000, 15.51000000, 3.10000000, 18.61000000),
(13453, 2131, NULL, 1245850, NULL, 'etancheité filetéé 250ml 58 - 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 37.96000000, NULL, 37.96000000, 7.59000000, 0.00000000, 0.00000000, 45.55000000, 0, NULL, NULL, 0, 36.08000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 37.96000000, 37.96000000, 7.59000000, 45.55000000),
(13454, 2131, NULL, 967469, NULL, 'About collerette G1/2 Ø16mm', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 5.52000000, NULL, 38.64000000, 7.73000000, 0.00000000, 0.00000000, 46.37000000, 0, NULL, NULL, 0, 3.27000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.52000000, 38.64000000, 7.73000000, 46.37000000),
(13455, 2131, NULL, 966966, NULL, 'Té égal FFF G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.13000000, NULL, 6.26000000, 1.25000000, 0.00000000, 0.00000000, 7.51000000, 0, NULL, NULL, 0, 1.85000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.13000000, 6.26000000, 1.25000000, 7.51000000),
(13456, 2131, NULL, 969125, NULL, 'FRL 2 modules série F3 G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.59000000, NULL, 76.59000000, 15.32000000, 0.00000000, 0.00000000, 91.91000000, 0, NULL, NULL, 0, 37.18000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.59000000, 76.59000000, 15.32000000, 91.91000000),
(13457, 2131, NULL, 968846, NULL, 'Manomètre radial G1/8', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.71000000, NULL, 8.71000000, 1.74000000, 0.00000000, 0.00000000, 10.45000000, 0, NULL, NULL, 0, 4.23000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.71000000, 8.71000000, 1.74000000, 10.45000000),
(13458, 2132, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(13459, 2132, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13460, 2132, NULL, 1179624, NULL, 'Kit de service C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(13461, 2132, NULL, 1177750, NULL, 'Elément filtre séparateur air-huile #QR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 395.70000000, NULL, 395.70000000, 79.14000000, 0.00000000, 0.00000000, 474.84000000, 0, NULL, NULL, 0, 243.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 395.70000000, 395.70000000, 79.14000000, 474.84000000),
(13462, 2132, NULL, 1179719, NULL, 'Kit de service E L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 178.40000000, NULL, 178.40000000, 35.68000000, 0.00000000, 0.00000000, 214.08000000, 0, NULL, NULL, 0, 109.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 178.40000000, 178.40000000, 35.68000000, 214.08000000),
(13463, 2132, NULL, 1222600, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.96000000, NULL, 53.88000000, 10.78000000, 0.00000000, 0.00000000, 64.66000000, 0, NULL, NULL, 0, 8.72000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.96000000, 53.88000000, 10.78000000, 64.66000000),
(13464, 2133, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4400.00000000, NULL, 4400.00000000, 880.00000000, 0.00000000, 0.00000000, 5280.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4400.00000000, 4400.00000000, 880.00000000, 5280.00000000),
(13465, 2133, NULL, 1190584, NULL, 'repas', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.00000000, NULL, 160.00000000, 32.00000000, 0.00000000, 0.00000000, 192.00000000, 0, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.00000000, 160.00000000, 32.00000000, 192.00000000),
(13466, 2133, NULL, 1190339, NULL, 'hotel', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 450.00000000, NULL, 450.00000000, 90.00000000, 0.00000000, 0.00000000, 540.00000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 450.00000000, 450.00000000, 90.00000000, 540.00000000),
(13467, 2133, NULL, 1190653, NULL, 'Supportage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 350.00000000, NULL, 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 280.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(13468, 2133, NULL, 1190776, NULL, 'nombre de kilometres', 20.000, '', 0.000, '0', 0.000, '0', 600, 0, 0, NULL, 0.95000000, NULL, 570.00000000, 114.00000000, 0.00000000, 0.00000000, 684.00000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 570.00000000, 114.00000000, 684.00000000),
(13469, 2133, NULL, 1190341, NULL, 'frais d\'autoroute', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 40.00000000, NULL, 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 38.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 40.00000000, 40.00000000, 8.00000000, 48.00000000),
(13470, 2134, NULL, 952827, NULL, 'secheur 72m3/h', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 744.82000000, NULL, 744.82000000, 148.96000000, 0.00000000, 0.00000000, 893.78000000, 0, NULL, NULL, 0, 660.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 744.82000000, 744.82000000, 148.96000000, 893.78000000),
(13471, 2134, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 36.12000000, NULL, 72.24000000, 14.45000000, 0.00000000, 0.00000000, 86.69000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 36.12000000, 72.24000000, 14.45000000, 86.69000000),
(13472, 2134, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 60, 0, 0, NULL, 0.55000000, NULL, 33.00000000, 6.60000000, 0.00000000, 0.00000000, 39.60000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.55000000, 33.00000000, 6.60000000, 39.60000000),
(13473, 2135, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(13474, 2135, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 56, 0, 0, NULL, 0.97000000, NULL, 54.32000000, 10.86000000, 0.00000000, 0.00000000, 65.18000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 54.32000000, 10.86000000, 65.18000000),
(13475, 2135, NULL, 1222505, NULL, 'cour_polyV_hutch_1200J12', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 53.04000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 25.75000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 53.04000000, 0.00000000, 0.00000000, 0.00000000),
(13476, 2136, NULL, NULL, NULL, '(DEPOSIT) (30%) - CO2010-1712', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4890.00000000, NULL, 4890.00000000, 978.00000000, 0.00000000, 0.00000000, 5868.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4890.00000000, 4890.00000000, 978.00000000, 5868.00000000),
(13477, 2137, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 10.30000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 30.90000000, 6.18000000, 37.08000000),
(13478, 2137, NULL, 1211823, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 1, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(13479, 2137, NULL, 1218019, NULL, 'SOUPAPE 2800/D14 3/4\" 10.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 56.40000000, NULL, 56.40000000, 11.28000000, 0.00000000, 0.00000000, 67.68000000, 0, NULL, NULL, 0, 27.38000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.40000000, 56.40000000, 11.28000000, 67.68000000),
(13480, 2137, NULL, 1218029, NULL, 'SOUPAPE 2800/D14 3/4\" 15.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.40000000, NULL, 61.40000000, 12.28000000, 0.00000000, 0.00000000, 73.68000000, 0, NULL, NULL, 0, 29.81000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.40000000, 61.40000000, 12.28000000, 73.68000000),
(13481, 2137, NULL, 1218119, NULL, 'SOUPAPE 2800/F25 1\"1/4 16.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 132.87000000, NULL, 132.87000000, 26.57000000, 0.00000000, 0.00000000, 159.44000000, 0, NULL, NULL, 0, 102.21000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 132.87000000, 132.87000000, 26.57000000, 159.44000000),
(13482, 2138, NULL, 952815, NULL, 'secheur 1000 m3/h racc 2\" 400V P bar 12max', 20.000, '', 0.000, '0', 0.000, '0', 1, 38, 0, NULL, 7633.00000000, NULL, 4732.46000000, 946.49000000, 0.00000000, 0.00000000, 5678.95000000, 0, NULL, NULL, 0, 3700.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7633.00000000, 4732.46000000, 946.49000000, 5678.95000000),
(13483, 2139, NULL, NULL, 'BL N° 9 du 16/12/2020', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13484, 2139, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(13485, 2139, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13486, 2139, NULL, 1222174, NULL, 'Compressor VRS 46 ( 25 L) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.07000000, NULL, 277.07000000, 55.41000000, 0.00000000, 0.00000000, 332.48000000, 0, NULL, NULL, 0, 134.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.07000000, 277.07000000, 55.41000000, 332.48000000),
(13487, 2139, NULL, 1221721, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 148.44000000, NULL, 148.44000000, 29.69000000, 0.00000000, 0.00000000, 178.13000000, 0, NULL, NULL, 0, 74.22000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 148.44000000, 148.44000000, 29.69000000, 178.13000000),
(13488, 2139, NULL, 1221771, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 4, 10, 0, NULL, 148.34000000, NULL, 534.02000000, 106.81000000, 0.00000000, 0.00000000, 640.83000000, 0, NULL, NULL, 0, 100.41000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 148.34000000, 534.02000000, 106.81000000, 640.83000000),
(13489, 2139, NULL, 1221754, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 48.34000000, NULL, 48.34000000, 9.67000000, 0.00000000, 0.00000000, 58.01000000, 0, NULL, NULL, 0, 24.17000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 48.34000000, 48.34000000, 9.67000000, 58.01000000),
(13490, 2139, NULL, 1221800, NULL, 'carouche reseau HFD135', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.04000000, NULL, 113.04000000, 22.61000000, 0.00000000, 0.00000000, 135.65000000, 0, NULL, NULL, 0, 56.52000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.04000000, 113.04000000, 22.61000000, 135.65000000),
(13491, 2139, NULL, 1221800, NULL, 'carouche reseau HFD135', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.04000000, NULL, 113.04000000, 22.61000000, 0.00000000, 0.00000000, 135.65000000, 0, NULL, NULL, 0, 56.52000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.04000000, 113.04000000, 22.61000000, 135.65000000),
(13492, 2139, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13493, 2139, NULL, NULL, NULL, 'BL N°21 du 04/12/2020', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13494, 2139, NULL, 1221771, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 148.34000000, NULL, 133.51000000, 26.70000000, 0.00000000, 0.00000000, 160.21000000, 0, NULL, NULL, 0, 100.41000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 148.34000000, 133.51000000, 26.70000000, 160.21000000),
(13495, 2139, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 0.5, 0, 0, NULL, 63.84000000, NULL, 31.92000000, 6.38000000, 0.00000000, 0.00000000, 38.30000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 31.92000000, 6.38000000, 38.30000000),
(13496, 2139, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13497, 2139, NULL, NULL, NULL, 'BL N°22 du 07/09/2020', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13498, 2139, NULL, 1221771, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 148.34000000, NULL, 133.51000000, 26.70000000, 0.00000000, 0.00000000, 160.21000000, 0, NULL, NULL, 0, 100.48000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 148.34000000, 133.51000000, 26.70000000, 160.21000000),
(13499, 2139, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 63.84000000, NULL, 159.60000000, 31.92000000, 0.00000000, 0.00000000, 191.52000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 159.60000000, 31.92000000, 191.52000000),
(13500, 2139, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 44, 0, 0, NULL, 0.97000000, NULL, 42.68000000, 8.54000000, 0.00000000, 0.00000000, 51.22000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 42.68000000, 8.54000000, 51.22000000),
(13501, 2139, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13502, 2140, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(13503, 2140, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13504, 2140, NULL, 1180341, NULL, 'Huile Vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 310.00000000, NULL, 263.50000000, 52.70000000, 0.00000000, 0.00000000, 316.20000000, 0, NULL, NULL, 0, 133.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 310.00000000, 263.50000000, 52.70000000, 316.20000000),
(13505, 2140, NULL, 1305511, NULL, 'SERVICE KIT D  L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 15, 0, NULL, 1020.00000000, NULL, 867.00000000, 173.40000000, 0.00000000, 0.00000000, 1040.40000000, 0, NULL, NULL, 0, 449.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1020.00000000, 867.00000000, 173.40000000, 1040.40000000),
(13506, 2141, NULL, 1175783, NULL, 'Pieces General', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 914.20000000, NULL, 914.20000000, 182.84000000, 0.00000000, 0.00000000, 1097.04000000, 0, NULL, NULL, 0, 653.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 914.20000000, 914.20000000, 182.84000000, 1097.04000000),
(13507, 2141, NULL, 1222564, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 50.40000000, NULL, 302.40000000, 60.48000000, 0.00000000, 0.00000000, 362.88000000, 0, NULL, NULL, 0, 35.26000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 50.40000000, 302.40000000, 60.48000000, 362.88000000),
(13508, 2141, NULL, 1305493, NULL, 'MINOR KIT C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 429.00000000, NULL, 429.00000000, 85.80000000, 0.00000000, 0.00000000, 514.80000000, 0, NULL, NULL, 0, 188.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 429.00000000, 429.00000000, 85.80000000, 514.80000000),
(13509, 2141, NULL, 1305368, NULL, 'MLS-CARTRIDGE 120 - CompAir', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 88.00000000, NULL, 176.00000000, 35.20000000, 0.00000000, 0.00000000, 211.20000000, 0, NULL, NULL, 0, 61.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 88.00000000, 176.00000000, 35.20000000, 211.20000000),
(13510, 2142, NULL, NULL, '1 reservoir 900Litres', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13511, 2142, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 958.00000000, NULL, 958.00000000, 191.60000000, 0.00000000, 0.00000000, 1149.60000000, 0, NULL, NULL, 0, 698.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 958.00000000, 958.00000000, 191.60000000, 1149.60000000),
(13512, 2142, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13513, 2142, NULL, NULL, '2 Main d\'oeuvre et raccordement', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13514, 2142, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 388.36000000, NULL, 388.36000000, 77.67000000, 0.00000000, 0.00000000, 466.03000000, 0, NULL, NULL, 0, 292.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 388.36000000, 388.36000000, 77.67000000, 466.03000000),
(13515, 2142, NULL, 1223700, NULL, 'Fourniture Plomberie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 56.25000000, NULL, 56.25000000, 11.25000000, 0.00000000, 0.00000000, 67.50000000, 0, NULL, NULL, 0, 42.29000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.25000000, 56.25000000, 11.25000000, 67.50000000),
(13516, 2142, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13517, 2143, NULL, 1220936, NULL, 'compresseur a  vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4245.00000000, NULL, 4245.00000000, 849.00000000, 0.00000000, 0.00000000, 5094.00000000, 0, NULL, NULL, 0, 3033.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4245.00000000, 4245.00000000, 849.00000000, 5094.00000000),
(13518, 2143, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 963.00000000, NULL, 963.00000000, 192.60000000, 0.00000000, 0.00000000, 1155.60000000, 0, NULL, NULL, 0, 379.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 963.00000000, 963.00000000, 192.60000000, 1155.60000000),
(13519, 2143, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 127.33000000, NULL, 127.33000000, 25.47000000, 0.00000000, 0.00000000, 152.80000000, 0, NULL, NULL, 0, 43.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 127.33000000, 127.33000000, 25.47000000, 152.80000000),
(13520, 2143, NULL, 1222068, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.76000000, NULL, 35.76000000, 7.15000000, 0.00000000, 0.00000000, 42.91000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.76000000, 35.76000000, 7.15000000, 42.91000000),
(13521, 2143, NULL, 972026, NULL, 'Tuyau caoutchouc OUTILAIR 19x29 mm en couronne de 40 Mètres PS:15 Bar', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 4.97000000, NULL, 39.76000000, 7.95000000, 0.00000000, 0.00000000, 47.71000000, 0, NULL, NULL, 0, 2.37000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.97000000, 39.76000000, 7.95000000, 47.71000000),
(13522, 2143, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.56000000, NULL, 8.56000000, 1.71000000, 0.00000000, 0.00000000, 10.27000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.56000000, 8.56000000, 1.71000000, 10.27000000),
(13523, 2143, NULL, 967470, NULL, 'About collerette G1/2 Ø19mm', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 7.44000000, NULL, 44.64000000, 8.93000000, 0.00000000, 0.00000000, 53.57000000, 0, NULL, NULL, 0, 3.73000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.44000000, 44.64000000, 8.93000000, 53.57000000),
(13524, 2143, NULL, 967454, NULL, 'Collier sécurité acier 31-33mm', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.70000000, NULL, 10.20000000, 2.04000000, 0.00000000, 0.00000000, 12.24000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.70000000, 10.20000000, 2.04000000, 12.24000000),
(13525, 2143, NULL, 952833, NULL, 'secheur par réfrigération 72 m²/h point de rosée 5°C', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 750.00000000, NULL, 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 493.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(13526, 2143, NULL, 952631, NULL, 'filtre reseau R1/2 grade 1µ', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 190.00000000, NULL, 190.00000000, 38.00000000, 0.00000000, 0.00000000, 228.00000000, 0, NULL, NULL, 0, 100.90000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 190.00000000, 190.00000000, 38.00000000, 228.00000000),
(13527, 2143, NULL, 966751, NULL, 'Réduction cylind.MF G1\"X1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 3.85000000, NULL, 7.70000000, 1.54000000, 0.00000000, 0.00000000, 9.24000000, 0, NULL, NULL, 0, 1.92500000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.85000000, 7.70000000, 1.54000000, 9.24000000),
(13528, 2143, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.39000000, NULL, 7.39000000, 1.48000000, 0.00000000, 0.00000000, 8.87000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 7.39000000, 1.48000000, 8.87000000),
(13529, 2143, NULL, 969918, NULL, 'Union 3 pièces insert taraudée métal Ø20mm G1/2\'\'', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.66000000, NULL, 34.66000000, 6.93000000, 0.00000000, 0.00000000, 41.59000000, 0, NULL, NULL, 0, 20.79600000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.66000000, 34.66000000, 6.93000000, 41.59000000),
(13530, 2143, NULL, 967470, NULL, 'About collerette G1/2 Ø19mm', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 7.45000000, NULL, 44.70000000, 8.94000000, 0.00000000, 0.00000000, 53.64000000, 0, NULL, NULL, 0, 3.73000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.45000000, 44.70000000, 8.94000000, 53.64000000),
(13531, 2143, NULL, 967452, NULL, 'Collier sécurité acier 25-27mm', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 1.50000000, NULL, 9.00000000, 1.80000000, 0.00000000, 0.00000000, 10.80000000, 0, NULL, NULL, 0, 0.75000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.50000000, 9.00000000, 1.80000000, 10.80000000),
(13532, 2143, NULL, 972026, NULL, 'Tuyau caoutchouc OUTILAIR 19x29 mm en couronne de 40 Mètres PS:15 Bar', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 4.30000000, NULL, 21.50000000, 4.30000000, 0.00000000, 0.00000000, 25.80000000, 0, NULL, NULL, 0, 2.37000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.30000000, 21.50000000, 4.30000000, 25.80000000),
(13533, 2144, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1105.41000000, NULL, 1105.41000000, 221.08000000, 0.00000000, 0.00000000, 1326.49000000, 0, NULL, NULL, 0, 850.32000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1105.41000000, 1105.41000000, 221.08000000, 1326.49000000),
(13534, 2144, NULL, NULL, NULL, 'CABLE 50 CARRE SOUPLE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 18.00000000, NULL, 36.00000000, 7.20000000, 0.00000000, 0.00000000, 43.20000000, 0, NULL, NULL, 0, 13.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.00000000, 36.00000000, 7.20000000, 43.20000000),
(13535, 2144, NULL, NULL, NULL, 'COSSE 50 CARREE', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 2.89000000, NULL, 8.67000000, 1.73000000, 0.00000000, 0.00000000, 10.40000000, 0, NULL, NULL, 0, 2.05000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.89000000, 8.67000000, 1.73000000, 10.40000000),
(13536, 2144, NULL, NULL, NULL, 'CABLE 10 CARRE SOUPLE', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 4.50000000, NULL, 22.50000000, 4.50000000, 0.00000000, 0.00000000, 27.00000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 22.50000000, 4.50000000, 27.00000000),
(13537, 2144, NULL, NULL, NULL, 'EMBOUT 10 CARRE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.50000000, NULL, 2.50000000, 0.50000000, 0.00000000, 0.00000000, 3.00000000, 0, NULL, NULL, 0, 2.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.50000000, 2.50000000, 0.50000000, 3.00000000),
(13538, 2144, NULL, NULL, NULL, 'A9F77440- DISJONCTEUR 4POLES 40AMP', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 139.95000000, NULL, 139.95000000, 27.99000000, 0.00000000, 0.00000000, 167.94000000, 0, NULL, NULL, 0, 105.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 139.95000000, 139.95000000, 27.99000000, 167.94000000),
(13539, 2144, NULL, NULL, NULL, 'A9F74425- DISJONCTEUR 4POLES 25AMP', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.89000000, NULL, 120.89000000, 24.18000000, 0.00000000, 0.00000000, 145.07000000, 0, NULL, NULL, 0, 92.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.89000000, 120.89000000, 24.18000000, 145.07000000),
(13540, 2144, NULL, NULL, NULL, 'CABLE 4G4 RO2V', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 4.30000000, NULL, 43.00000000, 8.60000000, 0.00000000, 0.00000000, 51.60000000, 0, NULL, NULL, 0, 3.20000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.30000000, 43.00000000, 8.60000000, 51.60000000),
(13541, 2144, NULL, NULL, NULL, 'CABLE 5G10RO2V', 20.000, '', 0.000, '0', 0.000, '0', 36, 0, 0, NULL, 16.80000000, NULL, 604.80000000, 120.96000000, 0.00000000, 0.00000000, 725.76000000, 0, NULL, NULL, 0, 12.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.80000000, 604.80000000, 120.96000000, 725.76000000),
(13542, 2144, NULL, NULL, NULL, 'BOITE PLEXO 100X100', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.80000000, NULL, 9.80000000, 1.96000000, 0.00000000, 0.00000000, 11.76000000, 0, NULL, NULL, 0, 6.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.80000000, 9.80000000, 1.96000000, 11.76000000),
(13543, 2145, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(13544, 2145, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13545, 2145, NULL, 1221755, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 34.38000000, NULL, 34.38000000, 6.88000000, 0.00000000, 0.00000000, 41.26000000, 0, NULL, NULL, 0, 17.19000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.38000000, 34.38000000, 6.88000000, 41.26000000),
(13546, 2145, NULL, 1221774, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.14000000, NULL, 19.14000000, 3.83000000, 0.00000000, 0.00000000, 22.97000000, 0, NULL, NULL, 0, 9.38000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.14000000, 19.14000000, 3.83000000, 22.97000000),
(13547, 2145, NULL, 1221721, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.33000000, NULL, 111.33000000, 22.27000000, 0.00000000, 0.00000000, 133.60000000, 0, NULL, NULL, 0, 74.22000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.33000000, 111.33000000, 22.27000000, 133.60000000),
(13548, 2145, NULL, 1307260, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.21000000, NULL, 114.21000000, 22.84000000, 0.00000000, 0.00000000, 137.05000000, 0, NULL, NULL, 0, 52.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.21000000, 114.21000000, 22.84000000, 137.05000000),
(13549, 2146, NULL, 955221, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 281.89000000, NULL, 563.78000000, 112.76000000, 0.00000000, 0.00000000, 676.54000000, 0, NULL, NULL, 0, 136.84000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 281.89000000, 563.78000000, 112.76000000, 676.54000000),
(13550, 2146, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(13551, 2147, NULL, 1190334, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 50, 0, 0, NULL, 0.97000000, NULL, 48.50000000, 9.70000000, 0.00000000, 0.00000000, 58.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 48.50000000, 9.70000000, 58.20000000),
(13552, 2147, NULL, 1190535, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(13553, 2147, NULL, 1305946, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 96.00000000, NULL, 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 62.40000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.00000000, 192.00000000, 38.40000000, 230.40000000),
(13554, 2148, NULL, 954104, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 51.70000000, NULL, 51.70000000, 10.34000000, 0.00000000, 0.00000000, 62.04000000, 0, NULL, NULL, 0, 39.07000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 51.70000000, 51.70000000, 10.34000000, 62.04000000),
(13555, 2148, NULL, 952447, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 34.18000000, NULL, 68.36000000, 13.67000000, 0.00000000, 0.00000000, 82.03000000, 0, NULL, NULL, 0, 26.29000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.18000000, 68.36000000, 13.67000000, 82.03000000),
(13556, 2148, NULL, 1221724, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.33000000, NULL, 81.33000000, 16.27000000, 0.00000000, 0.00000000, 97.60000000, 0, NULL, NULL, 0, 39.48000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.33000000, 81.33000000, 16.27000000, 97.60000000),
(13557, 2149, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(13558, 2149, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13559, 2149, NULL, 1179627, NULL, 'Kit de service C L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 377.50000000, NULL, 339.75000000, 67.95000000, 0.00000000, 0.00000000, 407.70000000, 0, NULL, NULL, 0, 171.25000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 339.75000000, 67.95000000, 407.70000000),
(13560, 2149, NULL, 1230993, NULL, 'Kit de service DS  L30 RS-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 642.00000000, NULL, 577.80000000, 115.56000000, 0.00000000, 0.00000000, 693.36000000, 0, NULL, NULL, 0, 385.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 642.00000000, 577.80000000, 115.56000000, 693.36000000),
(13561, 2149, NULL, 953180, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.55000000, NULL, 155.55000000, 31.11000000, 0.00000000, 0.00000000, 186.66000000, 0, NULL, NULL, 0, 75.51000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.55000000, 155.55000000, 31.11000000, 186.66000000),
(13562, 2149, NULL, 952676, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.45000000, NULL, 156.45000000, 31.29000000, 0.00000000, 0.00000000, 187.74000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.45000000, 156.45000000, 31.29000000, 187.74000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(13563, 2149, NULL, 1305290, NULL, 'SERVICE PACKAGE  E   L30-L50+L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 772.00000000, NULL, 694.80000000, 138.96000000, 0.00000000, 0.00000000, 833.76000000, 0, NULL, NULL, 0, 424.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 772.00000000, 694.80000000, 138.96000000, 833.76000000),
(13564, 2150, NULL, 1588636, NULL, 'meuleuse droite tourant a gauche-envers du standard', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1105.00000000, NULL, 1105.00000000, 221.00000000, 0.00000000, 0.00000000, 1326.00000000, 0, NULL, NULL, 0, 835.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1105.00000000, 1105.00000000, 221.00000000, 1326.00000000),
(13565, 2151, NULL, 1223816, NULL, '2400w 230v 420m3/h<br />\r\n62litres 17.5kg<br />\r\ncuve inox', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 572.00000000, NULL, 429.00000000, 85.80000000, 0.00000000, 0.00000000, 514.80000000, 0, NULL, NULL, 0, 298.87000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 572.00000000, 429.00000000, 85.80000000, 514.80000000),
(13566, 2152, NULL, NULL, NULL, '(DEPOSIT) (30%) - CO2012-1784', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10937.10000000, NULL, 10937.10000000, 2187.42000000, 0.00000000, 0.00000000, 13124.52000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10937.10000000, 10937.10000000, 2187.42000000, 13124.52000000),
(13567, 2153, NULL, NULL, NULL, '(DEPOSIT) (30%) - CO2012-1786', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6853.80000000, NULL, 6853.80000000, 1370.76000000, 0.00000000, 0.00000000, 8224.56000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6853.80000000, 6853.80000000, 1370.76000000, 8224.56000000),
(13568, 2154, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.13000000, NULL, 114.13000000, 22.83000000, 0.00000000, 0.00000000, 136.96000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 136.96000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.13000000, 114.13000000, 22.83000000, 136.96000000),
(13569, 2155, NULL, 1179727, NULL, 'Pce captive Spiros', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 494.00000000, NULL, 494.00000000, 98.80000000, 0.00000000, 0.00000000, 592.80000000, 0, NULL, NULL, 0, 346.47000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 494.00000000, 494.00000000, 98.80000000, 592.80000000),
(13570, 2156, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.13000000, NULL, 114.13000000, 22.83000000, 0.00000000, 0.00000000, 136.96000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 136.96000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.13000000, 114.13000000, 22.83000000, 136.96000000),
(13571, 2157, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(13572, 2158, NULL, NULL, NULL, '(DEPOSIT) (1 038,19 &euro;) - CO2006-1473', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1038.19000000, NULL, 1038.19000000, 207.64000000, 0.00000000, 0.00000000, 1245.83000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1038.19000000, 1038.19000000, 207.64000000, 1245.83000000),
(13573, 2159, NULL, 1179627, NULL, 'Kit de service C L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(13574, 2159, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13575, 2159, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(13576, 2159, NULL, 1213335, NULL, 'CARTOUCHE E75 1\"1/2 FILTRE S-AIR XA', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.68000000, NULL, 160.68000000, 32.14000000, 0.00000000, 0.00000000, 192.82000000, 0, NULL, NULL, 0, 78.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.68000000, 160.68000000, 32.14000000, 192.82000000),
(13577, 2159, NULL, 1213333, NULL, 'CARTOUCHE E75 1\"1/2 FILTRE S-AIR X1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 160.68000000, NULL, 160.68000000, 32.14000000, 0.00000000, 0.00000000, 192.82000000, 0, NULL, NULL, 0, 78.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 160.68000000, 160.68000000, 32.14000000, 192.82000000),
(13578, 2159, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(13579, 2160, NULL, NULL, '1 Maintenance compresseur MAV 290/8 N° CAI017848 de 2000', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13580, 2160, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(13581, 2160, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13582, 2160, NULL, 951787, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.82000000, NULL, 11.82000000, 2.36000000, 0.00000000, 0.00000000, 14.18000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.82000000, 11.82000000, 2.36000000, 14.18000000),
(13583, 2160, NULL, 954042, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.01000000, NULL, 17.01000000, 3.40000000, 0.00000000, 0.00000000, 20.41000000, 0, NULL, NULL, 0, 8.09000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.01000000, 17.01000000, 3.40000000, 20.41000000),
(13584, 2160, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 51.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(13585, 2160, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13586, 2160, NULL, NULL, '2 Maintenance compresseur MAV 400/8 N°CAI025562 de 2001', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13587, 2160, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(13588, 2160, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13589, 2160, NULL, 951772, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.39000000, NULL, 14.39000000, 2.88000000, 0.00000000, 0.00000000, 17.27000000, 0, NULL, NULL, 0, 8.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.39000000, 14.39000000, 2.88000000, 17.27000000),
(13590, 2160, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.67000000, NULL, 24.67000000, 4.93000000, 0.00000000, 0.00000000, 29.60000000, 0, NULL, NULL, 0, 11.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.67000000, 24.67000000, 4.93000000, 29.60000000),
(13591, 2160, NULL, 954970, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 210.63000000, NULL, 210.63000000, 42.13000000, 0.00000000, 0.00000000, 252.76000000, 0, NULL, NULL, 0, 108.00000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 210.63000000, 210.63000000, 42.13000000, 252.76000000),
(13592, 2160, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(13593, 2160, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13594, 2161, NULL, 973000, NULL, 'coffret raccords isoB', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 177.50000000, NULL, 177.50000000, 35.50000000, 0.00000000, 0.00000000, 213.00000000, 0, NULL, NULL, 0, 106.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 177.50000000, 177.50000000, 35.50000000, 213.00000000),
(13595, 2161, NULL, 971584, NULL, 'Raccord sécurité F G1/4 ISOB 6', 20.000, '', 0.000, '0', 0.000, '0', 10, 10, 0, NULL, 18.72000000, NULL, 168.48000000, 33.70000000, 0.00000000, 0.00000000, 202.18000000, 0, NULL, NULL, 0, 9.09000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.72000000, 168.48000000, 33.70000000, 202.18000000),
(13596, 2161, NULL, 971017, NULL, 'About standard tuyau 8-9 ISO B 6', 20.000, '', 0.000, '0', 0.000, '0', 10, 10, 0, NULL, 2.60000000, NULL, 23.40000000, 4.68000000, 0.00000000, 0.00000000, 28.08000000, 0, NULL, NULL, 0, 1.43000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.60000000, 23.40000000, 4.68000000, 28.08000000),
(13597, 2161, NULL, 971018, NULL, 'About standard tuyau 10 ISO B 6', 20.000, '', 0.000, '0', 0.000, '0', 10, 10, 0, NULL, 2.60000000, NULL, 23.40000000, 4.68000000, 0.00000000, 0.00000000, 28.08000000, 0, NULL, NULL, 0, 1.43000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.60000000, 23.40000000, 4.68000000, 28.08000000),
(13598, 2161, NULL, 971019, NULL, 'About tuyau 13mm ISO B 6', 20.000, '', 0.000, '0', 0.000, '0', 10, 10, 0, NULL, 4.30000000, NULL, 38.70000000, 7.74000000, 0.00000000, 0.00000000, 46.44000000, 0, NULL, NULL, 0, 2.36500000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.30000000, 38.70000000, 7.74000000, 46.44000000),
(13599, 2161, NULL, 971081, NULL, 'About acier DN8 ISOB Ø 8', 20.000, '', 0.000, '0', 0.000, '0', 10, 10, 0, NULL, 3.95000000, NULL, 35.55000000, 7.11000000, 0.00000000, 0.00000000, 42.66000000, 0, NULL, NULL, 0, 2.17250000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.95000000, 35.55000000, 7.11000000, 42.66000000),
(13600, 2161, NULL, 971082, NULL, 'About acier DN8 ISOB Ø 10', 20.000, '', 0.000, '0', 0.000, '0', 10, 10, 0, NULL, 3.95000000, NULL, 35.55000000, 7.11000000, 0.00000000, 0.00000000, 42.66000000, 0, NULL, NULL, 0, 2.17250000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.95000000, 35.55000000, 7.11000000, 42.66000000),
(13601, 2161, NULL, 971083, NULL, 'About acier DN8 ISOB Ø 13', 20.000, '', 0.000, '0', 0.000, '0', 10, 10, 0, NULL, 3.95000000, NULL, 35.55000000, 7.11000000, 0.00000000, 0.00000000, 42.66000000, 0, NULL, NULL, 0, 2.17250000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.95000000, 35.55000000, 7.11000000, 42.66000000),
(13602, 2161, NULL, 971662, NULL, 'Raccord sécurité F G1/2 ISOB 8', 20.000, '', 0.000, '0', 0.000, '0', 10, 10, 0, NULL, 32.63000000, NULL, 293.67000000, 58.73000000, 0.00000000, 0.00000000, 352.40000000, 0, NULL, NULL, 0, 15.84000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 32.63000000, 293.67000000, 58.73000000, 352.40000000),
(13603, 2161, NULL, 1245651, NULL, 'Raccord rapide sécurité à bouton DN8 Profil ISO6150B Femelle G1/4\"', 20.000, '', 0.000, '0', 0.000, '0', 10, 10, 0, NULL, 29.60000000, NULL, 266.40000000, 53.28000000, 0.00000000, 0.00000000, 319.68000000, 0, NULL, NULL, 0, 17.76000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 29.60000000, 266.40000000, 53.28000000, 319.68000000),
(13604, 2162, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 248.65000000, NULL, 248.65000000, 49.73000000, 0.00000000, 0.00000000, 298.38000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 248.65000000, 248.65000000, 49.73000000, 298.38000000),
(13605, 2162, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.48000000, NULL, 4.48000000, 0.90000000, 0.00000000, 0.00000000, 5.38000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.48000000, 4.48000000, 0.90000000, 5.38000000),
(13606, 2162, NULL, 955042, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 101.77000000, NULL, 101.77000000, 20.35000000, 0.00000000, 0.00000000, 122.12000000, 0, NULL, NULL, 0, 60.67000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 101.77000000, 101.77000000, 20.35000000, 122.12000000),
(13607, 2162, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.02000000, NULL, 16.02000000, 3.20000000, 0.00000000, 0.00000000, 19.22000000, 0, NULL, NULL, 0, 9.14000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.02000000, 16.02000000, 3.20000000, 19.22000000),
(13608, 2162, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.09000000, NULL, 20.09000000, 4.02000000, 0.00000000, 0.00000000, 24.11000000, 0, NULL, NULL, 0, 11.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.09000000, 20.09000000, 4.02000000, 24.11000000),
(13609, 2162, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 90.15000000, NULL, 90.15000000, 18.03000000, 0.00000000, 0.00000000, 108.18000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 90.15000000, 90.15000000, 18.03000000, 108.18000000),
(13610, 2163, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(13611, 2163, NULL, 1222536, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.64000000, NULL, 18.64000000, 3.73000000, 0.00000000, 0.00000000, 22.37000000, 0, NULL, NULL, 0, 9.05000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.64000000, 18.64000000, 3.73000000, 22.37000000),
(13612, 2163, NULL, 1230694, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 3.40000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(13613, 2163, NULL, 1223837, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.64000000, NULL, 27.64000000, 5.53000000, 0.00000000, 0.00000000, 33.17000000, 0, NULL, NULL, 0, 13.82000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.64000000, 27.64000000, 5.53000000, 33.17000000),
(13614, 2163, NULL, 1221733, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 61.66000000, NULL, 61.66000000, 12.33000000, 0.00000000, 0.00000000, 73.99000000, 0, NULL, NULL, 0, 29.93000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 61.66000000, 61.66000000, 12.33000000, 73.99000000),
(13615, 2163, NULL, 1587910, NULL, 'Lonate Spares', 20.000, '', 0.000, '0', 0.000, '0', 1, 100, 0, NULL, 75.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 42.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 75.00000000, 0.00000000, 0.00000000, 0.00000000),
(13616, 2163, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(13617, 2164, NULL, 1221761, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.81000000, NULL, 16.81000000, 3.36000000, 0.00000000, 0.00000000, 20.17000000, 0, NULL, NULL, 0, 8.16000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.81000000, 16.81000000, 3.36000000, 20.17000000),
(13618, 2164, NULL, 954037, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.26000000, NULL, 35.26000000, 7.05000000, 0.00000000, 0.00000000, 42.31000000, 0, NULL, NULL, 0, 17.12000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.26000000, 35.26000000, 7.05000000, 42.31000000),
(13619, 2164, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 66.58000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(13620, 2164, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13621, 2164, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(13622, 2164, NULL, 954294, NULL, 'huile ingersolrand COOLANT - 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 110.82000000, NULL, 221.64000000, 44.33000000, 0.00000000, 0.00000000, 265.97000000, 0, NULL, NULL, 0, 85.25000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.82000000, 221.64000000, 44.33000000, 265.97000000),
(13623, 2165, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13624, 2165, NULL, 1189329, NULL, 'filtre  711/715 (39x39x2)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.65000000, NULL, 39.65000000, 7.93000000, 0.00000000, 0.00000000, 47.58000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.65000000, 39.65000000, 7.93000000, 47.58000000),
(13625, 2165, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(13626, 2165, NULL, 1180028, NULL, 'KIT MAINTENANCE VERTICAL CONCEPT MK2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 475.00000000, NULL, 475.00000000, 95.00000000, 0.00000000, 0.00000000, 570.00000000, 0, NULL, NULL, 0, 209.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 475.00000000, 475.00000000, 95.00000000, 570.00000000),
(13627, 2165, NULL, 1180449, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 107.50000000, NULL, 86.00000000, 17.20000000, 0.00000000, 0.00000000, 103.20000000, 0, NULL, NULL, 0, 64.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 107.50000000, 86.00000000, 17.20000000, 103.20000000),
(13628, 2166, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(13629, 2166, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13630, 2166, NULL, 1223597, NULL, 'kit adaptable ck2076-1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 41.76000000, NULL, 41.76000000, 8.35000000, 0.00000000, 0.00000000, 50.11000000, 0, NULL, NULL, 0, 20.88000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 41.76000000, 41.76000000, 8.35000000, 50.11000000),
(13631, 2166, NULL, 1221736, NULL, 'FILTRE SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.80000000, NULL, 59.80000000, 11.96000000, 0.00000000, 0.00000000, 71.76000000, 0, NULL, NULL, 0, 29.03000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.80000000, 59.80000000, 11.96000000, 71.76000000),
(13632, 2166, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(13633, 2166, NULL, 1222593, NULL, 'courroies_optibelt', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(13634, 2167, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13635, 2167, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(13636, 2167, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.90000000, NULL, 30.90000000, 6.18000000, 0.00000000, 0.00000000, 37.08000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.90000000, 30.90000000, 6.18000000, 37.08000000),
(13637, 2167, NULL, 1586936, NULL, '00956550', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.00000000, NULL, 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 3.27000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(13638, 2167, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(13639, 2168, NULL, 1589442, NULL, 'Volant Ø 430 - 2A AB660 / 851 / 858 / 998 / 808', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.65000000, NULL, 299.65000000, 59.93000000, 0.00000000, 0.00000000, 359.58000000, 0, NULL, NULL, 0, 203.97000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.65000000, 299.65000000, 59.93000000, 359.58000000),
(13652, 2170, NULL, NULL, '1 Fourniture et remplacement reservoirs: 500L + 100L + 50L', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13653, 2170, NULL, 1219895, NULL, 'RESERV. AIR COMPRIME  GALVA 500L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 538.00000000, NULL, 538.00000000, 107.60000000, 0.00000000, 0.00000000, 645.60000000, 0, NULL, NULL, 0, 399.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 538.00000000, 538.00000000, 107.60000000, 645.60000000),
(13654, 2170, NULL, 1219982, NULL, 'RESERVOIR AIR HORIZ.PEINT 100L-11b Equip', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 370.87000000, NULL, 370.87000000, 74.17000000, 0.00000000, 0.00000000, 445.04000000, 0, NULL, NULL, 0, 278.85000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 370.87000000, 370.87000000, 74.17000000, 445.04000000),
(13655, 2170, NULL, 1219980, NULL, 'RESERVOIR AIR HORIZ.PEINT 50L-11b Equip', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 287.01000000, NULL, 287.01000000, 57.40000000, 0.00000000, 0.00000000, 344.41000000, 0, NULL, NULL, 0, 215.80000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 287.01000000, 287.01000000, 57.40000000, 344.41000000),
(13656, 2170, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.00000000, NULL, 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 120.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(13657, 2170, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 406.98000000, NULL, 406.98000000, 81.40000000, 0.00000000, 0.00000000, 488.38000000, 0, NULL, NULL, 0, 306.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 406.98000000, 406.98000000, 81.40000000, 488.38000000),
(13658, 2170, NULL, NULL, 'Sous-total Fourniture et remplacement reservoirs: 500L + 100L + 50L', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13659, 2170, NULL, NULL, '2 Remplacement de la cuve du compresseur à piston existant', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13660, 2170, NULL, 1220000, NULL, 'RESER.AIR HORIZ.PEINT+PLA 500L-11b Equip', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 790.55000000, NULL, 790.55000000, 158.11000000, 0.00000000, 0.00000000, 948.66000000, 0, NULL, NULL, 0, 594.40000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 790.55000000, 790.55000000, 158.11000000, 948.66000000),
(13661, 2170, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 63.84000000, NULL, 255.36000000, 51.07000000, 0.00000000, 0.00000000, 306.43000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 255.36000000, 51.07000000, 306.43000000),
(13662, 2170, NULL, 1223702, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.00000000, NULL, 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 100.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(13663, 2170, NULL, NULL, 'Sous-total Remplacement de la cuve du compresseur à piston existant', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13664, 2171, NULL, 1221761, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.81000000, NULL, 16.81000000, 3.36000000, 0.00000000, 0.00000000, 20.17000000, 0, NULL, NULL, 0, 8.16000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.81000000, 16.81000000, 3.36000000, 20.17000000),
(13665, 2171, NULL, 1589433, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 89.45000000, NULL, 89.45000000, 17.89000000, 0.00000000, 0.00000000, 107.34000000, 0, NULL, NULL, 0, 67.26000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 89.45000000, 89.45000000, 17.89000000, 107.34000000),
(13666, 2171, NULL, 955265, NULL, 'Frais de port et d\'emballage', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(13667, 2172, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 958.00000000, NULL, 958.00000000, 191.60000000, 0.00000000, 0.00000000, 1149.60000000, 0, NULL, NULL, 0, 698.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 958.00000000, 958.00000000, 191.60000000, 1149.60000000),
(13668, 2173, NULL, 1586978, NULL, 'FLTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 99.90000000, NULL, 399.60000000, 79.92000000, 0.00000000, 0.00000000, 479.52000000, 0, NULL, NULL, 0, 67.97000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.90000000, 399.60000000, 79.92000000, 479.52000000),
(13669, 2174, NULL, 1589435, NULL, 'CORELINE ARMATURE GEN4 MEDIUM BY121P G4 LED200S/840 PSU WB', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 350.00000000, NULL, 1050.00000000, 210.00000000, 0.00000000, 0.00000000, 1260.00000000, 0, NULL, NULL, 0, 270.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 350.00000000, 1050.00000000, 210.00000000, 1260.00000000),
(13670, 2175, NULL, 1190556, NULL, 'CUIVRE NU RECUIT 25 C50M', 20.000, '', 0.000, '0', 0.000, '0', 70, 0, 0, NULL, 6.18000000, NULL, 432.60000000, 86.52000000, 0.00000000, 0.00000000, 519.12000000, 0, NULL, NULL, 0, 3.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.18000000, 432.60000000, 86.52000000, 519.12000000),
(13671, 2175, NULL, 1586754, NULL, 'Borne de mise à la terre M6 x 25 mm²', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 3.40000000, NULL, 68.00000000, 13.60000000, 0.00000000, 0.00000000, 81.60000000, 0, NULL, NULL, 0, 2.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.40000000, 68.00000000, 13.60000000, 81.60000000),
(13672, 2175, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 600.00000000, NULL, 600.00000000, 120.00000000, 0.00000000, 0.00000000, 720.00000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 600.00000000, 600.00000000, 120.00000000, 720.00000000),
(13673, 2175, NULL, 1231628, NULL, 'crapaud', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 1.60000000, NULL, 64.00000000, 12.80000000, 0.00000000, 0.00000000, 76.80000000, 0, NULL, NULL, 0, 1.20000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.60000000, 64.00000000, 12.80000000, 76.80000000),
(13674, 2176, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3.29000000, NULL, 3.29000000, 0.66000000, 0.00000000, 0.00000000, 3.95000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.29000000, 3.29000000, 0.66000000, 3.95000000),
(13675, 2176, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 183.06000000, NULL, 183.06000000, 36.61000000, 0.00000000, 0.00000000, 219.67000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 183.06000000, 183.06000000, 36.61000000, 219.67000000),
(13676, 2176, NULL, 1222098, NULL, 'filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.25000000, NULL, 30.25000000, 6.05000000, 0.00000000, 0.00000000, 36.30000000, 0, NULL, NULL, 0, 24.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.25000000, 30.25000000, 6.05000000, 36.30000000),
(13677, 2176, NULL, 1297935, NULL, 'Filtre à Air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.48000000, NULL, 16.48000000, 3.30000000, 0.00000000, 0.00000000, 19.78000000, 0, NULL, NULL, 0, 19.25000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.48000000, 16.48000000, 3.30000000, 19.78000000),
(13678, 2176, NULL, 1222117, NULL, 'CARTOUCHE SEPARATRICE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 101.92000000, NULL, 101.92000000, 20.38000000, 0.00000000, 0.00000000, 122.30000000, 0, NULL, NULL, 0, 119.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 101.92000000, 101.92000000, 20.38000000, 122.30000000),
(13679, 2176, NULL, 1305886, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 15.29000000, NULL, 45.87000000, 9.17000000, 0.00000000, 0.00000000, 55.04000000, 0, NULL, NULL, 0, 17.85000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.29000000, 45.87000000, 9.17000000, 55.04000000),
(13680, 2176, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 63.36000000, NULL, 63.36000000, 12.67000000, 0.00000000, 0.00000000, 76.03000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.36000000, 63.36000000, 12.67000000, 76.03000000),
(13681, 2176, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 169.20000000, NULL, 169.20000000, 33.84000000, 0.00000000, 0.00000000, 203.04000000, 0, NULL, NULL, 0, 64.35000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 169.20000000, 169.20000000, 33.84000000, 203.04000000),
(13682, 2176, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 34.22000000, NULL, 68.44000000, 13.69000000, 0.00000000, 0.00000000, 82.13000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.22000000, 68.44000000, 13.69000000, 82.13000000),
(13683, 2176, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 89.65000000, NULL, 89.65000000, 17.93000000, 0.00000000, 0.00000000, 107.58000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 89.65000000, 89.65000000, 17.93000000, 107.58000000),
(13684, 2177, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13685, 2177, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(13686, 2177, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(13687, 2177, NULL, 1305491, NULL, 'MINOR KIT C  L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 418.00000000, NULL, 418.00000000, 83.60000000, 0.00000000, 0.00000000, 501.60000000, 0, NULL, NULL, 0, 184.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 418.00000000, 418.00000000, 83.60000000, 501.60000000),
(13688, 2177, NULL, 953186, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 191.25000000, NULL, 191.25000000, 38.25000000, 0.00000000, 0.00000000, 229.50000000, 0, NULL, NULL, 0, 55.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 191.25000000, 191.25000000, 38.25000000, 229.50000000),
(13689, 2177, NULL, 1213316, NULL, 'CARTOUCHE E100 1\"1/2 FILTRE S-AIR XAC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(13690, 2177, NULL, 1213315, NULL, 'si99299', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.82000000, NULL, 199.82000000, 39.96000000, 0.00000000, 0.00000000, 239.78000000, 0, NULL, NULL, 0, 97.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.82000000, 199.82000000, 39.96000000, 239.78000000),
(13691, 2178, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13692, 2178, NULL, 1222593, NULL, 'courroies_optibelt', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 14.29000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 6.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.29000000, 28.58000000, 5.72000000, 34.30000000),
(13693, 2178, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000),
(13694, 2178, NULL, 1179622, NULL, 'Kit de service C L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 120.40000000, NULL, 90.30000000, 18.06000000, 0.00000000, 0.00000000, 108.36000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 90.30000000, 18.06000000, 108.36000000),
(13695, 2178, NULL, 952657, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(13696, 2178, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 286.25000000, NULL, 214.69000000, 42.94000000, 0.00000000, 0.00000000, 257.63000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 214.69000000, 42.94000000, 257.63000000),
(13697, 2178, NULL, 1180343, NULL, 'Huile compresseur à vis/garantie 5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 77.00000000, NULL, 57.75000000, 11.55000000, 0.00000000, 0.00000000, 69.30000000, 0, NULL, NULL, 0, 47.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 77.00000000, 57.75000000, 11.55000000, 69.30000000),
(13698, 2179, NULL, 1231803, NULL, 'Main d\'oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 532.00000000, NULL, 532.00000000, 106.40000000, 0.00000000, 0.00000000, 638.40000000, 0, NULL, NULL, 0, 400.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 532.00000000, 532.00000000, 106.40000000, 638.40000000),
(13699, 2179, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 277.00000000, NULL, 277.00000000, 55.40000000, 0.00000000, 0.00000000, 332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 277.00000000, 277.00000000, 55.40000000, 332.40000000),
(13700, 2179, NULL, 1179627, NULL, 'Kit de service C L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(13701, 2179, NULL, 1179655, NULL, 'KIT DE SERVICE D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 613.40000000, NULL, 613.40000000, 122.68000000, 0.00000000, 0.00000000, 736.08000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 613.40000000, 613.40000000, 122.68000000, 736.08000000),
(13702, 2179, NULL, 952690, NULL, 'cartouche media filtrant pne610rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 215.47000000, NULL, 215.47000000, 43.09000000, 0.00000000, 0.00000000, 258.56000000, 0, NULL, NULL, 0, 104.60000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 215.47000000, 215.47000000, 43.09000000, 258.56000000),
(13703, 2179, NULL, 1305290, NULL, 'SERVICE PACKAGE  E   L30-L50+L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 772.00000000, NULL, 772.00000000, 154.40000000, 0.00000000, 0.00000000, 926.40000000, 0, NULL, NULL, 0, 424.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 772.00000000, 772.00000000, 154.40000000, 926.40000000),
(13704, 2180, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13705, 2180, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(13706, 2180, NULL, 952220, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 19.67000000, NULL, 19.67000000, 3.93000000, 0.00000000, 0.00000000, 23.60000000, 0, NULL, NULL, 0, 9.55000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 19.67000000, 19.67000000, 3.93000000, 23.60000000),
(13707, 2180, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(13708, 2180, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 65.31000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(13709, 2180, NULL, 952671, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 105.67000000, NULL, 211.34000000, 42.27000000, 0.00000000, 0.00000000, 253.61000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 211.34000000, 42.27000000, 253.61000000),
(13710, 2180, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(13711, 2181, NULL, NULL, '1 Maintenance SP51', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13712, 2181, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 69.53000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(13713, 2181, NULL, 951754, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 33.37000000, NULL, 33.37000000, 6.67000000, 0.00000000, 0.00000000, 40.04000000, 0, NULL, NULL, 0, 16.20000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.37000000, 33.37000000, 6.67000000, 40.04000000),
(13714, 2181, NULL, 954037, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.26000000, NULL, 35.26000000, 7.05000000, 0.00000000, 0.00000000, 42.31000000, 0, NULL, NULL, 0, 17.12000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.26000000, 35.26000000, 7.05000000, 42.31000000),
(13715, 2181, NULL, 1222548, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 28.40000000, NULL, 85.20000000, 17.04000000, 0.00000000, 0.00000000, 102.24000000, 0, NULL, NULL, 0, 14.40000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.40000000, 85.20000000, 17.04000000, 102.24000000),
(13716, 2181, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13717, 2181, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.25000000, NULL, 299.25000000, 59.85000000, 0.00000000, 0.00000000, 359.10000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.25000000, 299.25000000, 59.85000000, 359.10000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(13718, 2181, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13719, 2181, NULL, NULL, '2  Pour l\'ensemble :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13720, 2181, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(13725, 2181, NULL, NULL, '5 Maintenance SPRINT041', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13726, 2181, NULL, 955039, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 143.23000000, NULL, 143.23000000, 28.65000000, 0.00000000, 0.00000000, 171.88000000, 0, NULL, NULL, 0, 69.53000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 143.23000000, 143.23000000, 28.65000000, 171.88000000),
(13727, 2181, NULL, 954037, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.26000000, NULL, 35.26000000, 7.05000000, 0.00000000, 0.00000000, 42.31000000, 0, NULL, NULL, 0, 17.12000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.26000000, 35.26000000, 7.05000000, 42.31000000),
(13728, 2181, NULL, 951820, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.05000000, NULL, 12.05000000, 2.41000000, 0.00000000, 0.00000000, 14.46000000, 0, NULL, NULL, 0, 5.85000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.05000000, 12.05000000, 2.41000000, 14.46000000),
(13729, 2181, NULL, 1222612, NULL, 'courroies_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 21.19000000, NULL, 63.57000000, 12.71000000, 0.00000000, 0.00000000, 76.28000000, 0, NULL, NULL, 0, 10.47000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.19000000, 63.57000000, 12.71000000, 76.28000000),
(13730, 2181, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13731, 2181, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(13732, 2181, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13733, 2182, NULL, 954045, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.92000000, NULL, 20.92000000, 4.18000000, 0.00000000, 0.00000000, 25.10000000, 0, NULL, NULL, 0, 10.16000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.92000000, 20.92000000, 4.18000000, 25.10000000),
(13734, 2182, NULL, 951970, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.06000000, NULL, 9.06000000, 1.81000000, 0.00000000, 0.00000000, 10.87000000, 0, NULL, NULL, 0, 4.40000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.06000000, 9.06000000, 1.81000000, 10.87000000),
(13735, 2182, NULL, 954296, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 56.56000000, NULL, 56.56000000, 11.31000000, 0.00000000, 0.00000000, 67.87000000, 0, NULL, NULL, 0, 27.46000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.56000000, 56.56000000, 11.31000000, 67.87000000),
(13736, 2182, NULL, 1222512, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.86000000, NULL, 27.72000000, 5.54000000, 0.00000000, 0.00000000, 33.26000000, 0, NULL, NULL, 0, 7.19000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.86000000, 27.72000000, 5.54000000, 33.26000000),
(13737, 2182, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(13738, 2182, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13739, 2182, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 110.72000000, NULL, 83.04000000, 16.61000000, 0.00000000, 0.00000000, 99.65000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 83.04000000, 16.61000000, 99.65000000),
(13740, 2183, NULL, NULL, '1 Maintenance compresseur L11RS', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13741, 2183, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.58000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(13742, 2183, NULL, 1179622, NULL, 'Kit de service C L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 120.40000000, NULL, 90.30000000, 18.06000000, 0.00000000, 0.00000000, 108.36000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 90.30000000, 18.06000000, 108.36000000),
(13743, 2183, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 286.25000000, NULL, 214.69000000, 42.94000000, 0.00000000, 0.00000000, 257.63000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 214.69000000, 42.94000000, 257.63000000),
(13744, 2183, NULL, 1179717, NULL, 'Kit de service E L07 - L11 - V2', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 251.70000000, NULL, 188.78000000, 37.75000000, 0.00000000, 0.00000000, 226.53000000, 0, NULL, NULL, 0, 131.98000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 251.70000000, 188.78000000, 37.75000000, 226.53000000),
(13745, 2183, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(13746, 2183, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13747, 2183, NULL, 1189212, NULL, 'Huile compresseur &agrave; vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(13748, 2183, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13749, 2183, NULL, NULL, '2 Maintenance separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13750, 2183, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(13751, 2183, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13752, 2184, NULL, NULL, '1 Maintenance compresseur L29RS :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13753, 2184, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 533.95000000, NULL, 533.95000000, 106.79000000, 0.00000000, 0.00000000, 640.74000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 533.95000000, 533.95000000, 106.79000000, 640.74000000),
(13754, 2184, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.09000000, NULL, 6.09000000, 1.22000000, 0.00000000, 0.00000000, 7.31000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.09000000, 6.09000000, 1.22000000, 7.31000000),
(13755, 2184, NULL, 1179651, NULL, 'SERVICE KIT D L23RS-L29RS replaced', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1316.75000000, NULL, 1316.75000000, 263.35000000, 0.00000000, 0.00000000, 1580.10000000, 1, NULL, NULL, 0, 554.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1316.75000000, 1316.75000000, 263.35000000, 1580.10000000),
(13756, 2184, NULL, 1179723, NULL, 'LOT SERVICE  E  L23-L29', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 379.42000000, NULL, 379.42000000, 75.88000000, 0.00000000, 0.00000000, 455.30000000, 0, NULL, NULL, 0, 281.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 379.42000000, 379.42000000, 75.88000000, 455.30000000),
(13757, 2184, NULL, NULL, '2 Maintenance filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13758, 2184, NULL, 952676, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 126.84000000, NULL, 126.84000000, 25.37000000, 0.00000000, 0.00000000, 152.21000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 126.84000000, 126.84000000, 25.37000000, 152.21000000),
(13759, 2184, NULL, 952677, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 161.07000000, NULL, 161.07000000, 32.21000000, 0.00000000, 0.00000000, 193.28000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 161.07000000, 161.07000000, 32.21000000, 193.28000000),
(13760, 2184, NULL, NULL, '3 Maintenance separateur de condensats :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13761, 2184, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 228.80000000, NULL, 228.80000000, 45.76000000, 0.00000000, 0.00000000, 274.56000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 228.80000000, 228.80000000, 45.76000000, 274.56000000),
(13762, 2185, NULL, NULL, '1 Atelier N°1', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13763, 2185, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.59000000, NULL, 9.59000000, 1.92000000, 0.00000000, 0.00000000, 11.51000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.59000000, 9.59000000, 1.92000000, 11.51000000),
(13764, 2185, NULL, 1079930, NULL, 'Raccord mixte mâle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.54000000, NULL, 17.08000000, 3.42000000, 0.00000000, 0.00000000, 20.50000000, 0, NULL, NULL, 0, 6.01000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.54000000, 17.08000000, 3.42000000, 20.50000000),
(13765, 2185, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.38000000, NULL, 21.38000000, 4.28000000, 0.00000000, 0.00000000, 25.66000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.38000000, 21.38000000, 4.28000000, 25.66000000),
(13766, 2185, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.20000000, NULL, 24.80000000, 4.96000000, 0.00000000, 0.00000000, 29.76000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 24.80000000, 4.96000000, 29.76000000),
(13767, 2185, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.77000000, NULL, 27.08000000, 5.42000000, 0.00000000, 0.00000000, 32.50000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 27.08000000, 5.42000000, 32.50000000),
(13768, 2185, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.54000000, NULL, 33.08000000, 6.62000000, 0.00000000, 0.00000000, 39.70000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.54000000, 33.08000000, 6.62000000, 39.70000000),
(13769, 2185, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 1.14000000, NULL, 4.56000000, 0.91000000, 0.00000000, 0.00000000, 5.47000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 4.56000000, 0.91000000, 5.47000000),
(13770, 2185, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.00000000, NULL, 200.00000000, 40.00000000, 0.00000000, 0.00000000, 240.00000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.00000000, 200.00000000, 40.00000000, 240.00000000),
(13771, 2185, NULL, NULL, 'Sous-total Atelier N°1', '', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13772, 2185, NULL, NULL, '2 Atelier N°2', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13773, 2185, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.59000000, NULL, 9.59000000, 1.92000000, 0.00000000, 0.00000000, 11.51000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.59000000, 9.59000000, 1.92000000, 11.51000000),
(13774, 2185, NULL, 1079930, NULL, 'Raccord mixte mâle diam. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 8.54000000, NULL, 17.08000000, 3.42000000, 0.00000000, 0.00000000, 20.50000000, 0, NULL, NULL, 0, 6.01000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.54000000, 17.08000000, 3.42000000, 20.50000000),
(13775, 2185, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.38000000, NULL, 21.38000000, 4.28000000, 0.00000000, 0.00000000, 25.66000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.38000000, 21.38000000, 4.28000000, 25.66000000),
(13776, 2185, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 6.77000000, NULL, 27.08000000, 5.42000000, 0.00000000, 0.00000000, 32.50000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.77000000, 27.08000000, 5.42000000, 32.50000000),
(13777, 2185, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 6.20000000, NULL, 37.20000000, 7.44000000, 0.00000000, 0.00000000, 44.64000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.20000000, 37.20000000, 7.44000000, 44.64000000),
(13778, 2185, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 1.14000000, NULL, 4.56000000, 0.91000000, 0.00000000, 0.00000000, 5.47000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.14000000, 4.56000000, 0.91000000, 5.47000000),
(13779, 2185, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.54000000, NULL, 33.08000000, 6.62000000, 0.00000000, 0.00000000, 39.70000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.54000000, 33.08000000, 6.62000000, 39.70000000),
(13780, 2185, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.00000000, NULL, 200.00000000, 40.00000000, 0.00000000, 0.00000000, 240.00000000, 0, NULL, NULL, 0, 150.00000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.00000000, 200.00000000, 40.00000000, 240.00000000),
(13781, 2185, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13782, 2186, NULL, NULL, NULL, 'Contrat lissé L22', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13783, 2186, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 300.00000000, NULL, 300.00000000, 60.00000000, 0.00000000, 0.00000000, 360.00000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 300.00000000, 300.00000000, 60.00000000, 360.00000000),
(13784, 2186, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.87000000, NULL, 8.87000000, 1.77000000, 0.00000000, 0.00000000, 10.64000000, 1, NULL, NULL, 0, 8.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.87000000, 8.87000000, 1.77000000, 10.64000000),
(13785, 2186, NULL, 1305188, NULL, 'MINOR KIT C  L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 166.75000000, NULL, 166.75000000, 33.35000000, 0.00000000, 0.00000000, 200.10000000, 0, NULL, NULL, 0, 53.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 166.75000000, 166.75000000, 33.35000000, 200.10000000),
(13786, 2186, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.00000000, NULL, 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 128.89000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(13787, 2186, NULL, 1177750, NULL, 'Filtre/Separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.00000000, NULL, 200.00000000, 40.00000000, 0.00000000, 0.00000000, 240.00000000, 0, NULL, NULL, 0, 186.33000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.00000000, 200.00000000, 40.00000000, 240.00000000),
(13788, 2186, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13789, 2186, NULL, 952681, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(13790, 2186, NULL, 952680, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 200.33000000, NULL, 200.33000000, 40.07000000, 0.00000000, 0.00000000, 240.40000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 200.33000000, 40.07000000, 240.40000000),
(13791, 2186, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 122.76000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(13792, 2187, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13793, 2187, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(13794, 2187, NULL, 1179624, NULL, 'Kit de service C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 117.70000000, NULL, 88.28000000, 17.65000000, 0.00000000, 0.00000000, 105.93000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 88.28000000, 17.65000000, 105.93000000),
(13795, 2187, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(13796, 2187, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(13797, 2187, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(13798, 2187, NULL, 1177750, NULL, 'El&eacute;ment filtre s&eacute;parateur air-huile #QR', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 406.00000000, NULL, 304.50000000, 60.90000000, 0.00000000, 0.00000000, 365.40000000, 0, NULL, NULL, 0, 202.38000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 406.00000000, 304.50000000, 60.90000000, 365.40000000),
(13799, 2189, NULL, 1231803, NULL, 'Main d\'oeuvre et deplacement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -532.00000000, NULL, -532.00000000, -106.40000000, 0.00000000, 0.00000000, -638.40000000, 0, NULL, NULL, 0, 400.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -532.00000000, -532.00000000, -106.40000000, -638.40000000),
(13800, 2189, NULL, 1189210, NULL, 'H. compresseur à vis 4000h BD /20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -277.00000000, NULL, -277.00000000, -55.40000000, 0.00000000, 0.00000000, -332.40000000, 0, NULL, NULL, 0, 166.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -277.00000000, -277.00000000, -55.40000000, -332.40000000),
(13801, 2189, NULL, 1179627, NULL, 'Kit de service C L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -377.50000000, NULL, -377.50000000, -75.50000000, 0.00000000, 0.00000000, -453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -377.50000000, -377.50000000, -75.50000000, -453.00000000),
(13802, 2189, NULL, 1179655, NULL, 'KIT DE SERVICE D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -613.40000000, NULL, -613.40000000, -122.68000000, 0.00000000, 0.00000000, -736.08000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -613.40000000, -613.40000000, -122.68000000, -736.08000000),
(13803, 2189, NULL, 952690, NULL, 'cartouche media filtrant pne610rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -215.47000000, NULL, -215.47000000, -43.09000000, 0.00000000, 0.00000000, -258.56000000, 0, NULL, NULL, 0, 104.60000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -215.47000000, -215.47000000, -43.09000000, -258.56000000),
(13804, 2189, NULL, 1305290, NULL, 'SERVICE PACKAGE  E   L30-L50+L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -772.00000000, NULL, -772.00000000, -154.40000000, 0.00000000, 0.00000000, -926.40000000, 0, NULL, NULL, 0, 424.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -772.00000000, -772.00000000, -154.40000000, -926.40000000),
(13805, 2190, NULL, NULL, NULL, '(DEPOSIT) (1 038,19 &euro;) - CO2006-1473', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1038.19000000, NULL, 1038.19000000, 207.64000000, 0.00000000, 0.00000000, 1245.83000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1038.19000000, 1038.19000000, 207.64000000, 1245.83000000),
(13806, 2191, NULL, NULL, NULL, 'Contrat LDD<br />\r\nCommande N&deg; :&nbsp;4800294330', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 500.76000000, NULL, 500.76000000, 100.15000000, 0.00000000, 0.00000000, 600.91000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 500.76000000, 500.76000000, 100.15000000, 600.91000000),
(13816, 2193, NULL, NULL, NULL, 'L26RS CD10027118001', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13817, 2193, NULL, 1223606, NULL, 'forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 469.89000000, NULL, 469.89000000, 93.98000000, 0.00000000, 0.00000000, 563.87000000, 0, NULL, NULL, 0, 300.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 469.89000000, 469.89000000, 93.98000000, 563.87000000),
(13818, 2193, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13819, 2193, NULL, 1179653, NULL, 'SERVICE KIT D L23RS-L29RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 910.77000000, NULL, 910.77000000, 182.15000000, 0.00000000, 0.00000000, 1092.92000000, 0, NULL, NULL, 0, 612.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 910.77000000, 910.77000000, 182.15000000, 1092.92000000),
(13820, 2193, NULL, 952658, NULL, 'cartouche grade ra', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 167.68000000, NULL, 167.68000000, 33.54000000, 0.00000000, 0.00000000, 201.22000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 167.68000000, 167.68000000, 33.54000000, 201.22000000),
(13821, 2193, NULL, 1221463, NULL, 'CARTOUCHE FILTRE RESEAU CHARBON ACTIF', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 167.68000000, NULL, 167.68000000, 33.54000000, 0.00000000, 0.00000000, 201.22000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 167.68000000, 167.68000000, 33.54000000, 201.22000000),
(13822, 2193, NULL, 952684, NULL, 'cartouche grade rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 167.68000000, NULL, 167.68000000, 33.54000000, 0.00000000, 0.00000000, 201.22000000, 0, NULL, NULL, 0, 75.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 167.68000000, 167.68000000, 33.54000000, 201.22000000),
(13823, 2193, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 281.41000000, NULL, 281.41000000, 56.28000000, 0.00000000, 0.00000000, 337.69000000, 0, NULL, NULL, 0, 88.66000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 281.41000000, 281.41000000, 56.28000000, 337.69000000),
(13824, 2193, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13825, 2194, NULL, 1218019, NULL, 'SOUPAPE 2800/D14 3/4\" 10.0bar', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 56.40000000, NULL, 56.40000000, 11.28000000, 0.00000000, 0.00000000, 67.68000000, 0, NULL, NULL, 0, 27.38000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 56.40000000, 56.40000000, 11.28000000, 67.68000000),
(13826, 2194, NULL, 1220421, NULL, 'CERTIF. TARAGE ET CONFORMITE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.30000000, NULL, 10.30000000, 2.06000000, 0.00000000, 0.00000000, 12.36000000, 0, NULL, NULL, 0, 5.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.30000000, 10.30000000, 2.06000000, 12.36000000),
(13827, 2194, NULL, 1211823, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.00000000, NULL, 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 1, NULL, NULL, 0, 20.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.00000000, 20.00000000, 4.00000000, 24.00000000),
(13828, 2195, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(13829, 2195, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13830, 2195, NULL, 1189205, NULL, 'huile alimentaire 4000h pour vis bd 20l', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 881.33000000, NULL, 881.33000000, 176.27000000, 0.00000000, 0.00000000, 1057.60000000, 0, NULL, NULL, 0, 662.66000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 881.33000000, 881.33000000, 176.27000000, 1057.60000000),
(13831, 2195, NULL, 1305490, NULL, 'MINOR KIT C  L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 221.00000000, NULL, 221.00000000, 44.20000000, 0.00000000, 0.00000000, 265.20000000, 0, NULL, NULL, 0, 170.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 221.00000000, 221.00000000, 44.20000000, 265.20000000),
(13832, 2195, NULL, 1179654, NULL, 'Kit de Service CA', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 615.00000000, NULL, 553.50000000, 110.70000000, 0.00000000, 0.00000000, 664.20000000, 0, NULL, NULL, 0, 214.47000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 615.00000000, 553.50000000, 110.70000000, 664.20000000),
(13833, 2195, NULL, 1231719, NULL, 'FILTRE FIN 1 MIC', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.66000000, NULL, 111.66000000, 22.33000000, 0.00000000, 0.00000000, 133.99000000, 0, NULL, NULL, 0, 55.83000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.66000000, 111.66000000, 22.33000000, 133.99000000),
(13834, 2196, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 279.00000000, NULL, 279.00000000, 55.80000000, 0.00000000, 0.00000000, 334.80000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 279.00000000, 279.00000000, 55.80000000, 334.80000000),
(13835, 2196, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13836, 2196, NULL, 1222163, NULL, 'Compressor P 100 ( 5L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.42000000, NULL, 28.42000000, 5.68000000, 0.00000000, 0.00000000, 34.10000000, 0, NULL, NULL, 0, 13.80000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.42000000, 28.42000000, 5.68000000, 34.10000000),
(13837, 2196, NULL, 1305938, NULL, 'cartouche filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.75000000, NULL, 39.75000000, 7.95000000, 0.00000000, 0.00000000, 47.70000000, 0, NULL, NULL, 0, 23.85000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.75000000, 39.75000000, 7.95000000, 47.70000000),
(13838, 2196, NULL, 1223588, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 38.08000000, NULL, 76.16000000, 15.23000000, 0.00000000, 0.00000000, 91.39000000, 0, NULL, NULL, 0, 19.04000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.08000000, 76.16000000, 15.23000000, 91.39000000),
(13839, 2197, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 425.60000000, NULL, 425.60000000, 85.12000000, 0.00000000, 0.00000000, 510.72000000, 0, NULL, NULL, 0, 320.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 425.60000000, 425.60000000, 85.12000000, 510.72000000),
(13840, 2197, NULL, 1179627, NULL, 'Kit de service C L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 358.60000000, NULL, 358.60000000, 71.72000000, 0.00000000, 0.00000000, 430.32000000, 0, NULL, NULL, 0, 171.25000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 358.60000000, 358.60000000, 71.72000000, 430.32000000),
(13841, 2197, NULL, 1230993, NULL, 'Kit de service DS  L30 RS-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 565.60000000, NULL, 565.60000000, 113.12000000, 0.00000000, 0.00000000, 678.72000000, 0, NULL, NULL, 0, 385.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 565.60000000, 565.60000000, 113.12000000, 678.72000000),
(13842, 2197, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 247.77000000, NULL, 247.77000000, 49.55000000, 0.00000000, 0.00000000, 297.32000000, 0, NULL, NULL, 0, 120.28000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 247.77000000, 247.77000000, 49.55000000, 297.32000000),
(13843, 2197, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13844, 2197, NULL, 1305290, NULL, 'SERVICE PACKAGE  E   L30-L50+L30-L45e', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 772.00000000, NULL, 772.00000000, 154.40000000, 0.00000000, 0.00000000, 926.40000000, 0, NULL, NULL, 0, 424.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 772.00000000, 772.00000000, 154.40000000, 926.40000000),
(13845, 2197, NULL, 1180341, NULL, 'Huile Vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 310.00000000, NULL, 310.00000000, 62.00000000, 0.00000000, 0.00000000, 372.00000000, 0, NULL, NULL, 0, 133.00000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 310.00000000, 310.00000000, 62.00000000, 372.00000000),
(13846, 2197, NULL, 1231578, NULL, 'cartouche E80 1\"1/2 xa', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.00000000, NULL, 91.00000000, 18.20000000, 0.00000000, 0.00000000, 109.20000000, 0, NULL, NULL, 0, 59.15000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.00000000, 91.00000000, 18.20000000, 109.20000000),
(13847, 2197, NULL, 1231579, NULL, 'cartouche e80 1\"1/2 x1', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 91.00000000, NULL, 91.00000000, 18.20000000, 0.00000000, 0.00000000, 109.20000000, 0, NULL, NULL, 0, 59.15000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 91.00000000, 91.00000000, 18.20000000, 109.20000000),
(13848, 2198, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 302.55000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(13849, 2198, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13850, 2198, NULL, 1179624, NULL, 'Kit de service C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 120.00000000, NULL, 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 72.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.00000000, 120.00000000, 24.00000000, 144.00000000),
(13851, 2198, NULL, 1222598, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.47000000, NULL, 52.41000000, 10.48000000, 0.00000000, 0.00000000, 62.89000000, 0, NULL, NULL, 0, 8.62000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.47000000, 52.41000000, 10.48000000, 62.89000000),
(13852, 2198, NULL, 1177750, NULL, 'Filtre/Separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 438.00000000, NULL, 438.00000000, 87.60000000, 0.00000000, 0.00000000, 525.60000000, 0, NULL, NULL, 0, 183.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 438.00000000, 438.00000000, 87.60000000, 525.60000000),
(13853, 2199, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 749.47000000, NULL, 749.47000000, 149.89000000, 0.00000000, 0.00000000, 899.36000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 749.47000000, 749.47000000, 149.89000000, 899.36000000),
(13854, 2199, NULL, 1179622, NULL, 'Kit de service C L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 301.54000000, NULL, 301.54000000, 60.31000000, 0.00000000, 0.00000000, 361.85000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 301.54000000, 301.54000000, 60.31000000, 361.85000000),
(13855, 2199, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 11.28000000, NULL, 11.28000000, 2.26000000, 0.00000000, 0.00000000, 13.54000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.28000000, 11.28000000, 2.26000000, 13.54000000),
(13856, 2199, NULL, 952668, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 93.60000000, NULL, 93.60000000, 18.72000000, 0.00000000, 0.00000000, 112.32000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 93.60000000, 93.60000000, 18.72000000, 112.32000000),
(13857, 2200, NULL, NULL, '1 Maintenance L07RS  EN FULL SERVICE', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13858, 2200, NULL, 1222570, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 16.25000000, NULL, 32.50000000, 6.50000000, 0.00000000, 0.00000000, 39.00000000, 0, NULL, NULL, 0, 7.89000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.25000000, 32.50000000, 6.50000000, 39.00000000),
(13859, 2200, NULL, 1179622, NULL, 'Kit de service C L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.40000000, NULL, 114.40000000, 22.88000000, 0.00000000, 0.00000000, 137.28000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 114.40000000, 22.88000000, 137.28000000),
(13860, 2200, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(13861, 2200, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 284.89000000, NULL, 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(13862, 2200, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 248.66000000, NULL, 248.66000000, 49.73000000, 0.00000000, 0.00000000, 298.39000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 248.66000000, 248.66000000, 49.73000000, 298.39000000),
(13863, 2200, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13864, 2200, NULL, NULL, '2 Maintenance Rollair', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13865, 2200, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 64.97000000, NULL, 64.97000000, 12.99000000, 0.00000000, 0.00000000, 77.96000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 64.97000000, 64.97000000, 12.99000000, 77.96000000),
(13866, 2200, NULL, 954116, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.62000000, NULL, 23.62000000, 4.72000000, 0.00000000, 0.00000000, 28.34000000, 0, NULL, NULL, 0, 11.47000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.62000000, 23.62000000, 4.72000000, 28.34000000),
(13867, 2200, NULL, 952382, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 38.89000000, NULL, 38.89000000, 7.78000000, 0.00000000, 0.00000000, 46.67000000, 0, NULL, NULL, 0, 18.88000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 38.89000000, 38.89000000, 7.78000000, 46.67000000),
(13868, 2200, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(13869, 2200, NULL, 1222171, NULL, 'Compressor VR 46 (25L ) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(13870, 2200, NULL, 1222599, NULL, 'courroie_texrope', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 17.42000000, NULL, 34.84000000, 6.97000000, 0.00000000, 0.00000000, 41.81000000, 0, NULL, NULL, 0, 8.58000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.42000000, 34.84000000, 6.97000000, 41.81000000),
(13871, 2200, NULL, 955070, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 109.85000000, NULL, 109.85000000, 21.97000000, 0.00000000, 0.00000000, 131.82000000, 0, NULL, NULL, 0, 53.33000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 109.85000000, 109.85000000, 21.97000000, 131.82000000),
(13872, 2200, NULL, NULL, NULL, 'Sous total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13873, 2200, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 71.92000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(13874, 2200, NULL, 952656, NULL, 'cartouche', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(13875, 2200, NULL, 952657, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.19000000, NULL, 113.19000000, 22.64000000, 0.00000000, 0.00000000, 135.83000000, 0, NULL, NULL, 0, 54.95000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.19000000, 113.19000000, 22.64000000, 135.83000000),
(13876, 2201, NULL, NULL, NULL, 'filtres reseaux :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13877, 2201, NULL, 954013, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 93.72000000, NULL, 93.72000000, 18.74000000, 0.00000000, 0.00000000, 112.46000000, 0, NULL, NULL, 0, 48.51000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 93.72000000, 93.72000000, 18.74000000, 112.46000000),
(13878, 2201, NULL, 954014, NULL, 'CARTOUCHE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 95.74000000, NULL, 95.74000000, 19.15000000, 0.00000000, 0.00000000, 114.89000000, 0, NULL, NULL, 0, 51.04000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 95.74000000, 95.74000000, 19.15000000, 114.89000000),
(13879, 2201, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13880, 2201, NULL, NULL, NULL, 'Separateur de condensats :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13881, 2201, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.27000000, NULL, 73.27000000, 14.65000000, 0.00000000, 0.00000000, 87.92000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.27000000, 73.27000000, 14.65000000, 87.92000000),
(13882, 2201, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13883, 2201, NULL, NULL, 'maintenance 4000Heures', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13884, 2201, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 379.05000000, NULL, 379.05000000, 75.81000000, 0.00000000, 0.00000000, 454.86000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 379.05000000, 379.05000000, 75.81000000, 454.86000000),
(13885, 2201, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13886, 2201, NULL, 1179624, NULL, 'Kit de service C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 110.39000000, NULL, 88.31000000, 17.66000000, 0.00000000, 0.00000000, 105.97000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.39000000, 88.31000000, 17.66000000, 105.97000000),
(13887, 2201, NULL, 1177750, NULL, 'Elément filtre séparateur air-huile #QR', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 371.12000000, NULL, 296.90000000, 59.38000000, 0.00000000, 0.00000000, 356.28000000, 0, NULL, NULL, 0, 243.00000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 371.12000000, 296.90000000, 59.38000000, 356.28000000),
(13888, 2201, NULL, 1180341, NULL, 'Huile Vis', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 310.00000000, NULL, 232.50000000, 46.50000000, 0.00000000, 0.00000000, 279.00000000, 0, NULL, NULL, 0, 133.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 310.00000000, 232.50000000, 46.50000000, 279.00000000),
(13889, 2201, NULL, 1222605, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 17.79000000, NULL, 53.37000000, 10.67000000, 0.00000000, 0.00000000, 64.04000000, 0, NULL, NULL, 0, 9.39000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.79000000, 53.37000000, 10.67000000, 64.04000000),
(13890, 2201, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13892, 2203, NULL, NULL, NULL, '(DEPOSIT) (30%) - CO2010-1712', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4890.00000000, NULL, 4890.00000000, 978.00000000, 0.00000000, 0.00000000, 5868.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4890.00000000, 4890.00000000, 978.00000000, 5868.00000000),
(13893, 2204, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 299.00000000, NULL, 299.00000000, 59.80000000, 0.00000000, 0.00000000, 358.80000000, 0, NULL, NULL, 0, 128.89000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 299.00000000, 59.80000000, 358.80000000),
(13894, 2205, NULL, 1305946, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 96.00000000, NULL, 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 62.40000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 96.00000000, 192.00000000, 38.40000000, 230.40000000),
(13895, 2206, NULL, NULL, '1 Intervention 09/12', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13896, 2206, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 4.5, 0, 0, NULL, 63.84000000, NULL, 287.28000000, 57.46000000, 0.00000000, 0.00000000, 344.74000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 287.28000000, 57.46000000, 344.74000000),
(13897, 2206, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 0.97000000, NULL, 38.80000000, 7.76000000, 0.00000000, 0.00000000, 46.56000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 38.80000000, 7.76000000, 46.56000000),
(13898, 2206, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13899, 2206, NULL, NULL, '2 remplacement électrovanne et régulateur :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13900, 2206, NULL, 1190535, NULL, 'main d\'oeuvre & tp de deplacement', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 63.84000000, NULL, 191.52000000, 38.30000000, 0.00000000, 0.00000000, 229.82000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 191.52000000, 38.30000000, 229.82000000),
(13901, 2206, NULL, 1190334, NULL, 'frais km', 20.000, '', 0.000, '0', 0.000, '0', 40, 0, 0, NULL, 0.97000000, NULL, 38.80000000, 7.76000000, 0.00000000, 0.00000000, 46.56000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.97000000, 38.80000000, 7.76000000, 46.56000000),
(13902, 2206, NULL, 1588377, NULL, 'Pieces General', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 155.00000000, NULL, 155.00000000, 31.00000000, 0.00000000, 0.00000000, 186.00000000, 0, NULL, NULL, 0, 105.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 155.00000000, 155.00000000, 31.00000000, 186.00000000),
(13903, 2206, NULL, 1175793, NULL, 'Pieces General', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 196.00000000, NULL, 196.00000000, 39.20000000, 0.00000000, 0.00000000, 235.20000000, 0, NULL, NULL, 0, 111.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 196.00000000, 196.00000000, 39.20000000, 235.20000000),
(13904, 2206, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13905, 2207, NULL, 952921, NULL, 'ce0036a', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 70.01000000, NULL, 70.01000000, 14.00000000, 0.00000000, 0.00000000, 84.01000000, 0, NULL, NULL, 0, 33.99000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 70.01000000, 70.01000000, 14.00000000, 84.01000000),
(13906, 2207, NULL, 952937, NULL, 'ce0036c', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.07000000, NULL, 102.07000000, 20.41000000, 0.00000000, 0.00000000, 122.48000000, 0, NULL, NULL, 0, 49.55000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.07000000, 102.07000000, 20.41000000, 122.48000000),
(13907, 2207, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 348.00000000, NULL, 348.00000000, 69.60000000, 0.00000000, 0.00000000, 417.60000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 348.00000000, 348.00000000, 69.60000000, 417.60000000),
(13908, 2207, NULL, 1221736, NULL, 'FILTRE SEPARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.80000000, NULL, 59.80000000, 11.96000000, 0.00000000, 0.00000000, 71.76000000, 0, NULL, NULL, 0, 29.03000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.80000000, 59.80000000, 11.96000000, 71.76000000),
(13909, 2207, NULL, 1231609, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.46000000, NULL, 23.46000000, 4.69000000, 0.00000000, 0.00000000, 28.15000000, 0, NULL, NULL, 0, 11.73000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.46000000, 23.46000000, 4.69000000, 28.15000000),
(13910, 2207, NULL, 1231610, NULL, 'filtre a huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 25.78000000, NULL, 25.78000000, 5.16000000, 0.00000000, 0.00000000, 30.94000000, 0, NULL, NULL, 0, 12.89000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 25.78000000, 25.78000000, 5.16000000, 30.94000000),
(13911, 2207, NULL, 1176833, NULL, 'COURROIE', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 87.00000000, NULL, 174.00000000, 34.80000000, 0.00000000, 0.00000000, 208.80000000, 0, NULL, NULL, 0, 52.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 87.00000000, 174.00000000, 34.80000000, 208.80000000),
(13912, 2207, NULL, 951703, NULL, 'purgeur auto trou lisse 3/8', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 34.27000000, NULL, 68.54000000, 13.71000000, 0.00000000, 0.00000000, 82.25000000, 0, NULL, NULL, 0, 16.64000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 34.27000000, 68.54000000, 13.71000000, 82.25000000),
(13913, 2208, NULL, NULL, '2 Maintenance compresseur :', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13914, 2208, NULL, 954053, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.56000000, NULL, 35.56000000, 7.11000000, 0.00000000, 0.00000000, 42.67000000, 0, NULL, NULL, 0, 19.54000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.56000000, 35.56000000, 7.11000000, 42.67000000),
(13915, 2208, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13916, 2208, NULL, 1221734, NULL, 'filtre separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 68.43000000, NULL, 68.43000000, 13.69000000, 0.00000000, 0.00000000, 82.12000000, 0, NULL, NULL, 0, 33.22000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 68.43000000, 68.43000000, 13.69000000, 82.12000000),
(13917, 2208, NULL, 1221757, NULL, 'filtre a air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.12000000, NULL, 21.12000000, 4.22000000, 0.00000000, 0.00000000, 25.34000000, 0, NULL, NULL, 0, 10.25000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.12000000, 21.12000000, 4.22000000, 25.34000000),
(13918, 2208, NULL, 1223571, NULL, 'HUILE VR46 bidon 5Litres VERT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 27.30000000, NULL, 27.30000000, 5.46000000, 0.00000000, 0.00000000, 32.76000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.30000000, 27.30000000, 5.46000000, 32.76000000),
(13919, 2208, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(13920, 2208, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13921, 2208, NULL, NULL, NULL, 'renner', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13922, 2208, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(13923, 2208, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13924, 2208, NULL, 1222093, NULL, 'Filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.00000000, NULL, 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 19.60000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.00000000, 28.00000000, 5.60000000, 33.60000000),
(13925, 2208, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(13926, 2208, NULL, 1222099, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 113.00000000, NULL, 113.00000000, 22.60000000, 0.00000000, 0.00000000, 135.60000000, 0, NULL, NULL, 0, 87.40000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 113.00000000, 113.00000000, 22.60000000, 135.60000000),
(13927, 2208, NULL, NULL, NULL, '00719 - courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 0.00000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13928, 2208, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13929, 2208, NULL, NULL, NULL, 'filtres reseaux', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13930, 2208, NULL, 1231554, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 60.24000000, NULL, 60.24000000, 12.05000000, 0.00000000, 0.00000000, 72.29000000, 0, NULL, NULL, 0, 22.12000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 60.24000000, 60.24000000, 12.05000000, 72.29000000),
(13931, 2208, NULL, 952679, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 76.83000000, NULL, 76.83000000, 15.37000000, 0.00000000, 0.00000000, 92.20000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 76.83000000, 15.37000000, 92.20000000),
(13932, 2208, NULL, 952678, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 76.83000000, NULL, 153.66000000, 30.73000000, 0.00000000, 0.00000000, 184.39000000, 0, NULL, NULL, 0, 37.30000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 76.83000000, 153.66000000, 30.73000000, 184.39000000),
(13933, 2208, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13934, 2209, NULL, 1589457, NULL, 'Din Rail Power Supply, 15W, 12V Output', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.00000000, NULL, 35.00000000, 7.00000000, 0.00000000, 0.00000000, 42.00000000, 0, NULL, NULL, 0, 22.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.00000000, 35.00000000, 7.00000000, 42.00000000),
(13935, 2209, NULL, 1589456, NULL, 'regulateur de temperature Eurotherm', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 340.00000000, NULL, 340.00000000, 68.00000000, 0.00000000, 0.00000000, 408.00000000, 0, NULL, NULL, 0, 296.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 340.00000000, 340.00000000, 68.00000000, 408.00000000),
(13936, 2209, NULL, 1222643, NULL, '3 demi journées sur 4 passées réellement', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 700.00000000, NULL, 700.00000000, 140.00000000, 0.00000000, 0.00000000, 840.00000000, 0, NULL, NULL, 0, 534.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 700.00000000, 700.00000000, 140.00000000, 840.00000000),
(13939, 2211, NULL, 1189205, NULL, 'huile alimentaire 4000h pour vis bd 20l', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, -881.33000000, NULL, -881.33000000, -176.27000000, 0.00000000, 0.00000000, -1057.60000000, 0, NULL, NULL, 0, 662.66000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -881.33000000, -881.33000000, -176.27000000, -1057.60000000),
(13941, 2211, NULL, 1179654, NULL, 'Kit de Service CA', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, -615.00000000, NULL, -553.50000000, -110.70000000, 0.00000000, 0.00000000, -664.20000000, 0, NULL, NULL, 0, 214.47000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', -615.00000000, -553.50000000, -110.70000000, -664.20000000),
(13943, 2212, NULL, 1222165, NULL, 'Airlube AA (5L) prix du bidon', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 99.18000000, NULL, 99.18000000, 19.84000000, 0.00000000, 0.00000000, 119.02000000, 0, NULL, NULL, 0, 48.15000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 99.18000000, 99.18000000, 19.84000000, 119.02000000),
(13944, 2213, NULL, 1179624, NULL, 'Kit de service C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 192.36000000, NULL, 192.36000000, 38.47000000, 0.00000000, 0.00000000, 230.83000000, 0, NULL, NULL, 0, 53.27000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 192.36000000, 192.36000000, 38.47000000, 230.83000000),
(13945, 2213, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.82000000, NULL, 4.82000000, 0.96000000, 0.00000000, 0.00000000, 5.78000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.82000000, 4.82000000, 0.96000000, 5.78000000),
(13946, 2213, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 422.43000000, NULL, 422.43000000, 84.49000000, 0.00000000, 0.00000000, 506.92000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 422.43000000, 422.43000000, 84.49000000, 506.92000000),
(13947, 2213, NULL, 1222600, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 30.54000000, NULL, 91.62000000, 18.32000000, 0.00000000, 0.00000000, 109.94000000, 0, NULL, NULL, 0, 8.72000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.54000000, 91.62000000, 18.32000000, 109.94000000),
(13948, 2213, NULL, 1245868, NULL, 'filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 69.72000000, NULL, 69.72000000, 13.94000000, 0.00000000, 0.00000000, 83.66000000, 0, NULL, NULL, 0, 20.61000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 69.72000000, 69.72000000, 13.94000000, 83.66000000),
(13949, 2213, NULL, 1177750, NULL, 'Filtre/Separateur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 186.33000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13950, 2213, NULL, 1180343, NULL, 'Huile Vis', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0, NULL, NULL, 0, 35.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13951, 2214, NULL, 944319, NULL, 'compresseur rotatif &agrave; vis librifiees &agrave; vitesse variable', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15816.68000000, NULL, 15816.68000000, 3163.34000000, 0.00000000, 0.00000000, 18980.02000000, 0, NULL, NULL, 0, 11200.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15816.68000000, 15816.68000000, 3163.34000000, 18980.02000000),
(13952, 2214, NULL, 944329, NULL, 'Frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 137.53000000, NULL, 137.53000000, 27.51000000, 0.00000000, 0.00000000, 165.04000000, 0, NULL, NULL, 0, 224.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 137.53000000, 137.53000000, 27.51000000, 165.04000000),
(13953, 2214, NULL, 1219903, NULL, 'RESERV. AIR COMPRIME  GALVA 900L-11b+KIT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1521.24000000, NULL, 1521.24000000, 304.25000000, 0.00000000, 0.00000000, 1825.49000000, 0, NULL, NULL, 0, 698.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1521.24000000, 1521.24000000, 304.25000000, 1825.49000000),
(13954, 2214, NULL, 952642, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 283.33000000, NULL, 283.33000000, 56.67000000, 0.00000000, 0.00000000, 340.00000000, 0, NULL, NULL, 0, 130.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 283.33000000, 283.33000000, 56.67000000, 340.00000000),
(13955, 2214, NULL, 952641, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 283.33000000, NULL, 283.33000000, 56.67000000, 0.00000000, 0.00000000, 340.00000000, 0, NULL, NULL, 0, 130.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 283.33000000, 283.33000000, 56.67000000, 340.00000000),
(13956, 2214, NULL, 1268120, NULL, 'Separateur cyclonique 1\" 300 m³ H', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 251.38000000, NULL, 251.38000000, 50.28000000, 0.00000000, 0.00000000, 301.66000000, 0, NULL, NULL, 0, 89.87000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 251.38000000, 251.38000000, 50.28000000, 301.66000000),
(13957, 2214, NULL, 966221, NULL, 'Rouleau Teflon PTFE', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 0.69000000, NULL, 2.07000000, 0.41000000, 0.00000000, 0.00000000, 2.48000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.69000000, 2.07000000, 0.41000000, 2.48000000),
(13958, 2214, NULL, 958253, NULL, 'ÖWAMAT 12 oil/water separatot without pre-separation', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 985.97000000, NULL, 985.97000000, 197.19000000, 0.00000000, 0.00000000, 1183.16000000, 0, NULL, NULL, 0, 483.60000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 985.97000000, 985.97000000, 197.19000000, 1183.16000000),
(13959, 2214, NULL, 972631, NULL, 'Té égal Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 3.08000000, NULL, 15.40000000, 3.08000000, 0.00000000, 0.00000000, 18.48000000, 0, NULL, NULL, 0, 1.61000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.08000000, 15.40000000, 3.08000000, 18.48000000),
(13960, 2214, NULL, 972586, NULL, 'Raccord droit mâle G1/4 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.25000000, NULL, 6.25000000, 1.25000000, 0.00000000, 0.00000000, 7.50000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.25000000, 6.25000000, 1.25000000, 7.50000000),
(13961, 2214, NULL, 972160, NULL, 'Tube polyamide Rilsan incolore 6x8 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 49.92000000, NULL, 49.92000000, 9.98000000, 0.00000000, 0.00000000, 59.90000000, 0, NULL, NULL, 0, 25.95000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 49.92000000, 49.92000000, 9.98000000, 59.90000000),
(13962, 2214, NULL, 1080070, NULL, 'Tube \"air comprimé\" diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 12, 0, 0, NULL, 9.95000000, NULL, 119.40000000, 23.88000000, 0.00000000, 0.00000000, 143.28000000, 0, NULL, NULL, 0, 6.62000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.95000000, 119.40000000, 23.88000000, 143.28000000),
(13963, 2214, NULL, 1079994, NULL, 'Manchon diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 5.25000000, NULL, 21.00000000, 4.20000000, 0.00000000, 0.00000000, 25.20000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.25000000, 21.00000000, 4.20000000, 25.20000000),
(13964, 2214, NULL, 1079788, NULL, 'Courbe à 90° diamètre extérieur 35', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 11.26000000, NULL, 225.20000000, 45.04000000, 0.00000000, 0.00000000, 270.24000000, 0, NULL, NULL, 0, 7.49000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 11.26000000, 225.20000000, 45.04000000, 270.24000000),
(13965, 2214, NULL, 1079853, NULL, 'Té égal diam. ext. 35', 20.000, '', 0.000, '0', 0.000, '0', 8, 0, 0, NULL, 13.63000000, NULL, 109.04000000, 21.81000000, 0.00000000, 0.00000000, 130.85000000, 0, NULL, NULL, 0, 9.07000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.63000000, 109.04000000, 21.81000000, 130.85000000),
(13966, 2214, NULL, 1079966, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 35.1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 28.83000000, NULL, 201.81000000, 40.36000000, 0.00000000, 0.00000000, 242.17000000, 0, NULL, NULL, 0, 19.19000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.83000000, 201.81000000, 40.36000000, 242.17000000),
(13967, 2214, NULL, 1079933, NULL, 'Raccord mixte mâle diam. ext. 35. 1¼\"', 20.000, '', 0.000, '0', 0.000, '0', 7, 0, 0, NULL, 13.23000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 8.81000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.23000000, 92.61000000, 18.52000000, 111.13000000),
(13968, 2214, NULL, 1080114, NULL, 'Collier protégé pour tube diam. 35 - M8', 20.000, '', 0.000, '0', 0.000, '0', 15, 0, 0, NULL, 1.27000000, NULL, 19.05000000, 3.81000000, 0.00000000, 0.00000000, 22.86000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.27000000, 19.05000000, 3.81000000, 22.86000000),
(13969, 2214, NULL, 966507, NULL, 'Vanne F/F G1\"1/4 PN30 DN32', 20.000, '', 0.000, '0', 0.000, '0', 9, 0, 0, NULL, 27.83000000, NULL, 250.47000000, 50.09000000, 0.00000000, 0.00000000, 300.56000000, 0, NULL, NULL, 0, 13.16000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 27.83000000, 250.47000000, 50.09000000, 300.56000000),
(13970, 2214, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.48000000, NULL, 1.48000000, 0.30000000, 0.00000000, 0.00000000, 1.78000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.48000000, 1.48000000, 0.30000000, 1.78000000),
(13971, 2214, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 26.42000000, NULL, 26.42000000, 5.28000000, 0.00000000, 0.00000000, 31.70000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 26.42000000, 26.42000000, 5.28000000, 31.70000000),
(13972, 2214, NULL, NULL, NULL, '4 Vertic 400 en H  x 600  en V', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 634.78000000, NULL, 634.78000000, 126.96000000, 0.00000000, 0.00000000, 761.74000000, 0, NULL, NULL, 0, 465.68000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 634.78000000, 634.78000000, 126.96000000, 761.74000000),
(13973, 2214, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 3332.64000000, NULL, 3332.64000000, 666.53000000, 0.00000000, 0.00000000, 3999.17000000, 0, NULL, NULL, 0, 1453.00000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3332.64000000, 3332.64000000, 666.53000000, 3999.17000000),
(13974, 2215, NULL, NULL, '1 compresseur l30rs', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13975, 2215, NULL, 1222640, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(13976, 2215, NULL, 1179627, NULL, 'Kit de service C L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.50000000, NULL, 377.50000000, 75.50000000, 0.00000000, 0.00000000, 453.00000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.50000000, 377.50000000, 75.50000000, 453.00000000),
(13977, 2215, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13978, 2215, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13979, 2215, NULL, NULL, '2 filtres reseaux', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13980, 2215, NULL, 952864, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.28000000, NULL, 118.28000000, 23.66000000, 0.00000000, 0.00000000, 141.94000000, 0, NULL, NULL, 0, 57.42000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.28000000, 118.28000000, 23.66000000, 141.94000000),
(13981, 2215, NULL, 952863, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 118.28000000, NULL, 118.28000000, 23.66000000, 0.00000000, 0.00000000, 141.94000000, 0, NULL, NULL, 0, 57.42000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 118.28000000, 118.28000000, 23.66000000, 141.94000000),
(13982, 2215, NULL, 952690, NULL, 'cartouche media filtrant pne610rb', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 214.36000000, NULL, 214.36000000, 42.87000000, 0.00000000, 0.00000000, 257.23000000, 0, NULL, NULL, 0, 104.60000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 214.36000000, 214.36000000, 42.87000000, 257.23000000),
(13983, 2215, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13984, 2215, NULL, NULL, '3 separateur de condensats', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13985, 2215, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 86.80000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(13986, 2215, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(13987, 2216, NULL, 1588475, NULL, 'LAVEUSE LPTB01724', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1664.00000000, NULL, 1664.00000000, 332.80000000, 0.00000000, 0.00000000, 1996.80000000, 0, NULL, NULL, 0, 1401.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1664.00000000, 1664.00000000, 332.80000000, 1996.80000000),
(13988, 2217, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(13989, 2217, NULL, 1190506, NULL, 'Forfait maintenance', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 390.00000000, NULL, 390.00000000, 78.00000000, 0.00000000, 0.00000000, 468.00000000, 0, NULL, NULL, 0, 295.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 390.00000000, 390.00000000, 78.00000000, 468.00000000),
(13990, 2217, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(13991, 2217, NULL, 951971, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.90000000, NULL, 20.90000000, 4.18000000, 0.00000000, 0.00000000, 25.08000000, 0, NULL, NULL, 0, 10.15000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.90000000, 20.90000000, 4.18000000, 25.08000000),
(13992, 2217, NULL, 954038, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12.23000000, NULL, 12.23000000, 2.45000000, 0.00000000, 0.00000000, 14.68000000, 0, NULL, NULL, 0, 5.94000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.23000000, 12.23000000, 2.45000000, 14.68000000),
(13993, 2217, NULL, 955040, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 92.61000000, NULL, 92.61000000, 18.52000000, 0.00000000, 0.00000000, 111.13000000, 0, NULL, NULL, 0, 44.96000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 92.61000000, 92.61000000, 18.52000000, 111.13000000),
(13994, 2217, NULL, 952668, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 98.88000000, NULL, 98.88000000, 19.78000000, 0.00000000, 0.00000000, 118.66000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 98.88000000, 98.88000000, 19.78000000, 118.66000000),
(13995, 2218, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(13996, 2218, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 52.08000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(13997, 2218, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(13998, 2218, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(13999, 2218, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.00000000, NULL, 79.00000000, 15.80000000, 0.00000000, 0.00000000, 94.80000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.00000000, 79.00000000, 15.80000000, 94.80000000),
(14000, 2218, NULL, 1179622, NULL, 'Kit de service C L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 120.40000000, NULL, 96.32000000, 19.26000000, 0.00000000, 0.00000000, 115.58000000, 0, NULL, NULL, 0, 44.94000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 120.40000000, 96.32000000, 19.26000000, 115.58000000),
(14001, 2218, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 222.00000000, NULL, 177.60000000, 35.52000000, 0.00000000, 0.00000000, 213.12000000, 0, NULL, NULL, 0, 80.63000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 222.00000000, 177.60000000, 35.52000000, 213.12000000),
(14002, 2218, NULL, 1179717, NULL, 'Kit de service E    L07 - L11 - V2', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 251.70000000, NULL, 201.36000000, 40.27000000, 0.00000000, 0.00000000, 241.63000000, 0, NULL, NULL, 0, 93.94000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 251.70000000, 201.36000000, 40.27000000, 241.63000000),
(14003, 2219, NULL, NULL, NULL, 'Maintenance Ingersollrand :', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14005, 2219, NULL, 952144, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 15.40000000, NULL, 15.40000000, 3.08000000, 0.00000000, 0.00000000, 18.48000000, 0, NULL, NULL, 0, 7.48000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.40000000, 15.40000000, 3.08000000, 18.48000000),
(14006, 2219, NULL, 954042, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.01000000, NULL, 17.01000000, 3.40000000, 0.00000000, 0.00000000, 20.41000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.01000000, 17.01000000, 3.40000000, 20.41000000),
(14007, 2219, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(14008, 2219, NULL, 1222180, NULL, 'bidon vrs46 5l', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.39000000, NULL, 30.39000000, 6.08000000, 0.00000000, 0.00000000, 36.47000000, 0, NULL, NULL, 0, 14.75000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.39000000, 30.39000000, 6.08000000, 36.47000000),
(14009, 2219, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14010, 2219, NULL, 1222640, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 305.35000000, NULL, 305.35000000, 61.07000000, 0.00000000, 0.00000000, 366.42000000, 0, NULL, NULL, 0, 214.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 305.35000000, 305.35000000, 61.07000000, 366.42000000),
(14011, 2220, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(14012, 2220, NULL, 1179624, NULL, 'Kit de service C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 117.70000000, NULL, 117.70000000, 23.54000000, 0.00000000, 0.00000000, 141.24000000, 0, NULL, NULL, 0, 44.91000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 117.70000000, 117.70000000, 23.54000000, 141.24000000),
(14013, 2220, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 394.36000000, NULL, 394.36000000, 78.87000000, 0.00000000, 0.00000000, 473.23000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 394.36000000, 394.36000000, 78.87000000, 473.23000000),
(14014, 2220, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(14016, 2220, NULL, 952672, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.67000000, NULL, 105.67000000, 21.13000000, 0.00000000, 0.00000000, 126.80000000, 0, NULL, NULL, 0, 51.30000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.67000000, 105.67000000, 21.13000000, 126.80000000),
(14017, 2220, NULL, 1231606, NULL, 'kit separateur de condensats beko 4011999', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.33000000, NULL, 105.33000000, 21.07000000, 0.00000000, 0.00000000, 126.40000000, 0, NULL, NULL, 0, 81.03000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.33000000, 105.33000000, 21.07000000, 126.40000000),
(14018, 2220, NULL, 1190716, NULL, 'monture à niveau compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.40000000, NULL, 82.40000000, 16.48000000, 0.00000000, 0.00000000, 98.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.40000000, 82.40000000, 16.48000000, 98.88000000),
(14019, 2221, NULL, NULL, '1 L29 suivant contrat lissé', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14020, 2221, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 512.75000000, NULL, 512.75000000, 102.55000000, 0.00000000, 0.00000000, 615.30000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 512.75000000, 512.75000000, 102.55000000, 615.30000000),
(14021, 2221, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 512.75000000, NULL, 512.75000000, 102.55000000, 0.00000000, 0.00000000, 615.30000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 512.75000000, 512.75000000, 102.55000000, 615.30000000),
(14022, 2221, NULL, 1179651, NULL, 'SERVICE KIT D L23RS-L29RS replaced', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 512.75000000, NULL, 512.75000000, 102.55000000, 0.00000000, 0.00000000, 615.30000000, 1, NULL, NULL, 0, 554.28000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 512.75000000, 512.75000000, 102.55000000, 615.30000000),
(14023, 2221, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 512.75000000, NULL, 512.75000000, 102.55000000, 0.00000000, 0.00000000, 615.30000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 512.75000000, 512.75000000, 102.55000000, 615.30000000),
(14024, 2221, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14025, 2221, NULL, NULL, NULL, 'Filtres reseaux', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14026, 2221, NULL, 952677, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 156.45000000, NULL, 156.45000000, 31.29000000, 0.00000000, 0.00000000, 187.74000000, 0, NULL, NULL, 0, 75.95000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 156.45000000, 156.45000000, 31.29000000, 187.74000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(14027, 2221, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14028, 2221, NULL, NULL, NULL, 'separateur de condensats OWAMAT 12', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14029, 2221, NULL, 959170, NULL, 'Filter Set for ÖWAMAT 12', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 282.22000000, NULL, 282.22000000, 56.44000000, 0.00000000, 0.00000000, 338.66000000, 0, NULL, NULL, 0, 88.66000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 282.22000000, 282.22000000, 56.44000000, 338.66000000),
(14030, 2221, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14031, 2222, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(14032, 2222, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(14033, 2222, NULL, 1245864, NULL, 'courroies', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 22.80000000, NULL, 45.60000000, 9.12000000, 0.00000000, 0.00000000, 54.72000000, 0, NULL, NULL, 0, 10.53000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 22.80000000, 45.60000000, 9.12000000, 54.72000000),
(14034, 2222, NULL, 1222097, NULL, 'filtre à air', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 16.00000000, NULL, 16.00000000, 3.20000000, 0.00000000, 0.00000000, 19.20000000, 0, NULL, NULL, 0, 11.20000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 16.00000000, 16.00000000, 3.20000000, 19.20000000),
(14035, 2222, NULL, 1222092, NULL, 'huile  minerale 5 litres', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 39.00000000, NULL, 39.00000000, 7.80000000, 0.00000000, 0.00000000, 46.80000000, 0, NULL, NULL, 0, 27.30000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 39.00000000, 39.00000000, 7.80000000, 46.80000000),
(14036, 2222, NULL, 1305890, NULL, 'jeu de maintenance ROS3', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.00000000, NULL, 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 105.00000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(14037, 2222, NULL, 1307775, NULL, 'cartouche filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 142.00000000, NULL, 142.00000000, 28.40000000, 0.00000000, 0.00000000, 170.40000000, 0, NULL, NULL, 0, 99.40000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 142.00000000, 142.00000000, 28.40000000, 170.40000000),
(14038, 2222, NULL, 1222095, NULL, 'cartouche separatrice', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.00000000, NULL, 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 57.40000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.00000000, 82.00000000, 16.40000000, 98.40000000),
(14039, 2222, NULL, 1222096, NULL, 'filtre à huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 23.00000000, NULL, 23.00000000, 4.60000000, 0.00000000, 0.00000000, 27.60000000, 0, NULL, NULL, 0, 16.10000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.00000000, 23.00000000, 4.60000000, 27.60000000),
(14040, 2223, NULL, 1176523, NULL, 'PIECES SECHEURS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1783.60000000, NULL, 1783.60000000, 356.72000000, 0.00000000, 0.00000000, 2140.32000000, 0, NULL, NULL, 0, 1372.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1783.60000000, 1783.60000000, 356.72000000, 2140.32000000),
(14041, 2223, NULL, 1230960, NULL, 'PIECES SECHEURS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 240.50000000, NULL, 240.50000000, 48.10000000, 0.00000000, 0.00000000, 288.60000000, 0, NULL, NULL, 0, 185.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 240.50000000, 240.50000000, 48.10000000, 288.60000000),
(14042, 2223, NULL, 1178568, NULL, 'Pieces en aval', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 67.60000000, NULL, 67.60000000, 13.52000000, 0.00000000, 0.00000000, 81.12000000, 0, NULL, NULL, 0, 52.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 67.60000000, 67.60000000, 13.52000000, 81.12000000),
(14043, 2223, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 377.91000000, NULL, 377.91000000, 75.58000000, 0.00000000, 0.00000000, 453.49000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 377.91000000, 377.91000000, 75.58000000, 453.49000000),
(14044, 2224, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 663.37000000, NULL, 663.37000000, 132.67000000, 0.00000000, 0.00000000, 796.04000000, 0, NULL, NULL, 0, 499.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 663.37000000, 663.37000000, 132.67000000, 796.04000000),
(14045, 2224, NULL, NULL, NULL, '1 prise hypra 4 poles + T 32A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 126.35000000, NULL, 126.35000000, 25.27000000, 0.00000000, 0.00000000, 151.62000000, 0, NULL, NULL, 0, 95.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 126.35000000, 126.35000000, 25.27000000, 151.62000000),
(14046, 2224, NULL, NULL, NULL, '1 fiche hypra 4 poles + T 32A', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 59.85000000, NULL, 59.85000000, 11.97000000, 0.00000000, 0.00000000, 71.82000000, 0, NULL, NULL, 0, 45.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 59.85000000, 59.85000000, 11.97000000, 71.82000000),
(14047, 2224, NULL, NULL, NULL, '1 tableau 8 modules étanches', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 79.80000000, NULL, 79.80000000, 15.96000000, 0.00000000, 0.00000000, 95.76000000, 0, NULL, NULL, 0, 60.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 79.80000000, 79.80000000, 15.96000000, 95.76000000),
(14048, 2224, NULL, NULL, NULL, 'DT40 20A 3 poles +T', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 86.45000000, NULL, 86.45000000, 17.29000000, 0.00000000, 0.00000000, 103.74000000, 0, NULL, NULL, 0, 65.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 86.45000000, 86.45000000, 17.29000000, 103.74000000),
(14049, 2224, NULL, NULL, NULL, 'VIGI DT 40 25mA 4 poles', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 219.45000000, NULL, 219.45000000, 43.89000000, 0.00000000, 0.00000000, 263.34000000, 0, NULL, NULL, 0, 165.00000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 219.45000000, 219.45000000, 43.89000000, 263.34000000),
(14050, 2224, NULL, 1190484, NULL, 'tube iro diam 20', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 1.09000000, NULL, 3.27000000, 0.65000000, 0.00000000, 0.00000000, 3.92000000, 0, NULL, NULL, 0, 0.85000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.09000000, 3.27000000, 0.65000000, 3.92000000),
(14051, 2224, NULL, NULL, NULL, 'cable 5G2.5carre', 20.000, '', 0.000, '0', 0.000, '0', 28, 0, 0, NULL, 3.33000000, NULL, 93.24000000, 18.65000000, 0.00000000, 0.00000000, 111.89000000, 0, NULL, NULL, 0, 2.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.33000000, 93.24000000, 18.65000000, 111.89000000),
(14052, 2224, NULL, 1190523, NULL, 'petites fournitures', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.00000000, NULL, 10.00000000, 2.00000000, 0.00000000, 0.00000000, 12.00000000, 0, NULL, NULL, 0, 7.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.00000000, 10.00000000, 2.00000000, 12.00000000),
(14053, 2225, NULL, 1588633, NULL, 'sur reservoir ECN en revetement poudre, avec s&eacute;cheur par r&eacute;frigeration', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 12285.52000000, NULL, 12285.52000000, 2457.10000000, 0.00000000, 0.00000000, 14742.62000000, 0, NULL, NULL, 0, 7362.30000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12285.52000000, 12285.52000000, 2457.10000000, 14742.62000000),
(14054, 2225, NULL, 1222106, NULL, 'kit de silencblocs pour reservoir', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 28.58000000, NULL, 28.58000000, 5.72000000, 0.00000000, 0.00000000, 34.30000000, 0, NULL, NULL, 0, 33.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 28.58000000, 28.58000000, 5.72000000, 34.30000000),
(14055, 2225, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 81.91000000, NULL, 81.91000000, 16.38000000, 0.00000000, 0.00000000, 98.29000000, 0, NULL, NULL, 0, 43.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 81.91000000, 81.91000000, 16.38000000, 98.29000000),
(14056, 2225, NULL, 952642, NULL, 'Filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 199.40000000, NULL, 199.40000000, 39.88000000, 0.00000000, 0.00000000, 239.28000000, 0, NULL, NULL, 0, 130.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 199.40000000, 199.40000000, 39.88000000, 239.28000000),
(14057, 2225, NULL, 966221, NULL, 'Rouleau Teflon PTFE', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 0.49000000, NULL, 1.47000000, 0.29000000, 0.00000000, 0.00000000, 1.76000000, 0, NULL, NULL, 0, 0.32000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.49000000, 1.47000000, 0.29000000, 1.76000000),
(14058, 2225, NULL, 958250, NULL, 'ÖWAMAT 10 oil/water separator', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 294.12000000, NULL, 294.12000000, 58.82000000, 0.00000000, 0.00000000, 352.94000000, 0, NULL, NULL, 0, 192.25000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 294.12000000, 294.12000000, 58.82000000, 352.94000000),
(14059, 2225, NULL, 972631, NULL, 'Té égal Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.17000000, NULL, 10.85000000, 2.17000000, 0.00000000, 0.00000000, 13.02000000, 0, NULL, NULL, 0, 1.61000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.17000000, 10.85000000, 2.17000000, 13.02000000),
(14060, 2225, NULL, 972586, NULL, 'Raccord droit mâle G1/4 Ø8mm laiton nickelé', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 0.88000000, NULL, 4.40000000, 0.88000000, 0.00000000, 0.00000000, 5.28000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.88000000, 4.40000000, 0.88000000, 5.28000000),
(14061, 2225, NULL, 972160, NULL, 'Tube polyamide Rilsan incolore 6x8 25m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.13000000, NULL, 35.13000000, 7.03000000, 0.00000000, 0.00000000, 42.16000000, 0, NULL, NULL, 0, 25.95000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.13000000, 35.13000000, 7.03000000, 42.16000000),
(14062, 2225, NULL, 1080069, NULL, 'Tube \"air comprimé\" diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 30, 0, 0, NULL, 4.62000000, NULL, 138.60000000, 27.72000000, 0.00000000, 0.00000000, 166.32000000, 0, NULL, NULL, 0, 4.36000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.62000000, 138.60000000, 27.72000000, 166.32000000),
(14063, 2225, NULL, 1079993, NULL, 'Manchon diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 3.19000000, NULL, 19.14000000, 3.83000000, 0.00000000, 0.00000000, 22.97000000, 0, NULL, NULL, 0, 3.01000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.19000000, 19.14000000, 3.83000000, 22.97000000),
(14064, 2225, NULL, 1079787, NULL, 'Courbe à 90° diamètre extérieur 28', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 5.04000000, NULL, 100.80000000, 20.16000000, 0.00000000, 0.00000000, 120.96000000, 0, NULL, NULL, 0, 4.77000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.04000000, 100.80000000, 20.16000000, 120.96000000),
(14065, 2225, NULL, 1079817, NULL, 'Coude à 45° diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 10, 0, 0, NULL, 5.74000000, NULL, 57.40000000, 11.48000000, 0.00000000, 0.00000000, 68.88000000, 0, NULL, NULL, 0, 5.44000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.74000000, 57.40000000, 11.48000000, 68.88000000),
(14066, 2225, NULL, 1079852, NULL, 'Té égal diam. ext. 28', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 7.14000000, NULL, 42.84000000, 8.57000000, 0.00000000, 0.00000000, 51.41000000, 0, NULL, NULL, 0, 6.75000000, NULL, 0, 0, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.14000000, 42.84000000, 8.57000000, 51.41000000),
(14067, 2225, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.75000000, NULL, 13.50000000, 2.70000000, 0.00000000, 0.00000000, 16.20000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.75000000, 13.50000000, 2.70000000, 16.20000000),
(14068, 2225, NULL, 1079965, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 28.1\"', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 15.92000000, NULL, 95.52000000, 19.10000000, 0.00000000, 0.00000000, 114.62000000, 0, NULL, NULL, 0, 15.05000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 15.92000000, 95.52000000, 19.10000000, 114.62000000),
(14069, 2225, NULL, 1080054, NULL, 'Crosse d\'évêque diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 9.19000000, NULL, 18.38000000, 3.68000000, 0.00000000, 0.00000000, 22.06000000, 0, NULL, NULL, 0, 8.69000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.19000000, 18.38000000, 3.68000000, 22.06000000),
(14070, 2225, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 3.70000000, NULL, 22.20000000, 4.44000000, 0.00000000, 0.00000000, 26.64000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.70000000, 22.20000000, 4.44000000, 26.64000000),
(14071, 2225, NULL, 1079992, NULL, 'Manchon diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 2.67000000, NULL, 5.34000000, 1.07000000, 0.00000000, 0.00000000, 6.41000000, 0, NULL, NULL, 0, 2.52000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.67000000, 5.34000000, 1.07000000, 6.41000000),
(14072, 2225, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 3.97000000, NULL, 23.82000000, 4.76000000, 0.00000000, 0.00000000, 28.58000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 3.97000000, 23.82000000, 4.76000000, 28.58000000),
(14073, 2225, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 4, 0, 0, NULL, 4.93000000, NULL, 19.72000000, 3.94000000, 0.00000000, 0.00000000, 23.66000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.93000000, 19.72000000, 3.94000000, 23.66000000),
(14074, 2225, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 10.86000000, NULL, 21.72000000, 4.34000000, 0.00000000, 0.00000000, 26.06000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.86000000, 21.72000000, 4.34000000, 26.06000000),
(14075, 2225, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 0.84000000, NULL, 5.04000000, 1.01000000, 0.00000000, 0.00000000, 6.05000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.84000000, 5.04000000, 1.01000000, 6.05000000),
(14076, 2225, NULL, 1080113, NULL, 'Collier protégé pour tube diam. 28 - M8', 20.000, '', 0.000, '0', 0.000, '0', 20, 0, 0, NULL, 0.85000000, NULL, 17.00000000, 3.40000000, 0.00000000, 0.00000000, 20.40000000, 0, NULL, NULL, 0, 0.80000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.85000000, 17.00000000, 3.40000000, 20.40000000),
(14077, 2225, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 5.51000000, NULL, 11.02000000, 2.20000000, 0.00000000, 0.00000000, 13.22000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.51000000, 11.02000000, 2.20000000, 13.22000000),
(14078, 2225, NULL, 966506, NULL, 'Vanne F/F G1\" PN40 DN25', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 12.31000000, NULL, 36.93000000, 7.39000000, 0.00000000, 0.00000000, 44.32000000, 0, NULL, NULL, 0, 8.26000000, NULL, 0, 0, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 12.31000000, 36.93000000, 7.39000000, 44.32000000),
(14079, 2225, NULL, 966956, NULL, 'Croix égale FFFF F1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.07000000, NULL, 12.14000000, 2.43000000, 0.00000000, 0.00000000, 14.57000000, 0, NULL, NULL, 0, 4.08000000, NULL, 0, 0, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.07000000, 12.14000000, 2.43000000, 14.57000000),
(14080, 2225, NULL, 966892, NULL, 'Bouchon M. cylindrique G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 0.64000000, NULL, 1.28000000, 0.26000000, 0.00000000, 0.00000000, 1.54000000, 0, NULL, NULL, 0, 0.43000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.64000000, 1.28000000, 0.26000000, 1.54000000),
(14081, 2225, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 1.05000000, NULL, 1.05000000, 0.21000000, 0.00000000, 0.00000000, 1.26000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 29, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.05000000, 1.05000000, 0.21000000, 1.26000000),
(14082, 2225, NULL, 967552, NULL, 'Ensemble soufflage2 m 1/4 FetT', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 18.25000000, NULL, 18.25000000, 3.65000000, 0.00000000, 0.00000000, 21.90000000, 0, NULL, NULL, 0, 13.48000000, NULL, 0, 0, 30, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 18.25000000, 18.25000000, 3.65000000, 21.90000000),
(14083, 2225, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2345.46000000, NULL, 2345.46000000, 469.09000000, 0.00000000, 0.00000000, 2814.55000000, 0, NULL, NULL, 0, 3350.00000000, NULL, 0, 0, 31, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2345.46000000, 2345.46000000, 469.09000000, 2814.55000000),
(14084, 2225, NULL, 1190387, NULL, 'location nacelle', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 331.47000000, NULL, 331.47000000, 66.29000000, 0.00000000, 0.00000000, 397.76000000, 0, NULL, NULL, 0, 216.00000000, NULL, 0, 0, 32, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 331.47000000, 331.47000000, 66.29000000, 397.76000000),
(14085, 2226, NULL, 1589429, NULL, 'CAISSE A OUTILS 169 PCS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 267.00000000, NULL, 267.00000000, 53.40000000, 0.00000000, 0.00000000, 320.40000000, 0, NULL, NULL, 0, 186.90000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 267.00000000, 267.00000000, 53.40000000, 320.40000000),
(14086, 2226, NULL, 951704, NULL, 'frais de port', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 30.00000000, NULL, 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 15.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(14087, 2227, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 492.10000000, NULL, 492.10000000, 98.42000000, 0.00000000, 0.00000000, 590.52000000, 0, NULL, NULL, 0, 370.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 492.10000000, 492.10000000, 98.42000000, 590.52000000),
(14088, 2227, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 5.50000000, NULL, 5.50000000, 1.10000000, 0.00000000, 0.00000000, 6.60000000, 1, NULL, NULL, 0, 5.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.50000000, 5.50000000, 1.10000000, 6.60000000),
(14089, 2227, NULL, 1305084, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 299.00000000, NULL, 269.10000000, 53.82000000, 0.00000000, 0.00000000, 322.92000000, 0, NULL, NULL, 0, 128.83000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 299.00000000, 269.10000000, 53.82000000, 322.92000000),
(14090, 2227, NULL, 1179629, NULL, 'Kit de service C  L55-L75', 20.000, '', 0.000, '0', 0.000, '0', 1, 10, 0, NULL, 429.00000000, NULL, 386.10000000, 77.22000000, 0.00000000, 0.00000000, 463.32000000, 0, NULL, NULL, 0, 257.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 429.00000000, 386.10000000, 77.22000000, 463.32000000),
(14091, 2227, NULL, 1179664, NULL, 'Kit de Service CA', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 1490.00000000, NULL, 1192.00000000, 238.40000000, 0.00000000, 0.00000000, 1430.40000000, 0, NULL, NULL, 0, 860.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1490.00000000, 1192.00000000, 238.40000000, 1430.40000000),
(14092, 2227, NULL, 955221, NULL, 'separateur eau huile', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 281.89000000, NULL, 281.89000000, 56.38000000, 0.00000000, 0.00000000, 338.27000000, 0, NULL, NULL, 0, 136.84000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 281.89000000, 281.89000000, 56.38000000, 338.27000000),
(14093, 2227, NULL, 954020, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 295.03000000, NULL, 295.03000000, 59.01000000, 0.00000000, 0.00000000, 354.04000000, 0, NULL, NULL, 0, 106.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 295.03000000, 295.03000000, 59.01000000, 354.04000000),
(14094, 2227, NULL, 959172, NULL, 'Filter Set for ÖWAMAT 15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 373.76000000, NULL, 373.76000000, 74.75000000, 0.00000000, 0.00000000, 448.51000000, 0, NULL, NULL, 0, 198.40000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 373.76000000, 373.76000000, 74.75000000, 448.51000000),
(14095, 2227, NULL, 1179733, NULL, 'Pce captive Spiros', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 612.00000000, NULL, 612.00000000, 122.40000000, 0.00000000, 0.00000000, 734.40000000, 0, NULL, NULL, 0, 348.00000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 612.00000000, 612.00000000, 122.40000000, 734.40000000),
(14096, 2227, NULL, 952680, NULL, 'cartouche pour filtre reseau', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 200.33000000, NULL, 400.66000000, 80.13000000, 0.00000000, 0.00000000, 480.79000000, 0, NULL, NULL, 0, 97.25000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 200.33000000, 400.66000000, 80.13000000, 480.79000000),
(14097, 2228, NULL, NULL, NULL, 'Maintenance L07RS', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14098, 2228, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(14099, 2228, NULL, 1189212, NULL, 'Huile compresseur à vis /5L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 73.10000000, NULL, 73.10000000, 14.62000000, 0.00000000, 0.00000000, 87.72000000, 0, NULL, NULL, 0, 43.86000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 73.10000000, 73.10000000, 14.62000000, 87.72000000),
(14100, 2228, NULL, 1179717, NULL, 'Kit de service E    L07 - L11 - V2', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 239.10000000, NULL, 191.28000000, 38.26000000, 0.00000000, 0.00000000, 229.54000000, 0, NULL, NULL, 0, 143.46000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 239.10000000, 191.28000000, 38.26000000, 229.54000000),
(14101, 2228, NULL, 1179622, NULL, 'Kit de service C L07-L11', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 114.40000000, NULL, 91.52000000, 18.30000000, 0.00000000, 0.00000000, 109.82000000, 0, NULL, NULL, 0, 68.64000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.40000000, 91.52000000, 18.30000000, 109.82000000),
(14102, 2228, NULL, 1186446, NULL, 'EL*MENT DE FILTRE S*PARATEUR', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 286.25000000, NULL, 229.00000000, 45.80000000, 0.00000000, 0.00000000, 274.80000000, 0, NULL, NULL, 0, 138.96000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 286.25000000, 229.00000000, 45.80000000, 274.80000000),
(14103, 2228, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(14104, 2228, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14105, 2228, NULL, 952683, NULL, 'cartouche 180RB', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 105.69000000, NULL, 105.69000000, 21.14000000, 0.00000000, 0.00000000, 126.83000000, 0, NULL, NULL, 0, 51.31000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 105.69000000, 105.69000000, 21.14000000, 126.83000000),
(14106, 2228, NULL, 959168, NULL, 'Kit OWAMAT 10', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 78.12000000, NULL, 78.12000000, 15.62000000, 0.00000000, 0.00000000, 93.74000000, 0, NULL, NULL, 0, 53.32000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 78.12000000, 78.12000000, 15.62000000, 93.74000000),
(14107, 2229, NULL, 1223585, NULL, 'Loyer de mensualit&eacute; contrat LDD', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 114.13000000, NULL, 114.13000000, 22.83000000, 0.00000000, 0.00000000, 136.96000000, 1, '2017-10-17 00:00:00', '2020-02-20 00:00:00', 0, 136.96000000, NULL, 0, 0, 0, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 114.13000000, 114.13000000, 22.83000000, 136.96000000),
(14108, 2230, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 386.63000000, NULL, 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(14109, 2230, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(14111, 2230, NULL, 954831, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 85.74000000, NULL, 85.74000000, 17.15000000, 0.00000000, 0.00000000, 102.89000000, 0, NULL, NULL, 0, 57.16000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 85.74000000, 85.74000000, 17.15000000, 102.89000000),
(14113, 2230, NULL, 951752, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 10.07000000, NULL, 10.07000000, 2.01000000, 0.00000000, 0.00000000, 12.08000000, 0, NULL, NULL, 0, 6.71000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 10.07000000, 10.07000000, 2.01000000, 12.08000000),
(14114, 2230, NULL, 954034, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 17.97000000, NULL, 17.97000000, 3.59000000, 0.00000000, 0.00000000, 21.56000000, 0, NULL, NULL, 0, 11.98000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 17.97000000, 17.97000000, 3.59000000, 21.56000000),
(14115, 2230, NULL, 951706, NULL, 'courroie', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 87.80000000, NULL, 175.60000000, 35.12000000, 0.00000000, 0.00000000, 210.72000000, 0, NULL, NULL, 0, 58.53000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 87.80000000, 175.60000000, 35.12000000, 210.72000000),
(14116, 2230, NULL, 1222171, NULL, '', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 110.72000000, NULL, 110.72000000, 22.14000000, 0.00000000, 0.00000000, 132.86000000, 0, NULL, NULL, 0, 53.75000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.72000000, 110.72000000, 22.14000000, 132.86000000),
(14117, 2231, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 25, 0, NULL, 386.63000000, NULL, 289.97000000, 58.00000000, 0.00000000, 0.00000000, 347.97000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 386.63000000, 289.97000000, 58.00000000, 347.97000000),
(14118, 2231, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(14119, 2231, NULL, 955029, NULL, 'FILTRE SEPARATEUR AIR / HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 124.98000000, NULL, 124.98000000, 25.00000000, 0.00000000, 0.00000000, 149.98000000, 0, NULL, NULL, 0, 60.67000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 124.98000000, 124.98000000, 25.00000000, 149.98000000),
(14120, 2231, NULL, 952166, NULL, 'FILTRE A AIR', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 20.97000000, NULL, 20.97000000, 4.19000000, 0.00000000, 0.00000000, 25.16000000, 0, NULL, NULL, 0, 10.18000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 20.97000000, 20.97000000, 4.19000000, 25.16000000),
(14121, 2231, NULL, 954060, NULL, 'FILTRE A HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 42.14000000, NULL, 42.14000000, 8.43000000, 0.00000000, 0.00000000, 50.57000000, 0, NULL, NULL, 0, 20.46000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 42.14000000, 42.14000000, 8.43000000, 50.57000000),
(14122, 2232, NULL, NULL, '1 Poste A', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14123, 2232, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 150.00000000, NULL, 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 120.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(14124, 2232, NULL, 1190572, NULL, 'fournitures diverses', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 35.00000000, NULL, 35.00000000, 7.00000000, 0.00000000, 0.00000000, 42.00000000, 0, NULL, NULL, 0, 30.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 35.00000000, 35.00000000, 7.00000000, 42.00000000),
(14125, 2232, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14126, 2232, NULL, NULL, '2 Poste B', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14127, 2232, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.18000000, NULL, 8.18000000, 1.64000000, 0.00000000, 0.00000000, 9.82000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.18000000, 8.18000000, 1.64000000, 9.82000000),
(14128, 2232, NULL, 1079786, NULL, 'Courbe à 90° diamètre extérieur 22', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 5.34000000, NULL, 16.02000000, 3.20000000, 0.00000000, 0.00000000, 19.22000000, 0, NULL, NULL, 0, 3.76000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 5.34000000, 16.02000000, 3.20000000, 19.22000000),
(14129, 2232, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 4.98000000, NULL, 9.96000000, 1.99000000, 0.00000000, 0.00000000, 11.95000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 9.96000000, 1.99000000, 11.95000000),
(14130, 2232, NULL, 1079962, NULL, 'Raccord mixte 3 pièces mâle dia. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 14.58000000, NULL, 14.58000000, 2.92000000, 0.00000000, 0.00000000, 17.50000000, 0, NULL, NULL, 0, 10.27000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 14.58000000, 14.58000000, 2.92000000, 17.50000000),
(14131, 2232, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 1.12000000, NULL, 3.36000000, 0.67000000, 0.00000000, 0.00000000, 4.03000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 3.36000000, 0.67000000, 4.03000000),
(14132, 2232, NULL, 966700, NULL, 'Mamelon conique G1/2x1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 1.40000000, NULL, 2.80000000, 0.56000000, 0.00000000, 0.00000000, 3.36000000, 0, NULL, NULL, 0, 0.70000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.40000000, 2.80000000, 0.56000000, 3.36000000),
(14133, 2232, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.39000000, NULL, 7.39000000, 1.48000000, 0.00000000, 0.00000000, 8.87000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 12, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 7.39000000, 1.48000000, 8.87000000),
(14134, 2232, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 230.00000000, NULL, 230.00000000, 46.00000000, 0.00000000, 0.00000000, 276.00000000, 0, NULL, NULL, 0, 180.00000000, NULL, 0, 0, 13, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 230.00000000, 230.00000000, 46.00000000, 276.00000000),
(14135, 2232, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 14, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14136, 2232, NULL, NULL, '3 Poste 3', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 15, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14137, 2232, NULL, 1080050, NULL, 'Courbe à 180° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.27000000, NULL, 8.27000000, 1.65000000, 0.00000000, 0.00000000, 9.92000000, 0, NULL, NULL, 0, 5.82000000, NULL, 0, 0, 16, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.27000000, 8.27000000, 1.65000000, 9.92000000),
(14138, 2232, NULL, 1079864, NULL, 'Té réduit diam. ext. 28 . 22 . 28', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 9.07000000, NULL, 9.07000000, 1.81000000, 0.00000000, 0.00000000, 10.88000000, 0, NULL, NULL, 0, 6.39000000, NULL, 0, 0, 17, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 9.07000000, 9.07000000, 1.81000000, 10.88000000),
(14139, 2232, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2.5, 0, 0, NULL, 4.98000000, NULL, 12.45000000, 2.49000000, 0.00000000, 0.00000000, 14.94000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 18, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 12.45000000, 2.49000000, 14.94000000),
(14140, 2232, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.62000000, NULL, 13.24000000, 2.65000000, 0.00000000, 0.00000000, 15.89000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 19, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.62000000, 13.24000000, 2.65000000, 15.89000000),
(14141, 2232, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 230.00000000, NULL, 230.00000000, 46.00000000, 0.00000000, 0.00000000, 276.00000000, 0, NULL, NULL, 0, 180.00000000, NULL, 0, 0, 20, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 230.00000000, 230.00000000, 46.00000000, 276.00000000),
(14142, 2232, NULL, 966956, NULL, 'Croix égale FFFF F1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.15000000, NULL, 8.15000000, 1.63000000, 0.00000000, 0.00000000, 9.78000000, 0, NULL, NULL, 0, 4.08000000, NULL, 0, 0, 21, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.15000000, 8.15000000, 1.63000000, 9.78000000),
(14143, 2232, NULL, 966946, NULL, 'Coude M/F G1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.80000000, NULL, 2.80000000, 0.56000000, 0.00000000, 0.00000000, 3.36000000, 0, NULL, NULL, 0, 1.40000000, NULL, 0, 0, 22, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.80000000, 2.80000000, 0.56000000, 3.36000000),
(14144, 2232, NULL, 1080112, NULL, 'Collier protégé pour tube diam. 22 - M8', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 1.12000000, NULL, 3.36000000, 0.67000000, 0.00000000, 0.00000000, 4.03000000, 0, NULL, NULL, 0, 0.79000000, NULL, 0, 0, 23, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.12000000, 3.36000000, 0.67000000, 4.03000000),
(14145, 2232, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 6.42000000, NULL, 6.42000000, 1.28000000, 0.00000000, 0.00000000, 7.70000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 24, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 6.42000000, 1.28000000, 7.70000000),
(14146, 2232, NULL, 971766, NULL, 'Raccord rapide sécurité à bouton DN8 Profil IS0 6150C Femelle G1/2', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 33.30000000, NULL, 66.60000000, 13.32000000, 0.00000000, 0.00000000, 79.92000000, 0, NULL, NULL, 0, 19.98000000, NULL, 0, 0, 25, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 33.30000000, 66.60000000, 13.32000000, 79.92000000),
(14147, 2232, NULL, NULL, '4 Deplacement', '', 0.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 26, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14148, 2232, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 27, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14149, 2232, NULL, 1190776, NULL, 'nombre de kilometres', 20.000, '', 0.000, '0', 0.000, '0', 180, 0, 0, NULL, 0.95000000, NULL, 171.00000000, 34.20000000, 0.00000000, 0.00000000, 205.20000000, 0, NULL, NULL, 0, 0.73000000, NULL, 0, 0, 28, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.95000000, 171.00000000, 34.20000000, 205.20000000),
(14150, 2233, NULL, 1222607, NULL, 'courroies_gates', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 23.25000000, NULL, 69.75000000, 13.95000000, 0.00000000, 0.00000000, 83.70000000, 0, NULL, NULL, 0, 11.29000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 23.25000000, 69.75000000, 13.95000000, 83.70000000),
(14151, 2233, NULL, 1179624, NULL, 'Kit de service C L15-L22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 111.70000000, NULL, 111.70000000, 22.34000000, 0.00000000, 0.00000000, 134.04000000, 0, NULL, NULL, 0, 67.02000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 111.70000000, 111.70000000, 22.34000000, 134.04000000),
(14152, 2233, NULL, 1179649, NULL, 'Kit de service D           L15RS - L22RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 474.00000000, NULL, 474.00000000, 94.80000000, 0.00000000, 0.00000000, 568.80000000, 0, NULL, NULL, 0, 284.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 474.00000000, 474.00000000, 94.80000000, 568.80000000),
(14153, 2233, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(14154, 2233, NULL, 1190716, NULL, 'monture à niveau compresseur', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 82.40000000, NULL, 82.40000000, 16.48000000, 0.00000000, 0.00000000, 98.88000000, 0, NULL, NULL, 0, 40.00000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 82.40000000, 82.40000000, 16.48000000, 98.88000000),
(14155, 2233, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 402.40000000, NULL, 402.40000000, 80.48000000, 0.00000000, 0.00000000, 482.88000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 402.40000000, 402.40000000, 80.48000000, 482.88000000),
(14156, 2233, NULL, 952936, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.07000000, NULL, 102.07000000, 20.41000000, 0.00000000, 0.00000000, 122.48000000, 0, NULL, NULL, 0, 49.55000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.07000000, 102.07000000, 20.41000000, 122.48000000),
(14157, 2233, NULL, 952937, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 102.07000000, NULL, 102.07000000, 20.41000000, 0.00000000, 0.00000000, 122.48000000, 0, NULL, NULL, 0, 49.55000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 102.07000000, 102.07000000, 20.41000000, 122.48000000),
(14158, 2233, NULL, 959169, NULL, 'Filter Set for ÖWAMAT 11', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 144.32000000, NULL, 144.32000000, 28.86000000, 0.00000000, 0.00000000, 173.18000000, 0, NULL, NULL, 0, 70.06000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 144.32000000, 144.32000000, 28.86000000, 173.18000000),
(14159, 2234, NULL, 969870, NULL, 'Réduction double Ø32x20mm', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 4.13000000, NULL, 12.39000000, 2.48000000, 0.00000000, 0.00000000, 14.87000000, 0, NULL, NULL, 0, 2.47800000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.13000000, 12.39000000, 2.48000000, 14.87000000),
(14160, 2234, NULL, 969796, NULL, 'Manchon égal Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 2.33000000, NULL, 13.98000000, 2.80000000, 0.00000000, 0.00000000, 16.78000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 13.98000000, 2.80000000, 16.78000000),
(14161, 2234, NULL, 969804, NULL, 'Coude égal 90° Ø20mm', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.33000000, NULL, 11.65000000, 2.33000000, 0.00000000, 0.00000000, 13.98000000, 0, NULL, NULL, 0, 1.39800000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.33000000, 11.65000000, 2.33000000, 13.98000000),
(14162, 2235, NULL, 1179380, NULL, 'Pieces D-Serie', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 49.00000000, NULL, 49.00000000, 9.80000000, 0.00000000, 0.00000000, 58.80000000, 0, NULL, NULL, 0, 28.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 49.00000000, 49.00000000, 9.80000000, 58.80000000),
(14163, 2235, NULL, 1190376, NULL, 'Forfait intervention ZONE B', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 316.00000000, NULL, 316.00000000, 63.20000000, 0.00000000, 0.00000000, 379.20000000, 0, NULL, NULL, 0, 249.20000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 316.00000000, 316.00000000, 63.20000000, 379.20000000),
(14165, 2236, NULL, 971943, NULL, 'Tuyau PVC tressé POLYFLEXAIR Ø10x16 Couleur bleue en couronne de 50 mètres- PS:15 Bar', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 1.19000000, NULL, 5.95000000, 1.19000000, 0.00000000, 0.00000000, 7.14000000, 0, NULL, NULL, 0, 0.65000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 1.19000000, 5.95000000, 1.19000000, 7.14000000),
(14166, 2236, NULL, 972160, NULL, 'prix au metre', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 4.70000000, NULL, 23.50000000, 4.70000000, 0.00000000, 0.00000000, 28.20000000, 0, NULL, NULL, 0, 1.03800000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.70000000, 23.50000000, 4.70000000, 28.20000000),
(14167, 2236, NULL, NULL, NULL, 'cable 3G0.75', 20.000, '', 0.000, '0', 0.000, '0', 5, 0, 0, NULL, 2.00000000, NULL, 10.00000000, 2.00000000, 0.00000000, 0.00000000, 12.00000000, 0, NULL, NULL, 0, 1.50000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.00000000, 10.00000000, 2.00000000, 12.00000000),
(14168, 2236, NULL, NULL, NULL, 'bobine 100 1/2', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 2.66000000, NULL, 2.66000000, 0.53000000, 0.00000000, 0.00000000, 3.19000000, 0, NULL, NULL, 0, 2.00000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 2.66000000, 2.66000000, 0.53000000, 3.19000000),
(14169, 2236, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 7.39000000, NULL, 7.39000000, 1.48000000, 0.00000000, 0.00000000, 8.87000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 7.39000000, 1.48000000, 8.87000000),
(14170, 2236, NULL, 967740, NULL, 'Colliers à oreilles Ø 14/17mm', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 0.16000000, NULL, 0.96000000, 0.19000000, 0.00000000, 0.00000000, 1.15000000, 0, NULL, NULL, 0, 0.09000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.16000000, 0.96000000, 0.19000000, 1.15000000),
(14171, 2236, NULL, 1222643, NULL, 'forfait chantier (Main d\'oeuvre et deplacement)', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 425.60000000, NULL, 425.60000000, 85.12000000, 0.00000000, 0.00000000, 510.72000000, 0, NULL, NULL, 0, 320.00000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 425.60000000, 425.60000000, 85.12000000, 510.72000000),
(14172, 2237, NULL, 1222641, NULL, 'FORFAIT MAINTENANCE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 328.38000000, NULL, 328.38000000, 65.68000000, 0.00000000, 0.00000000, 394.06000000, 0, NULL, NULL, 0, 290.70000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 328.38000000, 328.38000000, 65.68000000, 394.06000000),
(14173, 2237, NULL, 1222642, NULL, 'RECYCLAGE DES DIFF FILTRES ET HUILE', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 4.50000000, NULL, 4.50000000, 0.90000000, 0.00000000, 0.00000000, 5.40000000, 1, NULL, NULL, 0, 4.50000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.50000000, 4.50000000, 0.90000000, 5.40000000),
(14174, 2237, NULL, 1180341, NULL, 'FLUIDFORCE SCREW WARRANTY LUBRICANT 20L', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 242.81000000, NULL, 242.81000000, 48.56000000, 0.00000000, 0.00000000, 291.37000000, 0, NULL, NULL, 0, 179.00000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 242.81000000, 242.81000000, 48.56000000, 291.37000000);
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `fk_contract_line`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`, `fk_user_modif`, `fk_user_author`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(14175, 2237, NULL, 1179627, NULL, 'Kit de service C L30-L50', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 314.34000000, NULL, 314.34000000, 62.87000000, 0.00000000, 0.00000000, 377.21000000, 0, NULL, NULL, 0, 140.87000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 314.34000000, 314.34000000, 62.87000000, 377.21000000),
(14176, 2237, NULL, 1179655, NULL, 'KIT DE SERVICE D L37-L45 RS', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 510.77000000, NULL, 510.77000000, 102.15000000, 0.00000000, 0.00000000, 612.92000000, 0, NULL, NULL, 0, 349.56000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 510.77000000, 510.77000000, 102.15000000, 612.92000000),
(14177, 2237, NULL, NULL, NULL, 'Sous-total', 0.000, '', 0.000, '0', 0.000, '0', 99, 0, 0, NULL, 0.00000000, NULL, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 9, NULL, NULL, 0, 0.00000000, NULL, 0, 104777, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 0.00000000, 0.00000000, 0.00000000, 0.00000000),
(14178, 2237, NULL, 959171, NULL, 'Filter Set for ÖWAMAT 14', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 233.60000000, NULL, 233.60000000, 46.72000000, 0.00000000, 0.00000000, 280.32000000, 0, NULL, NULL, 0, 122.76000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 233.60000000, 233.60000000, 46.72000000, 280.32000000),
(14179, 2237, NULL, 953186, NULL, 'CARTOUCHE FILTRE RESEAU', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 159.25000000, NULL, 159.25000000, 31.85000000, 0.00000000, 0.00000000, 191.10000000, 0, NULL, NULL, 0, 92.84000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 159.25000000, 159.25000000, 31.85000000, 191.10000000),
(14180, 2238, NULL, 1230693, NULL, 'Main d\'Oeuvre', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 63.84000000, NULL, 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 48.00000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 63.84000000, 127.68000000, 25.54000000, 153.22000000),
(14181, 2238, NULL, 969249, NULL, 'Purge électrique temporisée', 20.000, '', 0.000, '0', 0.000, '0', 1, 20, 0, NULL, 110.00000000, NULL, 88.00000000, 17.60000000, 0.00000000, 0.00000000, 105.60000000, 0, NULL, NULL, 0, 43.00000000, NULL, 0, 0, 2, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 110.00000000, 88.00000000, 17.60000000, 105.60000000),
(14182, 2238, NULL, NULL, NULL, '930253p-raccord plymout diam 25 3/4\"', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 13.80000000, NULL, 27.60000000, 5.52000000, 0.00000000, 0.00000000, 33.12000000, 0, NULL, NULL, 0, 9.20000000, NULL, 0, 0, 3, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 13.80000000, 27.60000000, 5.52000000, 33.12000000),
(14183, 2238, NULL, 1079926, NULL, 'Raccord mixte mâle diam. ext. 22.½\"', 20.000, '', 0.000, '0', 0.000, '0', 3, 0, 0, NULL, 6.42000000, NULL, 19.26000000, 3.85000000, 0.00000000, 0.00000000, 23.11000000, 0, NULL, NULL, 0, 4.52000000, NULL, 0, 0, 4, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.42000000, 19.26000000, 3.85000000, 23.11000000),
(14184, 2238, NULL, 966504, NULL, 'Vanne F/F G1/2 PN50 DN15', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 7.39000000, NULL, 14.78000000, 2.96000000, 0.00000000, 0.00000000, 17.74000000, 0, NULL, NULL, 0, 3.70000000, NULL, 0, 0, 5, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 7.39000000, 14.78000000, 2.96000000, 17.74000000),
(14185, 2238, NULL, 1079816, NULL, 'Coude à 45° diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 2, 0, 0, NULL, 6.62000000, NULL, 13.24000000, 2.65000000, 0.00000000, 0.00000000, 15.89000000, 0, NULL, NULL, 0, 4.66000000, NULL, 0, 0, 6, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 6.62000000, 13.24000000, 2.65000000, 15.89000000),
(14186, 2238, NULL, 1079851, NULL, 'Té égal diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 8.18000000, NULL, 8.18000000, 1.64000000, 0.00000000, 0.00000000, 9.82000000, 0, NULL, NULL, 0, 5.76000000, NULL, 0, 0, 7, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 8.18000000, 8.18000000, 1.64000000, 9.82000000),
(14187, 2238, NULL, 1080068, NULL, 'Tube \"air comprimé\" diam. ext. 22', 20.000, '', 0.000, '0', 0.000, '0', 6, 0, 0, NULL, 4.98000000, NULL, 29.88000000, 5.98000000, 0.00000000, 0.00000000, 35.86000000, 0, NULL, NULL, 0, 3.50000000, NULL, 0, 0, 8, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 4.98000000, 29.88000000, 5.98000000, 35.86000000),
(14188, 2238, NULL, 967545, NULL, 'Ens souff Bluestar  PU 5x8 2m', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.60000000, NULL, 21.60000000, 4.32000000, 0.00000000, 0.00000000, 25.92000000, 0, NULL, NULL, 0, 11.88000000, NULL, 0, 0, 9, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.60000000, 21.60000000, 4.32000000, 25.92000000),
(14189, 2238, NULL, 971583, NULL, 'Raccord sécurité M G1/2 ISO B6', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 24.97000000, NULL, 24.97000000, 4.99000000, 0.00000000, 0.00000000, 29.96000000, 0, NULL, NULL, 0, 12.12000000, NULL, 0, 0, 10, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 24.97000000, 24.97000000, 4.99000000, 29.96000000),
(14190, 2238, NULL, 971709, NULL, 'Raccord rapide sécurité à bouton DN5.5 Profil ISO 6150C Mâle G1/2 BSP cylindrique', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 21.50000000, NULL, 21.50000000, 4.30000000, 0.00000000, 0.00000000, 25.80000000, 0, NULL, NULL, 0, 12.90000000, NULL, 0, 0, 11, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 21.50000000, 21.50000000, 4.30000000, 25.80000000),
(14191, 2239, NULL, 1589434, NULL, 'bol pour XT2 PROSET', 20.000, '', 0.000, '0', 0.000, '0', 1, 0, 0, NULL, 93.00000000, NULL, 93.00000000, 18.60000000, 0.00000000, 0.00000000, 111.60000000, 0, NULL, NULL, 0, 70.53000000, NULL, 0, 0, 1, NULL, NULL, 100, NULL, NULL, 5, 5, 0, 'EUR', 93.00000000, 93.00000000, 18.60000000, 111.60000000);
